package androidx.webkit;

public class WebMessageCompat {
    private String mData;
    private WebMessagePortCompat[] mPorts;

    public WebMessageCompat(String data) {
        this.mData = data;
    }

    public WebMessageCompat(String data, WebMessagePortCompat[] ports) {
        this.mData = data;
        this.mPorts = ports;
    }

    public String getData() {
        return this.mData;
    }

    public WebMessagePortCompat[] getPorts() {
        return this.mPorts;
    }
}
