package com.alibaba.android.bindingx.plugin.weex;

import android.view.View;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.WXComponent;

public class WXModuleUtils {
    private WXModuleUtils() {
    }

    public static View findViewByRef(String instanceId, String ref) {
        WXComponent component = findComponentByRef(instanceId, ref);
        if (component == null) {
            return null;
        }
        return component.getHostView();
    }

    public static WXComponent findComponentByRef(String instanceId, String ref) {
        return WXSDKManager.getInstance().getWXRenderManager().getWXComponent(instanceId, ref);
    }
}
