package com.amap.api.col.s;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.col.s.ai;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.PoiItemV2;
import com.amap.api.services.core.ServiceSettings;
import com.amap.api.services.poisearch.PoiSearchV2;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: PoiSearchIdHandlerV2 */
public final class aa extends y<String, PoiItemV2> {
    private PoiSearchV2.Query k = null;

    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final /* synthetic */ Object a(String str) throws AMapException {
        return e(str);
    }

    public aa(Context context, String str, PoiSearchV2.Query query) {
        super(context, str);
        this.k = query;
    }

    @Override // com.amap.api.col.s.dm
    public final String h() {
        return i.c() + "/place/detail?";
    }

    private static PoiItemV2 e(String str) throws AMapException {
        try {
            return a(new JSONObject(str));
        } catch (JSONException e) {
            j.a(e, "PoiSearchIdHandlerV2", "paseJSONJSONException");
        } catch (Exception e2) {
            j.a(e2, "PoiSearchIdHandlerV2", "paseJSONException");
        }
        return null;
    }

    private static PoiItemV2 a(JSONObject jSONObject) throws JSONException {
        JSONObject optJSONObject;
        JSONArray optJSONArray = jSONObject.optJSONArray("pois");
        if (optJSONArray == null || optJSONArray.length() <= 0 || (optJSONObject = optJSONArray.optJSONObject(0)) == null) {
            return null;
        }
        return r.f(optJSONObject);
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final String a_() {
        return j();
    }

    private String j() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append("id=");
        sb.append((String) this.b);
        sb.append("&output=json");
        PoiSearchV2.Query query = this.k;
        if (query == null || query.getShowFields() == null) {
            str = null;
        } else {
            str = a(this.k.getShowFields());
        }
        if (str != null) {
            sb.append("&show_fields=");
            sb.append(str);
        }
        sb.append("&key=" + br.f(this.e));
        String channel = this.k.getChannel();
        if (!TextUtils.isEmpty(channel)) {
            sb.append("&channel=");
            sb.append(channel);
        }
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a
    public final ai.b d() {
        ai.b bVar = new ai.b();
        bVar.a = h() + a_() + "language=" + ServiceSettings.getInstance().getLanguage();
        return bVar;
    }
}
