package com.amap.api.col.s;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import com.amap.api.col.s.ca;
import com.amap.api.col.s.u;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.interfaces.IRoutePOISearch;
import com.amap.api.services.routepoisearch.RoutePOISearch;
import com.amap.api.services.routepoisearch.RoutePOISearchQuery;
import com.amap.api.services.routepoisearch.RoutePOISearchResult;

/* compiled from: RoutePOISearchCore */
public final class bl implements IRoutePOISearch {
    private RoutePOISearchQuery a;
    private Context b;
    private RoutePOISearch.OnRoutePOISearchListener c;
    private Handler d = null;

    public bl(Context context, RoutePOISearchQuery routePOISearchQuery) throws AMapException {
        cb a2 = ca.a(context, i.a(false));
        if (a2.a == ca.c.SuccessCode) {
            this.b = context;
            this.a = routePOISearchQuery;
            this.d = u.a();
            return;
        }
        throw new AMapException(a2.b, 1, a2.b, a2.a.a());
    }

    @Override // com.amap.api.services.interfaces.IRoutePOISearch
    public final void setRoutePOISearchListener(RoutePOISearch.OnRoutePOISearchListener onRoutePOISearchListener) {
        this.c = onRoutePOISearchListener;
    }

    @Override // com.amap.api.services.interfaces.IRoutePOISearch
    public final void searchRoutePOIAsyn() {
        at.a().a(new Runnable() {
            /* class com.amap.api.col.s.bl.AnonymousClass1 */

            public final void run() {
                u.l lVar;
                Message obtainMessage = bl.this.d.obtainMessage();
                obtainMessage.arg1 = 14;
                Bundle bundle = new Bundle();
                RoutePOISearchResult routePOISearchResult = null;
                try {
                    routePOISearchResult = bl.this.searchRoutePOI();
                    bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    lVar = new u.l();
                } catch (AMapException e) {
                    bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    lVar = new u.l();
                } catch (Throwable th) {
                    u.l lVar2 = new u.l();
                    lVar2.b = bl.this.c;
                    lVar2.a = routePOISearchResult;
                    obtainMessage.obj = lVar2;
                    obtainMessage.setData(bundle);
                    bl.this.d.sendMessage(obtainMessage);
                    throw th;
                }
                lVar.b = bl.this.c;
                lVar.a = routePOISearchResult;
                obtainMessage.obj = lVar;
                obtainMessage.setData(bundle);
                bl.this.d.sendMessage(obtainMessage);
            }
        });
    }

    @Override // com.amap.api.services.interfaces.IRoutePOISearch
    public final void setQuery(RoutePOISearchQuery routePOISearchQuery) {
        this.a = routePOISearchQuery;
    }

    @Override // com.amap.api.services.interfaces.IRoutePOISearch
    public final RoutePOISearchQuery getQuery() {
        return this.a;
    }

    @Override // com.amap.api.services.interfaces.IRoutePOISearch
    public final RoutePOISearchResult searchRoutePOI() throws AMapException {
        try {
            s.a(this.b);
            if (a()) {
                return (RoutePOISearchResult) new ap(this.b, this.a.clone()).b();
            }
            throw new AMapException("无效的参数 - IllegalArgumentException");
        } catch (AMapException e) {
            j.a(e, "RoutePOISearchCore", "searchRoutePOI");
            throw e;
        }
    }

    private boolean a() {
        RoutePOISearchQuery routePOISearchQuery = this.a;
        if (routePOISearchQuery == null || routePOISearchQuery.getSearchType() == null) {
            return false;
        }
        if (this.a.getFrom() == null && this.a.getTo() == null && this.a.getPolylines() == null) {
            return false;
        }
        return true;
    }
}
