package com.amap.api.col.s;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import com.amap.api.col.s.ca;
import com.amap.api.col.s.u;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.interfaces.IWeatherSearch;
import com.amap.api.services.weather.LocalWeatherForecast;
import com.amap.api.services.weather.LocalWeatherForecastResult;
import com.amap.api.services.weather.LocalWeatherLive;
import com.amap.api.services.weather.LocalWeatherLiveResult;
import com.amap.api.services.weather.WeatherSearch;
import com.amap.api.services.weather.WeatherSearchQuery;

/* compiled from: WeatherSearchCore */
public final class bp implements IWeatherSearch {
    private Context a;
    private WeatherSearchQuery b;
    private WeatherSearch.OnWeatherSearchListener c;
    private LocalWeatherLiveResult d;
    private LocalWeatherForecastResult e;
    private Handler f = null;

    public bp(Context context) throws AMapException {
        cb a2 = ca.a(context, i.a(false));
        if (a2.a == ca.c.SuccessCode) {
            this.a = context.getApplicationContext();
            this.f = u.a();
            return;
        }
        throw new AMapException(a2.b, 1, a2.b, a2.a.a());
    }

    @Override // com.amap.api.services.interfaces.IWeatherSearch
    public final WeatherSearchQuery getQuery() {
        return this.b;
    }

    @Override // com.amap.api.services.interfaces.IWeatherSearch
    public final void setQuery(WeatherSearchQuery weatherSearchQuery) {
        this.b = weatherSearchQuery;
    }

    @Override // com.amap.api.services.interfaces.IWeatherSearch
    public final void searchWeatherAsyn() {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bp.AnonymousClass1 */

                public final void run() {
                    u.m mVar;
                    u.n nVar;
                    Message obtainMessage = u.a().obtainMessage();
                    obtainMessage.arg1 = 13;
                    Bundle bundle = new Bundle();
                    if (bp.this.b == null) {
                        try {
                            throw new AMapException("无效的参数 - IllegalArgumentException");
                        } catch (AMapException e) {
                            j.a(e, "WeatherSearch", "searchWeatherAsyn");
                        }
                    } else if (bp.this.b.getType() == 1) {
                        try {
                            bp.this.d = bp.this.a();
                            bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                            nVar = new u.n();
                        } catch (AMapException e2) {
                            bundle.putInt(MyLocationStyle.ERROR_CODE, e2.getErrorCode());
                            j.a(e2, "WeatherSearch", "searchWeatherAsyn");
                            nVar = new u.n();
                        } catch (Throwable th) {
                            u.n nVar2 = new u.n();
                            obtainMessage.what = 1301;
                            nVar2.b = bp.this.c;
                            nVar2.a = bp.this.d;
                            obtainMessage.obj = nVar2;
                            obtainMessage.setData(bundle);
                            bp.this.f.sendMessage(obtainMessage);
                            throw th;
                        }
                        obtainMessage.what = 1301;
                        nVar.b = bp.this.c;
                        nVar.a = bp.this.d;
                        obtainMessage.obj = nVar;
                        obtainMessage.setData(bundle);
                        bp.this.f.sendMessage(obtainMessage);
                    } else if (bp.this.b.getType() == 2) {
                        try {
                            bp.this.e = bp.this.b();
                            bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                            mVar = new u.m();
                        } catch (AMapException e3) {
                            bundle.putInt(MyLocationStyle.ERROR_CODE, e3.getErrorCode());
                            j.a(e3, "WeatherSearch", "searchWeatherAsyn");
                            mVar = new u.m();
                        } catch (Throwable th2) {
                            u.m mVar2 = new u.m();
                            obtainMessage.what = 1302;
                            mVar2.b = bp.this.c;
                            mVar2.a = bp.this.e;
                            obtainMessage.obj = mVar2;
                            obtainMessage.setData(bundle);
                            bp.this.f.sendMessage(obtainMessage);
                            throw th2;
                        }
                        obtainMessage.what = 1302;
                        mVar.b = bp.this.c;
                        mVar.a = bp.this.e;
                        obtainMessage.obj = mVar;
                        obtainMessage.setData(bundle);
                        bp.this.f.sendMessage(obtainMessage);
                    }
                }
            });
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private LocalWeatherLiveResult a() throws AMapException {
        s.a(this.a);
        WeatherSearchQuery weatherSearchQuery = this.b;
        if (weatherSearchQuery != null) {
            ay ayVar = new ay(this.a, weatherSearchQuery);
            return LocalWeatherLiveResult.createPagedResult((WeatherSearchQuery) ayVar.c_(), (LocalWeatherLive) ayVar.b());
        }
        throw new AMapException("无效的参数 - IllegalArgumentException");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private LocalWeatherForecastResult b() throws AMapException {
        s.a(this.a);
        WeatherSearchQuery weatherSearchQuery = this.b;
        if (weatherSearchQuery != null) {
            ax axVar = new ax(this.a, weatherSearchQuery);
            return LocalWeatherForecastResult.createPagedResult((WeatherSearchQuery) axVar.c_(), (LocalWeatherForecast) axVar.b());
        }
        throw new AMapException("无效的参数 - IllegalArgumentException");
    }

    @Override // com.amap.api.services.interfaces.IWeatherSearch
    public final void setOnWeatherSearchListener(WeatherSearch.OnWeatherSearchListener onWeatherSearchListener) {
        this.c = onWeatherSearchListener;
    }
}
