package com.amap.api.col.s;

import android.content.Context;
import com.amap.api.col.s.ai;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.core.ServiceSettings;
import com.amap.api.services.poisearch.PoiSearch;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: PoiSearchIdHandler */
public final class z extends y<String, PoiItem> {
    private PoiSearch.Query k = null;

    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final /* synthetic */ Object a(String str) throws AMapException {
        return e(str);
    }

    public z(Context context, String str, PoiSearch.Query query) {
        super(context, str);
        this.k = query;
    }

    @Override // com.amap.api.col.s.dm
    public final String h() {
        return i.a() + "/place/detail?";
    }

    private static PoiItem e(String str) throws AMapException {
        try {
            return a(new JSONObject(str));
        } catch (JSONException e) {
            j.a(e, "PoiSearchIdHandler", "paseJSONJSONException");
        } catch (Exception e2) {
            j.a(e2, "PoiSearchIdHandler", "paseJSONException");
        }
        return null;
    }

    private static PoiItem a(JSONObject jSONObject) throws JSONException {
        JSONObject optJSONObject;
        JSONArray optJSONArray = jSONObject.optJSONArray("pois");
        if (optJSONArray == null || optJSONArray.length() <= 0 || (optJSONObject = optJSONArray.optJSONObject(0)) == null) {
            return null;
        }
        return r.e(optJSONObject);
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a, com.amap.api.col.s.b
    public final String a_() {
        return j();
    }

    private String j() {
        StringBuilder sb = new StringBuilder();
        sb.append("id=");
        sb.append((String) this.b);
        sb.append("&output=json");
        PoiSearch.Query query = this.k;
        if (query == null || c(query.getExtensions())) {
            sb.append("&extensions=base");
        } else {
            sb.append("&extensions=");
            sb.append(this.k.getExtensions());
        }
        sb.append("&children=1");
        sb.append("&key=" + br.f(this.e));
        return sb.toString();
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.s.a
    public final ai.b d() {
        ai.b bVar = new ai.b();
        bVar.a = h() + a_() + "language=" + ServiceSettings.getInstance().getLanguage();
        return bVar;
    }
}
