package com.autonavi.aps.amapapi.restruct;

import android.content.ContentResolver;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.wifi.ScanResult;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Handler;
import android.os.SystemClock;
import android.text.TextUtils;
import com.amap.api.col.p0003l.kh;
import com.autonavi.aps.amapapi.utils.a;
import com.autonavi.aps.amapapi.utils.b;
import com.autonavi.aps.amapapi.utils.e;
import com.igexin.push.config.c;
import com.umeng.analytics.pro.bg;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.TreeMap;

/* compiled from: WifiManagerWrapper */
public final class i {
    public static long A = 0;
    static long d = 0;
    static long e = 0;
    static long f = 0;
    public static long g = 0;
    static long h = 0;
    public static HashMap<String, Long> w = new HashMap<>(36);
    public static long x = 0;
    static int y = 0;
    volatile boolean B = false;
    private volatile WifiInfo C = null;
    private long D = c.k;
    private com.autonavi.aps.amapapi.c E;
    WifiManager a;
    ArrayList<kh> b = new ArrayList<>();
    ArrayList<kh> c = new ArrayList<>();
    Context i;
    boolean j = false;
    StringBuilder k = null;
    boolean l = true;
    boolean m = true;
    boolean n = true;
    String o = null;
    TreeMap<Integer, kh> p = null;
    public boolean q = true;
    public boolean r = true;
    public boolean s = false;
    h t;
    String u = "";
    long v = 0;
    ConnectivityManager z = null;

    public i(Context context, WifiManager wifiManager, Handler handler) {
        this.a = wifiManager;
        this.i = context;
        h hVar = new h(context, "wifiAgee", handler);
        this.t = hVar;
        hVar.a();
    }

    public final ArrayList<kh> a() {
        if (!this.s) {
            return this.c;
        }
        b(true);
        return this.c;
    }

    private List<kh> r() {
        List<ScanResult> list;
        boolean z2;
        if (this.a != null) {
            try {
                if (com.autonavi.aps.amapapi.utils.i.c(this.i, "EYW5kcm9pZC5wZXJtaXNzaW9uLkFDQ0VTU19XSUZJX1NUQVRF")) {
                    list = this.a.getScanResults();
                } else {
                    b.a(new Exception("gst_n_aws"), "OPENSDK_WMW", "gsr_n_aws");
                    list = null;
                }
                if (Build.VERSION.SDK_INT >= 17) {
                    HashMap<String, Long> hashMap = new HashMap<>(36);
                    if (list != null) {
                        for (ScanResult scanResult : list) {
                            hashMap.put(scanResult.BSSID, Long.valueOf(scanResult.timestamp));
                        }
                    }
                    if (w.isEmpty() || !w.equals(hashMap)) {
                        w = hashMap;
                        x = com.autonavi.aps.amapapi.utils.i.b();
                    }
                } else {
                    x = com.autonavi.aps.amapapi.utils.i.b();
                }
                this.o = null;
                ArrayList arrayList = new ArrayList();
                this.u = "";
                this.C = m();
                if (a(this.C)) {
                    this.u = this.C.getBSSID();
                }
                if (list != null && list.size() > 0) {
                    int size = list.size();
                    for (int i2 = 0; i2 < size; i2++) {
                        ScanResult scanResult2 = list.get(i2);
                        String str = scanResult2.BSSID;
                        if (TextUtils.isEmpty(this.u) || !this.u.equals(str)) {
                            z2 = false;
                        } else {
                            z2 = true;
                        }
                        kh khVar = new kh(z2);
                        khVar.b = scanResult2.SSID;
                        khVar.d = scanResult2.frequency;
                        khVar.e = scanResult2.timestamp;
                        khVar.a = kh.a(scanResult2.BSSID);
                        khVar.c = (short) scanResult2.level;
                        if (Build.VERSION.SDK_INT >= 17) {
                            khVar.g = (short) ((int) ((SystemClock.elapsedRealtime() - (scanResult2.timestamp / 1000)) / 1000));
                            if (khVar.g < 0) {
                                khVar.g = 0;
                            }
                        }
                        khVar.f = com.autonavi.aps.amapapi.utils.i.b();
                        arrayList.add(khVar);
                    }
                }
                this.t.a((List) arrayList);
                return arrayList;
            } catch (SecurityException e2) {
                this.o = e2.getMessage();
            } catch (Throwable th) {
                this.o = null;
                b.a(th, "WifiManagerWrapper", "getScanResults");
            }
        }
        return null;
    }

    public static long b() {
        return ((com.autonavi.aps.amapapi.utils.i.b() - x) / 1000) + 1;
    }

    public final WifiInfo c() {
        try {
            if (this.a == null) {
                return null;
            }
            if (com.autonavi.aps.amapapi.utils.i.c(this.i, "EYW5kcm9pZC5wZXJtaXNzaW9uLkFDQ0VTU19XSUZJX1NUQVRF")) {
                return this.a.getConnectionInfo();
            }
            b.a(new Exception("gci_n_aws"), "OPENSDK_WMW", "gci_n_aws");
            return null;
        } catch (Throwable th) {
            b.a(th, "WifiManagerWrapper", "getConnectionInfo");
            return null;
        }
    }

    private int s() {
        WifiManager wifiManager = this.a;
        if (wifiManager != null) {
            return wifiManager.getWifiState();
        }
        return 4;
    }

    private boolean t() {
        long b2 = com.autonavi.aps.amapapi.utils.i.b() - d;
        if (b2 < 4900) {
            return false;
        }
        if (u() && b2 < 9900) {
            return false;
        }
        if (y > 1) {
            long j2 = this.D;
            if (j2 == c.k) {
                if (a.n() != -1) {
                    j2 = a.n();
                } else {
                    j2 = 30000;
                }
            }
            if (Build.VERSION.SDK_INT >= 28 && b2 < j2) {
                return false;
            }
        }
        if (this.a != null) {
            d = com.autonavi.aps.amapapi.utils.i.b();
            int i2 = y;
            if (i2 < 2) {
                y = i2 + 1;
            }
            if (com.autonavi.aps.amapapi.utils.i.c(this.i, "WYW5kcm9pZC5wZXJtaXNzaW9uLkNIQU5HRV9XSUZJX1NUQVRF")) {
                return this.a.startScan();
            }
            b.a(new Exception("n_cws"), "OPENSDK_WMW", "wfs_n_cws");
        }
        return false;
    }

    public final boolean a(ConnectivityManager connectivityManager) {
        try {
            if (com.autonavi.aps.amapapi.utils.i.a(connectivityManager.getActiveNetworkInfo()) != 1 || !a(c())) {
                return false;
            }
            return true;
        } catch (Throwable th) {
            b.a(th, "WifiManagerWrapper", "wifiAccess");
            return false;
        }
    }

    private boolean u() {
        if (this.z == null) {
            this.z = (ConnectivityManager) com.autonavi.aps.amapapi.utils.i.a(this.i, "connectivity");
        }
        return a(this.z);
    }

    private boolean v() {
        if (this.a == null) {
            return false;
        }
        return com.autonavi.aps.amapapi.utils.i.g(this.i);
    }

    public final void a(boolean z2) {
        Context context = this.i;
        if (a.m() && this.n && this.a != null && context != null && z2 && com.autonavi.aps.amapapi.utils.i.c() > 17) {
            ContentResolver contentResolver = context.getContentResolver();
            try {
                if (((Integer) e.a("android.provider.Settings$Global", "getInt", new Object[]{contentResolver, "wifi_scan_always_enabled"}, new Class[]{ContentResolver.class, String.class})).intValue() == 0) {
                    e.a("android.provider.Settings$Global", "putInt", new Object[]{contentResolver, "wifi_scan_always_enabled", 1}, new Class[]{ContentResolver.class, String.class, Integer.TYPE});
                }
            } catch (Throwable th) {
                b.a(th, "WifiManagerWrapper", "enableWifiAlwaysScan");
            }
        }
    }

    public static boolean a(WifiInfo wifiInfo) {
        if (wifiInfo != null && !TextUtils.isEmpty(wifiInfo.getSSID()) && com.autonavi.aps.amapapi.utils.i.a(wifiInfo.getBSSID())) {
            return true;
        }
        return false;
    }

    public final String d() {
        return this.o;
    }

    private void d(boolean z2) {
        ArrayList<kh> arrayList = this.b;
        if (!(arrayList == null || arrayList.isEmpty())) {
            if (com.autonavi.aps.amapapi.utils.i.b() - g > 3600000) {
                g();
            }
            if (this.p == null) {
                this.p = new TreeMap<>(Collections.reverseOrder());
            }
            this.p.clear();
            if (this.s && z2) {
                try {
                    this.c.clear();
                } catch (Throwable th) {
                }
            }
            int size = this.b.size();
            this.v = 0;
            for (int i2 = 0; i2 < size; i2++) {
                kh khVar = this.b.get(i2);
                if (khVar.h) {
                    this.v = khVar.f;
                }
                if (com.autonavi.aps.amapapi.utils.i.a(khVar != null ? kh.a(khVar.a) : "") && (size <= 20 || a(khVar.c))) {
                    if (this.s && z2) {
                        this.c.add(khVar);
                    }
                    if (TextUtils.isEmpty(khVar.b)) {
                        khVar.b = "unkwn";
                    } else if (!"<unknown ssid>".equals(khVar.b)) {
                        khVar.b = String.valueOf(i2);
                    }
                    this.p.put(Integer.valueOf((khVar.c * 25) + i2), khVar);
                }
            }
            this.b.clear();
            for (kh khVar2 : this.p.values()) {
                this.b.add(khVar2);
            }
            this.p.clear();
        }
    }

    public final ArrayList<kh> e() {
        if (this.b == null) {
            return null;
        }
        ArrayList<kh> arrayList = new ArrayList<>();
        if (!this.b.isEmpty()) {
            arrayList.addAll(this.b);
        }
        return arrayList;
    }

    public final void b(boolean z2) {
        if (z2) {
            w();
        } else {
            x();
        }
        boolean z3 = false;
        if (this.B) {
            this.B = false;
            z();
        }
        y();
        if (com.autonavi.aps.amapapi.utils.i.b() - g > 20000) {
            this.b.clear();
        }
        e = com.autonavi.aps.amapapi.utils.i.b();
        if (this.b.isEmpty()) {
            g = com.autonavi.aps.amapapi.utils.i.b();
            List<kh> r2 = r();
            if (r2 != null) {
                this.b.addAll(r2);
                z3 = true;
            }
        }
        d(z3);
    }

    public final void f() {
        try {
            this.s = true;
            List<kh> r2 = r();
            if (r2 != null) {
                this.b.clear();
                this.b.addAll(r2);
            }
            d(true);
        } catch (Throwable th) {
        }
    }

    private void w() {
        if (B()) {
            long b2 = com.autonavi.aps.amapapi.utils.i.b();
            if (b2 - e >= 10000) {
                this.b.clear();
                h = g;
            }
            x();
            if (b2 - e >= 10000) {
                for (int i2 = 20; i2 > 0 && g == h; i2--) {
                    try {
                        Thread.sleep(150);
                    } catch (Throwable th) {
                    }
                }
            }
        }
    }

    public final void a(boolean z2, boolean z3, boolean z4, long j2) {
        this.l = z2;
        this.m = z3;
        this.n = z4;
        if (j2 < 10000) {
            this.D = 10000;
        } else {
            this.D = j2;
        }
    }

    public final void g() {
        this.C = null;
        this.b.clear();
    }

    private void x() {
        if (B()) {
            try {
                if (t()) {
                    f = com.autonavi.aps.amapapi.utils.i.b();
                }
            } catch (Throwable th) {
                b.a(th, "WifiManager", "wifiScan");
            }
        }
    }

    private void y() {
        if (h != g) {
            List<kh> list = null;
            try {
                list = r();
            } catch (Throwable th) {
                b.a(th, "WifiManager", "updateScanResult");
            }
            h = g;
            if (list != null) {
                this.b.clear();
                this.b.addAll(list);
                return;
            }
            this.b.clear();
        }
    }

    public final void a(com.autonavi.aps.amapapi.c cVar) {
        this.E = cVar;
    }

    public final void h() {
        A = System.currentTimeMillis();
        com.autonavi.aps.amapapi.c cVar = this.E;
        if (cVar != null) {
            cVar.b();
        }
    }

    public final void i() {
        if (this.a != null && com.autonavi.aps.amapapi.utils.i.b() - g > 4900) {
            g = com.autonavi.aps.amapapi.utils.i.b();
        }
    }

    private void z() {
        int i2;
        try {
            if (this.a != null) {
                try {
                    i2 = s();
                } catch (Throwable th) {
                    b.a(th, "OPENSDK_WMW", "cwsc");
                    i2 = 4;
                }
                if (this.b == null) {
                    this.b = new ArrayList<>();
                }
                if (i2 == 0 || i2 == 1 || i2 == 4) {
                    g();
                }
            }
        } catch (Throwable th2) {
        }
    }

    public final void j() {
        if (this.a != null) {
            this.B = true;
        }
    }

    private static boolean a(int i2) {
        int i3 = 20;
        try {
            i3 = WifiManager.calculateSignalLevel(i2, 20);
        } catch (ArithmeticException e2) {
            b.a(e2, "Aps", "wifiSigFine");
        }
        return i3 > 0;
    }

    public final boolean k() {
        return this.q;
    }

    public final boolean l() {
        return this.r;
    }

    private void A() {
        try {
            if (com.autonavi.aps.amapapi.utils.i.c(this.i, "EYW5kcm9pZC5wZXJtaXNzaW9uLkFDQ0VTU19XSUZJX1NUQVRF")) {
                this.r = this.a.isWifiEnabled();
            }
        } catch (Throwable th) {
        }
    }

    private boolean B() {
        this.q = v();
        A();
        if (!this.q || !this.l) {
            return false;
        }
        if (f == 0) {
            return true;
        }
        if (com.autonavi.aps.amapapi.utils.i.b() - f < 4900 || com.autonavi.aps.amapapi.utils.i.b() - g < c.j) {
            return false;
        }
        if (com.autonavi.aps.amapapi.utils.i.b() - g > 4900) {
        }
        return true;
    }

    public final WifiInfo m() {
        this.C = c();
        return this.C;
    }

    public final boolean n() {
        return this.j;
    }

    public final String o() {
        boolean z2;
        String str;
        StringBuilder sb = this.k;
        if (sb == null) {
            this.k = new StringBuilder(700);
        } else {
            sb.delete(0, sb.length());
        }
        this.j = false;
        int size = this.b.size();
        int i2 = 0;
        boolean z3 = false;
        boolean z4 = false;
        while (i2 < size) {
            String a2 = kh.a(this.b.get(i2).a);
            if (!this.m && !"<unknown ssid>".equals(this.b.get(i2).b)) {
                z3 = true;
            }
            if (TextUtils.isEmpty(this.u) || !this.u.equals(a2)) {
                z2 = z4;
                str = "nb";
            } else {
                str = bg.Q;
                z2 = true;
            }
            this.k.append(String.format(Locale.US, "#%s,%s", a2, str));
            i2++;
            z4 = z2;
        }
        if (this.b.size() == 0) {
            z3 = true;
        }
        if (!this.m && !z3) {
            this.j = true;
        }
        if (!z4 && !TextUtils.isEmpty(this.u)) {
            StringBuilder sb2 = this.k;
            sb2.append("#");
            sb2.append(this.u);
            this.k.append(",access");
        }
        return this.k.toString();
    }

    public final void c(boolean z2) {
        g();
        this.b.clear();
        this.t.a(z2);
    }

    public static String p() {
        return String.valueOf(com.autonavi.aps.amapapi.utils.i.b() - g);
    }

    public final long q() {
        return this.v;
    }
}
