package com.autonavi.aps.amapapi.trans;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.amap.api.col.p0003l.fh;
import com.amap.api.col.p0003l.hl;
import com.amap.api.col.p0003l.hs;
import com.amap.api.col.p0003l.is;
import com.amap.api.col.p0003l.it;
import com.autonavi.aps.amapapi.d;
import com.autonavi.aps.amapapi.utils.g;
import com.autonavi.aps.amapapi.utils.h;
import com.igexin.push.config.c;
import com.taobao.weex.el.parse.Operators;
import com.xiaomi.mipush.sdk.Constants;
import io.dcloud.common.adapter.util.DeviceInfo;
import java.net.URL;
import java.util.ArrayList;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: AMapDnsManager */
public final class a {
    public static int a = 1;
    public static int b = 2;
    private static a e;
    private long c = 0;
    private boolean d = false;
    private ArrayList<String> f = new ArrayList<>();
    private d g = new d();
    private d h = new d();
    private long i = c.l;
    private Context j;
    private String k;
    private boolean l = false;

    public static synchronized a a(Context context) {
        a aVar;
        synchronized (a.class) {
            if (e == null) {
                e = new a(context);
            }
            aVar = e;
        }
        return aVar;
    }

    private a(Context context) {
        this.j = context;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private d b(int i2) {
        if (i2 == b) {
            return this.h;
        }
        return this.g;
    }

    private static String c(int i2) {
        if (i2 == b) {
            return "last_ip_6";
        }
        return "last_ip_4";
    }

    public final String a(d dVar, int i2) {
        String str;
        try {
            if (com.autonavi.aps.amapapi.utils.a.p() && dVar != null) {
                String url = dVar.getURL();
                String host = new URL(url).getHost();
                if (!"http://abroad.apilocate.amap.com/mobile/binary".equals(url)) {
                    if (!"abroad.apilocate.amap.com".equals(host)) {
                        if ("apilocate.amap.com".equalsIgnoreCase(host)) {
                            str = "httpdns.apilocate.amap.com";
                        } else {
                            str = host;
                        }
                        if (!fh.g(str)) {
                            return null;
                        }
                        String e2 = e(i2);
                        if (!TextUtils.isEmpty(e2)) {
                            dVar.c(url.replace(host, e2));
                            dVar.getRequestHead().put(com.alipay.sdk.m.l.c.f, str);
                            dVar.d(str);
                            dVar.setIPV6Request(i2 == b);
                            return e2;
                        }
                    }
                }
                return null;
            }
        } catch (Throwable th) {
        }
        return null;
    }

    public final void a(int i2) {
        if (!b(i2).e()) {
            this.f.add(b(i2).b());
            d(i2);
            b(true, i2);
            return;
        }
        d(i2);
    }

    public final void a(boolean z, int i2) {
        b(i2).b(z);
        if (z) {
            String c2 = b(i2).c();
            String b2 = b(i2).b();
            if (!TextUtils.isEmpty(b2) && !b2.equals(c2)) {
                SharedPreferences.Editor a2 = h.a(this.j, "cbG9jaXA");
                h.a(a2, c(i2), b2);
                h.a(a2);
            }
        }
    }

    private void d(int i2) {
        if (b(i2).d()) {
            SharedPreferences.Editor a2 = h.a(this.j, "cbG9jaXA");
            h.a(a2, c(i2));
            h.a(a2);
            b(i2).a(false);
        }
    }

    private String e(int i2) {
        String str;
        int i3 = 0;
        b(false, i2);
        String[] a2 = b(i2).a();
        if (a2 == null || a2.length <= 0) {
            g(i2);
            return b(i2).b();
        }
        int length = a2.length;
        while (true) {
            if (i3 >= length) {
                str = null;
                break;
            }
            str = a2[i3];
            if (!this.f.contains(str)) {
                break;
            }
            i3++;
        }
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        b(i2).a(str);
        return str;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void f(int i2) {
        if (b(i2).a() != null && b(i2).a().length > 0) {
            String str = b(i2).a()[0];
            if (!str.equals(this.k) && !this.f.contains(str)) {
                this.k = str;
                SharedPreferences.Editor a2 = h.a(this.j, "cbG9jaXA");
                h.a(a2, c(i2), str);
                h.a(a2);
            }
        }
    }

    private void g(int i2) {
        String a2 = h.a(this.j, "cbG9jaXA", c(i2), (String) null);
        if (!TextUtils.isEmpty(a2) && !this.f.contains(a2)) {
            b(i2).a(a2);
            b(i2).b(a2);
            b(i2).a(true);
        }
    }

    /* access modifiers changed from: private */
    public static boolean b(String[] strArr, String[] strArr2) {
        if (strArr == null || strArr.length == 0 || strArr2 == null || strArr2.length == 0 || strArr.length != strArr2.length) {
            return false;
        }
        int length = strArr.length;
        for (int i2 = 0; i2 < length; i2++) {
            if (!strArr[i2].equals(strArr2[i2])) {
                return false;
            }
        }
        return true;
    }

    private synchronized void b(boolean z, final int i2) {
        if (!z) {
            if (!com.autonavi.aps.amapapi.utils.a.o() && this.l) {
                return;
            }
        }
        if (this.c != 0) {
            long currentTimeMillis = System.currentTimeMillis();
            if (currentTimeMillis - this.c < this.i) {
                return;
            }
            if (currentTimeMillis - this.c < 60000) {
                return;
            }
        }
        this.c = System.currentTimeMillis();
        this.l = true;
        StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
        StringBuffer stringBuffer = new StringBuffer();
        for (StackTraceElement stackTraceElement : stackTrace) {
            stringBuffer.append(stackTraceElement.getClassName() + Operators.BRACKET_START_STR + stackTraceElement.getMethodName() + Constants.COLON_SEPARATOR + stackTraceElement.getLineNumber() + "),");
        }
        is.a().a(new it() {
            /* class com.autonavi.aps.amapapi.trans.a.AnonymousClass1 */

            @Override // com.amap.api.col.p0003l.it
            public final void runTask() {
                JSONObject jSONObject;
                int i;
                StringBuilder sb = new StringBuilder(DeviceInfo.HTTP_PROTOCOL);
                sb.append(com.autonavi.aps.amapapi.utils.a.q());
                sb.append("?host=dualstack-a.apilocate.amap.com&query=");
                sb.append(i2 == a.b ? 6 : 4);
                String sb2 = sb.toString();
                b bVar = new b();
                bVar.a(sb2);
                bVar.b(sb2);
                bVar.setDegradeAbility(hs.a.SINGLE);
                bVar.setHttpProtocol(hs.c.HTTP);
                try {
                    hl.a();
                    JSONObject jSONObject2 = new JSONObject(new String(hl.a(bVar).a));
                    String[] b2 = a.b(jSONObject2.optJSONArray("ips"), a.a);
                    if (b2 != null && b2.length > 0 && !a.b(b2, a.this.b(a.a).a())) {
                        a.this.b(a.a).a(b2);
                        a.this.f(a.a);
                    }
                    String[] b3 = a.b(jSONObject2.optJSONArray("ipsv6"), a.b);
                    if (b3 != null && b3.length > 0 && !a.b(b3, a.this.b(a.b).a())) {
                        a.this.b(a.b).a(b3);
                        a.this.f(a.b);
                    }
                    if ((jSONObject2.has("ips") || jSONObject2.has("ipsv6")) && jSONObject2.has("ttl") && (i = jSONObject2.getInt("ttl")) > 30) {
                        a.this.i = (long) (i * 1000);
                        return;
                    }
                    return;
                } catch (Throwable th) {
                }
                g.a(a.this.j, "O018", jSONObject);
            }
        });
    }

    /* access modifiers changed from: private */
    public static String[] b(JSONArray jSONArray, int i2) throws JSONException {
        if (jSONArray == null || jSONArray.length() == 0) {
            return new String[0];
        }
        int length = jSONArray.length();
        String[] strArr = new String[length];
        for (int i3 = 0; i3 < length; i3++) {
            String string = jSONArray.getString(i3);
            if (!TextUtils.isEmpty(string)) {
                if (i2 == b) {
                    string = Operators.ARRAY_START_STR + string + Operators.ARRAY_END_STR;
                }
                strArr[i3] = string;
            }
        }
        return strArr;
    }
}
