package com.autonavi.aps.amapapi.utils;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import android.util.SparseArray;
import com.alipay.sdk.m.k.b;
import com.amap.api.col.p0003l.ff;
import com.amap.api.col.p0003l.gn;
import com.amap.api.col.p0003l.hy;
import com.amap.api.col.p0003l.hz;
import com.amap.api.col.p0003l.ia;
import com.amap.api.col.p0003l.ib;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.autonavi.aps.amapapi.a;
import com.taobao.weex.common.Constants;
import com.umeng.analytics.pro.d;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.constant.AbsoluteConst;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;

/* compiled from: ReportUtil */
public final class g {
    static AMapLocation g = null;
    static boolean h = false;
    private static List<ia> i = new ArrayList();
    private static JSONArray j = null;
    public SparseArray<Long> a = new SparseArray<>();
    public int b = -1;
    public long c = 0;
    String[] d = {"ol", "cl", "gl", "ha", "bs", "ds"};
    public int e = -1;
    public long f = -1;

    private static boolean a(AMapLocation aMapLocation) {
        return i.a(aMapLocation) ? !b.a(aMapLocation.getLatitude(), aMapLocation.getLongitude()) : "http://abroad.apilocate.amap.com/mobile/binary".equals(b.c);
    }

    public static void a(Context context, AMapLocation aMapLocation, a aVar) {
        String str;
        int i2;
        if (aMapLocation != null) {
            try {
                if (GeocodeSearch.GPS.equalsIgnoreCase(aMapLocation.getProvider())) {
                    return;
                }
                if (aMapLocation.getLocationType() != 1) {
                    if (a(aMapLocation)) {
                        str = "abroad";
                    } else {
                        str = "domestic";
                    }
                    int errorCode = aMapLocation.getErrorCode();
                    String str2 = IApp.ConfigProperty.CONFIG_CACHE;
                    if (errorCode != 0) {
                        int errorCode2 = aMapLocation.getErrorCode();
                        if (errorCode2 == 4 || errorCode2 == 5 || errorCode2 == 6 || errorCode2 == 11) {
                            str2 = b.k;
                            i2 = 0;
                        } else {
                            i2 = 0;
                        }
                    } else {
                        int locationType = aMapLocation.getLocationType();
                        if (locationType == 5 || locationType == 6) {
                            str2 = b.k;
                            i2 = 1;
                        } else {
                            i2 = 1;
                        }
                    }
                    a(context, "O016", str2, str, i2, aMapLocation.getErrorCode(), aVar);
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "reportBatting");
            }
        }
    }

    public static void a(Context context, long j2, boolean z) {
        if (context != null) {
            try {
                if (a.a()) {
                    a(context, j2, z, "O015");
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "reportGPSLocUseTime");
            }
        }
    }

    public static void b(Context context, long j2, boolean z) {
        if (context != null) {
            try {
                if (a.a()) {
                    a(context, j2, z, "O024");
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "reportCoarseLocUseTime");
            }
        }
    }

    private static void a(Context context, long j2, boolean z, String str) {
        String str2;
        int intValue = Long.valueOf(j2).intValue();
        if (!z) {
            str2 = "abroad";
        } else {
            str2 = "domestic";
        }
        a(context, str, str2, intValue);
    }

    private static void a(Context context, String str, String str2, String str3, int i2, int i3, a aVar) {
        if (context != null) {
            try {
                if (a.a()) {
                    JSONObject jSONObject = new JSONObject();
                    if (!TextUtils.isEmpty(str2)) {
                        jSONObject.put("param_string_first", str2);
                    }
                    if (!TextUtils.isEmpty(str3)) {
                        jSONObject.put("param_string_second", str3);
                    }
                    if (i2 != Integer.MAX_VALUE) {
                        jSONObject.put("param_int_first", i2);
                    }
                    if (i3 != Integer.MAX_VALUE) {
                        jSONObject.put("param_int_second", i3);
                    }
                    if (aVar != null) {
                        if (!TextUtils.isEmpty(aVar.d())) {
                            jSONObject.put("dns", aVar.d());
                        }
                        if (!TextUtils.isEmpty(aVar.e())) {
                            jSONObject.put("domain", aVar.e());
                        }
                        if (!TextUtils.isEmpty(aVar.f())) {
                            jSONObject.put("type", aVar.f());
                        }
                        if (!TextUtils.isEmpty(aVar.g())) {
                            jSONObject.put("reason", aVar.g());
                        }
                        if (!TextUtils.isEmpty(aVar.c())) {
                            jSONObject.put("ip", aVar.c());
                        }
                        if (!TextUtils.isEmpty(aVar.b())) {
                            jSONObject.put("stack", aVar.b());
                        }
                        if (aVar.h() > 0) {
                            jSONObject.put("ctime", String.valueOf(aVar.h()));
                        }
                        if (aVar.a() > 0) {
                            jSONObject.put("ntime", String.valueOf(aVar.a()));
                        }
                    }
                    a(context, str, jSONObject);
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "applyStatisticsEx");
            }
        }
    }

    private static void a(Context context, String str, String str2, int i2) {
        if (context != null) {
            try {
                if (a.a()) {
                    JSONObject jSONObject = new JSONObject();
                    if (!TextUtils.isEmpty(str2)) {
                        jSONObject.put("param_string_first", str2);
                    }
                    if (!TextUtils.isEmpty(null)) {
                        jSONObject.put("param_string_second", (Object) null);
                    }
                    if (i2 != Integer.MAX_VALUE) {
                        jSONObject.put("param_int_first", i2);
                    }
                    a(context, str, jSONObject);
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "applyStatisticsEx");
            }
        }
    }

    public static synchronized void a(Context context, String str, JSONObject jSONObject) {
        synchronized (g.class) {
            if (context != null) {
                try {
                    if (a.a()) {
                        ia iaVar = new ia(context, "loc", "6.1.0", str);
                        if (jSONObject != null) {
                            iaVar.a(jSONObject.toString());
                        }
                        i.add(iaVar);
                        if (i.size() >= 30) {
                            ArrayList arrayList = new ArrayList();
                            arrayList.addAll(i);
                            ib.b(arrayList, context);
                            i.clear();
                        }
                    }
                } catch (Throwable th) {
                    b.a(th, "ReportUtil", "applyStatistics");
                }
            }
        }
    }

    public static synchronized void a(Context context) {
        synchronized (g.class) {
            if (context != null) {
                try {
                    if (a.a()) {
                        if (i != null && i.size() > 0) {
                            ArrayList arrayList = new ArrayList();
                            arrayList.addAll(i);
                            ib.b(arrayList, context);
                            i.clear();
                        }
                        f(context);
                    }
                } catch (Throwable th) {
                    b.a(th, "ReportUtil", Constants.Event.SLOT_LIFECYCLE.DESTORY);
                }
            }
        }
    }

    public static void a(String str, String str2) {
        try {
            gn.b(b.c(), str2, str);
        } catch (Throwable th) {
            b.a(th, "ReportUtil", "reportLog");
        }
    }

    public final void a(Context context, int i2) {
        try {
            if (this.b != i2) {
                if (!(this.b == -1 || this.b == i2)) {
                    this.a.append(this.b, Long.valueOf((i.b() - this.c) + this.a.get(this.b, 0L).longValue()));
                }
                this.c = i.b() - h.a(context, "pref1", this.d[i2], 0L);
                this.b = i2;
            }
        } catch (Throwable th) {
            b.a(th, "ReportUtil", "setLocationType");
        }
    }

    public final void b(Context context) {
        try {
            long b2 = i.b() - this.c;
            if (this.b != -1) {
                this.a.append(this.b, Long.valueOf(b2 + this.a.get(this.b, 0L).longValue()));
            }
            long b3 = i.b() - this.f;
            if (this.e != -1) {
                this.a.append(this.e, Long.valueOf(b3 + this.a.get(this.e, 0L).longValue()));
            }
            SharedPreferences.Editor a2 = h.a(context, "pref1");
            for (int i2 = 0; i2 < this.d.length; i2++) {
                long longValue = this.a.get(i2, 0L).longValue();
                if (longValue > 0 && longValue > h.a(context, "pref1", this.d[i2], 0L)) {
                    h.a(a2, this.d[i2], longValue);
                }
            }
            h.a(a2);
        } catch (Throwable th) {
            b.a(th, "ReportUtil", "saveLocationTypeAndMode");
        }
    }

    public final void a(Context context, AMapLocationClientOption aMapLocationClientOption) {
        try {
            int i2 = AnonymousClass1.a[aMapLocationClientOption.getLocationMode().ordinal()];
            int i3 = 3;
            if (i2 == 1) {
                i3 = 4;
            } else if (i2 == 2) {
                i3 = 5;
            } else if (i2 != 3) {
                i3 = -1;
            }
            if (this.e != i3) {
                if (!(this.e == -1 || this.e == i3)) {
                    this.a.append(this.e, Long.valueOf((i.b() - this.f) + this.a.get(this.e, 0L).longValue()));
                }
                this.f = i.b() - h.a(context, "pref1", this.d[i3], 0L);
                this.e = i3;
            }
        } catch (Throwable th) {
            b.a(th, "ReportUtil", "setLocationMode");
        }
    }

    /* renamed from: com.autonavi.aps.amapapi.utils.g$1  reason: invalid class name */
    /* compiled from: ReportUtil */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] a;

        static {
            int[] iArr = new int[AMapLocationClientOption.AMapLocationMode.values().length];
            a = iArr;
            try {
                iArr[AMapLocationClientOption.AMapLocationMode.Battery_Saving.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                a[AMapLocationClientOption.AMapLocationMode.Device_Sensors.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                a[AMapLocationClientOption.AMapLocationMode.Hight_Accuracy.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
        }
    }

    public final int c(Context context) {
        try {
            long a2 = h.a(context, "pref1", this.d[2], 0L);
            long a3 = h.a(context, "pref1", this.d[0], 0L);
            long a4 = h.a(context, "pref1", this.d[1], 0L);
            if (a2 == 0 && a3 == 0 && a4 == 0) {
                return -1;
            }
            long j2 = a3 - a2;
            long j3 = a4 - a2;
            if (a2 > j2) {
                if (a2 > j3) {
                    return 2;
                }
                return 1;
            } else if (j2 > j3) {
                return 0;
            } else {
                return 1;
            }
        } catch (Throwable th) {
            return -1;
        }
    }

    public final int d(Context context) {
        try {
            long a2 = h.a(context, "pref1", this.d[3], 0L);
            long a3 = h.a(context, "pref1", this.d[4], 0L);
            long a4 = h.a(context, "pref1", this.d[5], 0L);
            if (a2 == 0 && a3 == 0 && a4 == 0) {
                return -1;
            }
            if (a2 > a3) {
                if (a2 > a4) {
                    return 3;
                }
                return 5;
            } else if (a3 > a4) {
                return 4;
            } else {
                return 5;
            }
        } catch (Throwable th) {
            return -1;
        }
    }

    public final void e(Context context) {
        try {
            SharedPreferences.Editor a2 = h.a(context, "pref1");
            for (int i2 = 0; i2 < this.d.length; i2++) {
                h.a(a2, this.d[i2], 0L);
            }
            h.a(a2);
        } catch (Throwable th) {
        }
    }

    public static void a(Context context, int i2, int i3, long j2, long j3) {
        if (i2 != -1 && i3 != -1) {
            try {
                a(context, "O012", i2, i3, j2, j3);
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "reportServiceAliveTime");
            }
        }
    }

    private static void a(Context context, String str, int i2, int i3, long j2, long j3) {
        if (context != null) {
            try {
                if (a.a()) {
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("param_int_first", i2);
                    jSONObject.put("param_int_second", i3);
                    jSONObject.put("param_long_first", j2);
                    jSONObject.put("param_long_second", j3);
                    a(context, str, jSONObject);
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "applyStatisticsEx");
            }
        }
    }

    public static synchronized void a(Context context, AMapLocation aMapLocation) {
        int i2;
        synchronized (g.class) {
            try {
                if (i.a(aMapLocation)) {
                    int locationType = aMapLocation.getLocationType();
                    boolean z = false;
                    if (locationType == 1) {
                        i2 = 0;
                        z = true;
                    } else if (locationType == 2 || locationType == 4) {
                        i2 = 1;
                        z = true;
                    } else if (locationType == 11) {
                        i2 = 4;
                        z = true;
                    } else if (locationType == 8) {
                        i2 = 3;
                        z = true;
                    } else if (locationType != 9) {
                        i2 = 0;
                    } else {
                        i2 = 2;
                        z = true;
                    }
                    if (z) {
                        int c2 = a.c();
                        if (c2 != 0) {
                            if (i2 == 0 || i2 == 4) {
                                if (c2 == 2) {
                                    return;
                                }
                            } else if (c2 == 1) {
                                return;
                            }
                        }
                        if (j == null) {
                            j = new JSONArray();
                        }
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put("lon", i.b(aMapLocation.getLongitude()));
                        jSONObject.put(d.C, i.b(aMapLocation.getLatitude()));
                        jSONObject.put("type", i2);
                        jSONObject.put("timestamp", i.a());
                        if (aMapLocation.getCoordType().equalsIgnoreCase(AMapLocation.COORD_TYPE_WGS84)) {
                            jSONObject.put(AbsoluteConst.JSONKEY_MAP_COORD_TYPE, 1);
                        } else {
                            jSONObject.put(AbsoluteConst.JSONKEY_MAP_COORD_TYPE, 2);
                        }
                        if (i2 == 0) {
                            JSONObject jSONObject2 = new JSONObject();
                            jSONObject2.put("accuracy", i.c((double) aMapLocation.getAccuracy()));
                            jSONObject2.put("altitude", i.c(aMapLocation.getAltitude()));
                            jSONObject2.put("bearing", i.c((double) aMapLocation.getBearing()));
                            jSONObject2.put("speed", i.c((double) aMapLocation.getSpeed()));
                            jSONObject.put("extension", jSONObject2);
                        }
                        JSONArray put = j.put(jSONObject);
                        j = put;
                        if (put.length() >= a.b()) {
                            f(context);
                        }
                    }
                }
            } catch (Throwable th) {
                b.a(th, "ReportUtil", "recordOfflineLocLog");
            }
        }
    }

    private static void f(Context context) {
        try {
            if (j != null && j.length() > 0) {
                hz.a(new hy(context, b.c(), j.toString()), context);
                j = null;
            }
        } catch (Throwable th) {
            b.a(th, "ReportUtil", "writeOfflineLocLog");
        }
    }

    private static String a(int i2) {
        if (i2 == 2011) {
            return "ContextIsNull";
        }
        if (i2 == 2031) {
            return "CreateApsReqException";
        }
        if (i2 == 2041) {
            return "ResponseResultIsNull";
        }
        if (i2 == 2081) {
            return "LocalLocException";
        }
        if (i2 == 2091) {
            return "InitException";
        }
        if (i2 == 2111) {
            return "ErrorCgiInfo";
        }
        if (i2 == 2121) {
            return "NotLocPermission";
        }
        if (i2 == 2141) {
            return "NoEnoughStatellites";
        }
        if (i2 == 2021) {
            return "OnlyMainWifi";
        }
        if (i2 == 2022) {
            return "OnlyOneWifiButNotMain";
        }
        if (i2 == 2061) {
            return "ServerRetypeError";
        }
        if (i2 == 2062) {
            return "ServerLocFail";
        }
        switch (i2) {
            case 2051:
                return "NeedLoginNetWork\t";
            case 2052:
                return "MaybeIntercepted";
            case 2053:
                return "DecryptResponseException";
            case 2054:
                return "ParserDataException";
            default:
                switch (i2) {
                    case 2101:
                        return "BindAPSServiceException";
                    case 2102:
                        return "AuthClientScodeFail";
                    case 2103:
                        return "NotConfigAPSService";
                    default:
                        switch (i2) {
                            case 2131:
                                return "NoCgiOAndWifiInfo";
                            case 2132:
                                return "AirPlaneModeAndWifiOff";
                            case 2133:
                                return "NoCgiAndWifiOff";
                            default:
                                switch (i2) {
                                    case 2151:
                                        return "MaybeMockNetLoc";
                                    case 2152:
                                        return "MaybeMockGPSLoc";
                                    case 2153:
                                        return "UNSUPPORT_COARSE_LBSLOC";
                                    case 2154:
                                        return "UNSUPPORT_CONTINUE_LOC";
                                    default:
                                        return "";
                                }
                        }
                }
        }
    }

    public static void a(String str, int i2) {
        a(str, String.valueOf(i2), a(i2));
    }

    public static void a(String str, String str2, String str3) {
        try {
            gn.a(b.c(), "/mobile/binary", str3, str, str2);
        } catch (Throwable th) {
        }
    }

    public static void a(String str, Throwable th) {
        try {
            if (th instanceof ff) {
                gn.a(b.c(), str, (ff) th);
            }
        } catch (Throwable th2) {
        }
    }

    public static void a(AMapLocation aMapLocation, AMapLocation aMapLocation2) {
        try {
            if (g == null) {
                if (!i.a(aMapLocation)) {
                    g = aMapLocation2;
                    return;
                }
                g = aMapLocation.clone();
            }
            if (i.a(g) && i.a(aMapLocation2)) {
                AMapLocation clone = aMapLocation2.clone();
                if (!(g.getLocationType() == 1 || g.getLocationType() == 9 || GeocodeSearch.GPS.equalsIgnoreCase(g.getProvider()) || g.getLocationType() == 7 || clone.getLocationType() == 1 || clone.getLocationType() == 9 || GeocodeSearch.GPS.equalsIgnoreCase(clone.getProvider()) || clone.getLocationType() == 7)) {
                    long abs = Math.abs(clone.getTime() - g.getTime()) / 1000;
                    if (abs <= 0) {
                        abs = 1;
                    }
                    if (abs <= 1800) {
                        float a2 = i.a(g, clone);
                        float f2 = a2 / ((float) abs);
                        if (a2 > 30000.0f && f2 > 1000.0f) {
                            StringBuilder sb = new StringBuilder();
                            sb.append(g.getLatitude());
                            sb.append(",");
                            sb.append(g.getLongitude());
                            sb.append(",");
                            sb.append(g.getAccuracy());
                            sb.append(",");
                            sb.append(g.getLocationType());
                            sb.append(",");
                            if (aMapLocation.getTime() != 0) {
                                sb.append(i.a(g.getTime(), "yyyyMMdd_HH:mm:ss:SS"));
                            } else {
                                sb.append(g.getTime());
                            }
                            sb.append("#");
                            sb.append(clone.getLatitude());
                            sb.append(",");
                            sb.append(clone.getLongitude());
                            sb.append(",");
                            sb.append(clone.getAccuracy());
                            sb.append(",");
                            sb.append(clone.getLocationType());
                            sb.append(",");
                            if (clone.getTime() != 0) {
                                sb.append(i.a(clone.getTime(), "yyyyMMdd_HH:mm:ss:SS"));
                            } else {
                                sb.append(clone.getTime());
                            }
                            a("bigshiftstatistics", sb.toString());
                            sb.delete(0, sb.length());
                        }
                    }
                }
                g = clone;
            }
        } catch (Throwable th) {
        }
    }

    public static void a(long j2, long j3) {
        try {
            if (!h) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("gpsTime:");
                stringBuffer.append(i.a(j2, "yyyy-MM-dd HH:mm:ss.SSS"));
                stringBuffer.append(",");
                stringBuffer.append("sysTime:");
                stringBuffer.append(i.a(j3, "yyyy-MM-dd HH:mm:ss.SSS"));
                stringBuffer.append(",");
                long t = a.t();
                String str = "0";
                int i2 = (0 > t ? 1 : (0 == t ? 0 : -1));
                if (i2 != 0) {
                    str = i.a(t, "yyyy-MM-dd HH:mm:ss.SSS");
                }
                stringBuffer.append("serverTime:");
                stringBuffer.append(str);
                a("checkgpstime", stringBuffer.toString());
                if (i2 != 0 && Math.abs(j2 - t) < 31536000000L) {
                    stringBuffer.append(", correctError");
                    a("checkgpstimeerror", stringBuffer.toString());
                }
                stringBuffer.delete(0, stringBuffer.length());
                h = true;
            }
        } catch (Throwable th) {
        }
    }
}
