package com.baidu.speech.utils;

import android.content.Context;
import com.baidu.speech.utils.cuid.util.DeviceId;
import com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher;
import com.tencent.ugc.TXRecordCommon;
import java.io.File;

public class Policy {
    public static String app(Context context) {
        return "com.baidu.speech.demo".equals(context.getPackageName()) ? "" : context.getPackageName();
    }

    public static String modelVadDefaultResFile(Context context) {
        return String.format("%s/%s", context.getApplicationInfo().nativeLibraryDir, "libbd_easr_s1_merge_normal_20151216.dat.so");
    }

    public static String pfm(Context context) {
        return Util.pfm(context);
    }

    public static int sample(Context context) {
        if (Utility.is2G(context)) {
            return TXRecordCommon.AUDIO_SAMPLERATE_8000;
        }
        return 16000;
    }

    public static int taskTimeout() {
        return HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT;
    }

    public static String uiRetryFile(Context context) {
        return new File(context.getCacheDir(), "bd_asr_ui_repeat.pcm").toString();
    }

    public static String uid(Context context) {
        return DeviceId.getCUID(context);
    }

    public static String ver(Context context) {
        return "";
    }
}
