package com.baidu.speech.utils.cuid.security;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public final class SHA1Util {
    private SHA1Util() {
    }

    public static byte[] sha1(byte[] bArr) {
        try {
            return MessageDigest.getInstance("SHA-1").digest(bArr);
        } catch (NoSuchAlgorithmException e) {
            throw new RuntimeException(e);
        }
    }
}
