package com.coremedia.iso.boxes.apple;

import com.coremedia.iso.Utf8;

public final class AppleCustomGenreBox extends AbstractAppleMetaDataBox {
    public static final String TYPE = "©gen";

    public AppleCustomGenreBox() {
        super(TYPE);
        this.appleDataBox = AppleDataBox.getStringAppleDataBox();
    }

    public void setGenre(String genre) {
        this.appleDataBox = new AppleDataBox();
        this.appleDataBox.setVersion(0);
        this.appleDataBox.setFlags(1);
        this.appleDataBox.setFourBytes(new byte[4]);
        this.appleDataBox.setData(Utf8.convert(genre));
    }

    public String getGenre() {
        return Utf8.convert(this.appleDataBox.getData());
    }
}
