package com.efs.sdk.base.core.c;

import android.os.Handler;
import android.os.Message;
import com.efs.sdk.base.core.b.a;
import com.efs.sdk.base.core.b.f;
import com.efs.sdk.base.core.b.h;
import com.efs.sdk.base.core.c.f;
import com.efs.sdk.base.core.config.b;
import com.efs.sdk.base.core.controller.ControllerCenter;
import com.efs.sdk.base.core.f.e;
import com.efs.sdk.base.core.f.f;
import com.efs.sdk.base.core.util.Log;
import com.efs.sdk.base.core.util.NetworkUtil;
import com.efs.sdk.base.core.util.concurrent.WorkThreadUtil;
import java.io.File;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;

public final class d extends Handler {
    public int a;
    public c b;
    private c c;
    private List<String> d;
    private AtomicInteger e;
    private f f;

    static class a {
        private static final d a = new d((byte) 0);
    }

    /* synthetic */ d(byte b2) {
        this();
    }

    private d() {
        super(com.efs.sdk.base.core.util.concurrent.a.a.getLooper());
        this.a = 5;
        this.d = new ArrayList();
        this.e = new AtomicInteger(0);
        this.b = new a();
        this.c = new e();
        this.f = new h();
    }

    public static d a() {
        return a.a;
    }

    public final void handleMessage(Message message) {
        List<File> list;
        int i;
        super.handleMessage(message);
        if (f.a.a().a()) {
            int i2 = message.what;
            if (i2 == 0) {
                String b2 = b.a.a().b();
                if ("denied".equalsIgnoreCase(b2) || NetworkUtil.NETWORK_CLASS_DISCONNECTED.equalsIgnoreCase(b2)) {
                    Log.i("efs.send_log", "log cann't be send because net status is ".concat(String.valueOf(b2)));
                    sendEmptyMessageDelayed(0, ControllerCenter.getGlobalEnvStruct().getLogSendIntervalMills());
                    return;
                }
                List<com.efs.sdk.base.core.d.b> emptyList = Collections.emptyList();
                try {
                    com.efs.sdk.base.core.b.a aVar = a.b.a;
                    int i3 = this.a;
                    com.efs.sdk.base.core.b.f fVar = this.f;
                    aVar.a();
                    aVar.a();
                    File f2 = com.efs.sdk.base.core.util.a.f(ControllerCenter.getGlobalEnvStruct().mAppContext, ControllerCenter.getGlobalEnvStruct().getAppid());
                    if (!f2.exists()) {
                        list = Collections.emptyList();
                    } else {
                        List<File> d2 = com.efs.sdk.base.core.util.b.d(f2);
                        if (aVar.b) {
                            com.efs.sdk.base.core.f.f a2 = f.a.a();
                            int size = d2.size();
                            if (a2.b != null) {
                                if (ControllerCenter.getGlobalEnvStruct().isEnableWaStat()) {
                                    com.efs.sdk.base.core.f.b bVar = new com.efs.sdk.base.core.f.b("efs_core", "log_lag", a2.a.c);
                                    bVar.put("cnt", Integer.valueOf(size));
                                    a2.b.send(bVar);
                                }
                            }
                            aVar.b = false;
                        }
                        Collections.sort(d2, aVar.d);
                        ArrayList arrayList = new ArrayList(i3);
                        for (int size2 = d2.size() - 1; size2 >= 0 && arrayList.size() < i3; size2--) {
                            File file = d2.get(size2);
                            if (file.exists() && (fVar == null || !fVar.a(file))) {
                                arrayList.add(file);
                            }
                        }
                        list = arrayList;
                    }
                    ArrayList arrayList2 = new ArrayList(i3);
                    for (File file2 : list) {
                        com.efs.sdk.base.core.d.b a3 = aVar.a(file2);
                        if (a3 == null) {
                            Log.w("efs.cache", "file upload error, name is " + file2.getName());
                        } else {
                            arrayList2.add(a3);
                        }
                    }
                    emptyList = arrayList2;
                } catch (Throwable th) {
                }
                for (com.efs.sdk.base.core.d.b bVar2 : emptyList) {
                    if ("wa".equals(bVar2.a.a) || b.a().a(bVar2.a.a, bVar2.a())) {
                        c cVar = this.b;
                        if ("wa".equals(bVar2.a.a)) {
                            cVar = this.c;
                        }
                        String uuid = UUID.randomUUID().toString();
                        this.d.add(uuid);
                        if (WorkThreadUtil.submit(new e(bVar2, cVar, uuid)) == null) {
                            a(uuid, -1);
                        }
                    }
                }
                if (this.d.size() <= 0) {
                    sendEmptyMessageDelayed(0, ControllerCenter.getGlobalEnvStruct().getLogSendIntervalMills());
                }
            } else if (i2 == 1) {
                Object obj = message.obj;
                if (obj != null) {
                    this.d.remove(obj.toString());
                }
                if (message.arg1 != 0) {
                    i = this.e.incrementAndGet();
                } else {
                    i = 0;
                }
                if (!this.d.isEmpty()) {
                    return;
                }
                if (i < 5) {
                    sendEmptyMessage(0);
                    return;
                }
                this.e.set(0);
                sendEmptyMessageDelayed(0, ControllerCenter.getGlobalEnvStruct().getLogSendDelayMills());
                Log.i("efs.send_log", "request error cnt gt 5, next request delay 10s");
            }
        }
    }

    /* access modifiers changed from: package-private */
    public final void a(Object obj, int i) {
        Message obtain = Message.obtain();
        obtain.what = 1;
        obtain.obj = obj;
        obtain.arg1 = i;
        sendMessage(obtain);
    }
}
