package com.getui.gtc.a.a;

import android.os.Process;
import android.text.TextUtils;
import android.util.Base64;
import com.alipay.sdk.m.n.d;
import com.getui.gtc.i.c.a;
import com.tencent.connect.common.Constants;
import io.dcloud.common.util.Md5Utils;
import java.io.ByteArrayOutputStream;
import java.io.DataOutputStream;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.security.KeyFactory;
import java.security.MessageDigest;
import java.security.PublicKey;
import java.security.SecureRandom;
import java.security.spec.X509EncodedKeySpec;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.crypto.Cipher;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

public final class b implements Runnable {
    public f a;
    private HttpURLConnection b;
    private boolean c = false;
    private SecretKeySpec d;

    public b(f fVar) {
        this.a = fVar;
        byte[] bArr = new byte[16];
        new SecureRandom().nextBytes(bArr);
        this.d = new SecretKeySpec(bArr, "AES/CFB/NoPadding");
    }

    private void a() {
        HttpURLConnection httpURLConnection = this.b;
        if (httpURLConnection != null) {
            try {
                httpURLConnection.disconnect();
                this.b = null;
            } catch (Throwable th) {
                a.b(th);
            }
        }
    }

    private byte[] a(HttpURLConnection httpURLConnection, byte[] bArr) {
        try {
            if (!this.a.d) {
                return this.a.g ? p.b(c.a(bArr)) : bArr;
            }
            String headerField = httpURLConnection.getHeaderField("GT_ERR");
            if (headerField != null) {
                if ("0".equals(headerField)) {
                    String headerField2 = httpURLConnection.getHeaderField("GT_T");
                    if (headerField2 != null) {
                        byte[] bytes = headerField2.getBytes();
                        MessageDigest instance = MessageDigest.getInstance(Md5Utils.ALGORITHM);
                        instance.update(bytes);
                        IvParameterSpec ivParameterSpec = new IvParameterSpec(instance.digest());
                        String headerField3 = httpURLConnection.getHeaderField("GT_C_S");
                        if (headerField3 != null) {
                            byte[] decode = Base64.decode(headerField3, 2);
                            Cipher instance2 = Cipher.getInstance("AES/CFB/NoPadding");
                            instance2.init(2, this.d, ivParameterSpec);
                            byte[] doFinal = instance2.doFinal(bArr);
                            byte[] bArr2 = new byte[(doFinal.length + bytes.length)];
                            System.arraycopy(bytes, 0, bArr2, 0, bytes.length);
                            System.arraycopy(doFinal, 0, bArr2, bytes.length, doFinal.length);
                            MessageDigest instance3 = MessageDigest.getInstance("SHA1");
                            instance3.update(bArr2);
                            if (Arrays.equals(instance3.digest(), decode)) {
                                return doFinal;
                            }
                            throw new SecurityException("sdk config response error, response body sign check failed");
                        }
                        throw new SecurityException("sdk config response error, GT_C_S header not found");
                    }
                    throw new SecurityException("sdk config response error, GT_T header not found");
                }
            }
            if (headerField != null) {
                throw new SecurityException("sdk config response error, error code is ".concat(String.valueOf(headerField)));
            }
            throw new SecurityException("sdk config response error, GT_ERR header not found");
        } catch (Throwable th) {
            a.b(th);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:108:0x019a A[SYNTHETIC, Splitter:B:108:0x019a] */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0155 A[Catch:{ all -> 0x0183, all -> 0x018a, all -> 0x0194, all -> 0x019e }] */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x0163 A[SYNTHETIC, Splitter:B:80:0x0163] */
    /* JADX WARNING: Removed duplicated region for block: B:85:0x016d A[SYNTHETIC, Splitter:B:85:0x016d] */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x0177 A[SYNTHETIC, Splitter:B:90:0x0177] */
    private byte[] a(Map<String, List<String>> map) {
        Throwable th;
        Throwable th2;
        DataOutputStream dataOutputStream;
        ByteArrayOutputStream byteArrayOutputStream;
        InputStream inputStream;
        InputStream inputStream2;
        ByteArrayOutputStream byteArrayOutputStream2;
        try {
            HttpURLConnection httpURLConnection = (HttpURLConnection) new URL(this.a.a).openConnection();
            this.b = httpURLConnection;
            httpURLConnection.setConnectTimeout(this.a.h);
            this.b.setReadTimeout(this.a.i);
            this.b.setDoInput(this.a.k);
            this.b.setDoOutput(this.a.j);
            this.b.setRequestMethod(Constants.HTTP_POST);
            this.b.setUseCaches(this.a.l);
            this.b.setInstanceFollowRedirects(this.a.m);
            for (String str : this.a.n.keySet()) {
                this.b.setRequestProperty(str, this.a.n.get(str));
            }
            byte[] bArr = this.a.b;
            if (this.a.d) {
                bArr = a(bArr);
            } else if (this.a.f) {
                bArr = p.a(bArr);
            }
            if (bArr == null) {
                a();
                return null;
            }
            this.b.connect();
            DataOutputStream dataOutputStream2 = new DataOutputStream(this.b.getOutputStream());
            try {
                dataOutputStream2.write(bArr, 0, bArr.length);
                dataOutputStream2.flush();
                if (this.b.getResponseCode() == 200) {
                    if (this.b.getHeaderFields() != null) {
                        map.putAll(this.b.getHeaderFields());
                    }
                    inputStream2 = this.b.getInputStream();
                    try {
                        byteArrayOutputStream2 = new ByteArrayOutputStream();
                        try {
                            byte[] bArr2 = new byte[1024];
                            while (true) {
                                int read = inputStream2.read(bArr2);
                                if (read == -1) {
                                    break;
                                }
                                byteArrayOutputStream2.write(bArr2, 0, read);
                            }
                            if (byteArrayOutputStream2.toByteArray() != null) {
                                byte[] a2 = a(this.b, byteArrayOutputStream2.toByteArray());
                                try {
                                    dataOutputStream2.close();
                                } catch (Throwable th3) {
                                    a.b(th3);
                                }
                                if (inputStream2 != null) {
                                    try {
                                        inputStream2.close();
                                    } catch (Throwable th4) {
                                        a.b(th4);
                                    }
                                }
                                try {
                                    byteArrayOutputStream2.close();
                                } catch (Throwable th5) {
                                    a.b(th5);
                                }
                                a();
                                return a2;
                            }
                        } catch (Throwable th6) {
                            inputStream = inputStream2;
                            th2 = th6;
                            dataOutputStream = dataOutputStream2;
                            byteArrayOutputStream = byteArrayOutputStream2;
                            try {
                                if (this.a != null) {
                                }
                                a.d(th2.toString());
                                if (dataOutputStream != null) {
                                }
                                if (inputStream != null) {
                                }
                                if (byteArrayOutputStream != null) {
                                }
                                a();
                                return null;
                            } catch (Throwable th7) {
                                a.b(th7);
                            }
                        }
                    } catch (Throwable th8) {
                        dataOutputStream = dataOutputStream2;
                        byteArrayOutputStream = null;
                        inputStream = inputStream2;
                        th2 = th8;
                        if (this.a != null) {
                        }
                        a.d(th2.toString());
                        if (dataOutputStream != null) {
                        }
                        if (inputStream != null) {
                        }
                        if (byteArrayOutputStream != null) {
                        }
                        a();
                        return null;
                    }
                } else {
                    if (this.a != null) {
                        this.a.a(this.b.getResponseCode());
                    }
                    inputStream2 = null;
                    byteArrayOutputStream2 = null;
                }
                try {
                    dataOutputStream2.close();
                } catch (Throwable th9) {
                    a.b(th9);
                }
                if (inputStream2 != null) {
                    try {
                        inputStream2.close();
                    } catch (Throwable th10) {
                        a.b(th10);
                    }
                }
                if (byteArrayOutputStream2 != null) {
                    try {
                        byteArrayOutputStream2.close();
                    } catch (Throwable th11) {
                        th = th11;
                    }
                }
            } catch (Throwable th12) {
                th2 = th12;
                inputStream = null;
                dataOutputStream = dataOutputStream2;
                byteArrayOutputStream = null;
                if (this.a != null) {
                    this.a.a();
                }
                a.d(th2.toString());
                if (dataOutputStream != null) {
                    try {
                        dataOutputStream.close();
                    } catch (Throwable th13) {
                        a.b(th13);
                    }
                }
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (Throwable th14) {
                        a.b(th14);
                    }
                }
                if (byteArrayOutputStream != null) {
                    try {
                        byteArrayOutputStream.close();
                    } catch (Throwable th15) {
                        th = th15;
                    }
                }
                a();
                return null;
            }
            a();
            return null;
            a();
            throw th;
            if (byteArrayOutputStream != null) {
                byteArrayOutputStream.close();
            }
            a();
            throw th;
            a.b(th);
            a();
            return null;
            if (inputStream != null) {
                inputStream.close();
            }
            if (byteArrayOutputStream != null) {
            }
            a();
            throw th;
        } catch (Throwable th16) {
            th2 = th16;
            inputStream = null;
            byteArrayOutputStream = null;
            dataOutputStream = null;
            if (this.a != null) {
            }
            a.d(th2.toString());
            if (dataOutputStream != null) {
            }
            if (inputStream != null) {
            }
            if (byteArrayOutputStream != null) {
            }
            a();
            return null;
        }
    }

    private byte[] a(byte[] bArr) {
        try {
            byte[] a2 = g.a(bArr);
            byte[] bArr2 = new byte[0];
            if (a2 == null) {
                a2 = bArr2;
            }
            String valueOf = String.valueOf(System.currentTimeMillis());
            byte[] bArr3 = new byte[16];
            new SecureRandom().nextBytes(bArr3);
            PublicKey generatePublic = KeyFactory.getInstance(d.a).generatePublic(new X509EncodedKeySpec(Base64.decode(com.igexin.push.a.k, 0)));
            Cipher instance = Cipher.getInstance("RSA/NONE/OAEPWithSHA1AndMGF1Padding");
            instance.init(1, generatePublic);
            byte[] doFinal = instance.doFinal(this.d.getEncoded());
            byte[] bArr4 = new byte[(doFinal.length + 16)];
            System.arraycopy(bArr3, 0, bArr4, 0, 16);
            System.arraycopy(doFinal, 0, bArr4, 16, doFinal.length);
            String encodeToString = Base64.encodeToString(bArr4, 2);
            byte[] bytes = valueOf.getBytes();
            byte[] bArr5 = new byte[(bytes.length + a2.length)];
            System.arraycopy(bytes, 0, bArr5, 0, bytes.length);
            System.arraycopy(a2, 0, bArr5, bytes.length, a2.length);
            MessageDigest instance2 = MessageDigest.getInstance("SHA1");
            instance2.update(bArr5);
            String encodeToString2 = Base64.encodeToString(instance2.digest(), 2);
            MessageDigest instance3 = MessageDigest.getInstance(Md5Utils.ALGORITHM);
            instance3.update(encodeToString2.getBytes());
            IvParameterSpec ivParameterSpec = new IvParameterSpec(instance3.digest());
            Cipher instance4 = Cipher.getInstance("AES/CFB/NoPadding");
            instance4.init(1, this.d, ivParameterSpec);
            byte[] doFinal2 = instance4.doFinal(a2);
            this.b.addRequestProperty("GT_T", valueOf);
            this.b.addRequestProperty("GT_C_T", "1");
            this.b.addRequestProperty("GT_C_K", com.igexin.push.a.j);
            this.b.addRequestProperty("GT_C_V", encodeToString);
            this.b.addRequestProperty("GT_C_S", encodeToString2);
            return doFinal2;
        } catch (Throwable th) {
            a.b(th);
            return null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:65:0x01a3 A[Catch:{ all -> 0x01c3, all -> 0x01ca, all -> 0x01d4 }] */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x01ad A[SYNTHETIC, Splitter:B:68:0x01ad] */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x01b7 A[SYNTHETIC, Splitter:B:73:0x01b7] */
    private byte[] b(Map<String, List<String>> map) {
        Throwable th;
        Throwable th2;
        ByteArrayOutputStream byteArrayOutputStream;
        InputStream inputStream;
        HttpURLConnection httpURLConnection;
        try {
            URL url = new URL(this.a.a);
            this.b = this.a.c == null ? (HttpURLConnection) url.openConnection() : (HttpURLConnection) this.a.c.openConnection(url);
            this.b.setConnectTimeout(this.a.h);
            this.b.setReadTimeout(this.a.i);
            this.b.setDoInput(this.a.k);
            this.b.setRequestMethod(Constants.HTTP_GET);
            this.b.setUseCaches(this.a.l);
            this.b.setInstanceFollowRedirects(this.a.m);
            for (String str : this.a.n.keySet()) {
                this.b.setRequestProperty(str, this.a.n.get(str));
            }
            if (this.a.d && (httpURLConnection = this.b) != null) {
                try {
                    httpURLConnection.addRequestProperty("GT_C_T", "1");
                    httpURLConnection.addRequestProperty("GT_C_K", com.igexin.push.a.j);
                    byte[] bArr = new byte[16];
                    new SecureRandom().nextBytes(bArr);
                    PublicKey generatePublic = KeyFactory.getInstance(d.a).generatePublic(new X509EncodedKeySpec(Base64.decode(com.igexin.push.a.k, 0)));
                    Cipher instance = Cipher.getInstance("RSA/NONE/OAEPWithSHA1AndMGF1Padding");
                    instance.init(1, generatePublic);
                    byte[] doFinal = instance.doFinal(this.d.getEncoded());
                    byte[] bArr2 = new byte[(doFinal.length + 16)];
                    System.arraycopy(bArr, 0, bArr2, 0, 16);
                    System.arraycopy(doFinal, 0, bArr2, 16, doFinal.length);
                    httpURLConnection.addRequestProperty("GT_C_V", Base64.encodeToString(bArr2, 2));
                    String valueOf = String.valueOf(System.currentTimeMillis());
                    httpURLConnection.addRequestProperty("GT_T", valueOf);
                    byte[] bytes = valueOf.getBytes();
                    byte[] bArr3 = new byte[(bytes.length + 0)];
                    System.arraycopy(bytes, 0, bArr3, 0, bytes.length);
                    System.arraycopy(new byte[0], 0, bArr3, bytes.length, 0);
                    MessageDigest instance2 = MessageDigest.getInstance("SHA1");
                    instance2.update(bArr3);
                    httpURLConnection.addRequestProperty("GT_C_S", Base64.encodeToString(instance2.digest(), 2));
                } catch (Throwable th3) {
                    a.b(th3);
                }
            }
            inputStream = this.b.getInputStream();
            try {
                byteArrayOutputStream = new ByteArrayOutputStream();
                try {
                    if (this.b.getResponseCode() == 200) {
                        if (this.b.getHeaderFields() != null) {
                            map.putAll(this.b.getHeaderFields());
                        }
                        byte[] bArr4 = new byte[1024];
                        while (true) {
                            int read = inputStream.read(bArr4);
                            if (read == -1) {
                                break;
                            }
                            byteArrayOutputStream.write(bArr4, 0, read);
                        }
                        if (byteArrayOutputStream.toByteArray() != null) {
                            byte[] a2 = a(this.b, byteArrayOutputStream.toByteArray());
                            if (inputStream != null) {
                                try {
                                    inputStream.close();
                                } catch (Throwable th4) {
                                    a.b(th4);
                                }
                            }
                            try {
                                byteArrayOutputStream.close();
                            } catch (Throwable th5) {
                                a.b(th5);
                            }
                            a();
                            return a2;
                        }
                    } else if (this.a != null) {
                        this.a.a(this.b.getResponseCode());
                    }
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (Throwable th6) {
                            a.b(th6);
                        }
                    }
                    try {
                        byteArrayOutputStream.close();
                    } catch (Throwable th7) {
                        th = th7;
                    }
                } catch (Throwable th8) {
                    th2 = th8;
                    try {
                        if (this.a != null) {
                            this.a.a();
                        }
                        a.b(th2);
                        if (inputStream != null) {
                            try {
                                inputStream.close();
                            } catch (Throwable th9) {
                                a.b(th9);
                            }
                        }
                        if (byteArrayOutputStream != null) {
                            try {
                                byteArrayOutputStream.close();
                            } catch (Throwable th10) {
                                th = th10;
                            }
                        }
                        a();
                        return null;
                    } catch (Throwable th11) {
                        a.b(th11);
                    }
                }
            } catch (Throwable th12) {
                th2 = th12;
                byteArrayOutputStream = null;
                if (this.a != null) {
                }
                a.b(th2);
                if (inputStream != null) {
                }
                if (byteArrayOutputStream != null) {
                }
                a();
                return null;
            }
        } catch (Throwable th13) {
            th2 = th13;
            inputStream = null;
            byteArrayOutputStream = null;
            if (this.a != null) {
            }
            a.b(th2);
            if (inputStream != null) {
            }
            if (byteArrayOutputStream != null) {
            }
            a();
            return null;
        }
        a();
        return null;
        a();
        throw th;
        a.b(th);
        a();
        return null;
        if (byteArrayOutputStream != null) {
            byteArrayOutputStream.close();
        }
        a();
        throw th;
    }

    public final void run() {
        try {
            Process.setThreadPriority(10);
            if (!this.c) {
                this.c = false;
                if (this.a != null && !TextUtils.isEmpty(this.a.a)) {
                    HashMap hashMap = new HashMap();
                    byte[] b2 = this.a.b == null ? b(hashMap) : a(hashMap);
                    if (b2 != null) {
                        this.a.a(hashMap, b2);
                    }
                }
            }
        } catch (Throwable th) {
            a.b(th);
        }
    }
}
