package com.getui.gtc.dim.c;

import android.content.Context;
import android.location.Location;
import android.net.wifi.WifiInfo;
import android.text.TextUtils;
import com.getui.gtc.dim.DimManager;
import com.getui.gtc.dim.DimRequest;
import com.getui.gtc.dim.bean.GtLocation;
import com.getui.gtc.dim.bean.GtWifiInfo;
import java.util.HashMap;
import java.util.Map;

public final class b {
    private static final Map<String, String> a = new HashMap<String, String>() {
        /* class com.getui.gtc.dim.c.b.AnonymousClass1 */

        {
            put("dim-2-1-18-4", "dim-2-1-18-1");
            put("dim-2-1-18-3", "dim-2-1-18-4");
            put("dim-2-1-17-3", "dim-2-1-17-1");
            put("dim-2-1-17-4", "dim-2-1-17-2");
        }
    };

    private static Object a(DimRequest dimRequest) {
        String str = a.get(dimRequest.getKey());
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        return DimManager.getInstance().get(new DimRequest.Builder(dimRequest).key(str).build());
    }

    public static String a(Context context, DimRequest dimRequest) {
        try {
            GtWifiInfo parseJson = GtWifiInfo.parseJson((String) a(dimRequest));
            String str = "";
            if (parseJson != null) {
                str = parseJson.getSSID();
            }
            return a.b(context, str);
        } catch (Throwable th) {
            com.getui.gtc.dim.e.b.b(th);
            return null;
        }
    }

    public static String a(DimRequest dimRequest, int i) {
        boolean isEmpty;
        GtWifiInfo gtWifiInfo;
        String str = null;
        try {
            com.getui.gtc.dim.e.b.a("get " + dimRequest.getKey() + " policy:" + i);
            WifiInfo wifiInfo = (WifiInfo) a(dimRequest);
            if (wifiInfo != null) {
                if (i == 0) {
                    return new GtWifiInfo(wifiInfo).toJsonString();
                }
                if (i == 1) {
                    return e.a(wifiInfo);
                }
                try {
                    str = e.a(wifiInfo);
                    if (isEmpty) {
                        return gtWifiInfo.toJsonString();
                    }
                } finally {
                    if (TextUtils.isEmpty(str)) {
                        new GtWifiInfo(wifiInfo).toJsonString();
                    }
                }
            }
        } catch (Throwable th) {
            com.getui.gtc.dim.e.b.b(th);
        }
        return str;
    }

    public static String b(DimRequest dimRequest, int i) {
        boolean isEmpty;
        GtLocation gtLocation;
        String str = null;
        try {
            com.getui.gtc.dim.e.b.a("get " + dimRequest.getKey() + " policy:" + i);
            Location location = (Location) a(dimRequest);
            if (location != null) {
                if (i == 0) {
                    return new GtLocation(location).toJsonString();
                }
                if (i == 1) {
                    return c.a(location);
                }
                try {
                    str = c.a(location);
                    if (isEmpty) {
                        return gtLocation.toJsonString();
                    }
                } finally {
                    if (TextUtils.isEmpty(str)) {
                        new GtLocation(location).toJsonString();
                    }
                }
            }
        } catch (Throwable th) {
            com.getui.gtc.dim.e.b.b(th);
        }
        return str;
    }
}
