package com.getui.gtc.g.a;

import android.content.Context;
import android.content.pm.ServiceInfo;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.util.Pair;
import com.getui.gtc.base.util.CommonUtil;
import com.igexin.push.GtPushInterface;
import com.meizu.cloud.pushsdk.notification.model.AdvanceSetting;
import com.umeng.analytics.pro.bg;

public final class a {
    Handler a;
    public GtPushInterface b;

    public a(final b bVar) {
        final HandlerThread handlerThread = new HandlerThread("Plugin Handler Thread");
        handlerThread.start();
        this.a = new Handler(handlerThread.getLooper()) {
            /* class com.getui.gtc.g.a.a.AnonymousClass1 */

            public final void handleMessage(Message message) {
                try {
                    if (message.what >= 0) {
                        boolean loadSdk = a.this.b.loadSdk(message.getData());
                        if (bVar != null) {
                            bVar.a(loadSdk);
                        }
                        handlerThread.quit();
                        a.this.a = null;
                    } else if (bVar != null) {
                        bVar.a(false);
                    }
                } catch (Exception e) {
                    com.getui.gtc.i.c.a.a(e);
                    b bVar = bVar;
                    if (bVar != null) {
                        bVar.a(false);
                    }
                }
            }
        };
    }

    public static Pair<ServiceInfo, Class> a(Context context, Class cls) {
        boolean z;
        try {
            ServiceInfo[] serviceInfoArr = CommonUtil.getPackageInfoForSelf(context).services;
            if (serviceInfoArr == null || serviceInfoArr.length <= 0) {
                com.getui.gtc.i.c.a.b("no any service");
                return Pair.create(null, null);
            }
            for (ServiceInfo serviceInfo : serviceInfoArr) {
                try {
                    Class<?> cls2 = Class.forName(serviceInfo.name);
                    if (cls2 != cls) {
                        int i = 5;
                        Class<?> cls3 = cls2;
                        while (true) {
                            if (cls3 != null && cls != null) {
                                if (i > 0) {
                                    if (cls3 == cls) {
                                        z = true;
                                        break;
                                    }
                                    if (cls3.getSuperclass() == null) {
                                        break;
                                    }
                                    cls3 = cls3.getSuperclass();
                                    i--;
                                } else {
                                    break;
                                }
                            } else {
                                break;
                            }
                        }
                        z = false;
                        if (z) {
                            return Pair.create(serviceInfo, cls2);
                        }
                    }
                } catch (Throwable th) {
                }
            }
            return Pair.create(null, null);
        } catch (Throwable th2) {
            com.getui.gtc.i.c.a.a("findGtImplClassInManifest error", th2);
        }
    }

    public final void a(String str, String str2, String str3, String str4, String str5) {
        Bundle bundle = new Bundle();
        bundle.putString("dp", str);
        bundle.putString("od", str2);
        bundle.putString(AdvanceSetting.CLEAR_NOTIFICATION, str3);
        bundle.putString(bg.aw, str4);
        bundle.putString("gd", str5);
        Message obtain = Message.obtain();
        obtain.setData(bundle);
        obtain.what = 0;
        Handler handler = this.a;
        if (handler != null) {
            obtain.setTarget(handler);
            obtain.sendToTarget();
        }
    }
}
