package com.github.faucamp.simplertmp;

import java.util.concurrent.atomic.AtomicInteger;

public interface RtmpPublisher {
    void close();

    boolean connect(String str);

    int getServerId();

    String getServerIpAddr();

    int getServerPid();

    AtomicInteger getVideoFrameCacheNumber();

    boolean publish(String str);

    void publishAudioData(byte[] bArr, int i, int i2);

    void publishVideoData(byte[] bArr, int i, int i2);

    void setVideoResolution(int i, int i2);
}
