package com.github.faucamp.simplertmp.amf;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class AmfUndefined implements AmfData {
    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void writeTo(OutputStream out) throws IOException {
        out.write(AmfType.UNDEFINED.getValue());
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public void readFrom(InputStream in) throws IOException {
    }

    public static void writeUndefinedTo(OutputStream out) throws IOException {
        out.write(AmfType.UNDEFINED.getValue());
    }

    @Override // com.github.faucamp.simplertmp.amf.AmfData
    public int getSize() {
        return 1;
    }
}
