package com.github.faucamp.simplertmp.io;

import com.github.faucamp.simplertmp.packets.RtmpPacket;

public class WindowAckRequired extends Exception {
    private int bytesRead;
    private RtmpPacket rtmpPacket;

    public WindowAckRequired(int bytesReadThusFar, RtmpPacket rtmpPacket2) {
        this.rtmpPacket = rtmpPacket2;
        this.bytesRead = bytesReadThusFar;
    }

    public RtmpPacket getRtmpPacket() {
        return this.rtmpPacket;
    }

    public int getBytesRead() {
        return this.bytesRead;
    }
}
