package com.google.android.exoplayer2.a;

import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Handler;
import android.view.Surface;
import com.google.android.exoplayer2.a.d;
import com.google.android.exoplayer2.a.e;
import com.google.android.exoplayer2.c.e;
import com.google.android.exoplayer2.e.b;
import com.google.android.exoplayer2.e.c;
import com.google.android.exoplayer2.e.d;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.g;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.o;
import java.nio.ByteBuffer;

/* compiled from: MediaCodecAudioRenderer */
public class h extends b implements g {
    private final d.a b;
    private final e c;
    private boolean d;
    private boolean e;
    private MediaFormat f;
    private int g;
    private int h;
    private long i;
    private boolean j;

    public h(c cVar, com.google.android.exoplayer2.c.c<e> cVar2, boolean z, Handler handler, d dVar, b bVar, c... cVarArr) {
        super(1, cVar, cVar2, z);
        this.c = new e(bVar, cVarArr, new a());
        this.b = new d.a(handler, dVar);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public int a(c cVar, j jVar) throws d.b {
        String str = jVar.f;
        boolean z = false;
        if (!com.google.android.exoplayer2.j.h.a(str)) {
            return 0;
        }
        int i2 = t.a >= 21 ? 16 : 0;
        int i3 = 3;
        if (a(str) && cVar.a() != null) {
            return i2 | 4 | 3;
        }
        com.google.android.exoplayer2.e.a a2 = cVar.a(str, false);
        if (a2 == null) {
            return 1;
        }
        if (t.a < 21 || ((jVar.s == -1 || a2.a(jVar.s)) && (jVar.r == -1 || a2.b(jVar.r)))) {
            z = true;
        }
        if (!z) {
            i3 = 2;
        }
        return i2 | 4 | i3;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public com.google.android.exoplayer2.e.a a(c cVar, j jVar, boolean z) throws d.b {
        com.google.android.exoplayer2.e.a a2;
        if (!a(jVar.f) || (a2 = cVar.a()) == null) {
            this.d = false;
            return super.a(cVar, jVar, z);
        }
        this.d = true;
        return a2;
    }

    /* access modifiers changed from: protected */
    public boolean a(String str) {
        return this.c.a(str);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public void a(com.google.android.exoplayer2.e.a aVar, MediaCodec mediaCodec, j jVar, MediaCrypto mediaCrypto) {
        this.e = b(aVar.a);
        if (this.d) {
            MediaFormat b2 = jVar.b();
            this.f = b2;
            b2.setString("mime", "audio/raw");
            mediaCodec.configure(this.f, (Surface) null, mediaCrypto, 0);
            this.f.setString("mime", jVar.f);
            return;
        }
        mediaCodec.configure(jVar.b(), (Surface) null, mediaCrypto, 0);
        this.f = null;
    }

    @Override // com.google.android.exoplayer2.p, com.google.android.exoplayer2.a
    public g c() {
        return this;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public void a(String str, long j2, long j3) {
        this.b.a(str, j2, j3);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public void b(j jVar) throws com.google.android.exoplayer2.e {
        super.b(jVar);
        this.b.a(jVar);
        this.g = "audio/raw".equals(jVar.f) ? jVar.t : 2;
        this.h = jVar.r;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public void a(MediaCodec mediaCodec, MediaFormat mediaFormat) throws com.google.android.exoplayer2.e {
        int[] iArr;
        int i2;
        boolean z = this.f != null;
        String string = z ? this.f.getString("mime") : "audio/raw";
        if (z) {
            mediaFormat = this.f;
        }
        int integer = mediaFormat.getInteger("channel-count");
        int integer2 = mediaFormat.getInteger("sample-rate");
        if (!this.e || integer != 6 || (i2 = this.h) >= 6) {
            iArr = null;
        } else {
            int[] iArr2 = new int[i2];
            for (int i3 = 0; i3 < this.h; i3++) {
                iArr2[i3] = i3;
            }
            iArr = iArr2;
        }
        try {
            this.c.a(string, integer, integer2, this.g, 0, iArr);
        } catch (e.c e2) {
            throw com.google.android.exoplayer2.e.a(e2, r());
        }
    }

    /* access modifiers changed from: protected */
    public void b(int i2) {
    }

    /* access modifiers changed from: protected */
    public void v() {
    }

    /* access modifiers changed from: protected */
    public void a(int i2, long j2, long j3) {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.e.b
    public void a(boolean z) throws com.google.android.exoplayer2.e {
        super.a(z);
        this.b.a(this.a);
        int i2 = q().b;
        if (i2 != 0) {
            this.c.b(i2);
        } else {
            this.c.g();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.e.b
    public void a(long j2, boolean z) throws com.google.android.exoplayer2.e {
        super.a(j2, z);
        this.c.i();
        this.i = j2;
        this.j = true;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.e.b
    public void n() {
        super.n();
        this.c.a();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.e.b
    public void o() {
        this.c.h();
        super.o();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.e.b
    public void p() {
        try {
            this.c.j();
            try {
                super.p();
            } finally {
                this.a.a();
                this.b.b(this.a);
            }
        } catch (Throwable th) {
            super.p();
            throw th;
        } finally {
            this.a.a();
            this.b.b(this.a);
        }
    }

    @Override // com.google.android.exoplayer2.p, com.google.android.exoplayer2.e.b
    public boolean u() {
        return super.u() && this.c.d();
    }

    @Override // com.google.android.exoplayer2.p, com.google.android.exoplayer2.e.b
    public boolean t() {
        return this.c.e() || super.t();
    }

    @Override // com.google.android.exoplayer2.j.g
    public long w() {
        long a2 = this.c.a(u());
        if (a2 != Long.MIN_VALUE) {
            if (!this.j) {
                a2 = Math.max(this.i, a2);
            }
            this.i = a2;
            this.j = false;
        }
        return this.i;
    }

    @Override // com.google.android.exoplayer2.j.g
    public o a(o oVar) {
        return this.c.a(oVar);
    }

    @Override // com.google.android.exoplayer2.j.g
    public o x() {
        return this.c.f();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public boolean a(long j2, long j3, MediaCodec mediaCodec, ByteBuffer byteBuffer, int i2, int i3, long j4, boolean z) throws com.google.android.exoplayer2.e {
        if (this.d && (i3 & 2) != 0) {
            mediaCodec.releaseOutputBuffer(i2, false);
            return true;
        } else if (z) {
            mediaCodec.releaseOutputBuffer(i2, false);
            this.a.e++;
            this.c.b();
            return true;
        } else {
            try {
                if (!this.c.a(byteBuffer, j4)) {
                    return false;
                }
                mediaCodec.releaseOutputBuffer(i2, false);
                this.a.d++;
                return true;
            } catch (e.d | e.h e2) {
                throw com.google.android.exoplayer2.e.a(e2, r());
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.e.b
    public void y() throws com.google.android.exoplayer2.e {
        try {
            this.c.c();
        } catch (e.h e2) {
            throw com.google.android.exoplayer2.e.a(e2, r());
        }
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.f.b
    public void a(int i2, Object obj) throws com.google.android.exoplayer2.e {
        if (i2 == 2) {
            this.c.a(((Float) obj).floatValue());
        } else if (i2 != 3) {
            super.a(i2, obj);
        } else {
            this.c.a(((Integer) obj).intValue());
        }
    }

    private static boolean b(String str) {
        return t.a < 24 && "OMX.SEC.aac.dec".equals(str) && "samsung".equals(t.c) && (t.b.startsWith("zeroflte") || t.b.startsWith("herolte") || t.b.startsWith("heroqlte"));
    }

    /* compiled from: MediaCodecAudioRenderer */
    private final class a implements e.f {
        private a() {
        }

        @Override // com.google.android.exoplayer2.a.e.f
        public void a(int i) {
            h.this.b.a(i);
            h.this.b(i);
        }

        @Override // com.google.android.exoplayer2.a.e.f
        public void a() {
            h.this.v();
            h.this.j = true;
        }

        @Override // com.google.android.exoplayer2.a.e.f
        public void a(int i, long j, long j2) {
            h.this.b.a(i, j, j2);
            h.this.a(i, j, j2);
        }
    }
}
