package com.google.android.exoplayer2.d.b;

import android.util.SparseArray;
import androidtranscoder.format.MediaFormatExtraConstants;
import com.alibaba.fastjson.asm.Opcodes;
import com.alibaba.fastjson.parser.JSONLexer;
import com.google.android.exoplayer2.c.a;
import com.google.android.exoplayer2.d.f;
import com.google.android.exoplayer2.d.g;
import com.google.android.exoplayer2.d.h;
import com.google.android.exoplayer2.d.i;
import com.google.android.exoplayer2.d.l;
import com.google.android.exoplayer2.d.m;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.k;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.k.c;
import com.google.android.exoplayer2.n;
import com.tencent.mm.opensdk.modelmsg.WXVideoFileObject;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.ugc.TXRecordCommon;
import com.uc.crashsdk.export.CrashStatKey;
import io.dcloud.common.DHInterface.IApp;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Locale;
import java.util.UUID;
import org.mozilla.universalchardet.prober.HebrewProber;

/* compiled from: MatroskaExtractor */
public final class d implements f {
    public static final i a = new i() {
        /* class com.google.android.exoplayer2.d.b.d.AnonymousClass1 */

        @Override // com.google.android.exoplayer2.d.i
        public f[] a() {
            return new f[]{new d()};
        }
    };
    private static final byte[] b = {49, 10, 48, 48, 58, 48, 48, 58, 48, 48, 44, 48, 48, 48, HebrewProber.SPACE, 45, 45, 62, HebrewProber.SPACE, 48, 48, 58, 48, 48, 58, 48, 48, 44, 48, 48, 48, 10};
    private static final byte[] c = {HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE, HebrewProber.SPACE};
    private static final UUID d = new UUID(72057594037932032L, -9223371306706625679L);
    private long A;
    private boolean B;
    private long C;
    private long D;
    private long E;
    private com.google.android.exoplayer2.j.f F;
    private com.google.android.exoplayer2.j.f G;
    private boolean H;
    private int I;
    private long J;
    private long K;
    private int L;
    private int M;
    private int[] N;
    private int O;
    private int P;
    private int Q;
    private int R;
    private boolean S;
    private boolean T;
    private boolean U;
    private boolean V;
    private byte W;
    private int X;
    private int Y;
    private int Z;
    private boolean aa;
    private boolean ab;
    private h ac;
    private final b e;
    private final f f;
    private final SparseArray<b> g;
    private final boolean h;
    private final k i;
    private final k j;
    private final k k;
    private final k l;
    private final k m;
    private final k n;
    private final k o;
    private final k p;
    private final k q;
    private ByteBuffer r;
    private long s;
    private long t;
    private long u;
    private long v;
    private long w;
    private b x;
    private boolean y;
    private int z;

    public d() {
        this(0);
    }

    public d(int i2) {
        this(new a(), i2);
    }

    d(b bVar, int i2) {
        this.t = -1;
        this.u = -9223372036854775807L;
        this.v = -9223372036854775807L;
        this.w = -9223372036854775807L;
        this.C = -1;
        this.D = -1;
        this.E = -9223372036854775807L;
        this.e = bVar;
        bVar.a(new a());
        this.h = (i2 & 1) != 0 ? false : true;
        this.f = new f();
        this.g = new SparseArray<>();
        this.k = new k(4);
        this.l = new k(ByteBuffer.allocate(4).putInt(-1).array());
        this.m = new k(4);
        this.i = new k(com.google.android.exoplayer2.j.i.a);
        this.j = new k(4);
        this.n = new k();
        this.o = new k();
        this.p = new k(8);
        this.q = new k();
    }

    @Override // com.google.android.exoplayer2.d.f
    public boolean a(g gVar) throws IOException, InterruptedException {
        return new e().a(gVar);
    }

    @Override // com.google.android.exoplayer2.d.f
    public void a(h hVar) {
        this.ac = hVar;
    }

    @Override // com.google.android.exoplayer2.d.f
    public void a(long j2, long j3) {
        this.E = -9223372036854775807L;
        this.I = 0;
        this.e.a();
        this.f.a();
        b();
    }

    @Override // com.google.android.exoplayer2.d.f
    public void c() {
    }

    @Override // com.google.android.exoplayer2.d.f
    public int a(g gVar, l lVar) throws IOException, InterruptedException {
        this.aa = false;
        boolean z2 = true;
        while (z2 && !this.aa) {
            z2 = this.e.a(gVar);
            if (z2 && a(lVar, gVar.c())) {
                return 1;
            }
        }
        if (z2) {
            return 0;
        }
        return -1;
    }

    /* access modifiers changed from: package-private */
    public int a(int i2) {
        switch (i2) {
            case TbsListener.ErrorCode.DOWNLOAD_USER_CANCEL /*{ENCODED_INT: 131}*/:
            case 136:
            case TbsListener.ErrorCode.NO_NEED_STARTDOWNLOAD /*{ENCODED_INT: 155}*/:
            case 159:
            case 176:
            case 179:
            case 186:
            case 215:
            case TbsListener.ErrorCode.RENAME_FAIL /*{ENCODED_INT: 231}*/:
            case 241:
            case 251:
            case 16980:
            case 17029:
            case 17143:
            case 18401:
            case 18408:
            case 20529:
            case 20530:
            case 21420:
            case 21432:
            case 21680:
            case 21682:
            case 21690:
            case 21930:
            case 21945:
            case 21946:
            case 21947:
            case 21948:
            case 21949:
            case 22186:
            case 22203:
            case 25188:
            case 2352003:
            case 2807729:
                return 2;
            case TbsListener.ErrorCode.DOWNLOAD_USER_PAUSE /*{ENCODED_INT: 134}*/:
            case 17026:
            case 2274716:
                return 3;
            case 160:
            case 174:
            case Opcodes.INVOKESPECIAL:
            case Opcodes.NEW:
            case 224:
            case 225:
            case 18407:
            case 19899:
            case 20532:
            case 20533:
            case 21936:
            case 21968:
            case 25152:
            case 28032:
            case 30320:
            case 290298740:
            case 357149030:
            case 374648427:
            case 408125543:
            case 440786851:
            case 475249515:
            case 524531317:
                return 1;
            case 161:
            case Opcodes.IF_ICMPGT:
            case 16981:
            case 18402:
            case 21419:
            case 25506:
            case 30322:
                return 4;
            case Opcodes.PUTFIELD:
            case 17545:
            case 21969:
            case 21970:
            case 21971:
            case 21972:
            case 21973:
            case 21974:
            case 21975:
            case 21976:
            case 21977:
            case 21978:
                return 5;
            default:
                return 0;
        }
    }

    /* access modifiers changed from: package-private */
    public boolean b(int i2) {
        return i2 == 357149030 || i2 == 524531317 || i2 == 475249515 || i2 == 374648427;
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, long j2, long j3) throws n {
        if (i2 == 160) {
            this.ab = false;
        } else if (i2 == 174) {
            this.x = new b();
        } else if (i2 == 187) {
            this.H = false;
        } else if (i2 == 19899) {
            this.z = -1;
            this.A = -1;
        } else if (i2 == 20533) {
            this.x.e = true;
        } else if (i2 == 21968) {
            this.x.q = true;
        } else if (i2 == 408125543) {
            long j4 = this.t;
            if (j4 == -1 || j4 == j2) {
                this.t = j2;
                this.s = j3;
                return;
            }
            throw new n("Multiple Segment elements not supported");
        } else if (i2 == 475249515) {
            this.F = new com.google.android.exoplayer2.j.f();
            this.G = new com.google.android.exoplayer2.j.f();
        } else if (i2 != 524531317 || this.y) {
        } else {
            if (!this.h || this.C == -1) {
                this.ac.a(new m.a(this.w));
                this.y = true;
                return;
            }
            this.B = true;
        }
    }

    /* access modifiers changed from: package-private */
    public void c(int i2) throws n {
        if (i2 != 160) {
            if (i2 == 174) {
                if (a(this.x.a)) {
                    b bVar = this.x;
                    bVar.a(this.ac, bVar.b);
                    this.g.put(this.x.b, this.x);
                }
                this.x = null;
            } else if (i2 == 19899) {
                int i3 = this.z;
                if (i3 != -1) {
                    long j2 = this.A;
                    if (j2 != -1) {
                        if (i3 == 475249515) {
                            this.C = j2;
                            return;
                        }
                        return;
                    }
                }
                throw new n("Mandatory element SeekID or SeekPosition not found");
            } else if (i2 != 25152) {
                if (i2 != 28032) {
                    if (i2 == 357149030) {
                        if (this.u == -9223372036854775807L) {
                            this.u = 1000000;
                        }
                        long j3 = this.v;
                        if (j3 != -9223372036854775807L) {
                            this.w = a(j3);
                        }
                    } else if (i2 != 374648427) {
                        if (i2 == 475249515 && !this.y) {
                            this.ac.a(d());
                            this.y = true;
                        }
                    } else if (this.g.size() != 0) {
                        this.ac.a();
                    } else {
                        throw new n("No valid tracks were found");
                    }
                } else if (this.x.e && this.x.f != null) {
                    throw new n("Combining encryption and compression is not supported");
                }
            } else if (!this.x.e) {
            } else {
                if (this.x.g != null) {
                    this.x.i = new com.google.android.exoplayer2.c.a(new a.C0058a(com.google.android.exoplayer2.b.b, "video/webm", this.x.g));
                    return;
                }
                throw new n("Encrypted Track found but ContentEncKeyID was not found");
            }
        } else if (this.I == 2) {
            if (!this.ab) {
                this.Q |= 1;
            }
            a(this.g.get(this.O), this.J);
            this.I = 0;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, long j2) throws n {
        if (i2 != 20529) {
            if (i2 != 20530) {
                boolean z2 = false;
                switch (i2) {
                    case TbsListener.ErrorCode.DOWNLOAD_USER_CANCEL /*{ENCODED_INT: 131}*/:
                        this.x.c = (int) j2;
                        return;
                    case 136:
                        b bVar = this.x;
                        if (j2 == 1) {
                            z2 = true;
                        }
                        bVar.L = z2;
                        return;
                    case TbsListener.ErrorCode.NO_NEED_STARTDOWNLOAD /*{ENCODED_INT: 155}*/:
                        this.K = a(j2);
                        return;
                    case 159:
                        this.x.G = (int) j2;
                        return;
                    case 176:
                        this.x.j = (int) j2;
                        return;
                    case 179:
                        this.F.a(a(j2));
                        return;
                    case 186:
                        this.x.k = (int) j2;
                        return;
                    case 215:
                        this.x.b = (int) j2;
                        return;
                    case TbsListener.ErrorCode.RENAME_FAIL /*{ENCODED_INT: 231}*/:
                        this.E = a(j2);
                        return;
                    case 241:
                        if (!this.H) {
                            this.G.a(j2);
                            this.H = true;
                            return;
                        }
                        return;
                    case 251:
                        this.ab = true;
                        return;
                    case 16980:
                        if (j2 != 3) {
                            throw new n("ContentCompAlgo " + j2 + " not supported");
                        }
                        return;
                    case 17029:
                        if (j2 < 1 || j2 > 2) {
                            throw new n("DocTypeReadVersion " + j2 + " not supported");
                        }
                        return;
                    case 17143:
                        if (j2 != 1) {
                            throw new n("EBMLReadVersion " + j2 + " not supported");
                        }
                        return;
                    case 18401:
                        if (j2 != 5) {
                            throw new n("ContentEncAlgo " + j2 + " not supported");
                        }
                        return;
                    case 18408:
                        if (j2 != 1) {
                            throw new n("AESSettingsCipherMode " + j2 + " not supported");
                        }
                        return;
                    case 21420:
                        this.A = j2 + this.t;
                        return;
                    case 21432:
                        int i3 = (int) j2;
                        if (i3 == 0) {
                            this.x.p = 0;
                            return;
                        } else if (i3 == 1) {
                            this.x.p = 2;
                            return;
                        } else if (i3 == 3) {
                            this.x.p = 1;
                            return;
                        } else if (i3 == 15) {
                            this.x.p = 3;
                            return;
                        } else {
                            return;
                        }
                    case 21680:
                        this.x.l = (int) j2;
                        return;
                    case 21682:
                        this.x.n = (int) j2;
                        return;
                    case 21690:
                        this.x.m = (int) j2;
                        return;
                    case 21930:
                        b bVar2 = this.x;
                        if (j2 == 1) {
                            z2 = true;
                        }
                        bVar2.M = z2;
                        return;
                    case 22186:
                        this.x.J = j2;
                        return;
                    case 22203:
                        this.x.K = j2;
                        return;
                    case 25188:
                        this.x.H = (int) j2;
                        return;
                    case 2352003:
                        this.x.d = (int) j2;
                        return;
                    case 2807729:
                        this.u = j2;
                        return;
                    default:
                        switch (i2) {
                            case 21945:
                                int i4 = (int) j2;
                                if (i4 == 1) {
                                    this.x.t = 2;
                                    return;
                                } else if (i4 == 2) {
                                    this.x.t = 1;
                                    return;
                                } else {
                                    return;
                                }
                            case 21946:
                                int i5 = (int) j2;
                                if (i5 != 1) {
                                    if (i5 == 16) {
                                        this.x.s = 6;
                                        return;
                                    } else if (i5 == 18) {
                                        this.x.s = 7;
                                        return;
                                    } else if (!(i5 == 6 || i5 == 7)) {
                                        return;
                                    }
                                }
                                this.x.s = 3;
                                return;
                            case 21947:
                                this.x.q = true;
                                int i6 = (int) j2;
                                if (i6 == 1) {
                                    this.x.r = 1;
                                    return;
                                } else if (i6 == 9) {
                                    this.x.r = 6;
                                    return;
                                } else if (i6 == 4 || i6 == 5 || i6 == 6 || i6 == 7) {
                                    this.x.r = 2;
                                    return;
                                } else {
                                    return;
                                }
                            case 21948:
                                this.x.u = (int) j2;
                                return;
                            case 21949:
                                this.x.v = (int) j2;
                                return;
                            default:
                                return;
                        }
                }
            } else if (j2 != 1) {
                throw new n("ContentEncodingScope " + j2 + " not supported");
            }
        } else if (j2 != 0) {
            throw new n("ContentEncodingOrder " + j2 + " not supported");
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, double d2) {
        if (i2 == 181) {
            this.x.I = (int) d2;
        } else if (i2 != 17545) {
            switch (i2) {
                case 21969:
                    this.x.w = (float) d2;
                    return;
                case 21970:
                    this.x.x = (float) d2;
                    return;
                case 21971:
                    this.x.y = (float) d2;
                    return;
                case 21972:
                    this.x.z = (float) d2;
                    return;
                case 21973:
                    this.x.A = (float) d2;
                    return;
                case 21974:
                    this.x.B = (float) d2;
                    return;
                case 21975:
                    this.x.C = (float) d2;
                    return;
                case 21976:
                    this.x.D = (float) d2;
                    return;
                case 21977:
                    this.x.E = (float) d2;
                    return;
                case 21978:
                    this.x.F = (float) d2;
                    return;
                default:
                    return;
            }
        } else {
            this.v = (long) d2;
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, String str) throws n {
        if (i2 == 134) {
            this.x.a = str;
        } else if (i2 != 17026) {
            if (i2 == 2274716) {
                this.x.P = str;
            }
        } else if (!"webm".equals(str) && !"matroska".equals(str)) {
            throw new n("DocType " + str + " not supported");
        }
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, int i3, g gVar) throws IOException, InterruptedException {
        int i4;
        long j2;
        int i5;
        int i6;
        int[] iArr;
        if (i2 == 161 || i2 == 163) {
            int i7 = 1;
            if (this.I == 0) {
                this.O = (int) this.f.a(gVar, false, true, 8);
                this.P = this.f.b();
                this.K = -9223372036854775807L;
                this.I = 1;
                this.k.a();
            }
            b bVar = this.g.get(this.O);
            if (bVar == null) {
                gVar.b(i3 - this.P);
                this.I = 0;
                return;
            }
            if (this.I == 1) {
                a(gVar, 3);
                int i8 = (this.k.a[2] & 6) >> 1;
                byte b2 = IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
                if (i8 == 0) {
                    this.M = 1;
                    int[] a2 = a(this.N, 1);
                    this.N = a2;
                    a2[0] = (i3 - this.P) - 3;
                } else if (i2 == 163) {
                    int i9 = 4;
                    a(gVar, 4);
                    int i10 = (this.k.a[3] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) + 1;
                    this.M = i10;
                    int[] a3 = a(this.N, i10);
                    this.N = a3;
                    if (i8 == 2) {
                        int i11 = this.M;
                        Arrays.fill(a3, 0, i11, ((i3 - this.P) - 4) / i11);
                    } else if (i8 == 1) {
                        int i12 = 0;
                        int i13 = 0;
                        while (true) {
                            i5 = this.M;
                            if (i12 >= i5 - 1) {
                                break;
                            }
                            this.N[i12] = 0;
                            do {
                                i9++;
                                a(gVar, i9);
                                i6 = this.k.a[i9 - 1] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
                                iArr = this.N;
                                iArr[i12] = iArr[i12] + i6;
                            } while (i6 == 255);
                            i13 += iArr[i12];
                            i12++;
                        }
                        this.N[i5 - 1] = ((i3 - this.P) - i9) - i13;
                    } else if (i8 == 3) {
                        int i14 = 0;
                        int i15 = 0;
                        while (true) {
                            int i16 = this.M;
                            if (i14 >= i16 - 1) {
                                this.N[i16 - 1] = ((i3 - this.P) - i9) - i15;
                                break;
                            }
                            this.N[i14] = 0;
                            i9++;
                            a(gVar, i9);
                            int i17 = i9 - 1;
                            if (this.k.a[i17] != 0) {
                                int i18 = 0;
                                while (true) {
                                    if (i18 >= 8) {
                                        i4 = i14;
                                        j2 = 0;
                                        break;
                                    }
                                    int i19 = i7 << (7 - i18);
                                    if ((this.k.a[i17] & i19) != 0) {
                                        i9 += i18;
                                        a(gVar, i9);
                                        i4 = i14;
                                        long j3 = (long) ((~i19) & this.k.a[i17] & b2);
                                        int i20 = i17 + 1;
                                        long j4 = j3;
                                        while (i20 < i9) {
                                            i20++;
                                            b2 = IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
                                            j4 = (j4 << 8) | ((long) (this.k.a[i20] & b2));
                                        }
                                        if (i4 > 0) {
                                            j2 = j4 - ((1 << ((i18 * 7) + 6)) - 1);
                                        } else {
                                            j2 = j4;
                                        }
                                    } else {
                                        i18++;
                                        i7 = 1;
                                        b2 = IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
                                    }
                                }
                                if (j2 >= -2147483648L && j2 <= 2147483647L) {
                                    int i21 = (int) j2;
                                    int[] iArr2 = this.N;
                                    if (i4 != 0) {
                                        i21 += iArr2[i4 - 1];
                                    }
                                    iArr2[i4] = i21;
                                    i15 += this.N[i4];
                                    i14 = i4 + 1;
                                    i7 = 1;
                                    b2 = IApp.ABS_PRIVATE_WWW_DIR_APP_MODE;
                                }
                            } else {
                                throw new n("No valid varint length mask found");
                            }
                        }
                        throw new n("EBML lacing sample size out of range.");
                    } else {
                        throw new n("Unexpected lacing value: " + i8);
                    }
                } else {
                    throw new n("Lacing only supported in SimpleBlocks.");
                }
                this.J = this.E + a((long) ((this.k.a[0] << 8) | (this.k.a[1] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE)));
                this.Q = ((bVar.c == 2 || (i2 == 163 && (this.k.a[2] & 128) == 128)) ? 1 : 0) | ((this.k.a[2] & 8) == 8 ? Integer.MIN_VALUE : 0);
                this.I = 2;
                this.L = 0;
            }
            if (i2 == 163) {
                while (true) {
                    int i22 = this.L;
                    if (i22 < this.M) {
                        a(gVar, bVar, this.N[i22]);
                        a(bVar, this.J + ((long) ((this.L * bVar.d) / 1000)));
                        this.L++;
                    } else {
                        this.I = 0;
                        return;
                    }
                }
            } else {
                a(gVar, bVar, this.N[0]);
            }
        } else if (i2 == 16981) {
            this.x.f = new byte[i3];
            gVar.b(this.x.f, 0, i3);
        } else if (i2 == 18402) {
            this.x.g = new byte[i3];
            gVar.b(this.x.g, 0, i3);
        } else if (i2 == 21419) {
            Arrays.fill(this.m.a, (byte) 0);
            gVar.b(this.m.a, 4 - i3, i3);
            this.m.c(0);
            this.z = (int) this.m.l();
        } else if (i2 == 25506) {
            this.x.h = new byte[i3];
            gVar.b(this.x.h, 0, i3);
        } else if (i2 == 30322) {
            this.x.o = new byte[i3];
            gVar.b(this.x.o, 0, i3);
        } else {
            throw new n("Unexpected id: " + i2);
        }
    }

    private void a(b bVar, long j2) {
        if ("S_TEXT/UTF8".equals(bVar.a)) {
            a(bVar);
        }
        bVar.N.a(j2, this.Q, this.Z, 0, bVar.g);
        this.aa = true;
        b();
    }

    private void b() {
        this.R = 0;
        this.Z = 0;
        this.Y = 0;
        this.S = false;
        this.T = false;
        this.V = false;
        this.X = 0;
        this.W = 0;
        this.U = false;
        this.n.a();
    }

    private void a(g gVar, int i2) throws IOException, InterruptedException {
        if (this.k.c() < i2) {
            if (this.k.e() < i2) {
                k kVar = this.k;
                kVar.a(Arrays.copyOf(kVar.a, Math.max(this.k.a.length * 2, i2)), this.k.c());
            }
            gVar.b(this.k.a, this.k.c(), i2 - this.k.c());
            this.k.b(i2);
        }
    }

    private void a(g gVar, b bVar, int i2) throws IOException, InterruptedException {
        int i3;
        if ("S_TEXT/UTF8".equals(bVar.a)) {
            int length = b.length + i2;
            if (this.o.e() < length) {
                this.o.a = Arrays.copyOf(b, length + i2);
            }
            gVar.b(this.o.a, b.length, i2);
            this.o.c(0);
            this.o.b(length);
            return;
        }
        com.google.android.exoplayer2.d.n nVar = bVar.N;
        if (!this.S) {
            if (bVar.e) {
                this.Q &= -1073741825;
                int i4 = 128;
                if (!this.T) {
                    gVar.b(this.k.a, 0, 1);
                    this.R++;
                    if ((this.k.a[0] & 128) != 128) {
                        this.W = this.k.a[0];
                        this.T = true;
                    } else {
                        throw new n("Extension bit is set in signal byte");
                    }
                }
                if ((this.W & 1) == 1) {
                    boolean z2 = (this.W & 2) == 2;
                    this.Q |= WXVideoFileObject.FILE_SIZE_LIMIT;
                    if (!this.U) {
                        gVar.b(this.p.a, 0, 8);
                        this.R += 8;
                        this.U = true;
                        byte[] bArr = this.k.a;
                        if (!z2) {
                            i4 = 0;
                        }
                        bArr[0] = (byte) (i4 | 8);
                        this.k.c(0);
                        nVar.a(this.k, 1);
                        this.Z++;
                        this.p.c(0);
                        nVar.a(this.p, 8);
                        this.Z += 8;
                    }
                    if (z2) {
                        if (!this.V) {
                            gVar.b(this.k.a, 0, 1);
                            this.R++;
                            this.k.c(0);
                            this.X = this.k.g();
                            this.V = true;
                        }
                        int i5 = this.X * 4;
                        this.k.a(i5);
                        gVar.b(this.k.a, 0, i5);
                        this.R += i5;
                        short s2 = (short) ((this.X / 2) + 1);
                        int i6 = (s2 * 6) + 2;
                        ByteBuffer byteBuffer = this.r;
                        if (byteBuffer == null || byteBuffer.capacity() < i6) {
                            this.r = ByteBuffer.allocate(i6);
                        }
                        this.r.position(0);
                        this.r.putShort(s2);
                        int i7 = 0;
                        int i8 = 0;
                        while (true) {
                            i3 = this.X;
                            if (i7 >= i3) {
                                break;
                            }
                            int t2 = this.k.t();
                            if (i7 % 2 == 0) {
                                this.r.putShort((short) (t2 - i8));
                            } else {
                                this.r.putInt(t2 - i8);
                            }
                            i7++;
                            i8 = t2;
                        }
                        int i9 = (i2 - this.R) - i8;
                        if (i3 % 2 == 1) {
                            this.r.putInt(i9);
                        } else {
                            this.r.putShort((short) i9);
                            this.r.putInt(0);
                        }
                        this.q.a(this.r.array(), i6);
                        nVar.a(this.q, i6);
                        this.Z += i6;
                    }
                }
            } else if (bVar.f != null) {
                this.n.a(bVar.f, bVar.f.length);
            }
            this.S = true;
        }
        int c2 = i2 + this.n.c();
        if (!"V_MPEG4/ISO/AVC".equals(bVar.a) && !"V_MPEGH/ISO/HEVC".equals(bVar.a)) {
            while (true) {
                int i10 = this.R;
                if (i10 >= c2) {
                    break;
                }
                a(gVar, nVar, c2 - i10);
            }
        } else {
            byte[] bArr2 = this.j.a;
            bArr2[0] = 0;
            bArr2[1] = 0;
            bArr2[2] = 0;
            int i11 = bVar.O;
            int i12 = 4 - bVar.O;
            while (this.R < c2) {
                int i13 = this.Y;
                if (i13 == 0) {
                    a(gVar, bArr2, i12, i11);
                    this.j.c(0);
                    this.Y = this.j.t();
                    this.i.c(0);
                    nVar.a(this.i, 4);
                    this.Z += 4;
                } else {
                    this.Y = i13 - a(gVar, nVar, i13);
                }
            }
        }
        if ("A_VORBIS".equals(bVar.a)) {
            this.l.c(0);
            nVar.a(this.l, 4);
            this.Z += 4;
        }
    }

    private void a(b bVar) {
        a(this.o.a, this.K);
        com.google.android.exoplayer2.d.n nVar = bVar.N;
        k kVar = this.o;
        nVar.a(kVar, kVar.c());
        this.Z += this.o.c();
    }

    private static void a(byte[] bArr, long j2) {
        byte[] bArr2;
        if (j2 == -9223372036854775807L) {
            bArr2 = c;
        } else {
            int i2 = (int) (j2 / 3600000000L);
            long j3 = j2 - (((long) i2) * 3600000000L);
            int i3 = (int) (j3 / 60000000);
            long j4 = j3 - ((long) (60000000 * i3));
            int i4 = (int) (j4 / 1000000);
            int i5 = (int) ((j4 - ((long) (CrashStatKey.STATS_REPORT_FINISHED * i4))) / 1000);
            bArr2 = t.c(String.format(Locale.US, "%02d:%02d:%02d,%03d", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(i4), Integer.valueOf(i5)));
        }
        System.arraycopy(bArr2, 0, bArr, 19, 12);
    }

    private void a(g gVar, byte[] bArr, int i2, int i3) throws IOException, InterruptedException {
        int min = Math.min(i3, this.n.b());
        gVar.b(bArr, i2 + min, i3 - min);
        if (min > 0) {
            this.n.a(bArr, i2, min);
        }
        this.R += i3;
    }

    private int a(g gVar, com.google.android.exoplayer2.d.n nVar, int i2) throws IOException, InterruptedException {
        int i3;
        int b2 = this.n.b();
        if (b2 > 0) {
            i3 = Math.min(i2, b2);
            nVar.a(this.n, i3);
        } else {
            i3 = nVar.a(gVar, i2, false);
        }
        this.R += i3;
        this.Z += i3;
        return i3;
    }

    private m d() {
        com.google.android.exoplayer2.j.f fVar;
        com.google.android.exoplayer2.j.f fVar2;
        if (this.t == -1 || this.w == -9223372036854775807L || (fVar = this.F) == null || fVar.a() == 0 || (fVar2 = this.G) == null || fVar2.a() != this.F.a()) {
            this.F = null;
            this.G = null;
            return new m.a(this.w);
        }
        int a2 = this.F.a();
        int[] iArr = new int[a2];
        long[] jArr = new long[a2];
        long[] jArr2 = new long[a2];
        long[] jArr3 = new long[a2];
        int i2 = 0;
        for (int i3 = 0; i3 < a2; i3++) {
            jArr3[i3] = this.F.a(i3);
            jArr[i3] = this.t + this.G.a(i3);
        }
        while (true) {
            int i4 = a2 - 1;
            if (i2 < i4) {
                int i5 = i2 + 1;
                iArr[i2] = (int) (jArr[i5] - jArr[i2]);
                jArr2[i2] = jArr3[i5] - jArr3[i2];
                i2 = i5;
            } else {
                iArr[i4] = (int) ((this.t + this.s) - jArr[i4]);
                jArr2[i4] = this.w - jArr3[i4];
                this.F = null;
                this.G = null;
                return new com.google.android.exoplayer2.d.a(iArr, jArr, jArr2, jArr3);
            }
        }
    }

    private boolean a(l lVar, long j2) {
        if (this.B) {
            this.D = j2;
            lVar.a = this.C;
            this.B = false;
            return true;
        }
        if (this.y) {
            long j3 = this.D;
            if (j3 != -1) {
                lVar.a = j3;
                this.D = -1;
                return true;
            }
        }
        return false;
    }

    private long a(long j2) throws n {
        long j3 = this.u;
        if (j3 != -9223372036854775807L) {
            return t.a(j2, j3, 1000);
        }
        throw new n("Can't scale timecode prior to timecodeScale being set.");
    }

    private static boolean a(String str) {
        return "V_VP8".equals(str) || "V_VP9".equals(str) || "V_MPEG2".equals(str) || "V_MPEG4/ISO/SP".equals(str) || "V_MPEG4/ISO/ASP".equals(str) || "V_MPEG4/ISO/AP".equals(str) || "V_MPEG4/ISO/AVC".equals(str) || "V_MPEGH/ISO/HEVC".equals(str) || "V_MS/VFW/FOURCC".equals(str) || "V_THEORA".equals(str) || "A_OPUS".equals(str) || "A_VORBIS".equals(str) || "A_AAC".equals(str) || "A_MPEG/L2".equals(str) || "A_MPEG/L3".equals(str) || "A_AC3".equals(str) || "A_EAC3".equals(str) || "A_TRUEHD".equals(str) || "A_DTS".equals(str) || "A_DTS/EXPRESS".equals(str) || "A_DTS/LOSSLESS".equals(str) || "A_FLAC".equals(str) || "A_MS/ACM".equals(str) || "A_PCM/INT/LIT".equals(str) || "S_TEXT/UTF8".equals(str) || "S_VOBSUB".equals(str) || "S_HDMV/PGS".equals(str) || "S_DVBSUB".equals(str);
    }

    private static int[] a(int[] iArr, int i2) {
        if (iArr == null) {
            return new int[i2];
        }
        if (iArr.length >= i2) {
            return iArr;
        }
        return new int[Math.max(iArr.length * 2, i2)];
    }

    /* compiled from: MatroskaExtractor */
    private final class a implements c {
        private a() {
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public int a(int i) {
            return d.this.a(i);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public boolean b(int i) {
            return d.this.b(i);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public void a(int i, long j, long j2) throws n {
            d.this.a(i, j, j2);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public void c(int i) throws n {
            d.this.c(i);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public void a(int i, long j) throws n {
            d.this.a(i, j);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public void a(int i, double d) throws n {
            d.this.a(i, d);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public void a(int i, String str) throws n {
            d.this.a(i, str);
        }

        @Override // com.google.android.exoplayer2.d.b.c
        public void a(int i, int i2, g gVar) throws IOException, InterruptedException {
            d.this.a(i, i2, gVar);
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: MatroskaExtractor */
    public static final class b {
        public float A;
        public float B;
        public float C;
        public float D;
        public float E;
        public float F;
        public int G;
        public int H;
        public int I;
        public long J;
        public long K;
        public boolean L;
        public boolean M;
        public com.google.android.exoplayer2.d.n N;
        public int O;
        private String P;
        public String a;
        public int b;
        public int c;
        public int d;
        public boolean e;
        public byte[] f;
        public byte[] g;
        public byte[] h;
        public com.google.android.exoplayer2.c.a i;
        public int j;
        public int k;
        public int l;
        public int m;
        public int n;
        public byte[] o;
        public int p;
        public boolean q;
        public int r;
        public int s;
        public int t;
        public int u;
        public int v;
        public float w;
        public float x;
        public float y;
        public float z;

        private b() {
            this.j = -1;
            this.k = -1;
            this.l = -1;
            this.m = -1;
            this.n = 0;
            this.o = null;
            this.p = -1;
            this.q = false;
            this.r = -1;
            this.s = -1;
            this.t = -1;
            this.u = 1000;
            this.v = 200;
            this.w = -1.0f;
            this.x = -1.0f;
            this.y = -1.0f;
            this.z = -1.0f;
            this.A = -1.0f;
            this.B = -1.0f;
            this.C = -1.0f;
            this.D = -1.0f;
            this.E = -1.0f;
            this.F = -1.0f;
            this.G = 1;
            this.H = -1;
            this.I = TXRecordCommon.AUDIO_SAMPLERATE_8000;
            this.J = 0;
            this.K = 0;
            this.M = true;
            this.P = "eng";
        }

        /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
        public void a(h hVar, int i2) throws n {
            char c2;
            int i3;
            int i4;
            List<byte[]> list;
            String str;
            int i5;
            j jVar;
            float f2;
            com.google.android.exoplayer2.k.b bVar;
            int i6;
            List<byte[]> list2;
            String str2 = this.a;
            int i7 = 0;
            switch (str2.hashCode()) {
                case -2095576542:
                    if (str2.equals("V_MPEG4/ISO/AP")) {
                        c2 = 5;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -2095575984:
                    if (str2.equals("V_MPEG4/ISO/SP")) {
                        c2 = 3;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1985379776:
                    if (str2.equals("A_MS/ACM")) {
                        c2 = 22;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1784763192:
                    if (str2.equals("A_TRUEHD")) {
                        c2 = 17;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1730367663:
                    if (str2.equals("A_VORBIS")) {
                        c2 = '\n';
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1482641358:
                    if (str2.equals("A_MPEG/L2")) {
                        c2 = '\r';
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1482641357:
                    if (str2.equals("A_MPEG/L3")) {
                        c2 = 14;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -1373388978:
                    if (str2.equals("V_MS/VFW/FOURCC")) {
                        c2 = '\b';
                        break;
                    }
                    c2 = 65535;
                    break;
                case -933872740:
                    if (str2.equals("S_DVBSUB")) {
                        c2 = 27;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -538363189:
                    if (str2.equals("V_MPEG4/ISO/ASP")) {
                        c2 = 4;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -538363109:
                    if (str2.equals("V_MPEG4/ISO/AVC")) {
                        c2 = 6;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -425012669:
                    if (str2.equals("S_VOBSUB")) {
                        c2 = 25;
                        break;
                    }
                    c2 = 65535;
                    break;
                case -356037306:
                    if (str2.equals("A_DTS/LOSSLESS")) {
                        c2 = 20;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 62923557:
                    if (str2.equals("A_AAC")) {
                        c2 = '\f';
                        break;
                    }
                    c2 = 65535;
                    break;
                case 62923603:
                    if (str2.equals("A_AC3")) {
                        c2 = 15;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 62927045:
                    if (str2.equals("A_DTS")) {
                        c2 = 18;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 82338133:
                    if (str2.equals("V_VP8")) {
                        c2 = 0;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 82338134:
                    if (str2.equals("V_VP9")) {
                        c2 = 1;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 99146302:
                    if (str2.equals("S_HDMV/PGS")) {
                        c2 = JSONLexer.EOI;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 444813526:
                    if (str2.equals("V_THEORA")) {
                        c2 = '\t';
                        break;
                    }
                    c2 = 65535;
                    break;
                case 542569478:
                    if (str2.equals("A_DTS/EXPRESS")) {
                        c2 = 19;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 725957860:
                    if (str2.equals("A_PCM/INT/LIT")) {
                        c2 = 23;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 855502857:
                    if (str2.equals("V_MPEGH/ISO/HEVC")) {
                        c2 = 7;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 1422270023:
                    if (str2.equals("S_TEXT/UTF8")) {
                        c2 = 24;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 1809237540:
                    if (str2.equals("V_MPEG2")) {
                        c2 = 2;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 1950749482:
                    if (str2.equals("A_EAC3")) {
                        c2 = 16;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 1950789798:
                    if (str2.equals("A_FLAC")) {
                        c2 = 21;
                        break;
                    }
                    c2 = 65535;
                    break;
                case 1951062397:
                    if (str2.equals("A_OPUS")) {
                        c2 = 11;
                        break;
                    }
                    c2 = 65535;
                    break;
                default:
                    c2 = 65535;
                    break;
            }
            String str3 = "video/x-unknown";
            switch (c2) {
                case 0:
                    str = MediaFormatExtraConstants.MIMETYPE_VIDEO_VP8;
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 1:
                    str = "video/x-vnd.on2.vp9";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 2:
                    str = "video/mpeg2";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 3:
                case 4:
                case 5:
                    byte[] bArr = this.h;
                    if (bArr == null) {
                        list2 = null;
                    } else {
                        list2 = Collections.singletonList(bArr);
                    }
                    i4 = -1;
                    i3 = -1;
                    list = list2;
                    str = "video/mp4v-es";
                    break;
                case 6:
                    com.google.android.exoplayer2.k.a a2 = com.google.android.exoplayer2.k.a.a(new k(this.h));
                    list = a2.a;
                    this.O = a2.b;
                    str = "video/avc";
                    i4 = -1;
                    i3 = -1;
                    break;
                case 7:
                    c a3 = c.a(new k(this.h));
                    list = a3.a;
                    this.O = a3.b;
                    str = "video/hevc";
                    i4 = -1;
                    i3 = -1;
                    break;
                case '\b':
                    List<byte[]> a4 = a(new k(this.h));
                    if (a4 != null) {
                        str3 = "video/wvc1";
                    }
                    list = a4;
                    str = str3;
                    i4 = -1;
                    i3 = -1;
                    break;
                case '\t':
                    str = str3;
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case '\n':
                    i4 = -1;
                    i3 = 8192;
                    list = a(this.h);
                    str = "audio/vorbis";
                    break;
                case 11:
                    ArrayList arrayList = new ArrayList(3);
                    arrayList.add(this.h);
                    arrayList.add(ByteBuffer.allocate(8).order(ByteOrder.nativeOrder()).putLong(this.J).array());
                    arrayList.add(ByteBuffer.allocate(8).order(ByteOrder.nativeOrder()).putLong(this.K).array());
                    i4 = -1;
                    i3 = 5760;
                    list = arrayList;
                    str = "audio/opus";
                    break;
                case '\f':
                    list = Collections.singletonList(this.h);
                    str = "audio/mp4a-latm";
                    i4 = -1;
                    i3 = -1;
                    break;
                case '\r':
                    str = "audio/mpeg-L2";
                    list = null;
                    i4 = -1;
                    i3 = 4096;
                    break;
                case 14:
                    str = "audio/mpeg";
                    list = null;
                    i4 = -1;
                    i3 = 4096;
                    break;
                case 15:
                    str = "audio/ac3";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 16:
                    str = "audio/eac3";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 17:
                    str = "audio/true-hd";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 18:
                case 19:
                    str = "audio/vnd.dts";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 20:
                    str = "audio/vnd.dts.hd";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 21:
                    list = Collections.singletonList(this.h);
                    str = "audio/x-flac";
                    i4 = -1;
                    i3 = -1;
                    break;
                case 22:
                    if (b(new k(this.h))) {
                        int b2 = t.b(this.H);
                        if (b2 != 0) {
                            i4 = b2;
                            str = "audio/raw";
                            list = null;
                            i3 = -1;
                            break;
                        } else {
                            throw new n("Unsupported PCM bit depth: " + this.H);
                        }
                    } else {
                        throw new n("Non-PCM MS/ACM is unsupported");
                    }
                case 23:
                    int b3 = t.b(this.H);
                    if (b3 != 0) {
                        i4 = b3;
                        str = "audio/raw";
                        list = null;
                        i3 = -1;
                        break;
                    } else {
                        throw new n("Unsupported PCM bit depth: " + this.H);
                    }
                case 24:
                    str = "application/x-subrip";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 25:
                    list = Collections.singletonList(this.h);
                    str = "application/vobsub";
                    i4 = -1;
                    i3 = -1;
                    break;
                case 26:
                    str = "application/pgs";
                    list = null;
                    i4 = -1;
                    i3 = -1;
                    break;
                case 27:
                    byte[] bArr2 = this.h;
                    list = Collections.singletonList(new byte[]{bArr2[0], bArr2[1], bArr2[2], bArr2[3]});
                    str = "application/dvbsubs";
                    i4 = -1;
                    i3 = -1;
                    break;
                default:
                    throw new n("Unrecognized codec identifier.");
            }
            int i8 = (this.M ? 1 : 0) | 0;
            if (this.L) {
                i7 = 2;
            }
            int i9 = i8 | i7;
            if (com.google.android.exoplayer2.j.h.a(str)) {
                jVar = j.a(Integer.toString(i2), str, (String) null, -1, i3, this.G, this.I, i4, list, this.i, i9, this.P);
                i5 = 1;
            } else if (com.google.android.exoplayer2.j.h.b(str)) {
                if (this.n == 0) {
                    int i10 = this.l;
                    if (i10 == -1) {
                        i10 = this.j;
                    }
                    this.l = i10;
                    int i11 = this.m;
                    if (i11 == -1) {
                        i11 = this.k;
                    }
                    this.m = i11;
                }
                int i12 = this.l;
                if (i12 == -1 || (i6 = this.m) == -1) {
                    f2 = -1.0f;
                } else {
                    f2 = ((float) (this.k * i12)) / ((float) (this.j * i6));
                }
                if (this.q) {
                    bVar = new com.google.android.exoplayer2.k.b(this.r, this.t, this.s, a());
                } else {
                    bVar = null;
                }
                jVar = j.a(Integer.toString(i2), str, (String) null, -1, i3, this.j, this.k, -1.0f, list, -1, f2, this.o, this.p, bVar, this.i);
                i5 = 2;
            } else if ("application/x-subrip".equals(str)) {
                jVar = j.a(Integer.toString(i2), str, (String) null, -1, i9, this.P, this.i);
                i5 = 3;
            } else if ("application/vobsub".equals(str) || "application/pgs".equals(str) || "application/dvbsubs".equals(str)) {
                jVar = j.a(Integer.toString(i2), str, (String) null, -1, list, this.P, this.i);
                i5 = 3;
            } else {
                throw new n("Unexpected MIME type.");
            }
            com.google.android.exoplayer2.d.n a5 = hVar.a(this.b, i5);
            this.N = a5;
            a5.a(jVar);
        }

        private byte[] a() {
            if (this.w == -1.0f || this.x == -1.0f || this.y == -1.0f || this.z == -1.0f || this.A == -1.0f || this.B == -1.0f || this.C == -1.0f || this.D == -1.0f || this.E == -1.0f || this.F == -1.0f) {
                return null;
            }
            byte[] bArr = new byte[25];
            ByteBuffer wrap = ByteBuffer.wrap(bArr);
            wrap.put((byte) 0);
            wrap.putShort((short) ((int) ((this.w * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.x * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.y * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.z * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.A * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.B * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.C * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) ((this.D * 50000.0f) + 0.5f)));
            wrap.putShort((short) ((int) (this.E + 0.5f)));
            wrap.putShort((short) ((int) (this.F + 0.5f)));
            wrap.putShort((short) this.u);
            wrap.putShort((short) this.v);
            return bArr;
        }

        private static List<byte[]> a(k kVar) throws n {
            try {
                kVar.d(16);
                if (kVar.m() != 826496599) {
                    return null;
                }
                byte[] bArr = kVar.a;
                for (int d2 = kVar.d() + 20; d2 < bArr.length - 4; d2++) {
                    if (bArr[d2] == 0 && bArr[d2 + 1] == 0 && bArr[d2 + 2] == 1 && bArr[d2 + 3] == 15) {
                        return Collections.singletonList(Arrays.copyOfRange(bArr, d2, bArr.length));
                    }
                }
                throw new n("Failed to find FourCC VC1 initialization data");
            } catch (ArrayIndexOutOfBoundsException e2) {
                throw new n("Error parsing FourCC VC1 codec private");
            }
        }

        private static List<byte[]> a(byte[] bArr) throws n {
            try {
                if (bArr[0] == 2) {
                    int i2 = 1;
                    int i3 = 0;
                    while (bArr[i2] == -1) {
                        i3 += 255;
                        i2++;
                    }
                    int i4 = i2 + 1;
                    int i5 = i3 + bArr[i2];
                    int i6 = 0;
                    while (bArr[i4] == -1) {
                        i6 += 255;
                        i4++;
                    }
                    int i7 = i4 + 1;
                    int i8 = i6 + bArr[i4];
                    if (bArr[i7] == 1) {
                        byte[] bArr2 = new byte[i5];
                        System.arraycopy(bArr, i7, bArr2, 0, i5);
                        int i9 = i7 + i5;
                        if (bArr[i9] == 3) {
                            int i10 = i9 + i8;
                            if (bArr[i10] == 5) {
                                byte[] bArr3 = new byte[(bArr.length - i10)];
                                System.arraycopy(bArr, i10, bArr3, 0, bArr.length - i10);
                                ArrayList arrayList = new ArrayList(2);
                                arrayList.add(bArr2);
                                arrayList.add(bArr3);
                                return arrayList;
                            }
                            throw new n("Error parsing vorbis codec private");
                        }
                        throw new n("Error parsing vorbis codec private");
                    }
                    throw new n("Error parsing vorbis codec private");
                }
                throw new n("Error parsing vorbis codec private");
            } catch (ArrayIndexOutOfBoundsException e2) {
                throw new n("Error parsing vorbis codec private");
            }
        }

        private static boolean b(k kVar) throws n {
            try {
                int i2 = kVar.i();
                if (i2 == 1) {
                    return true;
                }
                if (i2 != 65534) {
                    return false;
                }
                kVar.c(24);
                if (kVar.p() == d.d.getMostSignificantBits() && kVar.p() == d.d.getLeastSignificantBits()) {
                    return true;
                }
                return false;
            } catch (ArrayIndexOutOfBoundsException e2) {
                throw new n("Error parsing MS/ACM codec private");
            }
        }
    }
}
