package com.google.android.exoplayer2.e;

import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.os.Looper;
import android.os.SystemClock;
import android.util.Log;
import com.google.android.exoplayer2.b.d;
import com.google.android.exoplayer2.c.c;
import com.google.android.exoplayer2.c.e;
import com.google.android.exoplayer2.e.d;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.i;
import com.google.android.exoplayer2.j.r;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.k;
import com.taobao.weex.el.parse.Operators;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.List;

/* compiled from: MediaCodecRenderer */
public abstract class b extends com.google.android.exoplayer2.a {
    private static final byte[] b = t.h("0000016742C00BDA259000000168CE0F13200000016588840DCE7118A0002FBF1C31C3275D78");
    private long A;
    private int B;
    private int C;
    private boolean D;
    private boolean E;
    private int F;
    private int G;
    private boolean H;
    private boolean I;
    private boolean J;
    private boolean K;
    private boolean L;
    private boolean M;
    protected d a;
    private final c c;
    private final c<e> d;
    private final boolean e;
    private final com.google.android.exoplayer2.b.e f;
    private final com.google.android.exoplayer2.b.e g;
    private final k h;
    private final List<Long> i;
    private final MediaCodec.BufferInfo j;
    private j k;
    private MediaCodec l;
    private com.google.android.exoplayer2.c.b<e> m;
    private com.google.android.exoplayer2.c.b<e> n;
    private boolean o;
    private boolean p;
    private boolean q;
    private boolean r;
    private boolean s;
    private boolean t;
    private boolean u;
    private boolean v;
    private boolean w;
    private boolean x;
    private ByteBuffer[] y;
    private ByteBuffer[] z;

    /* access modifiers changed from: protected */
    public abstract int a(c cVar, j jVar) throws d.b;

    /* access modifiers changed from: protected */
    public abstract void a(a aVar, MediaCodec mediaCodec, j jVar, MediaCrypto mediaCrypto) throws d.b;

    /* access modifiers changed from: protected */
    public abstract boolean a(long j2, long j3, MediaCodec mediaCodec, ByteBuffer byteBuffer, int i2, int i3, long j4, boolean z2) throws com.google.android.exoplayer2.e;

    /* compiled from: MediaCodecRenderer */
    public static class a extends Exception {
        public final String decoderName;
        public final String diagnosticInfo;
        public final String mimeType;
        public final boolean secureDecoderRequired;

        public a(j jVar, Throwable th, boolean z, int i) {
            super("Decoder init failed: [" + i + "], " + jVar, th);
            this.mimeType = jVar.f;
            this.secureDecoderRequired = z;
            this.decoderName = null;
            this.diagnosticInfo = a(i);
        }

        public a(j jVar, Throwable th, boolean z, String str) {
            super("Decoder init failed: " + str + ", " + jVar, th);
            this.mimeType = jVar.f;
            this.secureDecoderRequired = z;
            this.decoderName = str;
            this.diagnosticInfo = t.a >= 21 ? a(th) : null;
        }

        private static String a(Throwable th) {
            if (th instanceof MediaCodec.CodecException) {
                return ((MediaCodec.CodecException) th).getDiagnosticInfo();
            }
            return null;
        }

        private static String a(int i) {
            String str = i < 0 ? "neg_" : "";
            return "com.google.android.exoplayer.MediaCodecTrackRenderer_" + str + Math.abs(i);
        }
    }

    public b(int i2, c cVar, c<e> cVar2, boolean z2) {
        super(i2);
        com.google.android.exoplayer2.j.a.b(t.a >= 16);
        this.c = (c) com.google.android.exoplayer2.j.a.a(cVar);
        this.d = cVar2;
        this.e = z2;
        this.f = new com.google.android.exoplayer2.b.e(0);
        this.g = com.google.android.exoplayer2.b.e.e();
        this.h = new k();
        this.i = new ArrayList();
        this.j = new MediaCodec.BufferInfo();
        this.F = 0;
        this.G = 0;
    }

    @Override // com.google.android.exoplayer2.a, com.google.android.exoplayer2.q
    public final int m() throws com.google.android.exoplayer2.e {
        return 4;
    }

    @Override // com.google.android.exoplayer2.q
    public final int a(j jVar) throws com.google.android.exoplayer2.e {
        try {
            return a(this.c, jVar);
        } catch (d.b e2) {
            throw com.google.android.exoplayer2.e.a(e2, r());
        }
    }

    /* access modifiers changed from: protected */
    public a a(c cVar, j jVar, boolean z2) throws d.b {
        return cVar.a(jVar.f, z2);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x009f  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0155  */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x015d  */
    public final void z() throws com.google.android.exoplayer2.e {
        boolean z2;
        MediaCrypto mediaCrypto;
        a aVar;
        String str;
        d.b e2;
        if (A()) {
            this.m = this.n;
            String str2 = this.k.f;
            com.google.android.exoplayer2.c.b<e> bVar = this.m;
            boolean z3 = false;
            if (bVar != null) {
                int a2 = bVar.a();
                if (a2 == 0) {
                    throw com.google.android.exoplayer2.e.a(this.m.c(), r());
                } else if (a2 == 3 || a2 == 4) {
                    mediaCrypto = this.m.b().a();
                    z2 = this.m.a(str2);
                } else {
                    return;
                }
            } else {
                mediaCrypto = null;
                z2 = false;
            }
            try {
                aVar = a(this.c, this.k, z2);
                if (aVar == null && z2) {
                    try {
                        aVar = a(this.c, this.k, false);
                        if (aVar != null) {
                            Log.w("MediaCodecRenderer", "Drm session requires secure decoder for " + str2 + ", but " + "no secure decoder available. Trying to proceed with " + aVar.a + Operators.DOT_STR);
                        }
                    } catch (d.b e3) {
                        e2 = e3;
                        a(new a(this.k, e2, z2, -49998));
                        if (aVar == null) {
                        }
                        str = aVar.a;
                        z3 = true;
                        this.o = z3;
                        this.p = a(str, this.k);
                        this.q = a(str);
                        this.r = b(str);
                        this.s = c(str);
                        this.t = d(str);
                        this.u = e(str);
                        this.v = b(str, this.k);
                        long elapsedRealtime = SystemClock.elapsedRealtime();
                        r.a("createCodec:" + str);
                        this.l = MediaCodec.createByCodecName(str);
                        r.a();
                        r.a("configureCodec");
                        a(aVar, this.l, this.k, mediaCrypto);
                        r.a();
                        r.a("startCodec");
                        this.l.start();
                        r.a();
                        long elapsedRealtime2 = SystemClock.elapsedRealtime();
                        a(str, elapsedRealtime2, elapsedRealtime2 - elapsedRealtime);
                        this.y = this.l.getInputBuffers();
                        this.z = this.l.getOutputBuffers();
                        this.A = d() == 2 ? SystemClock.elapsedRealtime() + 1000 : -9223372036854775807L;
                        this.B = -1;
                        this.C = -1;
                        this.M = true;
                        this.a.a++;
                    }
                }
            } catch (d.b e4) {
                e2 = e4;
                aVar = null;
                a(new a(this.k, e2, z2, -49998));
                if (aVar == null) {
                }
                str = aVar.a;
                z3 = true;
                this.o = z3;
                this.p = a(str, this.k);
                this.q = a(str);
                this.r = b(str);
                this.s = c(str);
                this.t = d(str);
                this.u = e(str);
                this.v = b(str, this.k);
                long elapsedRealtime3 = SystemClock.elapsedRealtime();
                r.a("createCodec:" + str);
                this.l = MediaCodec.createByCodecName(str);
                r.a();
                r.a("configureCodec");
                a(aVar, this.l, this.k, mediaCrypto);
                r.a();
                r.a("startCodec");
                this.l.start();
                r.a();
                long elapsedRealtime22 = SystemClock.elapsedRealtime();
                a(str, elapsedRealtime22, elapsedRealtime22 - elapsedRealtime3);
                this.y = this.l.getInputBuffers();
                this.z = this.l.getOutputBuffers();
                this.A = d() == 2 ? SystemClock.elapsedRealtime() + 1000 : -9223372036854775807L;
                this.B = -1;
                this.C = -1;
                this.M = true;
                this.a.a++;
            }
            if (aVar == null) {
                a(new a(this.k, (Throwable) null, z2, -49999));
            }
            str = aVar.a;
            if (aVar.b && !f(str)) {
                z3 = true;
            }
            this.o = z3;
            this.p = a(str, this.k);
            this.q = a(str);
            this.r = b(str);
            this.s = c(str);
            this.t = d(str);
            this.u = e(str);
            this.v = b(str, this.k);
            try {
                long elapsedRealtime32 = SystemClock.elapsedRealtime();
                r.a("createCodec:" + str);
                this.l = MediaCodec.createByCodecName(str);
                r.a();
                r.a("configureCodec");
                a(aVar, this.l, this.k, mediaCrypto);
                r.a();
                r.a("startCodec");
                this.l.start();
                r.a();
                long elapsedRealtime222 = SystemClock.elapsedRealtime();
                a(str, elapsedRealtime222, elapsedRealtime222 - elapsedRealtime32);
                this.y = this.l.getInputBuffers();
                this.z = this.l.getOutputBuffers();
            } catch (Exception e5) {
                a(new a(this.k, e5, z2, str));
            }
            this.A = d() == 2 ? SystemClock.elapsedRealtime() + 1000 : -9223372036854775807L;
            this.B = -1;
            this.C = -1;
            this.M = true;
            this.a.a++;
        }
    }

    private void a(a aVar) throws com.google.android.exoplayer2.e {
        throw com.google.android.exoplayer2.e.a(aVar, r());
    }

    /* access modifiers changed from: protected */
    public boolean A() {
        return this.l == null && this.k != null;
    }

    /* access modifiers changed from: protected */
    public final MediaCodec B() {
        return this.l;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void a(boolean z2) throws com.google.android.exoplayer2.e {
        this.a = new com.google.android.exoplayer2.b.d();
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void a(long j2, boolean z2) throws com.google.android.exoplayer2.e {
        this.J = false;
        this.K = false;
        if (this.l != null) {
            D();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void p() {
        this.k = null;
        try {
            C();
            try {
                if (this.m != null) {
                    this.d.a(this.m);
                }
                try {
                    if (!(this.n == null || this.n == this.m)) {
                        this.d.a(this.n);
                    }
                } finally {
                    this.m = null;
                    this.n = null;
                }
            } catch (Throwable th) {
                if (!(this.n == null || this.n == this.m)) {
                    this.d.a(this.n);
                }
                throw th;
            } finally {
                this.m = null;
                this.n = null;
            }
        } catch (Throwable th2) {
            try {
                if (!(this.n == null || this.n == this.m)) {
                    this.d.a(this.n);
                }
                throw th2;
            } finally {
                this.m = null;
                this.n = null;
            }
        } finally {
        }
    }

    /* access modifiers changed from: protected */
    public void C() {
        if (this.l != null) {
            this.A = -9223372036854775807L;
            this.B = -1;
            this.C = -1;
            this.L = false;
            this.D = false;
            this.i.clear();
            this.y = null;
            this.z = null;
            this.E = false;
            this.H = false;
            this.o = false;
            this.p = false;
            this.q = false;
            this.r = false;
            this.s = false;
            this.t = false;
            this.v = false;
            this.w = false;
            this.x = false;
            this.I = false;
            this.F = 0;
            this.G = 0;
            this.a.b++;
            this.f.b = null;
            try {
                this.l.stop();
                try {
                    this.l.release();
                    this.l = null;
                    com.google.android.exoplayer2.c.b<e> bVar = this.m;
                    if (bVar != null && this.n != bVar) {
                        try {
                            this.d.a(bVar);
                        } finally {
                            this.m = null;
                        }
                    }
                } catch (Throwable th) {
                    this.l = null;
                    com.google.android.exoplayer2.c.b<e> bVar2 = this.m;
                    if (!(bVar2 == null || this.n == bVar2)) {
                        this.d.a(bVar2);
                    }
                    throw th;
                } finally {
                    this.m = null;
                }
            } catch (Throwable th2) {
                this.l = null;
                com.google.android.exoplayer2.c.b<e> bVar3 = this.m;
                if (!(bVar3 == null || this.n == bVar3)) {
                    try {
                        this.d.a(bVar3);
                    } finally {
                        this.m = null;
                    }
                }
                throw th2;
            } finally {
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void n() {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void o() {
    }

    @Override // com.google.android.exoplayer2.p
    public void a(long j2, long j3) throws com.google.android.exoplayer2.e {
        if (this.K) {
            y();
            return;
        }
        if (this.k == null) {
            this.g.a();
            int a2 = a(this.h, this.g, true);
            if (a2 == -5) {
                b(this.h.a);
            } else if (a2 == -4) {
                com.google.android.exoplayer2.j.a.b(this.g.c());
                this.J = true;
                F();
                return;
            } else {
                return;
            }
        }
        z();
        if (this.l != null) {
            r.a("drainAndFeed");
            do {
            } while (b(j2, j3));
            do {
            } while (v());
            r.a();
        } else {
            b(j2);
            this.g.a();
            int a3 = a(this.h, this.g, false);
            if (a3 == -5) {
                b(this.h.a);
            } else if (a3 == -4) {
                com.google.android.exoplayer2.j.a.b(this.g.c());
                this.J = true;
                F();
            }
        }
        this.a.a();
    }

    /* access modifiers changed from: protected */
    public void D() throws com.google.android.exoplayer2.e {
        this.A = -9223372036854775807L;
        this.B = -1;
        this.C = -1;
        this.M = true;
        this.L = false;
        this.D = false;
        this.i.clear();
        this.w = false;
        this.x = false;
        if (this.q || (this.t && this.I)) {
            C();
            z();
        } else if (this.G != 0) {
            C();
            z();
        } else {
            this.l.flush();
            this.H = false;
        }
        if (this.E && this.k != null) {
            this.F = 1;
        }
    }

    private boolean v() throws com.google.android.exoplayer2.e {
        int i2;
        int i3;
        MediaCodec mediaCodec = this.l;
        if (mediaCodec == null || this.G == 2 || this.J) {
            return false;
        }
        if (this.B < 0) {
            int dequeueInputBuffer = mediaCodec.dequeueInputBuffer(0);
            this.B = dequeueInputBuffer;
            if (dequeueInputBuffer < 0) {
                return false;
            }
            this.f.b = this.y[dequeueInputBuffer];
            this.f.a();
        }
        if (this.G == 1) {
            if (!this.s) {
                this.I = true;
                this.l.queueInputBuffer(this.B, 0, 0, 0, 4);
                this.B = -1;
            }
            this.G = 2;
            return false;
        } else if (this.w) {
            this.w = false;
            this.f.b.put(b);
            this.l.queueInputBuffer(this.B, 0, b.length, 0, 0);
            this.B = -1;
            this.H = true;
            return true;
        } else {
            if (this.L) {
                i3 = -4;
                i2 = 0;
            } else {
                if (this.F == 1) {
                    for (int i4 = 0; i4 < this.k.h.size(); i4++) {
                        this.f.b.put(this.k.h.get(i4));
                    }
                    this.F = 2;
                }
                i2 = this.f.b.position();
                i3 = a(this.h, this.f, false);
            }
            if (i3 == -3) {
                return false;
            }
            if (i3 == -5) {
                if (this.F == 2) {
                    this.f.a();
                    this.F = 1;
                }
                b(this.h.a);
                return true;
            } else if (this.f.c()) {
                if (this.F == 2) {
                    this.f.a();
                    this.F = 1;
                }
                this.J = true;
                if (!this.H) {
                    F();
                    return false;
                }
                try {
                    if (!this.s) {
                        this.I = true;
                        this.l.queueInputBuffer(this.B, 0, 0, 0, 4);
                        this.B = -1;
                    }
                    return false;
                } catch (MediaCodec.CryptoException e2) {
                    throw com.google.android.exoplayer2.e.a(e2, r());
                }
            } else if (!this.M || this.f.d()) {
                this.M = false;
                boolean g2 = this.f.g();
                boolean b2 = b(g2);
                this.L = b2;
                if (b2) {
                    return false;
                }
                if (this.p && !g2) {
                    i.a(this.f.b);
                    if (this.f.b.position() == 0) {
                        return true;
                    }
                    this.p = false;
                }
                try {
                    long j2 = this.f.c;
                    if (this.f.b_()) {
                        this.i.add(Long.valueOf(j2));
                    }
                    this.f.h();
                    a(this.f);
                    if (g2) {
                        this.l.queueSecureInputBuffer(this.B, 0, a(this.f, i2), j2, 0);
                    } else {
                        this.l.queueInputBuffer(this.B, 0, this.f.b.limit(), j2, 0);
                    }
                    this.B = -1;
                    this.H = true;
                    this.F = 0;
                    this.a.c++;
                    return true;
                } catch (MediaCodec.CryptoException e3) {
                    throw com.google.android.exoplayer2.e.a(e3, r());
                }
            } else {
                this.f.a();
                if (this.F == 2) {
                    this.F = 1;
                }
                return true;
            }
        }
    }

    private static MediaCodec.CryptoInfo a(com.google.android.exoplayer2.b.e eVar, int i2) {
        MediaCodec.CryptoInfo a2 = eVar.a.a();
        if (i2 == 0) {
            return a2;
        }
        if (a2.numBytesOfClearData == null) {
            a2.numBytesOfClearData = new int[1];
        }
        int[] iArr = a2.numBytesOfClearData;
        iArr[0] = iArr[0] + i2;
        return a2;
    }

    private boolean b(boolean z2) throws com.google.android.exoplayer2.e {
        com.google.android.exoplayer2.c.b<e> bVar = this.m;
        if (bVar == null) {
            return false;
        }
        int a2 = bVar.a();
        if (a2 == 0) {
            throw com.google.android.exoplayer2.e.a(this.m.c(), r());
        } else if (a2 == 4) {
            return false;
        } else {
            if (z2 || !this.e) {
                return true;
            }
            return false;
        }
    }

    /* access modifiers changed from: protected */
    public void a(String str, long j2, long j3) {
    }

    /* access modifiers changed from: protected */
    public void b(j jVar) throws com.google.android.exoplayer2.e {
        MediaCodec mediaCodec;
        j jVar2 = this.k;
        this.k = jVar;
        boolean z2 = true;
        if (!t.a(jVar.i, jVar2 == null ? null : jVar2.i)) {
            if (this.k.i != null) {
                c<e> cVar = this.d;
                if (cVar != null) {
                    com.google.android.exoplayer2.c.b<e> a2 = cVar.a(Looper.myLooper(), this.k.i);
                    this.n = a2;
                    if (a2 == this.m) {
                        this.d.a(a2);
                    }
                } else {
                    throw com.google.android.exoplayer2.e.a(new IllegalStateException("Media requires a DrmSessionManager"), r());
                }
            } else {
                this.n = null;
            }
        }
        if (this.n == this.m && (mediaCodec = this.l) != null && a(mediaCodec, this.o, jVar2, this.k)) {
            this.E = true;
            this.F = 1;
            if (!(this.r && this.k.j == jVar2.j && this.k.k == jVar2.k)) {
                z2 = false;
            }
            this.w = z2;
        } else if (this.H) {
            this.G = 1;
        } else {
            C();
            z();
        }
    }

    /* access modifiers changed from: protected */
    public void a(MediaCodec mediaCodec, MediaFormat mediaFormat) throws com.google.android.exoplayer2.e {
    }

    /* access modifiers changed from: protected */
    public void a(com.google.android.exoplayer2.b.e eVar) {
    }

    /* access modifiers changed from: protected */
    public void c(long j2) {
    }

    /* access modifiers changed from: protected */
    public boolean a(MediaCodec mediaCodec, boolean z2, j jVar, j jVar2) {
        return false;
    }

    @Override // com.google.android.exoplayer2.p
    public boolean u() {
        return this.K;
    }

    @Override // com.google.android.exoplayer2.p
    public boolean t() {
        return this.k != null && !this.L && (s() || this.C >= 0 || (this.A != -9223372036854775807L && SystemClock.elapsedRealtime() < this.A));
    }

    /* access modifiers changed from: protected */
    public long E() {
        return 0;
    }

    private boolean b(long j2, long j3) throws com.google.android.exoplayer2.e {
        boolean z2;
        boolean z3;
        if (this.C < 0) {
            if (!this.u || !this.I) {
                this.C = this.l.dequeueOutputBuffer(this.j, E());
            } else {
                try {
                    this.C = this.l.dequeueOutputBuffer(this.j, E());
                } catch (IllegalStateException e2) {
                    F();
                    if (this.K) {
                        C();
                    }
                    return false;
                }
            }
            int i2 = this.C;
            if (i2 >= 0) {
                if (this.x) {
                    this.x = false;
                    this.l.releaseOutputBuffer(i2, false);
                    this.C = -1;
                    return true;
                } else if ((this.j.flags & 4) != 0) {
                    F();
                    this.C = -1;
                    return false;
                } else {
                    ByteBuffer byteBuffer = this.z[this.C];
                    if (byteBuffer != null) {
                        byteBuffer.position(this.j.offset);
                        byteBuffer.limit(this.j.offset + this.j.size);
                    }
                    this.D = d(this.j.presentationTimeUs);
                }
            } else if (i2 == -2) {
                w();
                return true;
            } else if (i2 == -3) {
                x();
                return true;
            } else {
                if (this.s && (this.J || this.G == 2)) {
                    F();
                }
                return false;
            }
        }
        if (!this.u || !this.I) {
            z2 = false;
            MediaCodec mediaCodec = this.l;
            ByteBuffer[] byteBufferArr = this.z;
            int i3 = this.C;
            z3 = a(j2, j3, mediaCodec, byteBufferArr[i3], i3, this.j.flags, this.j.presentationTimeUs, this.D);
        } else {
            try {
                z2 = false;
                try {
                    z3 = a(j2, j3, this.l, this.z[this.C], this.C, this.j.flags, this.j.presentationTimeUs, this.D);
                } catch (IllegalStateException e3) {
                }
            } catch (IllegalStateException e4) {
                z2 = false;
                F();
                if (this.K) {
                    C();
                }
                return z2;
            }
        }
        if (!z3) {
            return z2;
        }
        c(this.j.presentationTimeUs);
        this.C = -1;
        return true;
    }

    private void w() throws com.google.android.exoplayer2.e {
        MediaFormat outputFormat = this.l.getOutputFormat();
        if (this.r && outputFormat.getInteger("width") == 32 && outputFormat.getInteger("height") == 32) {
            this.x = true;
            return;
        }
        if (this.v) {
            outputFormat.setInteger("channel-count", 1);
        }
        a(this.l, outputFormat);
    }

    private void x() {
        this.z = this.l.getOutputBuffers();
    }

    /* access modifiers changed from: protected */
    public void y() throws com.google.android.exoplayer2.e {
    }

    private void F() throws com.google.android.exoplayer2.e {
        if (this.G == 2) {
            C();
            z();
            return;
        }
        this.K = true;
        y();
    }

    private boolean d(long j2) {
        int size = this.i.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (this.i.get(i2).longValue() == j2) {
                this.i.remove(i2);
                return true;
            }
        }
        return false;
    }

    private static boolean a(String str) {
        return t.a < 18 || (t.a == 18 && ("OMX.SEC.avc.dec".equals(str) || "OMX.SEC.avc.dec.secure".equals(str))) || (t.a == 19 && t.d.startsWith("SM-G800") && ("OMX.Exynos.avc.dec".equals(str) || "OMX.Exynos.avc.dec.secure".equals(str)));
    }

    private static boolean b(String str) {
        return t.a < 24 && ("OMX.Nvidia.h264.decode".equals(str) || "OMX.Nvidia.h264.decode.secure".equals(str)) && ("flounder".equals(t.b) || "flounder_lte".equals(t.b) || "grouper".equals(t.b) || "tilapia".equals(t.b));
    }

    private static boolean a(String str, j jVar) {
        return t.a < 21 && jVar.h.isEmpty() && "OMX.MTK.VIDEO.DECODER.AVC".equals(str);
    }

    private static boolean c(String str) {
        return t.a <= 17 && ("OMX.rk.video_decoder.avc".equals(str) || "OMX.allwinner.video.decoder.avc".equals(str));
    }

    private static boolean d(String str) {
        return (t.a <= 23 && "OMX.google.vorbis.decoder".equals(str)) || (t.a <= 19 && "hb2000".equals(t.b) && ("OMX.amlogic.avc.decoder.awesome".equals(str) || "OMX.amlogic.avc.decoder.awesome.secure".equals(str)));
    }

    private static boolean e(String str) {
        return t.a == 21 && "OMX.google.aac.decoder".equals(str);
    }

    private static boolean b(String str, j jVar) {
        if (t.a > 18 || jVar.r != 1 || !"OMX.MTK.AUDIO.DECODER.MP3".equals(str)) {
            return false;
        }
        return true;
    }

    private static boolean f(String str) {
        return t.a <= 19 && t.d.equals("ODROID-XU3") && ("OMX.Exynos.AVC.Decoder".equals(str) || "OMX.Exynos.AVC.Decoder.secure".equals(str));
    }
}
