package com.google.android.exoplayer2.g.a;

import android.text.Layout;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.text.style.CharacterStyle;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.UnderlineSpan;
import com.alibaba.fastjson.asm.Opcodes;
import com.google.android.exoplayer2.g.d;
import com.google.android.exoplayer2.g.f;
import com.google.android.exoplayer2.g.h;
import com.google.android.exoplayer2.g.i;
import com.google.android.exoplayer2.j.k;
import com.tencent.smtt.sdk.TbsListener;
import com.umeng.analytics.pro.cv;
import com.umeng.analytics.pro.o;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import org.mozilla.universalchardet.prober.HebrewProber;
import org.mozilla.universalchardet.prober.distributionanalysis.EUCTWDistributionAnalysis;

/* compiled from: Cea608Decoder */
public final class a extends d {
    private static final int[] a = {11, 1, 3, 12, 14, 5, 7, 9};
    private static final int[] b = {0, 4, 8, 12, 16, 20, 24, 28};
    private static final int[] c = {-1, -16711936, -16776961, -16711681, -65536, -256, -65281};
    private static final int[] d = {32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 225, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, TbsListener.ErrorCode.DECOUPLE_INSTLL_SUCCESS, 93, 237, 243, 250, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, TbsListener.ErrorCode.RENAME_FAIL, 247, TbsListener.ErrorCode.DEXOPT_EXCEPTION, 241, 9632};
    private static final int[] e = {174, 176, 189, 191, 8482, Opcodes.IF_ICMPGE, Opcodes.IF_ICMPGT, 9834, 224, 32, TbsListener.ErrorCode.INSTALL_SUCCESS_AND_RELEASE_LOCK, TbsListener.ErrorCode.DEXOAT_EXCEPTION, 234, 238, 244, 251};
    private static final int[] f = {Opcodes.INSTANCEOF, 201, TbsListener.ErrorCode.EXCEED_COPY_RETRY_NUM, 218, TbsListener.ErrorCode.COPY_INSTALL_SUCCESS, 252, 8216, 161, 42, 39, o.a.C, Opcodes.RET, 8480, 8226, 8220, 8221, 192, 194, Opcodes.IFNONNULL, 200, 202, 203, 235, TbsListener.ErrorCode.UNZIP_IO_ERROR, TbsListener.ErrorCode.UNZIP_OTHER_ERROR, 239, TbsListener.ErrorCode.COPY_FAIL, 217, 249, TbsListener.ErrorCode.RENAME_EXCEPTION, 171, Opcodes.NEW};
    private static final int[] g = {195, TbsListener.ErrorCode.HOST_CONTEXT_IS_NULL, TbsListener.ErrorCode.UNZIP_DIR_ERROR, TbsListener.ErrorCode.APK_INVALID, TbsListener.ErrorCode.TPATCH_INSTALL_SUCCESS, TbsListener.ErrorCode.ROM_NOT_ENOUGH, TbsListener.ErrorCode.TPATCH_ENABLE_EXCEPTION, TbsListener.ErrorCode.COPY_SRCDIR_ERROR, HebrewProber.FINAL_TSADI, 123, 125, 92, 94, 95, 124, 126, EUCTWDistributionAnalysis.HIGHBYTE_BEGIN, TbsListener.ErrorCode.INCR_ERROR_DETAIL, TbsListener.ErrorCode.COPY_TMPDIR_ERROR, HebrewProber.NORMAL_TSADI, TbsListener.ErrorCode.EXCEED_LZMA_RETRY_NUM, Opcodes.IF_ACMPEQ, 164, 9474, 197, TbsListener.ErrorCode.INSTALL_FROM_UNZIP, 216, 248, 9484, 9488, 9492, 9496};
    private final k h = new k();
    private final int i;
    private final int j;
    private final LinkedList<C0066a> k = new LinkedList<>();
    private C0066a l = new C0066a(0, 4);
    private List<com.google.android.exoplayer2.g.a> m;
    private List<com.google.android.exoplayer2.g.a> n;
    private int o;
    private int p;
    private boolean q;
    private byte r;
    private byte s;

    @Override // com.google.android.exoplayer2.g.a.d, com.google.android.exoplayer2.g.e
    public /* bridge */ /* synthetic */ void a(long j2) {
        super.a(j2);
    }

    @Override // com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ void b(h hVar) throws f {
        super.a(hVar);
    }

    @Override // com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ i g() throws f {
        return super.b();
    }

    @Override // com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ h h() throws f {
        return super.a();
    }

    public a(String str, int i2) {
        this.i = "application/x-mp4-cea-608".equals(str) ? 2 : 3;
        if (i2 == 3 || i2 == 4) {
            this.j = 2;
        } else {
            this.j = 1;
        }
        a(0);
        j();
    }

    @Override // com.google.android.exoplayer2.b.c, com.google.android.exoplayer2.g.a.d
    public void c() {
        super.c();
        this.m = null;
        this.n = null;
        a(0);
        j();
        this.p = 4;
        this.q = false;
        this.r = 0;
        this.s = 0;
    }

    @Override // com.google.android.exoplayer2.b.c, com.google.android.exoplayer2.g.a.d
    public void d() {
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.a.d
    public boolean e() {
        return this.m != this.n;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.a.d
    public d f() {
        List<com.google.android.exoplayer2.g.a> list = this.m;
        this.n = list;
        return new f(list);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.a.d
    public void a(h hVar) {
        byte b2;
        this.h.a(hVar.b.array(), hVar.b.limit());
        boolean z = false;
        boolean z2 = false;
        while (true) {
            int b3 = this.h.b();
            int i2 = this.i;
            if (b3 < i2) {
                break;
            }
            if (i2 == 2) {
                b2 = -4;
            } else {
                b2 = (byte) this.h.g();
            }
            byte g2 = (byte) (this.h.g() & 127);
            byte g3 = (byte) (this.h.g() & 127);
            if ((b2 & 6) == 4 && ((this.j != 1 || (b2 & 1) == 0) && ((this.j != 2 || (b2 & 1) == 1) && !(g2 == 0 && g3 == 0)))) {
                if ((g2 & 247) == 17 && (g3 & 240) == 48) {
                    this.l.a(d(g3));
                } else if ((g2 & 246) == 18 && (g3 & 224) == 32) {
                    this.l.b();
                    if ((g2 & 1) == 0) {
                        this.l.a(e(g3));
                    } else {
                        this.l.a(f(g3));
                    }
                } else if ((g2 & 224) == 0) {
                    z2 = a(g2, g3);
                    z = true;
                } else {
                    this.l.a(c(g2));
                    if ((g3 & 224) != 0) {
                        this.l.a(c(g3));
                    }
                }
                z = true;
            }
        }
        if (z) {
            if (!z2) {
                this.q = false;
            }
            int i3 = this.o;
            if (i3 == 1 || i3 == 3) {
                this.m = i();
            }
        }
    }

    private boolean a(byte b2, byte b3) {
        boolean g2 = g(b2);
        if (g2) {
            if (this.q && this.r == b2 && this.s == b3) {
                this.q = false;
                return true;
            }
            this.q = true;
            this.r = b2;
            this.s = b3;
        }
        if (c(b2, b3)) {
            a(b3);
        } else if (d(b2, b3)) {
            b(b2, b3);
        } else if (e(b2, b3)) {
            this.l.c(b3 - 32);
        } else if (f(b2, b3)) {
            b(b3);
        }
        return g2;
    }

    private void a(byte b2) {
        this.l.a((b2 & 1) == 1);
        int i2 = (b2 >> 1) & 15;
        if (i2 == 7) {
            this.l.a(new StyleSpan(2), 2);
            this.l.a(new ForegroundColorSpan(-1), 1);
            return;
        }
        this.l.a(new ForegroundColorSpan(c[i2]), 1);
    }

    private void b(byte b2, byte b3) {
        int i2 = a[b2 & 7];
        if ((b3 & HebrewProber.SPACE) != 0) {
            i2++;
        }
        if (i2 != this.l.c()) {
            if (this.o != 1 && !this.l.a()) {
                C0066a aVar = new C0066a(this.o, this.p);
                this.l = aVar;
                this.k.add(aVar);
            }
            this.l.a(i2);
        }
        if ((b3 & 1) == 1) {
            this.l.a(new UnderlineSpan());
        }
        int i3 = (b3 >> 1) & 15;
        if (i3 > 7) {
            this.l.b(b[i3 & 7]);
        } else if (i3 == 7) {
            this.l.a(new StyleSpan(2));
            this.l.a(new ForegroundColorSpan(-1));
        } else {
            this.l.a(new ForegroundColorSpan(c[i3]));
        }
    }

    private void b(byte b2) {
        if (b2 == 32) {
            a(2);
        } else if (b2 != 41) {
            switch (b2) {
                case 37:
                    this.p = 2;
                    a(1);
                    return;
                case 38:
                    this.p = 3;
                    a(1);
                    return;
                case 39:
                    this.p = 4;
                    a(1);
                    return;
                default:
                    int i2 = this.o;
                    if (i2 != 0) {
                        if (b2 != 33) {
                            switch (b2) {
                                case 44:
                                    this.m = null;
                                    if (i2 == 1 || i2 == 3) {
                                        j();
                                        return;
                                    }
                                    return;
                                case 45:
                                    if (i2 == 1 && !this.l.a()) {
                                        this.l.d();
                                        return;
                                    }
                                    return;
                                case 46:
                                    j();
                                    return;
                                case 47:
                                    this.m = i();
                                    j();
                                    return;
                                default:
                                    return;
                            }
                        } else {
                            this.l.b();
                            return;
                        }
                    } else {
                        return;
                    }
            }
        } else {
            a(3);
        }
    }

    private List<com.google.android.exoplayer2.g.a> i() {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < this.k.size(); i2++) {
            com.google.android.exoplayer2.g.a f2 = this.k.get(i2).f();
            if (f2 != null) {
                arrayList.add(f2);
            }
        }
        return arrayList;
    }

    private void a(int i2) {
        int i3 = this.o;
        if (i3 != i2) {
            this.o = i2;
            j();
            if (i3 == 3 || i2 == 1 || i2 == 0) {
                this.m = null;
            }
        }
    }

    private void j() {
        this.l.a(this.o, this.p);
        this.k.clear();
        this.k.add(this.l);
    }

    private static char c(byte b2) {
        return (char) d[(b2 & Byte.MAX_VALUE) - 32];
    }

    private static char d(byte b2) {
        return (char) e[b2 & cv.m];
    }

    private static char e(byte b2) {
        return (char) f[b2 & 31];
    }

    private static char f(byte b2) {
        return (char) g[b2 & 31];
    }

    private static boolean c(byte b2, byte b3) {
        return (b2 & 247) == 17 && (b3 & 240) == 32;
    }

    private static boolean d(byte b2, byte b3) {
        return (b2 & 240) == 16 && (b3 & 192) == 64;
    }

    private static boolean e(byte b2, byte b3) {
        return (b2 & 247) == 23 && b3 >= 33 && b3 <= 35;
    }

    private static boolean f(byte b2, byte b3) {
        return (b2 & 247) == 20 && (b3 & 240) == 32;
    }

    private static boolean g(byte b2) {
        return (b2 & 240) == 16;
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.exoplayer2.g.a.a$a  reason: collision with other inner class name */
    /* compiled from: Cea608Decoder */
    public static class C0066a {
        private final List<CharacterStyle> a = new ArrayList();
        private final List<C0067a> b = new ArrayList();
        private final List<SpannableString> c = new LinkedList();
        private final SpannableStringBuilder d = new SpannableStringBuilder();
        private int e;
        private int f;
        private int g;
        private int h;
        private int i;
        private int j;

        public C0066a(int i2, int i3) {
            a(i2, i3);
        }

        public void a(int i2, int i3) {
            this.a.clear();
            this.b.clear();
            this.c.clear();
            this.d.clear();
            this.e = 15;
            this.f = 0;
            this.g = 0;
            this.h = i2;
            this.i = i3;
            this.j = -1;
        }

        public boolean a() {
            return this.a.isEmpty() && this.b.isEmpty() && this.c.isEmpty() && this.d.length() == 0;
        }

        public void b() {
            int length = this.d.length();
            if (length > 0) {
                this.d.delete(length - 1, length);
            }
        }

        public int c() {
            return this.e;
        }

        public void a(int i2) {
            this.e = i2;
        }

        public void d() {
            this.c.add(e());
            this.d.clear();
            this.a.clear();
            this.b.clear();
            this.j = -1;
            int min = Math.min(this.i, this.e);
            while (this.c.size() >= min) {
                this.c.remove(0);
            }
        }

        public void b(int i2) {
            this.f = i2;
        }

        public void c(int i2) {
            this.g = i2;
        }

        public void a(CharacterStyle characterStyle) {
            this.a.add(characterStyle);
        }

        public void a(CharacterStyle characterStyle, int i2) {
            this.b.add(new C0067a(characterStyle, this.d.length(), i2));
        }

        public void a(boolean z) {
            if (z) {
                this.j = this.d.length();
            } else if (this.j != -1) {
                this.d.setSpan(new UnderlineSpan(), this.j, this.d.length(), 33);
                this.j = -1;
            }
        }

        public void a(char c2) {
            this.d.append(c2);
        }

        public SpannableString e() {
            int length = this.d.length();
            int i2 = 0;
            for (int i3 = 0; i3 < this.a.size(); i3++) {
                this.d.setSpan(this.a.get(i3), 0, length, 33);
            }
            while (i2 < this.b.size()) {
                C0067a aVar = this.b.get(i2);
                this.d.setSpan(aVar.a, aVar.b, i2 < this.b.size() - aVar.c ? this.b.get(aVar.c + i2).b : length, 33);
                i2++;
            }
            if (this.j != -1) {
                this.d.setSpan(new UnderlineSpan(), this.j, length, 33);
            }
            return new SpannableString(this.d);
        }

        public com.google.android.exoplayer2.g.a f() {
            int i2;
            float f2;
            int i3;
            int i4;
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            for (int i5 = 0; i5 < this.c.size(); i5++) {
                spannableStringBuilder.append((CharSequence) this.c.get(i5));
                spannableStringBuilder.append('\n');
            }
            spannableStringBuilder.append((CharSequence) e());
            if (spannableStringBuilder.length() == 0) {
                return null;
            }
            int i6 = this.f + this.g;
            int length = (32 - i6) - spannableStringBuilder.length();
            int i7 = i6 - length;
            if (this.h == 2 && Math.abs(i7) < 3) {
                f2 = 0.5f;
                i2 = 1;
            } else if (this.h != 2 || i7 <= 0) {
                f2 = ((((float) i6) / 32.0f) * 0.8f) + 0.1f;
                i2 = 0;
            } else {
                f2 = ((((float) (32 - length)) / 32.0f) * 0.8f) + 0.1f;
                i2 = 2;
            }
            if (this.h == 1 || (i4 = this.e) > 7) {
                i4 = (this.e - 15) - 2;
                i3 = 2;
            } else {
                i3 = 0;
            }
            return new com.google.android.exoplayer2.g.a(spannableStringBuilder, Layout.Alignment.ALIGN_NORMAL, (float) i4, 1, i3, f2, i2, Float.MIN_VALUE);
        }

        public String toString() {
            return this.d.toString();
        }

        /* access modifiers changed from: private */
        /* renamed from: com.google.android.exoplayer2.g.a.a$a$a  reason: collision with other inner class name */
        /* compiled from: Cea608Decoder */
        public static class C0067a {
            public final CharacterStyle a;
            public final int b;
            public final int c;

            public C0067a(CharacterStyle characterStyle, int i, int i2) {
                this.a = characterStyle;
                this.b = i;
                this.c = i2;
            }
        }
    }
}
