package com.google.android.exoplayer2.g.a;

import android.graphics.Color;
import android.text.Layout;
import android.text.SpannableString;
import android.text.SpannableStringBuilder;
import android.text.style.BackgroundColorSpan;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.UnderlineSpan;
import android.util.Log;
import com.alibaba.fastjson.asm.Opcodes;
import com.google.android.exoplayer2.g.d;
import com.google.android.exoplayer2.g.f;
import com.google.android.exoplayer2.g.h;
import com.google.android.exoplayer2.g.i;
import com.google.android.exoplayer2.j.j;
import com.google.android.exoplayer2.j.k;
import com.tencent.smtt.sdk.TbsListener;
import java.util.ArrayList;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;
import org.mozilla.universalchardet.prober.contextanalysis.EUCJPContextAnalysis;

/* compiled from: Cea708Decoder */
public final class c extends d {
    private final k a = new k();
    private final j b = new j();
    private final int c;
    private final a[] d;
    private a e;
    private List<com.google.android.exoplayer2.g.a> f;
    private List<com.google.android.exoplayer2.g.a> g;
    private b h;
    private int i;

    @Override // com.google.android.exoplayer2.g.a.d, com.google.android.exoplayer2.g.e
    public /* bridge */ /* synthetic */ void a(long j) {
        super.a(j);
    }

    @Override // com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ void b(h hVar) throws f {
        super.a(hVar);
    }

    @Override // com.google.android.exoplayer2.b.c, com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ void d() {
        super.d();
    }

    @Override // com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ i g() throws f {
        return super.b();
    }

    @Override // com.google.android.exoplayer2.g.a.d
    public /* bridge */ /* synthetic */ h h() throws f {
        return super.a();
    }

    public c(int i2) {
        this.c = i2 == -1 ? 1 : i2;
        this.d = new a[8];
        for (int i3 = 0; i3 < 8; i3++) {
            this.d[i3] = new a();
        }
        this.e = this.d[0];
        p();
    }

    @Override // com.google.android.exoplayer2.b.c, com.google.android.exoplayer2.g.a.d
    public void c() {
        super.c();
        this.f = null;
        this.g = null;
        this.i = 0;
        this.e = this.d[0];
        p();
        this.h = null;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.a.d
    public boolean e() {
        return this.f != this.g;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.a.d
    public d f() {
        List<com.google.android.exoplayer2.g.a> list = this.f;
        this.g = list;
        return new f(list);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.a.d
    public void a(h hVar) {
        this.a.a(hVar.b.array(), hVar.b.limit());
        while (this.a.b() >= 3) {
            int g2 = this.a.g() & 7;
            int i2 = g2 & 3;
            boolean z = false;
            boolean z2 = (g2 & 4) == 4;
            byte g3 = (byte) this.a.g();
            byte g4 = (byte) this.a.g();
            if ((i2 == 2 || i2 == 3) && z2) {
                if (i2 == 3) {
                    i();
                    int i3 = (g3 & 192) >> 6;
                    int i4 = g3 & 63;
                    if (i4 == 0) {
                        i4 = 64;
                    }
                    b bVar = new b(i3, i4);
                    this.h = bVar;
                    byte[] bArr = bVar.c;
                    b bVar2 = this.h;
                    int i5 = bVar2.d;
                    bVar2.d = i5 + 1;
                    bArr[i5] = g4;
                } else {
                    if (i2 == 2) {
                        z = true;
                    }
                    com.google.android.exoplayer2.j.a.a(z);
                    b bVar3 = this.h;
                    if (bVar3 == null) {
                        Log.e("Cea708Decoder", "Encountered DTVCC_PACKET_DATA before DTVCC_PACKET_START");
                    } else {
                        byte[] bArr2 = bVar3.c;
                        b bVar4 = this.h;
                        int i6 = bVar4.d;
                        bVar4.d = i6 + 1;
                        bArr2[i6] = g3;
                        byte[] bArr3 = this.h.c;
                        b bVar5 = this.h;
                        int i7 = bVar5.d;
                        bVar5.d = i7 + 1;
                        bArr3[i7] = g4;
                    }
                }
                if (this.h.d == (this.h.b * 2) - 1) {
                    i();
                }
            }
        }
    }

    private void i() {
        if (this.h != null) {
            j();
            this.h = null;
        }
    }

    private void j() {
        if (this.h.d != (this.h.b * 2) - 1) {
            Log.w("Cea708Decoder", "DtvCcPacket ended prematurely; size is " + ((this.h.b * 2) - 1) + ", but current index is " + this.h.d + " (sequence number " + this.h.a + "); ignoring packet");
            return;
        }
        this.b.a(this.h.c, this.h.d);
        int c2 = this.b.c(3);
        int c3 = this.b.c(5);
        if (c2 == 7) {
            this.b.b(2);
            c2 += this.b.c(6);
        }
        if (c3 == 0) {
            if (c2 != 0) {
                Log.w("Cea708Decoder", "serviceNumber is non-zero (" + c2 + ") when blockSize is 0");
            }
        } else if (c2 == this.c) {
            boolean z = false;
            while (this.b.a() > 0) {
                int c4 = this.b.c(8);
                if (c4 == 16) {
                    int c5 = this.b.c(8);
                    if (c5 <= 31) {
                        c(c5);
                    } else if (c5 <= 127) {
                        g(c5);
                        z = true;
                    } else if (c5 <= 159) {
                        d(c5);
                    } else if (c5 <= 255) {
                        h(c5);
                        z = true;
                    } else {
                        Log.w("Cea708Decoder", "Invalid extended command: " + c5);
                    }
                } else if (c4 <= 31) {
                    a(c4);
                } else if (c4 <= 127) {
                    e(c4);
                    z = true;
                } else if (c4 <= 159) {
                    b(c4);
                    z = true;
                } else if (c4 <= 255) {
                    f(c4);
                    z = true;
                } else {
                    Log.w("Cea708Decoder", "Invalid base command: " + c4);
                }
            }
            if (z) {
                this.f = o();
            }
        }
    }

    private void a(int i2) {
        if (i2 == 0) {
            return;
        }
        if (i2 == 3) {
            this.f = o();
        } else if (i2 != 8) {
            switch (i2) {
                case 12:
                    p();
                    return;
                case 13:
                    this.e.a('\n');
                    return;
                case 14:
                    return;
                default:
                    if (i2 >= 17 && i2 <= 23) {
                        Log.w("Cea708Decoder", "Currently unsupported COMMAND_EXT1 Command: " + i2);
                        this.b.b(8);
                        return;
                    } else if (i2 < 24 || i2 > 31) {
                        Log.w("Cea708Decoder", "Invalid C0 command: " + i2);
                        return;
                    } else {
                        Log.w("Cea708Decoder", "Currently unsupported COMMAND_P16 Command: " + i2);
                        this.b.b(16);
                        return;
                    }
            }
        } else {
            this.e.f();
        }
    }

    private void b(int i2) {
        int i3 = 1;
        switch (i2) {
            case 128:
            case 129:
            case 130:
            case TbsListener.ErrorCode.DOWNLOAD_USER_CANCEL /*{ENCODED_INT: 131}*/:
            case TbsListener.ErrorCode.DOWNLOAD_CDN_URL_IS_NULL /*{ENCODED_INT: 132}*/:
            case 133:
            case TbsListener.ErrorCode.DOWNLOAD_USER_PAUSE /*{ENCODED_INT: 134}*/:
            case 135:
                int i4 = i2 + com.alipay.sdk.m.n.a.g;
                if (this.i != i4) {
                    this.i = i4;
                    this.e = this.d[i4];
                    return;
                }
                return;
            case 136:
                while (i3 <= 8) {
                    if (this.b.d()) {
                        this.d[8 - i3].c();
                    }
                    i3++;
                }
                return;
            case 137:
                for (int i5 = 1; i5 <= 8; i5++) {
                    if (this.b.d()) {
                        this.d[8 - i5].a(true);
                    }
                }
                return;
            case 138:
                while (i3 <= 8) {
                    if (this.b.d()) {
                        this.d[8 - i3].a(false);
                    }
                    i3++;
                }
                return;
            case 139:
                for (int i6 = 1; i6 <= 8; i6++) {
                    if (this.b.d()) {
                        a aVar = this.d[8 - i6];
                        aVar.a(!aVar.e());
                    }
                }
                return;
            case 140:
                while (i3 <= 8) {
                    if (this.b.d()) {
                        this.d[8 - i3].b();
                    }
                    i3++;
                }
                return;
            case 141:
                this.b.b(8);
                return;
            case EUCJPContextAnalysis.SINGLE_SHIFT_2 /*{ENCODED_INT: 142}*/:
                return;
            case EUCJPContextAnalysis.SINGLE_SHIFT_3 /*{ENCODED_INT: 143}*/:
                p();
                return;
            case 144:
                if (!this.e.d()) {
                    this.b.b(16);
                    return;
                } else {
                    k();
                    return;
                }
            case com.igexin.push.config.c.G /*{ENCODED_INT: 145}*/:
                if (!this.e.d()) {
                    this.b.b(24);
                    return;
                } else {
                    l();
                    return;
                }
            case 146:
                if (!this.e.d()) {
                    this.b.b(16);
                    return;
                } else {
                    m();
                    return;
                }
            case 147:
            case Opcodes.LCMP:
            case Opcodes.FCMPL:
            case 150:
            default:
                Log.w("Cea708Decoder", "Invalid C1 command: " + i2);
                return;
            case 151:
                if (!this.e.d()) {
                    this.b.b(32);
                    return;
                } else {
                    n();
                    return;
                }
            case TbsListener.ErrorCode.NEEDDOWNLOAD_TMPCORE_PREPARING /*{ENCODED_INT: 152}*/:
            case 153:
            case 154:
            case TbsListener.ErrorCode.NO_NEED_STARTDOWNLOAD /*{ENCODED_INT: 155}*/:
            case 156:
            case 157:
            case Opcodes.IFLE:
            case 159:
                int i7 = i2 - 152;
                i(i7);
                if (this.i != i7) {
                    this.i = i7;
                    this.e = this.d[i7];
                    return;
                }
                return;
        }
    }

    private void c(int i2) {
        if (i2 > 7) {
            if (i2 <= 15) {
                this.b.b(8);
            } else if (i2 <= 23) {
                this.b.b(16);
            } else if (i2 <= 31) {
                this.b.b(24);
            }
        }
    }

    private void d(int i2) {
        if (i2 <= 135) {
            this.b.b(32);
        } else if (i2 <= 143) {
            this.b.b(40);
        } else if (i2 <= 159) {
            this.b.b(2);
            this.b.b(this.b.c(6) * 8);
        }
    }

    private void e(int i2) {
        if (i2 == 127) {
            this.e.a((char) 9835);
        } else {
            this.e.a((char) (i2 & 255));
        }
    }

    private void f(int i2) {
        this.e.a((char) (i2 & 255));
    }

    private void g(int i2) {
        if (i2 == 32) {
            this.e.a(' ');
        } else if (i2 == 33) {
            this.e.a((char) 160);
        } else if (i2 == 37) {
            this.e.a((char) 8230);
        } else if (i2 == 42) {
            this.e.a((char) 352);
        } else if (i2 == 44) {
            this.e.a((char) 338);
        } else if (i2 == 63) {
            this.e.a((char) 376);
        } else if (i2 == 57) {
            this.e.a((char) 8482);
        } else if (i2 == 58) {
            this.e.a((char) 353);
        } else if (i2 == 60) {
            this.e.a((char) 339);
        } else if (i2 != 61) {
            switch (i2) {
                case 48:
                    this.e.a((char) 9608);
                    return;
                case 49:
                    this.e.a((char) 8216);
                    return;
                case 50:
                    this.e.a((char) 8217);
                    return;
                case 51:
                    this.e.a((char) 8220);
                    return;
                case 52:
                    this.e.a((char) 8221);
                    return;
                case 53:
                    this.e.a((char) 8226);
                    return;
                default:
                    switch (i2) {
                        case 118:
                            this.e.a((char) 8539);
                            return;
                        case 119:
                            this.e.a((char) 8540);
                            return;
                        case 120:
                            this.e.a((char) 8541);
                            return;
                        case 121:
                            this.e.a((char) 8542);
                            return;
                        case 122:
                            this.e.a((char) 9474);
                            return;
                        case 123:
                            this.e.a((char) 9488);
                            return;
                        case 124:
                            this.e.a((char) 9492);
                            return;
                        case 125:
                            this.e.a((char) 9472);
                            return;
                        case 126:
                            this.e.a((char) 9496);
                            return;
                        case 127:
                            this.e.a((char) 9484);
                            return;
                        default:
                            Log.w("Cea708Decoder", "Invalid G2 character: " + i2);
                            return;
                    }
            }
        } else {
            this.e.a((char) 8480);
        }
    }

    private void h(int i2) {
        if (i2 == 160) {
            this.e.a((char) 13252);
            return;
        }
        Log.w("Cea708Decoder", "Invalid G3 character: " + i2);
        this.e.a('_');
    }

    private void k() {
        this.e.a(this.b.c(4), this.b.c(2), this.b.c(2), this.b.d(), this.b.d(), this.b.c(3), this.b.c(3));
    }

    private void l() {
        int a2 = a.a(this.b.c(2), this.b.c(2), this.b.c(2), this.b.c(2));
        int a3 = a.a(this.b.c(2), this.b.c(2), this.b.c(2), this.b.c(2));
        this.b.b(2);
        this.e.a(a2, a3, a.b(this.b.c(2), this.b.c(2), this.b.c(2)));
    }

    private void m() {
        this.b.b(4);
        int c2 = this.b.c(4);
        this.b.b(2);
        this.e.a(c2, this.b.c(6));
    }

    private void n() {
        int i2;
        int a2 = a.a(this.b.c(2), this.b.c(2), this.b.c(2), this.b.c(2));
        int c2 = this.b.c(2);
        int b2 = a.b(this.b.c(2), this.b.c(2), this.b.c(2));
        if (this.b.d()) {
            i2 = c2 | 4;
        } else {
            i2 = c2;
        }
        boolean d2 = this.b.d();
        int c3 = this.b.c(2);
        int c4 = this.b.c(2);
        int c5 = this.b.c(2);
        this.b.b(8);
        this.e.a(a2, b2, d2, i2, c3, c4, c5);
    }

    private void i(int i2) {
        a aVar = this.d[i2];
        this.b.b(2);
        boolean d2 = this.b.d();
        boolean d3 = this.b.d();
        boolean d4 = this.b.d();
        int c2 = this.b.c(3);
        boolean d5 = this.b.d();
        int c3 = this.b.c(7);
        int c4 = this.b.c(8);
        int c5 = this.b.c(4);
        int c6 = this.b.c(4);
        this.b.b(2);
        int c7 = this.b.c(6);
        this.b.b(2);
        aVar.a(d2, d3, d4, c2, d5, c3, c4, c6, c7, c5, this.b.c(3), this.b.c(3));
    }

    private List<com.google.android.exoplayer2.g.a> o() {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < 8; i2++) {
            if (!this.d[i2].a() && this.d[i2].e()) {
                arrayList.add(this.d[i2].h());
            }
        }
        Collections.sort(arrayList);
        return Collections.unmodifiableList(arrayList);
    }

    private void p() {
        for (int i2 = 0; i2 < 8; i2++) {
            this.d[i2].b();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: Cea708Decoder */
    public static final class b {
        public final int a;
        public final int b;
        public final byte[] c;
        int d = 0;

        public b(int i, int i2) {
            this.a = i;
            this.b = i2;
            this.c = new byte[((i2 * 2) - 1)];
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: Cea708Decoder */
    public static final class a {
        public static final int a = a(2, 2, 2, 0);
        public static final int b = a(0, 0, 0, 0);
        public static final int c;
        private static final int[] d = {0, 0, 0, 0, 0, 2, 0};
        private static final int[] e = {0, 0, 0, 0, 0, 0, 2};
        private static final int[] f = {3, 3, 3, 3, 3, 3, 1};
        private static final boolean[] g = {false, false, false, true, true, true, false};
        private static final int[] h;
        private static final int[] i = {0, 1, 2, 3, 4, 3, 4};
        private static final int[] j = {0, 0, 0, 0, 0, 3, 3};
        private static final int[] k;
        private int A;
        private int B;
        private int C;
        private int D;
        private int E;
        private int F;
        private int G;
        private final List<SpannableString> l = new LinkedList();
        private final SpannableStringBuilder m = new SpannableStringBuilder();
        private boolean n;
        private boolean o;
        private int p;
        private boolean q;
        private int r;
        private int s;
        private int t;
        private int u;
        private boolean v;
        private int w;
        private int x;
        private int y;
        private int z;

        static {
            int a2 = a(0, 0, 0, 3);
            c = a2;
            int i2 = b;
            h = new int[]{i2, a2, i2, i2, a2, i2, i2};
            k = new int[]{i2, i2, i2, i2, i2, a2, a2};
        }

        public a() {
            b();
        }

        public boolean a() {
            return !d() || (this.l.isEmpty() && this.m.length() == 0);
        }

        public void b() {
            c();
            this.n = false;
            this.o = false;
            this.p = 4;
            this.q = false;
            this.r = 0;
            this.s = 0;
            this.t = 0;
            this.u = 15;
            this.v = true;
            this.w = 0;
            this.x = 0;
            this.y = 0;
            int i2 = b;
            this.z = i2;
            this.D = a;
            this.F = i2;
        }

        public void c() {
            this.l.clear();
            this.m.clear();
            this.A = -1;
            this.B = -1;
            this.C = -1;
            this.E = -1;
            this.G = 0;
        }

        public boolean d() {
            return this.n;
        }

        public void a(boolean z2) {
            this.o = z2;
        }

        public boolean e() {
            return this.o;
        }

        public void a(boolean z2, boolean z3, boolean z4, int i2, boolean z5, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            this.n = true;
            this.o = z2;
            this.v = z3;
            this.p = i2;
            this.q = z5;
            this.r = i3;
            this.s = i4;
            this.t = i7;
            int i10 = i5 + 1;
            if (this.u != i10) {
                this.u = i10;
                while (true) {
                    if ((!z3 || this.l.size() < this.u) && this.l.size() < 15) {
                        break;
                    }
                    this.l.remove(0);
                }
            }
            if (!(i8 == 0 || this.x == i8)) {
                this.x = i8;
                int i11 = i8 - 1;
                a(h[i11], c, g[i11], 0, e[i11], f[i11], d[i11]);
            }
            if (i9 != 0 && this.y != i9) {
                this.y = i9;
                int i12 = i9 - 1;
                a(0, 1, 1, false, false, j[i12], i[i12]);
                a(a, k[i12], b);
            }
        }

        public void a(int i2, int i3, boolean z2, int i4, int i5, int i6, int i7) {
            this.z = i2;
            this.w = i7;
        }

        public void a(int i2, int i3, int i4, boolean z2, boolean z3, int i5, int i6) {
            if (this.A != -1) {
                if (!z2) {
                    this.m.setSpan(new StyleSpan(2), this.A, this.m.length(), 33);
                    this.A = -1;
                }
            } else if (z2) {
                this.A = this.m.length();
            }
            if (this.B != -1) {
                if (!z3) {
                    this.m.setSpan(new UnderlineSpan(), this.B, this.m.length(), 33);
                    this.B = -1;
                }
            } else if (z3) {
                this.B = this.m.length();
            }
        }

        public void a(int i2, int i3, int i4) {
            if (!(this.C == -1 || this.D == i2)) {
                this.m.setSpan(new ForegroundColorSpan(this.D), this.C, this.m.length(), 33);
            }
            if (i2 != a) {
                this.C = this.m.length();
                this.D = i2;
            }
            if (!(this.E == -1 || this.F == i3)) {
                this.m.setSpan(new BackgroundColorSpan(this.F), this.E, this.m.length(), 33);
            }
            if (i3 != b) {
                this.E = this.m.length();
                this.F = i3;
            }
        }

        public void a(int i2, int i3) {
            if (this.G != i2) {
                a('\n');
            }
            this.G = i2;
        }

        public void f() {
            int length = this.m.length();
            if (length > 0) {
                this.m.delete(length - 1, length);
            }
        }

        public void a(char c2) {
            if (c2 == '\n') {
                this.l.add(g());
                this.m.clear();
                if (this.A != -1) {
                    this.A = 0;
                }
                if (this.B != -1) {
                    this.B = 0;
                }
                if (this.C != -1) {
                    this.C = 0;
                }
                if (this.E != -1) {
                    this.E = 0;
                }
                while (true) {
                    if ((this.v && this.l.size() >= this.u) || this.l.size() >= 15) {
                        this.l.remove(0);
                    } else {
                        return;
                    }
                }
            } else {
                this.m.append(c2);
            }
        }

        public SpannableString g() {
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(this.m);
            int length = spannableStringBuilder.length();
            if (length > 0) {
                if (this.A != -1) {
                    spannableStringBuilder.setSpan(new StyleSpan(2), this.A, length, 33);
                }
                if (this.B != -1) {
                    spannableStringBuilder.setSpan(new UnderlineSpan(), this.B, length, 33);
                }
                if (this.C != -1) {
                    spannableStringBuilder.setSpan(new ForegroundColorSpan(this.D), this.C, length, 33);
                }
                if (this.E != -1) {
                    spannableStringBuilder.setSpan(new BackgroundColorSpan(this.F), this.E, length, 33);
                }
            }
            return new SpannableString(spannableStringBuilder);
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0067  */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:23:0x0093  */
        /* JADX WARNING: Removed duplicated region for block: B:24:0x0095  */
        /* JADX WARNING: Removed duplicated region for block: B:30:0x00a1  */
        /* JADX WARNING: Removed duplicated region for block: B:31:0x00a3  */
        /* JADX WARNING: Removed duplicated region for block: B:37:0x00af  */
        public b h() {
            Layout.Alignment alignment;
            float f2;
            float f3;
            int i2;
            int i3;
            int i4;
            int i5;
            if (a()) {
                return null;
            }
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
            boolean z2 = false;
            for (int i6 = 0; i6 < this.l.size(); i6++) {
                spannableStringBuilder.append((CharSequence) this.l.get(i6));
                spannableStringBuilder.append('\n');
            }
            spannableStringBuilder.append((CharSequence) g());
            int i7 = this.w;
            if (i7 != 0) {
                if (i7 == 1) {
                    alignment = Layout.Alignment.ALIGN_OPPOSITE;
                } else if (i7 == 2) {
                    alignment = Layout.Alignment.ALIGN_CENTER;
                } else if (i7 != 3) {
                    throw new IllegalArgumentException("Unexpected justification value: " + this.w);
                }
                if (!this.q) {
                    f3 = ((float) this.s) / 99.0f;
                    f2 = ((float) this.r) / 99.0f;
                } else {
                    f3 = ((float) this.s) / 209.0f;
                    f2 = ((float) this.r) / 74.0f;
                }
                float f4 = (f3 * 0.9f) + 0.05f;
                float f5 = (f2 * 0.9f) + 0.05f;
                i2 = this.t;
                if (i2 % 3 != 0) {
                    i3 = 0;
                } else if (i2 % 3 == 1) {
                    i3 = 1;
                } else {
                    i3 = 2;
                }
                i4 = this.t;
                if (i4 / 3 != 0) {
                    i5 = 0;
                } else if (i4 / 3 == 1) {
                    i5 = 1;
                } else {
                    i5 = 2;
                }
                if (this.z != b) {
                    z2 = true;
                }
                return new b(spannableStringBuilder, alignment, f5, 0, i3, f4, i5, Float.MIN_VALUE, z2, this.z, this.p);
            }
            alignment = Layout.Alignment.ALIGN_NORMAL;
            if (!this.q) {
            }
            float f42 = (f3 * 0.9f) + 0.05f;
            float f52 = (f2 * 0.9f) + 0.05f;
            i2 = this.t;
            if (i2 % 3 != 0) {
            }
            i4 = this.t;
            if (i4 / 3 != 0) {
            }
            if (this.z != b) {
            }
            return new b(spannableStringBuilder, alignment, f52, 0, i3, f42, i5, Float.MIN_VALUE, z2, this.z, this.p);
        }

        public static int b(int i2, int i3, int i4) {
            return a(i2, i3, i4, 0);
        }

        public static int a(int i2, int i3, int i4, int i5) {
            int i6;
            int i7 = 0;
            com.google.android.exoplayer2.j.a.a(i2, 0, 4);
            com.google.android.exoplayer2.j.a.a(i3, 0, 4);
            com.google.android.exoplayer2.j.a.a(i4, 0, 4);
            com.google.android.exoplayer2.j.a.a(i5, 0, 4);
            if (i5 == 0 || i5 == 1) {
                i6 = 255;
            } else if (i5 == 2) {
                i6 = 127;
            } else if (i5 != 3) {
                i6 = 255;
            } else {
                i6 = 0;
            }
            int i8 = i2 > 1 ? 255 : 0;
            int i9 = i3 > 1 ? 255 : 0;
            if (i4 > 1) {
                i7 = 255;
            }
            return Color.argb(i6, i8, i9, i7);
        }
    }
}
