package com.google.android.exoplayer2.g.b;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Region;
import android.util.Log;
import android.util.SparseArray;
import com.google.android.exoplayer2.j.j;
import com.google.android.exoplayer2.j.t;
import com.umeng.analytics.pro.cv;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: DvbParser */
final class b {
    private static final byte[] a = {0, 7, 8, cv.m};
    private static final byte[] b = {0, 119, -120, -1};
    private static final byte[] c = {0, 17, 34, 51, 68, 85, 102, 119, -120, -103, -86, -69, -52, -35, -18, -1};
    private final Paint d;
    private final Paint e;
    private final Canvas f = new Canvas();
    private final C0068b g = new C0068b(719, 575, 0, 719, 0, 575);
    private final a h = new a(0, b(), c(), d());
    private final h i;
    private Bitmap j;

    public b(int i2, int i3) {
        Paint paint = new Paint();
        this.d = paint;
        paint.setStyle(Paint.Style.FILL_AND_STROKE);
        this.d.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC));
        this.d.setPathEffect(null);
        Paint paint2 = new Paint();
        this.e = paint2;
        paint2.setStyle(Paint.Style.FILL);
        this.e.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.DST_OVER));
        this.e.setPathEffect(null);
        this.i = new h(i2, i3);
    }

    public void a() {
        this.i.a();
    }

    public List<com.google.android.exoplayer2.g.a> a(byte[] bArr, int i2) {
        int i3;
        c cVar;
        int i4;
        SparseArray<g> sparseArray;
        j jVar = new j(bArr, i2);
        while (jVar.a() >= 48 && jVar.c(8) == 15) {
            a(jVar, this.i);
        }
        if (this.i.i == null) {
            return Collections.emptyList();
        }
        C0068b bVar = this.i.h != null ? this.i.h : this.g;
        if (!(this.j != null && bVar.a + 1 == this.j.getWidth() && bVar.b + 1 == this.j.getHeight())) {
            Bitmap createBitmap = Bitmap.createBitmap(bVar.a + 1, bVar.b + 1, Bitmap.Config.ARGB_8888);
            this.j = createBitmap;
            this.f.setBitmap(createBitmap);
        }
        ArrayList arrayList = new ArrayList();
        SparseArray<e> sparseArray2 = this.i.i.d;
        for (int i5 = 0; i5 < sparseArray2.size(); i5++) {
            e valueAt = sparseArray2.valueAt(i5);
            f fVar = this.i.c.get(sparseArray2.keyAt(i5));
            int i6 = valueAt.a + bVar.c;
            int i7 = valueAt.b + bVar.e;
            float f2 = (float) i6;
            float f3 = (float) i7;
            this.f.clipRect(f2, f3, (float) Math.min(fVar.c + i6, bVar.d), (float) Math.min(fVar.d + i7, bVar.f), Region.Op.REPLACE);
            a aVar = this.i.d.get(fVar.g);
            if (aVar == null && (aVar = this.i.f.get(fVar.g)) == null) {
                aVar = this.h;
            }
            SparseArray<g> sparseArray3 = fVar.k;
            int i8 = 0;
            while (i8 < sparseArray3.size()) {
                int keyAt = sparseArray3.keyAt(i8);
                g valueAt2 = sparseArray3.valueAt(i8);
                c cVar2 = this.i.e.get(keyAt);
                if (cVar2 == null) {
                    cVar = this.i.g.get(keyAt);
                } else {
                    cVar = cVar2;
                }
                if (cVar != null) {
                    i4 = i8;
                    sparseArray = sparseArray3;
                    a(cVar, aVar, fVar.f, valueAt2.c + i6, i7 + valueAt2.d, cVar.b ? null : this.d, this.f);
                } else {
                    i4 = i8;
                    sparseArray = sparseArray3;
                }
                i8 = i4 + 1;
                sparseArray3 = sparseArray;
            }
            if (fVar.b) {
                if (fVar.f == 3) {
                    i3 = aVar.d[fVar.h];
                } else if (fVar.f == 2) {
                    i3 = aVar.c[fVar.i];
                } else {
                    i3 = aVar.b[fVar.j];
                }
                this.e.setColor(i3);
                this.f.drawRect(f2, f3, (float) (fVar.c + i6), (float) (fVar.d + i7), this.e);
            }
            arrayList.add(new com.google.android.exoplayer2.g.a(Bitmap.createBitmap(this.j, i6, i7, fVar.c, fVar.d), f2 / ((float) bVar.a), 0, f3 / ((float) bVar.b), 0, ((float) fVar.c) / ((float) bVar.a), ((float) fVar.d) / ((float) bVar.b)));
            this.f.drawColor(0, PorterDuff.Mode.CLEAR);
        }
        return arrayList;
    }

    private static void a(j jVar, h hVar) {
        int c2 = jVar.c(8);
        int c3 = jVar.c(16);
        int c4 = jVar.c(16);
        int c5 = jVar.c() + c4;
        if (c4 * 8 > jVar.a()) {
            Log.w("DvbParser", "Data field length exceeds limit");
            jVar.b(jVar.a());
            return;
        }
        switch (c2) {
            case 16:
                if (c3 == hVar.a) {
                    d dVar = hVar.i;
                    d a2 = a(jVar, c4);
                    if (a2.c == 0) {
                        if (!(dVar == null || dVar.b == a2.b)) {
                            hVar.i = a2;
                            break;
                        }
                    } else {
                        hVar.i = a2;
                        hVar.c.clear();
                        hVar.d.clear();
                        hVar.e.clear();
                        break;
                    }
                }
                break;
            case 17:
                d dVar2 = hVar.i;
                if (c3 == hVar.a && dVar2 != null) {
                    f b2 = b(jVar, c4);
                    if (dVar2.c == 0) {
                        b2.a(hVar.c.get(b2.a));
                    }
                    hVar.c.put(b2.a, b2);
                    break;
                }
            case 18:
                if (c3 != hVar.a) {
                    if (c3 == hVar.b) {
                        a c6 = c(jVar, c4);
                        hVar.f.put(c6.a, c6);
                        break;
                    }
                } else {
                    a c7 = c(jVar, c4);
                    hVar.d.put(c7.a, c7);
                    break;
                }
                break;
            case 19:
                if (c3 != hVar.a) {
                    if (c3 == hVar.b) {
                        c b3 = b(jVar);
                        hVar.g.put(b3.a, b3);
                        break;
                    }
                } else {
                    c b4 = b(jVar);
                    hVar.e.put(b4.a, b4);
                    break;
                }
                break;
            case 20:
                if (c3 == hVar.a) {
                    hVar.h = a(jVar);
                    break;
                }
                break;
        }
        jVar.d(c5 - jVar.c());
    }

    private static C0068b a(j jVar) {
        int i2;
        int i3;
        int i4;
        int i5;
        jVar.b(4);
        boolean d2 = jVar.d();
        jVar.b(3);
        int c2 = jVar.c(16);
        int c3 = jVar.c(16);
        if (d2) {
            int c4 = jVar.c(16);
            int c5 = jVar.c(16);
            int c6 = jVar.c(16);
            i2 = jVar.c(16);
            i4 = c5;
            i3 = c6;
            i5 = c4;
        } else {
            i4 = c2;
            i2 = c3;
            i5 = 0;
            i3 = 0;
        }
        return new C0068b(c2, c3, i5, i4, i3, i2);
    }

    private static d a(j jVar, int i2) {
        int c2 = jVar.c(8);
        int c3 = jVar.c(4);
        int c4 = jVar.c(2);
        jVar.b(2);
        int i3 = i2 - 2;
        SparseArray sparseArray = new SparseArray();
        while (i3 > 0) {
            int c5 = jVar.c(8);
            jVar.b(8);
            i3 -= 6;
            sparseArray.put(c5, new e(jVar.c(16), jVar.c(16)));
        }
        return new d(c2, c3, c4, sparseArray);
    }

    private static f b(j jVar, int i2) {
        int i3;
        int i4;
        int c2 = jVar.c(8);
        jVar.b(4);
        boolean d2 = jVar.d();
        jVar.b(3);
        int i5 = 16;
        int c3 = jVar.c(16);
        int c4 = jVar.c(16);
        int c5 = jVar.c(3);
        int c6 = jVar.c(3);
        int i6 = 2;
        jVar.b(2);
        int c7 = jVar.c(8);
        int c8 = jVar.c(8);
        int c9 = jVar.c(4);
        int c10 = jVar.c(2);
        jVar.b(2);
        int i7 = i2 - 10;
        SparseArray sparseArray = new SparseArray();
        while (i7 > 0) {
            int c11 = jVar.c(i5);
            int c12 = jVar.c(i6);
            int c13 = jVar.c(i6);
            int c14 = jVar.c(12);
            jVar.b(4);
            int c15 = jVar.c(12);
            i7 -= 6;
            if (c12 != 1) {
                if (c12 != 2) {
                    i4 = 0;
                    i3 = 0;
                    sparseArray.put(c11, new g(c12, c13, c14, c15, i4, i3));
                    i6 = 2;
                    i5 = 16;
                }
            }
            i7 -= 2;
            i4 = jVar.c(8);
            i3 = jVar.c(8);
            sparseArray.put(c11, new g(c12, c13, c14, c15, i4, i3));
            i6 = 2;
            i5 = 16;
        }
        return new f(c2, d2, c3, c4, c5, c6, c7, c8, c9, c10, sparseArray);
    }

    private static a c(j jVar, int i2) {
        int[] iArr;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8 = 8;
        int c2 = jVar.c(8);
        jVar.b(8);
        int i9 = 2;
        int i10 = i2 - 2;
        int[] b2 = b();
        int[] c3 = c();
        int[] d2 = d();
        while (i10 > 0) {
            int c4 = jVar.c(i8);
            int c5 = jVar.c(i8);
            int i11 = i10 - 2;
            if ((c5 & 128) != 0) {
                iArr = b2;
            } else if ((c5 & 64) != 0) {
                iArr = c3;
            } else {
                iArr = d2;
            }
            if ((c5 & 1) != 0) {
                i6 = jVar.c(i8);
                i5 = jVar.c(i8);
                i4 = jVar.c(i8);
                i3 = jVar.c(i8);
                i7 = i11 - 4;
            } else {
                int c6 = jVar.c(4) << 4;
                i4 = jVar.c(4) << 4;
                i7 = i11 - 2;
                i3 = jVar.c(i9) << 6;
                i6 = jVar.c(6) << i9;
                i5 = c6;
            }
            if (i6 == 0) {
                i5 = 0;
                i4 = 0;
                i3 = 255;
            }
            double d3 = (double) i6;
            double d4 = (double) (i5 + com.alipay.sdk.m.n.a.g);
            double d5 = (double) (i4 + com.alipay.sdk.m.n.a.g);
            iArr[c4] = a((byte) (255 - (i3 & 255)), t.a((int) (d3 + (1.402d * d4)), 0, 255), t.a((int) ((d3 - (0.34414d * d5)) - (d4 * 0.71414d)), 0, 255), t.a((int) (d3 + (d5 * 1.772d)), 0, 255));
            i10 = i7;
            c2 = c2;
            i8 = 8;
            i9 = 2;
        }
        return new a(c2, b2, c3, d2);
    }

    private static c b(j jVar) {
        byte[] bArr;
        int c2 = jVar.c(16);
        jVar.b(4);
        int c3 = jVar.c(2);
        boolean d2 = jVar.d();
        jVar.b(1);
        byte[] bArr2 = null;
        if (c3 == 1) {
            jVar.b(jVar.c(8) * 16);
        } else if (c3 == 0) {
            int c4 = jVar.c(16);
            int c5 = jVar.c(16);
            if (c4 > 0) {
                bArr2 = new byte[c4];
                jVar.a(bArr2, 0, c4);
            }
            if (c5 > 0) {
                bArr = new byte[c5];
                jVar.a(bArr, 0, c5);
            } else {
                bArr = bArr2;
            }
            return new c(c2, d2, bArr2, bArr);
        }
        bArr = null;
        return new c(c2, d2, bArr2, bArr);
    }

    private static int[] b() {
        return new int[]{0, -1, -16777216, -8421505};
    }

    private static int[] c() {
        int[] iArr = new int[16];
        iArr[0] = 0;
        for (int i2 = 1; i2 < 16; i2++) {
            if (i2 < 8) {
                iArr[i2] = a(255, (i2 & 1) != 0 ? 255 : 0, (i2 & 2) != 0 ? 255 : 0, (i2 & 4) != 0 ? 255 : 0);
            } else {
                int i3 = 127;
                int i4 = (i2 & 1) != 0 ? 127 : 0;
                int i5 = (i2 & 2) != 0 ? 127 : 0;
                if ((i2 & 4) == 0) {
                    i3 = 0;
                }
                iArr[i2] = a(255, i4, i5, i3);
            }
        }
        return iArr;
    }

    private static int[] d() {
        int[] iArr = new int[256];
        iArr[0] = 0;
        for (int i2 = 0; i2 < 256; i2++) {
            int i3 = 255;
            if (i2 < 8) {
                int i4 = (i2 & 1) != 0 ? 255 : 0;
                int i5 = (i2 & 2) != 0 ? 255 : 0;
                if ((i2 & 4) == 0) {
                    i3 = 0;
                }
                iArr[i2] = a(63, i4, i5, i3);
            } else {
                int i6 = i2 & 136;
                int i7 = 170;
                int i8 = 85;
                if (i6 == 0) {
                    int i9 = ((i2 & 1) != 0 ? 85 : 0) + ((i2 & 16) != 0 ? 170 : 0);
                    int i10 = ((i2 & 2) != 0 ? 85 : 0) + ((i2 & 32) != 0 ? 170 : 0);
                    if ((i2 & 4) == 0) {
                        i8 = 0;
                    }
                    if ((i2 & 64) == 0) {
                        i7 = 0;
                    }
                    iArr[i2] = a(255, i9, i10, i8 + i7);
                } else if (i6 != 8) {
                    int i11 = 43;
                    if (i6 == 128) {
                        int i12 = ((i2 & 1) != 0 ? 43 : 0) + 127 + ((i2 & 16) != 0 ? 85 : 0);
                        int i13 = ((i2 & 2) != 0 ? 43 : 0) + 127 + ((i2 & 32) != 0 ? 85 : 0);
                        if ((i2 & 4) == 0) {
                            i11 = 0;
                        }
                        int i14 = i11 + 127;
                        if ((i2 & 64) == 0) {
                            i8 = 0;
                        }
                        iArr[i2] = a(255, i12, i13, i14 + i8);
                    } else if (i6 == 136) {
                        int i15 = ((i2 & 1) != 0 ? 43 : 0) + ((i2 & 16) != 0 ? 85 : 0);
                        int i16 = ((i2 & 2) != 0 ? 43 : 0) + ((i2 & 32) != 0 ? 85 : 0);
                        if ((i2 & 4) == 0) {
                            i11 = 0;
                        }
                        if ((i2 & 64) == 0) {
                            i8 = 0;
                        }
                        iArr[i2] = a(255, i15, i16, i11 + i8);
                    }
                } else {
                    int i17 = ((i2 & 1) != 0 ? 85 : 0) + ((i2 & 16) != 0 ? 170 : 0);
                    int i18 = ((i2 & 2) != 0 ? 85 : 0) + ((i2 & 32) != 0 ? 170 : 0);
                    if ((i2 & 4) == 0) {
                        i8 = 0;
                    }
                    if ((i2 & 64) == 0) {
                        i7 = 0;
                    }
                    iArr[i2] = a(127, i17, i18, i8 + i7);
                }
            }
        }
        return iArr;
    }

    private static int a(int i2, int i3, int i4, int i5) {
        return (i2 << 24) | (i3 << 16) | (i4 << 8) | i5;
    }

    private static void a(c cVar, a aVar, int i2, int i3, int i4, Paint paint, Canvas canvas) {
        int[] iArr;
        if (i2 == 3) {
            iArr = aVar.d;
        } else if (i2 == 2) {
            iArr = aVar.c;
        } else {
            iArr = aVar.b;
        }
        a(cVar.c, iArr, i2, i3, i4, paint, canvas);
        a(cVar.d, iArr, i2, i3, i4 + 1, paint, canvas);
    }

    private static void a(byte[] bArr, int[] iArr, int i2, int i3, int i4, Paint paint, Canvas canvas) {
        byte[] bArr2;
        byte[] bArr3;
        j jVar = new j(bArr);
        int i5 = i3;
        int i6 = i4;
        byte[] bArr4 = null;
        byte[] bArr5 = null;
        while (jVar.a() != 0) {
            int c2 = jVar.c(8);
            if (c2 != 240) {
                switch (c2) {
                    case 16:
                        if (i2 == 3) {
                            bArr2 = bArr4 == null ? b : bArr4;
                        } else if (i2 == 2) {
                            bArr2 = bArr5 == null ? a : bArr5;
                        } else {
                            bArr2 = null;
                        }
                        i5 = a(jVar, iArr, bArr2, i5, i6, paint, canvas);
                        jVar.e();
                        continue;
                    case 17:
                        if (i2 == 3) {
                            bArr3 = c;
                        } else {
                            bArr3 = null;
                        }
                        i5 = b(jVar, iArr, bArr3, i5, i6, paint, canvas);
                        jVar.e();
                        continue;
                    case 18:
                        i5 = c(jVar, iArr, null, i5, i6, paint, canvas);
                        continue;
                    default:
                        switch (c2) {
                            case 32:
                                bArr5 = a(4, 4, jVar);
                                continue;
                            case 33:
                                bArr4 = a(4, 8, jVar);
                                continue;
                            case 34:
                                bArr4 = a(16, 8, jVar);
                                continue;
                            default:
                                continue;
                        }
                }
            } else {
                i6 += 2;
                i5 = i3;
            }
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:21:0x0072 */
    /* JADX DEBUG: Multi-variable search result rejected for r15v0, resolved type: byte[] */
    /* JADX DEBUG: Multi-variable search result rejected for r4v4, resolved type: byte */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v2 */
    private static int a(j jVar, int[] iArr, byte[] bArr, int i2, int i3, Paint paint, Canvas canvas) {
        int i4;
        boolean z;
        byte b2;
        int i5 = i2;
        boolean z2 = false;
        while (true) {
            int c2 = jVar.c(2);
            if (!jVar.d()) {
                z = z2;
                i4 = 1;
                b2 = c2;
            } else if (jVar.d()) {
                z = z2;
                i4 = jVar.c(3) + 3;
                b2 = jVar.c(2);
            } else {
                if (!jVar.d()) {
                    int c3 = jVar.c(2);
                    if (c3 == 0) {
                        b2 = 0;
                        z = true;
                        i4 = 0;
                    } else if (c3 == 1) {
                        z = z2;
                        b2 = 0;
                        i4 = 2;
                    } else if (c3 == 2) {
                        z = z2;
                        i4 = jVar.c(4) + 12;
                        b2 = jVar.c(2);
                    } else if (c3 == 3) {
                        z = z2;
                        i4 = jVar.c(8) + 29;
                        b2 = jVar.c(2);
                    }
                }
                z = z2;
                b2 = 0;
                i4 = 0;
            }
            if (!(i4 == 0 || paint == null)) {
                if (bArr != 0) {
                    b2 = bArr[b2];
                }
                paint.setColor(iArr[b2 == true ? 1 : 0]);
                canvas.drawRect((float) i5, (float) i3, (float) (i5 + i4), (float) (i3 + 1), paint);
            }
            i5 += i4;
            if (z) {
                return i5;
            }
            z2 = z;
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:25:0x007c */
    /* JADX DEBUG: Multi-variable search result rejected for r15v0, resolved type: byte[] */
    /* JADX DEBUG: Multi-variable search result rejected for r4v4, resolved type: byte */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v2 */
    private static int b(j jVar, int[] iArr, byte[] bArr, int i2, int i3, Paint paint, Canvas canvas) {
        int i4;
        boolean z;
        byte b2;
        int i5 = i2;
        boolean z2 = false;
        while (true) {
            int c2 = jVar.c(4);
            if (c2 != 0) {
                z = z2;
                i4 = 1;
                b2 = c2;
            } else if (!jVar.d()) {
                int c3 = jVar.c(3);
                if (c3 != 0) {
                    z = z2;
                    i4 = c3 + 2;
                    b2 = 0;
                } else {
                    b2 = 0;
                    z = true;
                    i4 = 0;
                }
            } else if (!jVar.d()) {
                z = z2;
                i4 = jVar.c(2) + 4;
                b2 = jVar.c(4);
            } else {
                int c4 = jVar.c(2);
                if (c4 == 0) {
                    z = z2;
                    b2 = 0;
                    i4 = 1;
                } else if (c4 == 1) {
                    z = z2;
                    b2 = 0;
                    i4 = 2;
                } else if (c4 == 2) {
                    z = z2;
                    i4 = jVar.c(4) + 9;
                    b2 = jVar.c(4);
                } else if (c4 != 3) {
                    z = z2;
                    b2 = 0;
                    i4 = 0;
                } else {
                    z = z2;
                    i4 = jVar.c(8) + 25;
                    b2 = jVar.c(4);
                }
            }
            if (!(i4 == 0 || paint == null)) {
                if (bArr != 0) {
                    b2 = bArr[b2];
                }
                paint.setColor(iArr[b2 == true ? 1 : 0]);
                canvas.drawRect((float) i5, (float) i3, (float) (i5 + i4), (float) (i3 + 1), paint);
            }
            i5 += i4;
            if (z) {
                return i5;
            }
            z2 = z;
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:13:0x003d */
    /* JADX DEBUG: Multi-variable search result rejected for r15v0, resolved type: byte[] */
    /* JADX DEBUG: Multi-variable search result rejected for r4v4, resolved type: byte */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v2 */
    private static int c(j jVar, int[] iArr, byte[] bArr, int i2, int i3, Paint paint, Canvas canvas) {
        int i4;
        boolean z;
        byte b2;
        int i5 = i2;
        boolean z2 = false;
        while (true) {
            int c2 = jVar.c(8);
            if (c2 != 0) {
                z = z2;
                i4 = 1;
                b2 = c2;
            } else if (!jVar.d()) {
                int c3 = jVar.c(7);
                if (c3 != 0) {
                    z = z2;
                    i4 = c3;
                    b2 = 0;
                } else {
                    b2 = 0;
                    z = true;
                    i4 = 0;
                }
            } else {
                z = z2;
                i4 = jVar.c(7);
                b2 = jVar.c(8);
            }
            if (!(i4 == 0 || paint == null)) {
                if (bArr != 0) {
                    b2 = bArr[b2];
                }
                paint.setColor(iArr[b2 == true ? 1 : 0]);
                canvas.drawRect((float) i5, (float) i3, (float) (i5 + i4), (float) (i3 + 1), paint);
            }
            i5 += i4;
            if (z) {
                return i5;
            }
            z2 = z;
        }
    }

    private static byte[] a(int i2, int i3, j jVar) {
        byte[] bArr = new byte[i2];
        for (int i4 = 0; i4 < i2; i4++) {
            bArr[i4] = (byte) jVar.c(i3);
        }
        return bArr;
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class h {
        public final int a;
        public final int b;
        public final SparseArray<f> c = new SparseArray<>();
        public final SparseArray<a> d = new SparseArray<>();
        public final SparseArray<c> e = new SparseArray<>();
        public final SparseArray<a> f = new SparseArray<>();
        public final SparseArray<c> g = new SparseArray<>();
        public C0068b h;
        public d i;

        public h(int i2, int i3) {
            this.a = i2;
            this.b = i3;
        }

        public void a() {
            this.c.clear();
            this.d.clear();
            this.e.clear();
            this.f.clear();
            this.g.clear();
            this.h = null;
            this.i = null;
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: com.google.android.exoplayer2.g.b.b$b  reason: collision with other inner class name */
    /* compiled from: DvbParser */
    public static final class C0068b {
        public final int a;
        public final int b;
        public final int c;
        public final int d;
        public final int e;
        public final int f;

        public C0068b(int i, int i2, int i3, int i4, int i5, int i6) {
            this.a = i;
            this.b = i2;
            this.c = i3;
            this.d = i4;
            this.e = i5;
            this.f = i6;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class d {
        public final int a;
        public final int b;
        public final int c;
        public final SparseArray<e> d;

        public d(int i, int i2, int i3, SparseArray<e> sparseArray) {
            this.a = i;
            this.b = i2;
            this.c = i3;
            this.d = sparseArray;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class e {
        public final int a;
        public final int b;

        public e(int i, int i2) {
            this.a = i;
            this.b = i2;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class f {
        public final int a;
        public final boolean b;
        public final int c;
        public final int d;
        public final int e;
        public final int f;
        public final int g;
        public final int h;
        public final int i;
        public final int j;
        public final SparseArray<g> k;

        public f(int i2, boolean z, int i3, int i4, int i5, int i6, int i7, int i8, int i9, int i10, SparseArray<g> sparseArray) {
            this.a = i2;
            this.b = z;
            this.c = i3;
            this.d = i4;
            this.e = i5;
            this.f = i6;
            this.g = i7;
            this.h = i8;
            this.i = i9;
            this.j = i10;
            this.k = sparseArray;
        }

        public void a(f fVar) {
            if (fVar != null) {
                SparseArray<g> sparseArray = fVar.k;
                for (int i2 = 0; i2 < sparseArray.size(); i2++) {
                    this.k.put(sparseArray.keyAt(i2), sparseArray.valueAt(i2));
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class g {
        public final int a;
        public final int b;
        public final int c;
        public final int d;
        public final int e;
        public final int f;

        public g(int i, int i2, int i3, int i4, int i5, int i6) {
            this.a = i;
            this.b = i2;
            this.c = i3;
            this.d = i4;
            this.e = i5;
            this.f = i6;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class a {
        public final int a;
        public final int[] b;
        public final int[] c;
        public final int[] d;

        public a(int i, int[] iArr, int[] iArr2, int[] iArr3) {
            this.a = i;
            this.b = iArr;
            this.c = iArr2;
            this.d = iArr3;
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DvbParser */
    public static final class c {
        public final int a;
        public final boolean b;
        public final byte[] c;
        public final byte[] d;

        public c(int i, boolean z, byte[] bArr, byte[] bArr2) {
            this.a = i;
            this.b = z;
            this.c = bArr;
            this.d = bArr2;
        }
    }
}
