package com.google.android.exoplayer2.g.f;

import com.google.android.exoplayer2.g.f;
import com.google.android.exoplayer2.j.k;
import com.xiaomi.mipush.sdk.Constants;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: WebvttParserUtil */
public final class h {
    private static final Pattern a = Pattern.compile("^NOTE(( |\t).*)?$");
    private static final Pattern b = Pattern.compile("^﻿?WEBVTT(( |\t).*)?$");

    public static void a(k kVar) throws f {
        String y = kVar.y();
        if (y == null || !b.matcher(y).matches()) {
            throw new f("Expected WEBVTT. Got " + y);
        }
    }

    public static long a(String str) throws NumberFormatException {
        String[] split = str.split("\\.", 2);
        long j = 0;
        for (String str2 : split[0].split(Constants.COLON_SEPARATOR)) {
            j = (j * 60) + Long.parseLong(str2);
        }
        return ((j * 1000) + Long.parseLong(split[1])) * 1000;
    }

    public static float b(String str) throws NumberFormatException {
        if (str.endsWith("%")) {
            return Float.parseFloat(str.substring(0, str.length() - 1)) / 100.0f;
        }
        throw new NumberFormatException("Percentages must end with %");
    }

    public static Matcher b(k kVar) {
        String y;
        while (true) {
            String y2 = kVar.y();
            if (y2 == null) {
                return null;
            }
            if (a.matcher(y2).matches()) {
                do {
                    y = kVar.y();
                    if (y == null) {
                        break;
                    }
                } while (!y.isEmpty());
            } else {
                Matcher matcher = f.a.matcher(y2);
                if (matcher.matches()) {
                    return matcher;
                }
            }
        }
    }
}
