package com.google.android.exoplayer2.g;

import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.google.android.exoplayer2.e;
import com.google.android.exoplayer2.j.h;
import com.google.android.exoplayer2.k;
import java.util.Collections;
import java.util.List;

/* compiled from: TextRenderer */
public final class j extends com.google.android.exoplayer2.a implements Handler.Callback {
    private final Handler a;
    private final a b;
    private final g c;
    private final k d;
    private boolean e;
    private boolean f;
    private int g;
    private com.google.android.exoplayer2.j h;
    private e i;
    private h j;
    private i k;
    private i l;
    private int m;

    /* compiled from: TextRenderer */
    public interface a {
        void a(List<a> list);
    }

    public j(a aVar, Looper looper) {
        this(aVar, looper, g.a);
    }

    public j(a aVar, Looper looper, g gVar) {
        super(3);
        this.b = (a) com.google.android.exoplayer2.j.a.a(aVar);
        this.a = looper == null ? null : new Handler(looper, this);
        this.c = gVar;
        this.d = new k();
    }

    @Override // com.google.android.exoplayer2.q
    public int a(com.google.android.exoplayer2.j jVar) {
        if (this.c.a(jVar)) {
            return 3;
        }
        return h.c(jVar.f) ? 1 : 0;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void a(com.google.android.exoplayer2.j[] jVarArr) throws e {
        com.google.android.exoplayer2.j jVar = jVarArr[0];
        this.h = jVar;
        if (this.i != null) {
            this.g = 1;
        } else {
            this.i = this.c.b(jVar);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void a(long j2, boolean z) {
        z();
        this.e = false;
        this.f = false;
        if (this.g != 0) {
            x();
            return;
        }
        v();
        this.i.c();
    }

    @Override // com.google.android.exoplayer2.p
    public void a(long j2, long j3) throws e {
        boolean z;
        if (!this.f) {
            if (this.l == null) {
                this.i.a(j2);
                try {
                    this.l = (i) this.i.b();
                } catch (f e2) {
                    throw e.a(e2, r());
                }
            }
            if (d() == 2) {
                if (this.k != null) {
                    long y = y();
                    z = false;
                    while (y <= j2) {
                        this.m++;
                        y = y();
                        z = true;
                    }
                } else {
                    z = false;
                }
                i iVar = this.l;
                if (iVar != null) {
                    if (iVar.c()) {
                        if (!z && y() == Long.MAX_VALUE) {
                            if (this.g == 2) {
                                x();
                            } else {
                                v();
                                this.f = true;
                            }
                        }
                    } else if (this.l.a <= j2) {
                        i iVar2 = this.k;
                        if (iVar2 != null) {
                            iVar2.e();
                        }
                        i iVar3 = this.l;
                        this.k = iVar3;
                        this.l = null;
                        this.m = iVar3.a(j2);
                        z = true;
                    }
                }
                if (z) {
                    a(this.k.b(j2));
                }
                if (this.g != 2) {
                    while (!this.e) {
                        try {
                            if (this.j == null) {
                                h hVar = (h) this.i.a();
                                this.j = hVar;
                                if (hVar == null) {
                                    return;
                                }
                            }
                            if (this.g == 1) {
                                this.j.a_(4);
                                this.i.a(this.j);
                                this.j = null;
                                this.g = 2;
                                return;
                            }
                            int a2 = a(this.d, (com.google.android.exoplayer2.b.e) this.j, false);
                            if (a2 == -4) {
                                if (this.j.c()) {
                                    this.e = true;
                                } else {
                                    this.j.d = this.d.a.w;
                                    this.j.h();
                                }
                                this.i.a(this.j);
                                this.j = null;
                            } else if (a2 == -3) {
                                return;
                            }
                        } catch (f e3) {
                            throw e.a(e3, r());
                        }
                    }
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.a
    public void p() {
        this.h = null;
        z();
        w();
    }

    @Override // com.google.android.exoplayer2.p
    public boolean u() {
        return this.f;
    }

    @Override // com.google.android.exoplayer2.p
    public boolean t() {
        return true;
    }

    private void v() {
        this.j = null;
        this.m = -1;
        i iVar = this.k;
        if (iVar != null) {
            iVar.e();
            this.k = null;
        }
        i iVar2 = this.l;
        if (iVar2 != null) {
            iVar2.e();
            this.l = null;
        }
    }

    private void w() {
        v();
        this.i.d();
        this.i = null;
        this.g = 0;
    }

    private void x() {
        w();
        this.i = this.c.b(this.h);
    }

    private long y() {
        int i2 = this.m;
        if (i2 == -1 || i2 >= this.k.b()) {
            return Long.MAX_VALUE;
        }
        return this.k.a(this.m);
    }

    private void a(List<a> list) {
        Handler handler = this.a;
        if (handler != null) {
            handler.obtainMessage(0, list).sendToTarget();
        } else {
            b(list);
        }
    }

    private void z() {
        a(Collections.emptyList());
    }

    public boolean handleMessage(Message message) {
        if (message.what == 0) {
            b((List) message.obj);
            return true;
        }
        throw new IllegalStateException();
    }

    private void b(List<a> list) {
        this.b.a(list);
    }
}
