package com.google.android.exoplayer2.h;

import android.graphics.Point;
import android.text.TextUtils;
import com.google.android.exoplayer2.e;
import com.google.android.exoplayer2.h.f;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.q;
import com.google.android.exoplayer2.source.l;
import com.google.android.exoplayer2.source.m;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.concurrent.atomic.AtomicReference;

/* compiled from: DefaultTrackSelector */
public class c extends e {
    private static final int[] a = new int[0];
    private final f.a b;
    private final AtomicReference<b> c;

    /* compiled from: DefaultTrackSelector */
    public static final class b {
        public final String a;
        public final String b;
        public final boolean c;
        public final boolean d;
        public final int e;
        public final int f;
        public final int g;
        public final boolean h;
        public final boolean i;
        public final int j;
        public final int k;
        public final boolean l;

        public b() {
            this(null, null, false, true, Integer.MAX_VALUE, Integer.MAX_VALUE, Integer.MAX_VALUE, true, true, Integer.MAX_VALUE, Integer.MAX_VALUE, true);
        }

        public b(String str, String str2, boolean z, boolean z2, int i2, int i3, int i4, boolean z3, boolean z4, int i5, int i6, boolean z5) {
            this.a = str;
            this.b = str2;
            this.c = z;
            this.d = z2;
            this.e = i2;
            this.f = i3;
            this.g = i4;
            this.h = z3;
            this.i = z4;
            this.j = i5;
            this.k = i6;
            this.l = z5;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            b bVar = (b) obj;
            if (this.c == bVar.c && this.d == bVar.d && this.e == bVar.e && this.f == bVar.f && this.h == bVar.h && this.i == bVar.i && this.l == bVar.l && this.j == bVar.j && this.k == bVar.k && this.g == bVar.g && TextUtils.equals(this.a, bVar.a) && TextUtils.equals(this.b, bVar.b)) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            return (((((((((((((((((((((this.a.hashCode() * 31) + this.b.hashCode()) * 31) + (this.c ? 1 : 0)) * 31) + (this.d ? 1 : 0)) * 31) + this.e) * 31) + this.f) * 31) + this.g) * 31) + (this.h ? 1 : 0)) * 31) + (this.i ? 1 : 0)) * 31) + (this.l ? 1 : 0)) * 31) + this.j) * 31) + this.k;
        }
    }

    public c() {
        this(null);
    }

    public c(f.a aVar) {
        this.b = aVar;
        this.c = new AtomicReference<>(new b());
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.h.e
    public f[] a(q[] qVarArr, m[] mVarArr, int[][][] iArr) throws e {
        b bVar;
        int i;
        b bVar2;
        f[] fVarArr;
        int i2;
        c cVar = this;
        q[] qVarArr2 = qVarArr;
        int length = qVarArr2.length;
        f[] fVarArr2 = new f[length];
        b bVar3 = cVar.c.get();
        int i3 = 0;
        boolean z = false;
        while (i3 < length) {
            if (2 == qVarArr2[i3].a()) {
                i2 = i3;
                fVarArr = fVarArr2;
                bVar2 = bVar3;
                i = length;
                fVarArr[i2] = a(qVarArr2[i3], mVarArr[i3], iArr[i3], bVar3.e, bVar3.f, bVar3.g, bVar3.d, bVar3.c, bVar3.j, bVar3.k, bVar3.l, cVar.b, bVar3.h, bVar3.i);
                z |= mVarArr[i2].b > 0;
            } else {
                i2 = i3;
                bVar2 = bVar3;
                fVarArr = fVarArr2;
                i = length;
            }
            i3 = i2 + 1;
            cVar = this;
            qVarArr2 = qVarArr;
            fVarArr2 = fVarArr;
            bVar3 = bVar2;
            length = i;
        }
        b bVar4 = bVar3;
        int i4 = length;
        int i5 = 0;
        while (i5 < i4) {
            int a2 = qVarArr[i5].a();
            if (a2 == 1) {
                bVar = bVar4;
                fVarArr2[i5] = a(mVarArr[i5], iArr[i5], bVar.a, bVar.i, bVar.c, z ? null : this.b);
            } else if (a2 == 2) {
                bVar = bVar4;
            } else if (a2 != 3) {
                bVar = bVar4;
                fVarArr2[i5] = a(qVarArr[i5].a(), mVarArr[i5], iArr[i5], bVar.i);
            } else {
                bVar = bVar4;
                fVarArr2[i5] = a(mVarArr[i5], iArr[i5], bVar.b, bVar.a, bVar.i);
            }
            i5++;
            i4 = i4;
            bVar4 = bVar;
        }
        return fVarArr2;
    }

    /* access modifiers changed from: protected */
    public f a(q qVar, m mVar, int[][] iArr, int i, int i2, int i3, boolean z, boolean z2, int i4, int i5, boolean z3, f.a aVar, boolean z4, boolean z5) throws e {
        f fVar;
        if (aVar != null) {
            fVar = a(qVar, mVar, iArr, i, i2, i3, z, z2, i4, i5, z3, aVar);
        } else {
            fVar = null;
        }
        if (fVar == null) {
            return a(mVar, iArr, i, i2, i3, i4, i5, z3, z4, z5);
        }
        return fVar;
    }

    private static f a(q qVar, m mVar, int[][] iArr, int i, int i2, int i3, boolean z, boolean z2, int i4, int i5, boolean z3, f.a aVar) throws e {
        int i6 = z ? 12 : 8;
        boolean z4 = z2 && (qVar.m() & i6) != 0;
        for (int i7 = 0; i7 < mVar.b; i7++) {
            l a2 = mVar.a(i7);
            int[] a3 = a(a2, iArr[i7], z4, i6, i, i2, i3, i4, i5, z3);
            if (a3.length > 0) {
                return aVar.b(a2, a3);
            }
        }
        return null;
    }

    private static int[] a(l lVar, int[] iArr, boolean z, int i, int i2, int i3, int i4, int i5, int i6, boolean z2) {
        String str;
        int a2;
        if (lVar.a < 2) {
            return a;
        }
        List<Integer> a3 = a(lVar, i5, i6, z2);
        if (a3.size() < 2) {
            return a;
        }
        if (!z) {
            HashSet hashSet = new HashSet();
            String str2 = null;
            int i7 = 0;
            for (int i8 = 0; i8 < a3.size(); i8++) {
                String str3 = lVar.a(a3.get(i8).intValue()).f;
                if (hashSet.add(str3) && (a2 = a(lVar, iArr, i, str3, i2, i3, i4, a3)) > i7) {
                    i7 = a2;
                    str2 = str3;
                }
            }
            str = str2;
        } else {
            str = null;
        }
        b(lVar, iArr, i, str, i2, i3, i4, a3);
        return a3.size() < 2 ? a : t.a(a3);
    }

    private static int a(l lVar, int[] iArr, int i, String str, int i2, int i3, int i4, List<Integer> list) {
        int i5 = 0;
        for (int i6 = 0; i6 < list.size(); i6++) {
            int intValue = list.get(i6).intValue();
            if (a(lVar.a(intValue), str, iArr[intValue], i, i2, i3, i4)) {
                i5++;
            }
        }
        return i5;
    }

    private static void b(l lVar, int[] iArr, int i, String str, int i2, int i3, int i4, List<Integer> list) {
        for (int size = list.size() - 1; size >= 0; size--) {
            int intValue = list.get(size).intValue();
            if (!a(lVar.a(intValue), str, iArr[intValue], i, i2, i3, i4)) {
                list.remove(size);
            }
        }
    }

    private static boolean a(j jVar, String str, int i, int i2, int i3, int i4, int i5) {
        if (!a(i, false) || (i & i2) == 0) {
            return false;
        }
        if (str != null && !t.a(jVar.f, str)) {
            return false;
        }
        if (jVar.j != -1 && jVar.j > i3) {
            return false;
        }
        if (jVar.k != -1 && jVar.k > i4) {
            return false;
        }
        if (jVar.b == -1 || jVar.b <= i5) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0048, code lost:
        if (r3.j <= r21) goto L_0x0050;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0059, code lost:
        if (r3.k <= r22) goto L_0x005e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0067, code lost:
        if (r3.b <= r23) goto L_0x006c;
     */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x007d  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0081  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x008f  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0093  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0095  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0098  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00be  */
    private static f a(m mVar, int[][] iArr, int i, int i2, int i3, int i4, int i5, boolean z, boolean z2, boolean z3) {
        l lVar;
        l lVar2;
        boolean z4;
        int i6;
        boolean z5;
        int i7;
        m mVar2 = mVar;
        int i8 = 0;
        l lVar3 = null;
        int i9 = 0;
        int i10 = 0;
        int i11 = -1;
        int i12 = -1;
        while (i8 < mVar2.b) {
            l a2 = mVar2.a(i8);
            List<Integer> a3 = a(a2, i4, i5, z);
            int[] iArr2 = iArr[i8];
            int i13 = 0;
            while (i13 < a2.a) {
                if (a(iArr2[i13], z3)) {
                    j a4 = a2.a(i13);
                    boolean z6 = true;
                    if (a3.contains(Integer.valueOf(i13))) {
                        if (a4.j == -1) {
                            if (a4.k != -1) {
                            }
                            if (a4.b != -1) {
                            }
                            z4 = true;
                            if (!z4 || z2) {
                                i6 = !z4 ? 2 : 1;
                                lVar2 = lVar3;
                                lVar = a2;
                                if (a(iArr2[i13], false)) {
                                    i6 += 1000;
                                }
                                z5 = i6 <= i10;
                                if (i6 == i10) {
                                    if (a4.a() != i11) {
                                        i7 = a(a4.a(), i11);
                                    } else {
                                        i7 = a(a4.b, i12);
                                    }
                                    if (!z4 ? i7 >= 0 : i7 <= 0) {
                                        z6 = false;
                                    }
                                    z5 = z6;
                                }
                                if (z5) {
                                    i12 = a4.b;
                                    i9 = i13;
                                    i10 = i6;
                                    i11 = a4.a();
                                    lVar3 = lVar;
                                    i13++;
                                    a2 = lVar;
                                }
                            } else {
                                lVar2 = lVar3;
                                lVar = a2;
                            }
                        }
                    }
                    z4 = false;
                    if (!z4) {
                    }
                    if (!z4) {
                    }
                    lVar2 = lVar3;
                    lVar = a2;
                    if (a(iArr2[i13], false)) {
                    }
                    if (i6 <= i10) {
                    }
                    if (i6 == i10) {
                    }
                    if (z5) {
                    }
                } else {
                    lVar2 = lVar3;
                    lVar = a2;
                }
                lVar3 = lVar2;
                i13++;
                a2 = lVar;
            }
            i8++;
            mVar2 = mVar;
        }
        if (lVar3 == null) {
            return null;
        }
        return new d(lVar3, i9);
    }

    private static int a(int i, int i2) {
        if (i == -1) {
            return i2 == -1 ? 0 : -1;
        }
        if (i2 == -1) {
            return 1;
        }
        return i - i2;
    }

    /* access modifiers changed from: protected */
    public f a(m mVar, int[][] iArr, String str, boolean z, boolean z2, f.a aVar) {
        int i = -1;
        int i2 = -1;
        int i3 = 0;
        for (int i4 = 0; i4 < mVar.b; i4++) {
            l a2 = mVar.a(i4);
            int[] iArr2 = iArr[i4];
            for (int i5 = 0; i5 < a2.a; i5++) {
                if (a(iArr2[i5], z)) {
                    int a3 = a(iArr2[i5], str, a2.a(i5));
                    if (a3 > i3) {
                        i = i4;
                        i2 = i5;
                        i3 = a3;
                    }
                }
            }
        }
        if (i == -1) {
            return null;
        }
        l a4 = mVar.a(i);
        if (aVar != null) {
            int[] a5 = a(a4, iArr[i], z2);
            if (a5.length > 0) {
                return aVar.b(a4, a5);
            }
        }
        return new d(a4, i2);
    }

    private static int a(int i, String str, j jVar) {
        int i2 = 1;
        boolean z = (jVar.x & 1) != 0;
        if (a(jVar, str)) {
            if (z) {
                i2 = 4;
            } else {
                i2 = 3;
            }
        } else if (z) {
            i2 = 2;
        }
        if (a(i, false)) {
            return i2 + 1000;
        }
        return i2;
    }

    private static int[] a(l lVar, int[] iArr, boolean z) {
        int a2;
        HashSet hashSet = new HashSet();
        a aVar = null;
        int i = 0;
        for (int i2 = 0; i2 < lVar.a; i2++) {
            j a3 = lVar.a(i2);
            a aVar2 = new a(a3.r, a3.s, z ? null : a3.f);
            if (hashSet.add(aVar2) && (a2 = a(lVar, iArr, aVar2)) > i) {
                i = a2;
                aVar = aVar2;
            }
        }
        if (i <= 1) {
            return a;
        }
        int[] iArr2 = new int[i];
        int i3 = 0;
        for (int i4 = 0; i4 < lVar.a; i4++) {
            if (a(lVar.a(i4), iArr[i4], aVar)) {
                iArr2[i3] = i4;
                i3++;
            }
        }
        return iArr2;
    }

    private static int a(l lVar, int[] iArr, a aVar) {
        int i = 0;
        for (int i2 = 0; i2 < lVar.a; i2++) {
            if (a(lVar.a(i2), iArr[i2], aVar)) {
                i++;
            }
        }
        return i;
    }

    private static boolean a(j jVar, int i, a aVar) {
        if (!a(i, false) || jVar.r != aVar.a || jVar.s != aVar.b) {
            return false;
        }
        if (aVar.c == null || TextUtils.equals(aVar.c, jVar.f)) {
            return true;
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public f a(m mVar, int[][] iArr, String str, String str2, boolean z) {
        l lVar = null;
        int i = 0;
        int i2 = 0;
        for (int i3 = 0; i3 < mVar.b; i3++) {
            l a2 = mVar.a(i3);
            int[] iArr2 = iArr[i3];
            for (int i4 = 0; i4 < a2.a; i4++) {
                if (a(iArr2[i4], z)) {
                    j a3 = a2.a(i4);
                    int i5 = 1;
                    boolean z2 = (a3.x & 1) != 0;
                    boolean z3 = (a3.x & 2) != 0;
                    if (a(a3, str)) {
                        if (z2) {
                            i5 = 6;
                        } else if (!z3) {
                            i5 = 5;
                        } else {
                            i5 = 4;
                        }
                    } else if (z2) {
                        i5 = 3;
                    } else if (z3) {
                        if (a(a3, str2)) {
                            i5 = 2;
                        }
                    }
                    if (a(iArr2[i4], false)) {
                        i5 += 1000;
                    }
                    if (i5 > i2) {
                        lVar = a2;
                        i = i4;
                        i2 = i5;
                    }
                }
            }
        }
        if (lVar == null) {
            return null;
        }
        return new d(lVar, i);
    }

    /* access modifiers changed from: protected */
    public f a(int i, m mVar, int[][] iArr, boolean z) {
        l lVar = null;
        int i2 = 0;
        int i3 = 0;
        for (int i4 = 0; i4 < mVar.b; i4++) {
            l a2 = mVar.a(i4);
            int[] iArr2 = iArr[i4];
            for (int i5 = 0; i5 < a2.a; i5++) {
                if (a(iArr2[i5], z)) {
                    int i6 = 1;
                    if ((a2.a(i5).x & 1) != 0) {
                        i6 = 2;
                    }
                    if (a(iArr2[i5], false)) {
                        i6 += 1000;
                    }
                    if (i6 > i3) {
                        lVar = a2;
                        i2 = i5;
                        i3 = i6;
                    }
                }
            }
        }
        if (lVar == null) {
            return null;
        }
        return new d(lVar, i2);
    }

    protected static boolean a(int i, boolean z) {
        int i2 = i & 3;
        return i2 == 3 || (z && i2 == 2);
    }

    protected static boolean a(j jVar, String str) {
        return str != null && TextUtils.equals(str, t.b(jVar.y));
    }

    private static List<Integer> a(l lVar, int i, int i2, boolean z) {
        ArrayList arrayList = new ArrayList(lVar.a);
        for (int i3 = 0; i3 < lVar.a; i3++) {
            arrayList.add(Integer.valueOf(i3));
        }
        if (i == Integer.MAX_VALUE || i2 == Integer.MAX_VALUE) {
            return arrayList;
        }
        int i4 = Integer.MAX_VALUE;
        for (int i5 = 0; i5 < lVar.a; i5++) {
            j a2 = lVar.a(i5);
            if (a2.j > 0 && a2.k > 0) {
                Point a3 = a(z, i, i2, a2.j, a2.k);
                int i6 = a2.j * a2.k;
                if (a2.j >= ((int) (((float) a3.x) * 0.98f)) && a2.k >= ((int) (((float) a3.y) * 0.98f)) && i6 < i4) {
                    i4 = i6;
                }
            }
        }
        if (i4 != Integer.MAX_VALUE) {
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                int a4 = lVar.a(((Integer) arrayList.get(size)).intValue()).a();
                if (a4 == -1 || a4 > i4) {
                    arrayList.remove(size);
                }
            }
        }
        return arrayList;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x000d, code lost:
        if (r1 != r3) goto L_0x0015;
     */
    private static Point a(boolean z, int i, int i2, int i3, int i4) {
        if (z) {
            boolean z2 = true;
            boolean z3 = i3 > i4;
            if (i <= i2) {
                z2 = false;
            }
        }
        i2 = i;
        i = i2;
        int i5 = i3 * i;
        int i6 = i4 * i2;
        if (i5 >= i6) {
            return new Point(i2, t.a(i6, i3));
        }
        return new Point(t.a(i5, i4), i);
    }

    /* access modifiers changed from: private */
    /* compiled from: DefaultTrackSelector */
    public static final class a {
        public final int a;
        public final int b;
        public final String c;

        public a(int i, int i2, String str) {
            this.a = i;
            this.b = i2;
            this.c = str;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            a aVar = (a) obj;
            if (this.a == aVar.a && this.b == aVar.b && TextUtils.equals(this.c, aVar.c)) {
                return true;
            }
            return false;
        }

        public int hashCode() {
            int i = ((this.a * 31) + this.b) * 31;
            String str = this.c;
            return i + (str != null ? str.hashCode() : 0);
        }
    }
}
