package com.google.android.exoplayer2.i;

import android.content.Context;
import android.content.res.AssetManager;
import android.net.Uri;
import java.io.EOFException;
import java.io.IOException;
import java.io.InputStream;

/* compiled from: AssetDataSource */
public final class c implements f {
    private final AssetManager a;
    private final u<? super c> b;
    private Uri c;
    private InputStream d;
    private long e;
    private boolean f;

    /* compiled from: AssetDataSource */
    public static final class a extends IOException {
        public a(IOException iOException) {
            super(iOException);
        }
    }

    public c(Context context, u<? super c> uVar) {
        this.a = context.getAssets();
        this.b = uVar;
    }

    @Override // com.google.android.exoplayer2.i.f
    public long a(i iVar) throws a {
        try {
            Uri uri = iVar.a;
            this.c = uri;
            String path = uri.getPath();
            if (path.startsWith("/android_asset/")) {
                path = path.substring(15);
            } else if (path.startsWith("/")) {
                path = path.substring(1);
            }
            InputStream open = this.a.open(path, 1);
            this.d = open;
            if (open.skip(iVar.d) >= iVar.d) {
                if (iVar.e != -1) {
                    this.e = iVar.e;
                } else {
                    long available = (long) this.d.available();
                    this.e = available;
                    if (available == 2147483647L) {
                        this.e = -1;
                    }
                }
                this.f = true;
                u<? super c> uVar = this.b;
                if (uVar != null) {
                    uVar.a(this, iVar);
                }
                return this.e;
            }
            throw new EOFException();
        } catch (IOException e2) {
            throw new a(e2);
        }
    }

    @Override // com.google.android.exoplayer2.i.f
    public int a(byte[] bArr, int i, int i2) throws a {
        if (i2 == 0) {
            return 0;
        }
        long j = this.e;
        if (j == 0) {
            return -1;
        }
        if (j != -1) {
            try {
                i2 = (int) Math.min(j, (long) i2);
            } catch (IOException e2) {
                throw new a(e2);
            }
        }
        int read = this.d.read(bArr, i, i2);
        if (read != -1) {
            long j2 = this.e;
            if (j2 != -1) {
                this.e = j2 - ((long) read);
            }
            u<? super c> uVar = this.b;
            if (uVar != null) {
                uVar.a(this, read);
            }
            return read;
        } else if (this.e == -1) {
            return -1;
        } else {
            throw new a(new EOFException());
        }
    }

    @Override // com.google.android.exoplayer2.i.f
    public Uri b() {
        return this.c;
    }

    @Override // com.google.android.exoplayer2.i.f
    public void a() throws a {
        this.c = null;
        try {
            if (this.d != null) {
                this.d.close();
            }
            this.d = null;
            if (this.f) {
                this.f = false;
                u<? super c> uVar = this.b;
                if (uVar != null) {
                    uVar.a(this);
                }
            }
        } catch (IOException e2) {
            throw new a(e2);
        } catch (Throwable th) {
            this.d = null;
            if (this.f) {
                this.f = false;
                u<? super c> uVar2 = this.b;
                if (uVar2 != null) {
                    uVar2.a(this);
                }
            }
            throw th;
        }
    }
}
