package com.google.android.exoplayer2.k;

import android.os.Handler;
import android.view.Surface;
import com.google.android.exoplayer2.b.d;
import com.google.android.exoplayer2.j;

/* compiled from: VideoRendererEventListener */
public interface f {
    void onDroppedFrames(int i, long j);

    void onRenderedFirstFrame(Surface surface);

    void onVideoDecoderInitialized(String str, long j, long j2);

    void onVideoDisabled(d dVar);

    void onVideoEnabled(d dVar);

    void onVideoInputFormatChanged(j jVar);

    void onVideoSizeChanged(int i, int i2, int i3, float f);

    /* compiled from: VideoRendererEventListener */
    public static final class a {
        private final Handler a;
        private final f b;

        public a(Handler handler, f fVar) {
            this.a = fVar != null ? (Handler) com.google.android.exoplayer2.j.a.a(handler) : null;
            this.b = fVar;
        }

        public void a(final d dVar) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass1 */

                    public void run() {
                        a.this.b.onVideoEnabled(dVar);
                    }
                });
            }
        }

        public void a(final String str, final long j, final long j2) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass2 */

                    public void run() {
                        a.this.b.onVideoDecoderInitialized(str, j, j2);
                    }
                });
            }
        }

        public void a(final j jVar) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass3 */

                    public void run() {
                        a.this.b.onVideoInputFormatChanged(jVar);
                    }
                });
            }
        }

        public void a(final int i, final long j) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass4 */

                    public void run() {
                        a.this.b.onDroppedFrames(i, j);
                    }
                });
            }
        }

        public void a(final int i, final int i2, final int i3, final float f) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass5 */

                    public void run() {
                        a.this.b.onVideoSizeChanged(i, i2, i3, f);
                    }
                });
            }
        }

        public void a(final Surface surface) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass6 */

                    public void run() {
                        a.this.b.onRenderedFirstFrame(surface);
                    }
                });
            }
        }

        public void b(final d dVar) {
            if (this.b != null) {
                this.a.post(new Runnable() {
                    /* class com.google.android.exoplayer2.k.f.a.AnonymousClass7 */

                    public void run() {
                        dVar.a();
                        a.this.b.onVideoDisabled(dVar);
                    }
                });
            }
        }
    }
}
