package com.google.android.exoplayer2.source.dash;

import android.util.Pair;
import com.google.android.exoplayer2.i.s;
import com.google.android.exoplayer2.source.a;
import com.google.android.exoplayer2.source.a.f;
import com.google.android.exoplayer2.source.c;
import com.google.android.exoplayer2.source.d;
import com.google.android.exoplayer2.source.dash.a;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.i;
import com.google.android.exoplayer2.source.j;
import com.google.android.exoplayer2.source.l;
import com.google.android.exoplayer2.source.m;
import java.io.IOException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;

/* compiled from: DashMediaPeriod */
final class b implements g, j.a<f<a>> {
    final int a;
    private final a.AbstractC0072a b;
    private final int c;
    private final a.C0071a d;
    private final long e;
    private final s f;
    private final com.google.android.exoplayer2.i.b g;
    private final m h;
    private final a[] i;
    private g.a j;
    private f<a>[] k;
    private c l;
    private com.google.android.exoplayer2.source.dash.a.b m;
    private int n;
    private List<com.google.android.exoplayer2.source.dash.a.a> o;

    public b(int i2, com.google.android.exoplayer2.source.dash.a.b bVar, int i3, a.AbstractC0072a aVar, int i4, a.C0071a aVar2, long j2, s sVar, com.google.android.exoplayer2.i.b bVar2) {
        this.a = i2;
        this.m = bVar;
        this.n = i3;
        this.b = aVar;
        this.c = i4;
        this.d = aVar2;
        this.e = j2;
        this.f = sVar;
        this.g = bVar2;
        f<a>[] a2 = a(0);
        this.k = a2;
        this.l = new c(a2);
        List<com.google.android.exoplayer2.source.dash.a.a> list = bVar.a(i3).c;
        this.o = list;
        Pair<m, a[]> a3 = a(list);
        this.h = (m) a3.first;
        this.i = (a[]) a3.second;
    }

    public void a(com.google.android.exoplayer2.source.dash.a.b bVar, int i2) {
        this.m = bVar;
        this.n = i2;
        this.o = bVar.a(i2).c;
        f<a>[] fVarArr = this.k;
        if (fVarArr != null) {
            for (f<a> fVar : fVarArr) {
                fVar.c().a(bVar, i2);
            }
            this.j.a((j) this);
        }
    }

    public void b() {
        for (f<a> fVar : this.k) {
            fVar.e();
        }
    }

    @Override // com.google.android.exoplayer2.source.g
    public void a(g.a aVar) {
        this.j = aVar;
        aVar.a((g) this);
    }

    @Override // com.google.android.exoplayer2.source.g
    public void c() throws IOException {
        this.f.d();
    }

    @Override // com.google.android.exoplayer2.source.g
    public m d() {
        return this.h;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long a(com.google.android.exoplayer2.h.f[] fVarArr, boolean[] zArr, i[] iVarArr, boolean[] zArr2, long j2) {
        int a2;
        i iVar;
        int a3;
        int size = this.o.size();
        HashMap hashMap = new HashMap();
        for (int i2 = 0; i2 < fVarArr.length; i2++) {
            if (iVarArr[i2] instanceof f) {
                f fVar = (f) iVarArr[i2];
                if (fVarArr[i2] == null || !zArr[i2]) {
                    fVar.e();
                    iVarArr[i2] = null;
                } else {
                    hashMap.put(Integer.valueOf(this.h.a(fVarArr[i2].d())), fVar);
                }
            }
            if (iVarArr[i2] == null && fVarArr[i2] != null && (a3 = this.h.a(fVarArr[i2].d())) < size) {
                f<a> a4 = a(a3, fVarArr[i2], j2);
                hashMap.put(Integer.valueOf(a3), a4);
                iVarArr[i2] = a4;
                zArr2[i2] = true;
            }
        }
        for (int i3 = 0; i3 < fVarArr.length; i3++) {
            if (((iVarArr[i3] instanceof f.a) || (iVarArr[i3] instanceof d)) && (fVarArr[i3] == null || !zArr[i3])) {
                a(iVarArr[i3]);
                iVarArr[i3] = null;
            }
            if (fVarArr[i3] != null && (a2 = this.h.a(fVarArr[i3].d())) >= size) {
                a aVar = this.i[a2 - size];
                f<T> fVar2 = (f) hashMap.get(Integer.valueOf(aVar.a));
                i iVar2 = iVarArr[i3];
                if (!(fVar2 == null ? iVar2 instanceof d : (iVar2 instanceof f.a) && ((f.a) iVar2).a == fVar2)) {
                    a(iVar2);
                    if (fVar2 == null) {
                        iVar = new d();
                    } else {
                        iVar = fVar2.a(j2, aVar.b);
                    }
                    iVarArr[i3] = iVar;
                    zArr2[i3] = true;
                }
            }
        }
        this.k = a(hashMap.size());
        hashMap.values().toArray(this.k);
        this.l = new c(this.k);
        return j2;
    }

    @Override // com.google.android.exoplayer2.source.g
    public void b(long j2) {
        for (f<a> fVar : this.k) {
            fVar.b(j2);
        }
    }

    @Override // com.google.android.exoplayer2.source.g, com.google.android.exoplayer2.source.j
    public boolean a(long j2) {
        return this.l.a(j2);
    }

    @Override // com.google.android.exoplayer2.source.g, com.google.android.exoplayer2.source.j
    public long a_() {
        return this.l.a_();
    }

    @Override // com.google.android.exoplayer2.source.g
    public long e() {
        return -9223372036854775807L;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long f() {
        long j2 = Long.MAX_VALUE;
        for (f<a> fVar : this.k) {
            long d2 = fVar.d();
            if (d2 != Long.MIN_VALUE) {
                j2 = Math.min(j2, d2);
            }
        }
        if (j2 == Long.MAX_VALUE) {
            return Long.MIN_VALUE;
        }
        return j2;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long c(long j2) {
        for (f<a> fVar : this.k) {
            fVar.c(j2);
        }
        return j2;
    }

    public void a(f<a> fVar) {
        this.j.a((j) this);
    }

    private static Pair<m, a[]> a(List<com.google.android.exoplayer2.source.dash.a.a> list) {
        int size = list.size();
        int b2 = b(list);
        l[] lVarArr = new l[(size + b2)];
        a[] aVarArr = new a[b2];
        int i2 = 0;
        for (int i3 = 0; i3 < size; i3++) {
            com.google.android.exoplayer2.source.dash.a.a aVar = list.get(i3);
            List<com.google.android.exoplayer2.source.dash.a.f> list2 = aVar.c;
            int size2 = list2.size();
            com.google.android.exoplayer2.j[] jVarArr = new com.google.android.exoplayer2.j[size2];
            for (int i4 = 0; i4 < size2; i4++) {
                jVarArr[i4] = list2.get(i4).c;
            }
            lVarArr[i3] = new l(jVarArr);
            if (a(aVar)) {
                lVarArr[size + i2] = new l(com.google.android.exoplayer2.j.a(aVar.a + ":emsg", "application/x-emsg", null, -1, null));
                aVarArr[i2] = new a(i3, 4);
                i2++;
            }
            if (b(aVar)) {
                lVarArr[size + i2] = new l(com.google.android.exoplayer2.j.a(aVar.a + ":cea608", "application/cea-608", (String) null, -1, 0, (String) null, (com.google.android.exoplayer2.c.a) null));
                aVarArr[i2] = new a(i3, 3);
                i2++;
            }
        }
        return Pair.create(new m(lVarArr), aVarArr);
    }

    private f<a> a(int i2, com.google.android.exoplayer2.h.f fVar, long j2) {
        int[] iArr;
        com.google.android.exoplayer2.source.dash.a.a aVar = this.o.get(i2);
        int[] iArr2 = new int[2];
        boolean a2 = a(aVar);
        int i3 = 0;
        if (a2) {
            iArr2[0] = 4;
            i3 = 1;
        }
        boolean b2 = b(aVar);
        if (b2) {
            iArr2[i3] = 3;
            i3++;
        }
        if (i3 < 2) {
            iArr = Arrays.copyOf(iArr2, i3);
        } else {
            iArr = iArr2;
        }
        return new f<>(aVar.b, iArr, this.b.a(this.f, this.m, this.n, i2, fVar, this.e, a2, b2), this, this.g, j2, this.c, this.d);
    }

    private static int b(List<com.google.android.exoplayer2.source.dash.a.a> list) {
        int i2 = 0;
        for (int i3 = 0; i3 < list.size(); i3++) {
            com.google.android.exoplayer2.source.dash.a.a aVar = list.get(i3);
            if (a(aVar)) {
                i2++;
            }
            if (b(aVar)) {
                i2++;
            }
        }
        return i2;
    }

    private static boolean a(com.google.android.exoplayer2.source.dash.a.a aVar) {
        List<com.google.android.exoplayer2.source.dash.a.f> list = aVar.c;
        for (int i2 = 0; i2 < list.size(); i2++) {
            if (!list.get(i2).f.isEmpty()) {
                return true;
            }
        }
        return false;
    }

    private static boolean b(com.google.android.exoplayer2.source.dash.a.a aVar) {
        List<com.google.android.exoplayer2.source.dash.a.g> list = aVar.d;
        for (int i2 = 0; i2 < list.size(); i2++) {
            if ("urn:scte:dash:cc:cea-608:2015".equals(list.get(i2).a)) {
                return true;
            }
        }
        return false;
    }

    private static f<a>[] a(int i2) {
        return new f[i2];
    }

    private static void a(i iVar) {
        if (iVar instanceof f.a) {
            ((f.a) iVar).c();
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: DashMediaPeriod */
    public static final class a {
        public final int a;
        public final int b;

        public a(int i, int i2) {
            this.a = i;
            this.b = i2;
        }
    }
}
