package com.google.android.exoplayer2.source;

import android.net.Uri;
import android.os.Handler;
import android.util.SparseArray;
import com.google.android.exoplayer2.d.d;
import com.google.android.exoplayer2.d.h;
import com.google.android.exoplayer2.d.l;
import com.google.android.exoplayer2.d.m;
import com.google.android.exoplayer2.d.n;
import com.google.android.exoplayer2.i.f;
import com.google.android.exoplayer2.i.i;
import com.google.android.exoplayer2.i.r;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.k;
import com.google.android.exoplayer2.source.f;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.h;
import java.io.EOFException;
import java.io.IOException;

/* compiled from: ExtractorMediaPeriod */
final class e implements d.c, h, r.a<a>, g {
    private boolean A;
    private long B;
    private long C;
    private long D;
    private int E;
    private boolean F;
    private boolean G;
    private final Uri a;
    private final f b;
    private final int c;
    private final Handler d;
    private final f.a e;
    private final h.a f;
    private final com.google.android.exoplayer2.i.b g;
    private final String h;
    private final r i = new r("Loader:ExtractorMediaPeriod");
    private final b j;
    private final com.google.android.exoplayer2.j.d k;
    private final Runnable l;
    private final Runnable m;
    private final Handler n;
    private final SparseArray<d> o;
    private g.a p;
    private m q;
    private boolean r;
    private boolean s;
    private boolean t;
    private boolean u;
    private int v;
    private m w;
    private long x;
    private boolean[] y;
    private boolean[] z;

    public e(Uri uri, com.google.android.exoplayer2.i.f fVar, com.google.android.exoplayer2.d.f[] fVarArr, int i2, Handler handler, f.a aVar, h.a aVar2, com.google.android.exoplayer2.i.b bVar, String str) {
        this.a = uri;
        this.b = fVar;
        this.c = i2;
        this.d = handler;
        this.e = aVar;
        this.f = aVar2;
        this.g = bVar;
        this.h = str;
        this.j = new b(fVarArr, this);
        this.k = new com.google.android.exoplayer2.j.d();
        this.l = new Runnable() {
            /* class com.google.android.exoplayer2.source.e.AnonymousClass1 */

            public void run() {
                e.this.h();
            }
        };
        this.m = new Runnable() {
            /* class com.google.android.exoplayer2.source.e.AnonymousClass2 */

            public void run() {
                if (!e.this.G) {
                    e.this.p.a((j) e.this);
                }
            }
        };
        this.n = new Handler();
        this.D = -9223372036854775807L;
        this.o = new SparseArray<>();
        this.B = -1;
    }

    public void b() {
        final b bVar = this.j;
        this.i.a(new Runnable() {
            /* class com.google.android.exoplayer2.source.e.AnonymousClass3 */

            public void run() {
                bVar.a();
                int size = e.this.o.size();
                for (int i = 0; i < size; i++) {
                    ((d) e.this.o.valueAt(i)).c();
                }
            }
        });
        this.n.removeCallbacksAndMessages(null);
        this.G = true;
    }

    @Override // com.google.android.exoplayer2.source.g
    public void a(g.a aVar) {
        this.p = aVar;
        this.k.a();
        i();
    }

    @Override // com.google.android.exoplayer2.source.g
    public void c() throws IOException {
        g();
    }

    @Override // com.google.android.exoplayer2.source.g
    public m d() {
        return this.w;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long a(com.google.android.exoplayer2.h.f[] fVarArr, boolean[] zArr, i[] iVarArr, boolean[] zArr2, long j2) {
        com.google.android.exoplayer2.j.a.b(this.s);
        for (int i2 = 0; i2 < fVarArr.length; i2++) {
            if (iVarArr[i2] != null && (fVarArr[i2] == null || !zArr[i2])) {
                int i3 = ((c) iVarArr[i2]).b;
                com.google.android.exoplayer2.j.a.b(this.y[i3]);
                this.v--;
                this.y[i3] = false;
                this.o.valueAt(i3).c();
                iVarArr[i2] = null;
            }
        }
        boolean z2 = false;
        for (int i4 = 0; i4 < fVarArr.length; i4++) {
            if (iVarArr[i4] == null && fVarArr[i4] != null) {
                com.google.android.exoplayer2.h.f fVar = fVarArr[i4];
                com.google.android.exoplayer2.j.a.b(fVar.e() == 1);
                com.google.android.exoplayer2.j.a.b(fVar.b(0) == 0);
                int a2 = this.w.a(fVar.d());
                com.google.android.exoplayer2.j.a.b(!this.y[a2]);
                this.v++;
                this.y[a2] = true;
                iVarArr[i4] = new c(a2);
                zArr2[i4] = true;
                z2 = true;
            }
        }
        if (!this.t) {
            int size = this.o.size();
            for (int i5 = 0; i5 < size; i5++) {
                if (!this.y[i5]) {
                    this.o.valueAt(i5).c();
                }
            }
        }
        if (this.v == 0) {
            this.u = false;
            if (this.i.a()) {
                this.i.b();
            }
        } else if (!this.t ? j2 != 0 : z2) {
            j2 = c(j2);
            for (int i6 = 0; i6 < iVarArr.length; i6++) {
                if (iVarArr[i6] != null) {
                    zArr2[i6] = true;
                }
            }
        }
        this.t = true;
        return j2;
    }

    @Override // com.google.android.exoplayer2.source.g
    public void b(long j2) {
    }

    @Override // com.google.android.exoplayer2.source.g, com.google.android.exoplayer2.source.j
    public boolean a(long j2) {
        if (this.F) {
            return false;
        }
        if (this.s && this.v == 0) {
            return false;
        }
        boolean a2 = this.k.a();
        if (this.i.a()) {
            return a2;
        }
        i();
        return true;
    }

    @Override // com.google.android.exoplayer2.source.g, com.google.android.exoplayer2.source.j
    public long a_() {
        if (this.v == 0) {
            return Long.MIN_VALUE;
        }
        return f();
    }

    @Override // com.google.android.exoplayer2.source.g
    public long e() {
        if (!this.u) {
            return -9223372036854775807L;
        }
        this.u = false;
        return this.C;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long f() {
        long j2;
        if (this.F) {
            return Long.MIN_VALUE;
        }
        if (l()) {
            return this.D;
        }
        if (this.A) {
            j2 = Long.MAX_VALUE;
            int size = this.o.size();
            for (int i2 = 0; i2 < size; i2++) {
                if (this.z[i2]) {
                    j2 = Math.min(j2, this.o.valueAt(i2).h());
                }
            }
        } else {
            j2 = k();
        }
        return j2 == Long.MIN_VALUE ? this.C : j2;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long c(long j2) {
        if (!this.q.a()) {
            j2 = 0;
        }
        this.C = j2;
        int size = this.o.size();
        boolean z2 = !l();
        int i2 = 0;
        while (z2 && i2 < size) {
            if (this.y[i2]) {
                z2 = this.o.valueAt(i2).a(j2, false);
            }
            i2++;
        }
        if (!z2) {
            this.D = j2;
            this.F = false;
            if (this.i.a()) {
                this.i.b();
            } else {
                for (int i3 = 0; i3 < size; i3++) {
                    this.o.valueAt(i3).a(this.y[i3]);
                }
            }
        }
        this.u = false;
        return j2;
    }

    /* access modifiers changed from: package-private */
    public boolean a(int i2) {
        return this.F || (!l() && !this.o.valueAt(i2).d());
    }

    /* access modifiers changed from: package-private */
    public void g() throws IOException {
        this.i.d();
    }

    /* access modifiers changed from: package-private */
    public int a(int i2, k kVar, com.google.android.exoplayer2.b.e eVar, boolean z2) {
        if (this.u || l()) {
            return -3;
        }
        return this.o.valueAt(i2).a(kVar, eVar, z2, this.F, this.C);
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, long j2) {
        d valueAt = this.o.valueAt(i2);
        if (!this.F || j2 <= valueAt.h()) {
            valueAt.a(j2, true);
        } else {
            valueAt.i();
        }
    }

    public void a(a aVar, long j2, long j3) {
        a(aVar);
        this.F = true;
        if (this.x == -9223372036854775807L) {
            long k2 = k();
            this.x = k2 == Long.MIN_VALUE ? 0 : k2 + 10000;
            this.f.a(new k(this.x, this.q.a()), null);
        }
        this.p.a((j) this);
    }

    public void a(a aVar, long j2, long j3, boolean z2) {
        a(aVar);
        if (!z2 && this.v > 0) {
            int size = this.o.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.o.valueAt(i2).a(this.y[i2]);
            }
            this.p.a((j) this);
        }
    }

    public int a(a aVar, long j2, long j3, IOException iOException) {
        a(aVar);
        b(iOException);
        if (a(iOException)) {
            return 3;
        }
        int i2 = j() > this.E ? 1 : 0;
        b(aVar);
        this.E = j();
        return i2;
    }

    @Override // com.google.android.exoplayer2.d.h
    public n a(int i2, int i3) {
        d dVar = this.o.get(i2);
        if (dVar != null) {
            return dVar;
        }
        d dVar2 = new d(this.g);
        dVar2.a(this);
        this.o.put(i2, dVar2);
        return dVar2;
    }

    @Override // com.google.android.exoplayer2.d.h
    public void a() {
        this.r = true;
        this.n.post(this.l);
    }

    @Override // com.google.android.exoplayer2.d.h
    public void a(m mVar) {
        this.q = mVar;
        this.n.post(this.l);
    }

    @Override // com.google.android.exoplayer2.d.d.c
    public void a(j jVar) {
        this.n.post(this.l);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h() {
        if (!this.G && !this.s && this.q != null && this.r) {
            int size = this.o.size();
            for (int i2 = 0; i2 < size; i2++) {
                if (this.o.valueAt(i2).g() == null) {
                    return;
                }
            }
            this.k.b();
            l[] lVarArr = new l[size];
            this.z = new boolean[size];
            this.y = new boolean[size];
            this.x = this.q.b();
            int i3 = 0;
            while (true) {
                boolean z2 = true;
                if (i3 < size) {
                    j g2 = this.o.valueAt(i3).g();
                    lVarArr[i3] = new l(g2);
                    String str = g2.f;
                    if (!com.google.android.exoplayer2.j.h.b(str) && !com.google.android.exoplayer2.j.h.a(str)) {
                        z2 = false;
                    }
                    this.z[i3] = z2;
                    this.A = z2 | this.A;
                    i3++;
                } else {
                    this.w = new m(lVarArr);
                    this.s = true;
                    this.f.a(new k(this.x, this.q.a()), null);
                    this.p.a((g) this);
                    return;
                }
            }
        }
    }

    private void a(a aVar) {
        if (this.B == -1) {
            this.B = aVar.j;
        }
    }

    private void i() {
        m mVar;
        a aVar = new a(this.a, this.b, this.j, this.k);
        if (this.s) {
            com.google.android.exoplayer2.j.a.b(l());
            long j2 = this.x;
            if (j2 == -9223372036854775807L || this.D < j2) {
                aVar.a(this.q.b(this.D), this.D);
                this.D = -9223372036854775807L;
            } else {
                this.F = true;
                this.D = -9223372036854775807L;
                return;
            }
        }
        this.E = j();
        int i2 = this.c;
        if (i2 == -1) {
            i2 = (this.s && this.B == -1 && ((mVar = this.q) == null || mVar.b() == -9223372036854775807L)) ? 6 : 3;
        }
        this.i.a(aVar, this, i2);
    }

    private void b(a aVar) {
        if (this.B == -1) {
            m mVar = this.q;
            if (mVar == null || mVar.b() == -9223372036854775807L) {
                this.C = 0;
                this.u = this.s;
                int size = this.o.size();
                for (int i2 = 0; i2 < size; i2++) {
                    this.o.valueAt(i2).a(!this.s || this.y[i2]);
                }
                aVar.a(0, 0);
            }
        }
    }

    private int j() {
        int size = this.o.size();
        int i2 = 0;
        for (int i3 = 0; i3 < size; i3++) {
            i2 += this.o.valueAt(i3).b();
        }
        return i2;
    }

    private long k() {
        int size = this.o.size();
        long j2 = Long.MIN_VALUE;
        for (int i2 = 0; i2 < size; i2++) {
            j2 = Math.max(j2, this.o.valueAt(i2).h());
        }
        return j2;
    }

    private boolean l() {
        return this.D != -9223372036854775807L;
    }

    private boolean a(IOException iOException) {
        return iOException instanceof n;
    }

    private void b(final IOException iOException) {
        Handler handler = this.d;
        if (handler != null && this.e != null) {
            handler.post(new Runnable() {
                /* class com.google.android.exoplayer2.source.e.AnonymousClass4 */

                public void run() {
                    e.this.e.onLoadError(iOException);
                }
            });
        }
    }

    /* compiled from: ExtractorMediaPeriod */
    private final class c implements i {
        private final int b;

        public c(int i) {
            this.b = i;
        }

        @Override // com.google.android.exoplayer2.source.i
        public boolean a() {
            return e.this.a(this.b);
        }

        @Override // com.google.android.exoplayer2.source.i
        public void b() throws IOException {
            e.this.g();
        }

        @Override // com.google.android.exoplayer2.source.i
        public int a(k kVar, com.google.android.exoplayer2.b.e eVar, boolean z) {
            return e.this.a(this.b, kVar, eVar, z);
        }

        @Override // com.google.android.exoplayer2.source.i
        public void a_(long j) {
            e.this.a(this.b, j);
        }
    }

    /* access modifiers changed from: package-private */
    /* compiled from: ExtractorMediaPeriod */
    public final class a implements r.c {
        private final Uri b;
        private final com.google.android.exoplayer2.i.f c;
        private final b d;
        private final com.google.android.exoplayer2.j.d e;
        private final l f = new l();
        private volatile boolean g;
        private boolean h = true;
        private long i;
        private long j = -1;

        public a(Uri uri, com.google.android.exoplayer2.i.f fVar, b bVar, com.google.android.exoplayer2.j.d dVar) {
            this.b = (Uri) com.google.android.exoplayer2.j.a.a(uri);
            this.c = (com.google.android.exoplayer2.i.f) com.google.android.exoplayer2.j.a.a(fVar);
            this.d = (b) com.google.android.exoplayer2.j.a.a(bVar);
            this.e = dVar;
        }

        public void a(long j2, long j3) {
            this.f.a = j2;
            this.i = j3;
            this.h = true;
        }

        @Override // com.google.android.exoplayer2.i.r.c
        public void a() {
            this.g = true;
        }

        @Override // com.google.android.exoplayer2.i.r.c
        public boolean b() {
            return this.g;
        }

        @Override // com.google.android.exoplayer2.i.r.c
        public void c() throws IOException, InterruptedException {
            Throwable th;
            int i2 = 0;
            while (i2 == 0 && !this.g) {
                com.google.android.exoplayer2.d.b bVar = null;
                try {
                    long j2 = this.f.a;
                    long a2 = this.c.a(new i(this.b, j2, -1, e.this.h));
                    this.j = a2;
                    if (a2 != -1) {
                        this.j = a2 + j2;
                    }
                    com.google.android.exoplayer2.d.b bVar2 = new com.google.android.exoplayer2.d.b(this.c, j2, this.j);
                    try {
                        com.google.android.exoplayer2.d.f a3 = this.d.a(bVar2, this.c.b());
                        if (this.h) {
                            a3.a(j2, this.i);
                            this.h = false;
                        }
                        while (i2 == 0 && !this.g) {
                            this.e.c();
                            i2 = a3.a(bVar2, this.f);
                            if (bVar2.c() > 1048576 + j2) {
                                j2 = bVar2.c();
                                this.e.b();
                                e.this.n.post(e.this.m);
                            }
                        }
                        if (i2 == 1) {
                            i2 = 0;
                        } else {
                            this.f.a = bVar2.c();
                        }
                        t.a(this.c);
                    } catch (Throwable th2) {
                        th = th2;
                        bVar = bVar2;
                        this.f.a = bVar.c();
                        t.a(this.c);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    if (!(i2 == 1 || bVar == null)) {
                        this.f.a = bVar.c();
                    }
                    t.a(this.c);
                    throw th;
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* compiled from: ExtractorMediaPeriod */
    public static final class b {
        private final com.google.android.exoplayer2.d.f[] a;
        private final com.google.android.exoplayer2.d.h b;
        private com.google.android.exoplayer2.d.f c;

        public b(com.google.android.exoplayer2.d.f[] fVarArr, com.google.android.exoplayer2.d.h hVar) {
            this.a = fVarArr;
            this.b = hVar;
        }

        public com.google.android.exoplayer2.d.f a(com.google.android.exoplayer2.d.g gVar, Uri uri) throws IOException, InterruptedException {
            com.google.android.exoplayer2.d.f fVar = this.c;
            if (fVar != null) {
                return fVar;
            }
            com.google.android.exoplayer2.d.f[] fVarArr = this.a;
            int length = fVarArr.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                }
                com.google.android.exoplayer2.d.f fVar2 = fVarArr[i];
                try {
                    if (fVar2.a(gVar)) {
                        this.c = fVar2;
                        gVar.a();
                        break;
                    }
                    gVar.a();
                    i++;
                } catch (EOFException e) {
                } catch (Throwable th) {
                    gVar.a();
                    throw th;
                }
            }
            com.google.android.exoplayer2.d.f fVar3 = this.c;
            if (fVar3 != null) {
                fVar3.a(this.b);
                return this.c;
            }
            throw new n("None of the available extractors (" + t.a(this.a) + ") could read the stream.", uri);
        }

        public void a() {
            com.google.android.exoplayer2.d.f fVar = this.c;
            if (fVar != null) {
                fVar.c();
                this.c = null;
            }
        }
    }
}
