package com.google.android.exoplayer2.source.hls;

import android.os.Handler;
import android.text.TextUtils;
import android.util.SparseArray;
import com.google.android.exoplayer2.b.e;
import com.google.android.exoplayer2.d.d;
import com.google.android.exoplayer2.d.h;
import com.google.android.exoplayer2.h.f;
import com.google.android.exoplayer2.i.b;
import com.google.android.exoplayer2.i.r;
import com.google.android.exoplayer2.k;
import com.google.android.exoplayer2.source.a;
import com.google.android.exoplayer2.source.a.c;
import com.google.android.exoplayer2.source.hls.a.a;
import com.google.android.exoplayer2.source.hls.c;
import com.google.android.exoplayer2.source.i;
import com.google.android.exoplayer2.source.j;
import com.google.android.exoplayer2.source.l;
import com.google.android.exoplayer2.source.m;
import java.io.IOException;
import java.util.LinkedList;

/* access modifiers changed from: package-private */
/* compiled from: HlsSampleStreamWrapper */
public final class j implements d.c, h, r.a<c>, com.google.android.exoplayer2.source.j {
    private final int a;
    private final a b;
    private final c c;
    private final b d;
    private final com.google.android.exoplayer2.j e;
    private final int f;
    private final r g = new r("Loader:HlsSampleStreamWrapper");
    private final a.C0071a h;
    private final c.b i = new c.b();
    private final SparseArray<d> j = new SparseArray<>();
    private final LinkedList<f> k = new LinkedList<>();
    private final Runnable l = new Runnable() {
        /* class com.google.android.exoplayer2.source.hls.j.AnonymousClass1 */

        public void run() {
            j.this.h();
        }
    };
    private final Handler m = new Handler();
    private boolean n;
    private boolean o;
    private int p;
    private com.google.android.exoplayer2.j q;
    private int r;
    private boolean s;
    private m t;
    private int u;
    private boolean[] v;
    private long w;
    private long x;
    private boolean y;

    /* compiled from: HlsSampleStreamWrapper */
    public interface a extends j.a<j> {
        void a(a.C0074a aVar);

        void g();
    }

    public j(int i2, a aVar, c cVar, b bVar, long j2, com.google.android.exoplayer2.j jVar, int i3, a.C0071a aVar2) {
        this.a = i2;
        this.b = aVar;
        this.c = cVar;
        this.d = bVar;
        this.e = jVar;
        this.f = i3;
        this.h = aVar2;
        this.w = j2;
        this.x = j2;
    }

    public void b() {
        if (!this.o) {
            a(this.w);
        }
    }

    public void b(com.google.android.exoplayer2.j jVar) {
        a(0, -1).a(jVar);
        this.n = true;
        h();
    }

    public void c() throws IOException {
        g();
    }

    public m d() {
        return this.t;
    }

    public boolean a(f[] fVarArr, boolean[] zArr, i[] iVarArr, boolean[] zArr2, boolean z) {
        com.google.android.exoplayer2.j.a.b(this.o);
        for (int i2 = 0; i2 < fVarArr.length; i2++) {
            if (iVarArr[i2] != null && (fVarArr[i2] == null || !zArr[i2])) {
                int i3 = ((i) iVarArr[i2]).a;
                b(i3, false);
                this.j.valueAt(i3).c();
                iVarArr[i2] = null;
            }
        }
        f fVar = null;
        boolean z2 = false;
        for (int i4 = 0; i4 < fVarArr.length; i4++) {
            if (iVarArr[i4] == null && fVarArr[i4] != null) {
                f fVar2 = fVarArr[i4];
                int a2 = this.t.a(fVar2.d());
                b(a2, true);
                if (a2 == this.u) {
                    this.c.a(fVar2);
                    fVar = fVar2;
                }
                iVarArr[i4] = new i(this, a2);
                zArr2[i4] = true;
                z2 = true;
            }
        }
        if (z) {
            int size = this.j.size();
            for (int i5 = 0; i5 < size; i5++) {
                if (!this.v[i5]) {
                    this.j.valueAt(i5).c();
                }
            }
            if (fVar != null && !this.k.isEmpty()) {
                fVar.a(0L);
                if (fVar.g() != this.c.b().a(this.k.getLast().c)) {
                    b(this.w);
                }
            }
        }
        if (this.p == 0) {
            this.c.c();
            this.q = null;
            this.k.clear();
            if (this.g.a()) {
                this.g.b();
            }
        }
        return z2;
    }

    public void b(long j2) {
        this.w = j2;
        this.x = j2;
        this.y = false;
        this.k.clear();
        if (this.g.a()) {
            this.g.b();
            return;
        }
        int size = this.j.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.j.valueAt(i2).a(this.v[i2]);
        }
    }

    public long e() {
        if (this.y) {
            return Long.MIN_VALUE;
        }
        if (j()) {
            return this.x;
        }
        long j2 = this.w;
        f last = this.k.getLast();
        if (!last.g()) {
            if (this.k.size() > 1) {
                LinkedList<f> linkedList = this.k;
                last = linkedList.get(linkedList.size() - 2);
            } else {
                last = null;
            }
        }
        if (last != null) {
            j2 = Math.max(j2, last.g);
        }
        int size = this.j.size();
        for (int i2 = 0; i2 < size; i2++) {
            j2 = Math.max(j2, this.j.valueAt(i2).h());
        }
        return j2;
    }

    public void f() {
        int size = this.j.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.j.valueAt(i2).c();
        }
        this.g.c();
        this.m.removeCallbacksAndMessages(null);
        this.s = true;
    }

    public void a(boolean z) {
        this.c.a(z);
    }

    public void a(a.C0074a aVar, long j2) {
        this.c.a(aVar, j2);
    }

    /* access modifiers changed from: package-private */
    public boolean a(int i2) {
        return this.y || (!j() && !this.j.valueAt(i2).d());
    }

    /* access modifiers changed from: package-private */
    public void g() throws IOException {
        this.g.d();
        this.c.a();
    }

    /* access modifiers changed from: package-private */
    public int a(int i2, k kVar, e eVar, boolean z) {
        if (j()) {
            return -3;
        }
        while (this.k.size() > 1 && a(this.k.getFirst())) {
            this.k.removeFirst();
        }
        f first = this.k.getFirst();
        com.google.android.exoplayer2.j jVar = first.c;
        if (!jVar.equals(this.q)) {
            this.h.a(this.a, jVar, first.d, first.e, first.f);
        }
        this.q = jVar;
        return this.j.valueAt(i2).a(kVar, eVar, z, this.y, this.w);
    }

    /* access modifiers changed from: package-private */
    public void a(int i2, long j2) {
        d valueAt = this.j.valueAt(i2);
        if (!this.y || j2 <= valueAt.h()) {
            valueAt.a(j2, true);
        } else {
            valueAt.i();
        }
    }

    private boolean a(f fVar) {
        int i2 = fVar.j;
        for (int i3 = 0; i3 < this.j.size(); i3++) {
            if (this.v[i3] && this.j.valueAt(i3).f() == i2) {
                return false;
            }
        }
        return true;
    }

    @Override // com.google.android.exoplayer2.source.j
    public boolean a(long j2) {
        if (this.y || this.g.a()) {
            return false;
        }
        c cVar = this.c;
        f last = this.k.isEmpty() ? null : this.k.getLast();
        long j3 = this.x;
        if (j3 == -9223372036854775807L) {
            j3 = j2;
        }
        cVar.a(last, j3, this.i);
        boolean z = this.i.b;
        com.google.android.exoplayer2.source.a.c cVar2 = this.i.a;
        a.C0074a aVar = this.i.c;
        this.i.a();
        if (z) {
            this.y = true;
            return true;
        } else if (cVar2 == null) {
            if (aVar != null) {
                this.b.a(aVar);
            }
            return false;
        } else {
            if (a(cVar2)) {
                this.x = -9223372036854775807L;
                f fVar = (f) cVar2;
                fVar.a(this);
                this.k.add(fVar);
            }
            this.h.a(cVar2.a, cVar2.b, this.a, cVar2.c, cVar2.d, cVar2.e, cVar2.f, cVar2.g, this.g.a(cVar2, this, this.f));
            return true;
        }
    }

    @Override // com.google.android.exoplayer2.source.j
    public long a_() {
        if (j()) {
            return this.x;
        }
        if (this.y) {
            return Long.MIN_VALUE;
        }
        return this.k.getLast().g;
    }

    public void a(com.google.android.exoplayer2.source.a.c cVar, long j2, long j3) {
        this.c.a(cVar);
        this.h.a(cVar.a, cVar.b, this.a, cVar.c, cVar.d, cVar.e, cVar.f, cVar.g, j2, j3, cVar.e());
        if (!this.o) {
            a(this.w);
        } else {
            this.b.a(this);
        }
    }

    public void a(com.google.android.exoplayer2.source.a.c cVar, long j2, long j3, boolean z) {
        this.h.b(cVar.a, cVar.b, this.a, cVar.c, cVar.d, cVar.e, cVar.f, cVar.g, j2, j3, cVar.e());
        if (!z) {
            int size = this.j.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.j.valueAt(i2).a(this.v[i2]);
            }
            this.b.a(this);
        }
    }

    public int a(com.google.android.exoplayer2.source.a.c cVar, long j2, long j3, IOException iOException) {
        long e2 = cVar.e();
        boolean a2 = a(cVar);
        boolean z = true;
        if (!this.c.a(cVar, !a2 || e2 == 0, iOException)) {
            z = false;
        } else if (a2) {
            com.google.android.exoplayer2.j.a.b(this.k.removeLast() == cVar);
            if (this.k.isEmpty()) {
                this.x = this.w;
            }
        }
        this.h.a(cVar.a, cVar.b, this.a, cVar.c, cVar.d, cVar.e, cVar.f, cVar.g, j2, j3, cVar.e(), iOException, z);
        if (!z) {
            return 0;
        }
        if (!this.o) {
            a(this.w);
            return 2;
        }
        this.b.a(this);
        return 2;
    }

    public void a(int i2, boolean z) {
        this.r = i2;
        for (int i3 = 0; i3 < this.j.size(); i3++) {
            this.j.valueAt(i3).a(i2);
        }
        if (z) {
            for (int i4 = 0; i4 < this.j.size(); i4++) {
                this.j.valueAt(i4).a();
            }
        }
    }

    /* renamed from: b */
    public d a(int i2, int i3) {
        if (this.j.indexOfKey(i2) >= 0) {
            return this.j.get(i2);
        }
        d dVar = new d(this.d);
        dVar.a(this);
        dVar.a(this.r);
        this.j.put(i2, dVar);
        return dVar;
    }

    @Override // com.google.android.exoplayer2.d.h
    public void a() {
        this.n = true;
        this.m.post(this.l);
    }

    @Override // com.google.android.exoplayer2.d.h
    public void a(com.google.android.exoplayer2.d.m mVar) {
    }

    @Override // com.google.android.exoplayer2.d.d.c
    public void a(com.google.android.exoplayer2.j jVar) {
        this.m.post(this.l);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void h() {
        if (!(this.s || this.o || !this.n)) {
            int size = this.j.size();
            for (int i2 = 0; i2 < size; i2++) {
                if (this.j.valueAt(i2).g() == null) {
                    return;
                }
            }
            i();
            this.o = true;
            this.b.g();
        }
    }

    private void i() {
        int size = this.j.size();
        int i2 = 0;
        char c2 = 0;
        int i3 = -1;
        while (true) {
            char c3 = 3;
            if (i2 >= size) {
                break;
            }
            String str = this.j.valueAt(i2).g().f;
            if (!com.google.android.exoplayer2.j.h.b(str)) {
                if (com.google.android.exoplayer2.j.h.a(str)) {
                    c3 = 2;
                } else if (com.google.android.exoplayer2.j.h.c(str)) {
                    c3 = 1;
                } else {
                    c3 = 0;
                }
            }
            if (c3 > c2) {
                i3 = i2;
                c2 = c3;
            } else if (c3 == c2 && i3 != -1) {
                i3 = -1;
            }
            i2++;
        }
        l b2 = this.c.b();
        int i4 = b2.a;
        this.u = -1;
        this.v = new boolean[size];
        l[] lVarArr = new l[size];
        for (int i5 = 0; i5 < size; i5++) {
            com.google.android.exoplayer2.j g2 = this.j.valueAt(i5).g();
            if (i5 == i3) {
                com.google.android.exoplayer2.j[] jVarArr = new com.google.android.exoplayer2.j[i4];
                for (int i6 = 0; i6 < i4; i6++) {
                    jVarArr[i6] = a(b2.a(i6), g2);
                }
                lVarArr[i5] = new l(jVarArr);
                this.u = i5;
            } else {
                lVarArr[i5] = new l(a((c2 != 3 || !com.google.android.exoplayer2.j.h.a(g2.f)) ? null : this.e, g2));
            }
        }
        this.t = new m(lVarArr);
    }

    private void b(int i2, boolean z) {
        int i3 = 1;
        com.google.android.exoplayer2.j.a.b(this.v[i2] != z);
        this.v[i2] = z;
        int i4 = this.p;
        if (!z) {
            i3 = -1;
        }
        this.p = i4 + i3;
    }

    private static com.google.android.exoplayer2.j a(com.google.android.exoplayer2.j jVar, com.google.android.exoplayer2.j jVar2) {
        String str;
        if (jVar == null) {
            return jVar2;
        }
        int g2 = com.google.android.exoplayer2.j.h.g(jVar2.f);
        if (g2 == 1) {
            str = a(jVar.c);
        } else if (g2 == 2) {
            str = b(jVar.c);
        } else {
            str = null;
        }
        return jVar2.a(jVar.a, str, jVar.b, jVar.j, jVar.k, jVar.x, jVar.y);
    }

    private boolean a(com.google.android.exoplayer2.source.a.c cVar) {
        return cVar instanceof f;
    }

    private boolean j() {
        return this.x != -9223372036854775807L;
    }

    private static String a(String str) {
        return a(str, 1);
    }

    private static String b(String str) {
        return a(str, 2);
    }

    private static String a(String str, int i2) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        String[] split = str.split("(\\s*,\\s*)|(\\s*$)");
        StringBuilder sb = new StringBuilder();
        for (String str2 : split) {
            if (i2 == com.google.android.exoplayer2.j.h.h(str2)) {
                if (sb.length() > 0) {
                    sb.append(",");
                }
                sb.append(str2);
            }
        }
        if (sb.length() > 0) {
            return sb.toString();
        }
        return null;
    }
}
