package com.google.android.exoplayer2.source.smoothstreaming;

import android.util.Base64;
import com.google.android.exoplayer2.d.d.k;
import com.google.android.exoplayer2.i.s;
import com.google.android.exoplayer2.source.a;
import com.google.android.exoplayer2.source.a.f;
import com.google.android.exoplayer2.source.g;
import com.google.android.exoplayer2.source.i;
import com.google.android.exoplayer2.source.j;
import com.google.android.exoplayer2.source.l;
import com.google.android.exoplayer2.source.m;
import com.google.android.exoplayer2.source.smoothstreaming.a.a;
import com.google.android.exoplayer2.source.smoothstreaming.b;
import java.io.IOException;
import java.util.ArrayList;

/* compiled from: SsMediaPeriod */
final class c implements g, j.a<f<b>> {
    private final b.a a;
    private final s b;
    private final int c;
    private final a.C0071a d;
    private final com.google.android.exoplayer2.i.b e;
    private final m f;
    private final k[] g;
    private g.a h;
    private com.google.android.exoplayer2.source.smoothstreaming.a.a i;
    private f<b>[] j;
    private com.google.android.exoplayer2.source.c k;

    public c(com.google.android.exoplayer2.source.smoothstreaming.a.a aVar, b.a aVar2, int i2, a.C0071a aVar3, s sVar, com.google.android.exoplayer2.i.b bVar) {
        this.a = aVar2;
        this.b = sVar;
        this.c = i2;
        this.d = aVar3;
        this.e = bVar;
        this.f = b(aVar);
        a.C0077a aVar4 = aVar.e;
        if (aVar4 != null) {
            this.g = new k[]{new k(true, 8, a(aVar4.b))};
        } else {
            this.g = null;
        }
        this.i = aVar;
        f<b>[] a2 = a(0);
        this.j = a2;
        this.k = new com.google.android.exoplayer2.source.c(a2);
    }

    public void a(com.google.android.exoplayer2.source.smoothstreaming.a.a aVar) {
        this.i = aVar;
        for (f<b> fVar : this.j) {
            fVar.c().a(aVar);
        }
        this.h.a((j) this);
    }

    public void b() {
        for (f<b> fVar : this.j) {
            fVar.e();
        }
    }

    @Override // com.google.android.exoplayer2.source.g
    public void a(g.a aVar) {
        this.h = aVar;
        aVar.a((g) this);
    }

    @Override // com.google.android.exoplayer2.source.g
    public void c() throws IOException {
        this.b.d();
    }

    @Override // com.google.android.exoplayer2.source.g
    public m d() {
        return this.f;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long a(com.google.android.exoplayer2.h.f[] fVarArr, boolean[] zArr, i[] iVarArr, boolean[] zArr2, long j2) {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < fVarArr.length; i2++) {
            if (iVarArr[i2] != null) {
                f fVar = (f) iVarArr[i2];
                if (fVarArr[i2] == null || !zArr[i2]) {
                    fVar.e();
                    iVarArr[i2] = null;
                } else {
                    arrayList.add(fVar);
                }
            }
            if (iVarArr[i2] == null && fVarArr[i2] != null) {
                f<b> a2 = a(fVarArr[i2], j2);
                arrayList.add(a2);
                iVarArr[i2] = a2;
                zArr2[i2] = true;
            }
        }
        f<b>[] a3 = a(arrayList.size());
        this.j = a3;
        arrayList.toArray(a3);
        this.k = new com.google.android.exoplayer2.source.c(this.j);
        return j2;
    }

    @Override // com.google.android.exoplayer2.source.g
    public void b(long j2) {
    }

    @Override // com.google.android.exoplayer2.source.g, com.google.android.exoplayer2.source.j
    public boolean a(long j2) {
        return this.k.a(j2);
    }

    @Override // com.google.android.exoplayer2.source.g, com.google.android.exoplayer2.source.j
    public long a_() {
        return this.k.a_();
    }

    @Override // com.google.android.exoplayer2.source.g
    public long e() {
        return -9223372036854775807L;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long f() {
        long j2 = Long.MAX_VALUE;
        for (f<b> fVar : this.j) {
            long d2 = fVar.d();
            if (d2 != Long.MIN_VALUE) {
                j2 = Math.min(j2, d2);
            }
        }
        if (j2 == Long.MAX_VALUE) {
            return Long.MIN_VALUE;
        }
        return j2;
    }

    @Override // com.google.android.exoplayer2.source.g
    public long c(long j2) {
        for (f<b> fVar : this.j) {
            fVar.c(j2);
        }
        return j2;
    }

    public void a(f<b> fVar) {
        this.h.a((j) this);
    }

    private f<b> a(com.google.android.exoplayer2.h.f fVar, long j2) {
        int a2 = this.f.a(fVar.d());
        return new f<>(this.i.f[a2].a, null, this.a.a(this.b, this.i, a2, fVar, this.g), this, this.e, j2, this.c, this.d);
    }

    private static m b(com.google.android.exoplayer2.source.smoothstreaming.a.a aVar) {
        l[] lVarArr = new l[aVar.f.length];
        for (int i2 = 0; i2 < aVar.f.length; i2++) {
            lVarArr[i2] = new l(aVar.f[i2].j);
        }
        return new m(lVarArr);
    }

    private static f<b>[] a(int i2) {
        return new f[i2];
    }

    private static byte[] a(byte[] bArr) {
        StringBuilder sb = new StringBuilder();
        for (int i2 = 0; i2 < bArr.length; i2 += 2) {
            sb.append((char) bArr[i2]);
        }
        String sb2 = sb.toString();
        byte[] decode = Base64.decode(sb2.substring(sb2.indexOf("<KID>") + 5, sb2.indexOf("</KID>")), 0);
        a(decode, 0, 3);
        a(decode, 1, 2);
        a(decode, 4, 5);
        a(decode, 6, 7);
        return decode;
    }

    private static void a(byte[] bArr, int i2, int i3) {
        byte b2 = bArr[i2];
        bArr[i2] = bArr[i3];
        bArr[i3] = b2;
    }
}
