package com.heytap.mcssdk.utils;

import android.util.Base64;
import java.nio.charset.Charset;
import java.security.Key;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;

public abstract class DESUtil {
    private static Key getDesKey(String keyStr) throws Exception {
        return SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(Base64.decode(keyStr, 0)));
    }

    public static String decrypt(String data, String key) throws Exception {
        Cipher cipher = Cipher.getInstance("DES");
        cipher.init(2, getDesKey(key));
        return new String(cipher.doFinal(Base64.decode(data, 0)), Charset.defaultCharset()).trim();
    }
}
