package com.igexin.push.core;

import android.app.Activity;
import android.app.Service;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.text.TextUtils;
import android.util.Pair;
import com.getui.gtc.base.GtcProvider;
import com.igexin.a.b;
import com.igexin.push.config.SDKUrlConfig;
import com.igexin.push.core.d.d;
import com.igexin.push.f.c;
import com.igexin.push.f.g;
import com.igexin.push.f.h;
import com.igexin.push.f.j;
import com.igexin.push.f.m;
import com.igexin.push.f.o;
import com.igexin.sdk.GTIntentService;
import com.igexin.sdk.IPushCore;
import com.igexin.sdk.PushConsts;
import com.igexin.sdk.PushService;
import com.igexin.sdk.main.PushCoreLoader;
import com.taobao.weex.bridge.WXBridgeManager;
import com.tencent.connect.common.Constants;
import java.util.concurrent.atomic.AtomicBoolean;
import org.json.JSONObject;

public class ServiceManager {
    public static Context b = null;
    private static final String c = "ServiceManager";
    public IPushCore a;
    private final AtomicBoolean d;
    private String e;
    private Class f;
    private Class g;
    private final ServiceConnection h;
    public Pair<Integer, String> initType;

    /* access modifiers changed from: package-private */
    public static class a {
        private static final ServiceManager a = new ServiceManager((byte) 0);

        private a() {
        }
    }

    private ServiceManager() {
        this.d = new AtomicBoolean(false);
        this.h = new ServiceConnection() {
            /* class com.igexin.push.core.ServiceManager.AnonymousClass6 */

            public final void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            }

            public final void onServiceDisconnected(ComponentName componentName) {
            }
        };
    }

    /* synthetic */ ServiceManager(byte b2) {
        this();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int a(Intent intent, int i, int i2) {
        if (this.a == null) {
            return 2;
        }
        com.igexin.c.a.c.a.a("ServiceManager|inInit = true, call onServiceStartCommand...", new Object[0]);
        return this.a.onServiceStartCommand(intent, i, i2);
    }

    public static void a() {
        com.igexin.c.a.c.a.a("ServiceManager|onLowMemory...", new Object[0]);
    }

    private void a(final Service service) {
        com.igexin.c.a.c.a.a("ServiceManager|startGTCore ++++", new Object[0]);
        if (g.a()) {
            PushCoreLoader.getInstance().init(service);
            this.a = PushCoreLoader.getInstance().getPushCore();
            if (PushCoreLoader.getInstance().getGtcCore() != null) {
                PushCoreLoader.getInstance().getGtcCore().start(service);
            }
            IPushCore iPushCore = this.a;
            if (iPushCore != null) {
                iPushCore.start(service);
                return;
            }
            return;
        }
        com.igexin.b.a.a().a.execute(new Runnable(service, new h.a() {
            /* class com.igexin.push.core.ServiceManager.AnonymousClass2 */

            @Override // com.igexin.push.f.h.a
            public final void a(boolean z) {
                com.igexin.c.a.c.a.a(ServiceManager.c, "load encrypt error, report bi result = " + z + " ###########");
                com.igexin.c.a.c.a.a("ServiceManager|load encrypt error, report bi result = " + z + " ###########", new Object[0]);
                service.stopSelf();
            }
        }) {
            /* class com.igexin.push.f.h.AnonymousClass1 */

            public final void run() {
                boolean z = false;
                try {
                    if (h.a()) {
                        d.a().a("s", Long.valueOf(System.currentTimeMillis()));
                        JSONObject jSONObject = new JSONObject();
                        jSONObject.put("action", "upload_BI");
                        jSONObject.put("BIType", Constants.VIA_REPORT_TYPE_CHAT_AUDIO);
                        jSONObject.put("cid", "0");
                        jSONObject.put("BIData", new String(com.igexin.c.a.b.g.c(h.a(r3).getBytes()), "UTF-8"));
                        byte[] a2 = r.a(SDKUrlConfig.getBiUploadServiceUrl(), com.igexin.c.b.a.b(jSONObject.toString().getBytes()));
                        if (a2 != null) {
                            new String(a2);
                        }
                        z = true;
                    }
                } catch (Throwable th) {
                    com.igexin.c.a.c.a.a(th);
                    com.igexin.c.a.c.a.a("ErrorReport|report 25 ex = " + th.toString(), new Object[0]);
                }
                a aVar = r2;
                if (aVar != null) {
                    aVar.a(z);
                }
            }
        });
    }

    public static void a(Context context) {
        b = context.getApplicationContext();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int b(Service service) {
        com.igexin.c.a.c.a.a("ServiceManager|start by system ####", new Object[0]);
        if (f(service)) {
            com.igexin.c.a.c.a.a("ServiceManager|intent = null", new Object[0]);
            if (!this.d.getAndSet(true)) {
                a(service);
            }
            return 2;
        }
        service.stopSelf();
        return 2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int b(Service service, Intent intent, int i, int i2) {
        com.igexin.c.a.c.a.a("ServiceManager|start from initialize...", new Object[0]);
        com.igexin.c.a.c.a.d.a().a("[ServiceManager] ServiceManager start from initialize...");
        a(service);
        IPushCore iPushCore = this.a;
        if (iPushCore != null) {
            return iPushCore.onServiceStartCommand(intent, i, i2);
        }
        return 2;
    }

    private void b() {
        com.igexin.c.a.c.a.a("ServiceManager|onDestroy...", new Object[0]);
        IPushCore iPushCore = this.a;
        if (iPushCore != null) {
            iPushCore.onServiceDestroy();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int c(Service service, Intent intent, int i, int i2) {
        com.igexin.c.a.c.a.a("ServiceManager|start from guard...", new Object[0]);
        if (f(service)) {
            a(service);
            IPushCore iPushCore = this.a;
            if (iPushCore != null) {
                return iPushCore.onServiceStartCommand(intent, i, i2);
            }
            return 2;
        }
        this.d.set(false);
        service.stopSelf();
        return 2;
    }

    private boolean c(final Context context, final Intent intent) {
        com.igexin.b.a.a().a("pushservice").execute(new Runnable() {
            /* class com.igexin.push.core.ServiceManager.AnonymousClass5 */

            private void a() {
                try {
                    com.igexin.c.a.c.a.a("ServiceManager|startPService by bind", new Object[0]);
                    Intent intent = intent;
                    intent.setType("PB-" + System.nanoTime());
                    intent.setClass(context, ServiceManager.this.b(context));
                    context.getApplicationContext().bindService(intent, ServiceManager.this.h, 1);
                } catch (Throwable th) {
                    com.igexin.c.a.c.a.b(ServiceManager.c, "startPService exception = " + th.toString());
                    com.igexin.c.a.c.a.a(th);
                }
            }

            public final void run() {
                try {
                    if (Build.VERSION.SDK_INT < 26 || !c.g()) {
                        context.getApplicationContext().startService(intent);
                    } else {
                        a();
                    }
                } catch (Throwable th) {
                    com.igexin.c.a.c.a.b(ServiceManager.c, "startPService exception = " + th.toString());
                    com.igexin.c.a.c.a.a(th);
                    if (th instanceof IllegalStateException) {
                        a();
                    }
                }
            }
        });
        return true;
    }

    public static String d(Context context) {
        return (String) o.b(context, "ua", "");
    }

    public static String e(Context context) {
        return (String) o.b(context, o.a, "");
    }

    private static boolean f(Context context) {
        return !j.a(context);
    }

    public static ServiceManager getInstance() {
        return a.a;
    }

    public final int a(final Service service, final Intent intent, final int i, final int i2) {
        final Context applicationContext = service.getApplicationContext();
        com.igexin.b.a.a().a("pushservice").execute(new Runnable() {
            /* class com.igexin.push.core.ServiceManager.AnonymousClass1 */

            /* JADX WARNING: Removed duplicated region for block: B:23:0x009f  */
            /* JADX WARNING: Removed duplicated region for block: B:33:0x00c8  */
            /* JADX WARNING: Removed duplicated region for block: B:43:0x00f7  */
            /* JADX WARNING: Removed duplicated region for block: B:48:0x0114  */
            /* JADX WARNING: Removed duplicated region for block: B:55:0x0139  */
            /* JADX WARNING: Removed duplicated region for block: B:59:0x0170  */
            /* JADX WARNING: Removed duplicated region for block: B:62:0x0197  */
            /* JADX WARNING: Removed duplicated region for block: B:64:0x01a3  */
            public final void run() {
                Bundle extras;
                ServiceManager serviceManager;
                Service service;
                Intent intent;
                int i;
                int i2;
                String str;
                Throwable th;
                try {
                    com.igexin.c.a.c.a.a(ServiceManager.c, "| PushService startCommand... time = " + System.currentTimeMillis() + " intent = " + intent);
                    if (intent == null) {
                        ServiceManager.this.initType = Pair.create(0, null);
                        ServiceManager.this.b((ServiceManager) service);
                        return;
                    }
                    Context context = applicationContext;
                    Intent intent2 = intent;
                    try {
                        String str2 = (String) o.b(context, o.a, "");
                        if (!TextUtils.isEmpty(str2)) {
                            try {
                                if (m.a(Class.forName(str2), PushService.class, 5)) {
                                    try {
                                        o.a(context, o.a, "");
                                        str2 = "";
                                    } catch (Throwable th2) {
                                        th = th2;
                                        str = "";
                                        com.igexin.c.a.c.a.a("SpUtils", th.toString());
                                        com.igexin.c.a.c.a.a("SpUtils|" + th.toString(), new Object[0]);
                                        str2 = str;
                                        if (intent2.hasExtra(o.a)) {
                                        }
                                        if (intent2.hasExtra(o.b)) {
                                        }
                                        if (intent2.hasExtra(o.c)) {
                                        }
                                        if (intent2.hasExtra("ua")) {
                                        }
                                        extras = intent.getExtras();
                                        if (extras != null) {
                                        }
                                        String stringExtra = intent.getStringExtra("action");
                                        Boolean valueOf = Boolean.valueOf(intent.getBooleanExtra("isGuard", false));
                                        if (ServiceManager.this.d.getAndSet(true)) {
                                        }
                                    }
                                }
                            } catch (Throwable th3) {
                                str = str2;
                                th = th3;
                                com.igexin.c.a.c.a.a("SpUtils", th.toString());
                                com.igexin.c.a.c.a.a("SpUtils|" + th.toString(), new Object[0]);
                                str2 = str;
                                if (intent2.hasExtra(o.a)) {
                                }
                                if (intent2.hasExtra(o.b)) {
                                }
                                if (intent2.hasExtra(o.c)) {
                                }
                                if (intent2.hasExtra("ua")) {
                                }
                                extras = intent.getExtras();
                                if (extras != null) {
                                }
                                String stringExtra2 = intent.getStringExtra("action");
                                Boolean valueOf2 = Boolean.valueOf(intent.getBooleanExtra("isGuard", false));
                                if (ServiceManager.this.d.getAndSet(true)) {
                                }
                            }
                        }
                        if (intent2.hasExtra(o.a)) {
                            String b2 = com.igexin.c.b.a.b(intent2.getStringExtra(o.a), "");
                            if (!str2.equals(b2)) {
                                if (!b.am.equals(b2)) {
                                    o.a(context, o.a, b2);
                                } else if (!TextUtils.isEmpty(str2)) {
                                    o.a(context, o.a, "");
                                }
                            }
                        }
                        if (intent2.hasExtra(o.b)) {
                            String b3 = com.igexin.c.b.a.b(intent2.getStringExtra(o.b), "");
                            String str3 = (String) o.b(context, o.b, "");
                            if (!str3.equals(b3)) {
                                if (!b.am.equals(b3)) {
                                    o.a(context, o.b, b3);
                                } else if (!TextUtils.isEmpty(str3)) {
                                    o.a(context, o.b, "");
                                }
                            }
                        }
                        if (intent2.hasExtra(o.c)) {
                            String b4 = com.igexin.c.b.a.b(intent2.getStringExtra(o.c), "");
                            if (!((String) o.b(context, o.c, "")).equals(b4)) {
                                o.a(context, o.c, b4);
                            }
                        }
                        if (intent2.hasExtra("ua")) {
                            ServiceManager.getInstance();
                            String d2 = ServiceManager.d(context);
                            String b5 = com.igexin.c.b.a.b(intent2.getStringExtra("ua"), "");
                            if (!d2.equals(b5)) {
                                o.a(context, "ua", b5);
                            }
                        }
                    } catch (Throwable th4) {
                        com.igexin.c.a.c.a.a(th4);
                    }
                    extras = intent.getExtras();
                    if (extras != null) {
                        for (String str4 : extras.keySet()) {
                            extras.get(str4);
                            com.igexin.c.a.c.a.a("ServiceManager|key [" + str4 + "]: " + extras.get(str4), new Object[0]);
                        }
                    } else {
                        com.igexin.c.a.c.a.a("ServiceManager|no extras", new Object[0]);
                    }
                    String stringExtra22 = intent.getStringExtra("action");
                    Boolean valueOf22 = Boolean.valueOf(intent.getBooleanExtra("isGuard", false));
                    if (ServiceManager.this.d.getAndSet(true)) {
                        ServiceManager.this.a(intent, i, i2);
                    } else if (valueOf22.booleanValue()) {
                        ServiceManager.this.initType = Pair.create(1, intent.getStringExtra(b.az));
                        ServiceManager.this.c(service, intent, i, i2);
                        o.a(applicationContext, "it", ServiceManager.this.initType.first);
                    } else {
                        ServiceManager.this.initType = Pair.create(0, null);
                        if (!j.a(applicationContext)) {
                            serviceManager = ServiceManager.this;
                            service = service;
                            intent = intent;
                            i = i;
                            i2 = i2;
                        } else if (PushConsts.ACTION_SERVICE_INITIALIZE.equals(stringExtra22)) {
                            serviceManager = ServiceManager.this;
                            service = service;
                            intent = intent;
                            i = i;
                            i2 = i2;
                        } else {
                            ServiceManager.this.d.set(false);
                            service.stopSelf();
                            return;
                        }
                        serviceManager.b(service, intent, i, i2);
                        o.a(applicationContext, "it", ServiceManager.this.initType.first);
                    }
                } catch (Throwable th5) {
                    com.igexin.c.a.c.a.a(th5);
                }
            }
        });
        return 2;
    }

    public final IBinder a(Service service, Intent intent) {
        com.igexin.c.a.c.a.a("ServiceManager|onBind...", new Object[0]);
        a(service, intent, 0, 0);
        IPushCore iPushCore = this.a;
        if (iPushCore != null) {
            return iPushCore.onServiceBind(intent);
        }
        return null;
    }

    public final void a(final Activity activity) {
        try {
            Context applicationContext = activity.getApplicationContext();
            b = applicationContext;
            GtcProvider.setContext(applicationContext);
            final Intent intent = activity.getIntent();
            com.igexin.b.a.a().a.execute(new Runnable() {
                /* class com.igexin.push.core.ServiceManager.AnonymousClass3 */

                public final void run() {
                    try {
                        if (!j.a(ServiceManager.b)) {
                            if (!(intent == null || intent.getExtras() == null)) {
                                try {
                                    Bundle extras = intent.getExtras();
                                    IBinder binder = extras.getBinder(WXBridgeManager.METHOD_CALLBACK);
                                    if (binder != null) {
                                        new b(binder).a(new Bundle());
                                        extras.remove(WXBridgeManager.METHOD_CALLBACK);
                                    }
                                } catch (Throwable th) {
                                    com.igexin.c.a.c.a.a(th);
                                }
                            }
                            Activity activity = activity;
                            com.igexin.push.core.a.b.d();
                            Intent intent = new Intent(activity, com.igexin.push.core.a.b.a((Context) activity));
                            if (intent != null && intent.hasExtra("action") && intent.hasExtra("isSlave")) {
                                intent.putExtra("action", intent.getStringExtra("action"));
                                intent.putExtra("isSlave", intent.getBooleanExtra("isSlave", false));
                                if (intent.hasExtra("op_app")) {
                                    intent.putExtra("op_app", intent.getStringExtra("op_app"));
                                }
                            }
                            if (intent != null && intent.hasExtra(b.az)) {
                                intent.putExtra(b.az, intent.getStringExtra(b.az));
                            }
                            intent.putExtra("isGuard", true);
                            ServiceManager.this.b(activity, intent);
                            com.igexin.c.a.c.a.a("ServiceManager|start PushService from da", new Object[0]);
                        }
                    } catch (Throwable th2) {
                        activity.finish();
                        throw th2;
                    }
                    activity.finish();
                }
            });
        } catch (Throwable th) {
            activity.finish();
            com.igexin.c.a.c.a.a(th);
        }
    }

    public final void a(final Context context, final Intent intent) {
        try {
            Context applicationContext = context.getApplicationContext();
            b = applicationContext;
            GtcProvider.setContext(applicationContext);
            com.igexin.b.a.a().a.execute(new Runnable() {
                /* class com.igexin.push.core.ServiceManager.AnonymousClass4 */

                public final void run() {
                    if (!j.a(ServiceManager.b)) {
                        Intent intent = intent;
                        if (!(intent == null || intent.getExtras() == null)) {
                            try {
                                Bundle extras = intent.getExtras();
                                IBinder binder = extras.getBinder(WXBridgeManager.METHOD_CALLBACK);
                                if (binder != null) {
                                    new b(binder).a(new Bundle());
                                    extras.remove(WXBridgeManager.METHOD_CALLBACK);
                                }
                            } catch (Throwable th) {
                                com.igexin.c.a.c.a.a(th);
                            }
                        }
                        Context context = context;
                        com.igexin.push.core.a.b.d();
                        Intent intent2 = new Intent(context, com.igexin.push.core.a.b.a(context));
                        Intent intent3 = intent;
                        if (intent3 != null && intent3.hasExtra("action") && intent.hasExtra("isSlave")) {
                            intent2.putExtra("action", intent.getStringExtra("action"));
                            intent2.putExtra("isSlave", intent.getBooleanExtra("isSlave", false));
                            if (intent.hasExtra("op_app")) {
                                intent2.putExtra("op_app", intent.getStringExtra("op_app"));
                            }
                        }
                        Intent intent4 = intent;
                        if (intent4 != null && intent4.hasExtra(b.az)) {
                            intent2.putExtra(b.az, intent.getStringExtra(b.az));
                        }
                        intent2.putExtra("isGuard", true);
                        ServiceManager.this.b(context, intent2);
                        com.igexin.c.a.c.a.a("ServiceManager|start PushService from da", new Object[0]);
                    }
                }
            });
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
        }
    }

    public final Class b(Context context) {
        ComponentName componentName;
        try {
            if (this.g == null) {
                Class cls = (Class) com.igexin.push.f.d.a(context, PushService.class).second;
                this.g = cls;
                if (cls == null) {
                    String str = (String) o.b(context, o.b, "");
                    if (!TextUtils.isEmpty(str)) {
                        this.g = Class.forName(str);
                    }
                }
                if (this.g == null) {
                    this.g = PushService.class;
                }
            }
            componentName = new ComponentName(context, this.g);
        } catch (Throwable th) {
            context.getPackageManager().setComponentEnabledSetting(new ComponentName(context, this.g), 1, 1);
            throw th;
        }
        context.getPackageManager().setComponentEnabledSetting(componentName, 1, 1);
        return this.g;
    }

    public final boolean b(Context context, Intent intent) {
        return c(context.getApplicationContext(), intent);
    }

    public final Class c(Context context) {
        Class cls = this.f;
        if (cls != null) {
            return cls;
        }
        Class cls2 = (Class) com.igexin.push.f.d.a(context, GTIntentService.class).second;
        this.f = cls2;
        if (cls2 != null) {
            return cls2;
        }
        try {
            String str = (String) o.b(context, o.c, "");
            if (!TextUtils.isEmpty(str)) {
                Class<?> cls3 = Class.forName(str);
                this.f = cls3;
                return cls3;
            }
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
        }
        return this.f;
    }
}
