package com.igexin.push.core.a.c;

import android.content.Intent;
import android.text.TextUtils;
import com.autonavi.amap.mapcore.AMapEngineUtils;
import com.igexin.c.a.c.a;
import com.igexin.push.config.c;
import com.igexin.push.core.a.b;
import com.igexin.push.core.b.p;
import com.igexin.push.core.e;
import com.igexin.push.extension.mod.BaseActionBean;
import com.igexin.push.extension.mod.PushMessageInterface;
import com.igexin.push.extension.mod.PushTaskBean;
import com.igexin.push.f.d;
import org.json.JSONObject;

public final class j implements PushMessageInterface {
    private static final String a = c.a;

    @Override // com.igexin.push.extension.mod.PushMessageInterface
    public final boolean executeAction(PushTaskBean pushTaskBean, BaseActionBean baseActionBean) {
        String id;
        String messageId;
        String str;
        p pVar = (p) baseActionBean;
        try {
            Intent a2 = d.a(pVar.b);
            a2.setPackage(e.l.getPackageName());
            a2.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
            if (com.igexin.push.f.c.b(a2, e.l)) {
                e.l.startActivity(a2);
                b.d();
                id = pushTaskBean.getTaskId();
                messageId = pushTaskBean.getMessageId();
                str = pVar.getDoActionId();
            } else {
                a.a(a, "execute failed, activity not exist");
                a.a(a + "|execute failed, activity not exist", new Object[0]);
                b.d();
                id = pushTaskBean.getId();
                messageId = pushTaskBean.getMessageId();
                str = pVar.a;
            }
            b.a(id, messageId, str);
            return true;
        } catch (Throwable th) {
            a.a(th);
            b.d();
            b.a(pushTaskBean.getId(), pushTaskBean.getMessageId(), pVar.a);
            return true;
        }
    }

    @Override // com.igexin.push.extension.mod.PushMessageInterface
    public final BaseActionBean parseAction(JSONObject jSONObject) {
        try {
            if (!jSONObject.has("do") || !jSONObject.has("actionid") || !jSONObject.has("type") || !jSONObject.has("uri") || !jSONObject.has("do_failed")) {
                return null;
            }
            String optString = jSONObject.optString("uri");
            if (TextUtils.isEmpty(optString)) {
                return null;
            }
            p pVar = new p();
            pVar.setType(com.igexin.push.core.b.p);
            pVar.setActionId(jSONObject.getString("actionid"));
            pVar.setDoActionId(jSONObject.getString("do"));
            pVar.b = optString;
            pVar.a = jSONObject.optString("do_failed");
            return pVar;
        } catch (Exception e) {
            a.a(e);
            return null;
        }
    }

    @Override // com.igexin.push.extension.mod.PushMessageInterface
    public final PushMessageInterface.ActionPrepareState prepareExecuteAction(PushTaskBean pushTaskBean, BaseActionBean baseActionBean) {
        p pVar = (p) baseActionBean;
        try {
            Intent a2 = d.a(pVar.b);
            a2.setPackage(e.l.getPackageName());
            a2.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
            if (com.igexin.push.f.c.b(a2, e.l)) {
                return PushMessageInterface.ActionPrepareState.success;
            }
            a.a(a, "execute failed, activity not exist");
            a.a(a + "|execute failed, activity not exist", new Object[0]);
            b.d();
            b.a(pushTaskBean.getId(), pushTaskBean.getMessageId(), pVar.a);
            return PushMessageInterface.ActionPrepareState.stop;
        } catch (Throwable th) {
            a.a(th);
            b.d();
            b.a(pushTaskBean.getId(), pushTaskBean.getMessageId(), pVar.a);
            return PushMessageInterface.ActionPrepareState.stop;
        }
    }
}
