package com.igexin.push.e;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.location.Location;
import android.os.Build;
import android.os.IBinder;
import android.os.Process;
import android.os.SystemClock;
import android.util.ArrayMap;
import android.util.Base64;
import android.util.Pair;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import com.getui.gtc.base.crypt.SecureCryptTools;
import com.getui.gtc.base.http.Call;
import com.getui.gtc.base.http.Response;
import com.getui.gtc.base.util.CommonUtil;
import com.getui.gtc.base.util.io.IOUtils;
import com.igexin.push.config.SDKUrlConfig;
import com.igexin.push.config.c;
import com.igexin.push.config.d;
import com.igexin.push.core.ServiceManager;
import com.igexin.push.core.b;
import com.igexin.push.core.b.s;
import com.igexin.push.core.e;
import com.igexin.push.f.n;
import com.igexin.push.f.o;
import com.igexin.push.f.q;
import com.igexin.sdk.router.TransferGtcProcess;
import com.meizu.cloud.pushsdk.constants.PushConstants;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.Serializable;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;
import org.json.JSONObject;

public final class h {
    public static final String a = "com.igexin.sdk.GActivity";
    public static final String b = "com.sdk.plus.EnhActivity";
    public static final int c = 1;
    public static final int d = 0;
    static final AtomicReference<ScheduledFuture<?>> e = new AtomicReference<>();
    private static final String f = "Type145Task";

    /* access modifiers changed from: package-private */
    public static class a {
        private static final h a = new h();

        private a() {
        }
    }

    private static Bitmap a(Bitmap bitmap) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        bitmap.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream);
        int length = byteArrayOutputStream.toByteArray().length / 1024;
        if (length <= 200) {
            return bitmap;
        }
        double d2 = (double) (length / 200);
        Double valueOf = Double.valueOf(((double) bitmap.getWidth()) / Math.sqrt(d2));
        Double valueOf2 = Double.valueOf(((double) bitmap.getHeight()) / Math.sqrt(d2));
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        Matrix matrix = new Matrix();
        matrix.postScale((float) (valueOf.doubleValue() / ((double) ((float) width))), (float) (valueOf2.doubleValue() / ((double) ((float) height))));
        return Bitmap.createBitmap(bitmap, 0, 0, width, height, matrix, true);
    }

    private static Bitmap a(Bitmap bitmap, Double d2, Double d3) {
        int width = bitmap.getWidth();
        int height = bitmap.getHeight();
        Matrix matrix = new Matrix();
        matrix.postScale((float) (d2.doubleValue() / ((double) ((float) width))), (float) (d3.doubleValue() / ((double) ((float) height))));
        return Bitmap.createBitmap(bitmap, 0, 0, width, height, matrix, true);
    }

    public static h a() {
        return a.a;
    }

    private static String a(Context context) {
        return (String) o.b(context, "ua", "");
    }

    static /* synthetic */ String a(Context context, Intent intent, s sVar) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.getDefault()).format(new Date()));
        stringBuffer.append("|");
        stringBuffer.append(sVar.a);
        stringBuffer.append("|");
        stringBuffer.append(sVar.b);
        stringBuffer.append("|");
        stringBuffer.append(sVar.c);
        stringBuffer.append("|");
        stringBuffer.append(2);
        stringBuffer.append("|");
        stringBuffer.append(sVar.g);
        stringBuffer.append("|");
        stringBuffer.append(1);
        stringBuffer.append("|");
        stringBuffer.append(1);
        stringBuffer.append("|");
        stringBuffer.append(sVar.d);
        stringBuffer.append("|");
        stringBuffer.append(sVar.l);
        stringBuffer.append("|");
        stringBuffer.append(1 ^ (sVar.f ? 1 : 0));
        stringBuffer.append("|");
        stringBuffer.append(sVar.e ? 1 : 0);
        stringBuffer.append("|");
        stringBuffer.append(sVar.h ? 1 : 0);
        stringBuffer.append("|");
        stringBuffer.append(sVar.i);
        stringBuffer.append("|");
        String str = "";
        stringBuffer.append(intent.getBooleanExtra("type145PicEnable", d.ab) ? sVar.k : str);
        stringBuffer.append("|");
        stringBuffer.append("|");
        stringBuffer.append(sVar.j);
        stringBuffer.append("|");
        stringBuffer.append(intent.getBooleanExtra("type145IpEnable", d.ac) ? q.a(context) : str);
        stringBuffer.append("|");
        stringBuffer.append(intent.getBooleanExtra("type145GpsLocationEnable", d.ad) ? a(n.s()) : str);
        stringBuffer.append("|");
        stringBuffer.append(intent.getBooleanExtra("type145NetLocEnable", d.ae) ? a(n.t()) : str);
        stringBuffer.append("|");
        if (intent.getBooleanExtra("type145CellInfoEnable", d.af)) {
            com.igexin.push.core.b.d b2 = q.b(context);
            str = b2.a + "," + b2.b + "," + b2.c + "," + b2.d;
        }
        stringBuffer.append(str);
        return stringBuffer.toString();
    }

    private static String a(Location location) {
        StringBuilder sb = new StringBuilder();
        if (location == null) {
            sb.append("none");
            sb.append(",");
            sb.append("0");
            sb.append(",");
            sb.append("0");
            sb.append(",");
            sb.append("0");
        } else {
            sb.append(location.getProvider());
            sb.append(",");
            sb.append(location.getLongitude());
            sb.append(",");
            sb.append(location.getLatitude());
            sb.append(",");
            sb.append(location.getAltitude());
        }
        return sb.toString();
    }

    private static String a(com.igexin.push.core.b.d dVar) {
        return dVar.a + "," + dVar.b + "," + dVar.c + "," + dVar.d;
    }

    static /* synthetic */ void a(int i) {
        String str = i == 1 ? com.igexin.push.core.d.d.f : com.igexin.push.core.d.d.g;
        com.igexin.push.core.d.d a2 = com.igexin.push.core.d.d.a();
        a2.a(
        /*  JADX ERROR: Method code generation error
            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001c: INVOKE  
              (r0v1 'a2' com.igexin.push.core.d.d)
              (wrap: com.igexin.push.core.g.a<java.io.RandomAccessFile> : 0x0018: INVOKE  (r2v3 com.igexin.push.core.g.a<java.io.RandomAccessFile>) = 
              (wrap: com.igexin.push.core.d.d$4 : 0x0010: CONSTRUCTOR  (r1v0 com.igexin.push.core.d.d$4) = (r0v1 'a2' com.igexin.push.core.d.d), (r2v1 'str' java.lang.String) call: com.igexin.push.core.d.d.4.<init>(com.igexin.push.core.d.d, java.lang.String):void type: CONSTRUCTOR)
              (wrap: com.igexin.push.core.g.a : ?: CAST (com.igexin.push.core.g.a) (wrap: com.igexin.push.core.d.d$3 : 0x0015: CONSTRUCTOR  (r2v2 com.igexin.push.core.d.d$3) = (r0v1 'a2' com.igexin.push.core.d.d) call: com.igexin.push.core.d.d.3.<init>(com.igexin.push.core.d.d):void type: CONSTRUCTOR))
             type: VIRTUAL call: com.igexin.push.core.d.d.4.a(com.igexin.push.core.g.a):com.igexin.push.core.g.a)
             type: VIRTUAL call: com.igexin.push.core.d.d.a(com.igexin.push.core.g.a):void in method: com.igexin.push.e.h.a(int):void, file: classes3.dex
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:184)
            	at java.util.ArrayList.forEach(ArrayList.java:1259)
            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:390)
            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0018: INVOKE  (r2v3 com.igexin.push.core.g.a<java.io.RandomAccessFile>) = 
              (wrap: com.igexin.push.core.d.d$4 : 0x0010: CONSTRUCTOR  (r1v0 com.igexin.push.core.d.d$4) = (r0v1 'a2' com.igexin.push.core.d.d), (r2v1 'str' java.lang.String) call: com.igexin.push.core.d.d.4.<init>(com.igexin.push.core.d.d, java.lang.String):void type: CONSTRUCTOR)
              (wrap: com.igexin.push.core.g.a : ?: CAST (com.igexin.push.core.g.a) (wrap: com.igexin.push.core.d.d$3 : 0x0015: CONSTRUCTOR  (r2v2 com.igexin.push.core.d.d$3) = (r0v1 'a2' com.igexin.push.core.d.d) call: com.igexin.push.core.d.d.3.<init>(com.igexin.push.core.d.d):void type: CONSTRUCTOR))
             type: VIRTUAL call: com.igexin.push.core.d.d.4.a(com.igexin.push.core.g.a):com.igexin.push.core.g.a in method: com.igexin.push.e.h.a(int):void, file: classes3.dex
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
            	... 14 more
            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0010: CONSTRUCTOR  (r1v0 com.igexin.push.core.d.d$4) = (r0v1 'a2' com.igexin.push.core.d.d), (r2v1 'str' java.lang.String) call: com.igexin.push.core.d.d.4.<init>(com.igexin.push.core.d.d, java.lang.String):void type: CONSTRUCTOR in method: com.igexin.push.e.h.a(int):void, file: classes3.dex
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
            	at jadx.core.codegen.InsnGen.addArgDot(InsnGen.java:87)
            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:715)
            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
            	... 20 more
            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.igexin.push.core.d.d, state: GENERATED_AND_UNLOADED
            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
            	... 26 more
            */
        /*
            r0 = 1
            if (r2 != r0) goto L_0x0007
            java.lang.String r2 = "t145gt"
            goto L_0x000a
        L_0x0007:
            java.lang.String r2 = "t145main"
        L_0x000a:
            com.igexin.push.core.d.d r0 = com.igexin.push.core.d.d.a()
            com.igexin.push.core.d.d$4 r1 = new com.igexin.push.core.d.d$4
            r1.<init>(r2)
            com.igexin.push.core.d.d$3 r2 = new com.igexin.push.core.d.d$3
            r2.<init>()
            com.igexin.push.core.g.a r2 = r1.a(r2)
            r0.a(r2)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.igexin.push.e.h.a(int):void");
    }

    private static void a(final int i, final String str, final String str2) {
        com.igexin.b.a.a().b().schedule(new Runnable() {
            /* class com.igexin.push.e.h.AnonymousClass3 */

            public final void run() {
                try {
                    StringBuilder sb = new StringBuilder();
                    ArrayList<String> a2 = com.igexin.push.core.d.d.a().a(i == 1 ? com.igexin.push.core.d.d.f : com.igexin.push.core.d.d.g, new ArrayList<>());
                    if (a2.isEmpty()) {
                        a2.size();
                        return;
                    }
                    for (int i = 0; i < a2.size(); i++) {
                        String str = new String(SecureCryptTools.getInstance().decrypt(Base64.decode(a2.get(i).getBytes(), 2)));
                        if (i < a2.size() - 1) {
                            sb.append(str);
                            sb.append("\n");
                        } else {
                            sb.append(str);
                        }
                    }
                    String sb2 = sb.toString();
                    com.igexin.c.a.c.a.b(h.f, " start145Data  content  = ".concat(String.valueOf(sb2)));
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("action", "upload_BI");
                    jSONObject.put("BIType", c.G);
                    jSONObject.put("cid", str2);
                    jSONObject.put("BIData", new String(IOUtils.encode(sb2.getBytes(), 0)));
                    byte[] bytes = jSONObject.toString().getBytes();
                    if (bytes != null && bytes.length > 0) {
                        h.a(str, bytes, i);
                    }
                } catch (Throwable th) {
                    com.igexin.c.a.c.a.a(th);
                }
            }
        }, 10000, TimeUnit.MILLISECONDS);
    }

    private static void a(final Context context, final int i, final Intent intent) {
        ServiceManager.b = context;
        final String stringExtra = intent.getStringExtra("biUploadUrl");
        final String stringExtra2 = intent.getStringExtra("cid");
        a(i, stringExtra, stringExtra2);
        if (Build.VERSION.SDK_INT >= 28) {
            com.igexin.c.a.c.a.b(f, "processName  = ".concat(String.valueOf(Application.getProcessName())));
        }
        final String stringExtra3 = intent.getStringExtra("appid");
        final String stringExtra4 = intent.getStringExtra("gtcid");
        long longExtra = intent.getLongExtra("type145IntervalMs", d.Z);
        final int intExtra = intent.getIntExtra("type145times", d.aa);
        boolean booleanExtra = intent.getBooleanExtra("type145Enable", d.Y);
        final boolean booleanExtra2 = intent.getBooleanExtra("type145PicEnable", d.ab);
        int intExtra2 = intent.getIntExtra("gtsdkGuardStart", 0);
        com.igexin.c.a.c.a.b(f, "type145IntervalMs  = " + longExtra + " , type145times  = " + intExtra);
        if (intExtra2 != 1) {
            com.igexin.c.a.c.a.b(f, "gtsdkGuardStart  = false");
        } else if (!booleanExtra) {
            com.igexin.c.a.c.a.b(f, "type145Enable  = false");
        } else {
            final long j = 0;
            if (Build.VERSION.SDK_INT >= 24) {
                j = SystemClock.elapsedRealtime() - Process.getStartElapsedRealtime();
            }
            final AtomicInteger atomicInteger = new AtomicInteger(0);
            e.set(com.igexin.b.a.a().b().scheduleAtFixedRate(new Runnable() {
                /* class com.igexin.push.e.h.AnonymousClass1 */

                public final void run() {
                    try {
                        if (atomicInteger.incrementAndGet() > intExtra) {
                            h.d();
                            return;
                        }
                        Pair<Activity, String> c2 = h.c();
                        Activity activity = (Activity) c2.first;
                        if (activity == null) {
                            com.igexin.c.a.c.a.b(h.f, " start145Data  return topActivity  = null");
                            return;
                        }
                        String className = activity.getComponentName().getClassName();
                        if (h.a.equals(className) || h.b.equals(className)) {
                            com.igexin.c.a.c.a.b(h.f, " start145Data  return topActivity  = ".concat(String.valueOf(className)));
                            return;
                        }
                        String c3 = booleanExtra2 ? h.c(activity) : "";
                        boolean z = ((ViewGroup) activity.findViewById(16908290)).getChildAt(0) != null;
                        boolean a2 = h.a(activity);
                        boolean z2 = context.getPackageManager().getActivityInfo(activity.getComponentName(), 0).theme == 16973840;
                        com.igexin.c.a.c.a.b(h.f, " packageData ");
                        if (a2 || !z2 || z) {
                            h.d();
                            s sVar = new s(stringExtra2, stringExtra3, stringExtra4, className, a2, z2, z, j, (String) c2.second, c3, i);
                            h.a(stringExtra, h.b(h.b(h.a(context, intent, sVar), i), sVar), i);
                        }
                    } catch (Throwable th) {
                        com.igexin.c.a.c.a.a(th);
                    }
                }
            }, 0, longExtra, TimeUnit.MILLISECONDS));
        }
    }

    public static void a(Context context, Intent intent) {
        try {
            if (CommonUtil.isMainProcess()) {
                a(context, 0, intent);
            } else {
                TransferGtcProcess.getInstance().transferGtcProcess(context, intent, TransferGtcProcess.TYPE145TASK_METHODNAME);
            }
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
        }
    }

    static /* synthetic */ void a(final String str, final byte[] bArr, final int i) {
        final AtomicInteger atomicInteger = new AtomicInteger(0);
        com.igexin.push.e.a.c.a(str, bArr, new Call.Callback() {
            /* class com.igexin.push.e.h.AnonymousClass2 */

            @Override // com.getui.gtc.base.http.Call.Callback
            public final void onFailure(Call call, Exception exc) {
                com.igexin.c.a.c.a.a(exc);
                if (!"network is not available".equals(exc.getMessage()) && r0.incrementAndGet() < 3) {
                    com.igexin.push.e.a.c.a(r2, r3, this);
                }
            }

            @Override // com.getui.gtc.base.http.Call.Callback
            public final void onResponse(Call call, Response response) {
                try {
                    int code = response.code();
                    JSONObject jSONObject = new JSONObject(response.body().string());
                    if (jSONObject.has("result")) {
                        String string = jSONObject.getString("result");
                        com.igexin.c.a.c.a.b(h.f, "upload 145 code = " + code + " result = " + string);
                        if (b.y.equals(string)) {
                            h.a(r4);
                        }
                    }
                } catch (Throwable th) {
                    com.igexin.c.a.c.a.a(th);
                }
            }
        });
    }

    public static boolean a(Activity activity) {
        View decorView = activity.getWindow().getDecorView();
        IBinder windowToken = decorView.getWindowToken();
        try {
            Class<?> cls = Class.forName("android.view.WindowManagerGlobal");
            Object invoke = cls.getDeclaredMethod("getInstance", new Class[0]).invoke(null, new Object[0]);
            Field declaredField = cls.getDeclaredField("mViews");
            declaredField.setAccessible(true);
            int indexOf = ((ArrayList) declaredField.get(invoke)).indexOf(decorView);
            if (indexOf < 0) {
                return false;
            }
            Field declaredField2 = cls.getDeclaredField("mParams");
            declaredField2.setAccessible(true);
            ArrayList arrayList = (ArrayList) declaredField2.get(invoke);
            IBinder iBinder = ((WindowManager.LayoutParams) arrayList.get(indexOf)).token;
            ArrayList arrayList2 = new ArrayList();
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                IBinder iBinder2 = ((WindowManager.LayoutParams) it.next()).token;
                if (iBinder2 == windowToken || iBinder2 == null || iBinder2 == iBinder) {
                    arrayList2.add(iBinder2);
                }
            }
            return arrayList2.size() > 1;
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
            return false;
        }
    }

    private static String b(Context context, Intent intent, s sVar) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.getDefault()).format(new Date()));
        stringBuffer.append("|");
        stringBuffer.append(sVar.a);
        stringBuffer.append("|");
        stringBuffer.append(sVar.b);
        stringBuffer.append("|");
        stringBuffer.append(sVar.c);
        stringBuffer.append("|");
        stringBuffer.append(2);
        stringBuffer.append("|");
        stringBuffer.append(sVar.g);
        stringBuffer.append("|");
        stringBuffer.append(1);
        stringBuffer.append("|");
        stringBuffer.append(1);
        stringBuffer.append("|");
        stringBuffer.append(sVar.d);
        stringBuffer.append("|");
        stringBuffer.append(sVar.l);
        stringBuffer.append("|");
        stringBuffer.append(1 ^ (sVar.f ? 1 : 0));
        stringBuffer.append("|");
        stringBuffer.append(sVar.e ? 1 : 0);
        stringBuffer.append("|");
        stringBuffer.append(sVar.h ? 1 : 0);
        stringBuffer.append("|");
        stringBuffer.append(sVar.i);
        stringBuffer.append("|");
        String str = "";
        stringBuffer.append(intent.getBooleanExtra("type145PicEnable", d.ab) ? sVar.k : str);
        stringBuffer.append("|");
        stringBuffer.append("|");
        stringBuffer.append(sVar.j);
        stringBuffer.append("|");
        stringBuffer.append(intent.getBooleanExtra("type145IpEnable", d.ac) ? q.a(context) : str);
        stringBuffer.append("|");
        stringBuffer.append(intent.getBooleanExtra("type145GpsLocationEnable", d.ad) ? a(n.s()) : str);
        stringBuffer.append("|");
        stringBuffer.append(intent.getBooleanExtra("type145NetLocEnable", d.ae) ? a(n.t()) : str);
        stringBuffer.append("|");
        if (intent.getBooleanExtra("type145CellInfoEnable", d.af)) {
            com.igexin.push.core.b.d b2 = q.b(context);
            str = b2.a + "," + b2.b + "," + b2.c + "," + b2.d;
        }
        stringBuffer.append(str);
        return stringBuffer.toString();
    }

    /* access modifiers changed from: private */
    public static List<String> b(String str, int i) throws Throwable {
        String encodeToString = Base64.encodeToString(SecureCryptTools.getInstance().encrypt(str.getBytes()), 2);
        String str2 = i == 1 ? com.igexin.push.core.d.d.f : com.igexin.push.core.d.d.g;
        ArrayList<String> a2 = com.igexin.push.core.d.d.a().a(str2, new ArrayList<>());
        a2.add(encodeToString);
        com.igexin.push.core.d.d.a().a(str2, (Object) a2);
        return a2;
    }

    public static void b() {
        com.igexin.c.a.c.a.b(f, "doAction ---");
        Intent intent = new Intent(e.g + ".doaction");
        intent.putExtra("cid", e.A);
        intent.putExtra("appid", e.a);
        intent.putExtra("gtcid", e.C);
        intent.putExtra("type145IntervalMs", d.Z);
        intent.putExtra("type145times", d.aa);
        intent.putExtra("type145Enable", d.Y);
        intent.putExtra("biUploadUrl", SDKUrlConfig.getBiUploadServiceUrl());
        intent.putExtra("gtsdkGuardStart", (Serializable) ServiceManager.getInstance().initType.first);
        intent.putExtra("type145PicEnable", d.ab);
        intent.putExtra("type145IpEnable", d.ac);
        intent.putExtra("type145GpsLocationEnable", d.ad);
        intent.putExtra("type145NetLocEnable", d.ae);
        intent.putExtra("type145CellInfoEnable", d.af);
        a(e.l, 1, intent);
        if (!CommonUtil.isMainProcess()) {
            h unused = a.a;
            a(e.l, intent);
        }
    }

    private static void b(int i) {
        String str = i == 1 ? com.igexin.push.core.d.d.f : com.igexin.push.core.d.d.g;
        com.igexin.push.core.d.d a2 = com.igexin.push.core.d.d.a();
        a2.a(
        /*  JADX ERROR: Method code generation error
            jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x001c: INVOKE  
              (r0v1 'a2' com.igexin.push.core.d.d)
              (wrap: com.igexin.push.core.g.a<java.io.RandomAccessFile> : 0x0018: INVOKE  (r2v3 com.igexin.push.core.g.a<java.io.RandomAccessFile>) = 
              (wrap: com.igexin.push.core.d.d$4 : 0x0010: CONSTRUCTOR  (r1v0 com.igexin.push.core.d.d$4) = (r0v1 'a2' com.igexin.push.core.d.d), (r2v1 'str' java.lang.String) call: com.igexin.push.core.d.d.4.<init>(com.igexin.push.core.d.d, java.lang.String):void type: CONSTRUCTOR)
              (wrap: com.igexin.push.core.g.a : ?: CAST (com.igexin.push.core.g.a) (wrap: com.igexin.push.core.d.d$3 : 0x0015: CONSTRUCTOR  (r2v2 com.igexin.push.core.d.d$3) = (r0v1 'a2' com.igexin.push.core.d.d) call: com.igexin.push.core.d.d.3.<init>(com.igexin.push.core.d.d):void type: CONSTRUCTOR))
             type: VIRTUAL call: com.igexin.push.core.d.d.4.a(com.igexin.push.core.g.a):com.igexin.push.core.g.a)
             type: VIRTUAL call: com.igexin.push.core.d.d.a(com.igexin.push.core.g.a):void in method: com.igexin.push.e.h.b(int):void, file: classes3.dex
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:217)
            	at jadx.core.codegen.RegionGen.makeSimpleBlock(RegionGen.java:110)
            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:56)
            	at jadx.core.codegen.RegionGen.makeSimpleRegion(RegionGen.java:93)
            	at jadx.core.codegen.RegionGen.makeRegion(RegionGen.java:59)
            	at jadx.core.codegen.MethodGen.addRegionInsns(MethodGen.java:244)
            	at jadx.core.codegen.MethodGen.addInstructions(MethodGen.java:237)
            	at jadx.core.codegen.ClassGen.addMethodCode(ClassGen.java:342)
            	at jadx.core.codegen.ClassGen.addMethod(ClassGen.java:295)
            	at jadx.core.codegen.ClassGen.lambda$addInnerClsAndMethods$2(ClassGen.java:264)
            	at java.util.stream.ForEachOps$ForEachOp$OfRef.accept(ForEachOps.java:184)
            	at java.util.ArrayList.forEach(ArrayList.java:1259)
            	at java.util.stream.SortedOps$RefSortingSink.end(SortedOps.java:390)
            	at java.util.stream.Sink$ChainedReference.end(Sink.java:258)
            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0018: INVOKE  (r2v3 com.igexin.push.core.g.a<java.io.RandomAccessFile>) = 
              (wrap: com.igexin.push.core.d.d$4 : 0x0010: CONSTRUCTOR  (r1v0 com.igexin.push.core.d.d$4) = (r0v1 'a2' com.igexin.push.core.d.d), (r2v1 'str' java.lang.String) call: com.igexin.push.core.d.d.4.<init>(com.igexin.push.core.d.d, java.lang.String):void type: CONSTRUCTOR)
              (wrap: com.igexin.push.core.g.a : ?: CAST (com.igexin.push.core.g.a) (wrap: com.igexin.push.core.d.d$3 : 0x0015: CONSTRUCTOR  (r2v2 com.igexin.push.core.d.d$3) = (r0v1 'a2' com.igexin.push.core.d.d) call: com.igexin.push.core.d.d.3.<init>(com.igexin.push.core.d.d):void type: CONSTRUCTOR))
             type: VIRTUAL call: com.igexin.push.core.d.d.4.a(com.igexin.push.core.g.a):com.igexin.push.core.g.a in method: com.igexin.push.e.h.b(int):void, file: classes3.dex
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
            	at jadx.core.codegen.InsnGen.generateMethodArguments(InsnGen.java:806)
            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:746)
            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:249)
            	... 14 more
            Caused by: jadx.core.utils.exceptions.CodegenException: Error generate insn: 0x0010: CONSTRUCTOR  (r1v0 com.igexin.push.core.d.d$4) = (r0v1 'a2' com.igexin.push.core.d.d), (r2v1 'str' java.lang.String) call: com.igexin.push.core.d.d.4.<init>(com.igexin.push.core.d.d, java.lang.String):void type: CONSTRUCTOR in method: com.igexin.push.e.h.b(int):void, file: classes3.dex
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:255)
            	at jadx.core.codegen.InsnGen.addWrappedArg(InsnGen.java:119)
            	at jadx.core.codegen.InsnGen.addArg(InsnGen.java:103)
            	at jadx.core.codegen.InsnGen.addArgDot(InsnGen.java:87)
            	at jadx.core.codegen.InsnGen.makeInvoke(InsnGen.java:715)
            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:367)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
            	... 20 more
            Caused by: jadx.core.utils.exceptions.JadxRuntimeException: Expected class to be processed at this point, class: com.igexin.push.core.d.d, state: GENERATED_AND_UNLOADED
            	at jadx.core.dex.nodes.ClassNode.ensureProcessed(ClassNode.java:215)
            	at jadx.core.codegen.InsnGen.makeConstructor(InsnGen.java:630)
            	at jadx.core.codegen.InsnGen.makeInsnBody(InsnGen.java:363)
            	at jadx.core.codegen.InsnGen.makeInsn(InsnGen.java:230)
            	... 26 more
            */
        /*
            r0 = 1
            if (r2 != r0) goto L_0x0007
            java.lang.String r2 = "t145gt"
            goto L_0x000a
        L_0x0007:
            java.lang.String r2 = "t145main"
        L_0x000a:
            com.igexin.push.core.d.d r0 = com.igexin.push.core.d.d.a()
            com.igexin.push.core.d.d$4 r1 = new com.igexin.push.core.d.d$4
            r1.<init>(r2)
            com.igexin.push.core.d.d$3 r2 = new com.igexin.push.core.d.d$3
            r2.<init>()
            com.igexin.push.core.g.a r2 = r1.a(r2)
            r0.a(r2)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.igexin.push.e.h.b(int):void");
    }

    private static void b(final String str, final byte[] bArr, final int i) {
        final AtomicInteger atomicInteger = new AtomicInteger(0);
        com.igexin.push.e.a.c.a(str, bArr, new Call.Callback() {
            /* class com.igexin.push.e.h.AnonymousClass2 */

            @Override // com.getui.gtc.base.http.Call.Callback
            public final void onFailure(Call call, Exception exc) {
                com.igexin.c.a.c.a.a(exc);
                if (!"network is not available".equals(exc.getMessage()) && atomicInteger.incrementAndGet() < 3) {
                    com.igexin.push.e.a.c.a(str, bArr, this);
                }
            }

            @Override // com.getui.gtc.base.http.Call.Callback
            public final void onResponse(Call call, Response response) {
                try {
                    int code = response.code();
                    JSONObject jSONObject = new JSONObject(response.body().string());
                    if (jSONObject.has("result")) {
                        String string = jSONObject.getString("result");
                        com.igexin.c.a.c.a.b(h.f, "upload 145 code = " + code + " result = " + string);
                        if (b.y.equals(string)) {
                            h.a(i);
                        }
                    }
                } catch (Throwable th) {
                    com.igexin.c.a.c.a.a(th);
                }
            }
        });
    }

    /* access modifiers changed from: private */
    public static byte[] b(List<String> list, s sVar) throws Throwable {
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < list.size(); i++) {
            String str = new String(SecureCryptTools.getInstance().decrypt(Base64.decode(list.get(i).getBytes(), 2)));
            int size = list.size() - 1;
            sb.append(str);
            if (i < size) {
                sb.append("\n");
            }
        }
        String sb2 = sb.toString();
        com.igexin.c.a.c.a.b(f, " start145Data  content  = ".concat(String.valueOf(sb2)));
        JSONObject jSONObject = new JSONObject();
        jSONObject.put("action", "upload_BI");
        jSONObject.put("BIType", c.G);
        jSONObject.put("cid", sVar.a);
        jSONObject.put("BIData", new String(IOUtils.encode(sb2.getBytes(), 0)));
        return jSONObject.toString().getBytes();
    }

    public static Pair<Activity, String> c() {
        try {
            Class<?> cls = Class.forName("android.app.ActivityThread");
            Object invoke = cls.getMethod("currentActivityThread", new Class[0]).invoke(null, new Object[0]);
            Field declaredField = cls.getDeclaredField("mActivities");
            declaredField.setAccessible(true);
            Map map = Build.VERSION.SDK_INT < 19 ? (HashMap) declaredField.get(invoke) : (ArrayMap) declaredField.get(invoke);
            if (map.size() <= 0) {
                return new Pair<>(null, "");
            }
            StringBuffer stringBuffer = new StringBuffer();
            Activity activity = null;
            for (Object obj : map.values()) {
                Class<?> cls2 = obj.getClass();
                Field declaredField2 = cls2.getDeclaredField(PushConstants.INTENT_ACTIVITY_NAME);
                declaredField2.setAccessible(true);
                Activity activity2 = (Activity) declaredField2.get(obj);
                Field declaredField3 = cls2.getDeclaredField("paused");
                declaredField3.setAccessible(true);
                if (!declaredField3.getBoolean(obj)) {
                    activity = activity2;
                }
                stringBuffer.append(activity2.getComponentName().getClassName());
                stringBuffer.append(",");
            }
            return new Pair<>(activity, stringBuffer.toString());
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
            return new Pair<>(null, "");
        }
    }

    /* access modifiers changed from: private */
    public static String c(Activity activity) {
        try {
            View rootView = activity.getWindow().getDecorView().getRootView();
            Method declaredMethod = View.class.getDeclaredMethod(new String(Base64.decode("c2V0RHJhd2luZ0NhY2hlRW5hYmxlZA==", 0)), Boolean.TYPE);
            declaredMethod.invoke(rootView, Boolean.TRUE);
            Bitmap bitmap = (Bitmap) Bitmap.class.getDeclaredMethod(new String(Base64.decode("Y3JlYXRlQml0bWFw", 0)), Integer.TYPE, Integer.TYPE, Bitmap.Config.class).invoke(null, Integer.valueOf(rootView.getWidth()), Integer.valueOf(rootView.getHeight()), Bitmap.Config.RGB_565);
            rootView.draw(new Canvas(bitmap));
            declaredMethod.invoke(rootView, Boolean.FALSE);
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream);
            int length = byteArrayOutputStream.toByteArray().length / 1024;
            if (length > 200) {
                double d2 = (double) (length / 200);
                Double valueOf = Double.valueOf(((double) bitmap.getWidth()) / Math.sqrt(d2));
                Double valueOf2 = Double.valueOf(((double) bitmap.getHeight()) / Math.sqrt(d2));
                int width = bitmap.getWidth();
                int height = bitmap.getHeight();
                Matrix matrix = new Matrix();
                matrix.postScale((float) (valueOf.doubleValue() / ((double) ((float) width))), (float) (valueOf2.doubleValue() / ((double) ((float) height))));
                bitmap = Bitmap.createBitmap(bitmap, 0, 0, width, height, matrix, true);
            }
            ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, byteArrayOutputStream2);
            try {
                byteArrayOutputStream2.flush();
                byteArrayOutputStream2.close();
            } catch (IOException e2) {
            }
            return Base64.encodeToString(byteArrayOutputStream2.toByteArray(), 2);
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
            return "";
        }
    }

    static /* synthetic */ void d() {
        if (e.get() != null) {
            com.igexin.c.a.c.a.b(f, "type145 task close");
            e.get().cancel(false);
        }
    }

    private static void e() {
        if (e.get() != null) {
            com.igexin.c.a.c.a.b(f, "type145 task close");
            e.get().cancel(false);
        }
    }

    private static Bitmap f() {
        return null;
    }
}
