package com.taobao.weex.bridge;

import com.taobao.weex.utils.WXJsonUtils;

public class WXJSObject {
    public static final int JSON = 3;
    public static final int NUMBER = 1;
    public static final int String = 2;
    public static final int WSON = 4;
    public Object data;
    public String key;
    public int type;

    public WXJSObject(int type2, Object data2) {
        this.type = type2;
        this.data = data2;
    }

    public WXJSObject(int type2, Object data2, String key2) {
        this.type = type2;
        this.data = data2;
        this.key = key2;
    }

    public WXJSObject(Object object) {
        if (object == null) {
            this.type = 2;
            this.data = "";
            return;
        }
        this.data = object;
        if (object instanceof Integer) {
            this.type = 1;
            this.data = new Double((double) ((Integer) object).intValue());
        } else if (object instanceof Double) {
            this.type = 1;
        } else if (object instanceof Float) {
            this.type = 1;
            this.data = new Double((double) ((Float) object).intValue());
        } else if (object instanceof String) {
            this.type = 2;
        } else if (object instanceof Object) {
            this.type = 3;
            this.data = WXJsonUtils.fromObjectToJSONString(object, true);
        }
    }
}
