package com.taobao.weex.dom;

import android.graphics.Paint;
import android.text.style.LineHeightSpan;
import com.taobao.weex.WXEnvironment;
import com.taobao.weex.utils.WXLogUtils;

public class WXLineHeightSpan implements LineHeightSpan {
    private int lineHeight;

    public WXLineHeightSpan(int lineHeight2) {
        this.lineHeight = lineHeight2;
    }

    public void chooseHeight(CharSequence text, int start, int end, int spanstartv, int v, Paint.FontMetricsInt fm) {
        if (WXEnvironment.isApkDebugable()) {
            WXLogUtils.d("LineHeight", ((Object) text) + " ; start " + start + "; end " + end + "; spanstartv " + spanstartv + "; v " + v + "; fm " + fm);
        }
        int surplusHeight = this.lineHeight - (fm.descent - fm.ascent);
        int bottom = surplusHeight / 2;
        int top = surplusHeight - bottom;
        fm.top -= top;
        fm.bottom += bottom;
        fm.ascent -= top;
        fm.descent += bottom;
    }
}
