package com.taobao.weex.ui.action;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.richtext.WXRichText;

public class GraphicActionRemoveChildFromRichtext extends BasicGraphicAction {
    private String parentRef;
    private String ref;
    private WXRichText richText;

    public GraphicActionRemoveChildFromRichtext(WXSDKInstance instance, String ref2, String parentRef2, String richtextRef) {
        super(instance, richtextRef);
        this.ref = ref2;
        this.parentRef = parentRef2;
        WXRichText wXRichText = (WXRichText) WXSDKManager.getInstance().getWXRenderManager().getWXComponent(instance.getInstanceId(), richtextRef);
        this.richText = wXRichText;
        if (wXRichText != null) {
            wXRichText.removeChildNode(parentRef2, ref2);
        }
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
    }
}
