package com.taobao.weex.ui.view;

import android.content.Context;
import android.view.animation.Interpolator;
import android.widget.Scroller;

public class WXSmoothScroller extends Scroller {
    private double mScrollFactor = 1.0d;

    public WXSmoothScroller(Context context) {
        super(context);
    }

    public WXSmoothScroller(Context context, Interpolator interpolator) {
        super(context, interpolator);
    }

    public WXSmoothScroller(Context context, Interpolator interpolator, boolean flywheel) {
        super(context, interpolator, flywheel);
    }

    public void setScrollDurationFactor(double scrollFactor) {
        this.mScrollFactor = scrollFactor;
    }

    public void startScroll(int startX, int startY, int dx, int dy, int duration) {
        super.startScroll(startX, startY, dx, dy, (int) (((double) duration) * this.mScrollFactor));
    }
}
