package com.taobao.weex.ui.view.border;

import android.util.SparseIntArray;
import com.taobao.weex.dom.CSSShorthand;

/* access modifiers changed from: package-private */
public class BorderUtil {
    BorderUtil() {
    }

    static int fetchFromSparseArray(SparseIntArray array, int position, int fallback) {
        if (array == null) {
            return fallback;
        }
        return array.get(position, array.get(CSSShorthand.EDGE.ALL.ordinal()));
    }

    static void updateSparseArray(SparseIntArray array, int position, int value) {
        if (position == CSSShorthand.EDGE.ALL.ordinal()) {
            array.put(CSSShorthand.EDGE.ALL.ordinal(), value);
            array.put(CSSShorthand.EDGE.TOP.ordinal(), value);
            array.put(CSSShorthand.EDGE.LEFT.ordinal(), value);
            array.put(CSSShorthand.EDGE.RIGHT.ordinal(), value);
            array.put(CSSShorthand.EDGE.BOTTOM.ordinal(), value);
            return;
        }
        array.put(position, value);
    }
}
