package com.taobao.weex.utils;

import android.net.Uri;
import android.view.View;
import com.alibaba.fastjson.JSONArray;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import io.dcloud.feature.uniapp.adapter.AbsURIAdapter;

public class ATagUtil {
    public static void onClick(View widget, String instanceId, String url) {
        WXSDKInstance instance = WXSDKManager.getInstance().getSDKInstance(instanceId);
        if (instance != null) {
            String href = instance.rewriteUri(Uri.parse(url), AbsURIAdapter.LINK).toString();
            JSONArray array = new JSONArray();
            array.add(href);
            WXSDKManager.getInstance().getWXBridgeManager().callModuleMethod(instanceId, "event", "openURL", array);
        }
    }
}
