package com.tencent.liteav.audio.impl.Play;

import android.content.Context;
import android.media.AudioTrack;
import com.tencent.liteav.basic.log.TXCLog;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Arrays;

/* compiled from: TXCMultAudioTrackPlayer */
public class d {
    static d a = new d();
    private static final String b = ("AudioCenter:" + d.class.getSimpleName());
    private a c;
    private boolean d = false;
    private volatile boolean e = false;
    private Context f = null;
    private int g = 0;
    private volatile boolean h = false;
    private int i = 48000;
    private int j = 2;
    private int k = 16;

    /* access modifiers changed from: package-private */
    /* compiled from: TXCMultAudioTrackPlayer */
    public class a extends Thread {
        volatile boolean b = false;

        public a(String str) {
            super(str);
        }

        public void a() {
            this.b = true;
        }

        public void b() {
            this.b = false;
        }
    }

    private d() {
    }

    public static d a() {
        return a;
    }

    public void b() {
        TXCLog.w(b, "mult-track-player start!");
        if (this.e) {
            TXCLog.e(b, "mult-track-player can not start because of has started!");
        } else if (this.i == 0 || this.j == 0) {
            String str = b;
            TXCLog.e(str, "strat mult-track-player failed with invalid audio info , samplerate:" + this.i + ", channels:" + this.j);
        } else {
            this.e = true;
            if (this.c == null) {
                AnonymousClass1 r0 = new a("AUDIO_TRACK") {
                    /* class com.tencent.liteav.audio.impl.Play.d.AnonymousClass1 */

                    public void run() {
                        int i;
                        int i2;
                        a();
                        try {
                            if (d.this.j == 1) {
                                i = 2;
                            } else {
                                i = 3;
                            }
                            if (d.this.k == 8) {
                                i2 = 3;
                            } else {
                                i2 = 2;
                            }
                            AudioTrack audioTrack = new AudioTrack(3, d.this.i, i, i2, AudioTrack.getMinBufferSize(d.this.i, i, i2), 1);
                            String str = d.b;
                            TXCLog.i(str, "create audio track, samplerate:" + d.this.i + ", channels:" + d.this.j + ", bits:" + d.this.k);
                            try {
                                audioTrack.play();
                                d.this.h = true;
                                d dVar = d.this;
                                dVar.a(dVar.f, d.this.g);
                                int i3 = 100;
                                int i4 = 0;
                                while (this.b) {
                                    byte[] nativeGetMixedTracksData = b.nativeGetMixedTracksData(d.this.j * 2048);
                                    TXCAudioBasePlayController.onCorePlayPcmData(nativeGetMixedTracksData, 0, d.this.i, d.this.j);
                                    if (nativeGetMixedTracksData == null || nativeGetMixedTracksData.length <= 0) {
                                        try {
                                            sleep(5);
                                        } catch (InterruptedException e) {
                                        }
                                    } else {
                                        if (d.this.d) {
                                            Arrays.fill(nativeGetMixedTracksData, (byte) 0);
                                        }
                                        if (i3 != 0 && i4 < 800) {
                                            int length = nativeGetMixedTracksData.length / 2;
                                            short[] sArr = new short[length];
                                            ByteBuffer.wrap(nativeGetMixedTracksData).order(ByteOrder.LITTLE_ENDIAN).asShortBuffer().get(sArr);
                                            for (int i5 = 0; i5 < length; i5++) {
                                                sArr[i5] = (short) (sArr[i5] / i3);
                                            }
                                            ByteBuffer.wrap(nativeGetMixedTracksData).order(ByteOrder.LITTLE_ENDIAN).asShortBuffer().put(sArr);
                                            i4 += nativeGetMixedTracksData.length / ((d.this.i * 2) / 1000);
                                            i3 = (i3 * (800 - i4)) / 800;
                                        }
                                        audioTrack.write(nativeGetMixedTracksData, 0, nativeGetMixedTracksData.length);
                                    }
                                }
                                try {
                                    audioTrack.pause();
                                    audioTrack.flush();
                                    audioTrack.stop();
                                    audioTrack.release();
                                } catch (Exception e2) {
                                    e2.printStackTrace();
                                }
                                TXCLog.e(d.b, "mult-player thread stop finish!");
                            } catch (Exception e3) {
                                e3.printStackTrace();
                            }
                        } catch (Exception e4) {
                            e4.printStackTrace();
                        }
                    }
                };
                this.c = r0;
                r0.start();
            }
            TXCLog.w(b, "mult-track-player thread start finish!");
        }
    }

    public void c() {
        TXCLog.w(b, "mult-track-player stop!");
        if (!this.e) {
            TXCLog.w(b, "mult-track-player can not stop because of not started yet!");
            return;
        }
        a aVar = this.c;
        if (aVar != null) {
            aVar.b();
            this.c = null;
        }
        this.g = 0;
        this.f = null;
        this.h = false;
        this.e = false;
        TXCLog.w(b, "mult-track-player stop finish!");
    }

    public synchronized void a(Context context, int i2) {
        this.f = context;
        this.g = i2;
        if (this.h) {
            com.tencent.liteav.audio.impl.a.a().b(i2);
        }
    }

    public boolean d() {
        return this.e;
    }
}
