package com.tencent.liteav.audio.impl.Record;

import android.content.Context;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.a;
import com.tencent.liteav.basic.util.TXCTimeUtil;

/* compiled from: TXCAudioCustomRecord */
public class d extends b implements Runnable {
    private boolean d = false;
    private Thread e = null;
    private byte[] f = new byte[20480];
    private int g = 0;
    private int h = 0;
    private long i = 0;

    @Override // com.tencent.liteav.audio.impl.Record.b
    public void a(Context context, int i2, int i3, int i4) {
        super.a(context, i2, i3, i4);
        c();
        this.d = true;
        Thread thread = new Thread(this, "AudioCustomRecord Thread");
        this.e = thread;
        thread.start();
    }

    public void c() {
        this.d = false;
        long currentTimeMillis = System.currentTimeMillis();
        Thread thread = this.e;
        if (!(thread == null || !thread.isAlive() || Thread.currentThread().getId() == this.e.getId())) {
            try {
                this.e.join();
            } catch (InterruptedException e2) {
                e2.printStackTrace();
                TXCLog.e("AudioCenter:TXCAudioCustomRecord", "custom record stop Exception: " + e2.getMessage());
            }
        }
        TXCLog.i("AudioCenter:TXCAudioCustomRecord", "stop record cost time(MS): " + (System.currentTimeMillis() - currentTimeMillis));
        this.e = null;
    }

    public boolean d() {
        return this.d;
    }

    public synchronized void a(byte[] bArr) {
        this.i = TXCTimeUtil.getTimeTick();
        if (bArr != null) {
            if (f() >= bArr.length) {
                if (this.g + bArr.length <= this.f.length) {
                    System.arraycopy(bArr, 0, this.f, this.g, bArr.length);
                    this.g += bArr.length;
                } else {
                    int length = this.f.length - this.g;
                    System.arraycopy(bArr, 0, this.f, this.g, length);
                    int length2 = bArr.length - length;
                    this.g = length2;
                    System.arraycopy(bArr, length, this.f, 0, length2);
                }
                return;
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("缓冲区不够. 自定义数据长度 = ");
        sb.append(bArr == null ? -1 : bArr.length);
        sb.append(", 剩余缓冲区长度 = ");
        sb.append(f());
        TXCLog.e("AudioCenter:TXCAudioCustomRecord", sb.toString());
    }

    public synchronized void a(a aVar) {
        this.i = aVar.e;
        byte[] bArr = aVar.f;
        if (bArr != null) {
            if (f() >= bArr.length) {
                if (this.g + bArr.length <= this.f.length) {
                    System.arraycopy(bArr, 0, this.f, this.g, bArr.length);
                    this.g += bArr.length;
                } else {
                    int length = this.f.length - this.g;
                    System.arraycopy(bArr, 0, this.f, this.g, length);
                    int length2 = bArr.length - length;
                    this.g = length2;
                    System.arraycopy(bArr, length, this.f, 0, length2);
                }
                return;
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append("缓冲区不够. 自定义数据长度 = ");
        sb.append(bArr == null ? -1 : bArr.length);
        sb.append(", 剩余缓冲区长度 = ");
        sb.append(f());
        TXCLog.e("AudioCenter:TXCAudioCustomRecord", sb.toString());
    }

    private int e() {
        int i2 = this.g;
        byte[] bArr = this.f;
        return ((i2 + bArr.length) - this.h) % bArr.length;
    }

    private int f() {
        return this.f.length - e();
    }

    public void run() {
        if (!this.d) {
            TXCLog.w("AudioCenter:TXCAudioCustomRecord", "audio custom record: abandom start audio sys record thread!");
            return;
        }
        a();
        int i2 = ((this.b * 1024) * this.c) / 8;
        byte[] bArr = new byte[i2];
        while (this.d && !Thread.interrupted()) {
            if (i2 <= e()) {
                synchronized (this) {
                    if (this.h + i2 <= this.f.length) {
                        System.arraycopy(this.f, this.h, bArr, 0, i2);
                        this.h += i2;
                    } else {
                        int length = this.f.length - this.h;
                        System.arraycopy(this.f, this.h, bArr, 0, length);
                        int i3 = i2 - length;
                        this.h = i3;
                        System.arraycopy(this.f, 0, bArr, length, i3);
                    }
                }
                a(bArr, i2, this.i);
            } else {
                try {
                    Thread.sleep(10);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
            }
        }
        b();
    }
}
