package com.tencent.liteav;

import android.app.ActivityManager;
import android.content.Context;
import android.graphics.SurfaceTexture;
import android.os.Bundle;
import android.os.Handler;
import android.os.HandlerThread;
import com.meizu.cloud.pushsdk.constants.PushConstants;
import com.tencent.liteav.basic.c.a;
import com.tencent.liteav.basic.d.l;
import com.tencent.liteav.basic.d.m;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.module.TXCStatus;
import com.tencent.liteav.renderer.TXCGLSurfaceView;
import java.lang.ref.WeakReference;
import java.util.List;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCCameraCaptureSource */
public class b implements a, m, com.tencent.liteav.capturer.b, m {
    WeakReference<a> a;
    private Context b;
    private com.tencent.liteav.capturer.a c;
    private n d;
    private boolean e;
    private f f;
    private int g;
    private boolean h;
    private int i;
    private int j;
    private l k;
    private boolean l;
    private long m;
    private long n;
    private long o;
    private int p;
    private Object q;
    private HandlerThread r;
    private Handler s;
    private String t;

    public b(Context context, f fVar, l lVar, boolean z) {
        this.c = null;
        this.g = 0;
        this.h = false;
        this.i = -1;
        this.j = -1;
        this.k = null;
        this.l = false;
        this.m = 0;
        this.o = 0;
        this.p = 0;
        this.q = new Object();
        this.r = null;
        this.s = null;
        this.t = "";
        this.c = new com.tencent.liteav.capturer.a();
        try {
            this.f = (f) fVar.clone();
        } catch (CloneNotSupportedException e2) {
            this.f = new f();
            e2.printStackTrace();
        }
        this.b = context;
        this.k = lVar;
        lVar.setSurfaceTextureListener(this);
        this.f.P = z;
    }

    @Override // com.tencent.liteav.m
    public void a() {
        TXCLog.i("CameraCapture", "start->enter with getSurfaceTexture:" + this.k.getSurfaceTexture());
        this.k.a(this.f.h, this.f.P ^ true);
        c(this.k.getSurfaceTexture());
    }

    @Override // com.tencent.liteav.m
    public void a(boolean z) {
        c();
        this.k.a();
        synchronized (this.q) {
            if (this.s != null) {
                this.s.removeCallbacksAndMessages(null);
            }
            if (this.r != null) {
                TXCLog.w("CameraCapture", "stop camera monitor ");
                this.r.quit();
                this.r = null;
                this.s = null;
            }
        }
    }

    @Override // com.tencent.liteav.m
    public void a(String str) {
        this.t = str;
    }

    @Override // com.tencent.liteav.m
    public void b() {
        TXCLog.i("CameraCapture", "startCapture->enter with getSurfaceTexture:" + this.k.getSurfaceTexture());
        c(this.k.getSurfaceTexture());
    }

    @Override // com.tencent.liteav.m
    public void c() {
        TXCLog.i("CameraCapture", "stopCapture->enter with null");
        this.c.a((com.tencent.liteav.capturer.b) null);
        this.c.b();
        this.e = false;
    }

    @Override // com.tencent.liteav.m
    public void b(boolean z) {
        if (this.e && this.c != null) {
            f fVar = this.f;
            fVar.m = z ? !fVar.m : fVar.m;
            this.c.b();
            this.k.a(false);
            this.c.b(this.f.h);
            this.c.a(i());
            this.c.a(this.f.P, this.f.a, this.f.b);
            this.c.a(this);
            this.c.a(this.k.getSurfaceTexture());
            if (this.c.c(this.f.m) == 0) {
                this.e = true;
                a(1003, "打开摄像头成功");
            } else {
                this.e = false;
                a(-1301, "打开摄像头失败，请确认摄像头权限是否打开");
            }
            this.l = false;
        }
    }

    @Override // com.tencent.liteav.m
    public boolean d() {
        return this.e;
    }

    @Override // com.tencent.liteav.m
    public int e() {
        return this.c.a();
    }

    @Override // com.tencent.liteav.m
    public boolean a(int i2) {
        return this.c.c(i2);
    }

    @Override // com.tencent.liteav.m
    public void a(float f2) {
        this.c.a(f2);
    }

    @Override // com.tencent.liteav.m
    public void b(int i2) {
        this.i = i2;
        j();
    }

    @Override // com.tencent.liteav.m
    public void c(int i2) {
        l lVar = this.k;
        if (lVar != null) {
            lVar.setRendMode(i2);
        }
    }

    @Override // com.tencent.liteav.m
    public void a(n nVar) {
        this.d = nVar;
    }

    @Override // com.tencent.liteav.m
    public void c(final boolean z) {
        a(new Runnable() {
            /* class com.tencent.liteav.b.AnonymousClass1 */

            public void run() {
                b.this.f.M = z;
            }
        });
    }

    @Override // com.tencent.liteav.m
    public boolean d(boolean z) {
        return this.c.a(z);
    }

    @Override // com.tencent.liteav.m
    public void a(com.tencent.liteav.basic.structs.b bVar) {
        l lVar = this.k;
        if (lVar != null) {
            lVar.a(bVar.a, bVar.i, this.g, bVar.e, bVar.f);
        }
    }

    @Override // com.tencent.liteav.m
    public void e(boolean z) {
        this.h = z;
    }

    @Override // com.tencent.liteav.m
    public void a(Runnable runnable) {
        this.k.a(runnable);
    }

    @Override // com.tencent.liteav.m
    public EGLContext f() {
        return this.k.getGLContext();
    }

    @Override // com.tencent.liteav.basic.c.a
    public void onNotifyEvent(int i2, Bundle bundle) {
        com.tencent.liteav.basic.util.b.a(this.a, i2, bundle);
    }

    @Override // com.tencent.liteav.m
    public void a(a aVar) {
        this.a = new WeakReference<>(aVar);
    }

    @Override // com.tencent.liteav.m
    public void d(int i2) {
        this.j = i2;
        j();
    }

    @Override // com.tencent.liteav.m
    public void a(int i2, int i3) {
        this.f.a = i2;
        this.f.b = i3;
    }

    @Override // com.tencent.liteav.m
    public void e(int i2) {
        this.f.h = i2;
        com.tencent.liteav.capturer.a aVar = this.c;
        if (aVar != null) {
            aVar.b(i2);
        }
        l lVar = this.k;
        if (lVar != null && (lVar instanceof TXCGLSurfaceView)) {
            ((TXCGLSurfaceView) lVar).setFPS(i2);
        }
    }

    @Override // com.tencent.liteav.m
    public void a(float f2, float f3) {
        if (this.c != null && this.f.E) {
            this.c.a(f2, f3);
        }
    }

    @Override // com.tencent.liteav.m
    public boolean g() {
        com.tencent.liteav.capturer.a aVar = this.c;
        if (aVar != null) {
            return aVar.d();
        }
        return false;
    }

    private void c(SurfaceTexture surfaceTexture) {
        com.tencent.liteav.capturer.a aVar;
        if (surfaceTexture != null && !this.e && (aVar = this.c) != null) {
            aVar.a(this);
            this.c.a(surfaceTexture);
            this.c.b(this.f.h);
            this.c.d(this.f.l);
            this.c.b(this.f.E);
            this.c.a(i());
            this.c.a(this.f.P, this.f.a, this.f.b);
            if (this.c.c(this.f.m) == 0) {
                this.e = true;
                this.n = System.currentTimeMillis();
                a(1003, "打开摄像头成功");
                this.l = false;
                if (this.h && !com.tencent.liteav.audio.b.a().c()) {
                    if (com.tencent.liteav.audio.b.a().a(this.b) == 0) {
                        a(TXLiteAVCode.EVT_MIC_START_SUCC, "打开麦克风成功");
                    }
                    this.h = false;
                    return;
                }
                return;
            }
            this.e = false;
            a(-1301, "打开摄像头失败，请确认摄像头权限是否打开");
        }
    }

    private void a(int i2, String str) {
        com.tencent.liteav.basic.util.b.a(this.a, i2, str);
    }

    @Override // com.tencent.liteav.basic.d.m
    public void a(SurfaceTexture surfaceTexture) {
        TXCLog.i("CameraCapture", "onSurfaceTextureAvailable->enter with mListener:" + this.d);
        c(surfaceTexture);
        n nVar = this.d;
        if (nVar != null) {
            nVar.a(surfaceTexture);
        }
    }

    @Override // com.tencent.liteav.basic.d.m
    public void b(SurfaceTexture surfaceTexture) {
        TXCLog.i("CameraCapture", "onSurfaceTextureDestroy->enter with mListener:" + this.d);
        n nVar = this.d;
        if (nVar != null) {
            nVar.u();
        }
    }

    @Override // com.tencent.liteav.basic.d.m
    public int a(int i2, float[] fArr) {
        a(i2, null, fArr, 4);
        return 0;
    }

    @Override // com.tencent.liteav.basic.d.m
    public void a(byte[] bArr, float[] fArr) {
        a(-1, bArr, fArr, 3);
    }

    private void a(int i2, byte[] bArr, float[] fArr, int i3) {
        if (this.e) {
            boolean z = true;
            if (!this.l) {
                com.tencent.liteav.basic.util.b.a(this.a, 1007, "首帧画面采集完成");
                this.l = true;
                TXCLog.d("CameraCapture", "trtc_render: render first frame");
            }
            com.tencent.liteav.basic.structs.b bVar = new com.tencent.liteav.basic.structs.b();
            bVar.e = this.c.e();
            bVar.f = this.c.f();
            bVar.g = this.f.a;
            bVar.h = this.f.b;
            bVar.j = this.c.c();
            if (!this.c.d()) {
                z = this.f.M;
            } else if (this.f.M) {
                z = false;
            }
            bVar.i = z;
            bVar.a = i2;
            bVar.c = fArr;
            bVar.d = this.f.P;
            bVar.m = bArr;
            bVar.b = i3;
            if (bVar.j == 0 || bVar.j == 180) {
                bVar.g = this.f.b;
                bVar.h = this.f.a;
            } else {
                bVar.g = this.f.a;
                bVar.h = this.f.b;
            }
            bVar.l = com.tencent.liteav.basic.util.b.a(bVar.e, bVar.f, this.f.b, this.f.a);
            n nVar = this.d;
            if (nVar != null) {
                nVar.b(bVar);
            }
            this.m++;
            long currentTimeMillis = System.currentTimeMillis() - this.n;
            if (currentTimeMillis >= 1000) {
                TXCStatus.a(this.t, 1001, this.p, Double.valueOf((((double) (this.m - this.o)) * 1000.0d) / ((double) currentTimeMillis)));
                this.o = this.m;
                this.n += currentTimeMillis;
            }
        }
    }

    private int i() {
        if (!this.f.N) {
            int i2 = this.f.k;
            if (i2 == 0) {
                return 4;
            }
            if (i2 == 1) {
                return 5;
            }
            if (i2 == 2) {
                return 6;
            }
            if (i2 != 6) {
                return 7;
            }
            return 3;
        }
        return 7;
    }

    private void j() {
        a(new Runnable() {
            /* class com.tencent.liteav.b.AnonymousClass2 */

            public void run() {
                if (b.this.i != -1) {
                    b bVar = b.this;
                    bVar.g = bVar.i;
                    b.this.i = -1;
                }
                if (b.this.j != -1) {
                    b.this.f.l = b.this.j;
                    b.this.c.d(b.this.f.l);
                    b.this.j = -1;
                }
            }
        });
    }

    @Override // com.tencent.liteav.capturer.b
    public void a(byte[] bArr) {
        l lVar = this.k;
        if (lVar != null) {
            lVar.a(bArr);
        }
    }

    @Override // com.tencent.liteav.capturer.b
    public void h() {
        if (this.c.g() != null) {
            this.c.b();
        }
        synchronized (this.q) {
            if (this.r == null) {
                HandlerThread handlerThread = new HandlerThread("cameraMonitorThread");
                this.r = handlerThread;
                handlerThread.start();
                this.s = new Handler(this.r.getLooper());
                TXCLog.w("CameraCapture", "start camera monitor ");
            }
            if (this.s != null) {
                this.s.postDelayed(new Runnable() {
                    /* class com.tencent.liteav.b.AnonymousClass3 */

                    public void run() {
                        try {
                            if (b.this.d() && b.this.k() && b.this.c.g() == null) {
                                TXCLog.w("CameraCapture", "camera monitor restart capture");
                                b.this.c.b();
                                b.this.k.a(false);
                                b.this.c.b(b.this.f.h);
                                b.this.c.a(b.this.f.P, b.this.f.a, b.this.f.b);
                                b.this.c.a(b.this.k.getSurfaceTexture());
                                b.this.c.c(b.this.f.m);
                            } else if (b.this.s != null) {
                                b.this.s.postDelayed(this, 2000);
                            }
                        } catch (Exception e) {
                            TXCLog.w("CameraCapture", "camera monitor exception ");
                        }
                    }
                }, 2000);
            }
        }
    }

    public void f(int i2) {
        this.p = i2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean k() {
        try {
            if (this.b != null) {
                List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = ((ActivityManager) this.b.getSystemService(PushConstants.INTENT_ACTIVITY_NAME)).getRunningAppProcesses();
                if (runningAppProcesses == null) {
                    TXCLog.w("CameraCapture", "List of RunningAppProcessInfo is null");
                    return false;
                }
                for (int i2 = 0; i2 < runningAppProcesses.size(); i2++) {
                    ActivityManager.RunningAppProcessInfo runningAppProcessInfo = runningAppProcesses.get(i2);
                    if (runningAppProcessInfo == null) {
                        TXCLog.w("CameraCapture", "ActivityManager.RunningAppProcessInfo is null");
                    } else if (runningAppProcessInfo.processName.equals(this.b.getPackageName()) && runningAppProcessInfo.importance == 100) {
                        return true;
                    }
                }
            }
        } catch (Exception e2) {
        }
        return false;
    }
}
