package com.tencent.liteav.basic.d;

import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.opengl.GLES20;
import android.os.HandlerThread;
import android.view.Surface;
import com.amap.api.maps.utils.SpatialRelationUtil;
import com.tencent.liteav.basic.d.f;
import com.tencent.liteav.basic.log.TXCLog;
import com.uc.crashsdk.export.LogType;
import java.nio.ByteBuffer;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCGLSurfaceRenderThread */
public class d implements f.a {
    private volatile HandlerThread a = null;
    private volatile f b = null;
    private g c = null;
    private int d = 0;
    private boolean e = false;
    private float f = 1.0f;
    private float g = 1.0f;
    private int h = 0;
    private int i = 0;
    private boolean j = false;
    private n k = null;
    private boolean l = false;

    public void a(EGLContext eGLContext, Surface surface) {
        TXCLog.i("TXGLSurfaceRenderThread", "surface-render: surface render start " + surface);
        b(eGLContext, surface);
    }

    public void a() {
        TXCLog.i("TXGLSurfaceRenderThread", "surface-render: surface render stop ");
        f();
    }

    public Surface b() {
        Surface b2;
        synchronized (this) {
            b2 = this.b != null ? this.b.b() : null;
        }
        return b2;
    }

    public void a(Runnable runnable) {
        synchronized (this) {
            if (this.b != null) {
                this.b.post(runnable);
            }
        }
    }

    public void a(final int i2, final boolean z, final int i3, final int i4, final int i5, final int i6, final int i7, final boolean z2) {
        GLES20.glFinish();
        synchronized (this) {
            if (this.b != null) {
                this.b.post(new Runnable() {
                    /* class com.tencent.liteav.basic.d.d.AnonymousClass1 */

                    public void run() {
                        try {
                            d.this.b(i2, z, i3, i4, i5, i6, i7, z2);
                        } catch (Exception e2) {
                            TXCLog.e("TXGLSurfaceRenderThread", "surface-render: render texture error occurred!");
                        }
                    }
                });
            }
        }
    }

    public void a(n nVar) {
        this.k = nVar;
        this.j = true;
    }

    @Override // com.tencent.liteav.basic.d.f.a
    public void c() {
        g gVar = new g();
        this.c = gVar;
        if (gVar.a()) {
            this.c.a(k.e, k.a(j.NORMAL, false, false));
        }
    }

    @Override // com.tencent.liteav.basic.d.f.a
    public void d() {
    }

    @Override // com.tencent.liteav.basic.d.f.a
    public void e() {
        g gVar = this.c;
        if (gVar != null) {
            gVar.d();
            this.c = null;
        }
    }

    private void b(EGLContext eGLContext, Surface surface) {
        f();
        synchronized (this) {
            this.a = new HandlerThread("TXGLSurfaceRenderThread");
            this.a.start();
            this.b = new f(this.a.getLooper());
            this.b.a(this);
            this.b.g = eGLContext;
            this.b.c = surface;
            TXCLog.w("TXGLSurfaceRenderThread", "surface-render: create gl thread " + this.a.getName());
        }
        a(100);
    }

    private void f() {
        synchronized (this) {
            if (this.b != null) {
                f.a(this.b, this.a);
                TXCLog.w("TXGLSurfaceRenderThread", "surface-render: destroy gl thread");
            }
            this.b = null;
            this.a = null;
        }
    }

    private void a(int i2) {
        synchronized (this) {
            if (this.b != null) {
                this.b.sendEmptyMessage(i2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(int i2, boolean z, int i3, int i4, int i5, int i6, int i7, boolean z2) {
        if (i6 != 0 && i7 != 0 && this.c != null) {
            if (this.l) {
                this.l = false;
                return;
            }
            if (z2) {
                GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
                GLES20.glClear(LogType.UNEXP_RESTART);
                GLES20.glBindFramebuffer(36160, 0);
                if (this.b != null) {
                    this.b.c();
                }
                this.l = true;
            }
            int i8 = i4 != 0 ? i4 : i6;
            int i9 = i5 != 0 ? i5 : i7;
            this.h = i8;
            this.i = i9;
            GLES20.glViewport(0, 0, i8, i9);
            float f2 = i9 != 0 ? ((float) i8) / ((float) i9) : 1.0f;
            float f3 = i7 != 0 ? ((float) i6) / ((float) i7) : 1.0f;
            if (!(this.e == z && this.d == i3 && this.f == f2 && this.g == f3)) {
                this.e = z;
                this.d = i3;
                this.f = f2;
                this.g = f3;
                int i10 = (720 - i3) % SpatialRelationUtil.A_CIRCLE_DEGREE;
                boolean z3 = i10 == 90 || i10 == 270;
                int i11 = z3 ? i9 : i8;
                if (!z3) {
                    i8 = i9;
                }
                this.c.a(i6, i7, i10, k.a(j.NORMAL, false, true), ((float) i11) / ((float) i8), z3 ? false : this.e, z3 ? this.e : false);
                if (z3) {
                    this.c.g();
                } else {
                    this.c.h();
                }
            }
            GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
            GLES20.glClear(LogType.UNEXP_RESTART);
            GLES20.glBindFramebuffer(36160, 0);
            this.c.a(i2);
            g();
            if (this.b != null) {
                this.b.c();
            }
        }
    }

    private void g() {
        int i2;
        if (this.j) {
            int i3 = this.h;
            if (!(i3 == 0 || (i2 = this.i) == 0)) {
                boolean z = i3 <= i2;
                final int i4 = this.i;
                int i5 = this.h;
                if (i4 < i5) {
                    i4 = i5;
                }
                final int i6 = this.i;
                int i7 = this.h;
                if (i6 >= i7) {
                    i6 = i7;
                }
                if (z) {
                    i6 = i4;
                    i4 = i6;
                }
                final ByteBuffer allocate = ByteBuffer.allocate(i4 * i6 * 4);
                final Bitmap createBitmap = Bitmap.createBitmap(i4, i6, Bitmap.Config.ARGB_8888);
                allocate.position(0);
                GLES20.glReadPixels(0, 0, i4, i6, 6408, 5121, allocate);
                final n nVar = this.k;
                if (nVar != null) {
                    new Thread(new Runnable() {
                        /* class com.tencent.liteav.basic.d.d.AnonymousClass2 */

                        public void run() {
                            allocate.position(0);
                            createBitmap.copyPixelsFromBuffer(allocate);
                            Matrix matrix = new Matrix();
                            matrix.setScale(1.0f, -1.0f);
                            nVar.onTakePhotoComplete(Bitmap.createBitmap(createBitmap, 0, 0, i4, i6, matrix, false));
                            createBitmap.recycle();
                        }
                    }).start();
                }
            }
            this.k = null;
            this.j = false;
        }
    }
}
