package com.tencent.liteav.videoencoder;

import android.opengl.GLES20;
import android.os.Bundle;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.c;
import com.tencent.liteav.beauty.b.k;
import com.tencent.rtmp.TXLiveConstants;
import io.dcloud.sdk.core.util.Const;
import java.lang.ref.WeakReference;
import java.util.LinkedList;
import java.util.Queue;
import java.util.Timer;
import java.util.TimerTask;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCVideoEncoder */
public class b extends com.tencent.liteav.basic.module.a {
    private static Integer r = 1;
    private static final String u = b.class.getSimpleName();
    private static int v = 0;
    private c a = null;
    private d b = null;
    private WeakReference<com.tencent.liteav.basic.c.a> c = null;
    private int d = 0;
    private int e = 2;
    private int f = 1;
    private Timer g = null;
    private TimerTask h = null;
    private LinkedList<Runnable> i = new LinkedList<>();
    private TXSVideoEncoderParam j;
    private float k = 0.0f;
    private float l = 0.0f;
    private float m = 0.0f;
    private int n = 0;
    private int o = 0;
    private com.tencent.liteav.basic.d.b p;
    private c q;
    private boolean s;
    private k t;

    static /* synthetic */ int k(b bVar) {
        int i2 = bVar.n + 1;
        bVar.n = i2;
        return i2;
    }

    public b(int i2) {
        this.e = i2;
    }

    public int a(TXSVideoEncoderParam tXSVideoEncoderParam) {
        int i2;
        int i3;
        this.j = tXSVideoEncoderParam;
        if (tXSVideoEncoderParam.enableBlackList) {
            i2 = com.tencent.liteav.basic.e.b.a().c();
        } else {
            i2 = 2;
        }
        if (this.e == 1 && i2 != 0) {
            this.a = new a();
            this.f = 1;
            a(1008, "启动硬编", 1);
        } else if (this.e == 3 && tXSVideoEncoderParam.width == 720 && tXSVideoEncoderParam.height == 1280 && i2 != 0) {
            this.a = new a();
            this.f = 1;
            a(1008, "启动硬编", 1);
        } else {
            this.a = new TXCSWVideoEncoder();
            this.f = 2;
            a(1008, "启动软编", 2);
        }
        setStatusValue(4007, Long.valueOf((long) this.f));
        c cVar = this.a;
        if (cVar != null) {
            d dVar = this.b;
            if (dVar != null) {
                cVar.setListener(dVar);
            }
            int i4 = this.d;
            if (i4 != 0) {
                this.a.setBitrate(i4);
            }
            this.a.setID(getID());
            i3 = this.a.start(tXSVideoEncoderParam);
            if (i3 != 0) {
                String str = this.f == 1 ? Const.TYPE_HW : "sw";
                String str2 = u;
                TXCLog.d(str2, "start video encode " + str);
                return i3;
            }
        } else {
            i3 = 10000002;
        }
        if (this.e == 3) {
            this.k = 0.0f;
            this.l = 0.0f;
            this.m = 0.0f;
            this.n = 0;
            this.o = com.tencent.liteav.basic.e.b.a().f();
            c();
        }
        return i3;
    }

    @Override // com.tencent.liteav.basic.module.a
    public void setID(String str) {
        super.setID(str);
        c cVar = this.a;
        if (cVar != null) {
            cVar.setID(str);
        }
        setStatusValue(4007, Long.valueOf((long) this.f));
    }

    public EGLContext a(final int i2, final int i3) {
        c cVar;
        if (!this.s) {
            this.s = true;
            synchronized (r) {
                StringBuilder sb = new StringBuilder();
                sb.append("CVGLThread");
                Integer num = r;
                r = Integer.valueOf(r.intValue() + 1);
                sb.append(num);
                cVar = new c(sb.toString());
                this.q = cVar;
            }
            final boolean[] zArr = new boolean[1];
            cVar.a(new Runnable() {
                /* class com.tencent.liteav.videoencoder.b.AnonymousClass1 */

                public void run() {
                    b.this.p = com.tencent.liteav.basic.d.b.a(null, null, null, i2, i3);
                    zArr[0] = b.this.p != null;
                }
            });
            if (zArr[0]) {
                return this.p.c();
            }
            return null;
        }
        com.tencent.liteav.basic.d.b bVar = this.p;
        if (bVar != null) {
            return bVar.c();
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public void a(Runnable runnable) {
        synchronized (this.i) {
            this.i.add(runnable);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0014, code lost:
        r0.run();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0018, code lost:
        return true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0011, code lost:
        if (r0 != null) goto L_0x0014;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0013, code lost:
        return false;
     */
    private boolean a(Queue<Runnable> queue) {
        synchronized (queue) {
            if (queue.isEmpty()) {
                return false;
            }
            Runnable poll = queue.poll();
        }
    }

    public long a(final byte[] bArr, final int i2, final int i3, final int i4, final long j2) {
        if (this.p == null) {
            return -1;
        }
        this.q.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.b.AnonymousClass2 */

            public void run() {
                if (!(b.this.t != null && b.this.t.n() == i3 && b.this.t.o() == i4)) {
                    if (b.this.t != null) {
                        b.this.t.d();
                        b.this.t = null;
                    }
                    b.this.t = new k(i2);
                    if (!b.this.t.a()) {
                        b.this.p.b();
                        b.this.p = null;
                        b.this.t = null;
                        return;
                    }
                    b.this.t.a(true);
                    b.this.t.a(i3, i4);
                }
                b.this.t.a(bArr);
                GLES20.glViewport(0, 0, i3, i4);
                int q = b.this.t.q();
                GLES20.glFlush();
                b.this.a(q, i3, i4, j2);
            }
        });
        return 0;
    }

    public void a() {
        c cVar = this.q;
        if (cVar != null) {
            final com.tencent.liteav.basic.d.b bVar = this.p;
            cVar.b(new Runnable() {
                /* class com.tencent.liteav.videoencoder.b.AnonymousClass3 */

                public void run() {
                    b.this.i.clear();
                    if (b.this.a != null) {
                        b.this.a.stop();
                    }
                    if (b.this.t != null) {
                        b.this.t.d();
                        b.this.t = null;
                    }
                    com.tencent.liteav.basic.d.b bVar = bVar;
                    if (bVar != null) {
                        bVar.b();
                    }
                }
            });
            this.q = null;
            this.p = null;
        } else {
            this.i.clear();
            c cVar2 = this.a;
            if (cVar2 != null) {
                cVar2.stop();
            }
        }
        if (this.e == 3) {
            this.k = 0.0f;
            this.l = 0.0f;
            this.m = 0.0f;
            this.n = 0;
            d();
        }
        this.b = null;
        this.d = 0;
    }

    public void a(int i2) {
        c cVar = this.a;
        if (cVar != null) {
            cVar.setRotation(i2);
        }
    }

    public long a(int i2, int i3, int i4, long j2) {
        do {
        } while (a(this.i));
        c cVar = this.a;
        if (cVar != null) {
            return cVar.pushVideoFrame(i2, i3, i4, j2);
        }
        return 10000002;
    }

    public void a(com.tencent.liteav.basic.c.a aVar) {
        this.c = new WeakReference<>(aVar);
    }

    public void a(d dVar) {
        this.b = dVar;
        a(new Runnable() {
            /* class com.tencent.liteav.videoencoder.b.AnonymousClass4 */

            public void run() {
                if (b.this.a != null) {
                    b.this.a.setListener(b.this.b);
                }
            }
        });
    }

    public void b(int i2) {
        this.d = i2;
        a(new Runnable() {
            /* class com.tencent.liteav.videoencoder.b.AnonymousClass5 */

            public void run() {
                if (b.this.a != null) {
                    b.this.a.setBitrate(b.this.d);
                }
            }
        });
    }

    public boolean c(int i2) {
        c cVar = this.a;
        if (cVar == null) {
            return false;
        }
        cVar.setEncodeIdrFpsFromQos(i2);
        return true;
    }

    public double b() {
        c cVar = this.a;
        if (cVar != null) {
            return cVar.getRealFPS();
        }
        return 0.0d;
    }

    private void c() {
        if (this.h == null) {
            this.h = new a(this);
        }
        Timer timer = new Timer();
        this.g = timer;
        timer.schedule(this.h, 1000, 1000);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d() {
        Timer timer = this.g;
        if (timer != null) {
            timer.cancel();
            this.g = null;
        }
        if (this.h != null) {
            this.h = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, String str) {
        com.tencent.liteav.basic.c.a aVar;
        WeakReference<com.tencent.liteav.basic.c.a> weakReference = this.c;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("EVT_ID", i2);
            bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
            aVar.onNotifyEvent(i2, bundle);
        }
    }

    private void a(int i2, String str, int i3) {
        com.tencent.liteav.basic.c.a aVar;
        WeakReference<com.tencent.liteav.basic.c.a> weakReference = this.c;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("EVT_ID", i2);
            bundle.putLong("EVT_TIME", TXCTimeUtil.getTimeTick());
            bundle.putCharSequence(TXLiveConstants.EVT_DESCRIPTION, str);
            bundle.putInt("EVT_PARAM1", i3);
            aVar.onNotifyEvent(i2, bundle);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e() {
        a(new Runnable() {
            /* class com.tencent.liteav.videoencoder.b.AnonymousClass6 */

            public void run() {
                b.this.a((b) 1107, (int) "软编切硬编");
                if (b.this.a != null) {
                    b.this.a.setListener(null);
                    b.this.a.stop();
                }
                b.this.a = new a();
                b.this.f = 1;
                b bVar = b.this;
                bVar.setStatusValue(4007, Long.valueOf((long) bVar.f));
                b.this.a.start(b.this.j);
                if (b.this.b != null) {
                    b.this.a.setListener(b.this.b);
                }
                if (b.this.d != 0) {
                    b.this.a.setBitrate(b.this.d);
                }
                b.this.a.setID(b.this.getID());
            }
        });
        TXCLog.w("TXCVideoEncoder", "switchSWToHW");
    }

    /* access modifiers changed from: package-private */
    /* compiled from: TXCVideoEncoder */
    public static class a extends TimerTask {
        private WeakReference<b> a;

        public a(b bVar) {
            this.a = new WeakReference<>(bVar);
        }

        public void run() {
            b bVar;
            WeakReference<b> weakReference = this.a;
            if (weakReference != null && (bVar = weakReference.get()) != null) {
                if (bVar.n < bVar.o) {
                    int[] a2 = com.tencent.liteav.basic.util.b.a();
                    b.k(bVar);
                    bVar.k += (float) (a2[0] / 10);
                    bVar.l += (float) (a2[1] / 10);
                    bVar.m = (float) (((double) bVar.m) + ((bVar.b() * 100.0d) / ((double) bVar.j.fps)));
                    return;
                }
                if (com.tencent.liteav.basic.e.b.a().a(bVar.k / ((float) bVar.o), bVar.l / ((float) bVar.o), bVar.m / ((float) bVar.o)) && com.tencent.liteav.basic.e.b.a().c() != 0) {
                    bVar.e();
                }
                bVar.d();
            }
        }
    }
}
