package com.tencent.smtt.sdk;

import android.app.AlertDialog;
import android.content.ComponentName;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.content.pm.ProviderInfo;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.Log;
import android.webkit.CookieManager;
import android.webkit.CookieSyncManager;
import android.webkit.ValueCallback;
import android.webkit.WebIconDatabase;
import android.webkit.WebStorage;
import android.webkit.WebView;
import android.webkit.WebViewDatabase;
import androidx.core.provider.FontsContractCompat;
import com.taobao.weex.el.parse.Operators;
import com.tencent.connect.common.Constants;
import com.tencent.ijk.media.player.IjkMediaMeta;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.smtt.export.external.DexLoader;
import com.tencent.smtt.export.external.interfaces.IX5WebViewBase;
import com.tencent.smtt.sdk.TbsDownloadConfig;
import com.tencent.smtt.sdk.TbsDownloader;
import com.tencent.smtt.sdk.TbsListener;
import com.tencent.smtt.sdk.TbsLogReport;
import com.tencent.smtt.sdk.TbsPrivacyAccess;
import com.tencent.smtt.sdk.stat.MttLoader;
import com.tencent.smtt.sdk.ui.dialog.d;
import com.tencent.smtt.sdk.ui.dialog.e;
import com.tencent.smtt.utils.Apn;
import com.tencent.smtt.utils.FileProvider;
import com.tencent.smtt.utils.FileUtil;
import com.tencent.smtt.utils.TbsLog;
import com.tencent.smtt.utils.TbsLogClient;
import com.tencent.smtt.utils.b;
import com.tencent.smtt.utils.f;
import com.tencent.smtt.utils.j;
import com.tencent.smtt.utils.n;
import com.tencent.smtt.utils.r;
import com.tencent.smtt.utils.s;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.CustomPath;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.lang.reflect.Constructor;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Properties;
import org.json.JSONArray;
import org.json.JSONObject;

public class QbSdk {
    private static int A = 170;
    private static String B = null;
    private static String C = null;
    public static final int CORE_VER_ENABLE_202112 = 45912;
    public static final int CORE_VER_ENABLE_202207 = 46110;
    private static boolean D = false;
    private static boolean E = false;
    public static final int EXTENSION_INIT_FAILURE = -99999;
    private static TbsListener F = null;
    public static final String FILERADER_MENUDATA = "menuData";
    private static TbsListener G = null;
    private static boolean H = false;
    private static boolean I = false;
    private static boolean J = false;
    private static int K = -1;
    public static final String KEY_SET_SENDREQUEST_AND_UPLOAD = "SET_SENDREQUEST_AND_UPLOAD";
    public static final String KEY_THIRD_PARTY_TURING = "turing";
    public static final String LOGIN_TYPE_KEY_PARTNER_CALL_POS = "PosID";
    public static final String LOGIN_TYPE_KEY_PARTNER_ID = "ChannelID";
    public static final String PARAM_KEY_FEATUREID = "param_key_featureid";
    public static final String PARAM_KEY_FUNCTIONID = "param_key_functionid";
    public static final String PARAM_KEY_POSITIONID = "param_key_positionid";
    public static final int QBMODE = 2;
    public static final String SHARE_PREFERENCES_NAME = "tbs_file_open_dialog_config";
    public static final String SVNVERSION = "jnizz";
    public static final int TBSMODE = 1;
    public static final String TID_QQNumber_Prefix = "QQ:";
    @Deprecated
    public static final String USER_ID_FROM_APP_ANDROID_ID = TbsPrivacyAccess.ConfigurablePrivacy.ANDROID_ID.a;
    @Deprecated
    public static final String USER_ID_FROM_APP_ANDROID_VERSION = TbsPrivacyAccess.ConfigurablePrivacy.ANDROID_VERSION.a;
    @Deprecated
    public static final String USER_ID_FROM_APP_DEVICE_MODEL = TbsPrivacyAccess.ConfigurablePrivacy.DEVICE_MODEL.a;
    @Deprecated
    public static final String USER_ID_FROM_APP_IMSI = TbsPrivacyAccess.ConfigurablePrivacy.IMSI.a;
    @Deprecated
    public static final String USER_ID_FROM_APP_MAC = TbsPrivacyAccess.ConfigurablePrivacy.MAC.a;
    public static final String USER_ID_FROM_APP_QIMEI36 = TbsPrivacyAccess.ConfigurablePrivacy.QIMEI36.a;
    public static final int VERSION = 1;
    static boolean a = false;
    static boolean b = false;
    static boolean c = true;
    static String d;
    static boolean e = false;
    static long f = 0;
    static long g = 0;
    static Object h = new Object();
    static boolean i = true;
    public static boolean isDefaultDialog = false;
    static boolean j = true;
    static boolean k = false;
    static boolean l = false;
    static volatile boolean m = a;
    public static boolean mDisableUseHostBackupCore = false;
    static TbsListener n = new TbsListener() {
        /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass7 */

        @Override // com.tencent.smtt.sdk.TbsListener
        public void onDownloadFinish(int i) {
            TbsDownloader.a = false;
            if (QbSdk.F != null) {
                QbSdk.F.onDownloadFinish(i);
            }
            if (QbSdk.G != null) {
                QbSdk.G.onDownloadFinish(i);
            }
        }

        @Override // com.tencent.smtt.sdk.TbsListener
        public void onDownloadProgress(int i) {
            if (QbSdk.G != null) {
                QbSdk.G.onDownloadProgress(i);
            }
            if (QbSdk.F != null) {
                QbSdk.F.onDownloadProgress(i);
            }
        }

        @Override // com.tencent.smtt.sdk.TbsListener
        public void onInstallFinish(int i) {
            if (i != 243 || QbSdk.G == null) {
                if (i != 200) {
                }
                TbsLog.i("QbSdk", "onInstallFinish errCode is " + i, true);
                QbSdk.setTBSInstallingStatus(false);
                TbsDownloader.a = false;
                if (QbSdk.F != null) {
                    QbSdk.F.onInstallFinish(i);
                }
                if (QbSdk.G != null) {
                    QbSdk.G.onInstallFinish(i);
                    return;
                }
                return;
            }
            QbSdk.G.onInstallFinish(i);
        }
    };
    static Map<String, Object> o = null;
    private static int p = 0;
    private static String q = "";
    private static Class<?> r = null;
    private static Object s = null;
    public static boolean sIsVersionPrinted = false;
    private static boolean t = false;
    private static String[] u;
    private static String v = "NULL";
    private static String w = Constants.APP_VERSION_UNKNOWN;
    private static boolean x = false;
    private static int y = -1;
    private static int z = 0;

    public interface PreInitCallback {
        void onCoreInitFinished();

        void onViewInitFinished(boolean z);
    }

    static Bundle a(Context context, Bundle bundle) throws Exception {
        TbsLogReport instance;
        String str;
        if (!a(context)) {
            instance = TbsLogReport.getInstance(context);
            str = "initForPatch return false!";
        } else {
            Object a2 = j.a(s, "incrUpdate", new Class[]{Context.class, Bundle.class}, context, bundle);
            if (a2 != null) {
                return (Bundle) a2;
            }
            instance = TbsLogReport.getInstance(context);
            str = "incrUpdate return null!";
        }
        instance.setInstallErrorCode(216, str);
        return null;
    }

    private static Bundle a(Context context, Map<String, String> map) {
        if (map == null) {
            return null;
        }
        try {
            Bundle bundle = new Bundle();
            bundle.putString("style", map.get("style") == null ? "0" : map.get("style"));
            try {
                bundle.putInt("topBarBgColor", Color.parseColor(map.get("topBarBgColor")));
            } catch (Exception e2) {
            }
            if (map != null && map.containsKey(FILERADER_MENUDATA)) {
                JSONObject jSONObject = new JSONObject(map.get(FILERADER_MENUDATA));
                JSONArray jSONArray = jSONObject.getJSONArray("menuItems");
                if (jSONArray != null) {
                    ArrayList<? extends Parcelable> arrayList = new ArrayList<>();
                    int i2 = 0;
                    while (i2 < jSONArray.length() && i2 < 5) {
                        try {
                            JSONObject jSONObject2 = (JSONObject) jSONArray.get(i2);
                            arrayList.add(i2, BitmapFactory.decodeResource(context.getResources(), jSONObject2.getInt("iconResId")));
                            jSONObject2.put("iconResId", i2);
                        } catch (Exception e3) {
                        }
                        i2++;
                    }
                    bundle.putParcelableArrayList("resArray", arrayList);
                }
                bundle.putString(FILERADER_MENUDATA, jSONObject.toString());
            }
            return bundle;
        } catch (Exception e4) {
            e4.printStackTrace();
            return null;
        }
    }

    static Object a(Context context, String str, Bundle bundle) {
        if (!a(context)) {
            return Integer.valueOf((int) EXTENSION_INIT_FAILURE);
        }
        Object a2 = j.a(s, "miscCall", new Class[]{String.class, Bundle.class}, str, bundle);
        if (a2 != null) {
            return a2;
        }
        return null;
    }

    static String a() {
        return q;
    }

    static void a(Context context, Integer num, Map<Integer, String> map) {
        if (a(context)) {
            j.a(s, "dispatchEmergencyCommand", new Class[]{Integer.class, Map.class}, num, map);
        }
    }

    static synchronized void a(Context context, String str) {
        synchronized (QbSdk.class) {
            if (b) {
                TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_FORCE_SYSTEM_WEBVIEW_OUTER, new Throwable(v));
            } else if (!a) {
                a = true;
                w = "forceSysWebViewInner: " + str;
                TbsLog.e("QbSdk", "forceSysWebViewInner", "Reason:" + w);
                TbsLog.e("QbSdk", "forceSysWebViewInner", Log.getStackTraceString(new Throwable("#")));
                TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_FORCE_SYSTEM_WEBVIEW_INNER);
            }
        }
    }

    static boolean a(Context context) {
        try {
            if (r != null) {
                return true;
            }
            File p2 = o.a().p(context);
            if (p2 == null) {
                TbsLog.e("QbSdk", "QbSdk initExtension (false) optDir == null");
                return false;
            }
            File file = new File(p2, "tbs_sdk_extension_dex.jar");
            if (!file.exists()) {
                TbsLog.e("QbSdk", "QbSdk initExtension (false) dexFile.exists()=false", true);
                return false;
            }
            TbsLog.i("QbSdk", "new DexLoader #3 dexFile is " + file.getAbsolutePath());
            w.a().b(context);
            n.a(context);
            r = new DexLoader(file.getParent(), context, new String[]{file.getAbsolutePath()}, p2.getAbsolutePath(), getSettings()).loadClass("com.tencent.tbs.sdk.extension.TbsSDKExtension");
            if (isEnableSensitiveApi() || j.a(r, "isSuiteableGetSensitative", (Class<?>[]) new Class[0], new Object[0]) != null) {
                loadTBSSDKExtension(context, file.getParent());
                return true;
            }
            TbsLog.e("QbSdk", "isSuiteableGetSensitative check failed,can not use x5");
            return false;
        } catch (Throwable th) {
            TbsLog.e("QbSdk", "initExtension sys WebView: " + Log.getStackTraceString(th));
            return false;
        }
    }

    static boolean a(Context context, int i2) {
        return a(context, i2, 20000);
    }

    static boolean a(Context context, int i2, int i3) {
        Map<String, Object> map = o;
        if (map == null || !map.containsKey(KEY_SET_SENDREQUEST_AND_UPLOAD) || !o.get(KEY_SET_SENDREQUEST_AND_UPLOAD).equals(AbsoluteConst.FALSE)) {
            boolean z2 = false;
            if (isEnableSensitiveApi() || j.a(r, "isSuiteableGetSensitative", (Class<?>[]) new Class[0], new Object[0]) != null) {
                o a2 = o.a();
                if (g.a == 0) {
                    z2 = true;
                }
                a2.b(context, z2);
                if (!d(context)) {
                    return true;
                }
                return TbsDownloader.isTbsCoreDisabledBySwitch(context.getApplicationContext(), i2);
            }
            TbsLog.e("QbSdk", "isSuiteableGetSensitative check failed,can not use x5");
            return false;
        }
        TbsLog.i("QbSdk", "[QbSdk.isX5Disabled] -- SET_SENDREQUEST_AND_UPLOAD is false");
        return true;
    }

    private static boolean a(Context context, boolean z2) {
        TbsLog.initIfNeed(context);
        if (!sIsVersionPrinted) {
            TbsLog.i("QbSdk", "svn revision: jnizz; SDK_VERSION_CODE: 44226; SDK_VERSION_NAME: 4.3.0.326");
            sIsVersionPrinted = true;
        }
        if (a && !z2) {
            TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_SDKINIT_IS_SYS_FORCED);
            TbsLog.e("QbSdk", "init", "Force WebView Inner, " + w);
            return false;
        } else if (b) {
            TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_FORCE_SYSTEM_WEBVIEW_OUTER, new Throwable(v));
            TbsLog.e("QbSdk", "init", "QbSdk init mIsSysWebViewForcedByOuter = true, " + v);
            return false;
        } else if (!b.b()) {
            TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.ERROR_CPU_NOT_SUPPORT, new Throwable(b.c));
            TbsLog.i("QbSdk", "init", "cpu is invalid: " + b.c);
            return false;
        } else {
            if (TbsPVConfig.getInstance(context).isEnableProtection()) {
                e(context);
            }
            try {
                File p2 = o.a().p(context);
                if (p2 == null) {
                    TbsCoreLoadStat.getInstance().a(context, 312, new Throwable("QbSdk.init (false) TbsCoreShareDir is null"));
                    return false;
                }
                int a2 = o.a().a(true, context);
                if (p == 0 || p == a2) {
                    p = a2;
                    if (TbsDownloader.a(context, a2)) {
                        TbsLog.w("QbSdk", "init", "version " + p + " is in blacklist,can not load! return");
                        return false;
                    } else if (!isCoreVerEnabled(context, p)) {
                        TbsLog.w("QbSdk", "version " + p + " is in below min-version that app set by QbSdk.setCoreMinVersion, reset and not load.");
                        return false;
                    } else {
                        if (y == -1) {
                            boolean isTbsCoreDisabledBySwitch = TbsDownloader.isTbsCoreDisabledBySwitch(context.getApplicationContext(), p);
                            y = isTbsCoreDisabledBySwitch ? 0 : 1;
                            if (isTbsCoreDisabledBySwitch) {
                                TbsLog.w("QbSdk", "init", "version " + p + "is disable by remote switch");
                                TbsCoreLoadStat instance = TbsCoreLoadStat.getInstance();
                                instance.a(context, TbsListener.ErrorCode.WARNING_REMOTE_SWITCH_DISABLE, new Throwable("version " + p + "is disable by remote switch"));
                                return false;
                            }
                        } else if (y == 0) {
                            TbsLog.w("QbSdk", "init", "version " + p + "is disable by remote switch");
                            return false;
                        }
                        if (r != null && s != null) {
                            return true;
                        }
                        File p3 = o.a().p(context);
                        File file = new File(p3, "tbs_sdk_extension_dex.jar");
                        if (!file.exists()) {
                            try {
                                int h2 = o.a().h(context);
                                if (h2 > 0) {
                                    File file2 = new File(file.getParentFile(), "tbs_jars_fusion_dex.jar");
                                    TbsCoreLoadStat instance2 = TbsCoreLoadStat.getInstance();
                                    instance2.a(context, TbsListener.ErrorCode.INFO_MISS_SDKEXTENSION_JAR, new Throwable("[loadMsg] extension is miss, fusion exist is " + file2.exists() + ", core is " + h2 + ", dexPath is " + file.getPath()));
                                } else {
                                    TbsCoreLoadStat instance3 = TbsCoreLoadStat.getInstance();
                                    instance3.a(context, TbsListener.ErrorCode.INFO_CORE_NOT_EXIST, new Throwable("core path: " + p3));
                                }
                            } catch (Throwable th) {
                                th.printStackTrace();
                            }
                            return false;
                        }
                        String hostCorePathAppDefined = TbsShareManager.getHostCorePathAppDefined() != null ? TbsShareManager.getHostCorePathAppDefined() : p2.getAbsolutePath();
                        TbsLog.i("QbSdk", "init", "optDirExtension #1 is " + hostCorePathAppDefined);
                        TbsLog.i("QbSdk", "init", "new DexLoader #1 dexFile is " + file.getAbsolutePath());
                        w.a().b(context);
                        n.a(context);
                        r = new DexLoader(file.getParent(), context, new String[]{file.getAbsolutePath()}, hostCorePathAppDefined, getSettings()).loadClass("com.tencent.tbs.sdk.extension.TbsSDKExtension");
                        if (isEnableSensitiveApi() || j.a(r, "isSuiteableGetSensitative", (Class<?>[]) new Class[0], new Object[0]) != null) {
                            loadTBSSDKExtension(context, file.getParent());
                            j.a(s, "setClientVersion", new Class[]{Integer.TYPE}, 1);
                            return true;
                        }
                        TbsLog.e("QbSdk", "init", "isSuiteableGetSensitative check failed, can not use x5");
                        return false;
                    }
                } else {
                    r = null;
                    s = null;
                    TbsCoreLoadStat instance4 = TbsCoreLoadStat.getInstance();
                    instance4.a(context, 303, new Throwable("sTbsVersion: " + p + "; tbsCoreInstalledVer: " + a2));
                    return false;
                }
            } catch (Throwable th2) {
                TbsLog.e("QbSdk", "QbSdk init Throwable: " + Log.getStackTraceString(th2));
                TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.THROWABLE_QBSDK_INIT, th2);
                return false;
            }
        }
    }

    static boolean a(Context context, boolean z2, boolean z3) {
        TbsLog.i("QbSdk", "canLoadX5", "#1# installTbsCoreIfNeeded");
        boolean z4 = true;
        o.a().b(context, g.a == 0);
        int disabledCoreVersion = TbsPVConfig.getInstance(context).getDisabledCoreVersion();
        int h2 = o.a().h(context);
        TbsLog.i("QbSdk", "canLoadX5", "#1-1# disabledCoreVersion is " + disabledCoreVersion + " localCoreVersion is " + h2);
        if (disabledCoreVersion != 0 && disabledCoreVersion == h2) {
            TbsLog.e("QbSdk", "canLoadX5", "#2-1# force use sys by remote switch");
            return false;
        } else if (!a(context, z2)) {
            TbsLog.e("QbSdk", "canLoadX5", "#2-4# QbSdk.init failure!");
            return false;
        } else {
            Object a2 = j.a(s, "canLoadX5Core", new Class[]{Integer.TYPE}, 44226);
            StringBuilder sb = new StringBuilder();
            sb.append("#3# invoke sExtensionObj canLoadX5Core and ret is ");
            sb.append(a2 != null);
            TbsLog.i("QbSdk", "canLoadX5", sb.toString());
            if (a2 == null) {
                Object a3 = j.a(s, "canLoadX5", new Class[]{Integer.TYPE}, Integer.valueOf(a.a()));
                if (a3 == null) {
                    TbsCoreLoadStat.getInstance().a(context, 308, new Throwable());
                    return false;
                } else if (((a3 instanceof String) && ((String) a3).equalsIgnoreCase("AuthenticationFail")) || !(a3 instanceof Boolean)) {
                    return false;
                } else {
                    p = g.d();
                    boolean a4 = a(context, g.d());
                    if (!((Boolean) a3).booleanValue() || a4) {
                        z4 = false;
                    }
                    if (!z4) {
                        TbsCoreLoadStat instance = TbsCoreLoadStat.getInstance();
                        instance.a(context, TbsListener.ErrorCode.ERROR_QBSDK_INIT_ISSUPPORT, new Throwable("isX5Disable:" + a4 + "(Boolean) ret:" + a3));
                    }
                    return z4;
                }
            } else if ((a2 instanceof String) && ((String) a2).equalsIgnoreCase("AuthenticationFail")) {
                TbsLog.e("QbSdk", "canLoadX5", "[LoadError] authenticationFail");
                return false;
            } else if (!(a2 instanceof Bundle)) {
                TbsCoreLoadStat instance2 = TbsCoreLoadStat.getInstance();
                instance2.a(context, TbsListener.ErrorCode.ERROR_QBSDK_INIT_ERROR_RET_TYPE_NOT_BUNDLE, new Throwable("" + a2));
                TbsLog.e("QbSdk", "canLoadX5", "[LoadError] ret not instance of bundle, ret:" + a2);
                return false;
            } else {
                Bundle bundle = (Bundle) a2;
                if (bundle.isEmpty()) {
                    TbsCoreLoadStat instance3 = TbsCoreLoadStat.getInstance();
                    instance3.a(context, TbsListener.ErrorCode.ERROR_QBSDK_INIT_ERROR_EMPTY_BUNDLE, new Throwable("" + a2));
                    TbsLog.e("QbSdk", "canLoadX5", "[LoadError] empty bundle" + a2);
                    return false;
                }
                try {
                    int i2 = bundle.getInt(FontsContractCompat.Columns.RESULT_CODE, -1);
                    if (i2 != 0) {
                        z4 = false;
                    }
                    if (!z4) {
                        Object obj = null;
                        try {
                            obj = j.a(s, "getErrorCodeForLogReport", new Class[0], new Object[0]);
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                        if (obj instanceof Integer) {
                            TbsCoreLoadStat instance4 = TbsCoreLoadStat.getInstance();
                            int intValue = ((Integer) obj).intValue();
                            instance4.a(context, intValue, new Throwable("detail: " + obj));
                        } else {
                            TbsCoreLoadStat instance5 = TbsCoreLoadStat.getInstance();
                            instance5.a(context, TbsListener.ErrorCode.ERROR_QBSDK_INIT_RETCODE_ERROR, new Throwable("retcode:" + i2 + "; detail: " + obj));
                        }
                        return false;
                    }
                    try {
                        if (Build.VERSION.SDK_INT >= 12) {
                            q = bundle.getString("tbs_core_version", "0");
                        } else {
                            String string = bundle.getString("tbs_core_version");
                            q = string;
                            if (string == null) {
                                q = "0";
                            }
                        }
                    } catch (Exception e3) {
                        q = "0";
                    }
                    try {
                        p = Integer.parseInt(q);
                    } catch (NumberFormatException e4) {
                        e4.printStackTrace();
                        TbsLog.e("QbSdk", "core version string to num error: " + q);
                        p = 0;
                    }
                    g.a(p);
                    if (p == 0) {
                        TbsCoreLoadStat instance6 = TbsCoreLoadStat.getInstance();
                        instance6.a(context, 307, new Throwable("sTbsVersion is 0, string is " + q));
                        TbsLog.e("QbSdk", "canLoadX5", "[LoadError] sTbsVersion is 0, version string is " + q);
                        return false;
                    }
                    try {
                        String[] stringArray = bundle.getStringArray("tbs_jarfiles");
                        u = stringArray;
                        if (stringArray == null) {
                            TbsCoreLoadStat instance7 = TbsCoreLoadStat.getInstance();
                            instance7.a(context, 307, new Throwable("sJarFiles not instanceof String[]: " + u));
                            TbsLog.e("QbSdk", "canLoadX5", "sJarFiles not instanceof String[]: " + u);
                            return false;
                        }
                        try {
                            d = bundle.getString("tbs_librarypath");
                            return z4;
                        } catch (Exception e5) {
                            TbsCoreLoadStat.getInstance().a(context, 307, e5);
                            return false;
                        }
                    } catch (Throwable th) {
                        TbsCoreLoadStat.getInstance().a(context, 322, th);
                        return false;
                    }
                } catch (Exception e6) {
                    TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.ERROR_QBSDK_INIT_RETCODE_ERROR, e6);
                    return false;
                }
            }
        }
    }

    protected static String b() {
        Object invokeStaticMethod;
        w a2 = w.a();
        if (a2 == null || !a2.b() || (invokeStaticMethod = a2.c().b().invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "getGUID", new Class[0], new Object[0])) == null || !(invokeStaticMethod instanceof String)) {
            return null;
        }
        return (String) invokeStaticMethod;
    }

    static boolean b(Context context) {
        if (context == null) {
            return false;
        }
        try {
            if (!context.getApplicationInfo().packageName.contains("com.tencent.portfolio")) {
                return true;
            }
            TbsLog.i("QbSdk", "clearPluginConfigFile #1");
            String string = TbsDownloadConfig.getInstance(context).mPreferences.getString(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONNAME, null);
            String str = context.getPackageManager().getPackageInfo("com.tencent.portfolio", 0).versionName;
            TbsLog.i("QbSdk", "clearPluginConfigFile oldAppVersionName is " + string + " newAppVersionName is " + str);
            if (string == null) {
                return true;
            }
            if (string.contains(str)) {
                return true;
            }
            SharedPreferences sharedPreferences = context.getSharedPreferences("plugin_setting", 0);
            if (sharedPreferences == null) {
                return true;
            }
            SharedPreferences.Editor edit = sharedPreferences.edit();
            edit.clear();
            edit.commit();
            TbsLog.i("QbSdk", "clearPluginConfigFile done");
            return true;
        } catch (Throwable th) {
            TbsLog.i("QbSdk", "clearPluginConfigFile error is " + th.getMessage());
            return false;
        }
    }

    public static boolean canDownloadWithoutWifi() {
        return H;
    }

    @Deprecated
    public static void canGetAndroidId(boolean z2) {
        TbsPrivacyAccess.AndroidId.setEnabled(z2);
    }

    @Deprecated
    public static void canGetDeviceId(boolean z2) {
        TbsPrivacyAccess.DeviceId.setEnabled(z2);
    }

    @Deprecated
    public static void canGetSubscriberId(boolean z2) {
        TbsPrivacyAccess.Imsi.setEnabled(z2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:8:0x0036  */
    public static boolean canLoadVideo(Context context) {
        int i2;
        TbsCoreLoadStat tbsCoreLoadStat;
        Object a2 = j.a(s, "canLoadVideo", new Class[]{Integer.TYPE}, 0);
        if (a2 != null) {
            if (!((Boolean) a2).booleanValue()) {
                tbsCoreLoadStat = TbsCoreLoadStat.getInstance();
                i2 = TbsListener.ErrorCode.ERROR_CANLOADVIDEO_RETURN_FALSE;
            }
            if (a2 != null) {
                return false;
            }
            return ((Boolean) a2).booleanValue();
        }
        tbsCoreLoadStat = TbsCoreLoadStat.getInstance();
        i2 = TbsListener.ErrorCode.ERROR_CANLOADVIDEO_RETURN_NULL;
        tbsCoreLoadStat.a(context, i2);
        if (a2 != null) {
        }
    }

    @Deprecated
    public static boolean canLoadX5(Context context) {
        return a(context, false, false);
    }

    @Deprecated
    public static boolean canLoadX5FirstTimeThirdApp(Context context) {
        return false;
    }

    public static void canOpenFile(final Context context, final String str, final ValueCallback<Boolean> valueCallback) {
        new Thread() {
            /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass1 */

            public void run() {
                w a2 = w.a();
                a2.a(context);
                final boolean a3 = a2.b() ? a2.c().a(context, str) : false;
                new Handler(Looper.getMainLooper()).post(new Runnable() {
                    /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass1.AnonymousClass1 */

                    public void run() {
                        valueCallback.onReceiveValue(Boolean.valueOf(a3));
                    }
                });
            }
        }.start();
    }

    public static boolean canOpenMimeFileType(Context context, String str) {
        a(context, false);
        return false;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r6v4, types: [java.io.FileInputStream, java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r0v13, types: [java.util.Properties] */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00fd A[SYNTHETIC, Splitter:B:51:0x00fd] */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x0137 A[SYNTHETIC, Splitter:B:74:0x0137] */
    /* JADX WARNING: Unknown variable types count: 2 */
    public static boolean canOpenWebPlus(Context context) {
        Throwable th;
        if (z == 0) {
            z = a.a();
        }
        TbsLog.i("QbSdk", "canOpenWebPlus - totalRAM: " + z);
        boolean z2 = false;
        if (Build.VERSION.SDK_INT < 7 || z < A || context == null) {
            return false;
        }
        BufferedInputStream bufferedInputStream = null;
        try {
            BufferedInputStream bufferedInputStream2 = new BufferedInputStream(new FileInputStream(new File(o.a().p(context), "tbs.conf")));
            try {
                Properties properties = new Properties();
                properties.load(bufferedInputStream2);
                String property = properties.getProperty("android_sdk_max_supported");
                String property2 = properties.getProperty("android_sdk_min_supported");
                int parseInt = Integer.parseInt(property);
                int parseInt2 = Integer.parseInt(property2);
                int parseInt3 = Integer.parseInt(Build.VERSION.SDK);
                if (parseInt3 <= parseInt) {
                    if (parseInt3 >= parseInt2) {
                        int parseInt4 = Integer.parseInt(properties.getProperty("tbs_core_version"));
                        try {
                            bufferedInputStream2.close();
                        } catch (Exception e2) {
                        }
                        try {
                            ?? fileInputStream = new FileInputStream(new File(o.r(context), "tbs_extension.conf"));
                            try {
                                ?? properties2 = new Properties();
                                properties2.load(fileInputStream);
                                int parseInt5 = Integer.parseInt(properties2.getProperty("tbs_local_version"));
                                int parseInt6 = Integer.parseInt(properties2.getProperty(TbsDownloadConfig.TbsConfigKey.KEY_APP_VERSIONCODE_FOR_SWITCH));
                                if (parseInt4 != 88888888) {
                                    if (parseInt5 != 88888888) {
                                        if (parseInt4 <= parseInt5) {
                                            if (parseInt4 == parseInt5) {
                                                if (parseInt6 <= 0 || parseInt6 == b.e(context)) {
                                                    if (Boolean.parseBoolean(properties2.getProperty("x5_disabled")) && !TbsDownloadConfig.getInstance(context.getApplicationContext()).mPreferences.getBoolean(TbsDownloadConfig.TbsConfigKey.KEY_SWITCH_BACKUPCORE_ENABLE, false)) {
                                                        z2 = true;
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                                try {
                                    fileInputStream.close();
                                } catch (Exception e3) {
                                }
                            } catch (Throwable th2) {
                                bufferedInputStream = fileInputStream;
                                try {
                                    TbsLog.i("QbSdk", "canOpenWebPlus - isX5Disabled Exception");
                                    z2 = true;
                                    return !z2;
                                } finally {
                                    if (bufferedInputStream != null) {
                                        try {
                                            bufferedInputStream.close();
                                        } catch (Exception e4) {
                                        }
                                    }
                                }
                            }
                        } catch (Throwable th3) {
                            TbsLog.i("QbSdk", "canOpenWebPlus - isX5Disabled Exception");
                            z2 = true;
                            return !z2;
                        }
                        return !z2;
                    }
                }
                TbsLog.i("QbSdk", "canOpenWebPlus - sdkVersion: " + parseInt3);
                try {
                    bufferedInputStream2.close();
                } catch (Exception e5) {
                }
                return false;
            } catch (Throwable th4) {
                th = th4;
                bufferedInputStream = bufferedInputStream2;
                try {
                    th.printStackTrace();
                    TbsLog.i("QbSdk", "canOpenWebPlus - canLoadX5 Exception");
                    return false;
                } finally {
                    if (bufferedInputStream != null) {
                        try {
                            bufferedInputStream.close();
                        } catch (Exception e6) {
                        }
                    }
                }
            }
        } catch (Throwable th5) {
            th = th5;
            th.printStackTrace();
            TbsLog.i("QbSdk", "canOpenWebPlus - canLoadX5 Exception");
            return false;
        }
    }

    public static boolean canUseVideoFeatrue(Context context, int i2) {
        Object a2 = j.a(s, "canUseVideoFeatrue", new Class[]{Integer.TYPE}, Integer.valueOf(i2));
        if (a2 == null || !(a2 instanceof Boolean)) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }

    public static boolean checkApkExist(Context context, String str) {
        if (str != null && !"".equals(str)) {
            try {
                context.getPackageManager().getApplicationInfo(str, 8192);
                return true;
            } catch (PackageManager.NameNotFoundException e2) {
            }
        }
        return false;
    }

    public static boolean checkContentProviderPrivilage(Context context) {
        if (context == null || context.getApplicationInfo().targetSdkVersion < 24 || Build.VERSION.SDK_INT < 24 || "com.tencent.mobileqq".equals(context.getApplicationInfo().packageName)) {
            return true;
        }
        try {
            if (!TextUtils.isEmpty(context.getPackageManager().getProviderInfo(new ComponentName(context.getPackageName(), "android.support.v4.content.FileProvider"), 0).authority)) {
                return true;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        PackageManager packageManager = context.getPackageManager();
        ProviderInfo resolveContentProvider = packageManager.resolveContentProvider(context.getApplicationInfo().packageName + ".provider", 128);
        if (resolveContentProvider == null) {
            Log.e("QbSdk", "Must declare com.tencent.smtt.utils.FileProvider in AndroidManifest above Android 7.0,please view document in x5.tencent.com");
        }
        return resolveContentProvider != null;
    }

    public static void checkTbsValidity(Context context) {
        if (context != null && !n.b(context)) {
            TbsLog.e("QbSdk", "sys WebView: SysWebViewForcedBy checkTbsValidity");
            TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_CORE_CHECK_VALIDITY_FALSE);
            forceSysWebView();
        }
    }

    @Deprecated
    public static void clear(Context context) {
    }

    public static void clearAllDefaultBrowser(Context context) {
        context.getSharedPreferences(SHARE_PREFERENCES_NAME, 0).edit().clear().commit();
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0066  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x006c A[SYNTHETIC, Splitter:B:19:0x006c] */
    public static void clearAllWebViewCache(Context context, boolean z2) {
        boolean z3;
        Throwable th;
        TbsLog.i("QbSdk", "clearAllWebViewCache(" + context + ", " + z2 + Operators.BRACKET_END_STR);
        boolean z4 = false;
        try {
            if (new WebView(context).getWebViewClientExtension() != null) {
                try {
                    w a2 = w.a();
                    if (a2 != null && a2.b()) {
                        a2.c().a(context, z2);
                    }
                    z4 = true;
                } catch (Throwable th2) {
                    th = th2;
                    z3 = true;
                    TbsLog.e("QbSdk", "clearAllWebViewCache exception 2 -- " + Log.getStackTraceString(th));
                    z4 = z3;
                    if (z4) {
                    }
                }
            }
        } catch (Throwable th3) {
            th = th3;
            z3 = false;
            TbsLog.e("QbSdk", "clearAllWebViewCache exception 2 -- " + Log.getStackTraceString(th));
            z4 = z3;
            if (z4) {
            }
        }
        if (z4) {
            TbsLog.i("QbSdk", "is_in_x5_mode --> no need to clear system webview!");
            return;
        }
        try {
            WebView webView = new WebView(context);
            if (Build.VERSION.SDK_INT >= 11) {
                webView.removeJavascriptInterface("searchBoxJavaBridge_");
                webView.removeJavascriptInterface("accessibility");
                webView.removeJavascriptInterface("accessibilityTraversal");
            }
            webView.clearCache(true);
            if (z2) {
                CookieSyncManager.createInstance(context);
                CookieManager.getInstance().removeAllCookie();
            }
            WebViewDatabase.getInstance(context).clearUsernamePassword();
            WebViewDatabase.getInstance(context).clearHttpAuthUsernamePassword();
            WebViewDatabase.getInstance(context).clearFormData();
            WebStorage.getInstance().deleteAllData();
            WebIconDatabase.getInstance().removeAllIcons();
        } catch (Throwable th4) {
            TbsLog.e("QbSdk", "clearAllWebViewCache exception 1 -- " + Log.getStackTraceString(th4));
        }
    }

    public static void clearDefaultBrowser(Context context, String str) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(SHARE_PREFERENCES_NAME, 0);
        String d2 = e.d(str);
        if (TextUtils.isEmpty(d2)) {
            d2 = "*/*";
        }
        SharedPreferences.Editor edit = sharedPreferences.edit();
        edit.remove("key_tbs_picked_default_browser_" + d2).commit();
    }

    @Deprecated
    public static void closeFileReader(Context context) {
        w a2 = w.a();
        a2.a(context);
        if (a2.b()) {
            a2.c().p();
        }
    }

    public static String closeNetLogAndSavaToLocal() {
        w a2 = w.a();
        if (a2 != null && a2.b()) {
            try {
                Object invokeStaticMethod = a2.c().b().invokeStaticMethod("com.tencent.smtt.livelog.NetLogManager", "closeNetLogAndSavaToLocal", new Class[0], new Object[0]);
                if (invokeStaticMethod != null && (invokeStaticMethod instanceof String)) {
                    return (String) invokeStaticMethod;
                }
            } catch (Exception e2) {
            }
        }
        return "";
    }

    public static void configurePrivacy(Context context, TbsPrivacyAccess.ConfigurablePrivacy configurablePrivacy, String str) {
        TbsPrivacyAccess.configurePrivacy(context, configurablePrivacy, str);
    }

    public static boolean createMiniQBShortCut(Context context, String str, String str2, Drawable drawable) {
        w a2;
        if (!(context == null || TbsDownloader.getOverSea(context) || isMiniQBShortCutExist(context, str, str2) || (a2 = w.a()) == null || !a2.b())) {
            Bitmap bitmap = null;
            if (drawable instanceof BitmapDrawable) {
                bitmap = ((BitmapDrawable) drawable).getBitmap();
            }
            DexLoader b2 = a2.c().b();
            TbsLog.e("QbSdk", "qbsdk createMiniQBShortCut");
            Object invokeStaticMethod = b2.invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "createMiniQBShortCut", new Class[]{Context.class, String.class, String.class, Bitmap.class}, context, str, str2, bitmap);
            TbsLog.e("QbSdk", "qbsdk after createMiniQBShortCut ret: " + invokeStaticMethod);
            if (invokeStaticMethod != null) {
                return true;
            }
        }
        return false;
    }

    private static boolean d(Context context) {
        try {
            if (r != null) {
                return true;
            }
            File p2 = o.a().p(context);
            if (p2 == null) {
                TbsLog.e("QbSdk", "QbSdk initForX5DisableConfig (false) optDir == null");
                return false;
            }
            File file = new File(o.a().p(context), "tbs_sdk_extension_dex.jar");
            if (!file.exists()) {
                TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_MISS_SDKEXTENSION_JAR_OLD, new Exception("initForX5DisableConfig failure -- tbs_sdk_extension_dex.jar is not exist!"));
                return false;
            }
            String hostCorePathAppDefined = TbsShareManager.getHostCorePathAppDefined() != null ? TbsShareManager.getHostCorePathAppDefined() : p2.getAbsolutePath();
            TbsLog.i("QbSdk", "QbSdk init optDirExtension #3 is " + hostCorePathAppDefined);
            TbsLog.i("QbSdk", "new DexLoader #4 dexFile is " + file.getAbsolutePath());
            w.a().b(context);
            n.a(context);
            r = new DexLoader(file.getParent(), context, new String[]{file.getAbsolutePath()}, hostCorePathAppDefined, getSettings()).loadClass("com.tencent.tbs.sdk.extension.TbsSDKExtension");
            if (isEnableSensitiveApi() || j.a(r, "isSuiteableGetSensitative", (Class<?>[]) new Class[0], new Object[0]) != null) {
                loadTBSSDKExtension(context, file.getParent());
                j.a(s, "setClientVersion", new Class[]{Integer.TYPE}, 1);
                return true;
            }
            TbsLog.e("QbSdk", "isSuiteableGetSensitative check failed,can not use x5");
            return false;
        } catch (Throwable th) {
            TbsLog.e("QbSdk", "initForX5DisableConfig sys WebView: " + Log.getStackTraceString(th));
            return false;
        }
    }

    public static boolean deleteMiniQBShortCut(Context context, String str, String str2) {
        w a2;
        if (context != null && !TbsDownloader.getOverSea(context) && (a2 = w.a()) != null && a2.b()) {
            if (a2.c().b().invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "deleteMiniQBShortCut", new Class[]{Context.class, String.class, String.class}, context, str, str2) != null) {
                return true;
            }
        }
        return false;
    }

    @Deprecated
    public static void deleteStableCore(Context context, int i2) {
    }

    public static void disAllowThirdAppDownload() {
        c = false;
    }

    public static void disableAutoCreateX5Webview() {
        j = false;
    }

    @Deprecated
    public static void disableSensitiveApi() {
        TbsPrivacyAccess.disableSensitiveApi();
    }

    private static void e(Context context) {
        if (!E && Thread.currentThread().getName().equals("tbs_preinit")) {
            E = true;
            TbsLog.i("QbSdk", "QbSdk - preload_x5_check -- process:" + context.getApplicationInfo().processName + "; thread:" + Thread.currentThread().getName());
            int h2 = o.a().h(context);
            if (h2 > 0) {
                try {
                    SharedPreferences sharedPreferences = context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 4);
                    int i2 = sharedPreferences.getInt("tbs_preload_x5_recorder", 0) + 1;
                    if (i2 > 3) {
                        TbsCoreLoadStat instance = TbsCoreLoadStat.getInstance();
                        instance.a(context, TbsListener.ErrorCode.ERROR_CORE_LOAD_CRASH_PROTECT, new Throwable("thread " + Thread.currentThread().getName()));
                        f(context);
                        g(context);
                        TbsLogReport instance2 = TbsLogReport.getInstance(context);
                        TbsLogReport.TbsLogInfo tbsLogInfo = instance2.tbsLogInfo();
                        tbsLogInfo.setErrorCode(h2);
                        instance2.eventReport(TbsLogReport.EventType.TYPE_CORE_PROTECT_RESET, tbsLogInfo);
                        return;
                    }
                    sharedPreferences.edit().putInt("tbs_preload_x5_recorder", i2).commit();
                } catch (Throwable th) {
                    TbsLog.e("QbSdk", "tbs_preload_x5_counter Inc exception:" + Log.getStackTraceString(th));
                }
            }
        }
    }

    /* access modifiers changed from: private */
    public static void f(Context context) {
        if (Thread.currentThread().getName().equals("tbs_preinit")) {
            context.getSharedPreferences("tbs_preloadx5_check_cfg_file", 4).edit().putInt("tbs_preload_x5_recorder", 0).commit();
        }
    }

    public static void fileInfoDetect(Context context, String str, ValueCallback<String> valueCallback) {
        w a2 = w.a();
        if (a2 != null && a2.b()) {
            try {
                a2.c().b().invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "fileInfoDetect", new Class[]{Context.class, String.class, ValueCallback.class}, context, str, valueCallback);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    public static void forceSysWebView() {
        b = true;
        v = "SysWebViewForcedByOuter: " + Log.getStackTraceString(new Throwable());
        TbsLog.e("QbSdk", "sys WebView: SysWebViewForcedByOuter");
    }

    private static void g(Context context) {
        TbsLog.e("QbSdk", "QbSdk reset!", true);
        try {
            TbsDownloader.stopDownload();
            TbsDownloader.c(context);
            FileUtil.a(getTbsFolderDir(context), false, "core_share_decouple");
            TbsLog.i("QbSdk", "delete downloaded apk success", true);
            o.b();
            File file = new File(context.getFilesDir(), TbsExtensionFunctionManager.BUGLY_SWITCH_FILE_NAME);
            if (file.exists()) {
                file.delete();
            }
        } catch (Throwable th) {
            TbsLog.e("QbSdk", "QbSdk reset exception:" + Log.getStackTraceString(th));
        }
    }

    public static long getApkFileSize(Context context) {
        if (context != null) {
            return TbsDownloadConfig.getInstance(context.getApplicationContext()).mPreferences.getLong(TbsDownloadConfig.TbsConfigKey.KEY_TBSAPKFILESIZE, 0);
        }
        return 0;
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x001f A[Catch:{ all -> 0x0033 }] */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x002f A[SYNTHETIC, Splitter:B:17:0x002f] */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x003c  */
    public static String getCurrentProcessName(Context context) {
        FileInputStream fileInputStream;
        Throwable th;
        try {
            fileInputStream = new FileInputStream("/proc/self/cmdline");
            try {
                byte[] bArr = new byte[256];
                int i2 = 0;
                while (true) {
                    int read = fileInputStream.read();
                    if (read > 0 && i2 < 256) {
                        bArr[i2] = (byte) read;
                        i2++;
                    } else if (i2 <= 0) {
                        String str = new String(bArr, 0, i2, "UTF-8");
                        try {
                            fileInputStream.close();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                        }
                        return str;
                    } else {
                        try {
                            fileInputStream.close();
                        } catch (IOException e3) {
                            e3.printStackTrace();
                        }
                        return null;
                    }
                }
                if (i2 <= 0) {
                }
            } catch (Throwable th2) {
                th = th2;
                try {
                    th.printStackTrace();
                    if (fileInputStream != null) {
                        fileInputStream.close();
                    }
                    return null;
                } catch (Throwable th3) {
                    if (fileInputStream != null) {
                        try {
                            fileInputStream.close();
                        } catch (IOException e4) {
                            e4.printStackTrace();
                        }
                    }
                    throw th3;
                }
            }
        } catch (Throwable th4) {
            th = th4;
            fileInputStream = null;
            th.printStackTrace();
            if (fileInputStream != null) {
            }
            return null;
        }
    }

    public static String[] getDexLoaderFileList(Context context, Context context2, String str) {
        String[] strArr = u;
        if (strArr instanceof String[]) {
            int length = strArr.length;
            String[] strArr2 = new String[length];
            for (int i2 = 0; i2 < length; i2++) {
                strArr2[i2] = str + u[i2];
            }
            return strArr2;
        }
        Object a2 = j.a(s, "getJarFiles", new Class[]{Context.class, Context.class, String.class}, context, context2, str);
        if (!(a2 instanceof String[])) {
            a2 = new String[]{""};
        }
        return (String[]) a2;
    }

    @Deprecated
    public static boolean getDownloadWithoutWifi() {
        return H;
    }

    public static boolean getIsInitX5Environment() {
        return k;
    }

    public static boolean getIsSysWebViewForcedByOuter() {
        return b;
    }

    public static boolean getJarFilesAndLibraryPath(Context context) {
        String str;
        Object obj = s;
        if (obj == null) {
            str = "getJarFilesAndLibraryPath sExtensionObj is null";
        } else {
            Bundle bundle = (Bundle) j.a(obj, "canLoadX5CoreAndNotLoadSo", new Class[]{Integer.TYPE}, 44226);
            if (bundle == null) {
                str = "getJarFilesAndLibraryPath bundle is null and coreverison is " + o.a().a(true, context);
            } else {
                u = bundle.getStringArray("tbs_jarfiles");
                d = bundle.getString("tbs_librarypath");
                return true;
            }
        }
        TbsLog.i("QbSdk", str);
        return false;
    }

    public static String getMiniQBVersion(Context context) {
        w a2 = w.a();
        a2.a(context);
        if (a2 == null || !a2.b()) {
            return null;
        }
        return a2.c().f();
    }

    public static boolean getOnlyDownload() {
        return l;
    }

    public static String getQQBuildNumber() {
        return C;
    }

    public static Map<String, Object> getSettings() {
        return o;
    }

    public static boolean getTBSInstalling() {
        return I;
    }

    public static String getTID() {
        return B;
    }

    public static File getTbsFolderDir(Context context) {
        if (context == null) {
            return null;
        }
        try {
            if (b.c()) {
                return context.getDir("tbs_64", 0);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return context.getDir("tbs", 0);
    }

    public static String getTbsResourcesPath(Context context) {
        return TbsShareManager.a(context);
    }

    public static int getTbsSdkVersion() {
        return 44226;
    }

    public static int getTbsVersion(Context context) {
        return o.a().h(context);
    }

    public static int getTbsVersionForCrash(Context context) {
        if (a) {
            return 0;
        }
        int i2 = o.a().i(context);
        if (i2 == 0 && m.a(context).c() == 3) {
            g(context);
        }
        return i2;
    }

    public static int getTmpDirTbsVersion(Context context) {
        if (m.a(context).c() == 2) {
            return o.a().d(context, 0);
        }
        if (m.a(context).b("copy_status") == 1) {
            return o.a().d(context, 1);
        }
        return 0;
    }

    public static String getX5CoreLoadHelp(Context context) {
        String str;
        if (context == null) {
            return "context is null";
        }
        if (context.getApplicationContext() != null) {
            context = context.getApplicationContext();
        }
        int h2 = o.a().h(context);
        if (h2 > 0) {
            int loadErrorCode = TbsCoreLoadStat.getLoadErrorCode();
            if (loadErrorCode != -1 || !w.a().b()) {
                str = "Core Exist version is " + h2 + ", error code: " + loadErrorCode + ", detail: " + TbsCoreLoadStat.getLoadErrorMessage() + ", suggestion: " + f.a().a(loadErrorCode);
            } else {
                str = "core load success";
            }
        } else {
            int nextPostInterval = TbsDownloader.getNextPostInterval(context);
            if (TbsDownloader.a) {
                str = "core is downloading, please check TbsListener.onDownloadProgress.";
            } else if (Apn.getApnType(context) != 3 && !canDownloadWithoutWifi()) {
                str = "Mobile Network will not download as default. If you want, you can set QbSdk.setDownloadWithoutWifi(true) in the beginning of your app.";
            } else if (nextPostInterval > 0) {
                str = "Perhaps server is busy, try to restart your app in " + nextPostInterval + "s later or (uninstall + reinstall).";
            } else {
                str = "Core not exist, unknown network problem.";
            }
        }
        return str + "If it doesn't help, contact with x5 with your tbslog.txt, site: x5.tencent.com";
    }

    public static void initBuglyAsync(boolean z2) {
        i = z2;
    }

    public static void initForinitAndNotLoadSo(Context context) {
        String str;
        if (r == null) {
            File p2 = o.a().p(context);
            if (p2 == null) {
                str = "QbSdk initForinitAndNotLoadSo optDir == null";
            } else {
                File file = new File(p2, "tbs_sdk_extension_dex.jar");
                if (!file.exists()) {
                    str = "QbSdk initForinitAndNotLoadSo dexFile.exists()=false";
                } else {
                    String absolutePath = p2.getAbsolutePath();
                    w.a().b(context);
                    n.a(context);
                    r = new DexLoader(file.getParent(), context, new String[]{file.getAbsolutePath()}, absolutePath, getSettings()).loadClass("com.tencent.tbs.sdk.extension.TbsSDKExtension");
                    return;
                }
            }
            Log.e("QbSdk", str);
        }
    }

    public static void initTbsSettings(Map<String, Object> map) {
        Map<String, Object> map2 = o;
        if (map2 == null) {
            o = map;
            return;
        }
        try {
            map2.putAll(map);
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static void initX5Environment(final Context context, final PreInitCallback preInitCallback) {
        r.a().a("init_tbs_Start");
        TbsLog.initIfNeed(context);
        if (context == null) {
            TbsLog.e("QbSdk", "initX5Environment,context=null");
            return;
        }
        b(context);
        G = new TbsListener() {
            /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass5 */

            @Override // com.tencent.smtt.sdk.TbsListener
            public void onDownloadFinish(int i) {
            }

            @Override // com.tencent.smtt.sdk.TbsListener
            public void onDownloadProgress(int i) {
            }

            @Override // com.tencent.smtt.sdk.TbsListener
            public void onInstallFinish(int i) {
                QbSdk.preInit(context, preInitCallback);
            }
        };
        if (TbsShareManager.isThirdPartyApp(context)) {
            o.a().b(context, g.a == 0);
        }
        TbsDownloader.needDownload(context, false, false, true, new TbsDownloader.TbsDownloaderCallback() {
            /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass6 */

            @Override // com.tencent.smtt.sdk.TbsDownloader.TbsDownloaderCallback
            public void onNeedDownloadFinish(boolean z, int i) {
                if (TbsShareManager.isThirdPartyApp(context)) {
                    QbSdk.n.onDownloadFinish(TbsDownloadConfig.getInstance(context).getCurrentDownloadInterruptCode());
                    if (QbSdk.i) {
                        TbsExtensionFunctionManager.getInstance().initTbsBuglyIfNeed(context);
                    }
                }
                QbSdk.preInit(context, preInitCallback);
            }
        });
        k = true;
    }

    public static boolean installLocalQbApk(Context context, String str, String str2, Bundle bundle) {
        g a2 = g.a(true);
        a2.a(context, false, false);
        if (a2 == null || !a2.b()) {
            return false;
        }
        return a2.a().a(context, str, str2, bundle);
    }

    @Deprecated
    public static void installLocalTbsCore(Context context, int i2, String str) {
        o.a().a(context, str, i2);
    }

    public static boolean intentDispatch(WebView webView, Intent intent, String str, String str2) {
        String str3;
        if (webView == null) {
            return false;
        }
        if (str.startsWith("mttbrowser://miniqb/ch=icon?")) {
            Context context = webView.getContext();
            int indexOf = str.indexOf("url=");
            str = indexOf > 0 ? str.substring(indexOf + 4) : null;
            HashMap hashMap = new HashMap();
            try {
                str3 = context.getApplicationInfo().packageName;
            } catch (Exception e2) {
                e2.printStackTrace();
                str3 = "unknown";
            }
            hashMap.put("ChannelID", str3);
            hashMap.put("PosID", "14004");
            if (MttLoader.loadUrl(context, "miniqb://home".equals(str) ? "qb://navicard/addCard?cardId=168&cardName=168" : str, hashMap, "QbSdk.startMiniQBToLoadUrl", null) != 0) {
                w a2 = w.a();
                if (a2 != null && a2.b() && a2.c().a(context, str, null, str2, null) == 0) {
                    return true;
                }
            }
            return false;
        }
        webView.loadUrl(str);
        return false;
    }

    public static boolean isCoreVerEnabled(Context context, int i2) {
        int i3 = K;
        if (i2 >= i3 || i2 == 0 || i3 == -1 || !TbsShareManager.isThirdPartyApp(context)) {
            return true;
        }
        g(context);
        TbsCoreLoadStat instance = TbsCoreLoadStat.getInstance();
        instance.a(context, 178, new Throwable("QbSdk.setCoreMinVersion: " + K));
        return false;
    }

    @Deprecated
    public static boolean isEnableCanGetSubscriberId() {
        return TbsPrivacyAccess.Imsi.isEnabled();
    }

    @Deprecated
    public static boolean isEnableGetAndroidID() {
        return TbsPrivacyAccess.AndroidId.isEnabled();
    }

    @Deprecated
    public static boolean isEnableGetDeviceID() {
        return TbsPrivacyAccess.DeviceId.isEnabled();
    }

    @Deprecated
    public static boolean isEnableSensitiveApi() {
        return TbsPrivacyAccess.isEnableSensitiveApi();
    }

    public static boolean isInDefaultBrowser(Context context, String str) {
        SharedPreferences sharedPreferences = context.getSharedPreferences(SHARE_PREFERENCES_NAME, 0);
        String d2 = e.d(str);
        if (TextUtils.isEmpty(d2)) {
            d2 = "*/*";
        }
        return sharedPreferences.contains("key_tbs_picked_default_browser_" + d2);
    }

    public static boolean isMiniQBShortCutExist(Context context, String str, String str2) {
        w a2;
        Object invokeStaticMethod;
        if (context == null || TbsDownloader.getOverSea(context) || (a2 = w.a()) == null || !a2.b() || (invokeStaticMethod = a2.c().b().invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "isMiniQBShortCutExist", new Class[]{Context.class, String.class}, context, str)) == null) {
            return false;
        }
        Boolean bool = false;
        if (invokeStaticMethod instanceof Boolean) {
            bool = (Boolean) invokeStaticMethod;
        }
        return bool.booleanValue();
    }

    public static boolean isNeedInitX5FirstTime() {
        return x;
    }

    public static boolean isSuportOpenFile(String str, int i2) {
        List asList;
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        String[] strArr = {"rar", "zip", "tar", "bz2", "gz", "7z", CustomPath.CUSTOM_PATH_DOC, "docx", "ppt", "pptx", "xls", "xlsx", "txt", "pdf", "epub", "chm", "html", "htm", "xml", "mht", "url", "ini", "log", "bat", "php", "js", "lrc", "jpg", "jpeg", "png", "gif", "bmp", "tiff", "webp", "mp3", "m4a", "aac", "amr", "wav", "ogg", "mid", "ra", "wma", "mpga", "ape", "flac", "RTSP", "RTP", "SDP", "RTMP", "mp4", "flv", "avi", "3gp", "3gpp", "webm", "ts", "ogv", IjkMediaMeta.IJKM_KEY_M3U8, "asf", "wmv", "rmvb", "rm", "f4v", "dat", "mov", "mpg", "mkv", "mpeg", "mpeg1", "mpeg2", "xvid", "dvd", "vcd", "vob", "divx"};
        String[] strArr2 = {CustomPath.CUSTOM_PATH_DOC, "docx", "ppt", "pptx", "xls", "xlsx", "txt", "pdf", "epub"};
        if (i2 == 1) {
            asList = Arrays.asList(strArr2);
        } else if (i2 != 2) {
            return false;
        } else {
            asList = Arrays.asList(strArr);
        }
        return asList.contains(str.toLowerCase());
    }

    public static boolean isTbsCoreInited() {
        g a2 = g.a(false);
        return a2 != null && a2.h();
    }

    public static boolean isX5Core() {
        if (getIsSysWebViewForcedByOuter()) {
            return false;
        }
        return w.a().b();
    }

    public static boolean isX5DisabledSync(Context context) {
        if (m.a(context).c() == 2) {
            return false;
        }
        if (!d(context)) {
            return true;
        }
        Object a2 = j.a(s, "isX5DisabledSync", new Class[]{Integer.TYPE, Integer.TYPE}, Integer.valueOf(o.a().h(context)), 44226);
        if (a2 != null) {
            return ((Boolean) a2).booleanValue();
        }
        return true;
    }

    public static void loadTBSSDKExtension(Context context, String str) {
        boolean z2;
        Constructor<?> constructor;
        Object newInstance;
        if (s == null) {
            synchronized (QbSdk.class) {
                if (s == null) {
                    if (r == null) {
                        TbsLog.i("QbSdk", "QbSdk loadTBSSDKExtension sExtensionClass is null");
                    }
                    try {
                        constructor = r.getConstructor(Context.class, Context.class, String.class, String.class, String.class);
                        z2 = true;
                    } catch (Throwable th) {
                        constructor = null;
                        z2 = false;
                    }
                    try {
                        if (context.getApplicationContext() != null) {
                            context = context.getApplicationContext();
                        }
                        if (!z2) {
                            newInstance = r.getConstructor(Context.class, Context.class).newInstance(context, context);
                        } else {
                            newInstance = constructor.newInstance(context, context, null, str, (!"com.tencent.mm".equals(getCurrentProcessName(context)) || WebView.mWebViewCreated) ? null : "notLoadSo");
                        }
                        s = newInstance;
                    } catch (Throwable th2) {
                        TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.ERROR_NEW_EXTENSION_INSTANCE_FAILED, th2);
                        TbsLog.e("QbSdk", "throwable" + Log.getStackTraceString(th2));
                    }
                }
            }
        }
    }

    public static void openBrowserList(Context context, String str, Bundle bundle, final ValueCallback<String> valueCallback) {
        String str2;
        if (context != null) {
            String string = bundle != null ? bundle.getString("ChannelId") : "";
            Intent intent = new Intent("android.intent.action.VIEW");
            intent.addCategory("android.intent.category.DEFAULT");
            intent.setData(Uri.parse(str));
            String d2 = e.d(str);
            isDefaultDialog = false;
            d dVar = new d(context, "选择其它应用打开", intent, bundle, valueCallback, d2, string);
            String a2 = dVar.a();
            if (a2 != null && !TextUtils.isEmpty(a2)) {
                if (TbsConfig.APP_QB.equals(a2)) {
                    intent.putExtra("ChannelID", context.getApplicationContext().getPackageName());
                    intent.putExtra("PosID", "4");
                }
                intent.setPackage(a2);
                intent.putExtra("big_brother_source_key", string);
                context.startActivity(intent);
                if (valueCallback != null) {
                    str2 = "default browser:" + a2;
                } else {
                    return;
                }
            } else if (isDefaultDialog) {
                new AlertDialog.Builder(context).setTitle("提示").setMessage("此文件无法打开").setPositiveButton("确定", new DialogInterface.OnClickListener() {
                    /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass10 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                    }
                }).show();
                if (valueCallback != null) {
                    str2 = "can not open";
                } else {
                    return;
                }
            } else {
                dVar.show();
                dVar.setOnDismissListener(new DialogInterface.OnDismissListener() {
                    /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass2 */

                    public void onDismiss(DialogInterface dialogInterface) {
                        ValueCallback valueCallback = valueCallback;
                        if (valueCallback != null) {
                            valueCallback.onReceiveValue("TbsReaderDialogClosed");
                        }
                    }
                });
                return;
            }
            valueCallback.onReceiveValue(str2);
        }
    }

    public static void openBrowserList(Context context, String str, ValueCallback<String> valueCallback) {
        openBrowserList(context, str, null, valueCallback);
    }

    @Deprecated
    public static int openFileReader(Context context, String str, HashMap<String, String> hashMap, ValueCallback<String> valueCallback) {
        String str2;
        TbsLog.i("QbSdk", "Open file reader filepath = " + str);
        if (hashMap == null) {
            hashMap = new HashMap<>();
        }
        if (!checkContentProviderPrivilage(context)) {
            TbsLog.e("QbSdk", "Got an unexpected result when check content provider privilege above api 24");
            return -5;
        } else if (!TextUtils.isEmpty(str)) {
            String lowerCase = str.substring(str.lastIndexOf(Operators.DOT_STR) + 1).toLowerCase();
            String str3 = hashMap.get("fileext");
            String str4 = !TextUtils.isEmpty(str3) ? str3 : lowerCase;
            if (str4 == null) {
                TbsLog.e("QbSdk", "open openFileReader null file type");
            }
            if ("apk".equalsIgnoreCase(str4)) {
                Intent intent = new Intent("android.intent.action.VIEW");
                if (context != null && context.getApplicationInfo().targetSdkVersion >= 24 && Build.VERSION.SDK_INT >= 24) {
                    intent.addFlags(1);
                }
                Uri a2 = FileProvider.a(context, str);
                if (a2 == null) {
                    valueCallback.onReceiveValue("uri failed");
                    return -6;
                }
                intent.setDataAndType(a2, "application/vnd.android.package-archive");
                context.startActivity(intent);
                TbsLog.e("QbSdk", "open openFileReader ret = 4");
                return 4;
            }
            String packageName = context.getPackageName();
            if (packageName.equals("com.tencent.mm") || packageName.equals("com.tencent.moblieqq")) {
                if (!MttLoader.isBrowserInstalled(context)) {
                    str2 = "openFileReader QQ browser not installed";
                } else if (!isSuportOpenFile(str4, 2)) {
                    TbsLog.e("QbSdk", "Open file reader in qq browser, isQBSupport: false  ret = 3");
                    openFileReaderListWithQBDownload(context, str, valueCallback);
                    return 3;
                } else if (startQBForDoc(context, str, 4, 0, str4, a(context, hashMap))) {
                    if (valueCallback != null) {
                        valueCallback.onReceiveValue("open QB");
                    }
                    TbsLog.e("QbSdk", "open openFileReader open QB ret = 1");
                    return 1;
                } else {
                    str2 = "openFileReader startQBForDoc return false";
                }
                TbsLog.i("QbSdk", str2);
            }
            hashMap.put("local", AbsoluteConst.TRUE);
            TbsLog.setWriteLogJIT(true);
            int startMiniQBToLoadUrl = startMiniQBToLoadUrl(context, str, hashMap, valueCallback);
            if (startMiniQBToLoadUrl != 0) {
                openFileReaderListWithQBDownload(context, str, valueCallback);
                TbsLog.i("QbSdk", "openFileReader open filereader list startMiniQBToLoadUrl ret = " + startMiniQBToLoadUrl);
                return 3;
            }
            TbsLog.i("QbSdk", "openFileReader open in MiniQB");
            return 2;
        } else {
            if (valueCallback != null) {
                valueCallback.onReceiveValue("filepath error");
            }
            TbsLog.e("QbSdk", "open openFileReader filepath error ret -1");
            return -1;
        }
    }

    public static void openFileReaderListWithQBDownload(Context context, String str, Bundle bundle, final ValueCallback<String> valueCallback) {
        String str2;
        if (context != null && !context.getApplicationInfo().packageName.equals(Constants.PACKAGE_QIM) && !context.getApplicationInfo().packageName.equals("com.tencent.androidqqmail")) {
            String string = bundle != null ? bundle.getString("ChannelId") : "";
            Intent intent = new Intent("android.intent.action.VIEW");
            intent.addCategory("android.intent.category.DEFAULT");
            String d2 = e.d(str);
            if (context != null && context.getApplicationInfo().targetSdkVersion >= 24 && Build.VERSION.SDK_INT >= 24) {
                intent.addFlags(1);
            }
            Uri a2 = FileProvider.a(context, str);
            if (a2 == null) {
                TbsLog.i("QbSdk", "openFileReaderListWithQBDownload,uri failed");
                valueCallback.onReceiveValue("uri failed");
                return;
            }
            TbsLog.i("QbSdk", "openFileReaderListWithQBDownload,fileUri:" + str + ",mimeType:" + d2);
            intent.setDataAndType(a2, d2);
            isDefaultDialog = false;
            d dVar = new d(context, "选择其它应用打开", intent, bundle, valueCallback, d2, string);
            String a3 = dVar.a();
            TbsLog.i("QbSdk", "openFileReaderListWithQBDownload,defaultBrowser:" + a3);
            if (a3 != null && !TextUtils.isEmpty(a3) && a3.startsWith("extraMenuEvent:")) {
                TbsLog.i("QbSdk", "openFileReaderListWithQBDownload, is default extra menu action");
                valueCallback.onReceiveValue(a3);
            } else if (a3 != null && !TextUtils.isEmpty(a3) && checkApkExist(context, a3)) {
                TbsLog.i("QbSdk", "openFileReaderListWithQBDownload, is default normal menu action");
                if (TbsConfig.APP_QB.equals(a3)) {
                    intent.putExtra("ChannelID", context.getApplicationContext().getPackageName());
                    intent.putExtra("PosID", "4");
                }
                if (!TextUtils.isEmpty(string)) {
                    intent.putExtra("big_brother_source_key", string);
                }
                intent.setPackage(a3);
                context.startActivity(intent);
                if (valueCallback != null) {
                    valueCallback.onReceiveValue("default browser:" + a3);
                }
            } else if (!"com.tencent.rtxlite".equalsIgnoreCase(context.getApplicationContext().getPackageName()) || !isDefaultDialog) {
                if (isDefaultDialog) {
                    TbsLog.i("QbSdk", "isDefaultDialog=true");
                    if (valueCallback != null) {
                        TbsLog.i("QbSdk", "isDefaultDialog=true, can not open");
                        str2 = "can not open";
                    }
                    TbsLog.i("QbSdk", "unexpected return, dialogBuilder not show!");
                }
                try {
                    TbsLog.i("QbSdk", "isDefaultDialog=false,try to open dialog");
                    dVar.show();
                    dVar.setOnDismissListener(new DialogInterface.OnDismissListener() {
                        /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass9 */

                        public void onDismiss(DialogInterface dialogInterface) {
                            ValueCallback valueCallback = valueCallback;
                            if (valueCallback != null) {
                                valueCallback.onReceiveValue("TbsReaderDialogClosed");
                            }
                        }
                    });
                } catch (Exception e2) {
                    e2.printStackTrace();
                    TbsLog.i("QbSdk", "isDefaultDialog=false,try to open dialog, but failed");
                    str2 = "TbsReaderDialogClosed";
                }
                TbsLog.i("QbSdk", "unexpected return, dialogBuilder not show!");
                valueCallback.onReceiveValue(str2);
                TbsLog.i("QbSdk", "unexpected return, dialogBuilder not show!");
            } else {
                new AlertDialog.Builder(context).setTitle("提示").setMessage("此文件无法打开").setPositiveButton("确定", new DialogInterface.OnClickListener() {
                    /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass8 */

                    public void onClick(DialogInterface dialogInterface, int i) {
                    }
                }).show();
            }
        }
    }

    public static void openFileReaderListWithQBDownload(Context context, String str, ValueCallback<String> valueCallback) {
        openFileReaderListWithQBDownload(context, str, null, valueCallback);
    }

    public static int openFileWithQB(Context context, String str, String str2) {
        TbsLog.i("QbSdk", "open openFileReader startMiniQBToLoadUrl filepath = " + str);
        if (!checkContentProviderPrivilage(context)) {
            return -1;
        }
        if (str != null) {
            String lowerCase = str.substring(str.lastIndexOf(Operators.DOT_STR) + 1).toLowerCase();
            if (!MttLoader.isBrowserInstalled(context)) {
                TbsLog.i("QbSdk", "openFileReader QQ browser not installed");
                return -4;
            } else if (!isSuportOpenFile(lowerCase, 2)) {
                TbsLog.i("QbSdk", "openFileReader open in QB isQBSupport: false");
                return -2;
            } else {
                HashMap hashMap = new HashMap();
                hashMap.put("ChannelID", context.getApplicationContext().getApplicationInfo().processName);
                hashMap.put("PosID", Integer.toString(4));
                if (MttLoader.openDocWithQb(context, str, 0, lowerCase, str2, hashMap, null)) {
                    return 0;
                }
                TbsLog.i("QbSdk", "openFileReader startQBForDoc return false");
                return -3;
            }
        } else {
            TbsLog.i("QbSdk", "open openFileReader filepath error");
            return -5;
        }
    }

    public static void openNetLog(String str) {
        w a2 = w.a();
        if (a2 != null && a2.b()) {
            try {
                a2.c().b().invokeStaticMethod("com.tencent.smtt.livelog.NetLogManager", "openNetLog", new Class[]{String.class}, str);
            } catch (Exception e2) {
            }
        }
    }

    public static void pauseDownload() {
        TbsDownloader.pauseDownload();
    }

    public static synchronized void preInit(Context context) {
        synchronized (QbSdk.class) {
            preInit(context, null);
        }
    }

    public static synchronized void preInit(final Context context, final PreInitCallback preInitCallback) {
        synchronized (QbSdk.class) {
            r.a().a("preinit_start");
            TbsLog.initIfNeed(context);
            TbsLog.i("QbSdk", "preInit", "processName: " + getCurrentProcessName(context));
            TbsLog.i("QbSdk", "preInit", "stack trace: " + Log.getStackTraceString(new Throwable("PreInit Detect:")));
            m = a;
            if (!t) {
                TbsLog.i("QbSdk", "preInit", "#1# Start new thread to preInit");
                final AnonymousClass3 r1 = new Handler(Looper.getMainLooper()) {
                    /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass3 */

                    public void handleMessage(Message message) {
                        PreInitCallback preInitCallback;
                        int i = message.what;
                        if (i == 1) {
                            r.a().a("preinit_finish");
                            boolean unused = QbSdk.D = TbsExtensionFunctionManager.getInstance().canUseFunction(context, TbsExtensionFunctionManager.DISABLE_UNPREINIT);
                            if (QbSdk.j) {
                                r.a().a("create_webview_start");
                                x c = w.a().c();
                                if (c != null) {
                                    c.a(context);
                                }
                                r.a().a("create_webview_end");
                            }
                            PreInitCallback preInitCallback2 = preInitCallback;
                            if (preInitCallback2 != null) {
                                preInitCallback2.onViewInitFinished(true);
                                r.a().a("init_tbs_end");
                            }
                            r.a().a(context);
                            TbsLog.writeLogToDisk();
                        } else if (i == 2) {
                            r.a().a("preinit_finish");
                            PreInitCallback preInitCallback3 = preInitCallback;
                            if (preInitCallback3 != null) {
                                preInitCallback3.onViewInitFinished(false);
                                r.a().a("init_tbs_end");
                            }
                            TbsLog.writeLogToDisk();
                            r.a().a(context);
                        } else if (i == 3 && (preInitCallback = preInitCallback) != null) {
                            preInitCallback.onCoreInitFinished();
                        }
                    }
                };
                AnonymousClass4 r7 = new Thread() {
                    /* class com.tencent.smtt.sdk.QbSdk.AnonymousClass4 */

                    public void run() {
                        int a2 = o.a().a(true, context);
                        TbsDownloader.setAppContext(context);
                        TbsLog.i("QbSdk", "QbSdk preinit ver is " + a2);
                        o.a().b(context, g.a == 0);
                        TbsLog.i("QbSdk", "preInit", "#2-1# prepare initAndLoadSo");
                        w a3 = w.a();
                        a3.a(context);
                        QbSdk.f(context);
                        TbsLog.i("QbSdk", "preInit", "#2-3# X5CoreEngine init finish");
                        boolean b2 = a3.b();
                        r1.sendEmptyMessage(3);
                        if (!b2) {
                            r1.sendEmptyMessage(2);
                        } else {
                            r1.sendEmptyMessage(1);
                        }
                    }
                };
                r7.setName("tbs_preinit");
                r7.setPriority(10);
                r7.start();
                t = true;
            }
        }
    }

    public static void reset(Context context) {
        if (J) {
            TbsLog.w("QbSdk", "[warning] TBS only allow reset 1 times each process.");
            return;
        }
        J = true;
        g(context);
    }

    @Deprecated
    public static void reset(Context context, boolean z2) {
        if (J) {
            TbsLog.w("QbSdk", "[warning] TBS only allow reset 1 times each process.");
            return;
        }
        J = true;
        g(context);
    }

    @Deprecated
    public static void resetDecoupleCore(Context context) {
    }

    public static void resumeDownload() {
        TbsDownloader.resumeDownload();
    }

    public static void setAppList(Context context, List<String> list) {
        if (list != null) {
            TbsPrivacyAccess.configureAllPrivacy(context, TextUtils.join(",", list));
        }
    }

    public static void setCoreMinVersion(int i2) {
        TbsLog.i("QbSdk", "setCoreMinVersion: " + i2);
        K = i2;
    }

    public static void setCurrentID(String str) {
        if (str != null && str.startsWith(TID_QQNumber_Prefix)) {
            String substring = str.substring(TID_QQNumber_Prefix.length());
            B = "0000000000000000".substring(substring.length()) + substring;
        }
    }

    public static void setDisableUnpreinitBySwitch(boolean z2) {
        D = z2;
        TbsLog.i("QbSdk", "setDisableUnpreinitBySwitch -- mDisableUnpreinitBySwitch is " + D);
    }

    public static void setDisableUseHostBackupCoreBySwitch(boolean z2) {
        mDisableUseHostBackupCore = z2;
        TbsLog.i("QbSdk", "setDisableUseHostBackupCoreBySwitch -- mDisableUseHostBackupCore is " + mDisableUseHostBackupCore);
    }

    public static void setDownloadWithoutWifi(boolean z2) {
        H = z2;
    }

    public static void setEnableForThirdParty(Context context, Bundle bundle) {
        s.a(context, bundle);
    }

    public static void setNeedInitX5FirstTime(boolean z2) {
        x = z2;
    }

    public static void setNetLogEncryptionKey(String str) {
        w a2 = w.a();
        if (a2 != null && a2.b()) {
            try {
                a2.c().b().invokeStaticMethod("com.tencent.smtt.livelog.NetLogManager", "setNetLogEncryptionKey", new Class[]{String.class}, str);
            } catch (Exception e2) {
            }
        }
    }

    public static void setNewDnsHostList(String str) {
        w a2 = w.a();
        if (a2 != null && a2.b()) {
            try {
                a2.c().b().invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "setNewDnsHostList", new Class[]{String.class}, str);
            } catch (Exception e2) {
            }
        }
    }

    public static void setOnlyDownload(boolean z2) {
        l = z2;
    }

    public static void setQQBuildNumber(String str) {
        C = str;
    }

    public static void setTBSInstallingStatus(boolean z2) {
        I = z2;
    }

    public static void setTbsListener(TbsListener tbsListener) {
        F = tbsListener;
    }

    public static void setTbsLogClient(TbsLogClient tbsLogClient) {
        TbsLog.setTbsLogClient(tbsLogClient);
    }

    @Deprecated
    public static void setUploadCode(Context context, int i2) {
    }

    public static void setUserID(Context context, Bundle bundle) {
        TbsPrivacyAccess.configureAllPrivacy(context, bundle);
    }

    public static int startMiniQBToLoadUrl(Context context, String str, HashMap<String, String> hashMap, ValueCallback<String> valueCallback) {
        TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_CODE_MINIQB_STARTMINIQBTOLOADURL_COUNTS);
        if (context == null) {
            return -100;
        }
        w a2 = w.a();
        a2.a(context);
        if (!a2.b()) {
            TbsCoreLoadStat.getInstance().a(context, TbsListener.ErrorCode.INFO_CODE_MINIQB_STARTMINIQBTOLOADURL_ISNOTX5CORE);
            Log.e("QbSdk", "startMiniQBToLoadUrl  ret = -102");
            return TXEAudioDef.TXE_AUDIO_PLAY_ERR_AUDIO_TYPE_NOT_SUPPORT;
        } else if (context != null && context.getApplicationInfo().packageName.equals("com.nd.android.pandahome2") && getTbsVersion(context) < 25487) {
            return TXEAudioDef.TXE_AUDIO_PLAY_ERR_INVALID_STATE;
        } else {
            int a3 = a2.c().a(context, str, hashMap, null, valueCallback);
            TbsLog.i("QbSdk", "startMiniQBToLoadUrl  ret = " + a3);
            return a3;
        }
    }

    public static boolean startQBForDoc(Context context, String str, int i2, int i3, String str2, Bundle bundle) {
        HashMap hashMap = new HashMap();
        hashMap.put("ChannelID", context.getApplicationContext().getApplicationInfo().processName);
        hashMap.put("PosID", Integer.toString(i2));
        return MttLoader.openDocWithQb(context, str, i3, str2, hashMap, bundle);
    }

    public static boolean startQBForVideo(Context context, String str, int i2) {
        HashMap hashMap = new HashMap();
        hashMap.put("ChannelID", context.getApplicationInfo().processName);
        hashMap.put("PosID", Integer.toString(i2));
        return MttLoader.openVideoWithQb(context, str, hashMap);
    }

    public static boolean startQBToLoadurl(Context context, String str, int i2, WebView webView) {
        w a2;
        Object invokeStaticMethod;
        IX5WebViewBase iX5WebViewBase;
        HashMap hashMap = new HashMap();
        hashMap.put("ChannelID", context.getApplicationInfo().processName);
        hashMap.put("PosID", Integer.toString(i2));
        if (webView == null) {
            try {
                String str2 = context.getPackageManager().getPackageInfo(context.getPackageName(), 0).packageName;
                if (!((str2 != "com.tencent.mm" && str2 != "com.tencent.mobileqq") || (a2 = w.a()) == null || !a2.b() || (invokeStaticMethod = a2.c().b().invokeStaticMethod("com.tencent.smtt.webkit.WebViewList", "getCurrentMainWebviewJustForQQandWechat", new Class[0], new Object[0])) == null || (iX5WebViewBase = (IX5WebViewBase) invokeStaticMethod) == null)) {
                    webView = (WebView) iX5WebViewBase.getView().getParent();
                }
            } catch (Exception e2) {
            }
        }
        return MttLoader.loadUrl(context, str, hashMap, "QbSdk.startQBToLoadurl", webView) == 0;
    }

    public static boolean startQBWithBrowserlist(Context context, String str, int i2) {
        boolean startQBToLoadurl = startQBToLoadurl(context, str, i2, null);
        if (!startQBToLoadurl) {
            openBrowserList(context, str, null);
        }
        return startQBToLoadurl;
    }

    public static boolean startQbOrMiniQBToLoadUrl(Context context, String str, HashMap<String, String> hashMap, ValueCallback<String> valueCallback) {
        if (context == null) {
            return false;
        }
        w a2 = w.a();
        a2.a(context);
        if (hashMap != null && "5".equals(hashMap.get("PosID")) && a2.b()) {
            Bundle bundle = (Bundle) a2.c().b().invokeStaticMethod("com.tencent.tbs.tbsshell.WebCoreProxy", "getAdWebViewInfoFromX5Core", new Class[0], new Object[0]);
        }
        if (MttLoader.loadUrl(context, str, hashMap, "QbSdk.startMiniQBToLoadUrl", null) != 0) {
            return a2.b() && (context == null || !context.getApplicationInfo().packageName.equals("com.nd.android.pandahome2") || getTbsVersion(context) >= 25487) && a2.c().a(context, str, hashMap, null, valueCallback) == 0;
        }
        return true;
    }

    public static void unForceSysWebView() {
        b = false;
        TbsLog.e("QbSdk", "sys WebView: unForceSysWebView called");
    }

    public static void uploadNetLog(String str) {
        w a2 = w.a();
        if (a2 != null && a2.b()) {
            try {
                a2.c().b().invokeStaticMethod("com.tencent.smtt.livelog.NetLogManager", "uploadNetLog", new Class[]{String.class}, str);
            } catch (Exception e2) {
            }
        }
    }

    public static boolean useSoftWare() {
        Object obj = s;
        if (obj == null) {
            return false;
        }
        Object a2 = j.a(obj, "useSoftWare", new Class[0], new Object[0]);
        if (a2 == null) {
            a2 = j.a(s, "useSoftWare", new Class[]{Integer.TYPE}, Integer.valueOf(a.a()));
        }
        if (a2 == null) {
            return false;
        }
        return ((Boolean) a2).booleanValue();
    }
}
