package com.umeng.cconfig.b;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.Build;
import android.text.TextUtils;
import com.umeng.cconfig.a.c;
import com.umeng.commonsdk.framework.UMEnvelopeBuild;
import com.umeng.commonsdk.statistics.common.DeviceConfig;
import com.umeng.commonsdk.statistics.common.ULog;
import com.umeng.commonsdk.utils.UMUtils;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public final class e {
    public static synchronized JSONArray a(c cVar, Context context) {
        synchronized (e.class) {
            JSONArray jSONArray = null;
            if (!(cVar == null || context == null)) {
                try {
                    a aVar = new a();
                    String uMId = UMUtils.getUMId(context);
                    if (TextUtils.isEmpty(uMId)) {
                        return null;
                    }
                    aVar.i = uMId;
                    String appkey = UMUtils.getAppkey(context);
                    if (TextUtils.isEmpty(appkey)) {
                        return null;
                    }
                    aVar.h = appkey;
                    aVar.l = Long.valueOf(System.currentTimeMillis());
                    aVar.j = Integer.valueOf(Integer.parseInt(cVar.c));
                    aVar.k = Integer.valueOf(Integer.parseInt(cVar.d));
                    aVar.m = cVar.a;
                    aVar.n = cVar.b;
                    JSONObject jSONObject = new JSONObject();
                    JSONArray jSONArray2 = new JSONArray();
                    try {
                        jSONObject.put(a.a, aVar.h);
                        jSONObject.put(a.e, aVar.l);
                        jSONObject.put(a.c, aVar.j);
                        jSONObject.put(a.d, aVar.k);
                        jSONObject.put(a.b, aVar.i);
                        jSONObject.put(a.f, aVar.m);
                        jSONObject.put(a.g, aVar.n);
                        jSONArray2.put(0, jSONObject);
                        List<JSONObject> b = b(context);
                        if (b.size() > 0) {
                            for (int i = 1; i <= b.size(); i++) {
                                jSONArray2.put(i, b.get(i - 1));
                            }
                        }
                        try {
                            SharedPreferences a = c.a(context);
                            if (a != null) {
                                SharedPreferences.Editor edit = a.edit();
                                edit.putString("abtest_sp_last_request_data", "");
                                edit.commit();
                            }
                        } catch (Exception e) {
                        }
                        return jSONArray2;
                    } catch (Exception e2) {
                        try {
                            ULog.i("jessie", "[getUpdateAbEventLogParam] error i");
                            jSONArray = jSONArray2;
                        } catch (Exception e3) {
                            jSONArray = jSONArray2;
                            ULog.i("jessie", "[getUpdateAbEventLogParam] error ii");
                            return jSONArray;
                        }
                    }
                } catch (Exception e4) {
                    ULog.i("jessie", "[getUpdateAbEventLogParam] error ii");
                    return jSONArray;
                }
            }
            return jSONArray;
        }
    }

    public static synchronized JSONObject a(Context context) {
        synchronized (e.class) {
            JSONObject jSONObject = null;
            try {
                b bVar = new b();
                String uMId = UMUtils.getUMId(context);
                if (TextUtils.isEmpty(uMId)) {
                    return null;
                }
                bVar.n = uMId;
                String appkey = UMUtils.getAppkey(context);
                if (TextUtils.isEmpty(appkey)) {
                    return null;
                }
                bVar.o = appkey;
                bVar.p = UMUtils.getAppVersionName(context);
                bVar.q = "9.3.3";
                bVar.r = UMUtils.getChannel(context);
                StringBuilder sb = new StringBuilder();
                sb.append(Build.VERSION.SDK_INT);
                bVar.s = sb.toString();
                bVar.t = Build.BRAND;
                bVar.u = Build.MODEL;
                String[] localeInfo = DeviceConfig.getLocaleInfo(context);
                bVar.v = localeInfo[1];
                bVar.y = localeInfo[0];
                int[] resolutionArray = DeviceConfig.getResolutionArray(context);
                bVar.x = Integer.valueOf(resolutionArray[1]);
                bVar.w = Integer.valueOf(resolutionArray[0]);
                String str = "";
                if (context != null) {
                    str = UMEnvelopeBuild.imprintProperty(context, "install_datetime", str);
                }
                bVar.z = str;
                try {
                    JSONObject jSONObject2 = new JSONObject();
                    try {
                        jSONObject2.put(b.a, bVar.n);
                        jSONObject2.put(b.c, bVar.p);
                        jSONObject2.put(b.b, bVar.o);
                        jSONObject2.put(b.d, bVar.q);
                        jSONObject2.put(b.e, bVar.r);
                        jSONObject2.put(b.f, bVar.s);
                        jSONObject2.put(b.g, bVar.t);
                        jSONObject2.put(b.h, bVar.u);
                        jSONObject2.put(b.k, bVar.x);
                        jSONObject2.put(b.j, bVar.w);
                        jSONObject2.put(b.l, bVar.y);
                        jSONObject2.put(b.i, bVar.v);
                        jSONObject2.put(b.m, bVar.z);
                        return jSONObject2;
                    } catch (JSONException e) {
                        jSONObject = jSONObject2;
                        ULog.i("jessie", "[getCloudConfigParam] error i");
                        return jSONObject;
                    } catch (Exception e2) {
                        jSONObject = jSONObject2;
                        ULog.i("jessie", "[getCloudConfigParam] error ii");
                        return jSONObject;
                    }
                } catch (JSONException e3) {
                    ULog.i("jessie", "[getCloudConfigParam] error i");
                    return jSONObject;
                }
            } catch (Exception e4) {
                ULog.i("jessie", "[getCloudConfigParam] error ii");
                return jSONObject;
            }
        }
    }

    private static List<JSONObject> b(Context context) {
        ArrayList arrayList = new ArrayList();
        try {
            SharedPreferences a = c.a(context);
            if (a != null) {
                String string = a.getString("abtest_sp_last_request_data", "");
                if (!TextUtils.isEmpty(string)) {
                    try {
                        JSONArray jSONArray = new JSONArray(string);
                        int length = jSONArray.length();
                        for (int i = 0; i < length; i++) {
                            String string2 = jSONArray.getString(i);
                            if (!TextUtils.isEmpty(string2)) {
                                arrayList.add(new JSONObject(string2));
                            }
                        }
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                }
            }
        } catch (Exception e2) {
        }
        return arrayList;
    }
}
