package com.xiaomi.push;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import com.xiaomi.push.k;
import com.xiaomi.push.service.ad;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Random;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

public class bh {
    private static volatile bh e;
    Context a;
    bg b;
    final HashMap<String, bf> c = new HashMap<>();
    ThreadPoolExecutor d = new ThreadPoolExecutor(1, 1, 15, TimeUnit.SECONDS, new LinkedBlockingQueue());
    private final ArrayList<a> f = new ArrayList<>();

    public static abstract class a implements Runnable {
        private WeakReference<Context> a;
        protected String b;
        protected bf c = null;
        String d;
        a e;
        private Random f = new Random();
        private int g = 0;

        public a(String str) {
            this.d = str;
        }

        public Object a() {
            return null;
        }

        /* access modifiers changed from: package-private */
        public void a(Context context) {
            a aVar = this.e;
            if (aVar != null) {
                aVar.a(context, a());
            }
        }

        public abstract void a(Context context, SQLiteDatabase sQLiteDatabase);

        public void a(Context context, Object obj) {
            bh.a(context).a(this);
        }

        /* access modifiers changed from: package-private */
        public final void a(bf bfVar, Context context) {
            this.c = bfVar;
            this.b = bfVar.a();
            this.a = new WeakReference<>(context);
        }

        public final boolean b() {
            return this.c == null || TextUtils.isEmpty(this.b) || this.a == null;
        }

        public SQLiteDatabase c() {
            return this.c.getWritableDatabase();
        }

        public final void run() {
            Context context;
            WeakReference<Context> weakReference = this.a;
            if (weakReference != null && (context = weakReference.get()) != null && context.getFilesDir() != null && this.c != null && !TextUtils.isEmpty(this.d)) {
                File file = new File(this.d);
                new jb(context, new File(file.getParentFile(), al.b(file.getAbsolutePath())), new bj(this, context)).run();
            }
        }
    }

    public static abstract class b<T> extends a {
        private List<String> a;
        private String f;
        private String[] g;
        private String h;
        private String i;
        private String j;
        private int k;
        private List<T> l = new ArrayList();

        public b(String str, List<String> list) {
            super(str);
            this.a = list;
            this.f = null;
            this.g = null;
            this.h = null;
            this.i = null;
            this.j = null;
            this.k = 0;
        }

        public abstract T a(Cursor cursor);

        @Override // com.xiaomi.push.bh.a
        public final void a(Context context, SQLiteDatabase sQLiteDatabase) {
            String[] strArr;
            this.l.clear();
            List<String> list = this.a;
            String str = null;
            if (list == null || list.size() <= 0) {
                strArr = null;
            } else {
                String[] strArr2 = new String[this.a.size()];
                this.a.toArray(strArr2);
                strArr = strArr2;
            }
            int i2 = this.k;
            if (i2 > 0) {
                str = String.valueOf(i2);
            }
            Cursor query = sQLiteDatabase.query(this.b, strArr, this.f, this.g, this.h, this.i, this.j, str);
            if (query != null && query.moveToFirst()) {
                do {
                    T a2 = a(query);
                    if (a2 != null) {
                        this.l.add(a2);
                    }
                } while (query.moveToNext());
                query.close();
            }
            a(context, (List) this.l);
        }

        public abstract void a(Context context, List<T> list);

        @Override // com.xiaomi.push.bh.a
        public final SQLiteDatabase c() {
            return this.c.getReadableDatabase();
        }
    }

    public static class c extends a {
        private ArrayList<a> a;

        public c(String str, ArrayList<a> arrayList) {
            super(str);
            ArrayList<a> arrayList2 = new ArrayList<>();
            this.a = arrayList2;
            arrayList2.addAll(arrayList);
        }

        @Override // com.xiaomi.push.bh.a
        public final void a(Context context) {
            super.a(context);
            Iterator<a> it = this.a.iterator();
            while (it.hasNext()) {
                a next = it.next();
                if (next != null) {
                    next.a(context);
                }
            }
        }

        @Override // com.xiaomi.push.bh.a
        public final void a(Context context, SQLiteDatabase sQLiteDatabase) {
            Iterator<a> it = this.a.iterator();
            while (it.hasNext()) {
                a next = it.next();
                if (next != null) {
                    next.a(context, sQLiteDatabase);
                }
            }
        }
    }

    public static class d extends a {
        private String a;
        protected String[] f;

        public d(String str, String str2, String[] strArr) {
            super(str);
            this.a = str2;
            this.f = strArr;
        }

        @Override // com.xiaomi.push.bh.a
        public final void a(Context context, SQLiteDatabase sQLiteDatabase) {
            sQLiteDatabase.delete(this.b, this.a, this.f);
        }
    }

    public static class e extends a {
        private ContentValues a;

        public e(String str, ContentValues contentValues) {
            super(str);
            this.a = contentValues;
        }

        @Override // com.xiaomi.push.bh.a
        public final void a(Context context, SQLiteDatabase sQLiteDatabase) {
            sQLiteDatabase.insert(this.b, null, this.a);
        }
    }

    private bh(Context context) {
        this.a = context;
    }

    public static bh a(Context context) {
        if (e == null) {
            synchronized (bh.class) {
                if (e == null) {
                    e = new bh(context);
                }
            }
        }
        return e;
    }

    private void a() {
        k.a(this.a).a((k.a) new bi(this), ad.a(this.a).a(gm.StatDataProcessFrequency.bw, 5));
    }

    /* access modifiers changed from: package-private */
    public final bf a(String str) {
        bf bfVar = this.c.get(str);
        if (bfVar == null) {
            synchronized (this.c) {
                if (bfVar == null) {
                    bfVar = this.b.a();
                    this.c.put(str, bfVar);
                }
            }
        }
        return bfVar;
    }

    public final void a(a aVar) {
        bf bfVar;
        if (aVar != null) {
            if (this.b != null) {
                String str = aVar.d;
                synchronized (this.c) {
                    bfVar = this.c.get(str);
                    if (bfVar == null) {
                        bfVar = this.b.a();
                        this.c.put(str, bfVar);
                    }
                }
                if (!this.d.isShutdown()) {
                    aVar.a(bfVar, this.a);
                    synchronized (this.f) {
                        this.f.add(aVar);
                        a();
                    }
                    return;
                }
                return;
            }
            throw new IllegalStateException("should exec init method first!");
        }
    }

    public final void a(Runnable runnable) {
        if (!this.d.isShutdown()) {
            this.d.execute(runnable);
        }
    }

    public final void a(ArrayList<a> arrayList) {
        if (this.b != null) {
            HashMap hashMap = new HashMap();
            if (!this.d.isShutdown()) {
                Iterator<a> it = arrayList.iterator();
                while (it.hasNext()) {
                    a next = it.next();
                    if (next.b()) {
                        next.a(a(next.d), this.a);
                    }
                    ArrayList arrayList2 = (ArrayList) hashMap.get(next.d);
                    if (arrayList2 == null) {
                        arrayList2 = new ArrayList();
                        hashMap.put(next.d, arrayList2);
                    }
                    arrayList2.add(next);
                }
                for (String str : hashMap.keySet()) {
                    ArrayList arrayList3 = (ArrayList) hashMap.get(str);
                    if (arrayList3 != null && arrayList3.size() > 0) {
                        c cVar = new c(str, arrayList3);
                        cVar.a(((a) arrayList3.get(0)).c, this.a);
                        this.d.execute(cVar);
                    }
                }
                return;
            }
            return;
        }
        throw new IllegalStateException("should exec setDbHelperFactory method first!");
    }
}
