package com.xiaomi.push;

import android.content.Context;
import android.os.Build;
import android.text.TextUtils;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.k;
import com.xiaomi.push.service.ad;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.channels.FileLock;

public abstract class cr extends k.a {
    protected int a;
    protected Context b;

    public cr(Context context, int i) {
        this.a = i;
        this.b = context;
    }

    public static void a(Context context, gp gpVar) {
        cl clVar = cm.a().a;
        String a2 = clVar == null ? "" : clVar.a();
        if (!TextUtils.isEmpty(a2) && !TextUtils.isEmpty(gpVar.c)) {
            a(context, gpVar, a2);
        }
    }

    private static void a(Context context, gp gpVar, String str) {
        Throwable th;
        BufferedOutputStream bufferedOutputStream;
        RandomAccessFile randomAccessFile;
        IOException e;
        FileLock lock;
        byte[] b2 = cn.b(str, hs.a(gpVar));
        if (b2 != null && b2.length != 0) {
            synchronized (co.a) {
                FileLock fileLock = null;
                try {
                    File file = new File(context.getExternalFilesDir(null), "push_cdata.lock");
                    jd.b(file);
                    randomAccessFile = new RandomAccessFile(file, "rw");
                    try {
                        lock = randomAccessFile.getChannel().lock();
                    } catch (IOException e2) {
                        e = e2;
                        bufferedOutputStream = null;
                        try {
                            e.printStackTrace();
                            try {
                                fileLock.release();
                            } catch (IOException e3) {
                            }
                            jd.a(bufferedOutputStream);
                            jd.a(randomAccessFile);
                        } catch (Throwable th2) {
                            th = th2;
                            try {
                                fileLock.release();
                            } catch (IOException e4) {
                            }
                            jd.a(bufferedOutputStream);
                            jd.a(randomAccessFile);
                            throw th;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        bufferedOutputStream = null;
                        fileLock.release();
                        jd.a(bufferedOutputStream);
                        jd.a(randomAccessFile);
                        throw th;
                    }
                    try {
                        File file2 = new File(context.getExternalFilesDir(null), "push_cdata.data");
                        bufferedOutputStream = new BufferedOutputStream(new FileOutputStream(file2, true));
                        try {
                            bufferedOutputStream.write(d.a(b2.length));
                            bufferedOutputStream.write(b2);
                            bufferedOutputStream.flush();
                            file2.setLastModified(0);
                            if (lock != null) {
                                if (lock.isValid()) {
                                    try {
                                        lock.release();
                                    } catch (IOException e5) {
                                    }
                                }
                            }
                            jd.a(bufferedOutputStream);
                        } catch (IOException e6) {
                            e = e6;
                            fileLock = lock;
                            e.printStackTrace();
                            if (fileLock != null && fileLock.isValid()) {
                                fileLock.release();
                            }
                            jd.a(bufferedOutputStream);
                            jd.a(randomAccessFile);
                        } catch (Throwable th4) {
                            th = th4;
                            fileLock = lock;
                            if (fileLock != null && fileLock.isValid()) {
                                fileLock.release();
                            }
                            jd.a(bufferedOutputStream);
                            jd.a(randomAccessFile);
                            throw th;
                        }
                    } catch (IOException e7) {
                        e = e7;
                        bufferedOutputStream = null;
                        fileLock = lock;
                        e.printStackTrace();
                        fileLock.release();
                        jd.a(bufferedOutputStream);
                        jd.a(randomAccessFile);
                    } catch (Throwable th5) {
                        th = th5;
                        bufferedOutputStream = null;
                        fileLock = lock;
                        fileLock.release();
                        jd.a(bufferedOutputStream);
                        jd.a(randomAccessFile);
                        throw th;
                    }
                } catch (IOException e8) {
                    e = e8;
                    bufferedOutputStream = null;
                    randomAccessFile = null;
                    e.printStackTrace();
                    fileLock.release();
                    jd.a(bufferedOutputStream);
                    jd.a(randomAccessFile);
                } catch (Throwable th6) {
                    th = th6;
                    bufferedOutputStream = null;
                    randomAccessFile = null;
                    fileLock.release();
                    jd.a(bufferedOutputStream);
                    jd.a(randomAccessFile);
                    throw th;
                }
                jd.a(randomAccessFile);
            }
        }
    }

    public abstract String b();

    public abstract gj c();

    public void run() {
        String b2 = b();
        if (!TextUtils.isEmpty(b2)) {
            Context context = this.b;
            String valueOf = String.valueOf(a());
            long j = (long) this.a;
            boolean z = false;
            if (ad.a(context).a(gm.DCJobMutualSwitch.bw, false) && ((Build.VERSION.SDK_INT < 29 || context.getApplicationInfo().targetSdkVersion < 29) && !i.a(context, valueOf, j))) {
                z = true;
            }
            if (z) {
                b.a("DC run job mutual: " + a());
                return;
            }
            cl clVar = cm.a().a;
            String a2 = clVar == null ? "" : clVar.a();
            if (!TextUtils.isEmpty(a2)) {
                gp gpVar = new gp();
                gpVar.c = b2;
                gpVar.a(System.currentTimeMillis());
                gpVar.b = c();
                a(this.b, gpVar, a2);
            }
        }
    }
}
