package com.xiaomi.push;

import android.os.SystemClock;
import android.util.Pair;
import com.efs.sdk.base.core.util.NetworkUtil;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.service.aj;
import com.xiaomi.push.service.an;
import com.xiaomi.push.service.c;
import java.io.Reader;
import java.io.Writer;
import java.util.Collection;
import java.util.LinkedList;
import java.util.Map;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.atomic.AtomicInteger;

public abstract class et {
    public static boolean a;
    private static final AtomicInteger r = new AtomicInteger(0);
    protected int b = 0;
    protected long c = -1;
    protected volatile long d = 0;
    protected volatile long e = 0;
    public LinkedList<Pair<Integer, Long>> f = new LinkedList<>();
    public final Collection<ew> g = new CopyOnWriteArrayList();
    protected final Map<ey, a> h = new ConcurrentHashMap();
    protected final Map<ey, a> i = new ConcurrentHashMap();
    protected fg j;
    protected String k;
    protected String l;
    int m;
    protected final int n;
    protected eu o;
    protected c p;
    protected long q;
    private long s;

    public static class a {
        ey a;
        private fh b;

        public a(ey eyVar, fh fhVar) {
            this.a = eyVar;
            this.b = fhVar;
        }

        public final void a(ei eiVar) {
            this.a.a(eiVar);
        }
    }

    static {
        a = false;
        try {
            a = Boolean.getBoolean("smack.debugEnabled");
        } catch (Exception e2) {
        }
        fa.a();
    }

    protected et(c cVar, eu euVar) {
        String str;
        Class<?> cls = null;
        this.j = null;
        this.k = "";
        this.l = "";
        this.m = 2;
        this.n = r.getAndIncrement();
        this.s = 0;
        this.q = 0;
        this.o = euVar;
        this.p = cVar;
        if (euVar.f && this.j == null) {
            try {
                str = System.getProperty("smack.debuggerClass");
            } catch (Throwable th) {
                str = null;
            }
            if (str != null) {
                try {
                    cls = Class.forName(str);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
            if (cls == null) {
                this.j = new er(this);
                return;
            }
            try {
                this.j = (fg) cls.getConstructor(et.class, Writer.class, Reader.class).newInstance(this);
            } catch (Exception e3) {
                throw new IllegalArgumentException("Can't initialize the configured debugger!", e3);
            }
        }
    }

    private static String a(int i2) {
        return i2 == 1 ? "connected" : i2 == 0 ? "connecting" : i2 == 2 ? NetworkUtil.NETWORK_CLASS_DISCONNECTED : "unknown";
    }

    public final void a(int i2, int i3, Exception exc) {
        int i4 = this.m;
        if (i2 != i4) {
            b.a(String.format("update the connection status. %1$s -> %2$s : %3$s ", a(i4), a(i2), an.a(i3)));
        }
        if (ag.a(this.p)) {
            synchronized (this.f) {
                if (i2 == 1) {
                    this.f.clear();
                } else {
                    this.f.add(new Pair<>(Integer.valueOf(i2), Long.valueOf(System.currentTimeMillis())));
                    if (this.f.size() > 6) {
                        this.f.remove(0);
                    }
                }
            }
        }
        if (i2 == 1) {
            this.p.a(10);
            if (this.m != 0) {
                b.a("try set connected while not connecting.");
            }
            this.m = i2;
            for (ew ewVar : this.g) {
                ewVar.b(this);
            }
        } else if (i2 == 0) {
            if (this.m != 2) {
                b.a("try set connecting while not disconnected.");
            }
            this.m = i2;
            for (ew ewVar2 : this.g) {
                ewVar2.a(this);
            }
        } else if (i2 == 2) {
            this.p.a(10);
            int i5 = this.m;
            if (i5 == 0) {
                for (ew ewVar3 : this.g) {
                    ewVar3.a(this, exc == null ? new CancellationException("disconnect while connecting") : exc);
                }
            } else if (i5 == 1) {
                for (ew ewVar4 : this.g) {
                    ewVar4.a(this, i3, exc);
                }
            }
            this.m = i2;
        }
    }

    public final void a(ey eyVar, fh fhVar) {
        if (eyVar != null) {
            this.h.put(eyVar, new a(eyVar, fhVar));
            return;
        }
        throw new NullPointerException("Packet listener is null.");
    }

    public abstract void a(fl flVar);

    public abstract void a(aj.b bVar);

    public final synchronized void a(String str) {
        if (this.m == 0) {
            b.a("setChallenge hash = " + al.a(str).substring(0, 8));
            this.k = str;
            a(1, 0, null);
            return;
        }
        b.a("ignore setChallenge because connection was disconnected");
    }

    public abstract void a(String str, String str2);

    public abstract void a(ei[] eiVarArr);

    public final synchronized boolean a(long j2) {
        return this.s >= j2;
    }

    public abstract void b(int i2, Exception exc);

    public abstract void b(ei eiVar);

    public final void b(ey eyVar, fh fhVar) {
        if (eyVar != null) {
            this.i.put(eyVar, new a(eyVar, fhVar));
            return;
        }
        throw new NullPointerException("Packet listener is null.");
    }

    public abstract void b(boolean z);

    public boolean b() {
        return false;
    }

    public final eu d() {
        return this.o;
    }

    public String e() {
        return this.o.c();
    }

    public final String f() {
        return this.o.g;
    }

    public final long g() {
        return this.e;
    }

    /* access modifiers changed from: protected */
    public final Map<ey, a> h() {
        return this.h;
    }

    public final boolean i() {
        return this.m == 0;
    }

    public final boolean j() {
        return this.m == 1;
    }

    public final int k() {
        return this.b;
    }

    public final synchronized void l() {
        this.s = SystemClock.elapsedRealtime();
    }
}
