package com.xiaomi.push;

import android.content.Context;
import android.content.SharedPreferences;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.service.be;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.channels.FileLock;
import java.util.ArrayList;
import java.util.HashMap;

public final class gd {
    private static boolean a = false;

    /* access modifiers changed from: package-private */
    public static class a implements Runnable {
        private Context a;
        private gg b;

        public a(Context context, gg ggVar) {
            this.b = ggVar;
            this.a = context;
        }

        public final void run() {
            gd.b(this.a, this.b);
        }
    }

    public static void a(Context context, gg ggVar) {
        k.a(context).a(new a(context, ggVar), 0);
    }

    private static void a(Context context, gg ggVar, File file, byte[] bArr) {
        Throwable th;
        Exception e;
        String concat;
        int a2;
        ArrayList arrayList = new ArrayList();
        int i = 4;
        byte[] bArr2 = new byte[4];
        BufferedInputStream bufferedInputStream = null;
        try {
            BufferedInputStream bufferedInputStream2 = new BufferedInputStream(new FileInputStream(file));
            int i2 = 0;
            int i3 = 0;
            while (true) {
                try {
                    int read = bufferedInputStream2.read(bArr2);
                    if (read == -1) {
                        break;
                    } else if (read != i) {
                        concat = "TinyData read from cache file failed cause lengthBuffer error. size:".concat(String.valueOf(read));
                        break;
                    } else {
                        a2 = d.a(bArr2);
                        if (a2 <= 0) {
                            break;
                        } else if (a2 > 10240) {
                            break;
                        } else {
                            byte[] bArr3 = new byte[a2];
                            int read2 = bufferedInputStream2.read(bArr3);
                            if (read2 != a2) {
                                concat = "TinyData read from cache file failed cause buffer size not equal length. size:" + read2 + "__length:" + a2;
                                break;
                            }
                            byte[] a3 = ga.a(bArr, bArr3);
                            if (a3 != null) {
                                if (a3.length != 0) {
                                    gl glVar = new gl();
                                    hs.a(glVar, a3);
                                    String valueOf = String.valueOf(a3.length);
                                    if (glVar.j == null) {
                                        glVar.j = new HashMap();
                                    }
                                    glVar.j.put("item_size", valueOf);
                                    arrayList.add(glVar);
                                    i2++;
                                    i3 += a3.length;
                                    if (i2 >= 8 || i3 >= 10240) {
                                        ge.a(context, ggVar, arrayList);
                                        arrayList.clear();
                                        i2 = 0;
                                        i3 = 0;
                                        i = 4;
                                    } else {
                                        i = 4;
                                    }
                                }
                            }
                            b.d("TinyData read from cache file failed cause decrypt fail");
                            i = 4;
                        }
                    }
                } catch (Exception e2) {
                    e = e2;
                    bufferedInputStream = bufferedInputStream2;
                    try {
                        b.a(e);
                        jd.a(bufferedInputStream);
                    } catch (Throwable th2) {
                        th = th2;
                        jd.a(bufferedInputStream);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    bufferedInputStream = bufferedInputStream2;
                    jd.a(bufferedInputStream);
                    throw th;
                }
            }
            concat = "TinyData read from cache file failed cause lengthBuffer < 1 || too big. length:".concat(String.valueOf(a2));
            b.d(concat);
            ge.a(context, ggVar, arrayList);
            if (file.exists() && !file.delete()) {
                b.a("TinyData delete reading temp file failed");
            }
            jd.a(bufferedInputStream2);
        } catch (Exception e3) {
            e = e3;
            b.a(e);
            jd.a(bufferedInputStream);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x00cb  */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00cf  */
    static /* synthetic */ void b(Context context, gg ggVar) {
        Throwable th;
        RandomAccessFile randomAccessFile;
        File file;
        IOException e;
        Exception e2;
        if (!a) {
            a = true;
            File file2 = new File(context.getFilesDir(), "tiny_data.data");
            if (!file2.exists()) {
                b.a("TinyData no ready file to get data.");
                return;
            }
            File file3 = new File(context.getFilesDir() + "/tdReadTemp");
            if (!file3.exists()) {
                file3.mkdirs();
            }
            byte[] a2 = be.a(context);
            FileLock fileLock = null;
            try {
                File file4 = new File(context.getFilesDir(), "tiny_data.lock");
                jd.b(file4);
                randomAccessFile = new RandomAccessFile(file4, "rw");
                try {
                    fileLock = randomAccessFile.getChannel().lock();
                    file2.renameTo(new File(context.getFilesDir() + "/tdReadTemp/tiny_data.data"));
                    if (fileLock != null && fileLock.isValid()) {
                        try {
                            fileLock.release();
                        } catch (IOException e3) {
                            e = e3;
                        }
                    }
                } catch (Exception e4) {
                    e2 = e4;
                    try {
                        b.a(e2);
                        if (fileLock != null && fileLock.isValid()) {
                            try {
                                fileLock.release();
                            } catch (IOException e5) {
                                e = e5;
                            }
                        }
                        jd.a(randomAccessFile);
                        file = new File(context.getFilesDir() + "/tdReadTemp/tiny_data.data");
                        if (file.exists()) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        if (fileLock != null && fileLock.isValid()) {
                            try {
                                fileLock.release();
                            } catch (IOException e6) {
                                b.a(e6);
                            }
                        }
                        jd.a(randomAccessFile);
                        throw th;
                    }
                }
            } catch (Exception e7) {
                e2 = e7;
                randomAccessFile = null;
                b.a(e2);
                fileLock.release();
                jd.a(randomAccessFile);
                file = new File(context.getFilesDir() + "/tdReadTemp/tiny_data.data");
                if (file.exists()) {
                }
            } catch (Throwable th3) {
                th = th3;
                randomAccessFile = null;
                fileLock.release();
                jd.a(randomAccessFile);
                throw th;
            }
            jd.a(randomAccessFile);
            file = new File(context.getFilesDir() + "/tdReadTemp/tiny_data.data");
            if (file.exists()) {
                b.a("TinyData no ready file to get data.");
                return;
            }
            a(context, ggVar, file, a2);
            gc.b();
            SharedPreferences.Editor edit = context.getSharedPreferences("mipush_extra", 4).edit();
            edit.putLong("last_tiny_data_upload_timestamp", System.currentTimeMillis() / 1000);
            edit.commit();
            a = false;
            return;
        }
        b.a("TinyData extractTinyData is running");
        return;
        b.a(e);
        jd.a(randomAccessFile);
        file = new File(context.getFilesDir() + "/tdReadTemp/tiny_data.data");
        if (file.exists()) {
        }
    }
}
