package com.xiaomi.push;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Parcelable;
import android.text.TextUtils;
import com.alipay.sdk.m.n.a;
import com.igexin.assist.control.xiaomi.XmSystemUtils;
import com.igexin.assist.sdk.AssistPushConsts;
import com.igexin.push.core.b;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

public final class ib {
    private static volatile int a = 0;
    private static int b = -1;
    private static Map<String, it> c = null;

    public static String a(Intent intent) {
        if (intent == null) {
            return null;
        }
        return intent.toString() + Operators.SPACE_STR + a(intent.getExtras());
    }

    private static String a(Bundle bundle) {
        String a2;
        StringBuilder sb = new StringBuilder("Bundle[");
        if (bundle == null) {
            sb.append(b.m);
        } else {
            boolean z = true;
            for (String str : bundle.keySet()) {
                if (!z) {
                    sb.append(", ");
                }
                sb.append(str);
                sb.append(a.h);
                Object obj = bundle.get(str);
                if (obj instanceof int[]) {
                    a2 = Arrays.toString((int[]) obj);
                } else if (obj instanceof byte[]) {
                    a2 = Arrays.toString((byte[]) obj);
                } else if (obj instanceof boolean[]) {
                    a2 = Arrays.toString((boolean[]) obj);
                } else if (obj instanceof short[]) {
                    a2 = Arrays.toString((short[]) obj);
                } else if (obj instanceof long[]) {
                    a2 = Arrays.toString((long[]) obj);
                } else if (obj instanceof float[]) {
                    a2 = Arrays.toString((float[]) obj);
                } else if (obj instanceof double[]) {
                    a2 = Arrays.toString((double[]) obj);
                } else if (obj instanceof String[]) {
                    a2 = Arrays.toString((String[]) obj);
                } else if (obj instanceof CharSequence[]) {
                    a2 = Arrays.toString((CharSequence[]) obj);
                } else if (obj instanceof Parcelable[]) {
                    a2 = Arrays.toString((Parcelable[]) obj);
                } else if (obj instanceof Bundle) {
                    a2 = a((Bundle) obj);
                } else {
                    sb.append(obj);
                    z = false;
                }
                sb.append(a2);
                z = false;
            }
        }
        sb.append(Operators.ARRAY_END_STR);
        return sb.toString();
    }

    public static String a(String str) {
        try {
            return (String) ah.a("android.os.SystemProperties", "get", str, "");
        } catch (Exception e) {
            com.xiaomi.channel.commonutils.logger.b.d("fail to get property. ".concat(String.valueOf(e)));
        } catch (Throwable th) {
        }
        return null;
    }

    public static boolean a() {
        return k() == 1;
    }

    public static boolean a(Context context) {
        return context != null && "com.xiaomi.xmsf".equals(context.getPackageName());
    }

    public static int b(Context context) {
        try {
            return context.getPackageManager().getPackageInfo("com.xiaomi.xmsf", 0).versionCode;
        } catch (Exception e) {
            return 0;
        }
    }

    public static it b(String str) {
        if (c == null) {
            HashMap hashMap = new HashMap();
            c = hashMap;
            hashMap.put("CN", it.China);
            c.put("FI", it.Europe);
            c.put("SE", it.Europe);
            c.put("NO", it.Europe);
            c.put("FO", it.Europe);
            c.put("EE", it.Europe);
            c.put("LV", it.Europe);
            c.put("LT", it.Europe);
            c.put("BY", it.Europe);
            c.put("MD", it.Europe);
            c.put("UA", it.Europe);
            c.put("PL", it.Europe);
            c.put("CZ", it.Europe);
            c.put("SK", it.Europe);
            c.put("HU", it.Europe);
            c.put("DE", it.Europe);
            c.put("AT", it.Europe);
            c.put("CH", it.Europe);
            c.put("LI", it.Europe);
            c.put("GB", it.Europe);
            c.put("IE", it.Europe);
            c.put("NL", it.Europe);
            c.put("BE", it.Europe);
            c.put("LU", it.Europe);
            c.put("FR", it.Europe);
            c.put("RO", it.Europe);
            c.put("BG", it.Europe);
            c.put("RS", it.Europe);
            c.put("MK", it.Europe);
            c.put("AL", it.Europe);
            c.put("GR", it.Europe);
            c.put("SI", it.Europe);
            c.put("HR", it.Europe);
            c.put("IT", it.Europe);
            c.put("SM", it.Europe);
            c.put("MT", it.Europe);
            c.put("ES", it.Europe);
            c.put(AssistPushConsts.MSG_VALUE_PAYLOAD, it.Europe);
            c.put("AD", it.Europe);
            c.put("CY", it.Europe);
            c.put("DK", it.Europe);
            c.put("IS", it.Europe);
            c.put("UK", it.Europe);
            c.put("EL", it.Europe);
            c.put("RU", it.Russia);
            c.put("IN", it.India);
        }
        it itVar = c.get(str.toUpperCase());
        return itVar == null ? it.Global : itVar;
    }

    public static boolean b() {
        return k() == 2;
    }

    public static String c() {
        int b2 = ix.b();
        return (!a() || b2 <= 0) ? "" : b2 < 2 ? Constant.JSONKEY.ALPHE : b2 < 3 ? "development" : Constants.Name.STABLE;
    }

    public static boolean d() {
        if (b < 0) {
            b = !l() ? 1 : 0;
        }
        return b > 0;
    }

    public static String e() {
        String a2 = iw.a("ro.miui.region", "");
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("persist.sys.oppo.region", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("ro.oppo.regionmark", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("ro.vendor.oplus.regionmark", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("ro.hw.country", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("ro.csc.countryiso_code", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("ro.product.country.region", "");
            if (!TextUtils.isEmpty(a2)) {
                String[] split = a2.split("-");
                if (split.length > 0) {
                    a2 = split[0];
                }
            }
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("gsm.vivo.countrycode", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("persist.sys.oem.region", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("ro.product.locale.region", "");
        }
        if (TextUtils.isEmpty(a2)) {
            a2 = iw.a("persist.sys.country", "");
        }
        if (!TextUtils.isEmpty(a2)) {
            com.xiaomi.channel.commonutils.logger.b.a("get region from system, region = ".concat(String.valueOf(a2)));
        }
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        String country = Locale.getDefault().getCountry();
        com.xiaomi.channel.commonutils.logger.b.a("locale.default.country = ".concat(String.valueOf(country)));
        return country;
    }

    public static boolean f() {
        return !it.China.name().equalsIgnoreCase(b(e()).name());
    }

    public static int g() {
        String a2 = a(XmSystemUtils.KEY_VERSION_CODE);
        if (TextUtils.isEmpty(a2) || !TextUtils.isDigitsOnly(a2)) {
            return 0;
        }
        return Integer.parseInt(a2);
    }

    public static String h() {
        return a(XmSystemUtils.KEY_VERSION_MIUI);
    }

    public static String i() {
        return a("ro.build.characteristics");
    }

    public static String j() {
        return a("ro.product.manufacturer");
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024 A[Catch:{ all -> 0x0029 }] */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0025 A[Catch:{ all -> 0x0029 }] */
    private static int k() {
        boolean z;
        if (a == 0) {
            try {
                int i = 1;
                if (TextUtils.isEmpty(a(XmSystemUtils.KEY_VERSION_CODE))) {
                    if (TextUtils.isEmpty(a(XmSystemUtils.KEY_VERSION_MIUI))) {
                        z = false;
                        if (z) {
                            i = 2;
                        }
                        a = i;
                        com.xiaomi.channel.commonutils.logger.b.b("isMIUI's value is: " + a);
                    }
                }
                z = true;
                if (z) {
                }
                a = i;
            } catch (Throwable th) {
                com.xiaomi.channel.commonutils.logger.b.a("get isMIUI failed", th);
                a = 0;
            }
            com.xiaomi.channel.commonutils.logger.b.b("isMIUI's value is: " + a);
        }
        return a;
    }

    private static boolean l() {
        String str = "";
        try {
            str = iw.a(XmSystemUtils.KEY_VERSION_CODE, str);
        } catch (Exception e) {
        }
        return !TextUtils.isEmpty(str);
    }
}
