package com.xiaomi.push.service;

import android.app.Notification;
import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.service.notification.StatusBarNotification;
import android.text.TextUtils;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.ah;
import com.xiaomi.push.k;
import java.util.List;

public final class bg {
    private static Notification a(Notification notification, int i, String str, aa aaVar) {
        if (notification != null) {
            if (!str.equals(notification.extras.getString("message_id"))) {
                notification = null;
            }
            return notification;
        }
        List<StatusBarNotification> c = aaVar.c();
        if (c == null) {
            return null;
        }
        for (StatusBarNotification statusBarNotification : c) {
            Notification notification2 = statusBarNotification.getNotification();
            String string = notification2.extras.getString("message_id");
            if (i == statusBarNotification.getId() && str.equals(string)) {
                return notification2;
            }
        }
        return null;
    }

    private static k.a a(Context context, String str, int i, String str2) {
        return new bh(i, str2, context, str);
    }

    static String a(int i, String str) {
        return "n_top_update_" + i + "_" + str;
    }

    static void a(Context context, String str, int i, String str2, Notification notification) {
        aa a;
        Notification a2;
        if (context != null && !TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2) && Build.VERSION.SDK_INT >= 26 && (a2 = a(notification, i, str2, (a = aa.a(context, str)))) != null) {
            boolean z = notification != null;
            if (a2.getGroupAlertBehavior() != 1) {
                ah.a((Object) a2, "mGroupAlertBehavior", (Object) 1);
            }
            long currentTimeMillis = System.currentTimeMillis();
            long j = a2.extras.getLong("mipush_org_when", 0);
            int i2 = a2.extras.getInt("mipush_n_top_fre", 0);
            int i3 = a2.extras.getInt("mipush_n_top_prd", 0);
            if (i3 > 0 && i3 >= i2) {
                long j2 = ((long) (i3 * 1000)) + j;
                int min = (j >= currentTimeMillis || currentTimeMillis >= j2) ? 0 : i2 > 0 ? (int) Math.min((j2 - currentTimeMillis) / 1000, (long) i2) : i3;
                if (!z) {
                    if (min > 0) {
                        a2.when = currentTimeMillis;
                        b.a("update top notification: ".concat(String.valueOf(str2)));
                        a.a(i, a2);
                    } else {
                        Notification.Builder recoverBuilder = Notification.Builder.recoverBuilder(context, a2);
                        recoverBuilder.setPriority(0);
                        recoverBuilder.setWhen(currentTimeMillis);
                        Bundle extras = recoverBuilder.getExtras();
                        if (extras != null) {
                            extras.remove("mipush_n_top_flag");
                            extras.remove("mipush_org_when");
                            extras.remove("mipush_n_top_fre");
                            extras.remove("mipush_n_top_prd");
                            recoverBuilder.setExtras(extras);
                        }
                        b.a("update top notification to common: ".concat(String.valueOf(str2)));
                        a.a(i, recoverBuilder.build());
                    }
                }
                if (min > 0) {
                    b.a("schedule top notification next update delay: ".concat(String.valueOf(min)));
                    k.a(context).a(a(i, str2));
                    k.a(context).a(a(context, str, i, str2), min);
                }
            }
        }
    }
}
