package com.xiaomi.push.service;

import android.content.Context;
import android.os.Messenger;
import android.text.TextUtils;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.mipush.sdk.ErrorCode;
import com.xiaomi.push.bz;
import com.xiaomi.push.ei;
import com.xiaomi.push.et;
import com.xiaomi.push.ff;
import com.xiaomi.push.fl;
import com.xiaomi.push.gh;
import com.xiaomi.push.gw;
import com.xiaomi.push.he;
import com.xiaomi.push.hh;
import com.xiaomi.push.hs;
import com.xiaomi.push.ht;
import com.xiaomi.push.hx;
import com.xiaomi.push.service.aj;
import java.nio.ByteBuffer;

/* access modifiers changed from: package-private */
public final class l {
    private static ei a(c cVar, byte[] bArr) {
        he heVar = new he();
        try {
            hs.a(heVar, bArr);
            return a(cp.a(cVar), heVar);
        } catch (hx e) {
            b.a(e);
            return null;
        }
    }

    private static ei a(co coVar, he heVar) {
        String str;
        try {
            ei eiVar = new ei();
            eiVar.a(5);
            eiVar.b(coVar.a);
            if (!(heVar.h == null || heVar.h.k == null)) {
                str = heVar.h.k.get("ext_traffic_source_pkg");
                if (!TextUtils.isEmpty(str)) {
                    eiVar.c = str;
                    eiVar.a("SECMSG", "message");
                    String str2 = coVar.a;
                    heVar.g.b = str2.substring(0, str2.indexOf("@"));
                    heVar.g.d = str2.substring(str2.indexOf("/") + 1);
                    eiVar.a(hs.a(heVar), coVar.c);
                    eiVar.b = 1;
                    b.a("try send mi push message. packagename:" + heVar.f + " action:" + heVar.a);
                    return eiVar;
                }
            }
            str = heVar.f;
            eiVar.c = str;
            eiVar.a("SECMSG", "message");
            String str22 = coVar.a;
            heVar.g.b = str22.substring(0, str22.indexOf("@"));
            heVar.g.d = str22.substring(str22.indexOf("/") + 1);
            eiVar.a(hs.a(heVar), coVar.c);
            eiVar.b = 1;
            b.a("try send mi push message. packagename:" + heVar.f + " action:" + heVar.a);
            return eiVar;
        } catch (NullPointerException e) {
            b.a(e);
            return null;
        }
    }

    static he a(String str, String str2) {
        hh hhVar = new hh();
        hhVar.d = str2;
        hhVar.e = "package uninstalled";
        hhVar.c = fl.c();
        hhVar.a(false);
        return a(str, str2, hhVar, gh.Notification);
    }

    static <T extends ht<T, ?>> he a(String str, String str2, T t, gh ghVar) {
        return a(str, str2, t, ghVar, true);
    }

    static <T extends ht<T, ?>> he a(String str, String str2, T t, gh ghVar, boolean z) {
        byte[] a = hs.a(t);
        he heVar = new he();
        gw gwVar = new gw();
        gwVar.a = 5;
        gwVar.b = "fakeid";
        heVar.g = gwVar;
        heVar.d = ByteBuffer.wrap(a);
        heVar.a = ghVar;
        heVar.b(z);
        heVar.f = str;
        heVar.a(false);
        heVar.e = str2;
        return heVar;
    }

    static String a(String str) {
        return str + ".permission.MIPUSH_RECEIVE";
    }

    static void a(c cVar, he heVar) {
        bz.a(heVar.f, cVar.getApplicationContext(), heVar, -1);
        et etVar = cVar.c;
        if (etVar == null) {
            throw new ff("try send msg while connection is null.");
        } else if (etVar.b()) {
            ei a = a(cp.a(cVar), heVar);
            if (a != null) {
                etVar.b(a);
            }
        } else {
            throw new ff("Don't support XMPP connection.");
        }
    }

    static void a(c cVar, aj.b bVar) {
        bVar.a((Messenger) null);
        bVar.a(new n(cVar));
    }

    static void a(c cVar, String str, byte[] bArr) {
        Context applicationContext = cVar.getApplicationContext();
        if (!(applicationContext == null || bArr == null || bArr.length <= 0)) {
            he heVar = new he();
            try {
                hs.a(heVar, bArr);
                bz.a(str, applicationContext, heVar, bArr.length);
            } catch (hx e) {
                b.a("fail to convert bytes to container");
            }
        }
        et etVar = cVar.c;
        if (etVar == null) {
            throw new ff("try send msg while connection is null.");
        } else if (etVar.b()) {
            ei a = a(cVar, bArr);
            if (a != null) {
                etVar.b(a);
            } else {
                cs.a(cVar, str, bArr, ErrorCode.ERROR_INVALID_PAYLOAD, "not a valid message");
            }
        } else {
            throw new ff("Don't support XMPP connection.");
        }
    }
}
