package com.xiaomi.push.service;

import android.app.Notification;
import android.app.NotificationChannel;
import android.content.Context;
import android.graphics.drawable.Icon;
import android.os.Build;
import android.service.notification.StatusBarNotification;
import android.text.TextUtils;
import com.xiaomi.push.ah;
import com.xiaomi.push.gm;
import com.xiaomi.push.ib;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* access modifiers changed from: package-private */
public final class y {
    private static y a = new y();

    /* access modifiers changed from: package-private */
    public class a {
        List<b> a;
        List<b> b;

        private a() {
            this.a = new ArrayList();
            this.b = new ArrayList();
        }

        /* synthetic */ a(y yVar, byte b2) {
            this();
        }
    }

    /* access modifiers changed from: package-private */
    public class b {
        int a;
        Notification b;

        public b(int i, Notification notification) {
            this.a = i;
            this.b = notification;
        }

        public final String toString() {
            return "id:" + this.a;
        }
    }

    private y() {
    }

    private static int a(String str, String str2) {
        return ("GroupSummary" + str + str2).hashCode();
    }

    public static y a() {
        return a;
    }

    private static String a(Notification notification) {
        if (notification == null || notification.extras == null) {
            return null;
        }
        return notification.extras.getString("push_src_group_name");
    }

    private static List<StatusBarNotification> a(aa aaVar) {
        List<StatusBarNotification> c = aaVar != null ? aaVar.c() : null;
        if (c == null || c.size() == 0) {
            return null;
        }
        return c;
    }

    static void a(Context context, int i, Notification notification) {
        String str;
        String d = ab.d(notification);
        if (TextUtils.isEmpty(d)) {
            str = "group restore not extract pkg from notification:".concat(String.valueOf(i));
        } else {
            aa a2 = aa.a(context, d);
            List<StatusBarNotification> a3 = a(a2);
            if (a3 == null) {
                str = "group restore not get notifications";
            } else {
                for (StatusBarNotification statusBarNotification : a3) {
                    Notification notification2 = statusBarNotification.getNotification();
                    if (!(notification2 == null || !d(notification2) || statusBarNotification.getId() == i)) {
                        Notification.Builder recoverBuilder = Notification.Builder.recoverBuilder(context, statusBarNotification.getNotification());
                        recoverBuilder.setGroup(a(notification2));
                        ab.a(recoverBuilder, c(notification2));
                        a2.a(statusBarNotification.getId(), recoverBuilder.build());
                        com.xiaomi.channel.commonutils.logger.b.b("group restore notification:" + statusBarNotification.getId());
                    }
                }
                return;
            }
        }
        com.xiaomi.channel.commonutils.logger.b.a(str);
    }

    static boolean a(Context context) {
        if (b(context) && aa.a(context)) {
            return ad.a(context).a(gm.LatestNotificationNotIntoGroupSwitch.bw, false);
        }
        return false;
    }

    private static String b(Notification notification) {
        if (notification == null) {
            return null;
        }
        return d(notification) ? a(notification) : notification.getGroup();
    }

    static boolean b() {
        return Build.VERSION.SDK_INT >= 24;
    }

    static boolean b(Context context) {
        return ad.a(context).a(gm.NotificationAutoGroupSwitch.bw, true);
    }

    private static boolean c(Notification notification) {
        if (notification == null) {
            return false;
        }
        Object a2 = ah.a((Object) notification, "isGroupSummary", (Object[]) null);
        if (a2 instanceof Boolean) {
            return ((Boolean) a2).booleanValue();
        }
        return false;
    }

    private static boolean d(Notification notification) {
        if (notification == null || notification.getGroup() == null || notification.extras == null) {
            return false;
        }
        long j = notification.extras.getLong("push_src_group_time");
        String a2 = a(notification);
        return notification.getGroup().equals(String.format("pushmask_%s_%s", Long.valueOf(j), a2));
    }

    /* access modifiers changed from: package-private */
    public final void b(Context context, int i, Notification notification) {
        int i2;
        Exception e;
        Notification.Builder builder;
        String concat;
        String str;
        String d = ab.d(notification);
        if (TextUtils.isEmpty(d)) {
            str = "group auto not extract pkg from notification:".concat(String.valueOf(i));
        } else {
            List<StatusBarNotification> a2 = a(aa.a(context, d));
            if (a2 == null) {
                str = "group auto not get notifications";
            } else {
                String b2 = b(notification);
                HashMap hashMap = new HashMap();
                Iterator<StatusBarNotification> it = a2.iterator();
                while (true) {
                    i2 = 0;
                    if (!it.hasNext()) {
                        break;
                    }
                    StatusBarNotification next = it.next();
                    if (!(next.getNotification() == null || next.getId() == i)) {
                        String b3 = b(next.getNotification());
                        a aVar = (a) hashMap.get(b3);
                        if (aVar == null) {
                            aVar = new a(this, (byte) 0);
                            hashMap.put(b3, aVar);
                        }
                        (c(next.getNotification()) ? aVar.b : aVar.a).add(new b(next.getId(), next.getNotification()));
                    }
                }
                for (Map.Entry entry : hashMap.entrySet()) {
                    String str2 = (String) entry.getKey();
                    if (!TextUtils.isEmpty(str2)) {
                        a aVar2 = (a) entry.getValue();
                        if (str2.equals(b2) && !d(notification)) {
                            (c(notification) ? aVar2.b : aVar2.a).add(new b(i, notification));
                        }
                        int size = aVar2.a.size();
                        if (aVar2.b.size() <= 0) {
                            if (size >= 2) {
                                Notification notification2 = aVar2.a.get(i2).b;
                                try {
                                    if (TextUtils.isEmpty(str2)) {
                                        concat = "group show summary group is null";
                                    } else {
                                        int a3 = ab.a(context, d);
                                        if (a3 == 0) {
                                            concat = "group show summary not get icon from ".concat(String.valueOf(d));
                                        } else {
                                            aa a4 = aa.a(context, d);
                                            if (Build.VERSION.SDK_INT >= 26) {
                                                String b4 = aa.b(notification2.getChannelId(), "groupSummary");
                                                NotificationChannel b5 = a4.b(b4);
                                                if ("groupSummary".equals(b4) && b5 == null) {
                                                    try {
                                                        a4.a(new NotificationChannel(b4, "group_summary", 3));
                                                    } catch (Exception e2) {
                                                        e = e2;
                                                        i2 = 0;
                                                        com.xiaomi.channel.commonutils.logger.b.a("group show summary error ".concat(String.valueOf(e)));
                                                    }
                                                }
                                                builder = new Notification.Builder(context, b4);
                                                i2 = 0;
                                            } else {
                                                i2 = 0;
                                                builder = new Notification.Builder(context).setPriority(0).setDefaults(-1);
                                            }
                                            ab.a(builder, true);
                                            Notification build = builder.setContentTitle("GroupSummary").setContentText("GroupSummary").setSmallIcon(Icon.createWithResource(d, a3)).setAutoCancel(true).setGroup(str2).setGroupSummary(true).build();
                                            if (!ib.d() && "com.xiaomi.xmsf".equals(context.getPackageName())) {
                                                ab.a(build, d);
                                            }
                                            int a5 = a(d, str2);
                                            a4.a(a5, build);
                                            com.xiaomi.channel.commonutils.logger.b.b("group show summary notify:".concat(String.valueOf(a5)));
                                        }
                                    }
                                    com.xiaomi.channel.commonutils.logger.b.a(concat);
                                } catch (Exception e3) {
                                    e = e3;
                                    com.xiaomi.channel.commonutils.logger.b.a("group show summary error ".concat(String.valueOf(e)));
                                }
                            }
                        } else if (size <= 0) {
                            com.xiaomi.channel.commonutils.logger.b.b("group cancel summary:".concat(String.valueOf(str2)));
                            aa.a(context, d).a(a(d, str2));
                        }
                    }
                }
                return;
            }
        }
        com.xiaomi.channel.commonutils.logger.b.a(str);
    }
}
