package io.dcloud.feature.uniapp;

import android.content.Context;
import com.taobao.weex.WXSDKInstance;

public class UniSDKInstance extends WXSDKInstance {
    private boolean isCompilerWithUniapp = true;

    public UniSDKInstance(Context context) {
        super(context);
    }

    public UniSDKInstance(Context context, Context originalContext) {
        super(context, originalContext);
    }

    public UniSDKInstance() {
    }

    public UniSDKInstance(Context context, String id) {
        super(context, id);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.WXSDKInstance
    public UniSDKInstance newNestedInstance() {
        return new UniSDKInstance(this.mContext);
    }

    public void setCompilerWithUniapp(boolean isCompilerWithUniapp2) {
        this.isCompilerWithUniapp = isCompilerWithUniapp2;
    }

    @Override // com.taobao.weex.WXSDKInstance, io.dcloud.feature.uniapp.AbsSDKInstance
    public boolean isCompilerWithUniapp() {
        return this.isCompilerWithUniapp;
    }
}
