package io.dcloud.feature.weex.adapter;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.bridge.IDCVueBridgeAdapter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaUniWebView;
import io.dcloud.feature.weex.WeexInstanceMgr;

public class DCVueBridgeAdapter implements IDCVueBridgeAdapter {
    @Override // com.taobao.weex.bridge.IDCVueBridgeAdapter
    public void exec(WXSDKInstance instance, String data, String value) {
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(instance);
        if (hostWebview instanceof AdaUniWebView) {
            ((AdaUniWebView) hostWebview).prompt(data, value);
        }
    }

    @Override // com.taobao.weex.bridge.IDCVueBridgeAdapter
    public String execSync(WXSDKInstance instance, String data, String value) {
        IWebview hostWebview = WeexInstanceMgr.self().findWebview(instance);
        if (hostWebview instanceof AdaUniWebView) {
            return ((AdaUniWebView) hostWebview).prompt(data, value);
        }
        return "";
    }
}
