package io.dcloud.feature.weex.adapter;

import android.text.TextUtils;
import com.taobao.weex.adapter.IWXJSExceptionAdapter;
import com.taobao.weex.common.WXJSExceptionInfo;
import io.dcloud.common.util.AppConsoleLogUtil;
import io.dcloud.common.util.BaseInfo;

public class JSExceptionAdapter implements IWXJSExceptionAdapter {
    @Override // com.taobao.weex.adapter.IWXJSExceptionAdapter
    public void onJSException(WXJSExceptionInfo exception) {
        if (exception != null && !TextUtils.isEmpty(BaseInfo.sCurrentAppOriginalAppid) && BaseInfo.sCurrentAppOriginalAppid.startsWith("__UNI__")) {
            String msg = "reportJSException >>>> exception function:" + exception.getFunction() + ", exception:" + exception.getException();
            if (msg.endsWith("__ERROR")) {
                msg = msg.replace("__ERROR", "");
            }
            AppConsoleLogUtil.DCLog(msg, "ERROR");
        }
    }
}
