package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.js.map.amap.adapter.DHMapView;
import io.dcloud.js.map.amap.adapter.IFJsOverlay;
import io.dcloud.js.map.amap.adapter.MapPoint;
import io.dcloud.js.map.amap.adapter.MapRoute;
import org.json.JSONArray;

public class JsMapRoute extends JsMapObject implements IFJsOverlay {
    private MapRoute mMapRoute = new MapRoute();

    public JsMapRoute(IWebview pWebview) {
        super(pWebview);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void updateObject(String pStrEvent, JSONArray pJsArgs) {
    }

    public void setRoute(JsMapPoint pStart, JsMapPoint pEnd) {
        this.mMapRoute.setRoute(pStart.getMapPoint(), pEnd.getMapPoint());
    }

    public void setPoint(MapPoint startp, MapPoint endp) {
        this.mMapRoute.setRoute(startp, endp);
    }

    public void setRoute(Object bdRoute) {
        this.mMapRoute.setRoute(bdRoute);
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void createObject(JSONArray pJsArgs) {
    }

    @Override // io.dcloud.js.map.amap.adapter.IFJsOverlay
    public Object getMapOverlay() {
        return this.mMapRoute;
    }

    @Override // io.dcloud.js.map.amap.JsMapObject
    public void onAddToMapView(DHMapView pMapView) {
        super.onAddToMapView(pMapView);
        this.mMapRoute.initMapRoute(this.mWebview, pMapView);
    }
}
