package io.dcloud.sdk.core.v2.draw;

import android.app.Activity;
import io.dcloud.h.c.c.f.c.b.b;
import io.dcloud.h.c.c.f.c.c.a;
import io.dcloud.sdk.core.entry.DCloudAOLSlot;
import io.dcloud.sdk.core.util.AdErrorUtil;
import io.dcloud.sdk.core.v2.base.DCBaseAOL;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;

public class DCDrawAOLLoader extends DCBaseAOL {
    protected b b;

    public DCDrawAOLLoader(Activity activity) {
        super(activity);
        this.b = new b(activity);
    }

    public void load(DCloudAOLSlot dCloudAOLSlot, final DCDrawAOLLoadListener dCDrawAOLLoadListener) {
        if (getContext() != null && dCloudAOLSlot != null) {
            this.b.a(dCloudAOLSlot, new io.dcloud.h.c.c.f.a.b() {
                /* class io.dcloud.sdk.core.v2.draw.DCDrawAOLLoader.AnonymousClass1 */

                @Override // io.dcloud.h.c.c.f.a.b
                public void onError(int i, String str, JSONArray jSONArray) {
                    DCDrawAOLLoadListener dCDrawAOLLoadListener = dCDrawAOLLoadListener;
                    if (dCDrawAOLLoadListener != null) {
                        dCDrawAOLLoadListener.onError(i, str, jSONArray);
                    }
                }

                @Override // io.dcloud.h.c.c.f.a.b
                public void onLoaded(List<a> list) {
                    ArrayList arrayList = new ArrayList();
                    for (a aVar : list) {
                        arrayList.add(new DCDrawAOL(aVar));
                    }
                    DCDrawAOLLoadListener dCDrawAOLLoadListener = dCDrawAOLLoadListener;
                    if (dCDrawAOLLoadListener != null) {
                        dCDrawAOLLoadListener.onDrawAdLoad(arrayList);
                    }
                }
            });
        } else if (dCDrawAOLLoadListener != null) {
            dCDrawAOLLoadListener.onError(-5014, AdErrorUtil.getErrorMsg(-5014), null);
        }
    }
}
