package com.alibaba.android.bindingx.plugin.weex;

import android.content.Context;
import com.alibaba.android.bindingx.core.BindingXCore;
import com.alibaba.android.bindingx.core.IEventHandler;
import com.alibaba.android.bindingx.core.PlatformManager;
import com.alibaba.android.bindingx.core.internal.ExpressionPair;
import com.taobao.weex.WXSDKEngine;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.bridge.JSCallback;
import java.util.List;
import java.util.Map;

@Deprecated
public final class WXExpressionBindingModule extends WXSDKEngine.DestroyableModule {
    private BindingXCore mExpressionBindingCore;
    private PlatformManager mPlatformManager;

    @JSMethod
    @Deprecated
    public void enableBinding(String sourceRef, String eventType) {
        if (this.mPlatformManager == null) {
            this.mPlatformManager = WXBindingXModule.createPlatformManager(this.mWXSDKInstance);
        }
        if (this.mExpressionBindingCore == null) {
            BindingXCore bindingXCore = new BindingXCore(this.mPlatformManager);
            this.mExpressionBindingCore = bindingXCore;
            bindingXCore.registerEventHandler("scroll", new BindingXCore.ObjectCreator<IEventHandler, Context, PlatformManager>() {
                /* class com.alibaba.android.bindingx.plugin.weex.WXExpressionBindingModule.AnonymousClass1 */

                public IEventHandler createWith(Context context, PlatformManager manager, Object... extension) {
                    return new BindingXScrollHandler(context, manager, extension);
                }
            });
        }
    }

    @JSMethod
    @Deprecated
    public void createBinding(String sourceRef, String eventType, String exitExpression, List<Map<String, Object>> expressionArgs, final JSCallback callback) {
        String str = null;
        enableBinding(null, null);
        ExpressionPair exitExpressionPair = ExpressionPair.create(null, exitExpression);
        BindingXCore bindingXCore = this.mExpressionBindingCore;
        AnonymousClass2 r11 = new BindingXCore.JavaScriptCallback() {
            /* class com.alibaba.android.bindingx.plugin.weex.WXExpressionBindingModule.AnonymousClass2 */

            @Override // com.alibaba.android.bindingx.core.BindingXCore.JavaScriptCallback
            public void callback(Object params) {
                JSCallback jSCallback = callback;
                if (jSCallback != null) {
                    jSCallback.invokeAndKeepAlive(params);
                }
            }
        };
        Context context = this.mWXSDKInstance == null ? null : this.mWXSDKInstance.getContext();
        if (this.mWXSDKInstance != null) {
            str = this.mWXSDKInstance.getInstanceId();
        }
        bindingXCore.doBind(sourceRef, null, eventType, null, exitExpressionPair, expressionArgs, null, r11, context, str, new Object[0]);
    }

    @JSMethod
    @Deprecated
    public void disableBinding(String sourceRef, String eventType) {
        BindingXCore bindingXCore = this.mExpressionBindingCore;
        if (bindingXCore != null) {
            bindingXCore.doUnbind(sourceRef, eventType);
        }
    }

    @JSMethod
    @Deprecated
    public void disableAll() {
        BindingXCore bindingXCore = this.mExpressionBindingCore;
        if (bindingXCore != null) {
            bindingXCore.doRelease();
        }
    }

    @Override // com.taobao.weex.common.Destroyable
    public void destroy() {
        BindingXCore bindingXCore = this.mExpressionBindingCore;
        if (bindingXCore != null) {
            bindingXCore.doRelease();
            this.mExpressionBindingCore = null;
        }
    }

    @Override // com.taobao.weex.common.WXModule
    public void onActivityPause() {
        BindingXCore bindingXCore = this.mExpressionBindingCore;
        if (bindingXCore != null) {
            bindingXCore.onActivityPause();
        }
    }

    @Override // com.taobao.weex.common.WXModule
    public void onActivityResume() {
        BindingXCore bindingXCore = this.mExpressionBindingCore;
        if (bindingXCore != null) {
            bindingXCore.onActivityResume();
        }
    }
}
