package com.amap.api.col.s;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import com.amap.api.col.s.ca;
import com.amap.api.col.s.u;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItemV2;
import com.amap.api.services.interfaces.IPoiSearchV2;
import com.amap.api.services.poisearch.PoiResultV2;
import com.amap.api.services.poisearch.PoiSearchV2;
import java.util.HashMap;
import java.util.List;

/* compiled from: PoiSearchCoreV2 */
public final class bk implements IPoiSearchV2 {
    private static HashMap<Integer, PoiResultV2> i;
    private PoiSearchV2.SearchBound a;
    private PoiSearchV2.Query b;
    private Context c;
    private PoiSearchV2.OnPoiSearchListener d;
    private String e = "zh-CN";
    private PoiSearchV2.Query f;
    private PoiSearchV2.SearchBound g;
    private int h;
    private Handler j = null;

    public bk(Context context, PoiSearchV2.Query query) throws AMapException {
        cb a2 = ca.a(context, i.a(false));
        if (a2.a == ca.c.SuccessCode) {
            this.c = context.getApplicationContext();
            setQuery(query);
            this.j = u.a();
            return;
        }
        throw new AMapException(a2.b, 1, a2.b, a2.a.a());
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final void setOnPoiSearchListener(PoiSearchV2.OnPoiSearchListener onPoiSearchListener) {
        this.d = onPoiSearchListener;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final void setLanguage(String str) {
        if ("en".equals(str)) {
            this.e = "en";
        } else {
            this.e = "zh-CN";
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final String getLanguage() {
        return this.e;
    }

    private boolean a() {
        PoiSearchV2.Query query = this.b;
        if (query == null) {
            return false;
        }
        if (!j.a(query.getQueryString()) || !j.a(this.b.getCategory())) {
            return true;
        }
        return false;
    }

    private boolean b() {
        PoiSearchV2.SearchBound bound = getBound();
        if (bound != null && bound.getShape().equals("Bound")) {
            return true;
        }
        return false;
    }

    private boolean c() {
        PoiSearchV2.SearchBound bound = getBound();
        if (bound == null) {
            return true;
        }
        if (bound.getShape().equals("Bound")) {
            if (bound.getCenter() == null) {
                return false;
            }
            return true;
        } else if (bound.getShape().equals("Polygon")) {
            List<LatLonPoint> polyGonList = bound.getPolyGonList();
            if (polyGonList == null || polyGonList.size() == 0) {
                return false;
            }
            for (int i2 = 0; i2 < polyGonList.size(); i2++) {
                if (polyGonList.get(i2) == null) {
                    return false;
                }
            }
            return true;
        } else if (!bound.getShape().equals("Rectangle")) {
            return true;
        } else {
            LatLonPoint lowerLeft = bound.getLowerLeft();
            LatLonPoint upperRight = bound.getUpperRight();
            if (lowerLeft == null || upperRight == null || lowerLeft.getLatitude() >= upperRight.getLatitude() || lowerLeft.getLongitude() >= upperRight.getLongitude()) {
                return false;
            }
            return true;
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final PoiResultV2 searchPOI() throws AMapException {
        try {
            s.a(this.c);
            if (!b() && !a()) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (!c()) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            } else if (this.b != null) {
                if ((!this.b.queryEquals(this.f) && this.a == null) || (!this.b.queryEquals(this.f) && !this.a.equals(this.g))) {
                    this.h = 0;
                    this.f = this.b.clone();
                    if (this.a != null) {
                        this.g = this.a.clone();
                    }
                    if (i != null) {
                        i.clear();
                    }
                }
                PoiSearchV2.SearchBound searchBound = null;
                if (this.a != null) {
                    searchBound = this.a.clone();
                }
                al.a().a(this.b.getQueryString());
                this.b.setPageNum(al.a().k(this.b.getPageNum()));
                this.b.setPageSize(al.a().l(this.b.getPageSize()));
                if (this.h == 0) {
                    PoiResultV2 poiResultV2 = (PoiResultV2) new ac(this.c, new ag(this.b.clone(), searchBound)).b();
                    a(poiResultV2);
                    return poiResultV2;
                }
                PoiResultV2 a2 = a(this.b.getPageNum());
                if (a2 != null) {
                    return a2;
                }
                PoiResultV2 poiResultV22 = (PoiResultV2) new ac(this.c, new ag(this.b.clone(), searchBound)).b();
                i.put(Integer.valueOf(this.b.getPageNum()), poiResultV22);
                return poiResultV22;
            } else {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
        } catch (AMapException e2) {
            j.a(e2, "PoiSearch", "searchPOI");
            throw new AMapException(e2.getErrorMessage());
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final void searchPOIAsyn() {
        try {
            at.a().a(new Runnable() {
                /* class com.amap.api.col.s.bk.AnonymousClass1 */

                public final void run() {
                    u.j jVar;
                    Message obtainMessage = bk.this.j.obtainMessage();
                    obtainMessage.arg1 = 19;
                    obtainMessage.what = 603;
                    Bundle bundle = new Bundle();
                    PoiResultV2 poiResultV2 = null;
                    try {
                        poiResultV2 = bk.this.searchPOI();
                        bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                        jVar = new u.j();
                    } catch (AMapException e) {
                        bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                        jVar = new u.j();
                    } catch (Throwable th) {
                        u.j jVar2 = new u.j();
                        jVar2.b = bk.this.d;
                        jVar2.a = poiResultV2;
                        obtainMessage.obj = jVar2;
                        obtainMessage.setData(bundle);
                        bk.this.j.sendMessage(obtainMessage);
                        throw th;
                    }
                    jVar.b = bk.this.d;
                    jVar.a = poiResultV2;
                    obtainMessage.obj = jVar;
                    obtainMessage.setData(bundle);
                    bk.this.j.sendMessage(obtainMessage);
                }
            });
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final PoiItemV2 searchPOIId(String str) throws AMapException {
        PoiSearchV2.Query query;
        s.a(this.c);
        PoiSearchV2.Query query2 = this.b;
        if (query2 != null) {
            query = query2.clone();
        } else {
            query = null;
        }
        return (PoiItemV2) new aa(this.c, str, query).b();
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final void searchPOIIdAsyn(final String str) {
        at.a().a(new Runnable() {
            /* class com.amap.api.col.s.bk.AnonymousClass2 */

            public final void run() {
                u.h hVar;
                Message obtainMessage = u.a().obtainMessage();
                obtainMessage.arg1 = 19;
                obtainMessage.what = 604;
                Bundle bundle = new Bundle();
                PoiItemV2 poiItemV2 = null;
                try {
                    poiItemV2 = bk.this.searchPOIId(str);
                    bundle.putInt(MyLocationStyle.ERROR_CODE, 1000);
                    hVar = new u.h();
                } catch (AMapException e) {
                    j.a(e, "PoiSearch", "searchPOIIdAsyn");
                    bundle.putInt(MyLocationStyle.ERROR_CODE, e.getErrorCode());
                    hVar = new u.h();
                } catch (Throwable th) {
                    u.h hVar2 = new u.h();
                    hVar2.b = bk.this.d;
                    hVar2.a = poiItemV2;
                    obtainMessage.obj = hVar2;
                    obtainMessage.setData(bundle);
                    bk.this.j.sendMessage(obtainMessage);
                    throw th;
                }
                hVar.b = bk.this.d;
                hVar.a = poiItemV2;
                obtainMessage.obj = hVar;
                obtainMessage.setData(bundle);
                bk.this.j.sendMessage(obtainMessage);
            }
        });
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final void setQuery(PoiSearchV2.Query query) {
        this.b = query;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final void setBound(PoiSearchV2.SearchBound searchBound) {
        this.a = searchBound;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final PoiSearchV2.Query getQuery() {
        return this.b;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearchV2
    public final PoiSearchV2.SearchBound getBound() {
        return this.a;
    }

    private void a(PoiResultV2 poiResultV2) {
        int i2;
        i = new HashMap<>();
        PoiSearchV2.Query query = this.b;
        if (query != null && poiResultV2 != null && (i2 = this.h) > 0 && i2 > query.getPageNum()) {
            i.put(Integer.valueOf(this.b.getPageNum()), poiResultV2);
        }
    }

    private PoiResultV2 a(int i2) {
        if (b(i2)) {
            return i.get(Integer.valueOf(i2));
        }
        throw new IllegalArgumentException("page out of range");
    }

    private boolean b(int i2) {
        return i2 <= this.h && i2 >= 0;
    }
}
