package com.autonavi.aps.amapapi.restruct;

import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.telephony.CellIdentityCdma;
import android.telephony.CellIdentityGsm;
import android.telephony.CellIdentityLte;
import android.telephony.CellIdentityNr;
import android.telephony.CellIdentityWcdma;
import android.telephony.CellInfo;
import android.telephony.CellInfoCdma;
import android.telephony.CellInfoGsm;
import android.telephony.CellInfoLte;
import android.telephony.CellInfoNr;
import android.telephony.CellInfoWcdma;
import android.telephony.CellLocation;
import android.telephony.CellSignalStrengthNr;
import android.telephony.PhoneStateListener;
import android.telephony.ServiceState;
import android.telephony.SignalStrength;
import android.telephony.TelephonyManager;
import android.telephony.cdma.CdmaCellLocation;
import android.telephony.gsm.GsmCellLocation;
import android.text.TextUtils;
import com.amap.api.col.p0003l.is;
import com.amap.api.col.p0003l.ka;
import com.amap.api.col.p0003l.kb;
import com.amap.api.col.p0003l.kc;
import com.amap.api.col.p0003l.kd;
import com.amap.api.col.p0003l.ke;
import com.autonavi.aps.amapapi.c;
import com.autonavi.aps.amapapi.utils.i;
import com.taobao.weex.common.Constants;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* compiled from: CgiManager */
public final class e {
    ArrayList<d> a = new ArrayList<>();
    TelephonyManager b = null;
    PhoneStateListener c = null;
    SignalStrength d;
    boolean e = false;
    StringBuilder f = null;
    String g = null;
    private Context h;
    private boolean i = false;
    private boolean j = false;
    private String k = null;
    private ArrayList<d> l = new ArrayList<>();
    private c m = null;
    private long n = 0;
    private boolean o = false;
    private Object p = new Object();
    private TelephonyManager.CellInfoCallback q;
    private boolean r = false;
    private String s = null;
    private String t = null;
    private c u;

    public final List<ka> a() {
        ArrayList arrayList = new ArrayList();
        List<CellInfo> allCellInfo = this.b.getAllCellInfo();
        if (Build.VERSION.SDK_INT >= 17 && allCellInfo != null) {
            for (CellInfo cellInfo : allCellInfo) {
                if (cellInfo instanceof CellInfoCdma) {
                    CellInfoCdma cellInfoCdma = (CellInfoCdma) cellInfo;
                    CellIdentityCdma cellIdentity = cellInfoCdma.getCellIdentity();
                    kb kbVar = new kb(cellInfo.isRegistered(), true);
                    kbVar.m = cellIdentity.getLatitude();
                    kbVar.n = cellIdentity.getLongitude();
                    kbVar.j = cellIdentity.getSystemId();
                    kbVar.k = cellIdentity.getNetworkId();
                    kbVar.l = cellIdentity.getBasestationId();
                    kbVar.d = cellInfoCdma.getCellSignalStrength().getAsuLevel();
                    kbVar.c = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                    arrayList.add(kbVar);
                } else if (cellInfo instanceof CellInfoGsm) {
                    CellInfoGsm cellInfoGsm = (CellInfoGsm) cellInfo;
                    CellIdentityGsm cellIdentity2 = cellInfoGsm.getCellIdentity();
                    kc kcVar = new kc(cellInfo.isRegistered(), true);
                    kcVar.a = String.valueOf(cellIdentity2.getMcc());
                    kcVar.b = String.valueOf(cellIdentity2.getMnc());
                    kcVar.j = cellIdentity2.getLac();
                    kcVar.k = cellIdentity2.getCid();
                    kcVar.c = cellInfoGsm.getCellSignalStrength().getDbm();
                    kcVar.d = cellInfoGsm.getCellSignalStrength().getAsuLevel();
                    if (Build.VERSION.SDK_INT >= 24) {
                        kcVar.m = cellIdentity2.getArfcn();
                        kcVar.n = cellIdentity2.getBsic();
                    }
                    arrayList.add(kcVar);
                } else if (cellInfo instanceof CellInfoLte) {
                    CellInfoLte cellInfoLte = (CellInfoLte) cellInfo;
                    CellIdentityLte cellIdentity3 = cellInfoLte.getCellIdentity();
                    kd kdVar = new kd(cellInfo.isRegistered());
                    kdVar.a = String.valueOf(cellIdentity3.getMcc());
                    kdVar.b = String.valueOf(cellIdentity3.getMnc());
                    kdVar.l = cellIdentity3.getPci();
                    kdVar.d = cellInfoLte.getCellSignalStrength().getAsuLevel();
                    kdVar.k = cellIdentity3.getCi();
                    kdVar.j = cellIdentity3.getTac();
                    kdVar.n = cellInfoLte.getCellSignalStrength().getTimingAdvance();
                    kdVar.c = cellInfoLte.getCellSignalStrength().getDbm();
                    if (Build.VERSION.SDK_INT >= 24) {
                        kdVar.m = cellIdentity3.getEarfcn();
                    }
                    arrayList.add(kdVar);
                } else if (Build.VERSION.SDK_INT >= 18 && (cellInfo instanceof CellInfoWcdma)) {
                    CellInfoWcdma cellInfoWcdma = (CellInfoWcdma) cellInfo;
                    CellIdentityWcdma cellIdentity4 = cellInfoWcdma.getCellIdentity();
                    ke keVar = new ke(cellInfo.isRegistered(), true);
                    keVar.a = String.valueOf(cellIdentity4.getMcc());
                    keVar.b = String.valueOf(cellIdentity4.getMnc());
                    keVar.j = cellIdentity4.getLac();
                    keVar.k = cellIdentity4.getCid();
                    keVar.l = cellIdentity4.getPsc();
                    keVar.d = cellInfoWcdma.getCellSignalStrength().getAsuLevel();
                    keVar.c = cellInfoWcdma.getCellSignalStrength().getDbm();
                    if (Build.VERSION.SDK_INT >= 24) {
                        keVar.m = cellIdentity4.getUarfcn();
                    }
                    arrayList.add(keVar);
                }
            }
        }
        return arrayList;
    }

    public final void a(boolean z, boolean z2) {
        try {
            this.e = i.a(this.h);
            if (s()) {
                b(z, z2);
                a(t());
                a(u());
            }
            if (this.e) {
                j();
            }
        } catch (SecurityException e2) {
            this.g = e2.getMessage();
        } catch (Throwable th) {
            com.autonavi.aps.amapapi.utils.b.a(th, "CgiManager", "refresh");
        }
    }

    private void o() {
        if (this.b != null) {
            p();
        }
    }

    public final void b() {
        String str;
        String str2;
        boolean z = false;
        try {
            if (Build.VERSION.SDK_INT >= 31) {
                if (this.h.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") == 0) {
                    str = "hasFineLocPerm";
                } else {
                    str = "hasNoFineLocPerm";
                }
                if (this.h.checkSelfPermission("android.permission.READ_PHONE_STATE") == 0) {
                    str2 = "hasReadPhoneStatePerm";
                } else {
                    str2 = "hasNoReadPhoneStatePerm";
                }
                boolean z2 = true;
                if (!TextUtils.isEmpty(this.t) && !this.t.equals(str)) {
                    z = true;
                }
                if (TextUtils.isEmpty(this.s) || this.s.equals(str2)) {
                    z2 = z;
                }
                if (z2) {
                    p();
                }
            }
        } catch (Throwable th) {
        }
    }

    private void p() {
        try {
            if (this.c == null) {
                this.c = new b();
            }
            int i2 = 320;
            String str = "hasFineLocPerm";
            if (Build.VERSION.SDK_INT < 31) {
                i2 = 336;
            } else if (this.h.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") == 0) {
                this.t = str;
                i2 = 336;
            } else {
                this.t = "hasNoFineLocPerm";
            }
            if (Build.VERSION.SDK_INT >= 17) {
                if (Build.VERSION.SDK_INT >= 31) {
                    boolean z = true;
                    boolean z2 = this.h.checkSelfPermission("android.permission.READ_PHONE_STATE") == 0;
                    if (this.h.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") != 0) {
                        z = false;
                    }
                    if (z2 && z) {
                        i2 |= 1024;
                    }
                    this.s = z2 ? "hasReadPhoneStatePerm" : "hasNoReadPhoneStatePerm";
                    if (!z) {
                        str = "hasNoFineLocPerm";
                    }
                    this.t = str;
                    StringBuilder sb = new StringBuilder("CgiManager | mLFLPerm = ");
                    sb.append(this.t);
                    sb.append(";mLRPSPerm = ");
                    sb.append(this.s);
                } else {
                    i2 |= 1024;
                }
            }
            if (this.c != null) {
                this.b.listen(this.c, i2);
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public e(Context context, Handler handler) {
        this.h = context;
        if (this.b == null) {
            this.b = (TelephonyManager) i.a(context, "phone");
        }
        o();
        c cVar = new c(context, "cellAge", handler);
        this.m = cVar;
        cVar.a();
    }

    public final synchronized ArrayList<d> c() {
        ArrayList<d> arrayList;
        arrayList = new ArrayList<>();
        if (this.a != null) {
            Iterator<d> it = this.a.iterator();
            while (it.hasNext()) {
                arrayList.add(it.next().clone());
            }
        }
        return arrayList;
    }

    public final synchronized ArrayList<d> d() {
        ArrayList<d> arrayList;
        arrayList = new ArrayList<>();
        if (this.l != null) {
            Iterator<d> it = this.l.iterator();
            while (it.hasNext()) {
                arrayList.add(it.next().clone());
            }
        }
        return arrayList;
    }

    public final synchronized d e() {
        if (this.e) {
            return null;
        }
        ArrayList<d> arrayList = this.a;
        if (arrayList.size() <= 0) {
            return null;
        }
        return arrayList.get(0).clone();
    }

    public final synchronized d f() {
        if (this.e) {
            return null;
        }
        ArrayList<d> arrayList = this.l;
        if (arrayList.size() <= 0) {
            return null;
        }
        Iterator<d> it = arrayList.iterator();
        while (it.hasNext()) {
            d next = it.next();
            if (next.n) {
                return next.clone();
            }
        }
        return arrayList.get(0).clone();
    }

    public final int g() {
        int i2 = 0;
        int q2 = q() | (this.i ? 4 : 0);
        if (this.j) {
            i2 = 8;
        }
        return q2 | i2;
    }

    private int q() {
        d e2 = e();
        if (e2 != null) {
            return e2.l;
        }
        return 0;
    }

    public final int h() {
        return q() & 3;
    }

    private CellLocation r() {
        TelephonyManager telephonyManager = this.b;
        if (telephonyManager != null) {
            try {
                CellLocation cellLocation = telephonyManager.getCellLocation();
                this.g = null;
                return cellLocation;
            } catch (SecurityException e2) {
                this.g = e2.getMessage();
            } catch (Throwable th) {
                this.g = null;
                com.autonavi.aps.amapapi.utils.b.a(th, "CgiManager", "getCellLocation");
            }
        }
        return null;
    }

    public final TelephonyManager i() {
        return this.b;
    }

    private boolean s() {
        if (!this.e && i.b() - this.n >= 45000) {
            return true;
        }
        return false;
    }

    public final void a(boolean z) {
        PhoneStateListener phoneStateListener;
        this.m.a(z);
        this.n = 0;
        synchronized (this.p) {
            this.o = true;
        }
        TelephonyManager telephonyManager = this.b;
        if (!(telephonyManager == null || (phoneStateListener = this.c) == null)) {
            try {
                telephonyManager.listen(phoneStateListener, 0);
            } catch (Throwable th) {
                com.autonavi.aps.amapapi.utils.b.a(th, "CgiManager", Constants.Event.SLOT_LIFECYCLE.DESTORY);
            }
        }
        this.c = null;
        this.d = null;
        this.b = null;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CgiManager */
    public class a extends TelephonyManager.CellInfoCallback {
        a() {
        }

        @Override // android.telephony.TelephonyManager.CellInfoCallback
        public final void onCellInfo(List<CellInfo> list) {
            try {
                if (i.b() - e.this.n >= 500) {
                    e.this.r = true;
                    e.this.a((e) e.this.t());
                    e.this.a(list);
                    e.this.n = i.b();
                }
            } catch (SecurityException e) {
                e.this.g = e.getMessage();
            } catch (Throwable th) {
                com.autonavi.aps.amapapi.utils.b.a(th, "Cgi", "cellInfo");
            }
        }
    }

    private void b(boolean z, boolean z2) {
        if (!this.e && this.b != null && Build.VERSION.SDK_INT >= 29 && this.h.getApplicationInfo().targetSdkVersion >= 29) {
            if (this.q == null) {
                this.q = new a();
            }
            this.b.requestCellInfoUpdate(is.a().d(), this.q);
            if (z2 || z) {
                int i2 = 0;
                while (!this.r && i2 < 20) {
                    try {
                        Thread.sleep(5);
                    } catch (Throwable th) {
                    }
                    i2++;
                }
            }
        }
        this.j = false;
        TelephonyManager telephonyManager = this.b;
        if (telephonyManager != null) {
            String networkOperator = telephonyManager.getNetworkOperator();
            this.k = networkOperator;
            if (!TextUtils.isEmpty(networkOperator)) {
                this.j = true;
            }
        }
        this.n = i.b();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private CellLocation t() {
        if (this.b == null) {
            return null;
        }
        return r();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private synchronized void a(CellLocation cellLocation) {
        int i2;
        String[] a2 = i.a(this.b);
        this.a.clear();
        if (cellLocation instanceof GsmCellLocation) {
            GsmCellLocation gsmCellLocation = (GsmCellLocation) cellLocation;
            d dVar = new d(1, true);
            dVar.a = i.e(a2[0]);
            dVar.b = i.e(a2[1]);
            dVar.c = gsmCellLocation.getLac();
            dVar.d = gsmCellLocation.getCid();
            if (this.d != null) {
                int gsmSignalStrength = this.d.getGsmSignalStrength();
                if (gsmSignalStrength == 99) {
                    i2 = Integer.MAX_VALUE;
                } else {
                    i2 = b(gsmSignalStrength);
                }
                dVar.s = i2;
            }
            dVar.r = false;
            this.m.a((Object) dVar);
            this.a.add(dVar);
            return;
        }
        if (cellLocation instanceof CdmaCellLocation) {
            CdmaCellLocation cdmaCellLocation = (CdmaCellLocation) cellLocation;
            d dVar2 = new d(2, true);
            dVar2.a = Integer.parseInt(a2[0]);
            dVar2.b = Integer.parseInt(a2[1]);
            dVar2.f = cdmaCellLocation.getBaseStationLatitude();
            dVar2.g = cdmaCellLocation.getBaseStationLongitude();
            dVar2.h = cdmaCellLocation.getSystemId();
            dVar2.i = cdmaCellLocation.getNetworkId();
            dVar2.j = cdmaCellLocation.getBaseStationId();
            if (this.d != null) {
                dVar2.s = this.d.getCdmaDbm();
            }
            dVar2.r = false;
            this.m.a((Object) dVar2);
            this.a.add(dVar2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private List<CellInfo> u() {
        List<CellInfo> list;
        SecurityException e2;
        try {
            if (i.c() < 18 || this.b == null) {
                return null;
            }
            try {
                list = this.b.getAllCellInfo();
                try {
                    this.g = null;
                } catch (SecurityException e3) {
                    e2 = e3;
                }
            } catch (SecurityException e4) {
                e2 = e4;
                list = null;
                this.g = e2.getMessage();
                return list;
            }
            return list;
        } catch (Throwable th) {
            com.autonavi.aps.amapapi.utils.b.a(th, "Cgi", "getNewCells");
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public final synchronized void a(List<CellInfo> list) {
        if (this.l != null) {
            this.l.clear();
        }
        if (list != null) {
            if (list.size() > 0) {
                for (int i2 = 0; i2 < list.size(); i2++) {
                    CellInfo cellInfo = list.get(i2);
                    if (cellInfo != null) {
                        d dVar = null;
                        boolean isRegistered = cellInfo.isRegistered();
                        if (cellInfo instanceof CellInfoCdma) {
                            dVar = a((CellInfoCdma) cellInfo, isRegistered);
                        } else if (cellInfo instanceof CellInfoGsm) {
                            dVar = a((CellInfoGsm) cellInfo, isRegistered);
                        } else if (cellInfo instanceof CellInfoWcdma) {
                            dVar = a((CellInfoWcdma) cellInfo, isRegistered);
                        } else if (cellInfo instanceof CellInfoLte) {
                            dVar = a((CellInfoLte) cellInfo, isRegistered);
                        } else if (Build.VERSION.SDK_INT >= 29 && (cellInfo instanceof CellInfoNr)) {
                            dVar = a((CellInfoNr) cellInfo, isRegistered);
                        }
                        if (dVar != null) {
                            this.m.a((Object) dVar);
                            dVar.m = (short) ((int) Math.min(65535L, this.m.e(dVar)));
                            dVar.r = true;
                            this.l.add(dVar);
                        }
                    }
                }
                this.i = false;
                if (this.l != null && this.l.size() > 0) {
                    this.i = true;
                }
            }
        }
    }

    private static int b(int i2) {
        return (i2 * 2) - 113;
    }

    /* access modifiers changed from: package-private */
    public final synchronized void j() {
        this.g = null;
        this.a.clear();
        this.l.clear();
        this.i = false;
        this.j = false;
    }

    public final String k() {
        return this.g;
    }

    public static boolean a(int i2) {
        if (i2 <= 0 || i2 > 15) {
            return false;
        }
        return true;
    }

    public final String l() {
        return this.k;
    }

    private static d a(CellInfoGsm cellInfoGsm, boolean z) {
        if (cellInfoGsm == null || cellInfoGsm.getCellIdentity() == null) {
            return null;
        }
        CellIdentityGsm cellIdentity = cellInfoGsm.getCellIdentity();
        d a2 = a(1, z, cellIdentity.getMcc(), cellIdentity.getMnc(), cellIdentity.getLac(), cellIdentity.getCid(), cellInfoGsm.getCellSignalStrength().getDbm());
        a2.o = cellInfoGsm.getCellIdentity().getBsic();
        a2.p = cellInfoGsm.getCellIdentity().getArfcn();
        a2.q = cellInfoGsm.getCellSignalStrength().getTimingAdvance();
        a2.s = cellInfoGsm.getCellSignalStrength().getDbm();
        return a2;
    }

    private static d a(CellInfoWcdma cellInfoWcdma, boolean z) {
        if (cellInfoWcdma == null || cellInfoWcdma.getCellIdentity() == null) {
            return null;
        }
        CellIdentityWcdma cellIdentity = cellInfoWcdma.getCellIdentity();
        d a2 = a(4, z, cellIdentity.getMcc(), cellIdentity.getMnc(), cellIdentity.getLac(), cellIdentity.getCid(), cellInfoWcdma.getCellSignalStrength().getDbm());
        a2.o = cellIdentity.getPsc();
        a2.p = cellInfoWcdma.getCellIdentity().getUarfcn();
        a2.s = cellInfoWcdma.getCellSignalStrength().getDbm();
        return a2;
    }

    private static d a(CellInfoLte cellInfoLte, boolean z) {
        if (cellInfoLte == null || cellInfoLte.getCellIdentity() == null) {
            return null;
        }
        CellIdentityLte cellIdentity = cellInfoLte.getCellIdentity();
        d a2 = a(3, z, cellIdentity.getMcc(), cellIdentity.getMnc(), cellIdentity.getTac(), cellIdentity.getCi(), cellInfoLte.getCellSignalStrength().getDbm());
        a2.o = cellIdentity.getPci();
        if (Build.VERSION.SDK_INT >= 24) {
            a2.p = cellIdentity.getEarfcn();
        }
        a2.q = cellInfoLte.getCellSignalStrength().getTimingAdvance();
        a2.s = cellInfoLte.getCellSignalStrength().getDbm();
        return a2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0072  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x0075  */
    private static d a(CellInfoNr cellInfoNr, boolean z) {
        int i2;
        int i3;
        Throwable th;
        int i4;
        if (cellInfoNr == null || cellInfoNr.getCellIdentity() == null) {
            return null;
        }
        CellIdentityNr cellIdentityNr = (CellIdentityNr) cellInfoNr.getCellIdentity();
        int tac = cellIdentityNr.getTac();
        if (tac == Integer.MAX_VALUE && "HUAWEI".equals(Build.MANUFACTURER)) {
            try {
                tac = com.autonavi.aps.amapapi.utils.e.b(cellIdentityNr, "getHwTac", new Object[0]);
            } catch (Throwable th2) {
                th2.printStackTrace();
            }
        }
        long nci = cellIdentityNr.getNci();
        try {
            i4 = Integer.parseInt(cellIdentityNr.getMccString());
            try {
                i3 = i4;
                i2 = Integer.parseInt(cellIdentityNr.getMncString());
            } catch (Throwable th3) {
                th = th3;
                th.printStackTrace();
                i3 = i4;
                i2 = 0;
                d a2 = a(5, z, i3, i2, cellIdentityNr.getTac(), 0, ((CellSignalStrengthNr) cellInfoNr.getCellSignalStrength()).getSsRsrp());
                a2.e = nci;
                if (tac > 16777215) {
                }
                a2.o = cellIdentityNr.getPci();
                a2.p = cellIdentityNr.getNrarfcn();
                a2.s = cellInfoNr.getCellSignalStrength().getDbm();
                return a2;
            }
        } catch (Throwable th4) {
            th = th4;
            i4 = 0;
            th.printStackTrace();
            i3 = i4;
            i2 = 0;
            d a22 = a(5, z, i3, i2, cellIdentityNr.getTac(), 0, ((CellSignalStrengthNr) cellInfoNr.getCellSignalStrength()).getSsRsrp());
            a22.e = nci;
            if (tac > 16777215) {
            }
            a22.o = cellIdentityNr.getPci();
            a22.p = cellIdentityNr.getNrarfcn();
            a22.s = cellInfoNr.getCellSignalStrength().getDbm();
            return a22;
        }
        d a222 = a(5, z, i3, i2, cellIdentityNr.getTac(), 0, ((CellSignalStrengthNr) cellInfoNr.getCellSignalStrength()).getSsRsrp());
        a222.e = nci;
        if (tac > 16777215) {
            a222.c = 65535;
        } else if (tac > 65535) {
            a222.c = 65535;
            a222.q = tac;
        } else {
            a222.c = tac;
        }
        a222.o = cellIdentityNr.getPci();
        a222.p = cellIdentityNr.getNrarfcn();
        a222.s = cellInfoNr.getCellSignalStrength().getDbm();
        return a222;
    }

    private d a(CellInfoCdma cellInfoCdma, boolean z) {
        int i2;
        int i3;
        int i4;
        if (cellInfoCdma == null || cellInfoCdma.getCellIdentity() == null) {
            return null;
        }
        CellIdentityCdma cellIdentity = cellInfoCdma.getCellIdentity();
        if (cellIdentity.getSystemId() <= 0 || cellIdentity.getNetworkId() < 0 || cellIdentity.getBasestationId() < 0) {
            return null;
        }
        CellIdentityCdma cellIdentity2 = cellInfoCdma.getCellIdentity();
        String[] a2 = i.a(this.b);
        try {
            i4 = Integer.parseInt(a2[0]);
            try {
                i2 = Integer.parseInt(a2[1]);
                i3 = i4;
            } catch (Throwable th) {
                i3 = i4;
                i2 = 0;
                d a3 = a(2, z, i3, i2, 0, 0, cellInfoCdma.getCellSignalStrength().getCdmaDbm());
                a3.h = cellIdentity2.getSystemId();
                a3.i = cellIdentity2.getNetworkId();
                a3.j = cellIdentity2.getBasestationId();
                a3.f = cellIdentity2.getLatitude();
                a3.g = cellIdentity2.getLongitude();
                a3.s = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
                return a3;
            }
        } catch (Throwable th2) {
            i4 = 0;
            i3 = i4;
            i2 = 0;
            d a32 = a(2, z, i3, i2, 0, 0, cellInfoCdma.getCellSignalStrength().getCdmaDbm());
            a32.h = cellIdentity2.getSystemId();
            a32.i = cellIdentity2.getNetworkId();
            a32.j = cellIdentity2.getBasestationId();
            a32.f = cellIdentity2.getLatitude();
            a32.g = cellIdentity2.getLongitude();
            a32.s = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
            return a32;
        }
        d a322 = a(2, z, i3, i2, 0, 0, cellInfoCdma.getCellSignalStrength().getCdmaDbm());
        a322.h = cellIdentity2.getSystemId();
        a322.i = cellIdentity2.getNetworkId();
        a322.j = cellIdentity2.getBasestationId();
        a322.f = cellIdentity2.getLatitude();
        a322.g = cellIdentity2.getLongitude();
        a322.s = cellInfoCdma.getCellSignalStrength().getCdmaDbm();
        return a322;
    }

    private static d a(int i2, boolean z, int i3, int i4, int i5, int i6, int i7) {
        d dVar = new d(i2, z);
        dVar.a = i3;
        dVar.b = i4;
        dVar.c = i5;
        dVar.d = i6;
        dVar.k = i7;
        return dVar;
    }

    public final synchronized String m() {
        if (this.e) {
            j();
        }
        if (this.f == null) {
            this.f = new StringBuilder();
        } else {
            this.f.delete(0, this.f.length());
        }
        if (h() == 1) {
            for (int i2 = 1; i2 < this.a.size(); i2++) {
                StringBuilder sb = this.f;
                sb.append("#");
                sb.append(this.a.get(i2).b);
                StringBuilder sb2 = this.f;
                sb2.append("|");
                sb2.append(this.a.get(i2).c);
                StringBuilder sb3 = this.f;
                sb3.append("|");
                sb3.append(this.a.get(i2).d);
            }
        }
        for (int i3 = 1; i3 < this.l.size(); i3++) {
            d dVar = this.l.get(i3);
            if (!(dVar.l == 1 || dVar.l == 3 || dVar.l == 4)) {
                if (dVar.l != 5) {
                    if (dVar.l == 2) {
                        StringBuilder sb4 = this.f;
                        sb4.append("#");
                        sb4.append(dVar.l);
                        StringBuilder sb5 = this.f;
                        sb5.append("|");
                        sb5.append(dVar.a);
                        StringBuilder sb6 = this.f;
                        sb6.append("|");
                        sb6.append(dVar.h);
                        StringBuilder sb7 = this.f;
                        sb7.append("|");
                        sb7.append(dVar.i);
                        StringBuilder sb8 = this.f;
                        sb8.append("|");
                        sb8.append(dVar.j);
                    }
                }
            }
            StringBuilder sb9 = this.f;
            sb9.append("#");
            sb9.append(dVar.l);
            StringBuilder sb10 = this.f;
            sb10.append("|");
            sb10.append(dVar.a);
            StringBuilder sb11 = this.f;
            sb11.append("|");
            sb11.append(dVar.b);
            StringBuilder sb12 = this.f;
            sb12.append("|");
            sb12.append(dVar.c);
            StringBuilder sb13 = this.f;
            sb13.append("|");
            sb13.append(dVar.a());
        }
        if (this.f.length() > 0) {
            this.f.deleteCharAt(0);
        }
        return this.f.toString();
    }

    public final boolean n() {
        try {
            if (this.b != null && (!TextUtils.isEmpty(this.b.getSimOperator()) || !TextUtils.isEmpty(this.b.getSimCountryIso()))) {
                return true;
            }
        } catch (Throwable th) {
        }
        try {
            int a2 = i.a(i.c(this.h));
            if (a2 == 0 || a2 == 4 || a2 == 2 || a2 == 5 || a2 == 3) {
                return true;
            }
            return false;
        } catch (Throwable th2) {
            return false;
        }
    }

    public final void a(c cVar) {
        this.u = cVar;
    }

    /* access modifiers changed from: package-private */
    /* compiled from: CgiManager */
    public class b extends PhoneStateListener {
        b() {
        }

        public final void onCellLocationChanged(CellLocation cellLocation) {
            if (i.b() - e.this.n >= 500) {
                try {
                    e.this.a((e) cellLocation);
                    e.this.a(e.this.u());
                    e.this.n = i.b();
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        }

        public final void onDataConnectionStateChanged(int i) {
            super.onDataConnectionStateChanged(i);
        }

        public final void onSignalStrengthChanged(int i) {
            super.onSignalStrengthChanged(i);
        }

        public final void onSignalStrengthsChanged(SignalStrength signalStrength) {
            if (signalStrength != null) {
                e.this.d = signalStrength;
                try {
                    if (e.this.u != null) {
                        e.this.u.c();
                    }
                } catch (Throwable th) {
                }
            }
        }

        @Override // android.telephony.PhoneStateListener
        public final void onCellInfoChanged(List<CellInfo> list) {
            try {
                if (e.this.u != null) {
                    e.this.u.c();
                }
                if (i.b() - e.this.n >= 500) {
                    e.this.a((e) e.this.t());
                    e.this.a(list);
                    e.this.n = i.b();
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }

        public final void onServiceStateChanged(ServiceState serviceState) {
            try {
                int state = serviceState.getState();
                if (state == 0) {
                    e.this.a(false, false);
                } else if (state == 1) {
                    e.this.j();
                }
            } catch (Throwable th) {
            }
        }
    }
}
