package com.autonavi.aps.amapapi.restruct;

import android.content.Context;
import android.location.Location;
import android.os.Handler;
import android.text.TextUtils;
import com.amap.api.col.p0003l.fk;
import com.amap.api.col.p0003l.kh;
import com.amap.api.col.p0003l.kk;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.autonavi.aps.amapapi.security.a;
import com.autonavi.aps.amapapi.utils.i;
import java.io.File;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: HistoryLocationRecorder */
public final class g {
    private LinkedList<f> a = new LinkedList<>();
    private File b;
    private boolean c = false;
    private Handler d;
    private String e = null;
    private boolean f;
    private Runnable g = new Runnable() {
        /* class com.autonavi.aps.amapapi.restruct.g.AnonymousClass1 */

        public final void run() {
            if (!g.this.c) {
                if (g.this.f) {
                    g.this.b();
                    g.this.f = false;
                }
                if (g.this.d != null) {
                    g.this.d.postDelayed(g.this.g, 60000);
                }
            }
        }
    };

    public g(Context context, Handler handler) {
        this.d = handler;
        String path = context.getFilesDir().getPath();
        if (this.e == null) {
            this.e = i.l(context);
        }
        try {
            this.b = new File(path, "hisloc");
        } catch (Throwable th) {
            kk.a(th);
        }
        a();
        Handler handler2 = this.d;
        if (handler2 != null) {
            handler2.removeCallbacks(this.g);
            this.d.postDelayed(this.g, 60000);
        }
    }

    public final void a(boolean z) {
        if (!z) {
            this.g.run();
        }
        Handler handler = this.d;
        if (handler != null) {
            handler.removeCallbacks(this.g);
        }
        this.c = true;
    }

    public final void a(f fVar) {
        Iterator<f> it = this.a.iterator();
        f fVar2 = null;
        f fVar3 = null;
        int i = 0;
        while (it.hasNext()) {
            f next = it.next();
            if (next.a == 1) {
                if (fVar3 == null) {
                    fVar3 = next;
                }
                i++;
                fVar2 = next;
            }
        }
        if (fVar2 != null) {
            new Location(GeocodeSearch.GPS);
            if (fVar.d - fVar2.d < 20000) {
                if (i.a(new double[]{fVar.b, fVar.c, fVar2.b, fVar2.c}) < 20.0f) {
                    return;
                }
            }
        }
        if (((long) i) >= 5) {
            this.a.remove(fVar3);
        }
        if (((long) this.a.size()) >= 10) {
            this.a.removeFirst();
        }
        this.a.add(fVar);
        this.f = true;
    }

    public final void b(f fVar) {
        if (this.a.size() <= 0) {
            return;
        }
        if (fVar.a == 6 || fVar.a == 5) {
            f last = this.a.getLast();
            if (last.c != fVar.c || last.b != fVar.b || last.e != fVar.e) {
                if (((long) this.a.size()) >= 10) {
                    this.a.removeFirst();
                }
                this.a.add(fVar);
                this.f = true;
            }
        } else if (!this.a.contains(fVar)) {
            if (((long) this.a.size()) >= 10) {
                this.a.removeFirst();
            }
            this.a.add(fVar);
            this.f = true;
        }
    }

    public final List<f> a(ArrayList<d> arrayList, ArrayList<kh> arrayList2) {
        if (!b(arrayList, arrayList2)) {
            return null;
        }
        long currentTimeMillis = System.currentTimeMillis();
        ArrayList arrayList3 = new ArrayList();
        int i = 0;
        Iterator<f> it = this.a.iterator();
        while (it.hasNext()) {
            f next = it.next();
            if (currentTimeMillis - next.d < 21600000000L) {
                arrayList3.add(next);
                i++;
            }
            if (i == 10) {
                return arrayList3;
            }
        }
        return arrayList3;
    }

    private static boolean b(ArrayList<d> arrayList, ArrayList<kh> arrayList2) {
        if (arrayList == null || arrayList.size() <= 0 || arrayList2 == null || arrayList2.size() <= 0) {
            return true;
        }
        if (((long) arrayList.size()) < 4 && ((long) arrayList2.size()) < 20) {
            return true;
        }
        return false;
    }

    private void a() {
        LinkedList<f> linkedList = this.a;
        if (linkedList == null || linkedList.size() <= 0) {
            for (String str : i.a(this.b)) {
                try {
                    String str2 = new String(a.b(fk.b(str), this.e), "UTF-8");
                    f fVar = new f();
                    fVar.a(new JSONObject(str2));
                    this.a.add(fVar);
                } catch (UnsupportedEncodingException e2) {
                    e2.printStackTrace();
                } catch (JSONException e3) {
                    e3.printStackTrace();
                }
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b() {
        StringBuilder sb = new StringBuilder();
        Iterator<f> it = this.a.iterator();
        while (it.hasNext()) {
            try {
                String a2 = it.next().a();
                sb.append(fk.b(a.a(a2.getBytes("UTF-8"), this.e)) + "\n");
            } catch (UnsupportedEncodingException e2) {
                e2.printStackTrace();
            }
        }
        String sb2 = sb.toString();
        if (!TextUtils.isEmpty(sb2)) {
            i.a(this.b, sb2);
        }
    }
}
