package com.autonavi.aps.amapapi.storage;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import com.amap.api.col.p0003l.fk;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.autonavi.aps.amapapi.restruct.d;
import com.autonavi.aps.amapapi.restruct.e;
import com.autonavi.aps.amapapi.utils.b;
import com.autonavi.aps.amapapi.utils.i;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.DHInterface.IApp;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.Set;
import org.json.JSONObject;

/* compiled from: Cache */
public final class a {
    Hashtable<String, ArrayList<C0037a>> a = new Hashtable<>();
    boolean b = true;
    long c = 0;
    String d = null;
    d e = null;
    boolean f = true;
    boolean g = true;
    String h = String.valueOf(AMapLocationClientOption.GeoLanguage.DEFAULT);
    private long i = 0;
    private boolean j = false;
    private String k = "2.0.201501131131".replace(Operators.DOT_STR, "");
    private String l = null;
    private String m = null;
    private long n = 0;

    public final void a(String str, StringBuilder sb, com.autonavi.aps.amapapi.model.a aVar, Context context, boolean z) {
        try {
            if (i.a(aVar)) {
                String str2 = str + com.alipay.sdk.m.s.a.n + aVar.isOffset() + com.alipay.sdk.m.s.a.n + aVar.i() + com.alipay.sdk.m.s.a.n + aVar.j();
                if (!a(str2, aVar) || aVar.e().equals("mem") || aVar.e().equals("file")) {
                    return;
                }
                if (!aVar.e().equals("wifioff")) {
                    if (!"-3".equals(aVar.d())) {
                        if (b()) {
                            c();
                        }
                        JSONObject f2 = aVar.f();
                        if (i.a(f2, "offpct")) {
                            f2.remove("offpct");
                            aVar.a(f2);
                        }
                        if (str2.contains("wifi")) {
                            if (!TextUtils.isEmpty(sb)) {
                                if (aVar.getAccuracy() >= 300.0f) {
                                    int i2 = 0;
                                    for (String str3 : sb.toString().split("#")) {
                                        if (str3.contains(",")) {
                                            i2++;
                                        }
                                    }
                                    if (i2 >= 8) {
                                        return;
                                    }
                                } else if (aVar.getAccuracy() <= 3.0f) {
                                    return;
                                }
                                if (str2.contains("cgiwifi") && !TextUtils.isEmpty(aVar.g())) {
                                    String replace = str2.replace("cgiwifi", "cgi");
                                    com.autonavi.aps.amapapi.model.a h2 = aVar.h();
                                    if (i.a(h2)) {
                                        a(replace, new StringBuilder(), h2, context, true);
                                    }
                                }
                            } else {
                                return;
                            }
                        } else if (str2.contains("cgi") && (!(sb == null || sb.indexOf(",") == -1) || "4".equals(aVar.d()))) {
                            return;
                        }
                        com.autonavi.aps.amapapi.model.a a2 = a(str2, sb, false);
                        if (!i.a(a2) || !a2.toStr().equals(aVar.toStr(3))) {
                            this.i = i.b();
                            C0037a aVar2 = new C0037a();
                            aVar2.a(aVar);
                            aVar2.a(TextUtils.isEmpty(sb) ? null : sb.toString());
                            if (this.a.containsKey(str2)) {
                                this.a.get(str2).add(aVar2);
                            } else {
                                ArrayList<C0037a> arrayList = new ArrayList<>();
                                arrayList.add(aVar2);
                                this.a.put(str2, arrayList);
                            }
                            if (z) {
                                try {
                                    a(str2, aVar, sb, context);
                                } catch (Throwable th) {
                                    b.a(th, "Cache", "add");
                                }
                            }
                        }
                    }
                }
            }
        } catch (Throwable th2) {
            b.a(th2, "Cache", "add");
        }
    }

    public final com.autonavi.aps.amapapi.model.a a(Context context, String str, StringBuilder sb, boolean z, boolean z2) {
        if (TextUtils.isEmpty(str) || !com.autonavi.aps.amapapi.utils.a.e()) {
            return null;
        }
        String str2 = str + com.alipay.sdk.m.s.a.n + this.f + com.alipay.sdk.m.s.a.n + this.g + com.alipay.sdk.m.s.a.n + this.h;
        if (str2.contains(GeocodeSearch.GPS) || !com.autonavi.aps.amapapi.utils.a.e() || sb == null) {
            return null;
        }
        if (b()) {
            c();
            return null;
        }
        if (z && !this.j) {
            try {
                String a2 = a(str2, sb, context);
                c();
                a(context, a2, z2);
            } catch (Throwable th) {
            }
        }
        if (this.a.isEmpty()) {
            return null;
        }
        return a(str2, sb, z2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0066 A[Catch:{ all -> 0x0099 }] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008f A[Catch:{ all -> 0x0099 }] */
    private com.autonavi.aps.amapapi.model.a a(String str, StringBuilder sb, boolean z) {
        C0037a aVar;
        com.autonavi.aps.amapapi.model.a a2;
        try {
            if (!str.contains("cgiwifi")) {
                if (!str.contains("wifi")) {
                    if (!str.contains("cgi") || !this.a.containsKey(str) || this.a.get(str).size() <= 0) {
                        aVar = null;
                    } else {
                        aVar = this.a.get(str).get(0);
                    }
                    if (aVar != null && i.a(aVar.a())) {
                        a2 = aVar.a();
                        a2.e("mem");
                        a2.h(aVar.b());
                        if (!z) {
                            if (!com.autonavi.aps.amapapi.utils.a.a(a2.getTime())) {
                                if (this.a != null && this.a.containsKey(str)) {
                                    this.a.get(str).remove(aVar);
                                }
                            }
                        }
                        if (i.a(a2)) {
                            this.c = 0;
                        }
                        a2.setLocationType(4);
                        return a2;
                    }
                    return null;
                }
            }
            aVar = a(sb, str);
            a2 = aVar.a();
            a2.e("mem");
            a2.h(aVar.b());
            if (!z) {
            }
            if (i.a(a2)) {
            }
            a2.setLocationType(4);
            return a2;
        } catch (Throwable th) {
            b.a(th, "Cache", "get1");
        }
    }

    private boolean b() {
        long b2 = i.b();
        long j2 = this.i;
        long j3 = b2 - j2;
        if (j2 == 0) {
            return false;
        }
        if (this.a.size() > 360 || j3 > 172800000) {
            return true;
        }
        return false;
    }

    private static boolean a(String str, com.autonavi.aps.amapapi.model.a aVar) {
        if (TextUtils.isEmpty(str) || !i.a(aVar) || str.startsWith("#") || !str.contains("network")) {
            return false;
        }
        return true;
    }

    private void c() {
        this.i = 0;
        if (!this.a.isEmpty()) {
            this.a.clear();
        }
        this.j = false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:46:0x013c, code lost:
        r3 = r16;
     */
    private C0037a a(StringBuilder sb, String str) {
        C0037a aVar;
        C0037a aVar2;
        boolean z;
        if (this.a.isEmpty() || TextUtils.isEmpty(sb) || !this.a.containsKey(str)) {
            return null;
        }
        Hashtable hashtable = new Hashtable();
        Hashtable hashtable2 = new Hashtable();
        Hashtable hashtable3 = new Hashtable();
        ArrayList<C0037a> arrayList = this.a.get(str);
        char c2 = 1;
        int size = arrayList.size() - 1;
        while (true) {
            if (size < 0) {
                aVar = null;
                break;
            }
            C0037a aVar3 = arrayList.get(size);
            if (!TextUtils.isEmpty(aVar3.b())) {
                if (!a(aVar3.b(), sb)) {
                    z = false;
                } else if (i.a(aVar3.b(), sb.toString())) {
                    aVar2 = aVar3;
                    break;
                } else {
                    z = true;
                }
                a(aVar3.b(), hashtable);
                a(sb.toString(), hashtable2);
                hashtable3.clear();
                for (String str2 : hashtable.keySet()) {
                    hashtable3.put(str2, "");
                }
                for (String str3 : hashtable2.keySet()) {
                    hashtable3.put(str3, "");
                }
                Set keySet = hashtable3.keySet();
                double[] dArr = new double[keySet.size()];
                double[] dArr2 = new double[keySet.size()];
                Iterator it = keySet.iterator();
                int i2 = 0;
                while (it != null && it.hasNext()) {
                    String str4 = (String) it.next();
                    double d2 = 1.0d;
                    dArr[i2] = hashtable.containsKey(str4) ? 1.0d : 0.0d;
                    if (!hashtable2.containsKey(str4)) {
                        d2 = 0.0d;
                    }
                    dArr2[i2] = d2;
                    i2++;
                }
                keySet.clear();
                double[] a2 = a(dArr, dArr2);
                if (a2[0] >= 0.800000011920929d) {
                    aVar2 = aVar3;
                    break;
                }
                aVar2 = aVar3;
                if (a2[c2] < Math.min(com.autonavi.aps.amapapi.utils.a.g(), 0.618d)) {
                    if (z && a2[0] >= Math.min(com.autonavi.aps.amapapi.utils.a.g(), 0.618d)) {
                        break;
                    }
                } else {
                    break;
                }
            }
            size--;
            c2 = 1;
        }
        hashtable.clear();
        hashtable2.clear();
        hashtable3.clear();
        return aVar;
    }

    private static boolean a(String str, StringBuilder sb) {
        String str2;
        if (TextUtils.isEmpty(str) || TextUtils.isEmpty(sb) || !str.contains(",access") || sb.indexOf(",access") == -1) {
            return false;
        }
        String[] split = str.split(",access");
        if (split[0].contains("#")) {
            str2 = split[0].substring(split[0].lastIndexOf("#") + 1);
        } else {
            str2 = split[0];
        }
        if (TextUtils.isEmpty(str2)) {
            return false;
        }
        String sb2 = sb.toString();
        return sb2.contains(str2 + ",access");
    }

    private static void a(String str, Hashtable<String, String> hashtable) {
        if (!TextUtils.isEmpty(str)) {
            hashtable.clear();
            String[] split = str.split("#");
            for (String str2 : split) {
                if (!TextUtils.isEmpty(str2) && !str2.contains("|")) {
                    hashtable.put(str2, "");
                }
            }
        }
    }

    private static double[] a(double[] dArr, double[] dArr2) {
        double[] dArr3 = new double[3];
        double d2 = 0.0d;
        double d3 = 0.0d;
        double d4 = 0.0d;
        int i2 = 0;
        int i3 = 0;
        for (int i4 = 0; i4 < dArr.length; i4++) {
            d3 += dArr[i4] * dArr[i4];
            d4 += dArr2[i4] * dArr2[i4];
            d2 += dArr[i4] * dArr2[i4];
            if (dArr2[i4] == 1.0d) {
                i3++;
                if (dArr[i4] == 1.0d) {
                    i2++;
                }
            }
        }
        dArr3[0] = d2 / (Math.sqrt(d3) * Math.sqrt(d4));
        double d5 = (double) i2;
        dArr3[1] = (d5 * 1.0d) / ((double) i3);
        dArr3[2] = d5;
        for (int i5 = 0; i5 < 2; i5++) {
            if (dArr3[i5] > 1.0d) {
                dArr3[i5] = 1.0d;
            }
        }
        return dArr3;
    }

    public final void a(Context context) {
        if (!this.j) {
            try {
                c();
                a(context, (String) null, false);
            } catch (Throwable th) {
                b.a(th, "Cache", "loadDB");
            }
            this.j = true;
        }
    }

    /* access modifiers changed from: package-private */
    /* renamed from: com.autonavi.aps.amapapi.storage.a$a  reason: collision with other inner class name */
    /* compiled from: Cache */
    public static class C0037a {
        private com.autonavi.aps.amapapi.model.a a = null;
        private String b = null;

        protected C0037a() {
        }

        public final com.autonavi.aps.amapapi.model.a a() {
            return this.a;
        }

        public final void a(com.autonavi.aps.amapapi.model.a aVar) {
            this.a = aVar;
        }

        public final String b() {
            return this.b;
        }

        public final void a(String str) {
            if (TextUtils.isEmpty(str)) {
                this.b = null;
            } else {
                this.b = str.replace("##", "#");
            }
        }
    }

    private String a(String str, StringBuilder sb, Context context) {
        String str2;
        if (context == null) {
            return null;
        }
        JSONObject jSONObject = new JSONObject();
        try {
            this.l = i.l(context);
            if (str.contains(com.alipay.sdk.m.s.a.n)) {
                str = str.substring(0, str.indexOf(com.alipay.sdk.m.s.a.n));
            }
            String substring = str.substring(str.lastIndexOf("#") + 1);
            if (substring.equals("cgi")) {
                jSONObject.put("cgi", str.substring(0, str.length() - 12));
            } else if (!TextUtils.isEmpty(sb) && sb.indexOf(",access") != -1) {
                jSONObject.put("cgi", str.substring(0, str.length() - (substring.length() + 9)));
                String[] split = sb.toString().split(",access");
                if (split[0].contains("#")) {
                    str2 = split[0].substring(split[0].lastIndexOf("#") + 1);
                } else {
                    str2 = split[0];
                }
                jSONObject.put("mmac", str2);
            }
            try {
                return fk.b(com.autonavi.aps.amapapi.security.a.a(jSONObject.toString().getBytes("UTF-8"), this.l));
            } catch (UnsupportedEncodingException e2) {
                return null;
            }
        } catch (Throwable th) {
            return null;
        }
    }

    private void a(String str, AMapLocation aMapLocation, StringBuilder sb, Context context) throws Exception {
        if (context != null) {
            if (this.l == null) {
                this.l = i.l(context);
            }
            String a2 = a(str, sb, context);
            StringBuilder sb2 = new StringBuilder();
            SQLiteDatabase sQLiteDatabase = null;
            try {
                SQLiteDatabase openOrCreateDatabase = context.openOrCreateDatabase("hmdb", 0, null);
                sb2.append("CREATE TABLE IF NOT EXISTS hist");
                sb2.append(this.k);
                sb2.append(" (feature VARCHAR PRIMARY KEY, nb VARCHAR, loc VARCHAR, time VARCHAR);");
                openOrCreateDatabase.execSQL(sb2.toString());
                sb2.delete(0, sb2.length());
                sb2.append("REPLACE INTO ");
                sb2.append("hist");
                sb2.append(this.k);
                sb2.append(" VALUES (?, ?, ?, ?)");
                byte[] a3 = com.autonavi.aps.amapapi.security.a.a(sb.toString().getBytes("UTF-8"), this.l);
                Object[] objArr = {a2, a3, com.autonavi.aps.amapapi.security.a.a(aMapLocation.toStr().getBytes("UTF-8"), this.l), Long.valueOf(aMapLocation.getTime())};
                for (int i2 = 1; i2 < 3; i2++) {
                    objArr[i2] = fk.b((byte[]) objArr[i2]);
                }
                openOrCreateDatabase.execSQL(sb2.toString(), objArr);
                sb2.delete(0, sb2.length());
                sb2.delete(0, sb2.length());
                if (openOrCreateDatabase != null && openOrCreateDatabase.isOpen()) {
                    openOrCreateDatabase.close();
                }
            } catch (Throwable th) {
                sb2.delete(0, sb2.length());
                if (0 != 0 && sQLiteDatabase.isOpen()) {
                    sQLiteDatabase.close();
                }
                throw th;
            }
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r20v0, resolved type: android.content.Context */
    /* JADX DEBUG: Multi-variable search result rejected for r3v2, resolved type: android.database.sqlite.SQLiteDatabase */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v1, types: [android.database.sqlite.SQLiteDatabase$CursorFactory] */
    /* JADX WARN: Type inference failed for: r3v3 */
    /* JADX WARN: Type inference failed for: r3v12 */
    /* JADX WARNING: Removed duplicated region for block: B:101:0x02bc A[DONT_GENERATE] */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x027a A[EDGE_INSN: B:112:0x027a->B:78:0x027a ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:120:? A[ADDED_TO_REGION, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x028a A[LOOP:0: B:37:0x00d4->B:79:0x028a, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x02b7 A[DONT_GENERATE] */
    private void a(Context context, String str, boolean z) throws Exception {
        Cursor cursor;
        Throwable th;
        SQLiteDatabase sQLiteDatabase;
        JSONObject jSONObject;
        JSONObject jSONObject2;
        StringBuilder sb;
        String str2;
        if (com.autonavi.aps.amapapi.utils.a.e() && context != 0) {
            SQLiteDatabase sQLiteDatabase2 = 0;
            int i2 = 0;
            try {
                SQLiteDatabase openOrCreateDatabase = context.openOrCreateDatabase("hmdb", 0, sQLiteDatabase2);
                try {
                    if (i.a(openOrCreateDatabase, "hist")) {
                        StringBuilder sb2 = new StringBuilder();
                        if (!z) {
                            sb2.append("time >");
                            sb2.append(i.a() - com.autonavi.aps.amapapi.utils.a.d());
                            if (str != null) {
                                sb2.append(" and feature = '");
                                sb2.append(str + "'");
                            }
                        } else {
                            sb2.append("time >");
                            sb2.append(i.a() - 172800000);
                            if (str != null) {
                                sb2.append(" and feature = '");
                                sb2.append(str + "'");
                            }
                        }
                        cursor = openOrCreateDatabase.query("hist" + this.k, new String[]{IApp.ConfigProperty.CONFIG_FEATURE, " nb", "loc"}, sb2.toString(), null, null, null, "time ASC", null);
                        try {
                            StringBuilder sb3 = new StringBuilder();
                            if (this.l == null) {
                                try {
                                    this.l = i.l(context);
                                } catch (Throwable th2) {
                                    th = th2;
                                }
                            }
                            if (cursor == null || !cursor.moveToFirst()) {
                                sQLiteDatabase = openOrCreateDatabase;
                            } else {
                                while (true) {
                                    if (cursor.getString(i2).startsWith(Operators.BLOCK_START_STR)) {
                                        jSONObject2 = new JSONObject(cursor.getString(i2));
                                        sb3.delete(i2, sb3.length());
                                        if (!TextUtils.isEmpty(cursor.getString(1))) {
                                            sb3.append(cursor.getString(1));
                                        } else if (i.a(jSONObject2, "mmac")) {
                                            sb3.append("#");
                                            sb3.append(jSONObject2.getString("mmac"));
                                            sb3.append(",access");
                                        }
                                        jSONObject = new JSONObject(cursor.getString(2));
                                        if (i.a(jSONObject, "type")) {
                                            jSONObject.put("type", "new");
                                        }
                                    } else {
                                        JSONObject jSONObject3 = new JSONObject(new String(com.autonavi.aps.amapapi.security.a.b(fk.b(cursor.getString(i2)), this.l), "UTF-8"));
                                        sb3.delete(0, sb3.length());
                                        if (!TextUtils.isEmpty(cursor.getString(1))) {
                                            sb3.append(new String(com.autonavi.aps.amapapi.security.a.b(fk.b(cursor.getString(1)), this.l), "UTF-8"));
                                        } else if (i.a(jSONObject3, "mmac")) {
                                            sb3.append("#");
                                            sb3.append(jSONObject3.getString("mmac"));
                                            sb3.append(",access");
                                        }
                                        jSONObject = new JSONObject(new String(com.autonavi.aps.amapapi.security.a.b(fk.b(cursor.getString(2)), this.l), "UTF-8"));
                                        if (i.a(jSONObject, "type")) {
                                            jSONObject.put("type", "new");
                                        }
                                        jSONObject2 = jSONObject3;
                                    }
                                    com.autonavi.aps.amapapi.model.a aVar = new com.autonavi.aps.amapapi.model.a("");
                                    aVar.b(jSONObject);
                                    if (!i.a(jSONObject2, "mmac") || !i.a(jSONObject2, "cgi")) {
                                        if (i.a(jSONObject2, "cgi")) {
                                            String str3 = (jSONObject2.getString("cgi") + "#") + "network#";
                                            if (jSONObject2.getString("cgi").contains("#")) {
                                                str2 = str3 + "cgi";
                                            } else {
                                                sb = sb2;
                                                sQLiteDatabase = openOrCreateDatabase;
                                            }
                                        } else {
                                            sb = sb2;
                                            sQLiteDatabase = openOrCreateDatabase;
                                        }
                                        if (cursor.moveToNext()) {
                                            break;
                                        }
                                        sb2 = sb;
                                        openOrCreateDatabase = sQLiteDatabase;
                                        i2 = 0;
                                    } else {
                                        String str4 = (jSONObject2.getString("cgi") + "#") + "network#";
                                        if (jSONObject2.getString("cgi").contains("#")) {
                                            str2 = str4 + "cgiwifi";
                                        } else {
                                            str2 = str4 + "wifi";
                                        }
                                    }
                                    sb = sb2;
                                    sQLiteDatabase = openOrCreateDatabase;
                                    try {
                                        a(str2, sb3, aVar, context, false);
                                        if (cursor.moveToNext()) {
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        sQLiteDatabase2 = sQLiteDatabase;
                                        b.a(th, "DB", "fetchHist p2");
                                        if (sQLiteDatabase2 == 0) {
                                            return;
                                        }
                                    }
                                }
                                sb3.delete(0, sb3.length());
                                sb.delete(0, sb.length());
                            }
                            if (cursor != null) {
                                cursor.close();
                            }
                            if (sQLiteDatabase != null && sQLiteDatabase.isOpen()) {
                                sQLiteDatabase.close();
                            }
                        } catch (Throwable th4) {
                            th = th4;
                            sQLiteDatabase = openOrCreateDatabase;
                            sQLiteDatabase2 = sQLiteDatabase;
                            b.a(th, "DB", "fetchHist p2");
                        }
                    } else if (openOrCreateDatabase != null) {
                        try {
                            if (openOrCreateDatabase.isOpen()) {
                                openOrCreateDatabase.close();
                            }
                        } catch (Throwable th5) {
                            th = th5;
                            cursor = sQLiteDatabase2;
                            sQLiteDatabase2 = openOrCreateDatabase;
                            try {
                                b.a(th, "DB", "fetchHist p2");
                            } finally {
                                if (cursor != null) {
                                    cursor.close();
                                }
                                if (sQLiteDatabase2 != 0 && sQLiteDatabase2.isOpen()) {
                                    sQLiteDatabase2.close();
                                }
                            }
                        }
                    }
                } catch (Throwable th6) {
                    th = th6;
                    sQLiteDatabase = openOrCreateDatabase;
                    cursor = sQLiteDatabase2;
                    sQLiteDatabase2 = sQLiteDatabase;
                    b.a(th, "DB", "fetchHist p2");
                }
            } catch (Throwable th7) {
                th = th7;
                cursor = sQLiteDatabase2;
                b.a(th, "DB", "fetchHist p2");
            }
        }
    }

    private void c(Context context) throws Exception {
        if (context != null) {
            SQLiteDatabase sQLiteDatabase = null;
            try {
                SQLiteDatabase openOrCreateDatabase = context.openOrCreateDatabase("hmdb", 0, null);
                if (i.a(openOrCreateDatabase, "hist")) {
                    String[] strArr = {String.valueOf(i.a() - 172800000)};
                    try {
                        openOrCreateDatabase.delete("hist" + this.k, "time<?", strArr);
                    } catch (Throwable th) {
                        b.a(th, "DB", "clearHist");
                        String message = th.getMessage();
                        if (!TextUtils.isEmpty(message)) {
                            message.contains("no such table");
                        }
                    }
                    if (openOrCreateDatabase != null && openOrCreateDatabase.isOpen()) {
                        openOrCreateDatabase.close();
                    }
                } else if (openOrCreateDatabase != null && openOrCreateDatabase.isOpen()) {
                    openOrCreateDatabase.close();
                }
            } catch (Throwable th2) {
                if (0 != 0 && sQLiteDatabase.isOpen()) {
                    sQLiteDatabase.close();
                }
                throw th2;
            }
        }
    }

    public final void b(Context context) {
        try {
            c();
            c(context);
            this.j = false;
            this.d = null;
            this.n = 0;
        } catch (Throwable th) {
            b.a(th, "Cache", "destroy part");
        }
    }

    public final void a(AMapLocationClientOption aMapLocationClientOption) {
        this.g = aMapLocationClientOption.isNeedAddress();
        this.f = aMapLocationClientOption.isOffset();
        this.b = aMapLocationClientOption.isLocationCacheEnable();
        this.h = String.valueOf(aMapLocationClientOption.getGeoLanguage());
    }

    public final void a(d dVar) {
        this.e = dVar;
    }

    private boolean a(com.autonavi.aps.amapapi.model.a aVar, boolean z) {
        if (!a(z)) {
            return false;
        }
        if (aVar == null || com.autonavi.aps.amapapi.utils.a.a(aVar.getTime()) || z) {
            return true;
        }
        return false;
    }

    private boolean a(boolean z) {
        if (!com.autonavi.aps.amapapi.utils.a.e() && !z) {
            return false;
        }
        if (this.b || com.autonavi.aps.amapapi.utils.a.f() || z) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0030 A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x004b A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x008f A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0096 A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:56:0x00c0 A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x00c9 A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x00d3 A[ADDED_TO_REGION, Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x00e5 A[Catch:{ all -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:69:0x00ef A[Catch:{ all -> 0x00fe }] */
    public final com.autonavi.aps.amapapi.model.a a(e eVar, boolean z, com.autonavi.aps.amapapi.model.a aVar, com.autonavi.aps.amapapi.restruct.i iVar, StringBuilder sb, String str, Context context, boolean z2) {
        boolean z3;
        boolean z4;
        boolean z5;
        String str2;
        if (!a(aVar, z2)) {
            return null;
        }
        try {
            d e2 = eVar.e();
            boolean z6 = true;
            if (!(e2 == null && this.e == null)) {
                if (this.e != null) {
                    if (!this.e.equals(e2)) {
                    }
                }
                z3 = true;
                if (aVar == null) {
                    z4 = aVar.getAccuracy() > 299.0f && iVar.e().size() > 5;
                } else {
                    z4 = false;
                }
                if (aVar != null || this.d == null || z4 || z3) {
                    z5 = false;
                } else {
                    z5 = i.a(this.d, sb.toString());
                    boolean z7 = this.c != 0 && i.b() - this.c < com.alipay.sdk.m.u.b.a;
                    if ((z5 || z7) && i.a(aVar)) {
                        aVar.e("mem");
                        aVar.setLocationType(2);
                        return aVar;
                    }
                }
                if (z5) {
                    this.c = i.b();
                } else {
                    this.c = 0;
                }
                if (this.m != null || str.equals(this.m)) {
                    if (this.m != null) {
                        this.n = i.a();
                        this.m = str;
                    } else {
                        this.n = i.a();
                    }
                } else if (i.a() - this.n < com.alipay.sdk.m.u.b.a) {
                    str2 = this.m;
                    com.autonavi.aps.amapapi.model.a a2 = (!z4 || z) ? null : a(context, str2, sb, false, false);
                    if (!z || i.a(a2)) {
                        z6 = false;
                    }
                    if (!z6) {
                        if (!z4) {
                            if (z) {
                                return null;
                            }
                            this.c = 0;
                            a2.setLocationType(4);
                            return a2;
                        }
                    }
                    return null;
                } else {
                    this.n = i.a();
                    this.m = str;
                }
                str2 = str;
                if (!z4) {
                }
                if (!z) {
                }
                z6 = false;
                if (!z6) {
                }
                return null;
            }
            z3 = false;
            if (aVar == null) {
            }
            if (aVar != null) {
            }
            z5 = false;
            if (z5) {
            }
            if (this.m != null) {
            }
            if (this.m != null) {
            }
            str2 = str;
            if (!z4) {
            }
            if (!z) {
            }
            z6 = false;
            if (!z6) {
            }
            return null;
        } catch (Throwable th) {
            return null;
        }
    }

    public final void a(String str) {
        this.d = str;
    }

    public final void a() {
        this.c = 0;
        this.d = null;
    }
}
