package com.coremedia.iso.boxes.apple;

public final class AppleTrackNumberBox extends AbstractAppleMetaDataBox {
    public static final String TYPE = "trkn";

    public AppleTrackNumberBox() {
        super(TYPE);
    }

    public void setTrackNumber(byte track, byte of) {
        this.appleDataBox = new AppleDataBox();
        this.appleDataBox.setVersion(0);
        this.appleDataBox.setFlags(0);
        this.appleDataBox.setFourBytes(new byte[4]);
        this.appleDataBox.setData(new byte[]{0, 0, 0, track, 0, of, 0, 0});
    }

    public byte getTrackNumber() {
        return this.appleDataBox.getData()[3];
    }

    public byte getNumberOfTracks() {
        return this.appleDataBox.getData()[5];
    }

    public void setNumberOfTracks(byte numberOfTracks) {
        byte[] content = this.appleDataBox.getData();
        content[5] = numberOfTracks;
        this.appleDataBox.setData(content);
    }

    public void setTrackNumber(byte trackNumber) {
        byte[] content = this.appleDataBox.getData();
        content[3] = trackNumber;
        this.appleDataBox.setData(content);
    }
}
