package com.efs.sdk.memoryinfo;

import android.app.Activity;
import android.content.Context;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.os.Process;
import android.os.SystemClock;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.integrationtesting.IntegrationTestingUtil;
import com.efs.sdk.base.observer.IConfigCallback;
import com.umeng.commonsdk.utils.UMUtils;
import java.lang.ref.WeakReference;
import java.util.Map;
import java.util.Random;
import java.util.UUID;

final class d implements UMMemoryMonitorApi {
    private boolean A;
    private boolean u;
    private boolean v = true;
    private b w;
    private WeakReference<Activity> x;
    private boolean y;
    private int z;

    d() {
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final void setEnable(boolean z2) {
        this.v = z2;
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final boolean isEnable() {
        b bVar;
        if (this.v && (bVar = this.w) != null && bVar.b) {
            return true;
        }
        return false;
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final void start(Context context, EfsReporter efsReporter) {
        if ((this.v || IntegrationTestingUtil.isIntegrationTestingInPeriod()) && !this.u) {
            this.u = true;
            b bVar = new b(context, efsReporter);
            this.w = bVar;
            bVar.a.getAllSdkConfig(new String[]{"apm_memperf_sampling_rate", "apm_memperf_collect_interval", "apm_memperf_collect_max_period_sec"}, new IConfigCallback() {
                /* class com.efs.sdk.memoryinfo.b.AnonymousClass1 */

                @Override // com.efs.sdk.base.observer.IConfigCallback
                public final void onChange(Map<String, Object> map) {
                    Object obj;
                    boolean z;
                    Object obj2;
                    Object obj3;
                    try {
                        if (!b.this.b && (obj = map.get("apm_memperf_sampling_rate")) != null) {
                            int parseInt = Integer.parseInt(obj.toString());
                            if (parseInt != 0) {
                                if (parseInt == 100) {
                                    z = true;
                                } else if (new Random().nextInt(100) <= parseInt) {
                                    z = true;
                                }
                                if ((!z || IntegrationTestingUtil.isIntegrationTestingInPeriod()) && (obj2 = map.get("apm_memperf_collect_interval")) != null && (obj3 = map.get("apm_memperf_collect_max_period_sec")) != null) {
                                    final int parseInt2 = Integer.parseInt(obj2.toString());
                                    final int parseInt3 = Integer.parseInt(obj3.toString());
                                    final HandlerThread handlerThread = new HandlerThread("mem-info");
                                    handlerThread.start();
                                    final AnonymousClass1 r3 = new Handler(handlerThread.getLooper()) {
                                        /* class com.efs.sdk.memoryinfo.b.AnonymousClass1.AnonymousClass1 */

                                        public final void handleMessage(Message message) {
                                            super.handleMessage(message);
                                            if (message.what == 1) {
                                                try {
                                                    handlerThread.quit();
                                                } catch (Throwable th) {
                                                }
                                            }
                                        }
                                    };
                                    r3.post(new Runnable() {
                                        /* class com.efs.sdk.memoryinfo.b.AnonymousClass1.AnonymousClass2 */

                                        public final void run() {
                                            try {
                                                String uuid = UUID.randomUUID().toString();
                                                int myPid = Process.myPid();
                                                String lowerCase = UMUtils.MD5(myPid + uuid).toLowerCase();
                                                b bVar = b.this;
                                                Handler handler = r3;
                                                int i = parseInt2;
                                                handler.post(new Runnable(SystemClock.elapsedRealtime(), parseInt3, handler, new e(bVar.mContext, bVar.a), lowerCase, i) {
                                                    /* class com.efs.sdk.memoryinfo.b.AnonymousClass2 */
                                                    final /* synthetic */ Handler f;
                                                    final /* synthetic */ long i;
                                                    final /* synthetic */ int j;
                                                    final /* synthetic */ e k;
                                                    final /* synthetic */ String l;
                                                    final /* synthetic */ int m;

                                                    {
                                                        this.i = r2;
                                                        this.j = r4;
                                                        this.f = r5;
                                                        this.k = r6;
                                                        this.l = r7;
                                                        this.m = r8;
                                                    }

                                                    public final void run() {
                                                        if (SystemClock.elapsedRealtime() - this.i > ((long) (this.j * 1000))) {
                                                            this.f.sendEmptyMessage(1);
                                                            return;
                                                        }
                                                        try {
                                                            b.a(b.this, this.k, this.l);
                                                        } catch (Throwable th) {
                                                            f.a("collect ", th);
                                                        }
                                                        this.f.postDelayed(this, (long) (this.m * 1000));
                                                    }
                                                });
                                            } catch (Throwable th) {
                                                r3.sendEmptyMessage(1);
                                            }
                                        }
                                    });
                                    b.this.b = true;
                                }
                                return;
                            }
                            z = false;
                            if (!z) {
                            }
                            final int parseInt22 = Integer.parseInt(obj2.toString());
                            final int parseInt32 = Integer.parseInt(obj3.toString());
                            final HandlerThread handlerThread2 = new HandlerThread("mem-info");
                            handlerThread2.start();
                            final AnonymousClass1 r32 = new Handler(handlerThread2.getLooper()) {
                                /* class com.efs.sdk.memoryinfo.b.AnonymousClass1.AnonymousClass1 */

                                public final void handleMessage(Message message) {
                                    super.handleMessage(message);
                                    if (message.what == 1) {
                                        try {
                                            handlerThread2.quit();
                                        } catch (Throwable th) {
                                        }
                                    }
                                }
                            };
                            r32.post(new Runnable() {
                                /* class com.efs.sdk.memoryinfo.b.AnonymousClass1.AnonymousClass2 */

                                public final void run() {
                                    try {
                                        String uuid = UUID.randomUUID().toString();
                                        int myPid = Process.myPid();
                                        String lowerCase = UMUtils.MD5(myPid + uuid).toLowerCase();
                                        b bVar = b.this;
                                        Handler handler = r32;
                                        int i = parseInt22;
                                        handler.post(new Runnable(SystemClock.elapsedRealtime(), parseInt32, handler, new e(bVar.mContext, bVar.a), lowerCase, i) {
                                            /* class com.efs.sdk.memoryinfo.b.AnonymousClass2 */
                                            final /* synthetic */ Handler f;
                                            final /* synthetic */ long i;
                                            final /* synthetic */ int j;
                                            final /* synthetic */ e k;
                                            final /* synthetic */ String l;
                                            final /* synthetic */ int m;

                                            {
                                                this.i = r2;
                                                this.j = r4;
                                                this.f = r5;
                                                this.k = r6;
                                                this.l = r7;
                                                this.m = r8;
                                            }

                                            public final void run() {
                                                if (SystemClock.elapsedRealtime() - this.i > ((long) (this.j * 1000))) {
                                                    this.f.sendEmptyMessage(1);
                                                    return;
                                                }
                                                try {
                                                    b.a(b.this, this.k, this.l);
                                                } catch (Throwable th) {
                                                    f.a("collect ", th);
                                                }
                                                this.f.postDelayed(this, (long) (this.m * 1000));
                                            }
                                        });
                                    } catch (Throwable th) {
                                        r32.sendEmptyMessage(1);
                                    }
                                }
                            });
                            b.this.b = true;
                        }
                    } catch (Throwable th) {
                        f.a("collect ", th);
                    }
                }
            });
        }
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final void onActivityStarted(Activity activity) {
        if (!this.v || activity == null) {
            return;
        }
        if (this.A) {
            this.A = false;
            return;
        }
        int i = this.z + 1;
        this.z = i;
        if (i == 1) {
            this.y = true;
        }
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final void onActivityResumed(Activity activity) {
        if (this.v) {
            this.x = new WeakReference<>(activity);
        }
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final void onActivityStopped(Activity activity) {
        if (!this.v || activity == null) {
            return;
        }
        if (activity.isChangingConfigurations()) {
            this.A = true;
            return;
        }
        int i = this.z - 1;
        this.z = i;
        if (i == 0) {
            this.y = false;
        }
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final boolean isForeground() {
        return this.y;
    }

    @Override // com.efs.sdk.memoryinfo.UMMemoryMonitorApi
    public final String getCurrentActivity() {
        Activity activity;
        WeakReference<Activity> weakReference = this.x;
        if (weakReference == null || (activity = weakReference.get()) == null) {
            return "";
        }
        return activity.getClass().getName();
    }
}
