package com.getui.gtc;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import android.text.TextUtils;
import android.util.Base64;
import com.getui.gtc.api.GtcIdCallback;
import com.getui.gtc.api.GtcManager;
import com.getui.gtc.api.SdkInfo;
import com.getui.gtc.b.b;
import com.getui.gtc.base.util.ScheduleQueue;
import com.getui.gtc.i.c.a;

@Deprecated
public class GtcService extends Service {
    public IBinder onBind(Intent intent) {
        a.a("GtcService onBind");
        return null;
    }

    public void onCreate() {
        a.a("GtcService onCreated");
        super.onCreate();
    }

    public void onDestroy() {
        a.a("GtcService onDestroy");
        super.onDestroy();
    }

    public int onStartCommand(final Intent intent, int i, int i2) {
        try {
            ScheduleQueue.getInstance().addSchedule(new Runnable() {
                /* class com.getui.gtc.GtcService.AnonymousClass1 */

                public final void run() {
                    Context applicationContext = GtcService.this.getApplicationContext();
                    Intent intent = intent;
                    if (intent != null && intent.hasExtra("10010")) {
                        String str = new String(Base64.decode(intent.getByteArrayExtra("10010"), 0));
                        int b2 = b.b(str);
                        GtcManager.getInstance().init(applicationContext, new GtcIdCallback.Stub(applicationContext, b.a(str), b2, b.c(str)) {
                            /* class com.getui.gtc.b.b.AnonymousClass1 */
                            final /* synthetic */ Context a;
                            final /* synthetic */ String b;
                            final /* synthetic */ int c;
                            final /* synthetic */ String d;

                            {
                                this.a = r1;
                                this.b = r2;
                                this.c = r3;
                                this.d = r4;
                            }

                            @Override // com.getui.gtc.api.GtcIdCallback
                            public final void onFailure(String str) {
                            }

                            @Override // com.getui.gtc.api.GtcIdCallback
                            public final void onSuccess(String str) {
                                Context context = this.a;
                                try {
                                    if (!TextUtils.isEmpty(str)) {
                                        Intent intent = new Intent();
                                        intent.setAction(context.getPackageName());
                                        intent.putExtra("gicid", str);
                                        context.sendBroadcast(intent);
                                    } else {
                                        a.a("send cid broadcast fail,cid is null");
                                    }
                                } catch (Exception e) {
                                    a.c(e);
                                }
                                Context context2 = this.a;
                                String str2 = this.b;
                                try {
                                    if (!TextUtils.isEmpty(str)) {
                                        Intent intent2 = new Intent();
                                        intent2.setPackage(context2.getPackageName());
                                        intent2.setAction(str2);
                                        intent2.putExtra("gicid", str);
                                        context2.sendBroadcast(intent2);
                                    } else {
                                        a.a("send gicid broadcast fail,cid is null");
                                    }
                                } catch (Exception e2) {
                                    a.c(e2);
                                }
                                GtcManager instance = GtcManager.getInstance();
                                SdkInfo.Builder builder = new SdkInfo.Builder();
                                instance.loadSdk(builder.moduleName("SDKID:" + this.c).appid(this.d).version(this.b).cid(str).build());
                            }
                        });
                    }
                }
            });
            return 2;
        } catch (Throwable th) {
            a.a(th);
            return 2;
        }
    }
}
