package com.getui.gtc.dim.e;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Parcel;
import android.os.Parcelable;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Base64;
import com.getui.gtc.base.GtcProvider;
import com.getui.gtc.base.util.io.IOUtils;
import com.taobao.weex.el.parse.Operators;
import com.xiaomi.mipush.sdk.Constants;
import java.io.BufferedReader;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.lang.reflect.Method;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public final class c {
    public static Object a(int i, String str, Context context) {
        try {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            if (telephonyManager == null || i < 0) {
                return null;
            }
            return telephonyManager.getClass().getMethod(str, c(str)).invoke(telephonyManager, Integer.valueOf(i));
        } catch (Throwable th) {
            b.a(th);
            return null;
        }
    }

    public static Object a(byte[] bArr) throws Exception {
        byte b = bArr[0];
        byte[] bArr2 = new byte[(bArr.length - 1)];
        System.arraycopy(bArr, 1, bArr2, 0, bArr.length - 1);
        if (b == 0) {
            return b(bArr2);
        }
        if (b == 1) {
            Object c = c(bArr2);
            return c instanceof com.getui.gtc.dim.d.c ? ((com.getui.gtc.dim.d.c) c).getParcelables() : c;
        }
        throw new RuntimeException("bytesToObject failed, invalid type");
    }

    public static Process a(String str) throws Throwable {
        Class<?> cls = Class.forName(new String(Base64.decode("amF2YS5sYW5nLlJ1bnRpbWU=", 0)));
        Method declaredMethod = cls.getDeclaredMethod(new String(Base64.decode("Z2V0UnVudGltZQ==", 0)), new Class[0]);
        declaredMethod.setAccessible(true);
        Object invoke = declaredMethod.invoke(null, new Object[0]);
        Method declaredMethod2 = cls.getDeclaredMethod(new String(Base64.decode("ZXhlYw==", 0)), String.class);
        declaredMethod2.setAccessible(true);
        return (Process) declaredMethod2.invoke(invoke, str);
    }

    public static String a(String str, String str2) {
        try {
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(a("getprop" + Operators.SPACE_STR + str).getInputStream()));
            String str3 = "";
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine == null) {
                    return str3;
                }
                str3 = str3 + readLine;
            }
        } catch (Throwable th) {
            return str2;
        }
    }

    public static void a(Context context, String str, boolean z) {
        try {
            z = context.getPackageManager().checkPermission(str, context.getPackageName()) == 0;
        } catch (Throwable th) {
            b.a(th);
        }
        if (!z) {
            throw new IllegalStateException("permission " + str + " not granted");
        }
    }

    public static boolean a(Context context) {
        try {
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.isAvailable();
        } catch (Throwable th) {
            b.a(th);
            return false;
        }
    }

    public static boolean a(Context context, String str) {
        try {
            return context.getPackageManager().checkPermission(str, context.getPackageName()) == 0;
        } catch (Throwable th) {
            b.a(th);
            return true;
        }
    }

    public static boolean a(Object obj) {
        if (obj == null) {
            return false;
        }
        return obj instanceof CharSequence ? !TextUtils.isEmpty((CharSequence) obj) : obj instanceof Collection ? ((Collection) obj).size() > 0 : !(obj instanceof Map) || ((Map) obj).size() > 0;
    }

    public static boolean a(byte[] bArr, File file) throws Exception {
        Throwable th;
        if (bArr == null) {
            return false;
        }
        FileOutputStream fileOutputStream = null;
        try {
            ByteArrayInputStream byteArrayInputStream = new ByteArrayInputStream(bArr);
            FileOutputStream fileOutputStream2 = new FileOutputStream(file);
            try {
                byte[] bArr2 = new byte[521];
                while (true) {
                    int read = byteArrayInputStream.read(bArr2);
                    if (read != -1) {
                        fileOutputStream2.write(bArr2, 0, read);
                    } else {
                        fileOutputStream2.flush();
                        IOUtils.safeClose(fileOutputStream2);
                        return true;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                fileOutputStream = fileOutputStream2;
                IOUtils.safeClose(fileOutputStream);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            IOUtils.safeClose(fileOutputStream);
            throw th;
        }
    }

    private static byte[] a(Parcelable parcelable) {
        Parcel obtain = Parcel.obtain();
        try {
            obtain.writeParcelable(parcelable, 0);
            byte[] marshall = obtain.marshall();
            byte[] bArr = new byte[(marshall.length + 1)];
            bArr[0] = 1;
            System.arraycopy(marshall, 0, bArr, 1, marshall.length);
            return bArr;
        } finally {
            obtain.recycle();
        }
    }

    public static byte[] a(File file) throws Exception {
        Throwable th;
        FileInputStream fileInputStream = null;
        try {
            FileInputStream fileInputStream2 = new FileInputStream(file);
            try {
                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                byte[] bArr = new byte[521];
                while (true) {
                    int read = fileInputStream2.read(bArr);
                    if (read != -1) {
                        byteArrayOutputStream.write(bArr, 0, read);
                    } else {
                        byteArrayOutputStream.flush();
                        byte[] byteArray = byteArrayOutputStream.toByteArray();
                        IOUtils.safeClose(fileInputStream2);
                        return byteArray;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                fileInputStream = fileInputStream2;
                IOUtils.safeClose(fileInputStream);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            IOUtils.safeClose(fileInputStream);
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x002d A[SYNTHETIC, Splitter:B:13:0x002d] */
    private static byte[] a(Serializable serializable) throws IOException {
        Throwable th;
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        ObjectOutputStream objectOutputStream = null;
        try {
            ObjectOutputStream objectOutputStream2 = new ObjectOutputStream(byteArrayOutputStream);
            try {
                objectOutputStream2.writeObject(serializable);
                objectOutputStream2.flush();
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                byte[] bArr = new byte[(byteArray.length + 1)];
                bArr[0] = 0;
                System.arraycopy(byteArray, 0, bArr, 1, byteArray.length);
                try {
                    objectOutputStream2.close();
                } catch (Throwable th2) {
                }
                return bArr;
            } catch (Throwable th3) {
                th = th3;
                objectOutputStream = objectOutputStream2;
                if (objectOutputStream != null) {
                    try {
                        objectOutputStream.close();
                    } catch (Throwable th4) {
                    }
                }
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            if (objectOutputStream != null) {
            }
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x001e A[SYNTHETIC, Splitter:B:15:0x001e] */
    private static Object b(byte[] bArr) {
        ObjectInputStream objectInputStream;
        Throwable th;
        try {
            objectInputStream = new ObjectInputStream(new ByteArrayInputStream(bArr));
            try {
                Object readObject = objectInputStream.readObject();
                try {
                    objectInputStream.close();
                } catch (Throwable th2) {
                }
                return readObject;
            } catch (Throwable th3) {
                th = th3;
                try {
                    b.a(th);
                    if (objectInputStream != null) {
                        try {
                            objectInputStream.close();
                        } catch (Throwable th4) {
                        }
                    }
                    return null;
                } catch (Throwable th5) {
                }
            }
        } catch (Throwable th6) {
            th = th6;
            objectInputStream = null;
            b.a(th);
            if (objectInputStream != null) {
            }
            return null;
        }
        throw th;
    }

    /* JADX WARNING: Removed duplicated region for block: B:60:0x00aa A[SYNTHETIC, Splitter:B:60:0x00aa] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00b4  */
    public static String b(String str) {
        Throwable th;
        Process process;
        Throwable th2;
        if (TextUtils.isEmpty(str) || "0.0.0.0".equalsIgnoreCase(str)) {
            return "";
        }
        BufferedReader bufferedReader = null;
        try {
            process = a(new String(Base64.decode("aXAgbmVpZ2hib3Vy", 0)));
            try {
                BufferedReader bufferedReader2 = new BufferedReader(new InputStreamReader(process.getInputStream()));
                int i = 0;
                while (true) {
                    try {
                        String readLine = bufferedReader2.readLine();
                        if (readLine != null) {
                            try {
                                if ((readLine.contains("192.168") || readLine.contains("wlan0")) && !readLine.contains("FAILED")) {
                                    String[] split = readLine.split(" +");
                                    if (split.length < 6) {
                                        continue;
                                    } else {
                                        int i2 = i + 1;
                                        if (i <= 256) {
                                            try {
                                                String replaceAll = split[4].replaceAll(Constants.COLON_SEPARATOR, "");
                                                if (str.equalsIgnoreCase(split[0])) {
                                                    try {
                                                        bufferedReader2.close();
                                                    } catch (IOException e) {
                                                        b.a(e);
                                                    }
                                                    if (process != null) {
                                                        try {
                                                            process.destroy();
                                                        } catch (Throwable th3) {
                                                            b.a(th3);
                                                        }
                                                    }
                                                    return replaceAll;
                                                }
                                                i = i2;
                                            } catch (Throwable th4) {
                                                th2 = th4;
                                                i = i2;
                                                b.a(th2);
                                            }
                                        }
                                    }
                                }
                            } catch (Throwable th5) {
                                th2 = th5;
                                b.a(th2);
                            }
                        }
                        try {
                            bufferedReader2.close();
                        } catch (IOException e2) {
                            b.a(e2);
                        }
                        if (process != null) {
                            try {
                                process.destroy();
                            } catch (Throwable th6) {
                                b.a(th6);
                            }
                        }
                    } catch (Throwable th7) {
                        th = th7;
                        bufferedReader = bufferedReader2;
                        try {
                            b.a(th);
                            if (bufferedReader != null) {
                            }
                            if (process != null) {
                            }
                            return "";
                        } catch (Throwable th8) {
                            b.a(th8);
                        }
                    }
                }
            } catch (Throwable th9) {
                th = th9;
                b.a(th);
                if (bufferedReader != null) {
                    try {
                        bufferedReader.close();
                    } catch (IOException e3) {
                        b.a(e3);
                    }
                }
                if (process != null) {
                    process.destroy();
                }
                return "";
            }
        } catch (Throwable th10) {
            th = th10;
            process = null;
            b.a(th);
            if (bufferedReader != null) {
            }
            if (process != null) {
            }
            return "";
        }
        return "";
        throw th;
    }

    public static boolean b(Context context) {
        try {
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.getType() == 0;
        } catch (Throwable th) {
            b.a(th);
            return false;
        }
    }

    public static byte[] b(Object obj) throws Exception {
        if (obj instanceof Parcelable) {
            return a((Parcelable) obj);
        }
        if (obj instanceof List) {
            List list = (List) obj;
            if (list.get(0) instanceof Parcelable) {
                return a((Parcelable) new com.getui.gtc.dim.d.c(list));
            }
        }
        if (obj instanceof Serializable) {
            return a((Serializable) obj);
        }
        throw new IllegalArgumentException("objectToBytes failed, object type is not support: " + obj.getClass().getName());
    }

    private static Object c(byte[] bArr) {
        Parcel obtain = Parcel.obtain();
        try {
            obtain.unmarshall(bArr, 0, bArr.length);
            obtain.setDataPosition(0);
            return obtain.readParcelable(GtcProvider.context().getClassLoader());
        } finally {
            obtain.recycle();
        }
    }

    public static boolean c(Context context) {
        try {
            NetworkInfo activeNetworkInfo = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.getType() == 1;
        } catch (Throwable th) {
            b.a(th);
            return false;
        }
    }

    private static Class<?>[] c(String str) {
        Class<?>[] clsArr = null;
        try {
            Method[] declaredMethods = TelephonyManager.class.getDeclaredMethods();
            for (Method method : declaredMethods) {
                if (str.equals(method.getName())) {
                    clsArr = method.getParameterTypes();
                    if (clsArr.length > 0) {
                        break;
                    }
                }
            }
        } catch (Throwable th) {
            b.a(th);
        }
        return clsArr;
    }
}
