package com.getui.gtc.e;

import android.content.ContentValues;
import android.database.Cursor;
import android.text.TextUtils;
import android.util.Base64;
import com.getui.gtc.base.crypt.SecureCryptTools;
import com.getui.gtc.base.db.AbstractTable;
import com.getui.gtc.i.c.a;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashSet;
import java.util.Set;
import org.json.JSONObject;

public class d extends AbstractTable {
    public String a;
    public long b;
    public String c;
    public String d;
    public String e;
    public String f;
    public String g;
    public String h;
    public long i;
    public long j;
    public long k;
    public final Set<String> l = new HashSet();

    private String a(int i2) {
        Cursor cursor = null;
        try {
            cursor = getReadableDatabase().query("r", new String[]{"a", "b"}, "a=?", new String[]{String.valueOf(i2)}, null, null, null);
            if (cursor == null || !cursor.moveToNext()) {
                if (cursor == null) {
                    return "";
                }
                cursor.close();
                return "";
            }
            String string = cursor.getString(1);
            if (cursor != null) {
                cursor.close();
            }
            return string;
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.close();
            }
            throw th;
        }
    }

    public final JSONObject a() {
        try {
            String a2 = a(18);
            if (TextUtils.isEmpty(a2)) {
                return null;
            }
            return new JSONObject(new String(SecureCryptTools.getInstance().decrypt(Base64.decode(a2, 0))));
        } catch (Throwable th) {
            a.b(th);
            return null;
        }
    }

    public final void a(String str) {
        if (a(10, str)) {
            this.e = str;
        }
    }

    public final void a(Collection<String> collection) {
        if (collection.size() > 0) {
            ArrayList arrayList = new ArrayList(this.l);
            arrayList.addAll(collection);
            StringBuilder sb = new StringBuilder();
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                sb.append((String) arrayList.get(i2));
                if (i2 < size - 1) {
                    sb.append(",");
                }
            }
            if (a(8, sb.toString())) {
                this.l.addAll(collection);
            }
        }
    }

    public final void a(JSONObject jSONObject) {
        if (jSONObject != null) {
            try {
                if (jSONObject.length() != 0) {
                    a(18, Base64.encodeToString(SecureCryptTools.getInstance().encrypt(jSONObject.toString().getBytes()), 0));
                    return;
                }
            } catch (Throwable th) {
                a.b(th);
                return;
            }
        }
        a(18, "");
    }

    public final boolean a(int i2, long j2) {
        ContentValues contentValues = new ContentValues();
        contentValues.put("a", Integer.valueOf(i2));
        contentValues.put("b", Long.valueOf(j2));
        return replace(null, contentValues) != -1;
    }

    public final boolean a(int i2, String str) {
        ContentValues contentValues = new ContentValues();
        contentValues.put("a", Integer.valueOf(i2));
        contentValues.put("b", str);
        return replace(null, contentValues) != -1;
    }

    public final JSONObject b() {
        try {
            String a2 = a(17);
            if (!TextUtils.isEmpty(a2)) {
                return new JSONObject(new String(SecureCryptTools.getInstance().decrypt(Base64.decode(a2, 0))));
            }
        } catch (Throwable th) {
            a.b(th);
        }
        return new JSONObject();
    }

    public final void b(String str) {
        try {
            if (a(11, Base64.encodeToString(SecureCryptTools.getInstance().encrypt(str.getBytes()), 0))) {
                this.f = str;
            }
        } catch (Throwable th) {
            a.b(th);
        }
    }

    public final void b(JSONObject jSONObject) {
        try {
            a(17, Base64.encodeToString(SecureCryptTools.getInstance().encrypt(jSONObject.toString().getBytes()), 0));
        } catch (Throwable th) {
            a.b(th);
        }
    }

    public final void c(String str) {
        try {
            if (a(12, Base64.encodeToString(SecureCryptTools.getInstance().encrypt(str.getBytes()), 0))) {
                this.g = str;
            }
        } catch (Throwable th) {
            a.b(th);
        }
    }

    @Override // com.getui.gtc.base.db.AbstractTable
    public String createSql() {
        return "CREATE TABLE IF NOT EXISTS r (a TEXT PRIMARY KEY, b TEXT)";
    }

    public final void d(String str) {
        if (a(7, str)) {
            this.a = str;
        }
    }

    public final void e(String str) {
        if (!TextUtils.isEmpty(str) && this.l.contains(str)) {
            ArrayList arrayList = new ArrayList(this.l);
            arrayList.remove(str);
            StringBuilder sb = new StringBuilder();
            int size = arrayList.size();
            for (int i2 = 0; i2 < size; i2++) {
                sb.append((String) arrayList.get(i2));
                if (i2 < size - 1) {
                    sb.append(",");
                }
            }
            if (a(8, sb.toString())) {
                this.l.remove(str);
            }
        }
    }

    @Override // com.getui.gtc.base.db.AbstractTable
    public String getTableName() {
        return "r";
    }

    @Override // com.getui.gtc.base.db.AbstractTable
    public void initCache() {
        Cursor cursor = null;
        try {
            Cursor query = getReadableDatabase().query("r", new String[]{"a", "b"}, null, null, null, null, null);
            if (query != null) {
                while (query.moveToNext()) {
                    switch (query.getInt(0)) {
                        case 4:
                            this.c = query.getString(1);
                            continue;
                        case 5:
                        default:
                            continue;
                        case 6:
                            this.b = query.getLong(1);
                            continue;
                        case 7:
                            this.a = query.getString(1);
                            continue;
                        case 8:
                            String string = query.getString(1);
                            if (!TextUtils.isEmpty(string)) {
                                this.l.addAll(Arrays.asList(string.split(",")));
                            } else {
                                continue;
                            }
                        case 9:
                            this.d = query.getString(1);
                            continue;
                        case 10:
                            this.e = query.getString(1);
                            continue;
                        case 11:
                            try {
                                String string2 = query.getString(1);
                                if (!TextUtils.isEmpty(string2)) {
                                    this.f = new String(SecureCryptTools.getInstance().decrypt(Base64.decode(string2, 0)));
                                } else {
                                    continue;
                                }
                            } catch (Throwable th) {
                                th = th;
                                break;
                            }
                        case 12:
                            try {
                                String string3 = query.getString(1);
                                if (!TextUtils.isEmpty(string3)) {
                                    this.g = new String(SecureCryptTools.getInstance().decrypt(Base64.decode(string3, 0)));
                                } else {
                                    continue;
                                }
                            } catch (Throwable th2) {
                                th = th2;
                                break;
                            }
                        case 13:
                            try {
                                String string4 = query.getString(1);
                                if (!TextUtils.isEmpty(string4)) {
                                    this.h = new String(SecureCryptTools.getInstance().decrypt(Base64.decode(string4, 0)));
                                } else {
                                    continue;
                                }
                            } catch (Throwable th3) {
                                th = th3;
                                break;
                            }
                        case 14:
                            this.i = query.getLong(1);
                            continue;
                        case 15:
                            this.j = query.getLong(1);
                            continue;
                        case 16:
                            this.k = query.getLong(1);
                            continue;
                    }
                    a.b(th);
                }
            }
            if (query != null) {
                query.close();
            }
        } catch (Exception e2) {
            a.a(e2);
            if (0 != 0) {
                cursor.close();
            }
        } catch (Throwable th4) {
            if (0 != 0) {
                cursor.close();
            }
            throw th4;
        }
    }
}
