package com.google.android.exoplayer2.d.a;

import android.util.Pair;
import com.google.android.exoplayer2.d.a.d;
import com.google.android.exoplayer2.d.n;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.b;
import com.google.android.exoplayer2.j.k;
import com.tencent.ugc.TXRecordCommon;
import java.util.Collections;
import java.util.List;
import net.ossrs.yasea.SrsFlvMuxer;

/* compiled from: AudioTagPayloadReader */
final class a extends d {
    private static final int[] b = {SrsFlvMuxer.SrsCodecAudioSampleRate.R5512, SrsFlvMuxer.SrsCodecAudioSampleRate.R11025, SrsFlvMuxer.SrsCodecAudioSampleRate.R22050, 44100};
    private boolean c;
    private boolean d;
    private int e;

    public a(n nVar) {
        super(nVar);
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.d.a.d
    public boolean a(k kVar) throws d.a {
        if (!this.c) {
            int g = kVar.g();
            int i = (g >> 4) & 15;
            this.e = i;
            if (i == 2) {
                this.a.a(j.a(null, "audio/mpeg", null, -1, -1, 1, b[(g >> 2) & 3], null, null, 0, null));
                this.d = true;
            } else if (i == 7 || i == 8) {
                this.a.a(j.a((String) null, this.e == 7 ? "audio/g711-alaw" : "audio/g711-mlaw", (String) null, -1, -1, 1, (int) TXRecordCommon.AUDIO_SAMPLERATE_8000, (g & 1) == 1 ? 2 : 3, (List<byte[]>) null, (com.google.android.exoplayer2.c.a) null, 0, (String) null));
                this.d = true;
            } else if (i != 10) {
                throw new d.a("Audio format not supported: " + this.e);
            }
            this.c = true;
        } else {
            kVar.d(1);
        }
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.d.a.d
    public void a(k kVar, long j) {
        if (this.e == 2) {
            int b2 = kVar.b();
            this.a.a(kVar, b2);
            this.a.a(j, 1, b2, 0, null);
            return;
        }
        int g = kVar.g();
        if (g == 0 && !this.d) {
            int b3 = kVar.b();
            byte[] bArr = new byte[b3];
            kVar.a(bArr, 0, b3);
            Pair<Integer, Integer> a = b.a(bArr);
            this.a.a(j.a(null, "audio/mp4a-latm", null, -1, -1, ((Integer) a.second).intValue(), ((Integer) a.first).intValue(), Collections.singletonList(bArr), null, 0, null));
            this.d = true;
        } else if (this.e != 10 || g == 1) {
            int b4 = kVar.b();
            this.a.a(kVar, b4);
            this.a.a(j, 1, b4, 0, null);
        }
    }
}
