package com.google.android.exoplayer2.g.e;

import android.text.SpannableStringBuilder;
import android.text.style.ForegroundColorSpan;
import android.text.style.StyleSpan;
import android.text.style.TypefaceSpan;
import android.text.style.UnderlineSpan;
import com.google.android.exoplayer2.g.b;
import com.google.android.exoplayer2.g.d;
import com.google.android.exoplayer2.g.f;
import com.google.android.exoplayer2.j.k;
import com.google.android.exoplayer2.j.t;
import io.dcloud.common.DHInterface.IApp;
import java.nio.charset.Charset;
import java.util.List;
import org.mozilla.universalchardet.prober.HebrewProber;

/* compiled from: Tx3gDecoder */
public final class a extends b {
    private static final int a = t.g("styl");
    private static final int b = t.g("tbox");
    private final k c = new k();
    private boolean d;
    private int e;
    private int f;
    private String g;
    private float h;
    private int i;

    public a(List<byte[]> list) {
        super("Tx3gDecoder");
        a(list);
    }

    private void a(List<byte[]> list) {
        String str = "sans-serif";
        boolean z = false;
        if (list != null && list.size() == 1 && (list.get(0).length == 48 || list.get(0).length == 53)) {
            byte[] bArr = list.get(0);
            this.e = bArr[24];
            this.f = ((bArr[26] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) << 24) | ((bArr[27] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) << 16) | ((bArr[28] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) << 8) | (bArr[29] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE);
            if ("Serif".equals(new String(bArr, 43, bArr.length - 43))) {
                str = "serif";
            }
            this.g = str;
            this.i = bArr[25] * 20;
            if ((bArr[0] & HebrewProber.SPACE) != 0) {
                z = true;
            }
            this.d = z;
            if (z) {
                float f2 = ((float) ((bArr[11] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) | ((bArr[10] & IApp.ABS_PRIVATE_WWW_DIR_APP_MODE) << 8))) / ((float) this.i);
                this.h = f2;
                this.h = t.a(f2, 0.0f, 0.95f);
                return;
            }
            this.h = 0.85f;
            return;
        }
        this.e = 0;
        this.f = -1;
        this.g = str;
        this.d = false;
        this.h = 0.85f;
    }

    /* access modifiers changed from: protected */
    @Override // com.google.android.exoplayer2.g.b
    public d a(byte[] bArr, int i2, boolean z) throws f {
        this.c.a(bArr, i2);
        String a2 = a(this.c);
        if (a2.isEmpty()) {
            return b.a;
        }
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder(a2);
        a(spannableStringBuilder, this.e, 0, 0, spannableStringBuilder.length(), 16711680);
        b(spannableStringBuilder, this.f, -1, 0, spannableStringBuilder.length(), 16711680);
        a(spannableStringBuilder, this.g, "sans-serif", 0, spannableStringBuilder.length(), 16711680);
        float f2 = this.h;
        while (this.c.b() >= 8) {
            int d2 = this.c.d();
            int n = this.c.n();
            int n2 = this.c.n();
            boolean z2 = true;
            if (n2 == a) {
                if (this.c.b() < 2) {
                    z2 = false;
                }
                a(z2);
                int h2 = this.c.h();
                for (int i3 = 0; i3 < h2; i3++) {
                    a(this.c, spannableStringBuilder);
                }
            } else if (n2 == b && this.d) {
                if (this.c.b() < 2) {
                    z2 = false;
                }
                a(z2);
                f2 = t.a(((float) this.c.h()) / ((float) this.i), 0.0f, 0.95f);
            }
            this.c.c(d2 + n);
        }
        return new b(new com.google.android.exoplayer2.g.a(spannableStringBuilder, null, f2, 0, 0, Float.MIN_VALUE, Integer.MIN_VALUE, Float.MIN_VALUE));
    }

    private static String a(k kVar) throws f {
        char f2;
        a(kVar.b() >= 2);
        int h2 = kVar.h();
        if (h2 == 0) {
            return "";
        }
        if (kVar.b() < 2 || ((f2 = kVar.f()) != 65279 && f2 != 65534)) {
            return kVar.a(h2, Charset.forName("UTF-8"));
        }
        return kVar.a(h2, Charset.forName("UTF-16"));
    }

    private void a(k kVar, SpannableStringBuilder spannableStringBuilder) throws f {
        a(kVar.b() >= 12);
        int h2 = kVar.h();
        int h3 = kVar.h();
        kVar.d(2);
        int g2 = kVar.g();
        kVar.d(1);
        int n = kVar.n();
        a(spannableStringBuilder, g2, this.e, h2, h3, 0);
        b(spannableStringBuilder, n, this.f, h2, h3, 0);
    }

    private static void a(SpannableStringBuilder spannableStringBuilder, int i2, int i3, int i4, int i5, int i6) {
        if (i2 != i3) {
            int i7 = i6 | 33;
            boolean z = true;
            boolean z2 = (i2 & 1) != 0;
            boolean z3 = (i2 & 2) != 0;
            if (z2) {
                if (z3) {
                    spannableStringBuilder.setSpan(new StyleSpan(3), i4, i5, i7);
                } else {
                    spannableStringBuilder.setSpan(new StyleSpan(1), i4, i5, i7);
                }
            } else if (z3) {
                spannableStringBuilder.setSpan(new StyleSpan(2), i4, i5, i7);
            }
            if ((i2 & 4) == 0) {
                z = false;
            }
            if (z) {
                spannableStringBuilder.setSpan(new UnderlineSpan(), i4, i5, i7);
            }
            if (!z && !z2 && !z3) {
                spannableStringBuilder.setSpan(new StyleSpan(0), i4, i5, i7);
            }
        }
    }

    private static void b(SpannableStringBuilder spannableStringBuilder, int i2, int i3, int i4, int i5, int i6) {
        if (i2 != i3) {
            spannableStringBuilder.setSpan(new ForegroundColorSpan((i2 >>> 8) | ((i2 & 255) << 24)), i4, i5, i6 | 33);
        }
    }

    private static void a(SpannableStringBuilder spannableStringBuilder, String str, String str2, int i2, int i3, int i4) {
        if (str != str2) {
            spannableStringBuilder.setSpan(new TypefaceSpan(str), i2, i3, i4 | 33);
        }
    }

    private static void a(boolean z) throws f {
        if (!z) {
            throw new f("Unexpected subtitle format.");
        }
    }
}
