package com.google.android.exoplayer2.g.f;

import android.text.TextUtils;
import com.alipay.sdk.m.u.i;
import com.google.android.exoplayer2.j.c;
import com.google.android.exoplayer2.j.k;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import com.taobao.weex.utils.TypefaceUtil;
import com.xiaomi.mipush.sdk.Constants;
import java.util.Arrays;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/* compiled from: CssParser */
final class a {
    private static final Pattern a = Pattern.compile("\\[voice=\"([^\"]*)\"\\]");
    private final k b = new k();
    private final StringBuilder c = new StringBuilder();

    public d a(k kVar) {
        this.c.setLength(0);
        int d = kVar.d();
        c(kVar);
        this.b.a(kVar.a, kVar.d());
        this.b.c(d);
        String b2 = b(this.b, this.c);
        if (b2 == null || !Operators.BLOCK_START_STR.equals(a(this.b, this.c))) {
            return null;
        }
        d dVar = new d();
        a(dVar, b2);
        String str = null;
        boolean z = false;
        while (!z) {
            int d2 = this.b.d();
            str = a(this.b, this.c);
            boolean z2 = str == null || "}".equals(str);
            if (!z2) {
                this.b.c(d2);
                a(this.b, dVar, this.c);
            }
            z = z2;
        }
        if ("}".equals(str)) {
            return dVar;
        }
        return null;
    }

    private static String b(k kVar, StringBuilder sb) {
        String str;
        b(kVar);
        if (kVar.b() < 5 || !"::cue".equals(kVar.e(5))) {
            return null;
        }
        int d = kVar.d();
        String a2 = a(kVar, sb);
        if (a2 == null) {
            return null;
        }
        if (Operators.BLOCK_START_STR.equals(a2)) {
            kVar.c(d);
            return "";
        }
        if (Operators.BRACKET_START_STR.equals(a2)) {
            str = d(kVar);
        } else {
            str = null;
        }
        String a3 = a(kVar, sb);
        if (!Operators.BRACKET_END_STR.equals(a3) || a3 == null) {
            return null;
        }
        return str;
    }

    private static String d(k kVar) {
        int d = kVar.d();
        int c2 = kVar.c();
        boolean z = false;
        while (d < c2 && !z) {
            int i = d + 1;
            z = ((char) kVar.a[d]) == ')';
            d = i;
        }
        return kVar.e((d - 1) - kVar.d()).trim();
    }

    private static void a(k kVar, d dVar, StringBuilder sb) {
        b(kVar);
        String d = d(kVar, sb);
        if (!"".equals(d) && Constants.COLON_SEPARATOR.equals(a(kVar, sb))) {
            b(kVar);
            String c2 = c(kVar, sb);
            if (c2 != null && !"".equals(c2)) {
                int d2 = kVar.d();
                String a2 = a(kVar, sb);
                if (!i.b.equals(a2)) {
                    if ("}".equals(a2)) {
                        kVar.c(d2);
                    } else {
                        return;
                    }
                }
                if ("color".equals(d)) {
                    dVar.a(c.b(c2));
                } else if ("background-color".equals(d)) {
                    dVar.b(c.b(c2));
                } else if ("text-decoration".equals(d)) {
                    if ("underline".equals(c2)) {
                        dVar.a(true);
                    }
                } else if (TypefaceUtil.FONT_CACHE_DIR_NAME.equals(d)) {
                    dVar.d(c2);
                } else if ("font-weight".equals(d)) {
                    if (Constants.Value.BOLD.equals(c2)) {
                        dVar.b(true);
                    }
                } else if ("font-style".equals(d) && Constants.Value.ITALIC.equals(c2)) {
                    dVar.c(true);
                }
            }
        }
    }

    static void b(k kVar) {
        boolean z = true;
        while (kVar.b() > 0 && z) {
            z = e(kVar) || f(kVar);
        }
    }

    static String a(k kVar, StringBuilder sb) {
        b(kVar);
        if (kVar.b() == 0) {
            return null;
        }
        String d = d(kVar, sb);
        if (!"".equals(d)) {
            return d;
        }
        return "" + ((char) kVar.g());
    }

    private static boolean e(k kVar) {
        char a2 = a(kVar, kVar.d());
        if (a2 != '\t' && a2 != '\n' && a2 != '\f' && a2 != '\r' && a2 != ' ') {
            return false;
        }
        kVar.d(1);
        return true;
    }

    static void c(k kVar) {
        do {
        } while (!TextUtils.isEmpty(kVar.y()));
    }

    private static char a(k kVar, int i) {
        return (char) kVar.a[i];
    }

    private static String c(k kVar, StringBuilder sb) {
        StringBuilder sb2 = new StringBuilder();
        boolean z = false;
        while (!z) {
            int d = kVar.d();
            String a2 = a(kVar, sb);
            if (a2 == null) {
                return null;
            }
            if ("}".equals(a2) || i.b.equals(a2)) {
                kVar.c(d);
                z = true;
            } else {
                sb2.append(a2);
            }
        }
        return sb2.toString();
    }

    private static boolean f(k kVar) {
        int d = kVar.d();
        int c2 = kVar.c();
        byte[] bArr = kVar.a;
        if (d + 2 > c2) {
            return false;
        }
        int i = d + 1;
        if (bArr[d] != 47) {
            return false;
        }
        int i2 = i + 1;
        if (bArr[i] != 42) {
            return false;
        }
        while (true) {
            int i3 = i2 + 1;
            if (i3 >= c2) {
                kVar.d(c2 - kVar.d());
                return true;
            } else if (((char) bArr[i2]) == '*' && ((char) bArr[i3]) == '/') {
                i2 = i3 + 1;
                c2 = i2;
            } else {
                i2 = i3;
            }
        }
    }

    private static String d(k kVar, StringBuilder sb) {
        boolean z = false;
        sb.setLength(0);
        int d = kVar.d();
        int c2 = kVar.c();
        while (d < c2 && !z) {
            char c3 = (char) kVar.a[d];
            if ((c3 < 'A' || c3 > 'Z') && ((c3 < 'a' || c3 > 'z') && !((c3 >= '0' && c3 <= '9') || c3 == '#' || c3 == '-' || c3 == '.' || c3 == '_'))) {
                z = true;
            } else {
                d++;
                sb.append(c3);
            }
        }
        kVar.d(d - kVar.d());
        return sb.toString();
    }

    private void a(d dVar, String str) {
        if (!"".equals(str)) {
            int indexOf = str.indexOf(91);
            if (indexOf != -1) {
                Matcher matcher = a.matcher(str.substring(indexOf));
                if (matcher.matches()) {
                    dVar.c(matcher.group(1));
                }
                str = str.substring(0, indexOf);
            }
            String[] split = str.split("\\.");
            String str2 = split[0];
            int indexOf2 = str2.indexOf(35);
            if (indexOf2 != -1) {
                dVar.b(str2.substring(0, indexOf2));
                dVar.a(str2.substring(indexOf2 + 1));
            } else {
                dVar.b(str2);
            }
            if (split.length > 1) {
                dVar.a((String[]) Arrays.copyOfRange(split, 1, split.length));
            }
        }
    }
}
