package com.google.android.exoplayer2.h;

import android.util.SparseArray;
import android.util.SparseBooleanArray;
import com.google.android.exoplayer2.h.f;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.q;
import com.google.android.exoplayer2.s;
import com.google.android.exoplayer2.source.l;
import com.google.android.exoplayer2.source.m;
import java.util.Arrays;
import java.util.Map;

/* compiled from: MappingTrackSelector */
public abstract class e extends h {
    private final SparseArray<Map<m, b>> a = new SparseArray<>();
    private final SparseBooleanArray b = new SparseBooleanArray();
    private int c = 0;
    private a d;

    /* access modifiers changed from: protected */
    public abstract f[] a(q[] qVarArr, m[] mVarArr, int[][][] iArr) throws com.google.android.exoplayer2.e;

    /* compiled from: MappingTrackSelector */
    public static final class b {
        public final f.a a;
        public final int b;
        public final int[] c;

        public f a(m mVar) {
            return this.a.b(mVar.a(this.b), this.c);
        }
    }

    public final a a() {
        return this.d;
    }

    @Override // com.google.android.exoplayer2.h.h
    public final i a(q[] qVarArr, m mVar) throws com.google.android.exoplayer2.e {
        int[] iArr;
        int[] iArr2 = new int[(qVarArr.length + 1)];
        int length = qVarArr.length + 1;
        l[][] lVarArr = new l[length][];
        int[][][] iArr3 = new int[(qVarArr.length + 1)][][];
        for (int i = 0; i < length; i++) {
            lVarArr[i] = new l[mVar.b];
            iArr3[i] = new int[mVar.b][];
        }
        int[] a2 = a(qVarArr);
        for (int i2 = 0; i2 < mVar.b; i2++) {
            l a3 = mVar.a(i2);
            int a4 = a(qVarArr, a3);
            if (a4 == qVarArr.length) {
                iArr = new int[a3.a];
            } else {
                iArr = a(qVarArr[a4], a3);
            }
            int i3 = iArr2[a4];
            lVarArr[a4][i3] = a3;
            iArr3[a4][i3] = iArr;
            iArr2[a4] = iArr2[a4] + 1;
        }
        m[] mVarArr = new m[qVarArr.length];
        int[] iArr4 = new int[qVarArr.length];
        for (int i4 = 0; i4 < qVarArr.length; i4++) {
            int i5 = iArr2[i4];
            mVarArr[i4] = new m((l[]) Arrays.copyOf(lVarArr[i4], i5));
            iArr3[i4] = (int[][]) Arrays.copyOf(iArr3[i4], i5);
            iArr4[i4] = qVarArr[i4].a();
        }
        m mVar2 = new m((l[]) Arrays.copyOf(lVarArr[qVarArr.length], iArr2[qVarArr.length]));
        f[] a5 = a(qVarArr, mVarArr, iArr3);
        int i6 = 0;
        while (true) {
            b bVar = null;
            if (i6 >= qVarArr.length) {
                break;
            }
            if (this.b.get(i6)) {
                a5[i6] = null;
            } else {
                m mVar3 = mVarArr[i6];
                Map<m, b> map = this.a.get(i6);
                if (map != null) {
                    bVar = map.get(mVar3);
                }
                if (bVar != null) {
                    a5[i6] = bVar.a(mVar3);
                }
            }
            i6++;
        }
        a aVar = new a(iArr4, mVarArr, a2, iArr3, mVar2);
        s[] sVarArr = new s[qVarArr.length];
        for (int i7 = 0; i7 < qVarArr.length; i7++) {
            sVarArr[i7] = a5[i7] != null ? s.a : null;
        }
        a(qVarArr, mVarArr, iArr3, sVarArr, a5, this.c);
        return new i(mVar, new g(a5), aVar, sVarArr);
    }

    @Override // com.google.android.exoplayer2.h.h
    public final void a(Object obj) {
        this.d = (a) obj;
    }

    private static int a(q[] qVarArr, l lVar) throws com.google.android.exoplayer2.e {
        int length = qVarArr.length;
        int i = 0;
        for (int i2 = 0; i2 < qVarArr.length; i2++) {
            q qVar = qVarArr[i2];
            for (int i3 = 0; i3 < lVar.a; i3++) {
                int a2 = qVar.a(lVar.a(i3)) & 3;
                if (a2 > i) {
                    if (a2 == 3) {
                        return i2;
                    }
                    length = i2;
                    i = a2;
                }
            }
        }
        return length;
    }

    private static int[] a(q qVar, l lVar) throws com.google.android.exoplayer2.e {
        int[] iArr = new int[lVar.a];
        for (int i = 0; i < lVar.a; i++) {
            iArr[i] = qVar.a(lVar.a(i));
        }
        return iArr;
    }

    private static int[] a(q[] qVarArr) throws com.google.android.exoplayer2.e {
        int length = qVarArr.length;
        int[] iArr = new int[length];
        for (int i = 0; i < length; i++) {
            iArr[i] = qVarArr[i].m();
        }
        return iArr;
    }

    private static void a(q[] qVarArr, m[] mVarArr, int[][][] iArr, s[] sVarArr, f[] fVarArr, int i) {
        boolean z;
        if (i != 0) {
            boolean z2 = false;
            int i2 = 0;
            int i3 = -1;
            int i4 = -1;
            while (true) {
                if (i2 >= qVarArr.length) {
                    z = true;
                    break;
                }
                int a2 = qVarArr[i2].a();
                f fVar = fVarArr[i2];
                if ((a2 == 1 || a2 == 2) && fVar != null && a(iArr[i2], mVarArr[i2], fVar)) {
                    if (a2 == 1) {
                        if (i4 != -1) {
                            z = false;
                            break;
                        }
                        i4 = i2;
                    } else if (i3 != -1) {
                        z = false;
                        break;
                    } else {
                        i3 = i2;
                    }
                }
                i2++;
            }
            if (!(i4 == -1 || i3 == -1)) {
                z2 = true;
            }
            if (z && z2) {
                s sVar = new s(i);
                sVarArr[i4] = sVar;
                sVarArr[i3] = sVar;
            }
        }
    }

    private static boolean a(int[][] iArr, m mVar, f fVar) {
        if (fVar == null) {
            return false;
        }
        int a2 = mVar.a(fVar.d());
        for (int i = 0; i < fVar.e(); i++) {
            if ((iArr[a2][fVar.b(i)] & 16) != 16) {
                return false;
            }
        }
        return true;
    }

    /* compiled from: MappingTrackSelector */
    public static final class a {
        public final int a;
        private final int[] b;
        private final m[] c;
        private final int[] d;
        private final int[][][] e;
        private final m f;

        a(int[] iArr, m[] mVarArr, int[] iArr2, int[][][] iArr3, m mVar) {
            this.b = iArr;
            this.c = mVarArr;
            this.e = iArr3;
            this.d = iArr2;
            this.f = mVar;
            this.a = mVarArr.length;
        }

        public m a(int i) {
            return this.c[i];
        }

        public int a(int i, int i2, int i3) {
            return this.e[i][i2][i3] & 3;
        }

        public int a(int i, int i2, boolean z) {
            int i3 = this.c[i].a(i2).a;
            int[] iArr = new int[i3];
            int i4 = 0;
            for (int i5 = 0; i5 < i3; i5++) {
                int a2 = a(i, i2, i5);
                if (a2 == 3 || (z && a2 == 2)) {
                    iArr[i4] = i5;
                    i4++;
                }
            }
            return a(i, i2, Arrays.copyOf(iArr, i4));
        }

        public int a(int i, int i2, int[] iArr) {
            int i3 = 0;
            String str = null;
            boolean z = false;
            int i4 = 0;
            int i5 = 8;
            while (i3 < iArr.length) {
                String str2 = this.c[i].a(i2).a(iArr[i3]).f;
                int i6 = i4 + 1;
                if (i4 == 0) {
                    str = str2;
                } else {
                    z |= !t.a(str, str2);
                }
                i5 = Math.min(i5, this.e[i][i2][i3] & 12);
                i3++;
                i4 = i6;
            }
            return z ? Math.min(i5, this.d[i]) : i5;
        }

        public m a() {
            return this.f;
        }
    }
}
