package com.google.android.exoplayer2.source.dash;

import android.os.SystemClock;
import com.google.android.exoplayer2.d.m;
import com.google.android.exoplayer2.i.f;
import com.google.android.exoplayer2.i.i;
import com.google.android.exoplayer2.i.q;
import com.google.android.exoplayer2.i.s;
import com.google.android.exoplayer2.j;
import com.google.android.exoplayer2.j.t;
import com.google.android.exoplayer2.source.a.c;
import com.google.android.exoplayer2.source.a.d;
import com.google.android.exoplayer2.source.a.e;
import com.google.android.exoplayer2.source.a.h;
import com.google.android.exoplayer2.source.a.k;
import com.google.android.exoplayer2.source.a.l;
import com.google.android.exoplayer2.source.dash.a;
import java.io.IOException;
import java.util.List;

/* compiled from: DefaultDashChunkSource */
public class f implements a {
    private final s a;
    private final int b;
    private final com.google.android.exoplayer2.h.f c;
    private final b[] d;
    private final com.google.android.exoplayer2.i.f e;
    private final long f;
    private final int g;
    private com.google.android.exoplayer2.source.dash.a.b h;
    private int i;
    private IOException j;
    private boolean k;

    /* compiled from: DefaultDashChunkSource */
    public static final class a implements a.AbstractC0072a {
        private final f.a a;
        private final int b;

        public a(f.a aVar) {
            this(aVar, 1);
        }

        public a(f.a aVar, int i) {
            this.a = aVar;
            this.b = i;
        }

        @Override // com.google.android.exoplayer2.source.dash.a.AbstractC0072a
        public a a(s sVar, com.google.android.exoplayer2.source.dash.a.b bVar, int i, int i2, com.google.android.exoplayer2.h.f fVar, long j, boolean z, boolean z2) {
            return new f(sVar, bVar, i, i2, fVar, this.a.a(), j, this.b, z, z2);
        }
    }

    public f(s sVar, com.google.android.exoplayer2.source.dash.a.b bVar, int i2, int i3, com.google.android.exoplayer2.h.f fVar, com.google.android.exoplayer2.i.f fVar2, long j2, int i4, boolean z, boolean z2) {
        this.a = sVar;
        this.h = bVar;
        this.b = i3;
        this.c = fVar;
        this.e = fVar2;
        this.i = i2;
        this.f = j2;
        this.g = i4;
        long c2 = bVar.c(i2);
        com.google.android.exoplayer2.source.dash.a.a b2 = b();
        List<com.google.android.exoplayer2.source.dash.a.f> list = b2.c;
        this.d = new b[fVar.e()];
        for (int i5 = 0; i5 < this.d.length; i5++) {
            this.d[i5] = new b(c2, list.get(fVar.b(i5)), z, z2, b2.b);
        }
    }

    @Override // com.google.android.exoplayer2.source.dash.a
    public void a(com.google.android.exoplayer2.source.dash.a.b bVar, int i2) {
        try {
            this.h = bVar;
            this.i = i2;
            long c2 = bVar.c(i2);
            List<com.google.android.exoplayer2.source.dash.a.f> list = b().c;
            for (int i3 = 0; i3 < this.d.length; i3++) {
                this.d[i3].a(c2, list.get(this.c.b(i3)));
            }
        } catch (com.google.android.exoplayer2.source.b e2) {
            this.j = e2;
        }
    }

    @Override // com.google.android.exoplayer2.source.a.g
    public void a() throws IOException {
        IOException iOException = this.j;
        if (iOException == null) {
            this.a.d();
            return;
        }
        throw iOException;
    }

    @Override // com.google.android.exoplayer2.source.a.g
    public final void a(l lVar, long j2, e eVar) {
        int i2;
        int i3;
        com.google.android.exoplayer2.source.dash.a.e eVar2;
        com.google.android.exoplayer2.source.dash.a.e eVar3;
        if (this.j == null) {
            this.c.a(lVar != null ? lVar.g - j2 : 0);
            b bVar = this.d[this.c.a()];
            if (bVar.b != null) {
                com.google.android.exoplayer2.source.dash.a.f fVar = bVar.c;
                if (bVar.b.c() == null) {
                    eVar2 = fVar.c();
                } else {
                    eVar2 = null;
                }
                if (bVar.d == null) {
                    eVar3 = fVar.d();
                } else {
                    eVar3 = null;
                }
                if (!(eVar2 == null && eVar3 == null)) {
                    eVar.a = a(bVar, this.e, this.c.f(), this.c.b(), this.c.c(), eVar2, eVar3);
                    return;
                }
            }
            long c2 = c();
            int b2 = bVar.b();
            boolean z = false;
            if (b2 == 0) {
                if (!this.h.d || this.i < this.h.a() - 1) {
                    z = true;
                }
                eVar.b = z;
                return;
            }
            int a2 = bVar.a();
            if (b2 == -1) {
                long j3 = (c2 - (this.h.a * 1000)) - (this.h.a(this.i).b * 1000);
                if (this.h.f != -9223372036854775807L) {
                    a2 = Math.max(a2, bVar.a(j3 - (this.h.f * 1000)));
                }
                i2 = bVar.a(j3) - 1;
            } else {
                i2 = (b2 + a2) - 1;
            }
            if (lVar == null) {
                i3 = t.a(bVar.a(j2), a2, i2);
            } else {
                int f2 = lVar.f();
                if (f2 < a2) {
                    this.j = new com.google.android.exoplayer2.source.b();
                    return;
                }
                i3 = f2;
            }
            if (i3 > i2 || (this.k && i3 >= i2)) {
                if (!this.h.d || this.i < this.h.a() - 1) {
                    z = true;
                }
                eVar.b = z;
                return;
            }
            eVar.a = a(bVar, this.e, this.c.f(), this.c.b(), this.c.c(), i3, Math.min(this.g, (i2 - i3) + 1));
        }
    }

    @Override // com.google.android.exoplayer2.source.a.g
    public void a(c cVar) {
        m b2;
        if (cVar instanceof k) {
            b bVar = this.d[this.c.a(((k) cVar).c)];
            if (bVar.d == null && (b2 = bVar.b.b()) != null) {
                bVar.d = new e((com.google.android.exoplayer2.d.a) b2);
            }
        }
    }

    @Override // com.google.android.exoplayer2.source.a.g
    public boolean a(c cVar, boolean z, Exception exc) {
        b bVar;
        int b2;
        if (!z) {
            return false;
        }
        if (this.h.d || !(cVar instanceof l) || !(exc instanceof q.e) || ((q.e) exc).responseCode != 404 || (b2 = (bVar = this.d[this.c.a(cVar.c)]).b()) == -1 || b2 == 0 || ((l) cVar).f() <= (bVar.a() + b2) - 1) {
            com.google.android.exoplayer2.h.f fVar = this.c;
            return h.a(fVar, fVar.a(cVar.c), exc);
        }
        this.k = true;
        return true;
    }

    private com.google.android.exoplayer2.source.dash.a.a b() {
        return this.h.a(this.i).c.get(this.b);
    }

    private long c() {
        if (this.f != 0) {
            return (SystemClock.elapsedRealtime() + this.f) * 1000;
        }
        return System.currentTimeMillis() * 1000;
    }

    private static c a(b bVar, com.google.android.exoplayer2.i.f fVar, j jVar, int i2, Object obj, com.google.android.exoplayer2.source.dash.a.e eVar, com.google.android.exoplayer2.source.dash.a.e eVar2) {
        String str = bVar.c.d;
        if (eVar != null) {
            com.google.android.exoplayer2.source.dash.a.e a2 = eVar.a(eVar2, str);
            if (a2 != null) {
                eVar = a2;
            }
        } else {
            eVar = eVar2;
        }
        return new k(fVar, new i(eVar.a(str), eVar.a, eVar.b, bVar.c.f()), jVar, i2, obj, bVar.b);
    }

    private static c a(b bVar, com.google.android.exoplayer2.i.f fVar, j jVar, int i2, Object obj, int i3, int i4) {
        com.google.android.exoplayer2.source.dash.a.e a2;
        com.google.android.exoplayer2.source.dash.a.f fVar2 = bVar.c;
        long a3 = bVar.a(i3);
        com.google.android.exoplayer2.source.dash.a.e c2 = bVar.c(i3);
        String str = fVar2.d;
        if (bVar.b == null) {
            return new com.google.android.exoplayer2.source.a.m(fVar, new i(c2.a(str), c2.a, c2.b, fVar2.f()), jVar, i2, obj, a3, bVar.b(i3), i3, bVar.a, jVar);
        }
        int i5 = 1;
        int i6 = 1;
        while (i5 < i4 && (a2 = c2.a(bVar.c(i3 + i5), str)) != null) {
            i6++;
            i5++;
            c2 = a2;
        }
        return new com.google.android.exoplayer2.source.a.i(fVar, new i(c2.a(str), c2.a, c2.b, fVar2.f()), jVar, i2, obj, a3, bVar.b((i3 + i6) - 1), i3, i6, -fVar2.e, bVar.b);
    }

    /* access modifiers changed from: protected */
    /* compiled from: DefaultDashChunkSource */
    public static final class b {
        public final int a;
        public final d b;
        public com.google.android.exoplayer2.source.dash.a.f c;
        public d d;
        private long e;
        private int f;

        public b(long j, com.google.android.exoplayer2.source.dash.a.f fVar, boolean z, boolean z2, int i) {
            com.google.android.exoplayer2.d.f fVar2;
            this.e = j;
            this.c = fVar;
            this.a = i;
            String str = fVar.c.e;
            if (b(str)) {
                this.b = null;
            } else {
                if ("application/x-rawcc".equals(str)) {
                    fVar2 = new com.google.android.exoplayer2.d.f.a(fVar.c);
                } else if (a(str)) {
                    fVar2 = new com.google.android.exoplayer2.d.b.d(1);
                } else {
                    int i2 = z ? 4 : 0;
                    fVar2 = new com.google.android.exoplayer2.d.d.e(z2 ? i2 | 8 : i2);
                }
                this.b = new d(fVar2, fVar.c);
            }
            this.d = fVar.e();
        }

        public void a(long j, com.google.android.exoplayer2.source.dash.a.f fVar) throws com.google.android.exoplayer2.source.b {
            int a2;
            d e2 = this.c.e();
            d e3 = fVar.e();
            this.e = j;
            this.c = fVar;
            if (e2 != null) {
                this.d = e3;
                if (e2.b() && (a2 = e2.a(this.e)) != 0) {
                    int a3 = (e2.a() + a2) - 1;
                    long a4 = e2.a(a3) + e2.a(a3, this.e);
                    int a5 = e3.a();
                    long a6 = e3.a(a5);
                    int i = (a4 > a6 ? 1 : (a4 == a6 ? 0 : -1));
                    if (i == 0) {
                        this.f += (a3 + 1) - a5;
                    } else if (i >= 0) {
                        this.f += e2.a(a6, this.e) - a5;
                    } else {
                        throw new com.google.android.exoplayer2.source.b();
                    }
                }
            }
        }

        public int a() {
            return this.d.a() + this.f;
        }

        public int b() {
            return this.d.a(this.e);
        }

        public long a(int i) {
            return this.d.a(i - this.f);
        }

        public long b(int i) {
            return a(i) + this.d.a(i - this.f, this.e);
        }

        public int a(long j) {
            return this.d.a(j, this.e) + this.f;
        }

        public com.google.android.exoplayer2.source.dash.a.e c(int i) {
            return this.d.b(i - this.f);
        }

        private static boolean a(String str) {
            return str.startsWith("video/webm") || str.startsWith("audio/webm") || str.startsWith("application/webm");
        }

        private static boolean b(String str) {
            return com.google.android.exoplayer2.j.h.c(str) || "application/ttml+xml".equals(str);
        }
    }
}
