package com.google.android.exoplayer2.source.hls.a;

import android.net.Uri;
import android.os.Handler;
import android.os.SystemClock;
import com.google.android.exoplayer2.i.r;
import com.google.android.exoplayer2.i.t;
import com.google.android.exoplayer2.j.s;
import com.google.android.exoplayer2.n;
import com.google.android.exoplayer2.source.a;
import com.google.android.exoplayer2.source.a.h;
import com.google.android.exoplayer2.source.hls.a.a;
import com.google.android.exoplayer2.source.hls.a.b;
import com.google.android.exoplayer2.source.hls.d;
import java.io.IOException;
import java.util.ArrayList;
import java.util.IdentityHashMap;
import java.util.List;

/* compiled from: HlsPlaylistTracker */
public final class e implements r.a<t<c>> {
    private final Uri a;
    private final d b;
    private final d c = new d();
    private final int d;
    private final IdentityHashMap<a.C0074a, a> e = new IdentityHashMap<>();
    private final Handler f = new Handler();
    private final c g;
    private final List<b> h = new ArrayList();
    private final r i = new r("HlsPlaylistTracker:MasterPlaylist");
    private final a.C0071a j;
    private a k;
    private a.C0074a l;
    private b m;
    private boolean n;

    /* compiled from: HlsPlaylistTracker */
    public interface b {
        void a(a.C0074a aVar, long j);

        void h();
    }

    /* compiled from: HlsPlaylistTracker */
    public interface c {
        void a(b bVar);
    }

    public e(Uri uri, d dVar, a.C0071a aVar, int i2, c cVar) {
        this.a = uri;
        this.b = dVar;
        this.j = aVar;
        this.d = i2;
        this.g = cVar;
    }

    public void a(b bVar) {
        this.h.add(bVar);
    }

    public void b(b bVar) {
        this.h.remove(bVar);
    }

    public void a() {
        this.i.a(new t(this.b.a(4), this.a, 4, this.c), this, this.d);
    }

    public a b() {
        return this.k;
    }

    public b a(a.C0074a aVar) {
        b a2 = this.e.get(aVar).a();
        if (a2 != null) {
            e(aVar);
        }
        return a2;
    }

    public boolean b(a.C0074a aVar) {
        return this.e.get(aVar).b();
    }

    public void c() {
        this.i.c();
        for (a aVar : this.e.values()) {
            aVar.c();
        }
        this.f.removeCallbacksAndMessages(null);
        this.e.clear();
    }

    public void d() throws IOException {
        this.i.d();
        a.C0074a aVar = this.l;
        if (aVar != null) {
            c(aVar);
        }
    }

    public void c(a.C0074a aVar) throws IOException {
        this.e.get(aVar).c.d();
    }

    public void d(a.C0074a aVar) {
        this.e.get(aVar).d();
    }

    public boolean e() {
        return this.n;
    }

    public void a(t<c> tVar, long j2, long j3) {
        a aVar;
        c d2 = tVar.d();
        boolean z = d2 instanceof b;
        if (z) {
            aVar = a.a(d2.o);
        } else {
            aVar = (a) d2;
        }
        this.k = aVar;
        this.l = aVar.a.get(0);
        ArrayList arrayList = new ArrayList();
        arrayList.addAll(aVar.a);
        arrayList.addAll(aVar.b);
        arrayList.addAll(aVar.c);
        a(arrayList);
        a aVar2 = this.e.get(this.l);
        if (z) {
            aVar2.a((a) ((b) d2));
        } else {
            aVar2.d();
        }
        this.j.a(tVar.a, 4, j2, j3, tVar.e());
    }

    public void a(t<c> tVar, long j2, long j3, boolean z) {
        this.j.b(tVar.a, 4, j2, j3, tVar.e());
    }

    public int a(t<c> tVar, long j2, long j3, IOException iOException) {
        boolean z = iOException instanceof n;
        this.j.a(tVar.a, 4, j2, j3, tVar.e(), iOException, z);
        return z ? 3 : 0;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean f() {
        List<a.C0074a> list = this.k.a;
        int size = list.size();
        long elapsedRealtime = SystemClock.elapsedRealtime();
        for (int i2 = 0; i2 < size; i2++) {
            a aVar = this.e.get(list.get(i2));
            if (elapsedRealtime > aVar.h) {
                this.l = aVar.b;
                aVar.d();
                return true;
            }
        }
        return false;
    }

    private void e(a.C0074a aVar) {
        if (this.k.a.contains(aVar)) {
            b bVar = this.m;
            if ((bVar == null || !bVar.i) && this.e.get(this.l).g - SystemClock.elapsedRealtime() > 15000) {
                this.l = aVar;
                this.e.get(aVar).d();
            }
        }
    }

    private void a(List<a.C0074a> list) {
        int size = list.size();
        long elapsedRealtime = SystemClock.elapsedRealtime();
        for (int i2 = 0; i2 < size; i2++) {
            a.C0074a aVar = list.get(i2);
            this.e.put(aVar, new a(aVar, elapsedRealtime));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(a.C0074a aVar, b bVar) {
        if (aVar == this.l) {
            if (this.m == null) {
                this.n = !bVar.i;
            }
            this.m = bVar;
            this.g.a(bVar);
        }
        int size = this.h.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.h.get(i2).h();
        }
        if (aVar != this.l || bVar.i) {
            return false;
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(a.C0074a aVar, long j2) {
        int size = this.h.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.h.get(i2).a(aVar, j2);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private b a(b bVar, b bVar2) {
        if (bVar2.a(bVar)) {
            return bVar2.a(b(bVar, bVar2), c(bVar, bVar2));
        }
        if (bVar2.i) {
            return bVar.b();
        }
        return bVar;
    }

    private long b(b bVar, b bVar2) {
        if (bVar2.j) {
            return bVar2.c;
        }
        b bVar3 = this.m;
        long j2 = bVar3 != null ? bVar3.c : 0;
        if (bVar == null) {
            return j2;
        }
        int size = bVar.l.size();
        b.a d2 = d(bVar, bVar2);
        if (d2 != null) {
            return bVar.c + d2.d;
        }
        if (size == bVar2.f - bVar.f) {
            return bVar.a();
        }
        return j2;
    }

    private int c(b bVar, b bVar2) {
        b.a d2;
        if (bVar2.d) {
            return bVar2.e;
        }
        b bVar3 = this.m;
        int i2 = bVar3 != null ? bVar3.e : 0;
        if (bVar == null || (d2 = d(bVar, bVar2)) == null) {
            return i2;
        }
        return (bVar.e + d2.c) - bVar2.l.get(0).c;
    }

    private static b.a d(b bVar, b bVar2) {
        int i2 = bVar2.f - bVar.f;
        List<b.a> list = bVar.l;
        if (i2 < list.size()) {
            return list.get(i2);
        }
        return null;
    }

    /* access modifiers changed from: private */
    /* compiled from: HlsPlaylistTracker */
    public final class a implements r.a<t<c>>, Runnable {
        private final a.C0074a b;
        private final r c = new r("HlsPlaylistTracker:MediaPlaylist");
        private final t<c> d;
        private b e;
        private long f;
        private long g;
        private long h;
        private boolean i;

        public a(a.C0074a aVar, long j) {
            this.b = aVar;
            this.g = j;
            this.d = new t<>(e.this.b.a(4), s.a(e.this.k.o, aVar.a), 4, e.this.c);
        }

        public b a() {
            this.g = SystemClock.elapsedRealtime();
            return this.e;
        }

        public boolean b() {
            if (this.e == null) {
                return false;
            }
            long elapsedRealtime = SystemClock.elapsedRealtime();
            long max = Math.max((long) com.igexin.push.config.c.k, com.google.android.exoplayer2.b.a(this.e.n));
            if (this.e.i || this.e.a == 2 || this.e.a == 1 || this.f + max > elapsedRealtime) {
                return true;
            }
            return false;
        }

        public void c() {
            this.c.c();
        }

        public void d() {
            this.h = 0;
            if (!this.i && !this.c.a()) {
                this.c.a(this.d, this, e.this.d);
            }
        }

        public void a(t<c> tVar, long j, long j2) {
            c d2 = tVar.d();
            if (d2 instanceof b) {
                a((b) d2);
                e.this.j.a(tVar.a, 4, j, j2, tVar.e());
                return;
            }
            a(tVar, j, j2, (IOException) new n("Loaded playlist has unexpected type."));
        }

        public void a(t<c> tVar, long j, long j2, boolean z) {
            e.this.j.b(tVar.a, 4, j, j2, tVar.e());
        }

        public int a(t<c> tVar, long j, long j2, IOException iOException) {
            boolean z = iOException instanceof n;
            e.this.j.a(tVar.a, 4, j, j2, tVar.e(), iOException, z);
            if (z) {
                return 3;
            }
            boolean z2 = true;
            if (h.a(iOException)) {
                this.h = SystemClock.elapsedRealtime() + 60000;
                e.this.a((e) this.b, (a.C0074a) 60000);
                if (e.this.l != this.b || e.this.f()) {
                    z2 = false;
                }
            }
            if (z2) {
                return 0;
            }
            return 2;
        }

        public void run() {
            this.i = false;
            d();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        /* JADX WARNING: Removed duplicated region for block: B:11:0x0038  */
        /* JADX WARNING: Removed duplicated region for block: B:13:? A[RETURN, SYNTHETIC] */
        private void a(b bVar) {
            long j;
            b bVar2 = this.e;
            this.f = SystemClock.elapsedRealtime();
            b a2 = e.this.a((e) bVar2, bVar);
            this.e = a2;
            if (a2 != bVar2) {
                if (e.this.a((e) this.b, (a.C0074a) a2)) {
                    j = this.e.h;
                    if (j != -9223372036854775807L) {
                        this.i = e.this.f.postDelayed(this, com.google.android.exoplayer2.b.a(j));
                        return;
                    }
                    return;
                }
            } else if (!a2.i) {
                j = this.e.h / 2;
                if (j != -9223372036854775807L) {
                }
            }
            j = -9223372036854775807L;
            if (j != -9223372036854775807L) {
            }
        }
    }
}
