package com.google.android.exoplayer2;

import android.graphics.SurfaceTexture;
import android.os.Handler;
import android.os.Looper;
import android.util.Log;
import android.view.Surface;
import android.view.SurfaceHolder;
import android.view.TextureView;
import com.google.android.exoplayer2.a.d;
import com.google.android.exoplayer2.f;
import com.google.android.exoplayer2.f.f;
import com.google.android.exoplayer2.g.j;
import com.google.android.exoplayer2.h.h;
import java.util.List;

/* compiled from: SimpleExoPlayer */
public class u implements f {
    protected final p[] a;
    private final f b;
    private final a c = new a();
    private final int d;
    private final int e;
    private j f;
    private j g;
    private Surface h;
    private boolean i;
    private int j;
    private SurfaceHolder k;
    private TextureView l;
    private j.a m;
    private f.a n;
    private b o;
    private d p;
    private com.google.android.exoplayer2.k.f q;
    private com.google.android.exoplayer2.b.d r;
    private com.google.android.exoplayer2.b.d s;
    private int t;
    private int u;
    private float v;

    /* compiled from: SimpleExoPlayer */
    public interface b {
        void onRenderedFirstFrame();

        void onVideoSizeChanged(int i, int i2, int i3, float f);
    }

    protected u(t tVar, h hVar, m mVar) {
        Handler handler = new Handler(Looper.myLooper() != null ? Looper.myLooper() : Looper.getMainLooper());
        a aVar = this.c;
        p[] a2 = tVar.a(handler, aVar, aVar, aVar, aVar);
        this.a = a2;
        int i2 = 0;
        int i3 = 0;
        for (p pVar : a2) {
            int a3 = pVar.a();
            if (a3 == 1) {
                i3++;
            } else if (a3 == 2) {
                i2++;
            }
        }
        this.d = i2;
        this.e = i3;
        this.v = 1.0f;
        this.t = 0;
        this.u = 3;
        this.j = 1;
        this.b = new h(this.a, hVar, mVar);
    }

    public void a(Surface surface) {
        j();
        a(surface, false);
    }

    public void a(float f2) {
        this.v = f2;
        f.c[] cVarArr = new f.c[this.e];
        p[] pVarArr = this.a;
        int i2 = 0;
        for (p pVar : pVarArr) {
            if (pVar.a() == 1) {
                cVarArr[i2] = new f.c(pVar, 2, Float.valueOf(f2));
                i2++;
            }
        }
        this.b.a(cVarArr);
    }

    public j h() {
        return this.f;
    }

    public com.google.android.exoplayer2.b.d i() {
        return this.r;
    }

    public void a(b bVar) {
        this.o = bVar;
    }

    public void a(f.a aVar) {
        this.n = aVar;
    }

    public void a(com.google.android.exoplayer2.k.f fVar) {
        this.q = fVar;
    }

    public void a(d dVar) {
        this.p = dVar;
    }

    @Override // com.google.android.exoplayer2.f
    public void a(f.a aVar) {
        this.b.a(aVar);
    }

    @Override // com.google.android.exoplayer2.f
    public void b(f.a aVar) {
        this.b.b(aVar);
    }

    @Override // com.google.android.exoplayer2.f
    public int a() {
        return this.b.a();
    }

    @Override // com.google.android.exoplayer2.f
    public void a(com.google.android.exoplayer2.source.h hVar) {
        this.b.a(hVar);
    }

    @Override // com.google.android.exoplayer2.f
    public void a(com.google.android.exoplayer2.source.h hVar, boolean z, boolean z2) {
        this.b.a(hVar, z, z2);
    }

    @Override // com.google.android.exoplayer2.f
    public void a(boolean z) {
        this.b.a(z);
    }

    @Override // com.google.android.exoplayer2.f
    public boolean b() {
        return this.b.b();
    }

    @Override // com.google.android.exoplayer2.f
    public void a(long j2) {
        this.b.a(j2);
    }

    @Override // com.google.android.exoplayer2.f
    public void a(o oVar) {
        this.b.a(oVar);
    }

    @Override // com.google.android.exoplayer2.f
    public o c() {
        return this.b.c();
    }

    @Override // com.google.android.exoplayer2.f
    public void d() {
        this.b.d();
        j();
        Surface surface = this.h;
        if (surface != null) {
            if (this.i) {
                surface.release();
            }
            this.h = null;
        }
    }

    @Override // com.google.android.exoplayer2.f
    public void a(f.c... cVarArr) {
        this.b.a(cVarArr);
    }

    @Override // com.google.android.exoplayer2.f
    public void b(f.c... cVarArr) {
        this.b.b(cVarArr);
    }

    @Override // com.google.android.exoplayer2.f
    public long e() {
        return this.b.e();
    }

    @Override // com.google.android.exoplayer2.f
    public long f() {
        return this.b.f();
    }

    @Override // com.google.android.exoplayer2.f
    public int g() {
        return this.b.g();
    }

    private void j() {
        TextureView textureView = this.l;
        if (textureView != null) {
            if (textureView.getSurfaceTextureListener() != this.c) {
                Log.w("SimpleExoPlayer", "SurfaceTextureListener already unset or replaced.");
            } else {
                this.l.setSurfaceTextureListener(null);
            }
            this.l = null;
        }
        SurfaceHolder surfaceHolder = this.k;
        if (surfaceHolder != null) {
            surfaceHolder.removeCallback(this.c);
            this.k = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(Surface surface, boolean z) {
        f.c[] cVarArr = new f.c[this.d];
        p[] pVarArr = this.a;
        int i2 = 0;
        for (p pVar : pVarArr) {
            if (pVar.a() == 2) {
                cVarArr[i2] = new f.c(pVar, 1, surface);
                i2++;
            }
        }
        Surface surface2 = this.h;
        if (surface2 == null || surface2 == surface) {
            this.b.a(cVarArr);
        } else {
            if (this.i) {
                surface2.release();
            }
            this.b.b(cVarArr);
        }
        this.h = surface;
        this.i = z;
    }

    /* access modifiers changed from: private */
    /* compiled from: SimpleExoPlayer */
    public final class a implements SurfaceHolder.Callback, TextureView.SurfaceTextureListener, d, f.a, j.a, com.google.android.exoplayer2.k.f {
        private a() {
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onVideoEnabled(com.google.android.exoplayer2.b.d dVar) {
            u.this.r = dVar;
            if (u.this.q != null) {
                u.this.q.onVideoEnabled(dVar);
            }
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onVideoDecoderInitialized(String str, long j, long j2) {
            if (u.this.q != null) {
                u.this.q.onVideoDecoderInitialized(str, j, j2);
            }
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onVideoInputFormatChanged(j jVar) {
            u.this.f = jVar;
            if (u.this.q != null) {
                u.this.q.onVideoInputFormatChanged(jVar);
            }
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onDroppedFrames(int i, long j) {
            if (u.this.q != null) {
                u.this.q.onDroppedFrames(i, j);
            }
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onVideoSizeChanged(int i, int i2, int i3, float f) {
            if (u.this.o != null) {
                u.this.o.onVideoSizeChanged(i, i2, i3, f);
            }
            if (u.this.q != null) {
                u.this.q.onVideoSizeChanged(i, i2, i3, f);
            }
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onRenderedFirstFrame(Surface surface) {
            if (u.this.o != null && u.this.h == surface) {
                u.this.o.onRenderedFirstFrame();
            }
            if (u.this.q != null) {
                u.this.q.onRenderedFirstFrame(surface);
            }
        }

        @Override // com.google.android.exoplayer2.k.f
        public void onVideoDisabled(com.google.android.exoplayer2.b.d dVar) {
            if (u.this.q != null) {
                u.this.q.onVideoDisabled(dVar);
            }
            u.this.f = null;
            u.this.r = null;
        }

        @Override // com.google.android.exoplayer2.a.d
        public void onAudioEnabled(com.google.android.exoplayer2.b.d dVar) {
            u.this.s = dVar;
            if (u.this.p != null) {
                u.this.p.onAudioEnabled(dVar);
            }
        }

        @Override // com.google.android.exoplayer2.a.d
        public void onAudioSessionId(int i) {
            u.this.t = i;
            if (u.this.p != null) {
                u.this.p.onAudioSessionId(i);
            }
        }

        @Override // com.google.android.exoplayer2.a.d
        public void onAudioDecoderInitialized(String str, long j, long j2) {
            if (u.this.p != null) {
                u.this.p.onAudioDecoderInitialized(str, j, j2);
            }
        }

        @Override // com.google.android.exoplayer2.a.d
        public void onAudioInputFormatChanged(j jVar) {
            u.this.g = jVar;
            if (u.this.p != null) {
                u.this.p.onAudioInputFormatChanged(jVar);
            }
        }

        @Override // com.google.android.exoplayer2.a.d
        public void onAudioTrackUnderrun(int i, long j, long j2) {
            if (u.this.p != null) {
                u.this.p.onAudioTrackUnderrun(i, j, j2);
            }
        }

        @Override // com.google.android.exoplayer2.a.d
        public void onAudioDisabled(com.google.android.exoplayer2.b.d dVar) {
            if (u.this.p != null) {
                u.this.p.onAudioDisabled(dVar);
            }
            u.this.g = null;
            u.this.s = null;
            u.this.t = 0;
        }

        @Override // com.google.android.exoplayer2.g.j.a
        public void a(List<com.google.android.exoplayer2.g.a> list) {
            if (u.this.m != null) {
                u.this.m.a(list);
            }
        }

        @Override // com.google.android.exoplayer2.f.f.a
        public void onMetadata(com.google.android.exoplayer2.f.a aVar) {
            if (u.this.n != null) {
                u.this.n.onMetadata(aVar);
            }
        }

        public void surfaceCreated(SurfaceHolder surfaceHolder) {
            u.this.a((u) surfaceHolder.getSurface(), (Surface) false);
        }

        public void surfaceChanged(SurfaceHolder surfaceHolder, int i, int i2, int i3) {
        }

        public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
            u.this.a((u) null, (Surface) false);
        }

        public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i, int i2) {
            u.this.a((u) new Surface(surfaceTexture), (Surface) true);
        }

        public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i, int i2) {
        }

        public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
            u.this.a((u) null, (Surface) true);
            return true;
        }

        public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
        }
    }
}
