package com.googlecode.mp4parser.boxes.apple;

import com.googlecode.mp4parser.AbstractBox;
import com.tencent.mm.opensdk.modelmsg.WXVideoFileObject;
import java.nio.ByteBuffer;

public class GenericMediaHeaderTextAtom extends AbstractBox {
    public static final String TYPE = "text";
    int unknown_1 = 65536;
    int unknown_2;
    int unknown_3;
    int unknown_4;
    int unknown_5 = 65536;
    int unknown_6;
    int unknown_7;
    int unknown_8;
    int unknown_9 = WXVideoFileObject.FILE_SIZE_LIMIT;

    public GenericMediaHeaderTextAtom() {
        super("text");
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public long getContentSize() {
        return 36;
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void getContent(ByteBuffer byteBuffer) {
        byteBuffer.putInt(this.unknown_1);
        byteBuffer.putInt(this.unknown_2);
        byteBuffer.putInt(this.unknown_3);
        byteBuffer.putInt(this.unknown_4);
        byteBuffer.putInt(this.unknown_5);
        byteBuffer.putInt(this.unknown_6);
        byteBuffer.putInt(this.unknown_7);
        byteBuffer.putInt(this.unknown_8);
        byteBuffer.putInt(this.unknown_9);
    }

    /* access modifiers changed from: protected */
    @Override // com.googlecode.mp4parser.AbstractBox
    public void _parseDetails(ByteBuffer content) {
        this.unknown_1 = content.getInt();
        this.unknown_2 = content.getInt();
        this.unknown_3 = content.getInt();
        this.unknown_4 = content.getInt();
        this.unknown_5 = content.getInt();
        this.unknown_6 = content.getInt();
        this.unknown_7 = content.getInt();
        this.unknown_8 = content.getInt();
        this.unknown_9 = content.getInt();
    }

    public int getUnknown_1() {
        return this.unknown_1;
    }

    public void setUnknown_1(int unknown_12) {
        this.unknown_1 = unknown_12;
    }

    public int getUnknown_2() {
        return this.unknown_2;
    }

    public void setUnknown_2(int unknown_22) {
        this.unknown_2 = unknown_22;
    }

    public int getUnknown_3() {
        return this.unknown_3;
    }

    public void setUnknown_3(int unknown_32) {
        this.unknown_3 = unknown_32;
    }

    public int getUnknown_4() {
        return this.unknown_4;
    }

    public void setUnknown_4(int unknown_42) {
        this.unknown_4 = unknown_42;
    }

    public int getUnknown_5() {
        return this.unknown_5;
    }

    public void setUnknown_5(int unknown_52) {
        this.unknown_5 = unknown_52;
    }

    public int getUnknown_6() {
        return this.unknown_6;
    }

    public void setUnknown_6(int unknown_62) {
        this.unknown_6 = unknown_62;
    }

    public int getUnknown_7() {
        return this.unknown_7;
    }

    public void setUnknown_7(int unknown_72) {
        this.unknown_7 = unknown_72;
    }

    public int getUnknown_8() {
        return this.unknown_8;
    }

    public void setUnknown_8(int unknown_82) {
        this.unknown_8 = unknown_82;
    }

    public int getUnknown_9() {
        return this.unknown_9;
    }

    public void setUnknown_9(int unknown_92) {
        this.unknown_9 = unknown_92;
    }
}
