package com.heytap.mcssdk.utils;

public class ApkInfoUtil {
    private static final String FBE = "file";
    private static final String RO_CRYPTO_TYPE = "ro.crypto.type";

    public static boolean isFBEVersion() {
        return "file".equals(get(RO_CRYPTO_TYPE));
    }

    private static String get(String key) {
        try {
            return (String) Class.forName("android.os.SystemProperties").getMethod("get", String.class).invoke(null, key);
        } catch (Exception e) {
            return null;
        }
    }
}
