package com.heytap.msp.push.service;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.os.IBinder;
import com.heytap.mcssdk.PushParseHelper;
import com.heytap.mcssdk.PushService;
import com.heytap.mcssdk.utils.LogUtil;
import com.heytap.msp.push.callback.IDataMessageCallBackService;
import com.heytap.msp.push.mode.DataMessage;

public class DataMessageCallbackService extends Service implements IDataMessageCallBackService {
    public final int onStartCommand(Intent intent, int flags, int startId) {
        PushService.getInstance().innerInit(getApplicationContext());
        PushParseHelper.parseIntent(getApplicationContext(), intent, this);
        return 2;
    }

    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override // com.heytap.msp.push.callback.IDataMessageCallBackService
    public void processMessage(Context context, DataMessage message) {
        LogUtil.d("Receive DataMessageCallbackService:messageTitle: " + message.getTitle() + " ------content:" + message.getContent() + "------describe:" + message.getDescription());
    }
}
