package com.igexin.assist.sdk;

import android.content.Context;
import android.content.pm.ApplicationInfo;
import com.igexin.assist.control.AbstractPushManager;
import com.igexin.assist.util.AssistUtils;
import com.igexin.c.a.c.a.d;
import com.igexin.push.core.e;
import com.igexin.push.core.e.f;
import com.igexin.push.f.n;
import com.xiaomi.mipush.sdk.Constants;
import io.dcloud.common.constant.AbsoluteConst;
import java.lang.reflect.Field;
import java.lang.reflect.Modifier;

public final class a {
    public static final String a = "AssistMangerFactory";
    private static final String c = "com.igexin.assist.control.fcm.ManufacturePushManager";
    private static a d;
    private static final String[] e = {"com.igexin.assist.control.xiaomi.MiuiPushManager", "com.igexin.assist.control.meizu.FlymePushManager", "com.igexin.assist.control.huawei.HmsPushManager", "com.igexin.assist.control.oppo.OppoPushManager", "com.igexin.assist.control.vivo.VivoPushManager", "com.igexin.assist.control.st.SmartisanPushManager", "com.igexin.assist.control.fcm.FcmPushManager"};
    public AbstractPushManager b;

    public static a a() {
        if (d == null) {
            synchronized (AbstractPushManager.class) {
                if (d == null) {
                    d = new a();
                }
            }
        }
        return d;
    }

    private void b(Context context) {
        AbstractPushManager abstractPushManager = this.b;
        if (abstractPushManager == null || !abstractPushManager.isSupport()) {
            return;
        }
        if (this.b.getBrandCode().equals("3")) {
            try {
                Class.forName("com.xiaomi.mipush.sdk.MiPushClient").getDeclaredMethod("clearNotification", Context.class).invoke(null, context);
            } catch (Throwable th) {
                com.igexin.c.a.c.a.a(th);
                com.igexin.c.a.c.a.a("AssistMangerFactory | cancelAllAssistNotification() err " + th.toString(), new Object[0]);
            }
            com.igexin.c.a.c.a.b(a, " cancelAllAssistNotification() XM ");
        } else if (this.b.getBrandCode().equals("4")) {
            try {
                Class.forName("com.meizu.cloud.pushsdk.PushManager").getDeclaredMethod("clearNotification", Context.class).invoke(null, context);
            } catch (Throwable th2) {
                com.igexin.c.a.c.a.a(th2);
                com.igexin.c.a.c.a.a("AssistMangerFactory | cancelAllAssistNotification() err " + th2.toString(), new Object[0]);
            }
            com.igexin.c.a.c.a.b(a, " cancelAllAssistNotification() MZ ");
        }
    }

    private static void c(Context context) {
        try {
            Class.forName("com.xiaomi.mipush.sdk.MiPushClient").getDeclaredMethod("clearNotification", Context.class).invoke(null, context);
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
            com.igexin.c.a.c.a.a("AssistMangerFactory | cancelAllAssistNotification() err " + th.toString(), new Object[0]);
        }
        com.igexin.c.a.c.a.b(a, " cancelAllAssistNotification() XM ");
    }

    private static void d() {
        String[] strArr = e;
        for (String str : strArr) {
            try {
                Class.forName(str);
                d.a().a("UnSupport plugin [" + str + "]. Please change plugin to 3.0.");
                return;
            } catch (Throwable th) {
                th.getMessage();
            }
        }
    }

    private static void d(Context context) {
        try {
            Class.forName("com.meizu.cloud.pushsdk.PushManager").getDeclaredMethod("clearNotification", Context.class).invoke(null, context);
        } catch (Throwable th) {
            com.igexin.c.a.c.a.a(th);
            com.igexin.c.a.c.a.a("AssistMangerFactory | cancelAllAssistNotification() err " + th.toString(), new Object[0]);
        }
        com.igexin.c.a.c.a.b(a, " cancelAllAssistNotification() MZ ");
    }

    private String e() {
        AbstractPushManager abstractPushManager = this.b;
        return abstractPushManager == null ? "" : abstractPushManager.getBrandCode();
    }

    private String f() {
        Throwable th;
        Object invoke;
        AbstractPushManager abstractPushManager = this.b;
        String str = "";
        if (abstractPushManager == null) {
            return str;
        }
        String name = abstractPushManager.getClass().getName();
        try {
            if (!name.contains("fcm")) {
                if (name.contains(AssistUtils.BRAND_XIAOMI)) {
                    Field declaredField = this.b.getClass().getDeclaredField("XIAOMI_VERSION");
                    boolean isAccessible = declaredField.isAccessible();
                    declaredField.setAccessible(true);
                    String str2 = (String) declaredField.get(this.b.getClass());
                    try {
                        declaredField.setAccessible(isAccessible);
                        return str2;
                    } catch (Throwable th2) {
                        th = th2;
                        str = str2;
                    }
                } else if (name.contains(AssistUtils.BRAND_HW)) {
                    return ((String) n.b(e.l).metaData.get("com.huawei.hms.client.service.name:push")).split(Constants.COLON_SEPARATOR)[1];
                } else {
                    if (name.contains(AssistUtils.BRAND_OPPO)) {
                        Class<?> cls = Class.forName("com.heytap.msp.push.HeytapPushManager");
                        invoke = cls.getDeclaredMethod("getSDKVersionName", new Class[0]).invoke(cls, new Object[0]);
                    } else if (name.contains(AssistUtils.BRAND_STP)) {
                        Class<?> cls2 = Class.forName("com.gtups.sdk.PushManager");
                        invoke = cls2.getDeclaredMethod("getVersion", Context.class).invoke(cls2.getDeclaredMethod("getInstance", new Class[0]).invoke(cls2, new Object[0]), e.l);
                    } else if (name.contains(AssistUtils.BRAND_VIVO)) {
                        ApplicationInfo b2 = n.b(e.l);
                        StringBuilder sb = new StringBuilder();
                        sb.append(b2.metaData.getInt("sdk_version_vivo"));
                        return sb.toString();
                    } else if (name.contains(AssistUtils.BRAND_MZ)) {
                        Field[] declaredFields = Class.forName("com.meizu.cloud.pushsdk.PushManager").getDeclaredFields();
                        for (Field field : declaredFields) {
                            if (Modifier.isFinal(field.getModifiers()) && "TAG".equals(field.getName())) {
                                str = (String) field.get(null);
                            }
                        }
                    }
                    return (String) invoke;
                }
            }
        } catch (Throwable th3) {
            th = th3;
            com.igexin.c.a.c.a.a(th);
            return str;
        }
        return str;
    }

    public final AbstractPushManager a(Context context) {
        String lowerCase = AssistUtils.getDeviceBrand().toLowerCase();
        if (com.igexin.push.config.d.M.contains(lowerCase)) {
            com.igexin.c.a.c.a.a("AssistMangerFactory|getPushManager = null, setToken = false", new Object[0]);
            f.a().b(AbsoluteConst.FALSE);
            return null;
        }
        boolean z = true;
        try {
            this.b = (AbstractPushManager) Class.forName("com.igexin.assist.control." + lowerCase + ".ManufacturePushManager").getConstructor(Context.class).newInstance(context);
        } catch (Throwable th) {
            d a2 = d.a();
            a2.a(lowerCase + " PushManager = null " + th.toString());
        }
        if (this.b == null) {
            try {
                com.igexin.c.a.c.a.a("AssistMangerFactory|try init fcm push", new Object[0]);
                AbstractPushManager abstractPushManager = (AbstractPushManager) Class.forName(c).getConstructor(Context.class).newInstance(context);
                this.b = abstractPushManager;
                if (!abstractPushManager.isSupport()) {
                    this.b = null;
                }
            } catch (Throwable th2) {
                d a3 = d.a();
                a3.a(lowerCase + " Fcm PushManager = null");
                StringBuilder sb = new StringBuilder("|Fcm ManufacturePushManager = null ");
                sb.append(th2.toString());
                com.igexin.c.a.c.a.b(a, sb.toString());
                if (!e.b().booleanValue()) {
                    f.a().b(AbsoluteConst.FALSE);
                }
                if (th2 instanceof ClassNotFoundException) {
                    d();
                }
            }
        }
        if (this.b == null && !e.b().booleanValue()) {
            f.a().b(AbsoluteConst.FALSE);
        }
        StringBuilder sb2 = new StringBuilder("AssistMangerFactory|ManufacturePushManager is null = ");
        if (this.b != null) {
            z = false;
        }
        sb2.append(z);
        com.igexin.c.a.c.a.a(sb2.toString(), new Object[0]);
        return this.b;
    }

    public final String[] b() {
        String str;
        String str2;
        Throwable th;
        AbstractPushManager abstractPushManager = this.b;
        String str3 = "";
        if (abstractPushManager == null) {
            return new String[]{str3, str3};
        }
        try {
            Field declaredField = abstractPushManager.getClass().getDeclaredField("PLUGIN_VERSION");
            boolean isAccessible = declaredField.isAccessible();
            declaredField.setAccessible(true);
            str = (String) declaredField.get(this.b.getClass());
            try {
                declaredField.setAccessible(isAccessible);
            } catch (Throwable th2) {
                th = th2;
                str3 = str;
            }
        } catch (Throwable th3) {
            th = th3;
            com.igexin.c.a.c.a.a(th);
            str = str3;
            str2 = (String) this.b.getClass().getDeclaredMethod("getBrandSdkVersion", new Class[0]).invoke(this.b, new Object[0]);
            return new String[]{str, str2};
        }
        try {
            str2 = (String) this.b.getClass().getDeclaredMethod("getBrandSdkVersion", new Class[0]).invoke(this.b, new Object[0]);
        } catch (Throwable th4) {
            com.igexin.c.a.c.a.a(a, th4.getMessage());
            str2 = f();
        }
        return new String[]{str, str2};
    }

    public final boolean c() {
        AbstractPushManager abstractPushManager;
        if (com.igexin.push.config.d.M.contains(AssistUtils.getDeviceBrand().toLowerCase()) || (abstractPushManager = this.b) == null) {
            return false;
        }
        return abstractPushManager.isSupport();
    }
}
