package com.igexin.push.a;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.text.TextUtils;
import com.igexin.c.a.c.a;
import com.igexin.push.core.e;
import com.igexin.push.core.e.c;
import com.igexin.push.core.e.f;
import com.taobao.weex.el.parse.Operators;

public final class b extends SQLiteOpenHelper {
    private static final String a = "DownDBHelper";
    private static final String b = "pushsdk.db";
    private static final int c = 7;
    private static final String d = "create table if not exists config (id integer primary key,value text)";
    private static final String e = "create table if not exists runtime (id integer primary key,value text)";
    private static final String f = "create table if not exists ral (id integer primary key,data text,type integer,time integer,send_times integer)";
    private static final String g = "create table if not exists message (id integer primary key autoincrement,messageid text,taskid text,appid text,info text,msgextra blob,key text,status integer,createtime integer,expect_redisplay_time integer, redisplay_freq integer,redisplay_duration integer ,redisplay_num integer,notify_status integer ) ";
    private static final String h = "create table if not exists bidata (id integer primary key,data text,type integer,time integer)";
    private static final String i = "drop table if exists config";
    private static final String j = "drop table if exists runtime";
    private static final String k = "drop table if exists ral";
    private static final String l = "drop table if exists ca";
    private static final String m = "drop table if exists bi";
    private static final String n = "drop table if exists message";
    private static final String o = "drop table if exists st";
    private static final String p = "drop table if exists bidata";
    private SQLiteDatabase q = null;

    public b(Context context) {
        super(context, "pushsdk.db", (SQLiteDatabase.CursorFactory) null, 7);
    }

    private b(Context context, String str, int i2) {
        super(context, str, (SQLiteDatabase.CursorFactory) null, i2);
    }

    private Cursor a(String str, String[] strArr) {
        SQLiteDatabase readableDatabase = getReadableDatabase();
        this.q = readableDatabase;
        try {
            return readableDatabase.rawQuery(str, strArr);
        } catch (Exception e2) {
            a.a(e2);
            return null;
        }
    }

    private static String a(String[] strArr, String[] strArr2, int i2) {
        StringBuilder sb = new StringBuilder(Operators.SPACE_STR);
        if (strArr.length == 1) {
            for (int i3 = 0; i3 < i2; i3++) {
                sb.append(strArr[0]);
                sb.append(" = '");
                sb.append(strArr2[i3]);
                sb.append("'");
                if (i3 < i2 - 1) {
                    sb.append(" or ");
                }
            }
        } else {
            for (int i4 = 0; i4 < i2; i4++) {
                sb.append(strArr[i4]);
                sb.append(" = '");
                sb.append(strArr2[i4]);
                sb.append("'");
                if (i4 < i2 - 1) {
                    sb.append(" and ");
                }
            }
        }
        return sb.toString();
    }

    private static void a(SQLiteDatabase sQLiteDatabase) {
        if (sQLiteDatabase != null) {
            try {
                if (sQLiteDatabase.isOpen()) {
                    sQLiteDatabase.close();
                }
            } catch (Exception e2) {
                a.a(a, "closecurrentDatabase fail");
            }
        }
    }

    private void a(String str, String str2, ContentValues contentValues) {
        SQLiteDatabase writableDatabase = getWritableDatabase();
        this.q = writableDatabase;
        try {
            writableDatabase.replace(str, str2, contentValues);
        } catch (Exception e2) {
            a.a(e2);
        }
    }

    /* JADX INFO: finally extract failed */
    private boolean a(String str) {
        SQLiteDatabase writableDatabase = getWritableDatabase();
        this.q = writableDatabase;
        writableDatabase.beginTransaction();
        try {
            this.q.execSQL(str);
            this.q.setTransactionSuccessful();
            b(this.q);
            return true;
        } catch (Exception e2) {
            a.a(e2);
            b(this.q);
            return false;
        } catch (Throwable th) {
            b(this.q);
            throw th;
        }
    }

    private static String b(String str, String str2) {
        return "delete from " + str + " where " + str2;
    }

    private static void b(SQLiteDatabase sQLiteDatabase) {
        try {
            sQLiteDatabase.endTransaction();
        } catch (Throwable th) {
            a.a(th);
        }
    }

    public final int a(String str, String str2) {
        Exception e2;
        SQLiteDatabase writableDatabase = getWritableDatabase();
        this.q = writableDatabase;
        writableDatabase.beginTransaction();
        int i2 = 0;
        try {
            int delete = this.q.delete(str, str2, null);
            try {
                a.a("DownDBHelper|del " + delete + " msg", new Object[0]);
                this.q.setTransactionSuccessful();
                b(this.q);
                return delete;
            } catch (Exception e3) {
                e2 = e3;
                i2 = delete;
                try {
                    a.a(e2);
                    return i2;
                } finally {
                    b(this.q);
                }
            }
        } catch (Exception e4) {
            e2 = e4;
            a.a(e2);
            return i2;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0020, code lost:
        r3 = -1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:6:0x0018, code lost:
        r3 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0019, code lost:
        b(r2.q);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x001e, code lost:
        throw r3;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:6:0x0018 A[ExcHandler: all (r3v4 'th' java.lang.Throwable A[CUSTOM_DECLARE]), Splitter:B:1:0x0009] */
    public final long a(String str, ContentValues contentValues) {
        long j2;
        SQLiteDatabase writableDatabase = getWritableDatabase();
        this.q = writableDatabase;
        writableDatabase.beginTransaction();
        try {
            j2 = this.q.insert(str, null, contentValues);
            this.q.setTransactionSuccessful();
        } catch (Exception e2) {
        } catch (Throwable th) {
        }
        b(this.q);
        return j2;
    }

    public final Cursor a(String str, String[] strArr, String str2) {
        try {
            SQLiteDatabase readableDatabase = getReadableDatabase();
            this.q = readableDatabase;
            return readableDatabase.query(str, strArr, str2, null, null, null, null);
        } catch (Throwable th) {
            a.a(th);
            return null;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x006c, code lost:
        r11 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:15:0x006d, code lost:
        b(r10.q);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0072, code lost:
        throw r11;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0074, code lost:
        r11 = null;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:14:0x006c A[ExcHandler: all (r11v2 'th' java.lang.Throwable A[CUSTOM_DECLARE]), Splitter:B:2:0x000b] */
    public final Cursor a(String str, String[] strArr, String[] strArr2, String[] strArr3, String str2) {
        Cursor cursor;
        SQLiteDatabase readableDatabase = getReadableDatabase();
        this.q = readableDatabase;
        readableDatabase.beginTransaction();
        if (strArr == null) {
            try {
                cursor = this.q.query(str, strArr3, null, null, null, null, str2);
            } catch (Exception e2) {
            } catch (Throwable th) {
            }
        } else if (strArr.length != 1) {
            cursor = this.q.query(str, strArr3, a(strArr, strArr2, strArr.length), null, null, null, str2);
        } else if (strArr2.length == 1) {
            SQLiteDatabase sQLiteDatabase = this.q;
            cursor = sQLiteDatabase.query(str, strArr3, strArr[0] + "= ?", strArr2, null, null, str2);
        } else {
            cursor = this.q.query(str, strArr3, a(strArr, strArr2, strArr2.length), null, null, null, str2);
        }
        this.q.setTransactionSuccessful();
        b(this.q);
        return cursor;
    }

    public final void a(String str, ContentValues contentValues, String[] strArr, String[] strArr2) {
        SQLiteDatabase writableDatabase = getWritableDatabase();
        this.q = writableDatabase;
        writableDatabase.beginTransaction();
        try {
            SQLiteDatabase sQLiteDatabase = this.q;
            sQLiteDatabase.update(str, contentValues, strArr[0] + "='" + strArr2[0] + "'", null);
            this.q.setTransactionSuccessful();
        } catch (Exception e2) {
            a.a(a, str + "_Update Error!");
        } catch (Throwable th) {
            b(this.q);
            throw th;
        }
        b(this.q);
    }

    public final void a(String str, String[] strArr, String[] strArr2) {
        SQLiteDatabase writableDatabase = getWritableDatabase();
        this.q = writableDatabase;
        writableDatabase.beginTransaction();
        try {
            if (strArr2.length == 1) {
                SQLiteDatabase sQLiteDatabase = this.q;
                int delete = sQLiteDatabase.delete(str, strArr[0] + " = ?", strArr2);
                a.a("DownDBHelper|del " + str + " cnt = " + delete, new Object[0]);
            } else {
                this.q.execSQL(b(str, a(strArr, strArr2, strArr2.length)));
            }
            this.q.setTransactionSuccessful();
        } catch (Exception e2) {
            a.a(a, str + "_Delete Error!");
        } catch (Throwable th) {
            b(this.q);
            throw th;
        }
        b(this.q);
    }

    public final void onCreate(SQLiteDatabase sQLiteDatabase) {
        sQLiteDatabase.beginTransaction();
        try {
            sQLiteDatabase.execSQL(d);
            sQLiteDatabase.execSQL(e);
            sQLiteDatabase.execSQL(g);
            sQLiteDatabase.execSQL(f);
            sQLiteDatabase.execSQL(h);
            sQLiteDatabase.setTransactionSuccessful();
        } catch (Exception e2) {
        } finally {
            b(sQLiteDatabase);
        }
    }

    public final void onDowngrade(SQLiteDatabase sQLiteDatabase, int i2, int i3) {
        onUpgrade(sQLiteDatabase, i3, i2);
    }

    public final void onUpgrade(SQLiteDatabase sQLiteDatabase, int i2, int i3) {
        f.a().b = true;
        f.d(sQLiteDatabase);
        byte[] a2 = f.a(sQLiteDatabase, 1);
        if (a2 != null) {
            try {
                String str = new String(a2);
                e.z = str.equals(com.igexin.push.core.b.m) ? 0 : Long.parseLong(str);
            } catch (Exception e2) {
                a.a(e2);
            }
            a.a(f.a + "|db version changed, save session = " + e.z, new Object[0]);
        }
        byte[] a3 = f.a(sQLiteDatabase, 20);
        String str2 = null;
        if (a3 != null) {
            String str3 = new String(a3);
            if (str3.equals(com.igexin.push.core.b.m)) {
                str3 = null;
            }
            e.B = str3;
            e.A = str3;
            a.a(f.a + "|db version changed, save cid = " + str3, new Object[0]);
        }
        String b2 = f.b(sQLiteDatabase, 3);
        if (!TextUtils.isEmpty(b2)) {
            if (b2.equals(com.igexin.push.core.b.m)) {
                b2 = null;
            }
            e.L = b2;
        }
        String str4 = e.L;
        String b3 = f.b(sQLiteDatabase, 2);
        if (!TextUtils.isEmpty(b3)) {
            if (b3.equals(com.igexin.push.core.b.m)) {
                b3 = null;
            }
            e.H = b3;
        }
        String b4 = f.b(sQLiteDatabase, 46);
        if (!TextUtils.isEmpty(b4)) {
            if (b4.equals(com.igexin.push.core.b.m)) {
                b4 = null;
            }
            e.I = b4;
        }
        String b5 = f.b(sQLiteDatabase, 48);
        if (!TextUtils.isEmpty(b5)) {
            if (b5.equals(com.igexin.push.core.b.m)) {
                b5 = null;
            }
            e.K = b5;
        }
        String b6 = f.b(sQLiteDatabase, 51);
        if (!TextUtils.isEmpty(b6)) {
            if (!b6.equals(com.igexin.push.core.b.m)) {
                str2 = b6;
            }
            e.C = str2;
        }
        c.a().d(sQLiteDatabase);
        try {
            sQLiteDatabase.execSQL(i);
        } catch (Exception e3) {
            a.a(e3);
        }
        try {
            sQLiteDatabase.execSQL(j);
        } catch (Exception e4) {
            a.a(e4);
        }
        try {
            sQLiteDatabase.execSQL(n);
        } catch (Exception e5) {
            a.a(e5);
        }
        try {
            sQLiteDatabase.execSQL(k);
        } catch (Exception e6) {
            a.a(e6);
        }
        try {
            sQLiteDatabase.execSQL(l);
        } catch (Exception e7) {
            a.a(e7);
        }
        try {
            sQLiteDatabase.execSQL(m);
        } catch (Exception e8) {
            a.a(e8);
        }
        try {
            sQLiteDatabase.execSQL(o);
        } catch (Exception e9) {
            a.a(e9);
        }
        try {
            sQLiteDatabase.execSQL(p);
        } catch (Exception e10) {
            a.a(e10);
        }
        onCreate(sQLiteDatabase);
    }
}
