package com.igexin.push.f;

import android.text.TextUtils;
import com.alipay.sdk.m.s.a;
import com.alipay.sdk.m.u.i;
import com.taobao.weex.el.parse.Operators;
import com.xiaomi.mipush.sdk.Constants;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.util.net.NetWork;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.StringWriter;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Iterator;
import java.util.Map;

public class r {
    public static final String a = r.class.getName();
    public static final String b = "utf-8";
    private static final String c = "POST";
    private static final String d = "GET";
    private static final String e = "GETUI";
    private static final int f = 30000;

    private static String a(InputStream inputStream, String str) throws Exception {
        try {
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream, str));
            StringWriter stringWriter = new StringWriter();
            char[] cArr = new char[256];
            while (true) {
                int read = bufferedReader.read(cArr);
                if (read <= 0) {
                    break;
                }
                stringWriter.write(cArr, 0, read);
            }
            return stringWriter.toString();
        } finally {
            if (inputStream != null) {
                inputStream.close();
            }
        }
    }

    private static String a(String str) {
        if (!TextUtils.isEmpty(str)) {
            String[] split = str.split(i.b);
            int length = split.length;
            int i = 0;
            while (true) {
                if (i >= length) {
                    break;
                }
                String trim = split[i].trim();
                if (trim.startsWith("charset")) {
                    String[] split2 = trim.split("=", 2);
                    if (split2.length == 2 && !TextUtils.isEmpty(split2[1])) {
                        return split2[1].trim();
                    }
                } else {
                    i++;
                }
            }
        }
        return b;
    }

    private static String a(Map<String, String> map, String str) throws Exception {
        if (map == null || map.isEmpty()) {
            return null;
        }
        if (TextUtils.isEmpty(str)) {
            str = b;
        }
        StringBuilder sb = new StringBuilder();
        boolean z = false;
        for (Map.Entry<String, String> entry : map.entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue();
            if (!TextUtils.isEmpty(key) && !TextUtils.isEmpty(value)) {
                if (z) {
                    sb.append(a.n);
                } else {
                    z = true;
                }
                sb.append(key);
                sb.append("=");
                sb.append(URLEncoder.encode(value, str));
            }
        }
        return sb.toString();
    }

    private static HttpURLConnection a(URL url, String str, String str2) throws Exception {
        HttpURLConnection httpURLConnection = (HttpURLConnection) url.openConnection();
        httpURLConnection.setRequestMethod(str);
        httpURLConnection.setDoInput(true);
        httpURLConnection.setDoOutput(true);
        httpURLConnection.setConnectTimeout(30000);
        httpURLConnection.setReadTimeout(30000);
        httpURLConnection.setRequestProperty(IWebview.USER_AGENT, e);
        httpURLConnection.setRequestProperty(NetWork.CONTENT_TYPE, str2);
        httpURLConnection.setRequestProperty("HOST", url.getHost() + Constants.COLON_SEPARATOR + url.getPort());
        return httpURLConnection;
    }

    private static URL a(String str, String str2) throws Exception {
        String str3;
        StringBuilder sb;
        String str4;
        StringBuilder sb2;
        URL url = new URL(str);
        if (TextUtils.isEmpty(str2)) {
            return url;
        }
        if (TextUtils.isEmpty(url.getQuery())) {
            str4 = Operators.CONDITION_IF_STRING;
            if (str.endsWith(str4)) {
                sb2 = new StringBuilder();
            } else {
                sb = new StringBuilder();
                sb.append(str);
                sb.append(str4);
                sb.append(str2);
                str3 = sb.toString();
                return new URL(str3);
            }
        } else {
            str4 = a.n;
            if (str.endsWith(str4)) {
                sb2 = new StringBuilder();
            } else {
                sb = new StringBuilder();
                sb.append(str);
                sb.append(str4);
                sb.append(str2);
                str3 = sb.toString();
                return new URL(str3);
            }
        }
        sb2.append(str);
        sb2.append(str2);
        str3 = sb2.toString();
        return new URL(str3);
    }

    private static URL a(String str, Map<String, String> map, String str2) throws Exception {
        return a(str, a(map, str2));
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0033 A[SYNTHETIC, Splitter:B:21:0x0033] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0040 A[SYNTHETIC, Splitter:B:29:0x0040] */
    private static byte[] a(InputStream inputStream) {
        Throwable th;
        Exception e2;
        BufferedInputStream bufferedInputStream;
        BufferedInputStream bufferedInputStream2 = null;
        try {
            bufferedInputStream = new BufferedInputStream(inputStream);
            try {
                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream(1024);
                byte[] bArr = new byte[1024];
                while (true) {
                    int read = bufferedInputStream.read(bArr);
                    if (read == -1) {
                        break;
                    }
                    byteArrayOutputStream.write(bArr, 0, read);
                }
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                try {
                    bufferedInputStream.close();
                } catch (IOException e3) {
                    com.igexin.c.a.c.a.a(e3);
                }
                return byteArray;
            } catch (Exception e4) {
                e2 = e4;
                try {
                    com.igexin.c.a.c.a.a(e2);
                    if (bufferedInputStream != null) {
                        try {
                            bufferedInputStream.close();
                        } catch (IOException e5) {
                            com.igexin.c.a.c.a.a(e5);
                        }
                    }
                    return null;
                } catch (Throwable th2) {
                    th = th2;
                    bufferedInputStream2 = bufferedInputStream;
                    if (bufferedInputStream2 != null) {
                    }
                    throw th;
                }
            }
        } catch (Exception e6) {
            e2 = e6;
            bufferedInputStream = null;
            com.igexin.c.a.c.a.a(e2);
            if (bufferedInputStream != null) {
            }
            return null;
        } catch (Throwable th3) {
            th = th3;
            if (bufferedInputStream2 != null) {
                try {
                    bufferedInputStream2.close();
                } catch (IOException e7) {
                    com.igexin.c.a.c.a.a(e7);
                }
            }
            throw th;
        }
    }

    private static byte[] a(String str, String str2, String str3) throws IOException {
        return ("Content-Disposition:form-data;name=\"" + str + "\"\r\nContent-Type:text/plain\r\n\r\n" + str2).getBytes(str3);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v1, types: [java.net.HttpURLConnection] */
    /* JADX WARN: Type inference failed for: r2v4 */
    /* JADX WARN: Type inference failed for: r2v7 */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x003b  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0040  */
    /* JADX WARNING: Unknown variable types count: 1 */
    private static byte[] a(String str, String str2, byte[] bArr, int i, int i2) throws Exception {
        Throwable th;
        ?? r2;
        IOException e2;
        OutputStream outputStream = null;
        try {
            HttpURLConnection a2 = a(new URL(str), "POST", str2);
            try {
                a2.setConnectTimeout(i);
                a2.setReadTimeout(i2);
                try {
                    outputStream = a2.getOutputStream();
                    outputStream.write(bArr);
                    byte[] a3 = a(a2);
                    if (outputStream != null) {
                        outputStream.close();
                    }
                    if (a2 != null) {
                        a2.disconnect();
                    }
                    return a3;
                } catch (Exception e3) {
                    com.igexin.c.a.c.a.a(e3);
                    throw e3;
                } catch (Throwable th2) {
                    th = th2;
                    r2 = str;
                    if (outputStream != null) {
                        outputStream.close();
                    }
                    if (r2 != 0) {
                        r2.disconnect();
                    }
                    throw th;
                }
            } catch (IOException e4) {
                e2 = e4;
                com.igexin.c.a.c.a.a(e2);
                throw e2;
            }
        } catch (IOException e5) {
            e2 = e5;
            com.igexin.c.a.c.a.a(e2);
            throw e2;
        } catch (Throwable th3) {
            th = th3;
            r2 = 0;
            if (outputStream != null) {
            }
            if (r2 != 0) {
            }
            throw th;
        }
    }

    private static byte[] a(String str, Map<String, String> map, int i, int i2) throws Exception {
        return a(str, map, b, i, i2);
    }

    private static byte[] a(String str, Map<String, String> map, int i, int i2, String str2) throws Exception {
        HttpURLConnection b2 = b(str, map, i, i2, str2);
        try {
            byte[] a2 = a(b2);
            if (b2 != null) {
                b2.disconnect();
            }
            return a2;
        } catch (Exception e2) {
            throw e2;
        } catch (Throwable th) {
            if (b2 != null) {
                b2.disconnect();
            }
            throw th;
        }
    }

    private static byte[] a(String str, Map<String, String> map, String str2, int i, int i2) throws Exception {
        String concat = "application/x-www-form-urlencoded;charset=".concat(String.valueOf(str2));
        String a2 = a(map, str2);
        byte[] bArr = new byte[0];
        if (a2 != null) {
            bArr = a2.getBytes(str2);
        }
        return a(str, concat, bArr, i, i2);
    }

    private static byte[] a(String str, Map<String, String> map, Map<String, i> map2, int i, int i2) throws Exception {
        return (map2 == null || map2.isEmpty()) ? a(str, map, b, i, i2) : a(str, map, map2, b, i, i2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:115:0x021b  */
    /* JADX WARNING: Removed duplicated region for block: B:117:0x0220  */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x0158 A[Catch:{ Exception -> 0x01f3, all -> 0x01f1 }] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x015b A[Catch:{ Exception -> 0x01f3, all -> 0x01f1 }] */
    private static byte[] a(String str, Map<String, String> map, Map<String, i> map2, String str2, int i, int i2) throws Exception {
        HttpURLConnection httpURLConnection;
        OutputStream outputStream;
        Throwable th;
        HttpURLConnection httpURLConnection2;
        IOException e2;
        Exception e3;
        Iterator<Map.Entry<String, i>> it;
        Object obj;
        StringBuilder sb = new StringBuilder();
        sb.append(System.currentTimeMillis());
        String sb2 = sb.toString();
        try {
            httpURLConnection2 = a(new URL(str), "POST", "multipart/form-data;charset=" + str2 + ";boundary=" + sb2);
            try {
                httpURLConnection2.setConnectTimeout(i);
                httpURLConnection2.setReadTimeout(i2);
                try {
                    OutputStream outputStream2 = httpURLConnection2.getOutputStream();
                    try {
                        byte[] bytes = ("\r\n--" + sb2 + "\r\n").getBytes(str2);
                        for (Map.Entry<String, String> entry : map.entrySet()) {
                            byte[] bytes2 = ("Content-Disposition:form-data;name=\"" + entry.getKey() + "\"\r\nContent-Type:text/plain\r\n\r\n" + entry.getValue()).getBytes(str2);
                            outputStream2.write(bytes);
                            outputStream2.write(bytes2);
                        }
                        Iterator<Map.Entry<String, i>> it2 = map2.entrySet().iterator();
                        while (it2.hasNext()) {
                            Map.Entry<String, i> next = it2.next();
                            i value = next.getValue();
                            next.getKey();
                            if (value.a == null && value.c != null && value.c.exists()) {
                                value.a = value.c.getName();
                            }
                            String str3 = value.a;
                            if (value.b == null) {
                                byte[] a2 = value.a();
                                if (a2 != null) {
                                    it = it2;
                                    if (a2.length < 10) {
                                        httpURLConnection = httpURLConnection2;
                                    } else {
                                        httpURLConnection = httpURLConnection2;
                                        if (a2[0] == 71) {
                                            try {
                                                if (a2[1] == 73 && a2[2] == 70) {
                                                    obj = "GIF";
                                                    value.b = "JPG".equals(obj) ? "image/jpeg" : "GIF".equals(obj) ? "image/gif" : "PNG".equals(obj) ? "image/png" : "BMP".equals(obj) ? "image/bmp" : "application/octet-stream";
                                                }
                                            } catch (Exception e4) {
                                                e3 = e4;
                                                outputStream = outputStream2;
                                                try {
                                                    com.igexin.c.a.c.a.a(e3);
                                                    throw e3;
                                                } catch (Throwable th2) {
                                                    th = th2;
                                                    if (outputStream != null) {
                                                    }
                                                    if (httpURLConnection != null) {
                                                    }
                                                    throw th;
                                                }
                                            } catch (Throwable th3) {
                                                th = th3;
                                                outputStream = outputStream2;
                                                if (outputStream != null) {
                                                }
                                                if (httpURLConnection != null) {
                                                }
                                                throw th;
                                            }
                                        }
                                        if (a2[1] == 80 && a2[2] == 78 && a2[3] == 71) {
                                            obj = "PNG";
                                            value.b = "JPG".equals(obj) ? "image/jpeg" : "GIF".equals(obj) ? "image/gif" : "PNG".equals(obj) ? "image/png" : "BMP".equals(obj) ? "image/bmp" : "application/octet-stream";
                                        } else if (a2[6] == 74 && a2[7] == 70 && a2[8] == 73 && a2[9] == 70) {
                                            obj = "JPG";
                                            value.b = "JPG".equals(obj) ? "image/jpeg" : "GIF".equals(obj) ? "image/gif" : "PNG".equals(obj) ? "image/png" : "BMP".equals(obj) ? "image/bmp" : "application/octet-stream";
                                        } else if (a2[0] == 66 && a2[1] == 77) {
                                            obj = "BMP";
                                            value.b = "JPG".equals(obj) ? "image/jpeg" : "GIF".equals(obj) ? "image/gif" : "PNG".equals(obj) ? "image/png" : "BMP".equals(obj) ? "image/bmp" : "application/octet-stream";
                                        }
                                    }
                                } else {
                                    httpURLConnection = httpURLConnection2;
                                    it = it2;
                                }
                                obj = null;
                                value.b = "JPG".equals(obj) ? "image/jpeg" : "GIF".equals(obj) ? "image/gif" : "PNG".equals(obj) ? "image/png" : "BMP".equals(obj) ? "image/bmp" : "application/octet-stream";
                            } else {
                                httpURLConnection = httpURLConnection2;
                                it = it2;
                            }
                            String str4 = value.b;
                            StringBuilder sb3 = new StringBuilder();
                            sb3.append("Content-Disposition:form-data;name=\"");
                            sb3.append("dp_data");
                            sb3.append("\";filename=\"");
                            if (TextUtils.isEmpty(str3)) {
                                str3 = "filename";
                            }
                            sb3.append(str3);
                            sb3.append("\"\r\nContent-Type:");
                            sb3.append(str4);
                            sb3.append("\r\n\r\n");
                            byte[] bytes3 = sb3.toString().getBytes(str2);
                            outputStream2.write(bytes);
                            outputStream2.write(bytes3);
                            byte[] a3 = value.a();
                            if (a3 != null) {
                                outputStream2.write(a3);
                            }
                            it2 = it;
                            httpURLConnection2 = httpURLConnection;
                        }
                        outputStream2.write(("\r\n--" + sb2 + "--\r\n").getBytes(str2));
                        byte[] a4 = a(httpURLConnection2);
                        if (outputStream2 != null) {
                            outputStream2.close();
                        }
                        if (httpURLConnection2 != null) {
                            httpURLConnection2.disconnect();
                        }
                        return a4;
                    } catch (Exception e5) {
                        e3 = e5;
                        httpURLConnection = httpURLConnection2;
                        outputStream = outputStream2;
                        com.igexin.c.a.c.a.a(e3);
                        throw e3;
                    } catch (Throwable th4) {
                        th = th4;
                        httpURLConnection = httpURLConnection2;
                        outputStream = outputStream2;
                        if (outputStream != null) {
                            outputStream.close();
                        }
                        if (httpURLConnection != null) {
                            httpURLConnection.disconnect();
                        }
                        throw th;
                    }
                } catch (Exception e6) {
                    e3 = e6;
                    httpURLConnection = httpURLConnection2;
                    outputStream = null;
                    com.igexin.c.a.c.a.a(e3);
                    throw e3;
                }
            } catch (IOException e7) {
                e2 = e7;
                try {
                    throw e2;
                } catch (Throwable th5) {
                    th = th5;
                    httpURLConnection = httpURLConnection2;
                    outputStream = null;
                }
            }
        } catch (IOException e8) {
            e2 = e8;
            httpURLConnection2 = null;
            throw e2;
        } catch (Throwable th6) {
            th = th6;
            outputStream = null;
            httpURLConnection = null;
            if (outputStream != null) {
            }
            if (httpURLConnection != null) {
            }
            throw th;
        }
    }

    public static byte[] a(String str, byte[] bArr) throws Exception {
        return a(str, "application/octet-stream", bArr, 10000, 10000);
    }

    private static byte[] a(HttpURLConnection httpURLConnection) throws Exception {
        return httpURLConnection.getErrorStream() == null ? a(httpURLConnection.getInputStream()) : b(httpURLConnection).getBytes();
    }

    private static String b(HttpURLConnection httpURLConnection) throws Exception {
        String a2 = a(httpURLConnection.getErrorStream(), a(httpURLConnection.getContentType()));
        if (!TextUtils.isEmpty(a2)) {
            return a2;
        }
        throw new IOException(httpURLConnection.getResponseCode() + Constants.COLON_SEPARATOR + httpURLConnection.getResponseMessage());
    }

    private static HttpURLConnection b(String str, Map<String, String> map, int i, int i2, String str2) throws Exception {
        HttpURLConnection a2 = a(a(str, a(map, str2)), "GET", "application/x-www-form-urlencoded;charset=".concat(String.valueOf(str2)));
        a2.setConnectTimeout(i);
        a2.setReadTimeout(i2);
        return a2;
    }

    private static byte[] b(String str, String str2, String str3) throws IOException {
        StringBuilder sb = new StringBuilder();
        sb.append("Content-Disposition:form-data;name=\"");
        sb.append("dp_data");
        sb.append("\";filename=\"");
        if (TextUtils.isEmpty(str)) {
            str = "filename";
        }
        sb.append(str);
        sb.append("\"\r\nContent-Type:");
        sb.append(str2);
        sb.append("\r\n\r\n");
        return sb.toString().getBytes(str3);
    }

    private static byte[] b(String str, Map<String, String> map, int i, int i2) throws Exception {
        return a(str, map, i, i2, b);
    }

    private static byte[] c(String str, Map<String, String> map, int i, int i2) throws Exception {
        HttpURLConnection b2 = b(str, map, i, i2, b);
        try {
            byte[] a2 = a(b2);
            if (b2 != null) {
                b2.disconnect();
            }
            return a2;
        } catch (Exception e2) {
            throw e2;
        } catch (Throwable th) {
            if (b2 != null) {
                b2.disconnect();
            }
            throw th;
        }
    }
}
