package com.taobao.weex.dom;

import androidx.collection.ArrayMap;
import io.dcloud.feature.uniapp.dom.AbsStyle;
import java.util.Map;

public class WXStyle extends AbsStyle {
    public WXStyle() {
    }

    public WXStyle(Map<String, Object> styles) {
        super(styles);
    }

    public WXStyle(Map<String, Object> mStyles, boolean byPesudo) {
        super(mStyles, byPesudo);
    }

    @Override // java.lang.Object, io.dcloud.feature.uniapp.dom.AbsStyle, io.dcloud.feature.uniapp.dom.AbsStyle
    public WXStyle clone() {
        WXStyle style = new WXStyle();
        style.mStyles.putAll(this.mStyles);
        if (this.mBindingStyle != null) {
            style.mBindingStyle = new ArrayMap(this.mBindingStyle);
        }
        if (this.mPesudoStyleMap != null) {
            style.mPesudoStyleMap = new ArrayMap();
            for (Map.Entry<String, Map<String, Object>> entry : this.mPesudoStyleMap.entrySet()) {
                ArrayMap arrayMap = new ArrayMap();
                arrayMap.putAll(entry.getValue());
                style.mPesudoStyleMap.put(entry.getKey(), arrayMap);
            }
        }
        if (this.mPesudoResetStyleMap != null) {
            style.mPesudoResetStyleMap = new ArrayMap();
            style.mPesudoResetStyleMap.putAll(this.mPesudoResetStyleMap);
        }
        return style;
    }
}
