package com.taobao.weex.ui.action;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.ui.component.WXComponent;

public class GraphicActionRefreshFinish extends BasicGraphicAction {
    private int mLayoutHeight;
    private int mLayoutWidth;

    public GraphicActionRefreshFinish(WXSDKInstance instance) {
        super(instance, "");
        WXComponent component = instance.getRootComponent();
        if (component != null) {
            this.mLayoutWidth = (int) component.getLayoutWidth();
            this.mLayoutHeight = (int) component.getLayoutHeight();
        }
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
        WXSDKInstance instance = getWXSDKIntance();
        if (instance != null && instance.getContext() != null) {
            instance.onRefreshSuccess(this.mLayoutWidth, this.mLayoutHeight);
        }
    }
}
