package com.taobao.weex.ui.action;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.component.richtext.WXRichText;
import java.util.HashMap;
import java.util.Map;

public class GraphicActionUpdateRichtextStyle extends BasicGraphicAction {
    public GraphicActionUpdateRichtextStyle(WXSDKInstance instance, String ref, HashMap<String, String> styles, String parentRef, String richTextRef) {
        super(instance, richTextRef);
        WXRichText richText = (WXRichText) WXSDKManager.getInstance().getWXRenderManager().getWXComponent(getPageId(), richTextRef);
        if (richText != null) {
            Map<String, Object> map = new HashMap<>();
            map.putAll(styles);
            richText.updateChildNodeStyles(ref, map);
        }
    }

    @Override // com.taobao.weex.ui.action.IExecutable
    public void executeAction() {
    }
}
