package com.taobao.weex.ui.component;

import android.view.View;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.annotation.Component;
import com.taobao.weex.dom.WXAttr;
import com.taobao.weex.ui.action.BasicComponentData;
import com.taobao.weex.ui.component.WXComponent;
import com.taobao.weex.ui.view.WXFrameLayout;
import com.taobao.weex.utils.ATagUtil;

@Component(lazyload = false)
public class WXA extends WXDiv {
    @Deprecated
    public WXA(WXSDKInstance instance, WXVContainer parent, String instanceId, boolean isLazy, BasicComponentData basicComponentData) {
        this(instance, parent, basicComponentData);
    }

    public WXA(WXSDKInstance instance, WXVContainer parent, BasicComponentData basicComponentData) {
        super(instance, parent, basicComponentData);
    }

    /* access modifiers changed from: protected */
    public void onHostViewInitialized(WXFrameLayout host) {
        addClickListener(new WXComponent.OnClickListener() {
            /* class com.taobao.weex.ui.component.WXA.AnonymousClass1 */

            @Override // com.taobao.weex.ui.component.WXComponent.OnClickListener
            public void onHostViewClick() {
                String href;
                WXAttr attr = WXA.this.getAttrs();
                if (attr != null && (href = (String) attr.get("href")) != null) {
                    ATagUtil.onClick(null, WXA.this.getInstanceId(), href);
                }
            }
        });
        super.onHostViewInitialized((View) host);
    }

    /* access modifiers changed from: protected */
    @Override // com.taobao.weex.ui.component.WXComponent
    public boolean setProperty(String key, Object param) {
        if (((key.hashCode() == 3211051 && key.equals("href")) ? (char) 0 : 65535) != 0) {
            return super.setProperty(key, param);
        }
        return true;
    }
}
