package com.taobao.weex.ui.component.helper;

import android.widget.TextView;
import com.taobao.weex.appfram.pickers.DatePickerImpl;
import com.taobao.weex.ui.component.AbstractEditComponent;

public class WXTimeInputHelper {
    public static void pickDate(String max, String min, final AbstractEditComponent component) {
        final TextView target = (TextView) component.getHostView();
        DatePickerImpl.pickDate(target.getContext(), target.getText().toString(), max, min, new DatePickerImpl.OnPickListener() {
            /* class com.taobao.weex.ui.component.helper.WXTimeInputHelper.AnonymousClass1 */

            @Override // com.taobao.weex.appfram.pickers.DatePickerImpl.OnPickListener
            public void onPick(boolean set, String result) {
                if (set) {
                    target.setText(result);
                    component.performOnChange(result);
                }
            }
        }, null);
    }

    public static void pickTime(final AbstractEditComponent component) {
        final TextView target = (TextView) component.getHostView();
        DatePickerImpl.pickTime(target.getContext(), target.getText().toString(), new DatePickerImpl.OnPickListener() {
            /* class com.taobao.weex.ui.component.helper.WXTimeInputHelper.AnonymousClass2 */

            @Override // com.taobao.weex.appfram.pickers.DatePickerImpl.OnPickListener
            public void onPick(boolean set, String result) {
                if (set) {
                    target.setText(result);
                    component.performOnChange(result);
                }
            }
        }, null);
    }
}
