package com.taobao.weex.utils;

import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import androidx.core.content.res.ResourcesCompat;
import java.util.List;

public class ImgURIUtil {
    public static Drawable getDrawableFromLoaclSrc(Context context, Uri rewrited) {
        Resources resources = context.getResources();
        List<String> segments = rewrited.getPathSegments();
        if (segments.size() != 1) {
            WXLogUtils.e("Local src format is invalid.");
            return null;
        }
        int id = resources.getIdentifier(segments.get(0), "drawable", context.getPackageName());
        if (id == 0) {
            return null;
        }
        return ResourcesCompat.getDrawable(resources, id, null);
    }
}
