package com.tencent.liteav.audio;

import android.content.Context;
import com.tencent.liteav.audio.impl.Play.TXAudioJitterBufferReportInfo;
import com.tencent.liteav.audio.impl.Play.TXCAudioBasePlayController;
import com.tencent.liteav.audio.impl.Play.d;
import com.tencent.liteav.audio.impl.TXCTraeJNI;
import com.tencent.liteav.audio.impl.b;
import com.tencent.liteav.audio.impl.c;
import com.tencent.liteav.audio.impl.e;
import com.tencent.liteav.basic.log.TXCLog;

/* compiled from: TXCAudioPlayer */
public class a implements e {
    public static float a = 5.0f;
    public static boolean b = true;
    public static float c = 5.0f;
    public static float d = 1.0f;
    public static boolean e = false;
    private static final String f = ("AudioCenter:" + a.class.getSimpleName());
    private TXCAudioBasePlayController g = null;
    private c h;
    private int i = 0;
    private float j = a;
    private boolean k = b;
    private float l = c;
    private float m = d;
    private boolean n = false;
    private boolean o = false;
    private boolean p = e;
    private int q = 0;
    private Context r;
    private String s;
    private int t = 0;
    private com.tencent.liteav.basic.module.a u = null;

    public static void a(c cVar) {
        TXCAudioBasePlayController.setAudioCorePlayListener(cVar);
    }

    public a() {
        com.tencent.liteav.basic.module.a aVar = new com.tencent.liteav.basic.module.a();
        this.u = aVar;
        aVar.setID("18446744073709551615");
    }

    public synchronized int a(Context context) {
        if (context == null) {
            TXCLog.e(f, "invalid param, start play failed!");
            return TXEAudioDef.TXE_AUDIO_COMMON_ERR_INVALID_PARAMS;
        }
        if (b.c(this.i) != 0) {
            String str = f;
            TXCLog.w(str, "start player failed, with aec type " + this.i + ", invalid aec recorder has started!");
        }
        if (this.g == null || !this.g.isPlaying()) {
            this.r = context;
            com.tencent.liteav.audio.impl.a.a().a(context);
            c.a().a(this.r);
            c.a().a(this);
            if (this.g == null) {
                if (this.i == 2) {
                    this.g = new com.tencent.liteav.audio.impl.Play.c(context.getApplicationContext());
                } else {
                    this.g = new com.tencent.liteav.audio.impl.Play.b(context.getApplicationContext());
                }
            }
            if (this.g != null) {
                a(this.i, this.r);
                b(this.h);
                a(this.j);
                a(this.k);
                b(this.l);
                c(this.m);
                c(this.n);
                b(this.o);
                b(this.q);
                d(this.p);
                a(this.s);
                a(this.t);
                return this.g.startPlay();
            }
            TXCLog.e(f, "start play failed! controller is null!");
            return TXEAudioDef.TXE_AUDIO_COMMON_ERR_INVALID_PARAMS;
        }
        TXCLog.e(f, "play has started, can not start again!");
        return TXEAudioDef.TXE_AUDIO_PLAY_ERR_REPEAT_OPTION;
    }

    public synchronized int a() {
        int i2;
        this.h = null;
        this.j = a;
        this.k = b;
        this.l = c;
        this.m = d;
        i2 = 0;
        this.n = false;
        this.o = false;
        this.p = e;
        this.q = 0;
        this.r = null;
        this.s = null;
        this.t = 0;
        if (this.g != null) {
            i2 = this.g.stopPlay();
            this.g = null;
        }
        c.a().b(this);
        return i2;
    }

    public void a(boolean z, Context context) {
        if (!z) {
            a(0, context);
            this.u.setStatusValue(18005, 0);
        } else if (com.tencent.liteav.basic.e.b.a().g()) {
            a(1, context);
            this.u.setStatusValue(18005, 1);
        } else {
            com.tencent.liteav.audio.impl.a.a(com.tencent.liteav.basic.e.b.a().b());
            this.u.setStatusValue(18005, 2);
            a(2, context);
        }
    }

    public synchronized void a(String str) {
        this.s = str;
        if (this.g != null) {
            this.g.setUserID(str);
        }
    }

    private void a(int i2, Context context) {
        if (i2 != 2 || TXCTraeJNI.nativeCheckTraeEngine(context)) {
            String str = f;
            TXCLog.i(str, "set aec type to " + i2 + ", cur type " + this.i);
            this.i = i2;
            return;
        }
        TXCLog.e(f, "set aec type failed, check trae library failed!!");
    }

    public synchronized int a(int i2) {
        this.t = i2;
        if (this.g == null) {
            return TXEAudioDef.TXE_AUDIO_PLAY_ERR_INVALID_STATE;
        }
        return this.g.setStreamFormat(i2);
    }

    public void b(c cVar) {
        this.h = cVar;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.setListener(cVar);
        }
    }

    public void a(float f2) {
        this.j = f2;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.setCacheTime(f2);
        }
    }

    public void a(boolean z) {
        this.k = z;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.enableAutojustCache(z);
        }
    }

    public void b(float f2) {
        this.l = f2;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.setAutoAdjustMaxCache(f2);
        }
    }

    public void c(float f2) {
        this.m = f2;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.setAutoAdjustMinCache(f2);
        }
    }

    public synchronized float b() {
        if (this.g == null) {
            return 0.0f;
        }
        return this.g.getCacheThreshold();
    }

    public void b(boolean z) {
        this.o = z;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.enableHWAcceleration(z);
        }
    }

    public void c(boolean z) {
        this.n = z;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.enableRealTimePlay(z);
        }
    }

    public void d(boolean z) {
        this.p = z;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.setMute(z);
        }
    }

    public static void a(Context context, int i2) {
        TXCAudioBasePlayController.setAudioMode(context, i2);
    }

    public void b(int i2) {
        this.q = i2;
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            tXCAudioBasePlayController.setSmootheMode(i2);
        }
    }

    public int c() {
        if (d.a().d()) {
            int i2 = this.i;
            if (i2 != 2) {
                return i2;
            }
            String str = f;
            TXCLog.e(str, "audio track has start, but aec type is trae!!" + this.i);
            return 0;
        } else if (!TXCTraeJNI.nativeTraeIsPlaying()) {
            return 0;
        } else {
            int i3 = this.i;
            if (i3 == 2) {
                return i3;
            }
            String str2 = f;
            TXCLog.e(str2, "trae engine has start, but aec type is not trae!!" + this.i);
            return 2;
        }
    }

    public int d() {
        return 48000;
    }

    public int e() {
        return 2;
    }

    public TXAudioJitterBufferReportInfo f() {
        TXCAudioBasePlayController tXCAudioBasePlayController = this.g;
        if (tXCAudioBasePlayController != null) {
            return tXCAudioBasePlayController.getReportInfo();
        }
        return null;
    }

    @Override // com.tencent.liteav.audio.impl.e
    public void c(int i2) {
        TXCAudioBasePlayController tXCAudioBasePlayController;
        if (i2 == 0) {
            TXCAudioBasePlayController tXCAudioBasePlayController2 = this.g;
            if (tXCAudioBasePlayController2 != null) {
                tXCAudioBasePlayController2.setMute(this.p);
            }
        } else if (i2 == 1) {
            TXCAudioBasePlayController tXCAudioBasePlayController3 = this.g;
            if (tXCAudioBasePlayController3 != null) {
                tXCAudioBasePlayController3.setMute(true);
            }
        } else if (i2 == 2 && (tXCAudioBasePlayController = this.g) != null) {
            tXCAudioBasePlayController.setMute(true);
        }
    }
}
