package com.tencent.liteav.audio.impl.Play;

import android.content.Context;
import com.tencent.liteav.audio.TXEAudioDef;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.structs.a;
import java.lang.ref.WeakReference;

/* compiled from: TXCAudioSysPlayController */
public class b extends TXCAudioBasePlayController {
    public static final String a = ("AudioCenter:" + b.class.getSimpleName());
    private a b;
    private a c;

    public b(Context context) {
        super(context);
    }

    /* access modifiers changed from: protected */
    public void finalize() {
        if (this.mJitterBuffer != 0) {
            nativeDestoryJitterBuffer(this.mJitterBuffer);
            this.mJitterBuffer = 0;
        }
    }

    public static void a(Context context, int i) {
        d.a().a(context, i);
    }

    @Override // com.tencent.liteav.audio.impl.Play.TXCAudioBasePlayController
    public int startPlay() {
        TXCLog.i(a, "start play audio!");
        if (!this.mIsPlaying) {
            if (this.mIsHWAcceleration) {
                a aVar = new a();
                this.b = aVar;
                aVar.a(new WeakReference<>(this));
            }
            if (!nativeIsTracksEmpty()) {
                d.a().b();
            }
            this.mIsPlaying = true;
            TXCLog.i(a, "finish start play audio!");
            return 0;
        }
        TXCLog.e(a, "repeat start play audio, ignore it!");
        return TXEAudioDef.TXE_AUDIO_PLAY_ERR_REPEAT_OPTION;
    }

    @Override // com.tencent.liteav.audio.impl.Play.TXCAudioBasePlayController
    public int stopPlay() {
        TXCLog.i(a, "stop play audio!");
        if (this.mIsPlaying) {
            super.stopPlay();
            if (this.mJitterBuffer != 0) {
                nativeDestoryJitterBuffer(this.mJitterBuffer);
                this.mJitterBuffer = 0;
            }
            if (nativeIsTracksEmpty()) {
                d.a().c();
            }
            a aVar = this.b;
            if (aVar != null) {
                aVar.a();
                this.b = null;
            }
            this.c = null;
            TXCLog.i(a, "finish stop play audio!");
            return 0;
        }
        TXCLog.e(a, "repeat stop play audio, ignore it!");
        return TXEAudioDef.TXE_AUDIO_PLAY_ERR_REPEAT_OPTION;
    }

    @Override // com.tencent.liteav.audio.impl.Play.TXCAudioBasePlayController, com.tencent.liteav.audio.c
    public void onPlayPcmData(byte[] bArr, long j, int i, int i2) {
        super.onPlayPcmData(bArr, j, i, i2);
        if (this.mJitterBuffer != 0) {
            boolean z = this.mIsHWAcceleration;
        }
    }
}
