package com.tencent.liteav.basic.d;

import android.graphics.SurfaceTexture;
import android.opengl.GLES20;
import android.os.HandlerThread;
import android.os.Message;
import com.tencent.liteav.basic.d.f;
import com.tencent.liteav.basic.log.TXCLog;
import com.uc.crashsdk.export.LogType;
import javax.microedition.khronos.egl.EGLContext;

/* compiled from: TXCGLSurfaceTextureThread */
public class e implements f.a, l {
    public int a = 25;
    private volatile HandlerThread b = null;
    private volatile f c = null;
    private m d;
    private int[] e = null;
    private SurfaceTexture f = null;
    private boolean g = false;
    private long h = 0;
    private long i = 0;
    private float[] j = new float[16];

    @Override // com.tencent.liteav.basic.d.l
    public void a(int i2, boolean z) {
        this.a = i2;
        b();
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a() {
        f();
    }

    @Override // com.tencent.liteav.basic.d.l
    public void setSurfaceTextureListener(m mVar) {
        this.d = mVar;
    }

    @Override // com.tencent.liteav.basic.d.l
    public SurfaceTexture getSurfaceTexture() {
        return this.f;
    }

    @Override // com.tencent.liteav.basic.d.l
    public EGLContext getGLContext() {
        EGLContext a2;
        synchronized (this) {
            a2 = this.c != null ? this.c.a() : null;
        }
        return a2;
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(Runnable runnable) {
        synchronized (this) {
            if (this.c != null) {
                this.c.post(runnable);
            }
        }
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(boolean z) {
        synchronized (this) {
            try {
                if (this.c != null) {
                    this.c.removeCallbacksAndMessages(null);
                }
                this.g = false;
                if (this.f != null) {
                    if (this.e != null) {
                        this.f.updateTexImage();
                        this.f.setOnFrameAvailableListener(new SurfaceTexture.OnFrameAvailableListener() {
                            /* class com.tencent.liteav.basic.d.e.AnonymousClass1 */

                            public void onFrameAvailable(SurfaceTexture surfaceTexture) {
                                e.this.a((e) 103, (int) new Runnable() {
                                    /* class com.tencent.liteav.basic.d.e.AnonymousClass1.AnonymousClass1 */

                                    public void run() {
                                        e.this.g = true;
                                        e.this.a((e) 102);
                                    }
                                });
                                surfaceTexture.setOnFrameAvailableListener(null);
                            }
                        });
                    }
                }
            } catch (Exception e2) {
            } catch (Throwable th) {
                throw th;
            }
        }
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(int i2, boolean z, int i3, int i4, int i5) {
    }

    @Override // com.tencent.liteav.basic.d.l
    public void a(byte[] bArr) {
    }

    @Override // com.tencent.liteav.basic.d.l
    public void setRendMode(int i2) {
    }

    @Override // com.tencent.liteav.basic.d.f.a
    public void c() {
        h();
    }

    @Override // com.tencent.liteav.basic.d.f.a
    public void d() {
        SurfaceTexture surfaceTexture;
        a(102, 5);
        if (i() && (surfaceTexture = this.f) != null && this.e != null) {
            try {
                surfaceTexture.updateTexImage();
                this.f.getTransformMatrix(this.j);
            } catch (Exception e2) {
                TXCLog.e("TXGLSurfaceTextureThread", "onMsgRend Exception " + e2.getMessage());
                e2.printStackTrace();
            }
            m mVar = this.d;
            if (mVar != null) {
                mVar.a(this.e[0], this.j);
            }
        }
    }

    @Override // com.tencent.liteav.basic.d.f.a
    public void e() {
        g();
    }

    private void b() {
        f();
        synchronized (this) {
            this.b = new HandlerThread("TXGLSurfaceTextureThread");
            this.b.start();
            this.c = new f(this.b.getLooper());
            this.c.a(this);
            this.c.a = LogType.UNEXP_ANR;
            this.c.b = 720;
            TXCLog.w("TXGLSurfaceTextureThread", "create gl thread " + this.b.getName());
        }
        a(100);
    }

    private void f() {
        synchronized (this) {
            if (this.c != null) {
                f.a(this.c, this.b);
                TXCLog.w("TXGLSurfaceTextureThread", "destroy gl thread");
            }
            this.c = null;
            this.b = null;
        }
    }

    private void a(int i2, long j2) {
        synchronized (this) {
            if (this.c != null) {
                this.c.sendEmptyMessageDelayed(i2, j2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2) {
        synchronized (this) {
            if (this.c != null) {
                this.c.sendEmptyMessage(i2);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void a(int i2, Runnable runnable) {
        synchronized (this) {
            if (this.c != null) {
                Message message = new Message();
                message.what = i2;
                message.obj = runnable;
                this.c.sendMessage(message);
            }
        }
    }

    private void g() {
        TXCLog.w("TXGLSurfaceTextureThread", "destroy surface texture ");
        m mVar = this.d;
        if (mVar != null) {
            mVar.b(this.f);
        }
        SurfaceTexture surfaceTexture = this.f;
        if (surfaceTexture != null) {
            surfaceTexture.setOnFrameAvailableListener(null);
            this.f.release();
            this.g = false;
            this.f = null;
        }
        int[] iArr = this.e;
        if (iArr != null) {
            GLES20.glDeleteTextures(1, iArr, 0);
            this.e = null;
        }
    }

    private void h() {
        TXCLog.w("TXGLSurfaceTextureThread", "init surface texture ");
        int[] iArr = new int[1];
        this.e = iArr;
        iArr[0] = i.b();
        if (this.e[0] <= 0) {
            this.e = null;
            return;
        }
        SurfaceTexture surfaceTexture = new SurfaceTexture(this.e[0]);
        this.f = surfaceTexture;
        surfaceTexture.setDefaultBufferSize(LogType.UNEXP_ANR, 720);
        this.f.setOnFrameAvailableListener(new SurfaceTexture.OnFrameAvailableListener() {
            /* class com.tencent.liteav.basic.d.e.AnonymousClass2 */

            public void onFrameAvailable(SurfaceTexture surfaceTexture) {
                e.this.a((e) 103, (int) new Runnable() {
                    /* class com.tencent.liteav.basic.d.e.AnonymousClass2.AnonymousClass1 */

                    public void run() {
                        e.this.g = true;
                        e.this.a((e) 102);
                    }
                });
                surfaceTexture.setOnFrameAvailableListener(null);
            }
        });
        m mVar = this.d;
        if (mVar != null) {
            mVar.a(this.f);
        }
    }

    private boolean i() {
        if (!this.g) {
            this.h = 0;
            this.i = System.nanoTime();
            return false;
        }
        long nanoTime = System.nanoTime();
        long j2 = this.i;
        if (nanoTime < ((((this.h * 1000) * 1000) * 1000) / ((long) this.a)) + j2) {
            return false;
        }
        if (j2 == 0) {
            this.i = nanoTime;
        } else if (nanoTime > j2 + 1000000000) {
            this.h = 0;
            this.i = nanoTime;
        }
        this.h++;
        return true;
    }
}
