package com.tencent.liteav.renderer;

import android.graphics.SurfaceTexture;
import android.opengl.GLUtils;
import com.tencent.liteav.basic.log.TXCLog;
import com.uc.crashsdk.export.LogType;
import java.lang.ref.WeakReference;
import javax.microedition.khronos.egl.EGL10;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.egl.EGLContext;
import javax.microedition.khronos.egl.EGLDisplay;
import javax.microedition.khronos.egl.EGLSurface;

/* access modifiers changed from: package-private */
/* compiled from: TXCGLRenderThread */
public class b extends Thread {
    private int a = 12440;
    private int b = 4;
    private WeakReference<a> c;
    private EGL10 d;
    private EGLContext e;
    private EGLDisplay f;
    private EGLSurface g;
    private EGLConfig h;
    private WeakReference<SurfaceTexture> i;
    private boolean j = false;
    private int k = LogType.UNEXP_ANR;
    private int l = 720;
    private Object m = new Object();

    b(WeakReference<a> weakReference) {
        this.c = weakReference;
    }

    public void run() {
        setName("VRender-" + getId());
        try {
            this.j = true;
            i();
            d();
            g();
            while (this.j) {
                if (!(!f() || this.d == null || this.f == null || this.g == null)) {
                    a aVar = this.c == null ? null : this.c.get();
                    if (!(aVar == null || aVar.f() == null)) {
                        this.d.eglSwapBuffers(this.f, this.g);
                    }
                }
                synchronized (this.m) {
                    try {
                        this.m.wait();
                    } catch (InterruptedException e2) {
                    }
                }
            }
            h();
            e();
            j();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }

    public EGLContext a() {
        return this.e;
    }

    public void b() {
        this.j = false;
        c();
    }

    public void c() {
        synchronized (this.m) {
            this.m.notifyAll();
        }
    }

    private void d() {
        try {
            a aVar = this.c.get();
            if (aVar != null) {
                aVar.c();
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private void e() {
        try {
            a aVar = this.c.get();
            if (aVar != null) {
                aVar.d();
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private boolean f() {
        a aVar;
        try {
            if (this.c == null || (aVar = this.c.get()) == null) {
                return false;
            }
            return aVar.e();
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    private void g() {
        a aVar;
        WeakReference<a> weakReference = this.c;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.o();
        }
    }

    private void h() {
        a aVar;
        WeakReference<a> weakReference = this.c;
        if (weakReference != null && (aVar = weakReference.get()) != null) {
            aVar.p();
        }
    }

    private void i() {
        a aVar = this.c.get();
        if (aVar != null) {
            EGL10 egl10 = (EGL10) EGLContext.getEGL();
            this.d = egl10;
            EGLDisplay eglGetDisplay = egl10.eglGetDisplay(EGL10.EGL_DEFAULT_DISPLAY);
            this.f = eglGetDisplay;
            this.d.eglInitialize(eglGetDisplay, new int[2]);
            this.h = k();
            SurfaceTexture f2 = aVar.f();
            if (f2 != null) {
                this.i = new WeakReference<>(f2);
                this.g = this.d.eglCreateWindowSurface(this.f, this.h, f2, null);
            } else {
                this.g = this.d.eglCreatePbufferSurface(this.f, this.h, new int[]{12375, this.k, 12374, this.l, 12344});
            }
            this.e = a(this.d, this.f, this.h, EGL10.EGL_NO_CONTEXT);
            TXCLog.w("TXCVideoRenderThread", "vrender: init egl @context=" + this.e + ",surface=" + this.g);
            try {
                if (this.g == null || this.g == EGL10.EGL_NO_SURFACE) {
                    throw new RuntimeException("GL error:" + GLUtils.getEGLErrorString(this.d.eglGetError()));
                } else if (!this.d.eglMakeCurrent(this.f, this.g, this.g, this.e)) {
                    throw new RuntimeException("GL Make current Error" + GLUtils.getEGLErrorString(this.d.eglGetError()));
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    private void j() {
        this.d.eglMakeCurrent(this.f, EGL10.EGL_NO_SURFACE, EGL10.EGL_NO_SURFACE, EGL10.EGL_NO_CONTEXT);
        this.d.eglDestroyContext(this.f, this.e);
        this.d.eglDestroySurface(this.f, this.g);
        this.d.eglTerminate(this.f);
        this.i = null;
        TXCLog.w("TXCVideoRenderThread", "vrender: uninit egl @context=" + this.e + ",surface=" + this.g);
    }

    private EGLContext a(EGL10 egl10, EGLDisplay eGLDisplay, EGLConfig eGLConfig, EGLContext eGLContext) {
        return egl10.eglCreateContext(eGLDisplay, eGLConfig, eGLContext, new int[]{this.a, 2, 12344});
    }

    private EGLConfig k() {
        int[] iArr = new int[1];
        EGLConfig[] eGLConfigArr = new EGLConfig[1];
        if (!this.d.eglChooseConfig(this.f, l(), eGLConfigArr, 1, iArr)) {
            throw new IllegalArgumentException("Failed to choose config:" + GLUtils.getEGLErrorString(this.d.eglGetError()));
        } else if (iArr[0] > 0) {
            return eGLConfigArr[0];
        } else {
            return null;
        }
    }

    private int[] l() {
        return new int[]{12352, this.b, 12324, 8, 12323, 8, 12322, 8, 12321, 8, 12325, 0, 12326, 0, 12344};
    }
}
