package com.tencent.liteav.videoencoder;

import android.media.MediaCodec;
import android.media.MediaCodecInfo;
import android.media.MediaCodecList;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.opengl.EGL14;
import android.opengl.EGLContext;
import android.opengl.GLES20;
import android.os.Build;
import android.os.Bundle;
import android.view.Surface;
import androidtranscoder.format.MediaFormatExtraConstants;
import com.tencent.liteav.basic.d.b;
import com.tencent.liteav.basic.d.g;
import com.tencent.liteav.basic.d.j;
import com.tencent.liteav.basic.d.k;
import com.tencent.liteav.basic.log.TXCLog;
import com.tencent.liteav.basic.util.TXCTimeUtil;
import com.tencent.liteav.basic.util.c;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayDeque;
import javax.microedition.khronos.egl.EGL10;

/* compiled from: TXCHWVideoEncoder */
public class a extends c {
    private static final String a = a.class.getSimpleName();
    private boolean A;
    private boolean B;
    private ByteBuffer[] C;
    private byte[] D;
    private volatile long E;
    private long F;
    private long G;
    private int H;
    private int I;
    private int J;
    private int K;
    private int L;
    private boolean M;
    private boolean N;
    private int O;
    private int P;
    private int Q;
    private int R;
    private boolean S;
    private int b;
    private long c;
    private double d;
    private long e;
    private long f;
    private int g;
    private boolean h;
    private boolean i;
    private long j;
    private long k;
    private long l;
    private long m;
    private long n;
    private boolean o;
    private long p;
    private long q;
    private MediaCodec r;
    private c s;
    private Runnable t;
    private Runnable u;
    private Runnable v;
    private ArrayDeque<Long> w;
    private Object x;
    private Surface y;
    private boolean z;

    public a() {
        this.b = 0;
        this.c = 0;
        this.d = 0.0d;
        this.e = 0;
        this.f = 0;
        this.g = 0;
        this.h = false;
        this.i = true;
        this.j = 0;
        this.k = 0;
        this.l = 0;
        this.m = 0;
        this.n = 0;
        this.p = 0;
        this.q = 0;
        this.r = null;
        this.s = null;
        this.t = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass7 */

            public void run() {
                a.this.e();
            }
        };
        this.u = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass8 */

            public void run() {
                a.this.b((a) 10);
            }
        };
        this.v = new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass9 */

            public void run() {
                a.this.b((a) 1);
            }
        };
        this.w = new ArrayDeque<>(10);
        this.y = null;
        this.z = true;
        this.A = true;
        this.B = false;
        this.C = null;
        this.D = null;
        this.E = 0;
        this.F = 0;
        this.G = 0;
        this.N = true;
        this.O = 0;
        this.P = 0;
        this.Q = 0;
        this.R = -1;
        this.S = false;
        this.s = new c("HWVideoEncoder");
    }

    @Override // com.tencent.liteav.videoencoder.c
    public int start(final TXSVideoEncoderParam tXSVideoEncoderParam) {
        super.start(tXSVideoEncoderParam);
        final boolean[] zArr = new boolean[1];
        if (Build.VERSION.SDK_INT < 18) {
            zArr[0] = false;
        } else {
            synchronized (this) {
                this.s.a(new Runnable() {
                    /* class com.tencent.liteav.videoencoder.a.AnonymousClass1 */

                    public void run() {
                        if (a.this.mInit) {
                            a.this.e();
                        }
                        zArr[0] = a.this.a((a) tXSVideoEncoderParam);
                    }
                });
            }
        }
        if (!zArr[0]) {
            callDelegate(10000004);
        }
        if (zArr[0]) {
            return 0;
        }
        return 10000004;
    }

    @Override // com.tencent.liteav.videoencoder.c
    public void stop() {
        this.A = true;
        synchronized (this) {
            this.s.a(new Runnable() {
                /* class com.tencent.liteav.videoencoder.a.AnonymousClass2 */

                public void run() {
                    if (a.this.mInit) {
                        a.this.e();
                    }
                }
            });
        }
    }

    @Override // com.tencent.liteav.videoencoder.c
    public void setFPS(final int i2) {
        this.s.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass3 */

            public void run() {
                a.this.d(i2);
            }
        });
    }

    @Override // com.tencent.liteav.videoencoder.c
    public void setBitrate(final int i2) {
        this.b = i2;
        this.s.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass4 */

            public void run() {
                a.this.c(i2);
            }
        });
    }

    @Override // com.tencent.liteav.videoencoder.c
    public void setBitrateFromQos(final int i2, int i3) {
        this.b = i2;
        this.s.b(new Runnable() {
            /* class com.tencent.liteav.videoencoder.a.AnonymousClass5 */

            public void run() {
                a.this.c(i2);
            }
        });
    }

    @Override // com.tencent.liteav.videoencoder.c
    public void setEncodeIdrFpsFromQos(int i2) {
    }

    @Override // com.tencent.liteav.videoencoder.c
    public double getRealFPS() {
        return this.d;
    }

    @Override // com.tencent.liteav.videoencoder.c
    public long getRealBitrate() {
        return this.c;
    }

    @Override // com.tencent.liteav.videoencoder.c
    public long pushVideoFrame(int i2, int i3, int i4, long j2) {
        if (this.A) {
            return 10000004;
        }
        GLES20.glFinish();
        this.E = j2;
        this.R = i2;
        this.O++;
        if (this.M) {
            f();
        }
        if (this.N && !this.S) {
            return 0;
        }
        this.s.b(this.u);
        this.S = false;
        return 0;
    }

    @Override // com.tencent.liteav.videoencoder.c
    public long pushVideoFrameSync(int i2, int i3, int i4, long j2) {
        if (this.A) {
            return 10000004;
        }
        GLES20.glFinish();
        this.E = j2;
        this.R = i2;
        this.O++;
        if (this.M) {
            f();
        }
        this.s.a(this.v);
        return 0;
    }

    @Override // com.tencent.liteav.videoencoder.c
    public void signalEOSAndFlush() {
        if (!this.A) {
            this.s.a(new Runnable() {
                /* class com.tencent.liteav.videoencoder.a.AnonymousClass6 */

                public void run() {
                    if (a.this.r != null) {
                        try {
                            a.this.r.signalEndOfInputStream();
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                        do {
                        } while (a.this.a((a) 10) >= 0);
                        a.this.e();
                    }
                }
            });
        }
    }

    private MediaFormat a(int i2, int i3, int i4, int i5, int i6) {
        if (i2 == 0 || i3 == 0 || i4 == 0 || i5 == 0) {
            return null;
        }
        MediaFormat createVideoFormat = MediaFormat.createVideoFormat("video/avc", i2, i3);
        createVideoFormat.setInteger("bitrate", i4 * 1024);
        createVideoFormat.setInteger("frame-rate", i5);
        createVideoFormat.setInteger("color-format", 2130708361);
        createVideoFormat.setInteger("i-frame-interval", i6);
        return createVideoFormat;
    }

    private MediaFormat a(int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
        MediaCodecInfo a2;
        MediaFormat a3 = a(i2, i3, i4, i5, i6);
        if (a3 == null) {
            return null;
        }
        if (Build.VERSION.SDK_INT < 21 || (a2 = a("video/avc")) == null) {
            return a3;
        }
        MediaCodecInfo.CodecCapabilities capabilitiesForType = a2.getCapabilitiesForType("video/avc");
        MediaCodecInfo.EncoderCapabilities encoderCapabilities = capabilitiesForType.getEncoderCapabilities();
        if (encoderCapabilities.isBitrateModeSupported(i7)) {
            a3.setInteger("bitrate-mode", i7);
        } else if (encoderCapabilities.isBitrateModeSupported(2)) {
            a3.setInteger("bitrate-mode", 2);
        }
        a3.setInteger("complexity", encoderCapabilities.getComplexityRange().clamp(5).intValue());
        if (Build.VERSION.SDK_INT >= 23) {
            MediaCodecInfo.CodecProfileLevel[] codecProfileLevelArr = capabilitiesForType.profileLevels;
            int i9 = 0;
            for (MediaCodecInfo.CodecProfileLevel codecProfileLevel : codecProfileLevelArr) {
                if (codecProfileLevel.profile <= i8 && codecProfileLevel.profile > i9) {
                    i9 = codecProfileLevel.profile;
                    a3.setInteger(MediaFormatExtraConstants.KEY_PROFILE, codecProfileLevel.profile);
                    a3.setInteger(MediaFormatExtraConstants.KEY_LEVEL, codecProfileLevel.level);
                }
            }
        }
        return a3;
    }

    private static MediaCodecInfo a(String str) {
        int codecCount = MediaCodecList.getCodecCount();
        for (int i2 = 0; i2 < codecCount; i2++) {
            MediaCodecInfo codecInfoAt = MediaCodecList.getCodecInfoAt(i2);
            if (codecInfoAt.isEncoder()) {
                for (String str2 : codecInfoAt.getSupportedTypes()) {
                    if (str2.equalsIgnoreCase(str)) {
                        return codecInfoAt;
                    }
                }
                continue;
            }
        }
        return null;
    }

    private void a(long j2) {
        this.w.add(Long.valueOf(j2));
    }

    private long a() {
        Long poll = this.w.poll();
        if (poll == null) {
            return 0;
        }
        return poll.longValue();
    }

    private boolean a(Surface surface, int i2, int i3) {
        if (surface == null) {
            return false;
        }
        TXCLog.d(a, "HWVideoEncode createGL");
        if (this.B) {
            EGLContext eGLContext = (EGLContext) this.mGLContextExternal;
            if (eGLContext == null) {
                eGLContext = EGL14.EGL_NO_CONTEXT;
            }
            this.x = com.tencent.liteav.basic.d.c.a(null, eGLContext, surface, i2, i3);
        } else {
            javax.microedition.khronos.egl.EGLContext eGLContext2 = (javax.microedition.khronos.egl.EGLContext) this.mGLContextExternal;
            if (eGLContext2 == null) {
                eGLContext2 = EGL10.EGL_NO_CONTEXT;
            }
            this.x = b.a(null, eGLContext2, surface, i2, i3);
        }
        if (this.x == null) {
            return false;
        }
        GLES20.glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
        this.mEncodeFilter = new g();
        this.mEncodeFilter.a(k.e, k.a(j.NORMAL, false, false));
        if (!this.mEncodeFilter.a()) {
            this.mEncodeFilter = null;
            return false;
        }
        GLES20.glViewport(0, 0, i2, i3);
        return true;
    }

    private void b() {
        TXCLog.d(a, "HWVideoEncode destroyGL");
        if (this.mEncodeFilter != null) {
            this.mEncodeFilter.d();
            this.mEncodeFilter = null;
        }
        Object obj = this.x;
        if (obj instanceof b) {
            ((b) obj).b();
            this.x = null;
        }
        Object obj2 = this.x;
        if (obj2 instanceof com.tencent.liteav.basic.d.c) {
            ((com.tencent.liteav.basic.d.c) obj2).b();
            this.x = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean a(TXSVideoEncoderParam tXSVideoEncoderParam) {
        this.A = false;
        this.z = false;
        this.c = 0;
        this.d = 0.0d;
        this.e = 0;
        this.f = 0;
        this.g = 0;
        this.j = 0;
        this.k = tXSVideoEncoderParam.baseGopIndex;
        this.l = 0;
        this.m = tXSVideoEncoderParam.baseFrameIndex;
        this.n = 0;
        this.p = 0;
        this.q = 0;
        this.C = null;
        this.D = null;
        this.E = 0;
        this.H = -1;
        this.mOutputWidth = tXSVideoEncoderParam.width;
        this.mOutputHeight = tXSVideoEncoderParam.height;
        this.I = tXSVideoEncoderParam.gop;
        this.J = tXSVideoEncoderParam.fps;
        String str = a;
        TXCLog.w(str, "FPS-TEST  HWEncode FPS start" + this.J);
        this.M = tXSVideoEncoderParam.fullIFrame;
        this.o = tXSVideoEncoderParam.syncOutput;
        this.B = tXSVideoEncoderParam.enableEGL14;
        this.w.clear();
        this.N = tXSVideoEncoderParam.bLimitFps;
        if (tXSVideoEncoderParam == null || tXSVideoEncoderParam.width == 0 || tXSVideoEncoderParam.height == 0 || tXSVideoEncoderParam.fps == 0 || tXSVideoEncoderParam.gop == 0) {
            this.z = true;
            return false;
        }
        this.h = tXSVideoEncoderParam.annexb;
        this.i = tXSVideoEncoderParam.appendSpsPps;
        if (this.b == 0) {
            this.b = (int) (Math.sqrt((((double) (tXSVideoEncoderParam.width * tXSVideoEncoderParam.width)) * 1.0d) + ((double) (tXSVideoEncoderParam.height * tXSVideoEncoderParam.height))) * 1.2d);
        }
        this.j = (long) this.b;
        this.g = tXSVideoEncoderParam.fps;
        int i2 = tXSVideoEncoderParam.encoderMode;
        int i3 = 2;
        if (i2 != 1) {
            if (i2 == 2) {
                i3 = 1;
            } else if (i2 == 3) {
                i3 = 0;
            }
        }
        if (com.tencent.liteav.basic.e.b.a().c() == 1) {
            tXSVideoEncoderParam.encoderProfile = 1;
        }
        int i4 = tXSVideoEncoderParam.encoderProfile;
        this.K = i3;
        this.L = 1;
        if (!c()) {
            return false;
        }
        this.mInit = true;
        if (this.N) {
            this.R = -1;
            this.s.a(this.u, (long) (1000 / this.J));
        }
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00b1  */
    /* JADX WARNING: Removed duplicated region for block: B:60:0x00ce  */
    private int a(int i2) {
        int i3;
        boolean z2;
        a aVar;
        byte[] bArr;
        int i4;
        byte[] bArr2;
        int i5 = -1;
        if (this.r == null) {
            return -1;
        }
        MediaCodec.BufferInfo bufferInfo = new MediaCodec.BufferInfo();
        try {
            int dequeueOutputBuffer = this.r.dequeueOutputBuffer(bufferInfo, (long) (i2 * 1000));
            if (dequeueOutputBuffer == -1) {
                return 0;
            }
            if (dequeueOutputBuffer == -3) {
                this.C = this.r.getOutputBuffers();
                return 1;
            } else if (dequeueOutputBuffer == -2) {
                callDelegate(this.r.getOutputFormat());
                return 1;
            } else if (dequeueOutputBuffer < 0) {
                return -1;
            } else {
                ByteBuffer byteBuffer = this.C[dequeueOutputBuffer];
                if (byteBuffer == null) {
                    aVar = this;
                    i3 = dequeueOutputBuffer;
                    z2 = false;
                } else {
                    int i6 = bufferInfo.size;
                    byte[] bArr3 = new byte[i6];
                    byteBuffer.position(bufferInfo.offset);
                    byteBuffer.limit(bufferInfo.offset + bufferInfo.size);
                    byteBuffer.get(bArr3, 0, bufferInfo.size);
                    if (bufferInfo.size > 5 && bArr3[0] == 0 && bArr3[1] == 0 && bArr3[2] == 0) {
                        int i7 = 3;
                        if (bArr3[3] == 0 && bArr3[4] == 0 && bArr3[5] == 0) {
                            while (true) {
                                if (i7 < i6 - 4) {
                                    if (bArr3[i7] == 0 && bArr3[i7 + 1] == 0 && bArr3[i7 + 2] == 0 && bArr3[i7 + 3] == 1) {
                                        i6 -= i7;
                                        break;
                                    }
                                    i7++;
                                } else {
                                    i7 = 0;
                                    break;
                                }
                            }
                            bArr = new byte[i6];
                            System.arraycopy(bArr3, i7, bArr, 0, i6);
                            if (bufferInfo.size != 0) {
                                if ((bufferInfo.flags & 4) != 0) {
                                    if (this.mListener != null) {
                                        this.mListener.a(null, 0);
                                    }
                                    aVar = this;
                                    i3 = dequeueOutputBuffer;
                                    i5 = -2;
                                    z2 = false;
                                } else {
                                    aVar = this;
                                    i3 = dequeueOutputBuffer;
                                    z2 = false;
                                }
                            } else if ((bufferInfo.flags & 2) == 2) {
                                if (this.h) {
                                    this.D = (byte[]) bArr.clone();
                                } else {
                                    this.D = a((byte[]) bArr.clone());
                                }
                                aVar = this;
                                i3 = dequeueOutputBuffer;
                                i5 = 1;
                                z2 = false;
                            } else {
                                if ((bufferInfo.flags & 1) == 1) {
                                    this.H = -1;
                                    if (this.h) {
                                        byte[] bArr4 = this.D;
                                        bArr2 = new byte[(bArr4.length + bArr.length)];
                                        System.arraycopy(bArr4, 0, bArr2, 0, bArr4.length);
                                        System.arraycopy(bArr, 0, bArr2, this.D.length, bArr.length);
                                        i4 = 0;
                                    } else {
                                        byte[] a2 = a(bArr);
                                        byte[] bArr5 = this.D;
                                        byte[] bArr6 = new byte[(bArr5.length + a2.length)];
                                        System.arraycopy(bArr5, 0, bArr6, 0, bArr5.length);
                                        System.arraycopy(a2, 0, bArr6, this.D.length, a2.length);
                                        bArr2 = bArr6;
                                        i4 = 0;
                                    }
                                } else if (!this.h) {
                                    bArr2 = a(bArr);
                                    i4 = 1;
                                } else {
                                    bArr2 = bArr;
                                    i4 = 1;
                                }
                                if (!this.M) {
                                    int i8 = this.H + 1;
                                    this.H = i8;
                                    if (i8 == this.g * this.I) {
                                        f();
                                    }
                                }
                                long a3 = a();
                                long j2 = bufferInfo.presentationTimeUs / 1000;
                                if (this.G == 0) {
                                    this.G = a3;
                                }
                                if (this.F == 0) {
                                    this.F = j2;
                                }
                                long j3 = j2 + (this.G - this.F);
                                long j4 = this.n;
                                if (a3 <= j4) {
                                    a3 = j4 + 1;
                                }
                                if (a3 > j3) {
                                    a3 = j3;
                                }
                                this.n = a3;
                                long timeTick = TXCTimeUtil.getTimeTick();
                                if (i4 == 0) {
                                    long j5 = this.e;
                                    if (timeTick > j5 + 1000) {
                                        this.c = (long) (((((double) this.p) * 8000.0d) / ((double) (timeTick - j5))) / 1024.0d);
                                        this.p = 0;
                                        this.e = timeTick;
                                    }
                                    long j6 = this.k + 1;
                                    this.k = j6;
                                    if (j6 % 256 == 0) {
                                        this.k = j6 + 1;
                                    }
                                    this.l = 0;
                                } else {
                                    this.l++;
                                }
                                this.p += (long) bArr2.length;
                                long j7 = this.f;
                                if (timeTick > 2000 + j7) {
                                    this.d = (((double) this.q) * 1000.0d) / ((double) (timeTick - j7));
                                    this.q = 0;
                                    this.f = timeTick;
                                }
                                this.q++;
                                byteBuffer.position(bufferInfo.offset);
                                this.m++;
                                if (this.mListener != null) {
                                    this.mListener.a(2, this.k, this.l);
                                }
                                if (this.i) {
                                    long j8 = this.k;
                                    long j9 = this.l;
                                    i3 = dequeueOutputBuffer;
                                    callDelegate(bArr2, i4, j8, j9, this.m, i4 == 0 ? j9 : j9 - 1, j3, j3, 0, byteBuffer, bufferInfo);
                                } else {
                                    i3 = dequeueOutputBuffer;
                                    long j10 = this.k;
                                    long j11 = this.l;
                                    callDelegate(bArr3, i4, j10, j11, this.m, i4 == 0 ? j11 : j11 - 1, j3, j3, 0, byteBuffer, bufferInfo);
                                }
                                aVar = this;
                                aVar.Q++;
                                if ((bufferInfo.flags & 4) != 0) {
                                    if (aVar.mListener != null) {
                                        z2 = false;
                                        aVar.mListener.a(null, 0);
                                    } else {
                                        z2 = false;
                                    }
                                    i5 = -2;
                                } else {
                                    z2 = false;
                                    i5 = 1;
                                }
                            }
                        }
                    }
                    bArr = bArr3;
                    if (bufferInfo.size != 0) {
                    }
                }
                try {
                    if (aVar.r != null) {
                        aVar.r.releaseOutputBuffer(i3, z2);
                    }
                } catch (IllegalStateException e2) {
                    e2.printStackTrace();
                }
                return i5;
            }
        } catch (IllegalStateException e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    private byte[] a(byte[] bArr) {
        int i2;
        int length = bArr.length;
        byte[] bArr2 = new byte[(length + 20)];
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (true) {
            if (i5 >= length) {
                i2 = i5;
                break;
            }
            if (bArr[i5] == 0 && bArr[i5 + 1] == 0 && bArr[i5 + 2] == 1) {
                i4 = a(i5, i3, bArr2, bArr, i4);
                i3 = i5 + 3;
                i5 = i3;
            } else if (bArr[i5] == 0 && bArr[i5 + 1] == 0 && bArr[i5 + 2] == 0 && bArr[i5 + 3] == 1) {
                i4 = a(i5, i3, bArr2, bArr, i4);
                i3 = i5 + 4;
                i5 = i3;
            }
            if (i5 != length - 4 || (bArr[i5 + 1] == 0 && bArr[i5 + 2] == 0 && bArr[i5 + 3] == 1)) {
                i5++;
            }
        }
        i2 = length;
        int a2 = a(i2, i3, bArr2, bArr, i4);
        byte[] bArr3 = new byte[a2];
        System.arraycopy(bArr2, 0, bArr3, 0, a2);
        return bArr3;
    }

    private int a(int i2, int i3, byte[] bArr, byte[] bArr2, int i4) {
        if (i3 <= 0 || i2 <= i3) {
            return i4;
        }
        int i5 = i2 - i3;
        try {
            ByteBuffer wrap = ByteBuffer.wrap(new byte[4]);
            wrap.asIntBuffer().put(i5);
            wrap.order(ByteOrder.BIG_ENDIAN);
            System.arraycopy(wrap.array(), 0, bArr, i4, 4);
            System.arraycopy(bArr2, i3, bArr, i4 + 4, i5);
            return i4 + i5 + 4;
        } catch (Exception e2) {
            e2.printStackTrace();
            TXCLog.e(a, "setNalData exception");
            return i4;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void b(int i2) {
        int a2;
        if (!this.z && this.x != null) {
            int i3 = this.R;
            if (this.N) {
                this.R = -1;
                if (i3 == -1) {
                    this.S = true;
                    return;
                }
                this.s.a(this.u, (long) (1000 / this.J));
            }
            a(this.E);
            this.mEncodeFilter.a(i3);
            Object obj = this.x;
            if (obj instanceof com.tencent.liteav.basic.d.c) {
                ((com.tencent.liteav.basic.d.c) obj).a(this.E * 1000000);
                ((com.tencent.liteav.basic.d.c) this.x).c();
            }
            Object obj2 = this.x;
            if (obj2 instanceof b) {
                ((b) obj2).a();
            }
            do {
                a2 = a(i2);
            } while (a2 > 0);
            if (a2 == -1 || a2 == -2) {
                if (a2 == -1) {
                    callDelegate(10000005);
                }
                this.z = true;
                e();
                return;
            }
            this.P++;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x007a A[SYNTHETIC, Splitter:B:31:0x007a] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0089 A[Catch:{ Exception -> 0x0091 }] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0096  */
    private boolean c() {
        Surface surface;
        char c2;
        Exception e2;
        try {
            MediaFormat a2 = a(this.mOutputWidth, this.mOutputHeight, this.b, this.J, this.I, this.K, this.L);
            if (a2 == null) {
                this.z = true;
                return false;
            }
            MediaCodec createEncoderByType = MediaCodec.createEncoderByType("video/avc");
            this.r = createEncoderByType;
            c2 = 2;
            try {
                createEncoderByType.configure(a2, (Surface) null, (MediaCrypto) null, 1);
            } catch (Exception e3) {
                if (!(e3 instanceof IllegalArgumentException)) {
                    if (Build.VERSION.SDK_INT < 21 || !(e3 instanceof MediaCodec.CodecException)) {
                        throw e3;
                    }
                }
                this.r.configure(a(this.mOutputWidth, this.mOutputHeight, this.b, this.J, this.I), (Surface) null, (MediaCrypto) null, 1);
                e3.printStackTrace();
            } catch (Exception e4) {
                e2 = e4;
                e2.printStackTrace();
                if (c2 >= 5) {
                }
                this.r = null;
                if (this.y != null) {
                }
                this.y = null;
                if (this.r != null) {
                }
                this.z = true;
                return false;
            }
            this.y = this.r.createInputSurface();
            this.r.start();
            try {
                this.C = this.r.getOutputBuffers();
            } catch (Exception e5) {
                e2 = e5;
                c2 = 5;
            }
            if (this.r != null || this.C == null || (surface = this.y) == null) {
                this.z = true;
                return false;
            } else if (a(surface, this.mOutputWidth, this.mOutputHeight)) {
                return true;
            } else {
                this.z = true;
                return false;
            }
        } catch (Exception e6) {
            e2 = e6;
            c2 = 1;
            e2.printStackTrace();
            if (c2 >= 5) {
                try {
                    if (this.r != null) {
                        this.r.stop();
                    }
                } catch (Exception e7) {
                }
            }
            this.r = null;
            if (this.y != null) {
                this.y.release();
            }
            this.y = null;
            if (this.r != null) {
            }
            this.z = true;
            return false;
        }
    }

    private void d() {
        MediaCodec mediaCodec = this.r;
        if (mediaCodec != null) {
            try {
                mediaCodec.stop();
                try {
                    this.r.release();
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            } catch (IllegalStateException e3) {
                e3.printStackTrace();
                this.r.release();
            } catch (Throwable th) {
                try {
                    this.r.release();
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
                throw th;
            }
            this.r = null;
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void e() {
        if (this.mInit) {
            this.z = true;
            this.A = true;
            b();
            d();
            this.R = -1;
            this.c = 0;
            this.d = 0.0d;
            this.e = 0;
            this.f = 0;
            this.g = 0;
            this.j = 0;
            this.k = 0;
            this.l = 0;
            this.m = 0;
            this.n = 0;
            this.p = 0;
            this.q = 0;
            this.mGLContextExternal = null;
            this.C = null;
            this.D = null;
            this.E = 0;
            this.mOutputWidth = 0;
            this.mOutputHeight = 0;
            this.mInit = false;
            this.mListener = null;
            this.w.clear();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c(int i2) {
        long j2 = this.j;
        int i3 = this.b;
        if (j2 != ((long) i3)) {
            this.j = (long) i3;
            if (Build.VERSION.SDK_INT >= 19 && this.r != null) {
                Bundle bundle = new Bundle();
                bundle.putInt("video-bitrate", this.b * 1024);
                this.r.setParameters(bundle);
            }
        }
    }

    private void f() {
        if (Build.VERSION.SDK_INT >= 19 && this.r != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("request-sync", 0);
            this.r.setParameters(bundle);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void d(int i2) {
        if (i2 != 0 && this.J != i2) {
            String str = a;
            TXCLog.w(str, "FPS-TEST  HWEncode FPS set" + i2);
            b();
            d();
            this.J = i2;
            c();
        }
    }
}
