package com.umeng.analytics.pro;

import com.umeng.commonsdk.debug.UMRTLog;
import java.io.ByteArrayInputStream;
import java.io.OutputStream;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;

/* compiled from: ZipUtils */
public class ar {
    public static byte[] a(byte[] bArr, byte[] bArr2) {
        if (bArr == null || bArr.length == 0 || bArr2 == null || bArr2.length == 0) {
            return bArr;
        }
        for (int i = 0; i < bArr.length; i++) {
            bArr[i] = (byte) ((bArr[i] ^ bArr2[i % bArr2.length]) ^ (i & 255));
        }
        return bArr;
    }

    public static void a(byte[] bArr, OutputStream outputStream) {
        Throwable th;
        GZIPOutputStream gZIPOutputStream = null;
        try {
            GZIPOutputStream gZIPOutputStream2 = new GZIPOutputStream(outputStream);
            try {
                gZIPOutputStream2.write(bArr);
                ao.a(gZIPOutputStream2);
            } catch (Throwable th2) {
                th = th2;
                gZIPOutputStream = gZIPOutputStream2;
                try {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "gzip error: " + th.getMessage());
                } finally {
                    ao.a(gZIPOutputStream);
                }
            }
        } catch (Throwable th3) {
            th = th3;
            UMRTLog.e(UMRTLog.RTLOG_TAG, "gzip error: " + th.getMessage());
        }
    }

    public static void b(byte[] bArr, OutputStream outputStream) {
        Throwable th;
        GZIPInputStream gZIPInputStream = null;
        try {
            GZIPInputStream gZIPInputStream2 = new GZIPInputStream(new ByteArrayInputStream(bArr));
            try {
                byte[] bArr2 = new byte[1024];
                while (true) {
                    int read = gZIPInputStream2.read(bArr2);
                    if (read != -1) {
                        outputStream.write(bArr2, 0, read);
                    } else {
                        ao.a(gZIPInputStream2);
                        return;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
                gZIPInputStream = gZIPInputStream2;
                try {
                    UMRTLog.e(UMRTLog.RTLOG_TAG, "unGzip error: " + th.getMessage());
                } finally {
                    ao.a(gZIPInputStream);
                }
            }
        } catch (Throwable th3) {
            th = th3;
            UMRTLog.e(UMRTLog.RTLOG_TAG, "unGzip error: " + th.getMessage());
        }
    }
}
