package com.umeng.pagesdk;

import android.content.Context;
import android.content.SharedPreferences;
import android.util.Log;
import android.view.Choreographer;
import com.efs.sdk.base.EfsReporter;
import com.efs.sdk.base.protocol.record.EfsJSONLog;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public final class c {
    float a = 1000.0f;
    long b;
    int c;
    int d;
    int e = 6;
    Map<String, Double> f = new HashMap();
    boolean g;
    long h;
    long i = 300000;
    String j;
    private Context k;
    private Choreographer.FrameCallback l = new Choreographer.FrameCallback() {
        /* class com.umeng.pagesdk.c.AnonymousClass1 */

        public final void doFrame(long j) {
            boolean z = PageManger.isDebug;
            if (c.this.g) {
                if (c.this.h == 0) {
                    c.this.h = System.currentTimeMillis();
                }
                if (System.currentTimeMillis() - c.this.h > c.this.i) {
                    c.this.b();
                    return;
                }
                if (c.this.b == 0) {
                    c.this.b = j;
                }
                float f = ((float) (j - c.this.b)) / 1000000.0f;
                if (f > c.this.a) {
                    double d = ((double) (((long) c.this.c) * 1000)) / ((double) f);
                    c.this.c = 0;
                    c.this.b = 0;
                    if (PageManger.isDebug) {
                        Log.i("PageManger-PageFPSImpl", "doFrame: " + d + ", map size is " + c.this.f.size() + ", page is " + c.this.j);
                    }
                    Map<String, Double> map = c.this.f;
                    StringBuilder sb = new StringBuilder();
                    sb.append(System.currentTimeMillis());
                    map.put(sb.toString(), Double.valueOf(d));
                    c.this.d++;
                    if (c.this.d >= c.this.e) {
                        c.this.c();
                        c cVar = c.this;
                        cVar.d = 0;
                        if (cVar.f != null) {
                            cVar.f.clear();
                        }
                    }
                } else {
                    c.this.c++;
                }
                Choreographer.getInstance().postFrameCallback(this);
            }
        }
    };

    public c(Context context) {
        SharedPreferences sharedPreferences;
        this.k = context;
        if (context != null && (sharedPreferences = context.getSharedPreferences("efs_page", 0)) != null) {
            this.a = sharedPreferences.getFloat(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL, 1000.0f);
            this.e = sharedPreferences.getInt(PageConfigManger.APM_FPSPERF_COLLECT_INTERVAL_TOGETHER, 6);
            this.i = sharedPreferences.getLong(PageConfigManger.APM_FPSPERF_COLLECT_MAX_PERIOD_SEC, 300000);
            if (PageManger.isDebug) {
                Log.i("PageManger-PageFPSImpl", "init fps. diff is " + this.a + ", count diff is " + this.e + ", dlealt time is " + this.i);
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void c() {
        a a2;
        Iterator<Map.Entry<String, Double>> it = this.f.entrySet().iterator();
        if (it != null) {
            JSONArray jSONArray = null;
            boolean z = false;
            while (it.hasNext()) {
                Map.Entry<String, Double> next = it.next();
                if (next != null) {
                    if (jSONArray == null) {
                        jSONArray = new JSONArray();
                    }
                    JSONObject jSONObject = new JSONObject();
                    try {
                        if (PageManger.getRefreshRate() > 0.0f && next.getValue().doubleValue() < ((double) PageManger.getRefreshRate()) * 1.1d) {
                            jSONObject.put(next.getKey(), next.getValue());
                            if (next.getValue().doubleValue() < 40.0d) {
                                z = true;
                            }
                        }
                    } catch (JSONException e2) {
                        e2.printStackTrace();
                    }
                    jSONArray.put(jSONObject);
                }
            }
            if (jSONArray != null) {
                JSONObject jSONObject2 = new JSONObject();
                try {
                    jSONObject2.put("pN", this.j);
                    jSONObject2.put("pF", jSONArray);
                    if (z && (a2 = b.a(this.k).a()) != null) {
                        jSONObject2.put("te", a2.c);
                        jSONObject2.put("le", a2.a);
                    }
                    EfsJSONLog efsJSONLog = new EfsJSONLog("fpsperf");
                    efsJSONLog.put("fps", jSONObject2);
                    EfsReporter reporter = PageManger.getReporter();
                    if (reporter != null) {
                        reporter.send(efsJSONLog);
                    }
                } catch (JSONException e3) {
                    e3.printStackTrace();
                }
            }
        }
    }

    public final void a() {
        if (!this.g) {
            this.g = true;
            if (PageManger.isDebug) {
                Log.i("PageManger-PageFPSImpl", "start, page is " + this.j);
            }
            Choreographer.getInstance().removeFrameCallback(this.l);
            Choreographer.getInstance().postFrameCallback(this.l);
        } else if (PageManger.isDebug) {
            Log.i("PageManger-PageFPSImpl", "state is start!");
        }
    }

    public final void b() {
        if (PageManger.isDebug) {
            Log.i("PageManger-PageFPSImpl", "stop, page is " + this.j);
        }
        c();
        this.g = false;
        this.h = 0;
        this.b = 0;
        this.c = 0;
        Map<String, Double> map = this.f;
        if (map != null) {
            map.clear();
        }
        this.d = 0;
    }
}
