package com.xiaomi.push;

import android.text.TextUtils;
import com.alipay.sdk.m.k.b;
import com.alipay.sdk.m.l.c;
import com.amap.api.services.district.DistrictSearchQuery;
import com.xiaomi.mipush.sdk.Constants;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import org.json.JSONArray;
import org.json.JSONObject;

public class bp {
    public String a = "";
    long b;
    public String c;
    public String d;
    public String e;
    public String f;
    public String g;
    public String h;
    protected String i;
    double j = 0.1d;
    String k = "s.mi1.cc";
    long l = 86400000;
    private ArrayList<by> m = new ArrayList<>();
    private String n;

    public bp(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.b = System.currentTimeMillis();
            this.m.add(new by(str, -1));
            this.a = bt.b();
            this.c = str;
            return;
        }
        throw new IllegalArgumentException("the host is empty");
    }

    private void a(String str, int i2, long j2, long j3, Exception exc) {
        a(str, new bo(i2, j2, j3, exc));
    }

    private synchronized void c(String str) {
        Iterator<by> it = this.m.iterator();
        while (it.hasNext()) {
            if (TextUtils.equals(it.next().a, str)) {
                it.remove();
            }
        }
    }

    public final synchronized bp a(JSONObject jSONObject) {
        this.a = jSONObject.optString(b.k);
        this.l = jSONObject.getLong("ttl");
        this.j = jSONObject.getDouble("pct");
        this.b = jSONObject.getLong("ts");
        this.e = jSONObject.optString(DistrictSearchQuery.KEYWORDS_CITY);
        this.d = jSONObject.optString("prv");
        this.h = jSONObject.optString("cty");
        this.f = jSONObject.optString("isp");
        this.g = jSONObject.optString("ip");
        this.c = jSONObject.optString(c.f);
        this.i = jSONObject.optString("xf");
        JSONArray jSONArray = jSONObject.getJSONArray("fbs");
        for (int i2 = 0; i2 < jSONArray.length(); i2++) {
            a(new by().a(jSONArray.getJSONObject(i2)));
        }
        return this;
    }

    public final ArrayList<String> a(String str) {
        if (!TextUtils.isEmpty(str)) {
            URL url = new URL(str);
            if (TextUtils.equals(url.getHost(), this.c)) {
                ArrayList<String> arrayList = new ArrayList<>();
                Iterator<String> it = a(true).iterator();
                while (it.hasNext()) {
                    br a2 = br.a(it.next(), url.getPort());
                    arrayList.add(new URL(url.getProtocol(), a2.a, a2.b, url.getFile()).toString());
                }
                return arrayList;
            }
            throw new IllegalArgumentException("the url is not supported by the fallback");
        }
        throw new IllegalArgumentException("the url is empty.");
    }

    public synchronized ArrayList<String> a(boolean z) {
        ArrayList<String> arrayList;
        String substring;
        int size = this.m.size();
        by[] byVarArr = new by[size];
        this.m.toArray(byVarArr);
        Arrays.sort(byVarArr);
        arrayList = new ArrayList<>();
        for (int i2 = 0; i2 < size; i2++) {
            by byVar = byVarArr[i2];
            if (z) {
                substring = byVar.a;
            } else {
                int indexOf = byVar.a.indexOf(Constants.COLON_SEPARATOR);
                substring = indexOf != -1 ? byVar.a.substring(0, indexOf) : byVar.a;
            }
            arrayList.add(substring);
        }
        return arrayList;
    }

    public final void a(long j2) {
        if (j2 > 0) {
            this.l = j2;
            return;
        }
        throw new IllegalArgumentException("the duration is invalid ".concat(String.valueOf(j2)));
    }

    /* access modifiers changed from: package-private */
    public final synchronized void a(by byVar) {
        c(byVar.a);
        this.m.add(byVar);
    }

    public final void a(String str, long j2, long j3) {
        a(str, 0, j2, j3, null);
    }

    public final void a(String str, long j2, long j3, Exception exc) {
        try {
            b(new URL(str).getHost(), j2, j3, exc);
        } catch (MalformedURLException e2) {
        }
    }

    public synchronized void a(String str, bo boVar) {
        Iterator<by> it = this.m.iterator();
        while (it.hasNext()) {
            by next = it.next();
            if (TextUtils.equals(str, next.a)) {
                next.a(boVar);
                return;
            }
        }
    }

    public final synchronized void a(String[] strArr) {
        int i2;
        int size = this.m.size() - 1;
        while (true) {
            i2 = 0;
            if (size < 0) {
                break;
            }
            int length = strArr.length;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                if (TextUtils.equals(this.m.get(size).a, strArr[i2])) {
                    this.m.remove(size);
                    break;
                }
                i2++;
            }
            size--;
        }
        Iterator<by> it = this.m.iterator();
        int i3 = 0;
        while (it.hasNext()) {
            by next = it.next();
            if (next.b > i3) {
                i3 = next.b;
            }
        }
        while (i2 < strArr.length) {
            a(new by(strArr[i2], (strArr.length + i3) - i2));
            i2++;
        }
    }

    public boolean a() {
        return System.currentTimeMillis() - this.b < this.l;
    }

    public final synchronized ArrayList<String> b() {
        return a(false);
    }

    public final synchronized void b(String str) {
        a(new by(str));
    }

    public final void b(String str, long j2, long j3, Exception exc) {
        a(str, -1, j2, j3, exc);
    }

    public final synchronized String c() {
        if (!TextUtils.isEmpty(this.n)) {
            return this.n;
        } else if (TextUtils.isEmpty(this.f)) {
            return "hardcode_isp";
        } else {
            String[] strArr = {this.f, this.d, this.e, this.h, this.g};
            StringBuffer stringBuffer = new StringBuffer(((strArr[0] == null ? 16 : strArr[0].toString().length()) + "_".length()) * 5);
            for (int i2 = 0; i2 < 5; i2++) {
                if (i2 > 0) {
                    stringBuffer.append("_");
                }
                if (strArr[i2] != null) {
                    stringBuffer.append((Object) strArr[i2]);
                }
            }
            String stringBuffer2 = stringBuffer.toString();
            this.n = stringBuffer2;
            return stringBuffer2;
        }
    }

    public final synchronized JSONObject d() {
        JSONObject jSONObject;
        jSONObject = new JSONObject();
        jSONObject.put(b.k, this.a);
        jSONObject.put("ttl", this.l);
        jSONObject.put("pct", this.j);
        jSONObject.put("ts", this.b);
        jSONObject.put(DistrictSearchQuery.KEYWORDS_CITY, this.e);
        jSONObject.put("prv", this.d);
        jSONObject.put("cty", this.h);
        jSONObject.put("isp", this.f);
        jSONObject.put("ip", this.g);
        jSONObject.put(c.f, this.c);
        jSONObject.put("xf", this.i);
        JSONArray jSONArray = new JSONArray();
        Iterator<by> it = this.m.iterator();
        while (it.hasNext()) {
            jSONArray.put(it.next().a());
        }
        jSONObject.put("fbs", jSONArray);
        return jSONObject;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(this.a);
        sb.append("\n");
        sb.append(c());
        Iterator<by> it = this.m.iterator();
        while (it.hasNext()) {
            sb.append("\n");
            sb.append(it.next().toString());
        }
        sb.append("\n");
        return sb.toString();
    }
}
