package com.xiaomi.push;

import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import com.xiaomi.push.k;
import com.xiaomi.push.service.ad;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.nio.channels.FileLock;
import java.util.ArrayList;
import java.util.List;

public final class ct extends k.a {
    private Context a;
    private SharedPreferences b;
    private ad c;

    public ct(Context context) {
        this.a = context;
        this.b = context.getSharedPreferences("mipush_extra", 0);
        this.c = ad.a(context);
    }

    private List<gp> a(File file) {
        FileInputStream fileInputStream;
        RandomAccessFile randomAccessFile;
        Throwable th;
        FileLock lock;
        cl clVar = cm.a().a;
        String a2 = clVar == null ? "" : clVar.a();
        FileLock fileLock = null;
        if (TextUtils.isEmpty(a2)) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        byte[] bArr = new byte[4];
        synchronized (co.a) {
            try {
                File file2 = new File(this.a.getExternalFilesDir(null), "push_cdata.lock");
                jd.b(file2);
                randomAccessFile = new RandomAccessFile(file2, "rw");
                try {
                    lock = randomAccessFile.getChannel().lock();
                } catch (Exception e) {
                    fileInputStream = null;
                    try {
                        fileLock.release();
                    } catch (IOException e2) {
                    }
                    jd.a(fileInputStream);
                    jd.a(randomAccessFile);
                    return arrayList;
                } catch (Throwable th2) {
                    th = th2;
                    fileInputStream = null;
                    try {
                        fileLock.release();
                    } catch (IOException e3) {
                    }
                    jd.a(fileInputStream);
                    jd.a(randomAccessFile);
                    throw th;
                }
                try {
                    fileInputStream = new FileInputStream(file);
                    while (fileInputStream.read(bArr) == 4) {
                        try {
                            int a3 = d.a(bArr);
                            byte[] bArr2 = new byte[a3];
                            if (fileInputStream.read(bArr2) != a3) {
                                break;
                            }
                            byte[] a4 = cn.a(a2, bArr2);
                            if (!(a4 == null || a4.length == 0)) {
                                gp gpVar = new gp();
                                hs.a(gpVar, a4);
                                arrayList.add(gpVar);
                                if (gpVar.b == gj.AppInstallList && !gpVar.c.startsWith("same_")) {
                                    SharedPreferences.Editor edit = this.b.edit();
                                    edit.putLong("dc_job_result_time_4", gpVar.a);
                                    edit.putString("dc_job_result_4", am.a(gpVar.c));
                                    edit.commit();
                                }
                            }
                        } catch (Exception e4) {
                            fileLock = lock;
                            fileLock.release();
                            jd.a(fileInputStream);
                            jd.a(randomAccessFile);
                            return arrayList;
                        } catch (Throwable th3) {
                            th = th3;
                            fileLock = lock;
                            fileLock.release();
                            jd.a(fileInputStream);
                            jd.a(randomAccessFile);
                            throw th;
                        }
                    }
                    if (lock != null) {
                        if (lock.isValid()) {
                            try {
                                lock.release();
                            } catch (IOException e5) {
                            }
                        }
                    }
                    jd.a(fileInputStream);
                } catch (Exception e6) {
                    fileInputStream = null;
                    fileLock = lock;
                    fileLock.release();
                    jd.a(fileInputStream);
                    jd.a(randomAccessFile);
                    return arrayList;
                } catch (Throwable th4) {
                    th = th4;
                    fileInputStream = null;
                    fileLock = lock;
                    fileLock.release();
                    jd.a(fileInputStream);
                    jd.a(randomAccessFile);
                    throw th;
                }
            } catch (Exception e7) {
                randomAccessFile = null;
                fileInputStream = null;
                if (fileLock != null && fileLock.isValid()) {
                    fileLock.release();
                }
                jd.a(fileInputStream);
                jd.a(randomAccessFile);
                return arrayList;
            } catch (Throwable th5) {
                th = th5;
                randomAccessFile = null;
                fileInputStream = null;
                if (fileLock != null && fileLock.isValid()) {
                    fileLock.release();
                }
                jd.a(fileInputStream);
                jd.a(randomAccessFile);
                throw th;
            }
            jd.a(randomAccessFile);
        }
        return arrayList;
    }

    @Override // com.xiaomi.push.k.a
    public final String a() {
        return "1";
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x007d, code lost:
        if (r1 != false) goto L_0x0080;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x00bd, code lost:
        if (r1 != false) goto L_0x00c0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x00c6, code lost:
        if (com.xiaomi.push.ag.h(r15.a) != false) goto L_0x00ca;
     */
    public final void run() {
        boolean z;
        boolean z2;
        File file = new File(this.a.getExternalFilesDir(null), "push_cdata.data");
        if (ag.c(this.a)) {
            boolean z3 = true;
            if (!ag.d(this.a)) {
                if (ag.f(this.a) || ag.e(this.a)) {
                    if (this.c.a(gm.Upload4GSwitch.bw, true)) {
                        int max = Math.max(86400, this.c.a(gm.Upload4GFrequency.bw, 259200));
                        if (Math.abs((System.currentTimeMillis() / 1000) - this.b.getLong("last_upload_data_timestamp", -1)) > ((long) max)) {
                            z2 = true;
                        }
                    }
                    z2 = false;
                }
                if (ag.g(this.a)) {
                    if (this.c.a(gm.Upload3GSwitch.bw, true)) {
                        int max2 = Math.max(86400, this.c.a(gm.Upload3GFrequency.bw, 432000));
                        if (Math.abs((System.currentTimeMillis() / 1000) - this.b.getLong("last_upload_data_timestamp", -1)) > ((long) max2)) {
                            z = true;
                        }
                    }
                    z = false;
                }
            }
            z3 = false;
            if (!z3 && file.exists()) {
                List<gp> a2 = a(file);
                if (!e.a(a2)) {
                    int size = a2.size();
                    if (size > 4000) {
                        a2 = a2.subList(size - 4000, size);
                    }
                    ha haVar = new ha();
                    haVar.a = a2;
                    byte[] a3 = jd.a(hs.a(haVar));
                    hh hhVar = new hh("-1", false);
                    hhVar.e = gr.DataCollection.ah;
                    hhVar.a(a3);
                    cl clVar = cm.a().a;
                    if (clVar != null) {
                        clVar.a(hhVar, gh.Notification, null);
                    }
                    SharedPreferences.Editor edit = this.b.edit();
                    edit.putLong("last_upload_data_timestamp", System.currentTimeMillis() / 1000);
                    edit.commit();
                }
                file.delete();
            }
        } else if (file.length() > 1863680) {
            file.delete();
        }
    }
}
