package com.xiaomi.push;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import com.meizu.cloud.pushsdk.constants.PushConstants;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.push.service.ch;

/* access modifiers changed from: package-private */
public final class cz implements df {
    cz() {
    }

    @Override // com.xiaomi.push.df
    public final void a(Context context, Intent intent, String str) {
        if (context == null || !(context instanceof Activity) || intent == null) {
            cx.a(context, PushConstants.INTENT_ACTIVITY_NAME, 1008, "B receive incorrect message");
            return;
        }
        Activity activity = (Activity) context;
        String stringExtra = intent.getStringExtra("awake_info");
        if (!TextUtils.isEmpty(stringExtra)) {
            String b = cw.b(stringExtra);
            boolean isEmpty = TextUtils.isEmpty(b);
            Context applicationContext = activity.getApplicationContext();
            if (!isEmpty) {
                cx.a(applicationContext, b, 1007, "play with activity successfully");
            } else {
                cx.a(applicationContext, PushConstants.INTENT_ACTIVITY_NAME, 1008, "B get incorrect message");
            }
        } else {
            cx.a(activity.getApplicationContext(), PushConstants.INTENT_ACTIVITY_NAME, 1008, "B get incorrect message");
        }
    }

    @Override // com.xiaomi.push.df
    public final void a(Context context, db dbVar) {
        if (dbVar != null) {
            String str = dbVar.a;
            String str2 = dbVar.b;
            String str3 = dbVar.d;
            int i = dbVar.e;
            if (context == null || TextUtils.isEmpty(str) || TextUtils.isEmpty(str2) || TextUtils.isEmpty(str3)) {
                if (TextUtils.isEmpty(str3)) {
                    cx.a(context, PushConstants.INTENT_ACTIVITY_NAME, 1008, "argument error");
                } else {
                    cx.a(context, str3, 1008, "argument error");
                }
            } else if (!ch.b(context, str, str2)) {
                cx.a(context, str3, 1003, "B is not ready");
            } else {
                cx.a(context, str3, 1002, "B is ready");
                cx.a(context, str3, 1004, "A is ready");
                Intent intent = new Intent(str2);
                intent.setPackage(str);
                intent.putExtra("awake_info", cw.a(str3));
                intent.addFlags(276824064);
                intent.setAction(str2);
                if (i == 1) {
                    try {
                        if (!dc.b(context)) {
                            cx.a(context, str3, 1008, "A not in foreground");
                            return;
                        }
                    } catch (Exception e) {
                        b.a(e);
                        cx.a(context, str3, 1008, "A meet a exception when help B's activity");
                        return;
                    }
                }
                context.startActivity(intent);
                cx.a(context, str3, 1005, "A is successful");
                cx.a(context, str3, 1006, "The job is finished");
            }
        } else {
            cx.a(context, PushConstants.INTENT_ACTIVITY_NAME, 1008, "A receive incorrect message");
        }
    }
}
