package com.xiaomi.push.service;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.Context;
import android.os.Build;
import android.service.notification.StatusBarNotification;
import android.text.TextUtils;
import com.igexin.push.core.b;
import com.xiaomi.push.ah;
import com.xiaomi.push.gm;
import com.xiaomi.push.hb;
import com.xiaomi.push.ib;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.WeakHashMap;

public final class aa {
    private static Context c;
    private static Object d;
    private static boolean e;
    private static WeakHashMap<Integer, aa> f = new WeakHashMap<>();
    String a;
    String b;

    private aa(String str) {
        this.a = str;
    }

    public static Context a() {
        return c;
    }

    public static aa a(Context context, String str) {
        b(context);
        int hashCode = str.hashCode();
        aa aaVar = f.get(Integer.valueOf(hashCode));
        if (aaVar != null) {
            return aaVar;
        }
        aa aaVar2 = new aa(str);
        f.put(Integer.valueOf(hashCode), aaVar2);
        return aaVar2;
    }

    private static <T> T a(Object obj) {
        if (obj == null) {
            return null;
        }
        try {
            return (T) obj.getClass().getMethod("getList", new Class[0]).invoke(obj, new Object[0]);
        } catch (Exception e2) {
            return null;
        }
    }

    private static Object a(List list) {
        return Class.forName("android.content.pm.ParceledListSlice").getConstructor(List.class).newInstance(list);
    }

    public static String a(String str, String str2) {
        if (TextUtils.isEmpty(str)) {
            return str;
        }
        String a2 = a("mipush|%s|%s", str2, "");
        return str.startsWith(a2) ? a("mipush_%s_%s", str2, str.replace(a2, "")) : str;
    }

    private static String a(String str, String str2, String str3) {
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        return String.format(str, str2, str3);
    }

    public static boolean a(Context context) {
        b(context);
        return e();
    }

    static String b(String str, String str2) {
        return !e() ? str2 : str;
    }

    private static void b(Context context) {
        if (c == null) {
            c = context.getApplicationContext();
            NotificationManager d2 = d();
            Boolean bool = (Boolean) ah.a((Object) d2, "isSystemConditionProviderEnabled", "xmsf_fake_condition_provider_path");
            d("fwk is support.init:".concat(String.valueOf(bool)));
            boolean booleanValue = bool != null ? bool.booleanValue() : false;
            e = booleanValue;
            if (booleanValue) {
                d = ah.a((Object) d2, "getService", new Object[0]);
            }
        }
    }

    private static int c(String str) {
        if (Build.VERSION.SDK_INT < 24) {
            return -1;
        }
        try {
            return c.getPackageManager().getPackageUid(str, 0);
        } catch (Exception e2) {
            return -1;
        }
    }

    private static NotificationManager d() {
        return (NotificationManager) c.getSystemService(b.n);
    }

    private static void d(String str) {
        com.xiaomi.channel.commonutils.logger.b.a("NMHelper:".concat(String.valueOf(str)));
    }

    private static boolean e() {
        if (ib.a() && ad.a(c).a(gm.NotificationBelongToAppSwitch.bw, true)) {
            return e;
        }
        return false;
    }

    private static StatusBarNotification[] f() {
        if (!ib.a(c)) {
            return null;
        }
        try {
            String packageName = c.getPackageName();
            Object a2 = ah.a(d, "getActiveNotifications", packageName);
            if (a2 instanceof StatusBarNotification[]) {
                return (StatusBarNotification[]) a2;
            }
            return null;
        } catch (Throwable th) {
            d("getAllNotifications error ".concat(String.valueOf(th)));
            return null;
        }
    }

    /* access modifiers changed from: package-private */
    public final String a(String str) {
        return a(e() ? "mipush|%s|%s" : "mipush_%s_%s", this.a, str);
    }

    public final void a(int i) {
        String str = this.a;
        try {
            if (e()) {
                int e2 = hb.e();
                String packageName = c.getPackageName();
                if (Build.VERSION.SDK_INT >= 30) {
                    ah.b(d, "cancelNotificationWithTag", str, packageName, null, Integer.valueOf(i), Integer.valueOf(e2));
                } else {
                    ah.b(d, "cancelNotificationWithTag", str, null, Integer.valueOf(i), Integer.valueOf(e2));
                }
                d("cancel succ:".concat(String.valueOf(i)));
                return;
            }
            d().cancel(i);
        } catch (Exception e3) {
            d("cancel error".concat(String.valueOf(e3)));
        }
    }

    public final void a(int i, Notification notification) {
        String str = this.a;
        NotificationManager d2 = d();
        try {
            int i2 = Build.VERSION.SDK_INT;
            if (e()) {
                if (i2 >= 19) {
                    notification.extras.putString("xmsf_target_package", str);
                }
                if (i2 >= 29) {
                    d2.notifyAsPackage(str, null, i, notification);
                } else {
                    d2.notify(i, notification);
                }
            } else {
                d2.notify(i, notification);
            }
        } catch (Exception e2) {
        }
    }

    /* access modifiers changed from: package-private */
    public final void a(NotificationChannel notificationChannel) {
        String str = this.a;
        try {
            if (e()) {
                int c2 = c(str);
                if (c2 != -1) {
                    Object a2 = a(Arrays.asList(notificationChannel));
                    ah.b(d, "createNotificationChannelsForPackage", str, Integer.valueOf(c2), a2);
                    return;
                }
                return;
            }
            d().createNotificationChannel(notificationChannel);
        } catch (Exception e2) {
            d("createNotificationChannel error".concat(String.valueOf(e2)));
        }
    }

    /* access modifiers changed from: package-private */
    public final void a(NotificationChannel notificationChannel, boolean z) {
        String str = this.a;
        if (z) {
            try {
                int c2 = c(str);
                if (c2 != -1) {
                    ah.b(d, "updateNotificationChannelForPackage", str, Integer.valueOf(c2), notificationChannel);
                }
            } catch (Exception e2) {
                d("updateNotificationChannel error ".concat(String.valueOf(e2)));
            }
        } else {
            a(notificationChannel);
        }
    }

    public final NotificationChannel b(String str) {
        try {
            if (!e()) {
                return d().getNotificationChannel(str);
            }
            List<NotificationChannel> b2 = b();
            if (b2 != null) {
                for (NotificationChannel notificationChannel : b2) {
                    if (str.equals(notificationChannel.getId())) {
                        return notificationChannel;
                    }
                }
            }
            return null;
        } catch (Exception e2) {
            d("getNotificationChannel error".concat(String.valueOf(e2)));
        }
    }

    /* access modifiers changed from: package-private */
    public final List<NotificationChannel> b() {
        String str;
        String str2 = this.a;
        List<NotificationChannel> list = null;
        try {
            if (e()) {
                int c2 = c(str2);
                if (c2 != -1) {
                    Object obj = d;
                    Object[] objArr = {str2, Integer.valueOf(c2), Boolean.FALSE};
                    str = "mipush|%s|%s";
                    list = (List) a(ah.a(obj, "getNotificationChannelsForPackage", objArr));
                } else {
                    str = null;
                }
            } else {
                list = d().getNotificationChannels();
                str = "mipush_%s_%s";
            }
            if (!ib.a() || list == null) {
                return list;
            }
            ArrayList arrayList = new ArrayList();
            String a2 = a(str, str2, "");
            for (NotificationChannel notificationChannel : list) {
                if (notificationChannel.getId().startsWith(a2)) {
                    arrayList.add(notificationChannel);
                }
            }
            return arrayList;
        } catch (Exception e2) {
            d("getNotificationChannels error ".concat(String.valueOf(e2)));
            return null;
        }
    }

    public final List<StatusBarNotification> c() {
        Object th;
        String str = this.a;
        NotificationManager d2 = d();
        ArrayList arrayList = null;
        try {
            if (e()) {
                int e2 = hb.e();
                if (e2 == -1) {
                    return null;
                }
                return (List) a(ah.a(d, "getAppActiveNotifications", str, Integer.valueOf(e2)));
            }
            StatusBarNotification[] activeNotifications = Build.VERSION.SDK_INT >= 23 ? d2.getActiveNotifications() : f();
            if (activeNotifications == null || activeNotifications.length <= 0) {
                return null;
            }
            ArrayList arrayList2 = new ArrayList();
            try {
                for (StatusBarNotification statusBarNotification : activeNotifications) {
                    if (str.equals(ab.d(statusBarNotification.getNotification()))) {
                        arrayList2.add(statusBarNotification);
                    }
                }
                return arrayList2;
            } catch (Throwable th2) {
                th = th2;
                arrayList = arrayList2;
                d("getActiveNotifications error ".concat(String.valueOf(th)));
                return arrayList;
            }
        } catch (Throwable th3) {
            th = th3;
            d("getActiveNotifications error ".concat(String.valueOf(th)));
            return arrayList;
        }
    }

    public final String toString() {
        return "NotificationManagerHelper{" + this.a + "}";
    }
}
