package com.xiaomi.push.service;

import android.text.TextUtils;
import android.util.Base64;
import com.alibaba.fastjson.asm.Opcodes;
import com.alipay.sdk.m.n.d;
import com.xiaomi.channel.commonutils.logger.b;
import java.io.ByteArrayOutputStream;
import java.security.KeyFactory;
import java.security.interfaces.RSAPublicKey;
import java.security.spec.X509EncodedKeySpec;
import javax.crypto.Cipher;

public final class av {
    private static final byte[] a;
    private static RSAPublicKey b;

    static {
        byte[] bArr = new byte[Opcodes.IF_ICMPGE];
        // fill-array-data instruction
        bArr[0] = 48;
        bArr[1] = -127;
        bArr[2] = -97;
        bArr[3] = 48;
        bArr[4] = 13;
        bArr[5] = 6;
        bArr[6] = 9;
        bArr[7] = 42;
        bArr[8] = -122;
        bArr[9] = 72;
        bArr[10] = -122;
        bArr[11] = -9;
        bArr[12] = 13;
        bArr[13] = 1;
        bArr[14] = 1;
        bArr[15] = 1;
        bArr[16] = 5;
        bArr[17] = 0;
        bArr[18] = 3;
        bArr[19] = -127;
        bArr[20] = -115;
        bArr[21] = 0;
        bArr[22] = 48;
        bArr[23] = -127;
        bArr[24] = -119;
        bArr[25] = 2;
        bArr[26] = -127;
        bArr[27] = -127;
        bArr[28] = 0;
        bArr[29] = -109;
        bArr[30] = -38;
        bArr[31] = -114;
        bArr[32] = 26;
        bArr[33] = -72;
        bArr[34] = 78;
        bArr[35] = 16;
        bArr[36] = 70;
        bArr[37] = -90;
        bArr[38] = 113;
        bArr[39] = -30;
        bArr[40] = 36;
        bArr[41] = 85;
        bArr[42] = -3;
        bArr[43] = -43;
        bArr[44] = 123;
        bArr[45] = 61;
        bArr[46] = -98;
        bArr[47] = 4;
        bArr[48] = -16;
        bArr[49] = 67;
        bArr[50] = 19;
        bArr[51] = -90;
        bArr[52] = -73;
        bArr[53] = -5;
        bArr[54] = -89;
        bArr[55] = 36;
        bArr[56] = 44;
        bArr[57] = -27;
        bArr[58] = 59;
        bArr[59] = -123;
        bArr[60] = 72;
        bArr[61] = -73;
        bArr[62] = -48;
        bArr[63] = 49;
        bArr[64] = 13;
        bArr[65] = 16;
        bArr[66] = 50;
        bArr[67] = -27;
        bArr[68] = -82;
        bArr[69] = 18;
        bArr[70] = -28;
        bArr[71] = 84;
        bArr[72] = 0;
        bArr[73] = -41;
        bArr[74] = 16;
        bArr[75] = 69;
        bArr[76] = -39;
        bArr[77] = 7;
        bArr[78] = 82;
        bArr[79] = 56;
        bArr[80] = 79;
        bArr[81] = -37;
        bArr[82] = 40;
        bArr[83] = 85;
        bArr[84] = 107;
        bArr[85] = 98;
        bArr[86] = 33;
        bArr[87] = 123;
        bArr[88] = -34;
        bArr[89] = -49;
        bArr[90] = 111;
        bArr[91] = -11;
        bArr[92] = 49;
        bArr[93] = 28;
        bArr[94] = 117;
        bArr[95] = -74;
        bArr[96] = 114;
        bArr[97] = -122;
        bArr[98] = -29;
        bArr[99] = -84;
        bArr[100] = 82;
        bArr[101] = 22;
        bArr[102] = -122;
        bArr[103] = 42;
        bArr[104] = -40;
        bArr[105] = -79;
        bArr[106] = 18;
        bArr[107] = -116;
        bArr[108] = -42;
        bArr[109] = 101;
        bArr[110] = -70;
        bArr[111] = 44;
        bArr[112] = 11;
        bArr[113] = 62;
        bArr[114] = -49;
        bArr[115] = -3;
        bArr[116] = -22;
        bArr[117] = -2;
        bArr[118] = 66;
        bArr[119] = 90;
        bArr[120] = -116;
        bArr[121] = -75;
        bArr[122] = -99;
        bArr[123] = 34;
        bArr[124] = 121;
        bArr[125] = 69;
        bArr[126] = 10;
        bArr[127] = -81;
        bArr[128] = -57;
        bArr[129] = 89;
        bArr[130] = -23;
        bArr[131] = -36;
        bArr[132] = -60;
        bArr[133] = -81;
        bArr[134] = 67;
        bArr[135] = -114;
        bArr[136] = 10;
        bArr[137] = 79;
        bArr[138] = 100;
        bArr[139] = 29;
        bArr[140] = 47;
        bArr[141] = -24;
        bArr[142] = 110;
        bArr[143] = -66;
        bArr[144] = -7;
        bArr[145] = 87;
        bArr[146] = 16;
        bArr[147] = -125;
        bArr[148] = -91;
        bArr[149] = -43;
        bArr[150] = -103;
        bArr[151] = 67;
        bArr[152] = -20;
        bArr[153] = 41;
        bArr[154] = 117;
        bArr[155] = -37;
        bArr[156] = -11;
        bArr[157] = 2;
        bArr[158] = 3;
        bArr[159] = 1;
        bArr[160] = 0;
        bArr[161] = 1;
        a = bArr;
        try {
            b = (RSAPublicKey) KeyFactory.getInstance(d.a).generatePublic(new X509EncodedKeySpec(a));
        } catch (Throwable th) {
            b.d("rsa key pair init failure!!!");
        }
    }

    public static String a(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            Cipher instance = Cipher.getInstance("RSA/ECB/PKCS1Padding");
            instance.init(1, b);
            return Base64.encodeToString(a(instance, str.getBytes("UTF-8"), b.getModulus().bitLength()), 2);
        } catch (Throwable th) {
            return null;
        }
    }

    private static byte[] a(Cipher cipher, byte[] bArr, int i) {
        if (cipher == null || bArr == null) {
            return null;
        }
        int i2 = (i / 8) - 11;
        try {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            int i3 = 0;
            int i4 = 0;
            while (bArr.length > i3) {
                byte[] doFinal = bArr.length - i3 > i2 ? cipher.doFinal(bArr, i3, i2) : cipher.doFinal(bArr, i3, bArr.length - i3);
                byteArrayOutputStream.write(doFinal, 0, doFinal.length);
                i4++;
                i3 = i4 * i2;
            }
            return byteArrayOutputStream.toByteArray();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
