package com.xiaomi.push.service;

import android.app.NotificationChannel;
import android.content.Context;
import android.content.SharedPreferences;
import android.text.TextUtils;
import android.util.SparseArray;
import com.taobao.weex.el.parse.Operators;
import com.xiaomi.channel.commonutils.logger.b;
import com.xiaomi.mipush.sdk.Constants;
import com.xiaomi.push.ah;
import com.xiaomi.push.ib;
import com.xiaomi.push.ix;
import com.xiaomi.push.iy;
import com.xiaomi.push.service.ab;
import java.util.ArrayList;
import java.util.List;

/* access modifiers changed from: package-private */
public class ca {
    private static final int[] a = {1, 2, 4, 8, 16};
    private static final SparseArray<ab.a<String, String, String>> b = new cb();
    private static final SparseArray<Integer> c = new cc();

    ca() {
    }

    static int a(String str, String str2) {
        int i = 8;
        if (!a(str, str2, 8)) {
            i = 0;
        }
        if (a(str, str2, 16)) {
            i |= 16;
        }
        if (a(str, str2, 1)) {
            i |= 1;
        }
        if (a(str, str2, 2)) {
            i |= 2;
        }
        return a(str, str2, 4) ? i | 4 : i;
    }

    static void a(Context context, String str) {
        List<NotificationChannel> b2;
        if (!(!ib.a(context) || TextUtils.isEmpty(str) || (b2 = aa.a(context, str).b()) == null)) {
            synchronized (ca.class) {
                SharedPreferences sharedPreferences = context.getSharedPreferences("ch_permission_cache_file", 0);
                ArrayList arrayList = new ArrayList();
                for (NotificationChannel notificationChannel : b2) {
                    String str2 = (String) ah.a(notificationChannel, "mId");
                    if (!TextUtils.isEmpty(str2) && sharedPreferences.contains(str2)) {
                        arrayList.add(str2);
                    }
                }
                if (arrayList.size() > 0) {
                    a(sharedPreferences, arrayList);
                }
            }
        }
    }

    static void a(Context context, String str, String str2, int i, String str3, boolean z, int i2) {
        if (ib.a(context) && !TextUtils.isEmpty(str3) && !TextUtils.isEmpty(str2) && !TextUtils.isEmpty(str)) {
            int a2 = iy.a(str3, 0);
            boolean z2 = i >= 4 || (a2 & 2) > 0 || (a2 & 1) > 0 || (a2 & 8) > 0 || (a2 & 16) > 0;
            if (z) {
                a(str, str2, a2, i2);
                if (z2) {
                    synchronized (ca.class) {
                        a(context.getSharedPreferences("ch_permission_cache_file", 0), a2, str2);
                    }
                    return;
                }
                return;
            }
            synchronized (ca.class) {
                SharedPreferences sharedPreferences = context.getSharedPreferences("ch_permission_cache_file", 0);
                if (z2 || sharedPreferences.contains(str2)) {
                    if (sharedPreferences.getInt(str2, 0) != a2) {
                        a(str, str2, a2, i2);
                    }
                    if (z2) {
                        a(sharedPreferences, a2, str2);
                    } else {
                        a(sharedPreferences, new cd(str2));
                    }
                }
            }
        } else if (ib.a(context)) {
            b.a("ChannelPC: can`t setup permission with permissionCode:" + String.valueOf(str3) + " channelId:" + String.valueOf(str2) + " targetPkg:" + str);
        }
    }

    private static void a(SharedPreferences sharedPreferences, int i, String str) {
        sharedPreferences.edit().putInt(str, i).commit();
    }

    private static void a(SharedPreferences sharedPreferences, List<String> list) {
        SharedPreferences.Editor edit = sharedPreferences.edit();
        for (String str : list) {
            edit.remove(str);
        }
        edit.commit();
    }

    static void a(String str, String str2, int i, int i2) {
        int[] iArr = a;
        for (int i3 : iArr) {
            if ((c.get(i3).intValue() & i2) == 0) {
                a(str, str2, i3, (i & i3) > 0);
            } else {
                b.a("ChannelPermissions.grantPermission:" + str + Constants.COLON_SEPARATOR + str2 + ": <" + i3 + "> :stoped by userLock");
            }
        }
    }

    private static void a(String str, String str2, int i, boolean z) {
        boolean a2 = ab.a(ix.a(), str, str2, b.get(i), z);
        b.a("ChannelPermissions.grantPermission:" + str + Constants.COLON_SEPARATOR + str2 + ": <" + i + "=" + z + "> :" + a2);
    }

    private static boolean a(String str, String str2, int i) {
        boolean z = true;
        if (ab.a(ix.a(), str, str2, b.get(i)) != 1) {
            z = false;
        }
        b.a("ChannelPermissions.checkPermission:" + str + Constants.COLON_SEPARATOR + str2 + ": <" + i + "=" + z + Operators.G);
        return z;
    }
}
