package io.dcloud.feature.internal.splash;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Typeface;
import android.text.TextUtils;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout;
import android.widget.TextView;
import io.dcloud.base.R;
import io.dcloud.common.util.AppRuntime;

public class SplashViewDBackground extends RelativeLayout implements ISplash {
    String a;
    b b = null;
    TextView c = null;
    boolean d = false;
    private boolean e = false;

    public SplashViewDBackground(Context context, Bitmap bitmap, String str, boolean z) {
        super(context);
        this.a = str;
        this.d = z;
        if (AppRuntime.getAppDarkMode(context)) {
            setBackgroundColor(context.getResources().getColor(R.color.nightBG));
        } else {
            setBackgroundColor(-1);
        }
        a(bitmap);
    }

    private void a(Bitmap bitmap) {
        int i;
        if (!this.e) {
            this.b = new b(getContext(), this.d);
            int i2 = getResources().getDisplayMetrics().heightPixels;
            int a2 = (int) this.b.a(6.0f);
            int a3 = (int) this.b.a(65.0f);
            int a4 = (int) this.b.a(8.0f);
            if (getResources().getDisplayMetrics().widthPixels >= 1080) {
                i = (int) this.b.a(6.0f);
            } else if (getResources().getDisplayMetrics().widthPixels >= 720) {
                i = (int) this.b.a(8.0f);
            } else if (getResources().getDisplayMetrics().widthPixels >= 540) {
                i = (int) this.b.a(10.0f);
            } else {
                i = a4;
            }
            b bVar = this.b;
            bVar.a(bitmap, a3, a3, (int) bVar.a(1.0f), 12962246, -5592406);
            RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(a3, a3);
            layoutParams.addRule(14);
            layoutParams.topMargin = ((i2 / 2) - ((a3 + a2) + i)) / 2;
            this.b.setId(16908313);
            addView(this.b, layoutParams);
            RelativeLayout.LayoutParams layoutParams2 = new RelativeLayout.LayoutParams(-2, -2);
            layoutParams2.addRule(3, this.b.getId());
            layoutParams2.addRule(13);
            layoutParams2.topMargin = a2;
            TextView textView = new TextView(getContext());
            this.c = textView;
            textView.setSingleLine();
            this.c.setTextSize((float) i);
            this.c.setTextColor(-10855846);
            this.c.setId(16908314);
            setNameText(this.a);
            this.c.setTypeface(Typeface.create("宋体", 0));
            addView(this.c, layoutParams2);
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i, ViewGroup.LayoutParams layoutParams) {
        if (view instanceof ISplash) {
            this.e = true;
        }
        super.addView(view, i, layoutParams);
    }

    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        if (this.e) {
            return super.dispatchTouchEvent(motionEvent);
        }
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return true;
    }

    @Override // io.dcloud.feature.internal.splash.ISplash
    public void setImageBitmap(Bitmap bitmap) {
        this.b.setBitmap(bitmap);
    }

    @Override // io.dcloud.feature.internal.splash.ISplash
    public void setNameText(String str) {
        TextView textView = this.c;
        if (textView != null && TextUtils.isEmpty(textView.getText())) {
            this.c.setText(str);
        }
    }
}
