package io.dcloud.feature.uniapp.ui.component;

import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.WXSDKManager;
import com.taobao.weex.ui.action.GraphicActionAnimation;
import com.taobao.weex.ui.animation.WXAnimationBean;
import io.dcloud.feature.uniapp.AbsSDKInstance;
import io.dcloud.feature.uniapp.ui.AbsAnimationHolder;
import io.dcloud.feature.uniapp.ui.animation.UniAnimationBean;

public class UniAnimationHolder implements AbsAnimationHolder {
    private String callback;
    private WXAnimationBean wxAnimationBean;

    public UniAnimationHolder(UniAnimationBean wxAnimationBean2, String callback2) {
        this.wxAnimationBean = wxAnimationBean2;
        this.callback = callback2;
    }

    @Override // io.dcloud.feature.uniapp.ui.AbsAnimationHolder
    public void execute(AbsSDKInstance instance, AbsBasicComponent component) {
        if (instance != null && component != null) {
            GraphicActionAnimation action = new GraphicActionAnimation((WXSDKInstance) instance, component.getRef(), this.wxAnimationBean, this.callback);
            WXSDKManager.getInstance().getWXRenderManager().postGraphicAction(action.getPageId(), action);
        }
    }
}
