package io.dcloud.feature.weex.extend;

import android.util.Base64;
import com.taobao.weex.annotation.JSMethod;
import com.taobao.weex.common.WXModule;
import java.security.SecureRandom;

public class RandomBytesModule extends WXModule {
    @JSMethod(uiThread = false)
    public String getRandomValues(int size) {
        return getRandomBytes(size);
    }

    private String getRandomBytes(int size) {
        byte[] output = new byte[size];
        new SecureRandom().nextBytes(output);
        return Base64.encodeToString(output, 2);
    }
}
