package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.js.map.amap.adapter.DHMapView;
import org.json.JSONArray;

public abstract class JsMapObject {
    String mJsId = null;
    protected DHMapView mMapView = null;
    String mUUID = null;
    protected IWebview mWebview = null;

    /* access modifiers changed from: protected */
    public abstract void createObject(JSONArray jSONArray);

    /* access modifiers changed from: protected */
    public abstract void updateObject(String str, JSONArray jSONArray);

    protected JsMapObject(IWebview pWebview) {
        this.mWebview = pWebview;
    }

    /* access modifiers changed from: package-private */
    public void setUUID(String uuid) {
        this.mUUID = uuid;
    }

    /* access modifiers changed from: package-private */
    public void setJsId(String id) {
        this.mJsId = id;
    }

    /* access modifiers changed from: protected */
    public String updateObjectSYNC(String pStrEvent, JSONArray pJsArgs) {
        return null;
    }

    public void onAddToMapView(DHMapView pMapView) {
        this.mMapView = pMapView;
    }
}
