package io.dcloud.sdk.core.v2.interstitial;

import android.app.Activity;
import io.dcloud.h.c.c.f.a.c;
import io.dcloud.h.c.c.f.c.f.a;
import io.dcloud.sdk.core.api.AOLLoader;
import io.dcloud.sdk.core.entry.DCloudAOLSlot;
import io.dcloud.sdk.core.util.AdErrorUtil;
import io.dcloud.sdk.core.v2.base.DCBaseAOL;
import org.json.JSONArray;

public class DCInterstitialAOL extends DCBaseAOL implements AOLLoader.VideoAdInteractionListener {
    private final a b;
    private DCInterstitialAOLListener c;

    public DCInterstitialAOL(Activity activity) {
        super(activity);
        this.b = new a(activity, 15);
    }

    public String getType() {
        a aVar = this.b;
        return aVar == null ? "" : aVar.getType();
    }

    public boolean isValid() {
        a aVar = this.b;
        if (aVar != null) {
            return aVar.l();
        }
        return false;
    }

    public void load(DCloudAOLSlot dCloudAOLSlot, final DCInterstitialAOLLoadListener dCInterstitialAOLLoadListener) {
        if (getContext() != null && dCloudAOLSlot != null) {
            a aVar = this.b;
            if (aVar != null) {
                aVar.a(dCloudAOLSlot, new c() {
                    /* class io.dcloud.sdk.core.v2.interstitial.DCInterstitialAOL.AnonymousClass1 */

                    @Override // io.dcloud.h.c.c.f.a.c
                    public void onError(int i, String str, JSONArray jSONArray) {
                        DCInterstitialAOLLoadListener dCInterstitialAOLLoadListener = dCInterstitialAOLLoadListener;
                        if (dCInterstitialAOLLoadListener != null) {
                            dCInterstitialAOLLoadListener.onError(i, str, jSONArray);
                        }
                    }

                    @Override // io.dcloud.h.c.c.f.a.c
                    public void onLoaded() {
                        DCInterstitialAOLLoadListener dCInterstitialAOLLoadListener = dCInterstitialAOLLoadListener;
                        if (dCInterstitialAOLLoadListener != null) {
                            dCInterstitialAOLLoadListener.onInterstitialAdLoad();
                        }
                    }
                });
            } else if (dCInterstitialAOLLoadListener != null) {
                dCInterstitialAOLLoadListener.onError(-5015, AdErrorUtil.getErrorMsg(-5015), null);
            }
        } else if (dCInterstitialAOLLoadListener != null) {
            dCInterstitialAOLLoadListener.onError(-5014, AdErrorUtil.getErrorMsg(-5014), null);
        }
    }

    @Override // io.dcloud.sdk.core.api.AOLLoader.VideoAdInteractionListener
    public void onClick() {
        DCInterstitialAOLListener dCInterstitialAOLListener = this.c;
        if (dCInterstitialAOLListener != null) {
            dCInterstitialAOLListener.onClick();
        }
    }

    @Override // io.dcloud.sdk.core.api.AOLLoader.VideoAdInteractionListener
    public void onClose() {
        DCInterstitialAOLListener dCInterstitialAOLListener = this.c;
        if (dCInterstitialAOLListener != null) {
            dCInterstitialAOLListener.onClose();
        }
    }

    @Override // io.dcloud.sdk.core.api.AOLLoader.VideoAdInteractionListener
    public void onShow() {
        DCInterstitialAOLListener dCInterstitialAOLListener = this.c;
        if (dCInterstitialAOLListener != null) {
            dCInterstitialAOLListener.onShow();
        }
    }

    @Override // io.dcloud.sdk.core.api.AOLLoader.VideoAdInteractionListener
    public void onShowError(int i, String str) {
        DCInterstitialAOLListener dCInterstitialAOLListener = this.c;
        if (dCInterstitialAOLListener != null) {
            dCInterstitialAOLListener.onShowError(i, str);
        }
    }

    @Override // io.dcloud.sdk.core.api.AOLLoader.VideoAdInteractionListener
    public void onSkip() {
        DCInterstitialAOLListener dCInterstitialAOLListener = this.c;
        if (dCInterstitialAOLListener != null) {
            dCInterstitialAOLListener.onSkip();
        }
    }

    @Override // io.dcloud.sdk.core.api.AOLLoader.VideoAdInteractionListener
    public void onVideoPlayEnd() {
        DCInterstitialAOLListener dCInterstitialAOLListener = this.c;
        if (dCInterstitialAOLListener != null) {
            dCInterstitialAOLListener.onVideoPlayEnd();
        }
    }

    public void setInterstitialAdListener(DCInterstitialAOLListener dCInterstitialAOLListener) {
        this.c = dCInterstitialAOLListener;
        a aVar = this.b;
        if (aVar != null) {
            aVar.a(this);
        }
    }

    public void show(Activity activity) {
        a aVar = this.b;
        if (aVar != null) {
            aVar.a(activity);
        }
    }
}
